#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_dpgd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|gd) integrals */

void d12hrr_order_dpgd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][10] = int_stack + 280;
 Libderiv->deriv_classes[3][6][9] = int_stack + 560;
 Libderiv->deriv_classes[3][6][8] = int_stack + 840;
 Libderiv->deriv_classes[3][6][7] = int_stack + 1120;
 Libderiv->dvrr_classes[3][5] = int_stack + 1400;
 Libderiv->deriv_classes[3][6][6] = int_stack + 1610;
 Libderiv->deriv_classes[3][6][2] = int_stack + 1890;
 Libderiv->deriv_classes[3][6][1] = int_stack + 2170;
 Libderiv->dvrr_classes[2][6] = int_stack + 2450;
 Libderiv->deriv_classes[3][6][0] = int_stack + 2618;
 Libderiv->deriv2_classes[2][4][143] = int_stack + 2898;
 Libderiv->deriv2_classes[2][5][143] = int_stack + 2988;
 Libderiv->deriv2_classes[2][6][143] = int_stack + 3114;
 Libderiv->deriv2_classes[3][4][143] = int_stack + 3282;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 3432;
 Libderiv->deriv2_classes[3][6][143] = int_stack + 3642;
 Libderiv->deriv2_classes[2][4][131] = int_stack + 3922;
 Libderiv->deriv2_classes[2][5][131] = int_stack + 4012;
 Libderiv->deriv2_classes[2][6][131] = int_stack + 4138;
 Libderiv->deriv2_classes[3][4][131] = int_stack + 4306;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 4456;
 Libderiv->deriv2_classes[3][6][131] = int_stack + 4666;
 Libderiv->deriv2_classes[2][4][130] = int_stack + 4946;
 Libderiv->deriv2_classes[2][5][130] = int_stack + 5036;
 Libderiv->deriv2_classes[2][6][130] = int_stack + 5162;
 Libderiv->deriv2_classes[3][4][130] = int_stack + 5330;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 5480;
 Libderiv->deriv2_classes[3][6][130] = int_stack + 5690;
 Libderiv->deriv2_classes[2][4][119] = int_stack + 5970;
 Libderiv->deriv2_classes[2][5][119] = int_stack + 6060;
 Libderiv->deriv2_classes[2][6][119] = int_stack + 6186;
 Libderiv->deriv2_classes[3][4][119] = int_stack + 6354;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 6504;
 Libderiv->deriv2_classes[3][6][119] = int_stack + 6714;
 Libderiv->deriv2_classes[2][4][118] = int_stack + 6994;
 Libderiv->deriv2_classes[2][5][118] = int_stack + 7084;
 Libderiv->deriv2_classes[2][6][118] = int_stack + 7210;
 Libderiv->deriv2_classes[3][4][118] = int_stack + 7378;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 7528;
 Libderiv->deriv2_classes[3][6][118] = int_stack + 7738;
 Libderiv->deriv2_classes[2][4][117] = int_stack + 8018;
 Libderiv->deriv2_classes[2][5][117] = int_stack + 8108;
 Libderiv->deriv2_classes[2][6][117] = int_stack + 8234;
 Libderiv->deriv2_classes[3][4][117] = int_stack + 8402;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 8552;
 Libderiv->deriv2_classes[3][6][117] = int_stack + 8762;
 Libderiv->deriv2_classes[2][4][107] = int_stack + 9042;
 Libderiv->deriv2_classes[2][5][107] = int_stack + 9132;
 Libderiv->deriv2_classes[2][6][107] = int_stack + 9258;
 Libderiv->deriv2_classes[3][4][107] = int_stack + 9426;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 9576;
 Libderiv->deriv2_classes[3][6][107] = int_stack + 9786;
 Libderiv->deriv2_classes[2][4][106] = int_stack + 10066;
 Libderiv->deriv2_classes[2][5][106] = int_stack + 10156;
 Libderiv->deriv2_classes[2][6][106] = int_stack + 10282;
 Libderiv->deriv2_classes[3][4][106] = int_stack + 10450;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 10600;
 Libderiv->deriv2_classes[3][6][106] = int_stack + 10810;
 Libderiv->deriv2_classes[2][4][105] = int_stack + 11090;
 Libderiv->deriv2_classes[2][5][105] = int_stack + 11180;
 Libderiv->deriv2_classes[2][6][105] = int_stack + 11306;
 Libderiv->deriv2_classes[3][4][105] = int_stack + 11474;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 11624;
 Libderiv->deriv2_classes[3][6][105] = int_stack + 11834;
 Libderiv->deriv2_classes[2][4][104] = int_stack + 12114;
 Libderiv->deriv2_classes[2][5][104] = int_stack + 12204;
 Libderiv->deriv2_classes[2][6][104] = int_stack + 12330;
 Libderiv->deriv2_classes[3][4][104] = int_stack + 12498;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 12648;
 Libderiv->deriv2_classes[3][6][104] = int_stack + 12858;
 Libderiv->deriv2_classes[2][4][95] = int_stack + 13138;
 Libderiv->deriv2_classes[2][5][95] = int_stack + 13228;
 Libderiv->deriv2_classes[2][6][95] = int_stack + 13354;
 Libderiv->deriv2_classes[3][4][95] = int_stack + 13522;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 13672;
 Libderiv->deriv2_classes[3][6][95] = int_stack + 13882;
 Libderiv->deriv2_classes[2][4][94] = int_stack + 14162;
 Libderiv->deriv2_classes[2][5][94] = int_stack + 14252;
 Libderiv->deriv2_classes[2][6][94] = int_stack + 14378;
 Libderiv->deriv2_classes[3][4][94] = int_stack + 14546;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 14696;
 Libderiv->deriv2_classes[3][6][94] = int_stack + 14906;
 Libderiv->deriv2_classes[2][4][93] = int_stack + 15186;
 Libderiv->deriv2_classes[2][5][93] = int_stack + 15276;
 Libderiv->deriv2_classes[2][6][93] = int_stack + 15402;
 Libderiv->deriv2_classes[3][4][93] = int_stack + 15570;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 15720;
 Libderiv->deriv2_classes[3][6][93] = int_stack + 15930;
 Libderiv->deriv2_classes[2][4][92] = int_stack + 16210;
 Libderiv->deriv2_classes[2][5][92] = int_stack + 16300;
 Libderiv->deriv2_classes[2][6][92] = int_stack + 16426;
 Libderiv->deriv2_classes[3][4][92] = int_stack + 16594;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 16744;
 Libderiv->deriv2_classes[3][6][92] = int_stack + 16954;
 Libderiv->deriv2_classes[2][4][91] = int_stack + 17234;
 Libderiv->deriv2_classes[2][5][91] = int_stack + 17324;
 Libderiv->deriv2_classes[2][6][91] = int_stack + 17450;
 Libderiv->deriv2_classes[3][4][91] = int_stack + 17618;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 17768;
 Libderiv->deriv2_classes[3][6][91] = int_stack + 17978;
 Libderiv->deriv2_classes[2][4][83] = int_stack + 18258;
 Libderiv->deriv2_classes[2][5][83] = int_stack + 18348;
 Libderiv->deriv2_classes[2][6][83] = int_stack + 18474;
 Libderiv->deriv_classes[3][4][11] = int_stack + 18642;
 Libderiv->deriv2_classes[3][4][83] = int_stack + 18792;
 Libderiv->deriv_classes[3][5][11] = int_stack + 18942;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 19152;
 Libderiv->deriv2_classes[3][6][83] = int_stack + 19362;
 Libderiv->deriv2_classes[2][4][82] = int_stack + 19642;
 Libderiv->deriv2_classes[2][5][82] = int_stack + 19732;
 Libderiv->deriv2_classes[2][6][82] = int_stack + 19858;
 Libderiv->deriv_classes[3][4][10] = int_stack + 20026;
 Libderiv->deriv2_classes[3][4][82] = int_stack + 20176;
 Libderiv->deriv_classes[3][5][10] = int_stack + 20326;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 20536;
 Libderiv->deriv2_classes[3][6][82] = int_stack + 20746;
 Libderiv->deriv2_classes[2][4][81] = int_stack + 21026;
 Libderiv->deriv2_classes[2][5][81] = int_stack + 21116;
 Libderiv->deriv2_classes[2][6][81] = int_stack + 21242;
 Libderiv->deriv_classes[3][4][9] = int_stack + 21410;
 Libderiv->deriv2_classes[3][4][81] = int_stack + 21560;
 Libderiv->deriv_classes[3][5][9] = int_stack + 21710;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 21920;
 Libderiv->deriv2_classes[3][6][81] = int_stack + 22130;
 Libderiv->deriv2_classes[2][4][80] = int_stack + 22410;
 Libderiv->deriv2_classes[2][5][80] = int_stack + 22500;
 Libderiv->deriv2_classes[2][6][80] = int_stack + 22626;
 Libderiv->deriv_classes[3][4][8] = int_stack + 22794;
 Libderiv->deriv2_classes[3][4][80] = int_stack + 22944;
 Libderiv->deriv_classes[3][5][8] = int_stack + 23094;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 23304;
 Libderiv->deriv2_classes[3][6][80] = int_stack + 23514;
 Libderiv->deriv2_classes[2][4][79] = int_stack + 23794;
 Libderiv->deriv2_classes[2][5][79] = int_stack + 23884;
 Libderiv->deriv2_classes[2][6][79] = int_stack + 24010;
 Libderiv->deriv_classes[3][4][7] = int_stack + 24178;
 Libderiv->deriv2_classes[3][4][79] = int_stack + 24328;
 Libderiv->deriv_classes[3][5][7] = int_stack + 24478;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 24688;
 Libderiv->deriv2_classes[3][6][79] = int_stack + 24898;
 Libderiv->deriv2_classes[2][4][78] = int_stack + 25178;
 Libderiv->deriv2_classes[2][5][78] = int_stack + 25268;
 Libderiv->deriv2_classes[2][6][78] = int_stack + 25394;
 Libderiv->dvrr_classes[3][4] = int_stack + 25562;
 Libderiv->deriv_classes[3][4][6] = int_stack + 25712;
 Libderiv->deriv2_classes[3][4][78] = int_stack + 25862;
 Libderiv->deriv_classes[3][5][6] = int_stack + 26012;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 26222;
 Libderiv->deriv2_classes[3][6][78] = int_stack + 26432;
 Libderiv->deriv2_classes[2][4][35] = int_stack + 26712;
 Libderiv->deriv2_classes[2][5][35] = int_stack + 26802;
 Libderiv->deriv2_classes[2][6][35] = int_stack + 26928;
 Libderiv->deriv2_classes[3][4][35] = int_stack + 27096;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 27246;
 Libderiv->deriv2_classes[3][6][35] = int_stack + 27456;
 Libderiv->deriv2_classes[2][4][34] = int_stack + 27736;
 Libderiv->deriv2_classes[2][5][34] = int_stack + 27826;
 Libderiv->deriv2_classes[2][6][34] = int_stack + 27952;
 Libderiv->deriv2_classes[3][4][34] = int_stack + 28120;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 28270;
 Libderiv->deriv2_classes[3][6][34] = int_stack + 28480;
 Libderiv->deriv2_classes[2][4][33] = int_stack + 28760;
 Libderiv->deriv2_classes[2][5][33] = int_stack + 28850;
 Libderiv->deriv2_classes[2][6][33] = int_stack + 28976;
 Libderiv->deriv2_classes[3][4][33] = int_stack + 29144;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 29294;
 Libderiv->deriv2_classes[3][6][33] = int_stack + 29504;
 Libderiv->deriv2_classes[2][4][32] = int_stack + 29784;
 Libderiv->deriv2_classes[2][5][32] = int_stack + 29874;
 Libderiv->deriv2_classes[2][6][32] = int_stack + 30000;
 Libderiv->deriv2_classes[3][4][32] = int_stack + 30168;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 30318;
 Libderiv->deriv2_classes[3][6][32] = int_stack + 30528;
 Libderiv->deriv2_classes[2][4][31] = int_stack + 30808;
 Libderiv->deriv2_classes[2][5][31] = int_stack + 30898;
 Libderiv->deriv2_classes[2][6][31] = int_stack + 31024;
 Libderiv->deriv2_classes[3][4][31] = int_stack + 31192;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 31342;
 Libderiv->deriv2_classes[3][6][31] = int_stack + 31552;
 Libderiv->deriv2_classes[2][4][30] = int_stack + 31832;
 Libderiv->deriv2_classes[2][5][30] = int_stack + 31922;
 Libderiv->deriv2_classes[2][6][30] = int_stack + 32048;
 Libderiv->deriv_classes[3][4][2] = int_stack + 32216;
 Libderiv->deriv2_classes[3][4][30] = int_stack + 32366;
 Libderiv->deriv_classes[3][5][2] = int_stack + 32516;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 32726;
 Libderiv->deriv2_classes[3][6][30] = int_stack + 32936;
 Libderiv->deriv2_classes[2][4][26] = int_stack + 33216;
 Libderiv->deriv2_classes[2][5][26] = int_stack + 33306;
 Libderiv->deriv2_classes[2][6][26] = int_stack + 33432;
 Libderiv->deriv2_classes[3][4][26] = int_stack + 33600;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 33750;
 Libderiv->deriv2_classes[3][6][26] = int_stack + 33960;
 Libderiv->deriv2_classes[2][4][23] = int_stack + 34240;
 Libderiv->deriv2_classes[2][5][23] = int_stack + 34330;
 Libderiv->deriv2_classes[2][6][23] = int_stack + 34456;
 Libderiv->deriv2_classes[3][4][23] = int_stack + 34624;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 34774;
 Libderiv->deriv2_classes[3][6][23] = int_stack + 34984;
 Libderiv->deriv2_classes[2][4][22] = int_stack + 35264;
 Libderiv->deriv2_classes[2][5][22] = int_stack + 35354;
 Libderiv->deriv2_classes[2][6][22] = int_stack + 35480;
 Libderiv->deriv2_classes[3][4][22] = int_stack + 35648;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 35798;
 Libderiv->deriv2_classes[3][6][22] = int_stack + 36008;
 Libderiv->deriv2_classes[2][4][21] = int_stack + 36288;
 Libderiv->deriv2_classes[2][5][21] = int_stack + 36378;
 Libderiv->deriv2_classes[2][6][21] = int_stack + 36504;
 Libderiv->deriv2_classes[3][4][21] = int_stack + 36672;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 36822;
 Libderiv->deriv2_classes[3][6][21] = int_stack + 37032;
 Libderiv->deriv2_classes[2][4][20] = int_stack + 37312;
 Libderiv->deriv2_classes[2][5][20] = int_stack + 37402;
 Libderiv->deriv2_classes[2][6][20] = int_stack + 37528;
 Libderiv->deriv2_classes[3][4][20] = int_stack + 37696;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 37846;
 Libderiv->deriv2_classes[3][6][20] = int_stack + 38056;
 Libderiv->deriv2_classes[2][4][19] = int_stack + 38336;
 Libderiv->deriv2_classes[2][5][19] = int_stack + 38426;
 Libderiv->deriv2_classes[2][6][19] = int_stack + 38552;
 Libderiv->deriv2_classes[3][4][19] = int_stack + 38720;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 38870;
 Libderiv->deriv2_classes[3][6][19] = int_stack + 39080;
 Libderiv->deriv2_classes[2][4][18] = int_stack + 39360;
 Libderiv->deriv2_classes[2][5][18] = int_stack + 39450;
 Libderiv->deriv2_classes[2][6][18] = int_stack + 39576;
 Libderiv->deriv_classes[3][4][1] = int_stack + 39744;
 Libderiv->deriv2_classes[3][4][18] = int_stack + 39894;
 Libderiv->deriv_classes[3][5][1] = int_stack + 40044;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 40254;
 Libderiv->deriv2_classes[3][6][18] = int_stack + 40464;
 Libderiv->deriv2_classes[2][4][14] = int_stack + 40744;
 Libderiv->deriv2_classes[2][5][14] = int_stack + 40834;
 Libderiv->deriv2_classes[2][6][14] = int_stack + 40960;
 Libderiv->deriv2_classes[3][4][14] = int_stack + 41128;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 41278;
 Libderiv->deriv2_classes[3][6][14] = int_stack + 41488;
 Libderiv->deriv2_classes[2][4][13] = int_stack + 41768;
 Libderiv->deriv2_classes[2][5][13] = int_stack + 41858;
 Libderiv->deriv2_classes[2][6][13] = int_stack + 41984;
 Libderiv->deriv2_classes[3][4][13] = int_stack + 42152;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 42302;
 Libderiv->deriv2_classes[3][6][13] = int_stack + 42512;
 Libderiv->deriv_classes[2][4][11] = int_stack + 42792;
 Libderiv->deriv_classes[2][5][11] = int_stack + 42882;
 Libderiv->deriv_classes[2][6][11] = int_stack + 43008;
 Libderiv->deriv2_classes[2][4][11] = int_stack + 43176;
 Libderiv->deriv2_classes[2][5][11] = int_stack + 43266;
 Libderiv->deriv2_classes[2][6][11] = int_stack + 43392;
 Libderiv->deriv2_classes[3][4][11] = int_stack + 43560;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 43710;
 Libderiv->deriv2_classes[3][6][11] = int_stack + 43920;
 Libderiv->deriv_classes[2][4][10] = int_stack + 44200;
 Libderiv->deriv_classes[2][5][10] = int_stack + 44290;
 Libderiv->deriv_classes[2][6][10] = int_stack + 44416;
 Libderiv->deriv2_classes[2][4][10] = int_stack + 44584;
 Libderiv->deriv2_classes[2][5][10] = int_stack + 44674;
 Libderiv->deriv2_classes[2][6][10] = int_stack + 44800;
 Libderiv->deriv2_classes[3][4][10] = int_stack + 44968;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 45118;
 Libderiv->deriv2_classes[3][6][10] = int_stack + 45328;
 Libderiv->deriv_classes[2][4][9] = int_stack + 45608;
 Libderiv->deriv_classes[2][5][9] = int_stack + 45698;
 Libderiv->deriv_classes[2][6][9] = int_stack + 45824;
 Libderiv->deriv2_classes[2][4][9] = int_stack + 45992;
 Libderiv->deriv2_classes[2][5][9] = int_stack + 46082;
 Libderiv->deriv2_classes[2][6][9] = int_stack + 46208;
 Libderiv->deriv2_classes[3][4][9] = int_stack + 46376;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 46526;
 Libderiv->deriv2_classes[3][6][9] = int_stack + 46736;
 Libderiv->deriv_classes[2][4][8] = int_stack + 47016;
 Libderiv->deriv_classes[2][5][8] = int_stack + 47106;
 Libderiv->deriv_classes[2][6][8] = int_stack + 47232;
 Libderiv->deriv2_classes[2][4][8] = int_stack + 47400;
 Libderiv->deriv2_classes[2][5][8] = int_stack + 47490;
 Libderiv->deriv2_classes[2][6][8] = int_stack + 47616;
 Libderiv->deriv2_classes[3][4][8] = int_stack + 47784;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 47934;
 Libderiv->deriv2_classes[3][6][8] = int_stack + 48144;
 Libderiv->deriv_classes[2][4][7] = int_stack + 48424;
 Libderiv->deriv_classes[2][5][7] = int_stack + 48514;
 Libderiv->deriv_classes[2][6][7] = int_stack + 48640;
 Libderiv->deriv2_classes[2][4][7] = int_stack + 48808;
 Libderiv->deriv2_classes[2][5][7] = int_stack + 48898;
 Libderiv->deriv2_classes[2][6][7] = int_stack + 49024;
 Libderiv->deriv2_classes[3][4][7] = int_stack + 49192;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 49342;
 Libderiv->deriv2_classes[3][6][7] = int_stack + 49552;
 Libderiv->dvrr_classes[2][4] = int_stack + 49832;
 Libderiv->deriv_classes[2][4][6] = int_stack + 49922;
 Libderiv->dvrr_classes[2][5] = int_stack + 50012;
 Libderiv->deriv_classes[2][5][6] = int_stack + 50138;
 Libderiv->deriv_classes[2][6][6] = int_stack + 50264;
 Libderiv->deriv2_classes[2][4][6] = int_stack + 50432;
 Libderiv->deriv2_classes[2][5][6] = int_stack + 50522;
 Libderiv->deriv2_classes[2][6][6] = int_stack + 50648;
 Libderiv->deriv_classes[3][4][0] = int_stack + 50816;
 Libderiv->deriv2_classes[3][4][6] = int_stack + 50966;
 Libderiv->deriv_classes[3][5][0] = int_stack + 51116;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 51326;
 Libderiv->deriv2_classes[3][6][6] = int_stack + 51536;
 Libderiv->deriv_classes[2][4][2] = int_stack + 51816;
 Libderiv->deriv_classes[2][5][2] = int_stack + 51906;
 Libderiv->deriv_classes[2][6][2] = int_stack + 52032;
 Libderiv->deriv2_classes[2][4][2] = int_stack + 52200;
 Libderiv->deriv2_classes[2][5][2] = int_stack + 52290;
 Libderiv->deriv2_classes[2][6][2] = int_stack + 52416;
 Libderiv->deriv2_classes[3][4][2] = int_stack + 52584;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 52734;
 Libderiv->deriv2_classes[3][6][2] = int_stack + 52944;
 Libderiv->deriv_classes[2][4][1] = int_stack + 53224;
 Libderiv->deriv_classes[2][5][1] = int_stack + 53314;
 Libderiv->deriv_classes[2][6][1] = int_stack + 53440;
 Libderiv->deriv2_classes[2][4][1] = int_stack + 53608;
 Libderiv->deriv2_classes[2][5][1] = int_stack + 53698;
 Libderiv->deriv2_classes[2][6][1] = int_stack + 53824;
 Libderiv->deriv2_classes[3][4][1] = int_stack + 53992;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 54142;
 Libderiv->deriv2_classes[3][6][1] = int_stack + 54352;
 Libderiv->deriv_classes[2][4][0] = int_stack + 54632;
 Libderiv->deriv_classes[2][5][0] = int_stack + 54722;
 Libderiv->deriv_classes[2][6][0] = int_stack + 54848;
 Libderiv->deriv2_classes[2][4][0] = int_stack + 55016;
 Libderiv->deriv2_classes[2][5][0] = int_stack + 55106;
 Libderiv->deriv2_classes[2][6][0] = int_stack + 55232;
 Libderiv->deriv2_classes[3][4][0] = int_stack + 55400;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 55550;
 Libderiv->deriv2_classes[3][6][0] = int_stack + 55760;
 memset(int_stack,0,448320);

 Libderiv->dvrr_stack = int_stack + 101058;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_dpgd(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+50012,int_stack+49832,6);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56310,int_stack+42882,int_stack+42792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49832,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+43008,int_stack+42882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50012,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+56958,int_stack+56580,int_stack+56310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+57498,int_stack+1400,int_stack+25562,10);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+57948,int_stack+18942,int_stack+18642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25562,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+58398,int_stack+0,int_stack+18942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+59028,int_stack+58398,int_stack+57948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+58398,int_stack+44290,int_stack+44200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49832, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+44416,int_stack+44290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50012, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+59928,int_stack+56580,int_stack+58398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56040, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+60468,int_stack+20326,int_stack+20026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25562, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+60918,int_stack+280,int_stack+20326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+61548,int_stack+60918,int_stack+60468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+60918,int_stack+45698,int_stack+45608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49832, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+45824,int_stack+45698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50012, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+56580,int_stack+60918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56040, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+62448,int_stack+21710,int_stack+21410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25562, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+62898,int_stack+560,int_stack+21710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+63528,int_stack+62898,int_stack+62448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+62898,int_stack+47106,int_stack+47016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+47232,int_stack+47106, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+64428,int_stack+56580,int_stack+62898, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+64968,int_stack+23094,int_stack+22794, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25562, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+65418,int_stack+840,int_stack+23094, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+66048,int_stack+65418,int_stack+64968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+65418,int_stack+48514,int_stack+48424, 0.0, zero_stack, 1.0, int_stack+49832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+48640,int_stack+48514, 0.0, zero_stack, 1.0, int_stack+50012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+540,int_stack+56580,int_stack+65418, 0.0, zero_stack, 1.0, int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+66948,int_stack+24478,int_stack+24178, 0.0, zero_stack, 1.0, int_stack+25562, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+67398,int_stack+1120,int_stack+24478, 0.0, zero_stack, 1.0, int_stack+1400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+68028,int_stack+67398,int_stack+66948, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+67398,int_stack+50138,int_stack+49922, 1.0, int_stack+49832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+50264,int_stack+50138, 1.0, int_stack+50012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+68928,int_stack+56580,int_stack+67398, 1.0, int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+26012,int_stack+25712, 1.0, int_stack+25562, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69918,int_stack+1610,int_stack+26012, 1.0, int_stack+1400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+70548,int_stack+69918,int_stack+69468, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+2450,int_stack+50012,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+69918,int_stack+56580,int_stack+56040,6);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+51906,int_stack+51816,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+52032,int_stack+51906,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+1080,int_stack+56580,int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+57498,int_stack+32516,int_stack+32216,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+71448,int_stack+1890,int_stack+32516,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+72078,int_stack+71448,int_stack+57498,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+71448,int_stack+53314,int_stack+53224,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+53440,int_stack+53314,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+1620,int_stack+56580,int_stack+71448,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+72978,int_stack+40044,int_stack+39744,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+73428,int_stack+2170,int_stack+40044,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+74058,int_stack+73428,int_stack+72978,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+73428,int_stack+54722,int_stack+54632,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+54848,int_stack+54722,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+74958,int_stack+56580,int_stack+73428,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2160,int_stack+51116,int_stack+50816,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+75498,int_stack+2618,int_stack+51116,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+76128,int_stack+75498,int_stack+2160,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+2988,int_stack+2898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+42792,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+3114,int_stack+2988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+42882,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2610,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+56310,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+3432,int_stack+3282, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+18642,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+77028,int_stack+3642,int_stack+3432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+18942,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+77658,int_stack+77028,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+57948,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+4012,int_stack+3922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42792, 1.0, int_stack+44200,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+4138,int_stack+4012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42882, 1.0, int_stack+44290,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+77028,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56310, 1.0, int_stack+58398,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+4456,int_stack+4306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18642, 1.0, int_stack+20026,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+4666,int_stack+4456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18942, 1.0, int_stack+20326,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3780,int_stack+3150,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57948, 1.0, int_stack+60468,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+5036,int_stack+4946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+44200, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+5162,int_stack+5036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+44290, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3150,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+58398, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+5480,int_stack+5330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+20026, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4680,int_stack+5690,int_stack+5480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+20326, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+78558,int_stack+4680,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+60468, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+6060,int_stack+5970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42792, 0.0, zero_stack, 1.0, int_stack+45608,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+6186,int_stack+6060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42882, 0.0, zero_stack, 1.0, int_stack+45698,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+4680,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56310, 0.0, zero_stack, 1.0, int_stack+60918,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+6504,int_stack+6354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18642, 0.0, zero_stack, 1.0, int_stack+21410,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5220,int_stack+6714,int_stack+6504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18942, 0.0, zero_stack, 1.0, int_stack+21710,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+5850,int_stack+5220,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57948, 0.0, zero_stack, 1.0, int_stack+62448,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+7084,int_stack+6994, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44200, 1.0, int_stack+45608, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+7210,int_stack+7084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44290, 1.0, int_stack+45698, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+5220,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58398, 1.0, int_stack+60918, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+7528,int_stack+7378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20026, 1.0, int_stack+21410, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6750,int_stack+7738,int_stack+7528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20326, 1.0, int_stack+21710, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+79458,int_stack+6750,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60468, 1.0, int_stack+62448, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+8108,int_stack+8018, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+45608, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+8234,int_stack+8108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+45698, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+6750,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+60918, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+8552,int_stack+8402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+21410, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7290,int_stack+8762,int_stack+8552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+21710, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+7920,int_stack+7290,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+62448, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+9132,int_stack+9042, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42792, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47016,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+9258,int_stack+9132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42882, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47106,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+7290,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62898,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+9576,int_stack+9426, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18642, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22794,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8820,int_stack+9786,int_stack+9576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18942, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23094,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+80358,int_stack+8820,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57948, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64968,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+10156,int_stack+10066, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44200, 0.0, zero_stack, 1.0, int_stack+47016, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+10282,int_stack+10156, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44290, 0.0, zero_stack, 1.0, int_stack+47106, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+8820,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58398, 0.0, zero_stack, 1.0, int_stack+62898, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+10600,int_stack+10450, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20026, 0.0, zero_stack, 1.0, int_stack+22794, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9360,int_stack+10810,int_stack+10600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20326, 0.0, zero_stack, 1.0, int_stack+23094, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+9990,int_stack+9360,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60468, 0.0, zero_stack, 1.0, int_stack+64968, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+11180,int_stack+11090, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45608, 1.0, int_stack+47016, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+11306,int_stack+11180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45698, 1.0, int_stack+47106, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+9360,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60918, 1.0, int_stack+62898, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+11624,int_stack+11474, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21410, 1.0, int_stack+22794, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+10890,int_stack+11834,int_stack+11624, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21710, 1.0, int_stack+23094, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+81258,int_stack+10890,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62448, 1.0, int_stack+64968, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+12204,int_stack+12114, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+47016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+12330,int_stack+12204, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+47106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+10890,int_stack+56580,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+62898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+12648,int_stack+12498, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+22794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11430,int_stack+12858,int_stack+12648, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+23094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+12060,int_stack+11430,int_stack+75498, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+64968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+13228,int_stack+13138, 0.0, zero_stack, 1.0, int_stack+42792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48424,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+13354,int_stack+13228, 0.0, zero_stack, 1.0, int_stack+42882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48514,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+11430,int_stack+56580,int_stack+75498, 0.0, zero_stack, 1.0, int_stack+56310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65418,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+13672,int_stack+13522, 0.0, zero_stack, 1.0, int_stack+18642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24178,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12960,int_stack+13882,int_stack+13672, 0.0, zero_stack, 1.0, int_stack+18942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24478,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+82158,int_stack+12960,int_stack+75498, 0.0, zero_stack, 1.0, int_stack+57948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66948,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+14252,int_stack+14162, 0.0, zero_stack, 1.0, int_stack+44200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48424, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+14378,int_stack+14252, 0.0, zero_stack, 1.0, int_stack+44290, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48514, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+12960,int_stack+56580,int_stack+75498, 0.0, zero_stack, 1.0, int_stack+58398, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65418, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+14696,int_stack+14546, 0.0, zero_stack, 1.0, int_stack+20026, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24178, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13500,int_stack+14906,int_stack+14696, 0.0, zero_stack, 1.0, int_stack+20326, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24478, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+14130,int_stack+13500,int_stack+75498, 0.0, zero_stack, 1.0, int_stack+60468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66948, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+15276,int_stack+15186, 0.0, zero_stack, 1.0, int_stack+45608, 0.0, zero_stack, 1.0, int_stack+48424, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+15402,int_stack+15276, 0.0, zero_stack, 1.0, int_stack+45698, 0.0, zero_stack, 1.0, int_stack+48514, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+15030,int_stack+56580,int_stack+75498, 0.0, zero_stack, 1.0, int_stack+60918, 0.0, zero_stack, 1.0, int_stack+65418, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+15720,int_stack+15570, 0.0, zero_stack, 1.0, int_stack+21410, 0.0, zero_stack, 1.0, int_stack+24178, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13500,int_stack+15930,int_stack+15720, 0.0, zero_stack, 1.0, int_stack+21710, 0.0, zero_stack, 1.0, int_stack+24478, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+83058,int_stack+13500,int_stack+75498, 0.0, zero_stack, 1.0, int_stack+62448, 0.0, zero_stack, 1.0, int_stack+66948, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+16300,int_stack+16210, 0.0, zero_stack, 1.0, int_stack+47016, 1.0, int_stack+48424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+16426,int_stack+16300, 0.0, zero_stack, 1.0, int_stack+47106, 1.0, int_stack+48514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+13500,int_stack+56580,int_stack+75498, 0.0, zero_stack, 1.0, int_stack+62898, 1.0, int_stack+65418, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+16744,int_stack+16594, 0.0, zero_stack, 1.0, int_stack+22794, 1.0, int_stack+24178, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15570,int_stack+16954,int_stack+16744, 0.0, zero_stack, 1.0, int_stack+23094, 1.0, int_stack+24478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+16200,int_stack+15570,int_stack+75498, 0.0, zero_stack, 1.0, int_stack+64968, 1.0, int_stack+66948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+17324,int_stack+17234, 0.0, zero_stack, 2.0, int_stack+48424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+17450,int_stack+17324, 0.0, zero_stack, 2.0, int_stack+48514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+15570,int_stack+56580,int_stack+75498, 0.0, zero_stack, 2.0, int_stack+65418, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+17768,int_stack+17618, 0.0, zero_stack, 2.0, int_stack+24178, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17100,int_stack+17978,int_stack+17768, 0.0, zero_stack, 2.0, int_stack+24478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+83958,int_stack+17100,int_stack+75498, 0.0, zero_stack, 2.0, int_stack+66948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+18348,int_stack+18258, 1.0, int_stack+42792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49922,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56580,int_stack+18474,int_stack+18348, 1.0, int_stack+42882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50138,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+17100,int_stack+56580,int_stack+75498, 1.0, int_stack+56310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67398,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56310,int_stack+19152,int_stack+18792, 1.0, int_stack+18642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25712,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+75498,int_stack+19362,int_stack+19152, 1.0, int_stack+18942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26012,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+17640,int_stack+75498,int_stack+56310, 1.0, int_stack+57948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69468,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+57948,int_stack+19732,int_stack+19642, 1.0, int_stack+44200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49922, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56310,int_stack+19858,int_stack+19732, 1.0, int_stack+44290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50138, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+75498,int_stack+56310,int_stack+57948, 1.0, int_stack+58398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67398, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+57948,int_stack+20536,int_stack+20176, 1.0, int_stack+20026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25712, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+58398,int_stack+20746,int_stack+20536, 1.0, int_stack+20326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26012, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+18540,int_stack+58398,int_stack+57948, 1.0, int_stack+60468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69468, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+60468,int_stack+21116,int_stack+21026, 1.0, int_stack+45608, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49922, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+21242,int_stack+21116, 1.0, int_stack+45698, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50138, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+58326,int_stack+57948,int_stack+60468, 1.0, int_stack+60918, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67398, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+60468,int_stack+21920,int_stack+21560, 1.0, int_stack+21410, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25712, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+60918,int_stack+22130,int_stack+21920, 1.0, int_stack+21710, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26012, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+19440,int_stack+60918,int_stack+60468, 1.0, int_stack+62448, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69468, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+62448,int_stack+22500,int_stack+22410, 1.0, int_stack+47016, 0.0, zero_stack, 1.0, int_stack+49922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+22626,int_stack+22500, 1.0, int_stack+47106, 0.0, zero_stack, 1.0, int_stack+50138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+60468,int_stack+57948,int_stack+62448, 1.0, int_stack+62898, 0.0, zero_stack, 1.0, int_stack+67398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+62448,int_stack+23304,int_stack+22944, 1.0, int_stack+22794, 0.0, zero_stack, 1.0, int_stack+25712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+62898,int_stack+23514,int_stack+23304, 1.0, int_stack+23094, 0.0, zero_stack, 1.0, int_stack+26012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+20340,int_stack+62898,int_stack+62448, 1.0, int_stack+64968, 0.0, zero_stack, 1.0, int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+64968,int_stack+23884,int_stack+23794, 1.0, int_stack+48424, 1.0, int_stack+49922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+24010,int_stack+23884, 1.0, int_stack+48514, 1.0, int_stack+50138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+61008,int_stack+57948,int_stack+64968, 1.0, int_stack+65418, 1.0, int_stack+67398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+64968,int_stack+24688,int_stack+24328, 1.0, int_stack+24178, 1.0, int_stack+25712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+65418,int_stack+24898,int_stack+24688, 1.0, int_stack+24478, 1.0, int_stack+26012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+62448,int_stack+65418,int_stack+64968, 1.0, int_stack+66948, 1.0, int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+66948,int_stack+25268,int_stack+25178, 2.0, int_stack+49922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+25394,int_stack+25268, 2.0, int_stack+50138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+64968,int_stack+57948,int_stack+66948, 2.0, int_stack+67398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+66948,int_stack+26222,int_stack+25862, 2.0, int_stack+25712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+67398,int_stack+26432,int_stack+26222, 2.0, int_stack+26012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+21240,int_stack+67398,int_stack+66948, 2.0, int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+26802,int_stack+26712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51816,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+26928,int_stack+26802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51906,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+65508,int_stack+57948,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+27246,int_stack+27096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32216,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+66948,int_stack+27456,int_stack+27246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32516,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+22140,int_stack+66948,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+27826,int_stack+27736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51816, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+27952,int_stack+27826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51906, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+66948,int_stack+57948,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56040, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+28270,int_stack+28120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32216, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56310,int_stack+28480,int_stack+28270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32516, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+23040,int_stack+56310,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+28850,int_stack+28760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51816, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+28976,int_stack+28850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51906, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+67488,int_stack+57948,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56040, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+29294,int_stack+29144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32216, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56310,int_stack+29504,int_stack+29294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32516, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+23940,int_stack+56310,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+29874,int_stack+29784, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+30000,int_stack+29874, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+56310,int_stack+57948,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+30318,int_stack+30168, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24840,int_stack+30528,int_stack+30318, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+25470,int_stack+24840,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+30898,int_stack+30808, 0.0, zero_stack, 1.0, int_stack+51816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+31024,int_stack+30898, 0.0, zero_stack, 1.0, int_stack+51906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+24840,int_stack+57948,int_stack+69468, 0.0, zero_stack, 1.0, int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+31342,int_stack+31192, 0.0, zero_stack, 1.0, int_stack+32216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26370,int_stack+31552,int_stack+31342, 0.0, zero_stack, 1.0, int_stack+32516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+27000,int_stack+26370,int_stack+69468, 0.0, zero_stack, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+31922,int_stack+31832, 1.0, int_stack+51816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57948,int_stack+32048,int_stack+31922, 1.0, int_stack+51906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+26370,int_stack+57948,int_stack+69468, 1.0, int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+32726,int_stack+32366, 1.0, int_stack+32216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27900,int_stack+32936,int_stack+32726, 1.0, int_stack+32516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+28530,int_stack+27900,int_stack+69468, 1.0, int_stack+57498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+33306,int_stack+33216,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+57498,int_stack+33432,int_stack+33306,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+27900,int_stack+57498,int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+33750,int_stack+33600,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+57498,int_stack+33960,int_stack+33750,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+29430,int_stack+57498,int_stack+69468,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+34330,int_stack+34240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53224,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69468,int_stack+34456,int_stack+34330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53314,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+57498,int_stack+69468,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71448,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+34774,int_stack+34624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39744,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+30330,int_stack+34984,int_stack+34774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40044,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+30960,int_stack+30330,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72978,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+35354,int_stack+35264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53224, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69468,int_stack+35480,int_stack+35354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53314, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+30330,int_stack+69468,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71448, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+35798,int_stack+35648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39744, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+31860,int_stack+36008,int_stack+35798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40044, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+32490,int_stack+31860,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72978, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+36378,int_stack+36288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53224, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69468,int_stack+36504,int_stack+36378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53314, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+31860,int_stack+69468,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71448, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+36822,int_stack+36672, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39744, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33390,int_stack+37032,int_stack+36822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40044, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+34020,int_stack+33390,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72978, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+37402,int_stack+37312, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69468,int_stack+37528,int_stack+37402, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+33390,int_stack+69468,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+37846,int_stack+37696, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+34920,int_stack+38056,int_stack+37846, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+35550,int_stack+34920,int_stack+69468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+38426,int_stack+38336, 0.0, zero_stack, 1.0, int_stack+53224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69468,int_stack+38552,int_stack+38426, 0.0, zero_stack, 1.0, int_stack+53314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+34920,int_stack+69468,int_stack+56040, 0.0, zero_stack, 1.0, int_stack+71448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+38870,int_stack+38720, 0.0, zero_stack, 1.0, int_stack+39744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36450,int_stack+39080,int_stack+38870, 0.0, zero_stack, 1.0, int_stack+40044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+37080,int_stack+36450,int_stack+69468, 0.0, zero_stack, 1.0, int_stack+72978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+39450,int_stack+39360, 1.0, int_stack+53224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69468,int_stack+39576,int_stack+39450, 1.0, int_stack+53314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+36450,int_stack+69468,int_stack+56040, 1.0, int_stack+71448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+40254,int_stack+39894, 1.0, int_stack+39744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+71448,int_stack+40464,int_stack+40254, 1.0, int_stack+40044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+37980,int_stack+71448,int_stack+69468, 1.0, int_stack+72978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+40834,int_stack+40744,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+40960,int_stack+40834,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+71448,int_stack+72978,int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+72978,int_stack+41278,int_stack+41128,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+38880,int_stack+41488,int_stack+41278,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+39510,int_stack+38880,int_stack+72978,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+41858,int_stack+41768,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+41984,int_stack+41858,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+38880,int_stack+72978,int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+72978,int_stack+42302,int_stack+42152,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40410,int_stack+42512,int_stack+42302,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+41040,int_stack+40410,int_stack+72978,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+43266,int_stack+43176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54632,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+43392,int_stack+43266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54722,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+40410,int_stack+72978,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73428,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+72978,int_stack+43710,int_stack+43560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50816,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+41940,int_stack+43920,int_stack+43710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51116,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+42570,int_stack+41940,int_stack+72978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2160,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+44674,int_stack+44584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54632, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+44800,int_stack+44674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54722, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+41940,int_stack+72978,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73428, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+72978,int_stack+45118,int_stack+44968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50816, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43470,int_stack+45328,int_stack+45118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51116, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+44100,int_stack+43470,int_stack+72978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2160, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+46082,int_stack+45992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54632, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+46208,int_stack+46082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54722, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+43470,int_stack+72978,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73428, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+72978,int_stack+46526,int_stack+46376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50816, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+45000,int_stack+46736,int_stack+46526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51116, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+45630,int_stack+45000,int_stack+72978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2160, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+47490,int_stack+47400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+47616,int_stack+47490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+45000,int_stack+72978,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+72978,int_stack+47934,int_stack+47784, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+46530,int_stack+48144,int_stack+47934, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+47160,int_stack+46530,int_stack+72978, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+48898,int_stack+48808, 0.0, zero_stack, 1.0, int_stack+54632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+49024,int_stack+48898, 0.0, zero_stack, 1.0, int_stack+54722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+46530,int_stack+72978,int_stack+56040, 0.0, zero_stack, 1.0, int_stack+73428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+72978,int_stack+49342,int_stack+49192, 0.0, zero_stack, 1.0, int_stack+50816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+48060,int_stack+49552,int_stack+49342, 0.0, zero_stack, 1.0, int_stack+51116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+48690,int_stack+48060,int_stack+72978, 0.0, zero_stack, 1.0, int_stack+2160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+50522,int_stack+50432, 1.0, int_stack+54632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+50648,int_stack+50522, 1.0, int_stack+54722, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+48060,int_stack+72978,int_stack+56040, 1.0, int_stack+73428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69468,int_stack+51326,int_stack+50966, 1.0, int_stack+50816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72978,int_stack+51536,int_stack+51326, 1.0, int_stack+51116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+49590,int_stack+72978,int_stack+69468, 1.0, int_stack+2160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+52290,int_stack+52200,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2160,int_stack+52416,int_stack+52290,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+72978,int_stack+2160,int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2160,int_stack+52734,int_stack+52584,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+50490,int_stack+52944,int_stack+52734,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+51120,int_stack+50490,int_stack+2160,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+53698,int_stack+53608,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2160,int_stack+53824,int_stack+53698,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+73518,int_stack+2160,int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2160,int_stack+54142,int_stack+53992,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+50490,int_stack+54352,int_stack+54142,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+52020,int_stack+50490,int_stack+2160,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+56040,int_stack+55106,int_stack+55016,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2160,int_stack+55232,int_stack+55106,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+50490,int_stack+2160,int_stack+56040,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2160,int_stack+55550,int_stack+55400,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+52920,int_stack+55760,int_stack+55550,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+53550,int_stack+52920,int_stack+2160,10);
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+54450,int_stack+59028,int_stack+56958,90);
     Libderiv->ABCD[11] = int_stack + 54450;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+84858,int_stack+61548,int_stack+59928,90);
     Libderiv->ABCD[10] = int_stack + 84858;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+86478,int_stack+63528,int_stack+0,90);
     Libderiv->ABCD[9] = int_stack + 86478;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+88098,int_stack+66048,int_stack+64428,90);
     Libderiv->ABCD[8] = int_stack + 88098;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+89718,int_stack+68028,int_stack+540,90);
     Libderiv->ABCD[7] = int_stack + 89718;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+91338,int_stack+70548,int_stack+68928,90);
     Libderiv->ABCD[6] = int_stack + 91338;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+92958,int_stack+72078,int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[2] = int_stack + 92958;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+94578,int_stack+74058,int_stack+1620, 0.0, zero_stack, 1.0, int_stack+69918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[1] = int_stack + 94578;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+96198,int_stack+76128,int_stack+74958, 1.0, int_stack+69918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[0] = int_stack + 96198;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+69468,int_stack+77658,int_stack+2610,90);
     Libderiv->ABCD[155] = int_stack + 69468;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+97818,int_stack+3780,int_stack+77028,90);
     Libderiv->ABCD[143] = int_stack + 97818;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+76038,int_stack+78558,int_stack+3150,90);
     Libderiv->ABCD[142] = int_stack + 76038;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+2160,int_stack+5850,int_stack+4680,90);
     Libderiv->ABCD[131] = int_stack + 2160;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+77658,int_stack+79458,int_stack+5220,90);
     Libderiv->ABCD[130] = int_stack + 77658;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+3780,int_stack+7920,int_stack+6750,90);
     Libderiv->ABCD[129] = int_stack + 3780;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+5400,int_stack+80358,int_stack+7290,90);
     Libderiv->ABCD[119] = int_stack + 5400;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+7020,int_stack+9990,int_stack+8820,90);
     Libderiv->ABCD[118] = int_stack + 7020;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+79278,int_stack+81258,int_stack+9360,90);
     Libderiv->ABCD[117] = int_stack + 79278;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+8640,int_stack+12060,int_stack+10890,90);
     Libderiv->ABCD[116] = int_stack + 8640;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+99438,int_stack+82158,int_stack+11430,90);
     Libderiv->ABCD[107] = int_stack + 99438;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+10260,int_stack+14130,int_stack+12960,90);
     Libderiv->ABCD[106] = int_stack + 10260;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+11880,int_stack+83058,int_stack+15030,90);
     Libderiv->ABCD[105] = int_stack + 11880;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+80898,int_stack+16200,int_stack+13500,90);
     Libderiv->ABCD[104] = int_stack + 80898;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+13500,int_stack+83958,int_stack+15570,90);
     Libderiv->ABCD[103] = int_stack + 13500;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+15120,int_stack+17640,int_stack+17100,90);
     Libderiv->ABCD[95] = int_stack + 15120;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+16740,int_stack+18540,int_stack+75498,90);
     Libderiv->ABCD[94] = int_stack + 16740;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+82518,int_stack+19440,int_stack+58326,90);
     Libderiv->ABCD[93] = int_stack + 82518;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+18360,int_stack+20340,int_stack+60468,90);
     Libderiv->ABCD[92] = int_stack + 18360;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+58038,int_stack+62448,int_stack+61008,90);
     Libderiv->ABCD[91] = int_stack + 58038;
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+60468,int_stack+21240,int_stack+64968,90);
     Libderiv->ABCD[90] = int_stack + 60468;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+62088,int_stack+22140,int_stack+65508, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[47] = int_stack + 62088;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+64968,int_stack+23040,int_stack+66948, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[46] = int_stack + 64968;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+19980,int_stack+23940,int_stack+67488, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[45] = int_stack + 19980;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+66588,int_stack+25470,int_stack+56310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[44] = int_stack + 66588;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+21600,int_stack+27000,int_stack+24840, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[43] = int_stack + 21600;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+23220,int_stack+28530,int_stack+26370, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[42] = int_stack + 23220;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+24840,int_stack+29430,int_stack+27900, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[38] = int_stack + 24840;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+26460,int_stack+30960,int_stack+57498, 0.0, zero_stack, 1.0, int_stack+56958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[35] = int_stack + 26460;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+28080,int_stack+32490,int_stack+30330, 0.0, zero_stack, 1.0, int_stack+59928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[34] = int_stack + 28080;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+29700,int_stack+34020,int_stack+31860, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[33] = int_stack + 29700;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+31320,int_stack+35550,int_stack+33390, 0.0, zero_stack, 1.0, int_stack+64428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[32] = int_stack + 31320;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+32940,int_stack+37080,int_stack+34920, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[31] = int_stack + 32940;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+34560,int_stack+37980,int_stack+36450, 0.0, zero_stack, 1.0, int_stack+68928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[30] = int_stack + 34560;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+36180,int_stack+39510,int_stack+71448, 0.0, zero_stack, 1.0, int_stack+1080, 1.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[26] = int_stack + 36180;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+71088,int_stack+41040,int_stack+38880, 0.0, zero_stack, 2.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[25] = int_stack + 71088;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+37800,int_stack+42570,int_stack+40410, 1.0, int_stack+56958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[23] = int_stack + 37800;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+39420,int_stack+44100,int_stack+41940, 1.0, int_stack+59928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[22] = int_stack + 39420;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+41040,int_stack+45630,int_stack+43470, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[21] = int_stack + 41040;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+42660,int_stack+47160,int_stack+45000, 1.0, int_stack+64428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[20] = int_stack + 42660;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+44280,int_stack+48690,int_stack+46530, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[19] = int_stack + 44280;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+45900,int_stack+49590,int_stack+48060, 1.0, int_stack+68928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[18] = int_stack + 45900;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+47520,int_stack+51120,int_stack+72978, 1.0, int_stack+1080, 0.0, zero_stack, 1.0, int_stack+74958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[14] = int_stack + 47520;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+52020,int_stack+73518, 1.0, int_stack+1620, 1.0, int_stack+74958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[13] = int_stack + 0;
 /*--- compute (dp|gd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+51030,int_stack+53550,int_stack+50490, 2.0, int_stack+74958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,90);
     Libderiv->ABCD[12] = int_stack + 51030;

}
