#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_fdh0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|h0) integrals */

void d12hrr_order_fdh0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][5][10] = int_stack + 441;
 Libderiv->deriv_classes[5][5][9] = int_stack + 882;
 Libderiv->deriv_classes[5][5][8] = int_stack + 1323;
 Libderiv->deriv_classes[5][5][7] = int_stack + 1764;
 Libderiv->deriv_classes[5][5][6] = int_stack + 2205;
 Libderiv->deriv_classes[5][5][2] = int_stack + 2646;
 Libderiv->deriv_classes[5][5][1] = int_stack + 3087;
 Libderiv->dvrr_classes[4][5] = int_stack + 3528;
 Libderiv->deriv_classes[5][5][0] = int_stack + 3843;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 4284;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 4494;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 4809;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 5250;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 5460;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 5775;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 6216;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 6426;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 6741;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 7182;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 7392;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 7707;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 8148;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 8358;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 8673;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 9114;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 9324;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 9639;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 10080;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 10290;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 10605;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 11046;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 11256;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 11571;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 12012;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 12222;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 12537;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 12978;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 13188;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 13503;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 13944;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 14154;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 14469;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 14910;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 15120;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 15435;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 15876;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 16086;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 16401;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 16842;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 17052;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 17367;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 17808;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 18018;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 18333;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 18774;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 18984;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 19299;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 19740;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 19950;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 20265;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 20706;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 20916;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 21231;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 21672;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 21882;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 22197;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 22638;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 22848;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 23163;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 23604;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 23814;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 24129;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 24570;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 24780;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 25095;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 25536;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 25746;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 26061;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 26502;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 26712;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 27027;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 27468;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 27678;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 27993;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 28434;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 28644;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 28959;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 29400;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 29610;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 29925;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 30366;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 30576;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 30891;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 31332;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 31542;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 31857;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 32298;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 32508;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 32823;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 33264;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 33474;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 33789;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 34230;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 34440;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 34755;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 35196;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 35406;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 35721;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 36162;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 36372;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 36687;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 37128;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 37338;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 37653;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 38094;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 38304;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 38619;
 Libderiv->deriv_classes[3][5][11] = int_stack + 39060;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 39270;
 Libderiv->deriv_classes[4][5][11] = int_stack + 39480;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 39795;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 40110;
 Libderiv->deriv_classes[3][5][10] = int_stack + 40551;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 40761;
 Libderiv->deriv_classes[4][5][10] = int_stack + 40971;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 41286;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 41601;
 Libderiv->deriv_classes[3][5][9] = int_stack + 42042;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 42252;
 Libderiv->deriv_classes[4][5][9] = int_stack + 42462;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 42777;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 43092;
 Libderiv->deriv_classes[3][5][8] = int_stack + 43533;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 43743;
 Libderiv->deriv_classes[4][5][8] = int_stack + 43953;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 44268;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 44583;
 Libderiv->deriv_classes[3][5][7] = int_stack + 45024;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 45234;
 Libderiv->deriv_classes[4][5][7] = int_stack + 45444;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 45759;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 46074;
 Libderiv->deriv_classes[3][5][6] = int_stack + 46515;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 46725;
 Libderiv->deriv_classes[4][5][6] = int_stack + 46935;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 47250;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 47565;
 Libderiv->deriv_classes[3][5][2] = int_stack + 48006;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 48216;
 Libderiv->deriv_classes[4][5][2] = int_stack + 48426;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 48741;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 49056;
 Libderiv->deriv_classes[3][5][1] = int_stack + 49497;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 49707;
 Libderiv->deriv_classes[4][5][1] = int_stack + 49917;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 50232;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 50547;
 Libderiv->dvrr_classes[3][5] = int_stack + 50988;
 Libderiv->deriv_classes[3][5][0] = int_stack + 51198;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 51408;
 Libderiv->deriv_classes[4][5][0] = int_stack + 51618;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 51933;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 52248;
 memset(int_stack,0,421512);

 Libderiv->dvrr_stack = int_stack + 93324;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_fdh0(Libderiv, Data);
   Data++;
 }

 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+52689,int_stack+39480,int_stack+39060,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+53319,int_stack+0,int_stack+39480,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+54264,int_stack+40971,int_stack+40551,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+54894,int_stack+441,int_stack+40971,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+42462,int_stack+42042,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+55839,int_stack+882,int_stack+42462,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+630,int_stack+43953,int_stack+43533,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+56784,int_stack+1323,int_stack+43953,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+57729,int_stack+45444,int_stack+45024,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+58359,int_stack+1764,int_stack+45444,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+1260,int_stack+46935,int_stack+46515,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+59304,int_stack+2205,int_stack+46935,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+1890,int_stack+3528,int_stack+50988,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+60249,int_stack+48426,int_stack+48006, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+60879,int_stack+2646,int_stack+48426, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+61824,int_stack+49917,int_stack+49497, 0.0, zero_stack, 1.0, int_stack+50988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+62454,int_stack+3087,int_stack+49917, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+2520,int_stack+51618,int_stack+51198, 1.0, int_stack+50988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+63399,int_stack+3843,int_stack+51618, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+3150,int_stack+4494,int_stack+4284,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+64344,int_stack+4809,int_stack+4494,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+3780,int_stack+5460,int_stack+5250,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+4410,int_stack+5775,int_stack+5460,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+5355,int_stack+6426,int_stack+6216,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+65289,int_stack+6741,int_stack+6426,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+5985,int_stack+7392,int_stack+7182,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+66234,int_stack+7707,int_stack+7392,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+6615,int_stack+8358,int_stack+8148,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+7245,int_stack+8673,int_stack+8358,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+8190,int_stack+9324,int_stack+9114,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+67179,int_stack+9639,int_stack+9324,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+8820,int_stack+10290,int_stack+10080,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+68124,int_stack+10605,int_stack+10290,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+9450,int_stack+11256,int_stack+11046,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+10080,int_stack+11571,int_stack+11256,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+11025,int_stack+12222,int_stack+12012,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+69069,int_stack+12537,int_stack+12222,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+11655,int_stack+13188,int_stack+12978,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+70014,int_stack+13503,int_stack+13188,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+12285,int_stack+14154,int_stack+13944,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+12915,int_stack+14469,int_stack+14154,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+13860,int_stack+15120,int_stack+14910,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+70959,int_stack+15435,int_stack+15120,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+14490,int_stack+16086,int_stack+15876,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+15120,int_stack+16401,int_stack+16086,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+16065,int_stack+17052,int_stack+16842,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+71904,int_stack+17367,int_stack+17052,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+16695,int_stack+18018,int_stack+17808,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+72849,int_stack+18333,int_stack+18018,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+17325,int_stack+18984,int_stack+18774,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+17955,int_stack+19299,int_stack+18984,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+18900,int_stack+19950,int_stack+19740,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+73794,int_stack+20265,int_stack+19950,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+19530,int_stack+20916,int_stack+20706,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+74739,int_stack+21231,int_stack+20916,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+20160,int_stack+21882,int_stack+21672,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+20790,int_stack+22197,int_stack+21882,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+21735,int_stack+22848,int_stack+22638,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+75684,int_stack+23163,int_stack+22848,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+22365,int_stack+23814,int_stack+23604,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+76629,int_stack+24129,int_stack+23814,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+22995,int_stack+24780,int_stack+24570, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+23625,int_stack+25095,int_stack+24780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+24570,int_stack+25746,int_stack+25536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40551, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+77574,int_stack+26061,int_stack+25746, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+25200,int_stack+26712,int_stack+26502, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42042, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+78519,int_stack+27027,int_stack+26712, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+25830,int_stack+27678,int_stack+27468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43533, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+26460,int_stack+27993,int_stack+27678, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+27405,int_stack+28644,int_stack+28434, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+79464,int_stack+28959,int_stack+28644, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+28035,int_stack+29610,int_stack+29400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+28665,int_stack+29925,int_stack+29610, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+29610,int_stack+30576,int_stack+30366, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+48006, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+80409,int_stack+30891,int_stack+30576, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+48426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+30240,int_stack+31542,int_stack+31332, 0.0, zero_stack, 1.0, int_stack+39060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+81354,int_stack+31857,int_stack+31542, 0.0, zero_stack, 1.0, int_stack+39480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+30870,int_stack+32508,int_stack+32298, 0.0, zero_stack, 1.0, int_stack+40551, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+31500,int_stack+32823,int_stack+32508, 0.0, zero_stack, 1.0, int_stack+40971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+32445,int_stack+33474,int_stack+33264, 0.0, zero_stack, 1.0, int_stack+42042, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+82299,int_stack+33789,int_stack+33474, 0.0, zero_stack, 1.0, int_stack+42462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+33075,int_stack+34440,int_stack+34230, 0.0, zero_stack, 1.0, int_stack+43533, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+83244,int_stack+34755,int_stack+34440, 0.0, zero_stack, 1.0, int_stack+43953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+33705,int_stack+35406,int_stack+35196, 0.0, zero_stack, 1.0, int_stack+45024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+34335,int_stack+35721,int_stack+35406, 0.0, zero_stack, 1.0, int_stack+45444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+35280,int_stack+36372,int_stack+36162, 0.0, zero_stack, 1.0, int_stack+46515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+84189,int_stack+36687,int_stack+36372, 0.0, zero_stack, 1.0, int_stack+46935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+35910,int_stack+37338,int_stack+37128, 0.0, zero_stack, 1.0, int_stack+48006, 1.0, int_stack+49497, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+85134,int_stack+37653,int_stack+37338, 0.0, zero_stack, 1.0, int_stack+48426, 1.0, int_stack+49917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+36540,int_stack+38304,int_stack+38094, 0.0, zero_stack, 2.0, int_stack+49497, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+37170,int_stack+38619,int_stack+38304, 0.0, zero_stack, 2.0, int_stack+49917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+38115,int_stack+39795,int_stack+39270, 1.0, int_stack+39060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+86079,int_stack+40110,int_stack+39795, 1.0, int_stack+39480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+38745,int_stack+41286,int_stack+40761, 1.0, int_stack+40551, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+39375,int_stack+41601,int_stack+41286, 1.0, int_stack+40971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+40320,int_stack+42777,int_stack+42252, 1.0, int_stack+42042, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+40950,int_stack+43092,int_stack+42777, 1.0, int_stack+42462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+41895,int_stack+44268,int_stack+43743, 1.0, int_stack+43533, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+42525,int_stack+44583,int_stack+44268, 1.0, int_stack+43953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+43470,int_stack+45759,int_stack+45234, 1.0, int_stack+45024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+44100,int_stack+46074,int_stack+45759, 1.0, int_stack+45444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+45045,int_stack+47250,int_stack+46725, 1.0, int_stack+46515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+45675,int_stack+47565,int_stack+47250, 1.0, int_stack+46935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+46620,int_stack+48741,int_stack+48216, 1.0, int_stack+48006, 0.0, zero_stack, 1.0, int_stack+51198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+47250,int_stack+49056,int_stack+48741, 1.0, int_stack+48426, 0.0, zero_stack, 1.0, int_stack+51618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+48195,int_stack+50232,int_stack+49707, 1.0, int_stack+49497, 1.0, int_stack+51198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+48825,int_stack+50547,int_stack+50232, 1.0, int_stack+49917, 1.0, int_stack+51618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+49770,int_stack+51933,int_stack+51408, 2.0, int_stack+51198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+50400,int_stack+52248,int_stack+51933, 2.0, int_stack+51618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+51345,int_stack+53319,int_stack+52689,21);
     Libderiv->ABCD[11] = int_stack + 51345;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+87024,int_stack+54894,int_stack+54264,21);
     Libderiv->ABCD[10] = int_stack + 87024;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+88284,int_stack+55839,int_stack+0,21);
     Libderiv->ABCD[9] = int_stack + 88284;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+54894,int_stack+56784,int_stack+630,21);
     Libderiv->ABCD[8] = int_stack + 54894;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+56154,int_stack+58359,int_stack+57729,21);
     Libderiv->ABCD[7] = int_stack + 56154;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+89544,int_stack+59304,int_stack+1260,21);
     Libderiv->ABCD[6] = int_stack + 89544;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+58359,int_stack+60879,int_stack+60249, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[2] = int_stack + 58359;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+90804,int_stack+62454,int_stack+61824, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[1] = int_stack + 90804;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+92064,int_stack+63399,int_stack+2520, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[0] = int_stack + 92064;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+62454,int_stack+64344,int_stack+3150,21);
     Libderiv->ABCD[155] = int_stack + 62454;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+63714,int_stack+4410,int_stack+3780,21);
     Libderiv->ABCD[143] = int_stack + 63714;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+3150,int_stack+65289,int_stack+5355,21);
     Libderiv->ABCD[142] = int_stack + 3150;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+64974,int_stack+66234,int_stack+5985,21);
     Libderiv->ABCD[131] = int_stack + 64974;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+4410,int_stack+7245,int_stack+6615,21);
     Libderiv->ABCD[130] = int_stack + 4410;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+5670,int_stack+67179,int_stack+8190,21);
     Libderiv->ABCD[129] = int_stack + 5670;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+66234,int_stack+68124,int_stack+8820,21);
     Libderiv->ABCD[119] = int_stack + 66234;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+67494,int_stack+10080,int_stack+9450,21);
     Libderiv->ABCD[118] = int_stack + 67494;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+6930,int_stack+69069,int_stack+11025,21);
     Libderiv->ABCD[117] = int_stack + 6930;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+68754,int_stack+70014,int_stack+11655,21);
     Libderiv->ABCD[116] = int_stack + 68754;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+8190,int_stack+12915,int_stack+12285,21);
     Libderiv->ABCD[107] = int_stack + 8190;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+9450,int_stack+70959,int_stack+13860,21);
     Libderiv->ABCD[106] = int_stack + 9450;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+70014,int_stack+15120,int_stack+14490,21);
     Libderiv->ABCD[105] = int_stack + 70014;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+10710,int_stack+71904,int_stack+16065,21);
     Libderiv->ABCD[104] = int_stack + 10710;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+71274,int_stack+72849,int_stack+16695,21);
     Libderiv->ABCD[103] = int_stack + 71274;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+72534,int_stack+17955,int_stack+17325,21);
     Libderiv->ABCD[95] = int_stack + 72534;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+11970,int_stack+73794,int_stack+18900,21);
     Libderiv->ABCD[94] = int_stack + 11970;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+13230,int_stack+74739,int_stack+19530,21);
     Libderiv->ABCD[93] = int_stack + 13230;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+73794,int_stack+20790,int_stack+20160,21);
     Libderiv->ABCD[92] = int_stack + 73794;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+14490,int_stack+75684,int_stack+21735,21);
     Libderiv->ABCD[91] = int_stack + 14490;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+75054,int_stack+76629,int_stack+22365,21);
     Libderiv->ABCD[90] = int_stack + 75054;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+76314,int_stack+23625,int_stack+22995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[47] = int_stack + 76314;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+15750,int_stack+77574,int_stack+24570, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[46] = int_stack + 15750;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+17010,int_stack+78519,int_stack+25200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[45] = int_stack + 17010;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+77574,int_stack+26460,int_stack+25830, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[44] = int_stack + 77574;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+18270,int_stack+79464,int_stack+27405, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[43] = int_stack + 18270;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+78834,int_stack+28665,int_stack+28035, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[42] = int_stack + 78834;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+19530,int_stack+80409,int_stack+29610, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+60249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[38] = int_stack + 19530;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+80094,int_stack+81354,int_stack+30240, 0.0, zero_stack, 1.0, int_stack+52689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[35] = int_stack + 80094;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+20790,int_stack+31500,int_stack+30870, 0.0, zero_stack, 1.0, int_stack+54264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[34] = int_stack + 20790;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+22050,int_stack+82299,int_stack+32445, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[33] = int_stack + 22050;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+81354,int_stack+83244,int_stack+33075, 0.0, zero_stack, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[32] = int_stack + 81354;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+82614,int_stack+34335,int_stack+33705, 0.0, zero_stack, 1.0, int_stack+57729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[31] = int_stack + 82614;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+23310,int_stack+84189,int_stack+35280, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[30] = int_stack + 23310;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+83874,int_stack+85134,int_stack+35910, 0.0, zero_stack, 1.0, int_stack+60249, 1.0, int_stack+61824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[26] = int_stack + 83874;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+24570,int_stack+37170,int_stack+36540, 0.0, zero_stack, 2.0, int_stack+61824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[25] = int_stack + 24570;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+25830,int_stack+86079,int_stack+38115, 1.0, int_stack+52689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[23] = int_stack + 25830;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+85134,int_stack+39375,int_stack+38745, 1.0, int_stack+54264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[22] = int_stack + 85134;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+27090,int_stack+40950,int_stack+40320, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[21] = int_stack + 27090;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+28350,int_stack+42525,int_stack+41895, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[20] = int_stack + 28350;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+0,int_stack+44100,int_stack+43470, 1.0, int_stack+57729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[19] = int_stack + 0;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+29610,int_stack+45675,int_stack+45045, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[18] = int_stack + 29610;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+1260,int_stack+47250,int_stack+46620, 1.0, int_stack+60249, 0.0, zero_stack, 1.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[14] = int_stack + 1260;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+30870,int_stack+48825,int_stack+48195, 1.0, int_stack+61824, 1.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[13] = int_stack + 30870;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+32130,int_stack+50400,int_stack+49770, 2.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[12] = int_stack + 32130;

}
