#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_d0id(Libderiv_t *, prim_data *);

  /* Computes derivatives of (d0|id) integrals */

void d1hrr_order_d0id(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][6][11] = int_stack + 0;
 Libderiv->deriv_classes[2][7][11] = int_stack + 168;
 Libderiv->deriv_classes[2][8][11] = int_stack + 384;
 Libderiv->deriv_classes[2][6][10] = int_stack + 654;
 Libderiv->deriv_classes[2][7][10] = int_stack + 822;
 Libderiv->deriv_classes[2][8][10] = int_stack + 1038;
 Libderiv->deriv_classes[2][6][9] = int_stack + 1308;
 Libderiv->deriv_classes[2][7][9] = int_stack + 1476;
 Libderiv->deriv_classes[2][8][9] = int_stack + 1692;
 Libderiv->deriv_classes[2][6][8] = int_stack + 1962;
 Libderiv->deriv_classes[2][7][8] = int_stack + 2130;
 Libderiv->deriv_classes[2][8][8] = int_stack + 2346;
 Libderiv->deriv_classes[2][6][7] = int_stack + 2616;
 Libderiv->deriv_classes[2][7][7] = int_stack + 2784;
 Libderiv->deriv_classes[2][8][7] = int_stack + 3000;
 Libderiv->dvrr_classes[2][6] = int_stack + 3270;
 Libderiv->deriv_classes[2][6][6] = int_stack + 3438;
 Libderiv->dvrr_classes[2][7] = int_stack + 3606;
 Libderiv->deriv_classes[2][7][6] = int_stack + 3822;
 Libderiv->deriv_classes[2][8][6] = int_stack + 4038;
 Libderiv->deriv_classes[2][6][2] = int_stack + 4308;
 Libderiv->deriv_classes[2][7][2] = int_stack + 4476;
 Libderiv->deriv_classes[2][8][2] = int_stack + 4692;
 Libderiv->deriv_classes[2][6][1] = int_stack + 4962;
 Libderiv->deriv_classes[2][7][1] = int_stack + 5130;
 Libderiv->deriv_classes[2][8][1] = int_stack + 5346;
 Libderiv->deriv_classes[2][6][0] = int_stack + 5616;
 Libderiv->deriv_classes[2][7][0] = int_stack + 5784;
 Libderiv->deriv_classes[2][8][0] = int_stack + 6000;
 memset(int_stack,0,50160);

 Libderiv->dvrr_stack = int_stack + 13830;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_d0id(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6270,int_stack+3606,int_stack+3270,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6774,int_stack+168,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3270,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7278,int_stack+384,int_stack+168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3606,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+822,int_stack+654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3270, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7926,int_stack+1038,int_stack+822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3606, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+504,int_stack+1476,int_stack+1308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3270, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8574,int_stack+1692,int_stack+1476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3606, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1008,int_stack+2130,int_stack+1962, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9222,int_stack+2346,int_stack+2130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1512,int_stack+2784,int_stack+2616, 0.0, zero_stack, 1.0, int_stack+3270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2016,int_stack+3000,int_stack+2784, 0.0, zero_stack, 1.0, int_stack+3606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2664,int_stack+3822,int_stack+3438, 1.0, int_stack+3270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9870,int_stack+4038,int_stack+3822, 1.0, int_stack+3606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3168,int_stack+4476,int_stack+4308,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3672,int_stack+4692,int_stack+4476,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4320,int_stack+5130,int_stack+4962,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+10518,int_stack+5346,int_stack+5130,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4824,int_stack+5784,int_stack+5616,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+11166,int_stack+6000,int_stack+5784,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11814,int_stack+7278,int_stack+6774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6270,6);
     Libderiv->ABCD[11] = int_stack + 11814;
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6774,int_stack+7926,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6270, 0.0, zero_stack,6);
     Libderiv->ABCD[10] = int_stack + 6774;
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12822,int_stack+8574,int_stack+504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6270, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[9] = int_stack + 12822;
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+9222,int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+7782,int_stack+2016,int_stack+1512, 0.0, zero_stack, 1.0, int_stack+6270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[7] = int_stack + 7782;
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1008,int_stack+9870,int_stack+2664, 1.0, int_stack+6270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[6] = int_stack + 1008;
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2016,int_stack+3672,int_stack+3168,6);
     Libderiv->ABCD[2] = int_stack + 2016;
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3024,int_stack+10518,int_stack+4320,6);
     Libderiv->ABCD[1] = int_stack + 3024;
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8790,int_stack+11166,int_stack+4824,6);
     Libderiv->ABCD[0] = int_stack + 8790;

}
