#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_dphh(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|hh) integrals */

void d1hrr_order_dphh(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][5][11] = int_stack + 0;
 Libderiv->deriv_classes[2][6][11] = int_stack + 126;
 Libderiv->deriv_classes[2][7][11] = int_stack + 294;
 Libderiv->deriv_classes[2][8][11] = int_stack + 510;
 Libderiv->deriv_classes[2][9][11] = int_stack + 780;
 Libderiv->deriv_classes[2][10][11] = int_stack + 1110;
 Libderiv->deriv_classes[3][5][11] = int_stack + 1506;
 Libderiv->deriv_classes[3][6][11] = int_stack + 1716;
 Libderiv->deriv_classes[3][7][11] = int_stack + 1996;
 Libderiv->deriv_classes[3][8][11] = int_stack + 2356;
 Libderiv->deriv_classes[3][9][11] = int_stack + 2806;
 Libderiv->deriv_classes[3][10][11] = int_stack + 3356;
 Libderiv->deriv_classes[2][5][10] = int_stack + 4016;
 Libderiv->deriv_classes[2][6][10] = int_stack + 4142;
 Libderiv->deriv_classes[2][7][10] = int_stack + 4310;
 Libderiv->deriv_classes[2][8][10] = int_stack + 4526;
 Libderiv->deriv_classes[2][9][10] = int_stack + 4796;
 Libderiv->deriv_classes[2][10][10] = int_stack + 5126;
 Libderiv->deriv_classes[3][5][10] = int_stack + 5522;
 Libderiv->deriv_classes[3][6][10] = int_stack + 5732;
 Libderiv->deriv_classes[3][7][10] = int_stack + 6012;
 Libderiv->deriv_classes[3][8][10] = int_stack + 6372;
 Libderiv->deriv_classes[3][9][10] = int_stack + 6822;
 Libderiv->deriv_classes[3][10][10] = int_stack + 7372;
 Libderiv->deriv_classes[2][5][9] = int_stack + 8032;
 Libderiv->deriv_classes[2][6][9] = int_stack + 8158;
 Libderiv->deriv_classes[2][7][9] = int_stack + 8326;
 Libderiv->deriv_classes[2][8][9] = int_stack + 8542;
 Libderiv->deriv_classes[2][9][9] = int_stack + 8812;
 Libderiv->deriv_classes[2][10][9] = int_stack + 9142;
 Libderiv->deriv_classes[3][5][9] = int_stack + 9538;
 Libderiv->deriv_classes[3][6][9] = int_stack + 9748;
 Libderiv->deriv_classes[3][7][9] = int_stack + 10028;
 Libderiv->deriv_classes[3][8][9] = int_stack + 10388;
 Libderiv->deriv_classes[3][9][9] = int_stack + 10838;
 Libderiv->deriv_classes[3][10][9] = int_stack + 11388;
 Libderiv->deriv_classes[2][5][8] = int_stack + 12048;
 Libderiv->deriv_classes[2][6][8] = int_stack + 12174;
 Libderiv->deriv_classes[2][7][8] = int_stack + 12342;
 Libderiv->deriv_classes[2][8][8] = int_stack + 12558;
 Libderiv->deriv_classes[2][9][8] = int_stack + 12828;
 Libderiv->deriv_classes[2][10][8] = int_stack + 13158;
 Libderiv->deriv_classes[3][5][8] = int_stack + 13554;
 Libderiv->deriv_classes[3][6][8] = int_stack + 13764;
 Libderiv->deriv_classes[3][7][8] = int_stack + 14044;
 Libderiv->deriv_classes[3][8][8] = int_stack + 14404;
 Libderiv->deriv_classes[3][9][8] = int_stack + 14854;
 Libderiv->deriv_classes[3][10][8] = int_stack + 15404;
 Libderiv->deriv_classes[2][5][7] = int_stack + 16064;
 Libderiv->deriv_classes[2][6][7] = int_stack + 16190;
 Libderiv->deriv_classes[2][7][7] = int_stack + 16358;
 Libderiv->deriv_classes[2][8][7] = int_stack + 16574;
 Libderiv->deriv_classes[2][9][7] = int_stack + 16844;
 Libderiv->deriv_classes[2][10][7] = int_stack + 17174;
 Libderiv->deriv_classes[3][5][7] = int_stack + 17570;
 Libderiv->deriv_classes[3][6][7] = int_stack + 17780;
 Libderiv->deriv_classes[3][7][7] = int_stack + 18060;
 Libderiv->deriv_classes[3][8][7] = int_stack + 18420;
 Libderiv->deriv_classes[3][9][7] = int_stack + 18870;
 Libderiv->deriv_classes[3][10][7] = int_stack + 19420;
 Libderiv->deriv_classes[2][5][6] = int_stack + 20080;
 Libderiv->deriv_classes[2][6][6] = int_stack + 20206;
 Libderiv->deriv_classes[2][7][6] = int_stack + 20374;
 Libderiv->deriv_classes[2][8][6] = int_stack + 20590;
 Libderiv->deriv_classes[2][9][6] = int_stack + 20860;
 Libderiv->deriv_classes[2][10][6] = int_stack + 21190;
 Libderiv->dvrr_classes[3][5] = int_stack + 21586;
 Libderiv->deriv_classes[3][5][6] = int_stack + 21796;
 Libderiv->dvrr_classes[3][6] = int_stack + 22006;
 Libderiv->deriv_classes[3][6][6] = int_stack + 22286;
 Libderiv->dvrr_classes[3][7] = int_stack + 22566;
 Libderiv->deriv_classes[3][7][6] = int_stack + 22926;
 Libderiv->dvrr_classes[3][8] = int_stack + 23286;
 Libderiv->deriv_classes[3][8][6] = int_stack + 23736;
 Libderiv->dvrr_classes[3][9] = int_stack + 24186;
 Libderiv->deriv_classes[3][9][6] = int_stack + 24736;
 Libderiv->deriv_classes[3][10][6] = int_stack + 25286;
 Libderiv->deriv_classes[2][5][2] = int_stack + 25946;
 Libderiv->deriv_classes[2][6][2] = int_stack + 26072;
 Libderiv->deriv_classes[2][7][2] = int_stack + 26240;
 Libderiv->deriv_classes[2][8][2] = int_stack + 26456;
 Libderiv->deriv_classes[2][9][2] = int_stack + 26726;
 Libderiv->deriv_classes[2][10][2] = int_stack + 27056;
 Libderiv->deriv_classes[3][5][2] = int_stack + 27452;
 Libderiv->deriv_classes[3][6][2] = int_stack + 27662;
 Libderiv->deriv_classes[3][7][2] = int_stack + 27942;
 Libderiv->deriv_classes[3][8][2] = int_stack + 28302;
 Libderiv->deriv_classes[3][9][2] = int_stack + 28752;
 Libderiv->deriv_classes[3][10][2] = int_stack + 29302;
 Libderiv->deriv_classes[2][5][1] = int_stack + 29962;
 Libderiv->deriv_classes[2][6][1] = int_stack + 30088;
 Libderiv->deriv_classes[2][7][1] = int_stack + 30256;
 Libderiv->deriv_classes[2][8][1] = int_stack + 30472;
 Libderiv->deriv_classes[2][9][1] = int_stack + 30742;
 Libderiv->deriv_classes[2][10][1] = int_stack + 31072;
 Libderiv->deriv_classes[3][5][1] = int_stack + 31468;
 Libderiv->deriv_classes[3][6][1] = int_stack + 31678;
 Libderiv->deriv_classes[3][7][1] = int_stack + 31958;
 Libderiv->deriv_classes[3][8][1] = int_stack + 32318;
 Libderiv->deriv_classes[3][9][1] = int_stack + 32768;
 Libderiv->deriv_classes[3][10][1] = int_stack + 33318;
 Libderiv->dvrr_classes[2][5] = int_stack + 33978;
 Libderiv->dvrr_classes[2][6] = int_stack + 34104;
 Libderiv->dvrr_classes[2][7] = int_stack + 34272;
 Libderiv->dvrr_classes[2][8] = int_stack + 34488;
 Libderiv->dvrr_classes[2][9] = int_stack + 34758;
 Libderiv->dvrr_classes[2][10] = int_stack + 35088;
 Libderiv->deriv_classes[2][5][0] = int_stack + 35484;
 Libderiv->deriv_classes[2][6][0] = int_stack + 35610;
 Libderiv->deriv_classes[2][7][0] = int_stack + 35778;
 Libderiv->deriv_classes[2][8][0] = int_stack + 35994;
 Libderiv->deriv_classes[2][9][0] = int_stack + 36264;
 Libderiv->deriv_classes[2][10][0] = int_stack + 36594;
 Libderiv->deriv_classes[3][5][0] = int_stack + 36990;
 Libderiv->deriv_classes[3][6][0] = int_stack + 37200;
 Libderiv->deriv_classes[3][7][0] = int_stack + 37480;
 Libderiv->deriv_classes[3][8][0] = int_stack + 37840;
 Libderiv->deriv_classes[3][9][0] = int_stack + 38290;
 Libderiv->deriv_classes[3][10][0] = int_stack + 38840;
 memset(int_stack,0,316000);

 Libderiv->dvrr_stack = int_stack + 101532;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_dphh(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39500,int_stack+34104,int_stack+33978,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+39878,int_stack+34272,int_stack+34104,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+40382,int_stack+39878,int_stack+39500,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+41138,int_stack+34488,int_stack+34272,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+41786,int_stack+41138,int_stack+39878,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+42794,int_stack+41786,int_stack+40382,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+44054,int_stack+34758,int_stack+34488,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+44864,int_stack+44054,int_stack+41138,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+46160,int_stack+44864,int_stack+41786,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+47840,int_stack+46160,int_stack+42794,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+49730,int_stack+126,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33978,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+50108,int_stack+294,int_stack+126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34104,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50612,int_stack+50108,int_stack+49730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39500,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+51368,int_stack+510,int_stack+294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34272,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+52016,int_stack+51368,int_stack+50108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39878,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+53024,int_stack+52016,int_stack+50612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40382,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+49730,int_stack+780,int_stack+510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34488,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+54284,int_stack+49730,int_stack+51368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41138,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+55580,int_stack+54284,int_stack+52016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41786,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+50540,int_stack+55580,int_stack+53024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42794,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+52430,int_stack+1110,int_stack+780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34758,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+57260,int_stack+52430,int_stack+49730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44054,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+58880,int_stack+57260,int_stack+54284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44864,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+52430,int_stack+58880,int_stack+55580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46160,6);
 /*--- compute (d0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+54950,int_stack+52430,int_stack+50540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47840,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+49730,int_stack+22006,int_stack+21586,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+50360,int_stack+22566,int_stack+22006,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+51200,int_stack+50360,int_stack+49730,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+52460,int_stack+23286,int_stack+22566,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+57596,int_stack+52460,int_stack+50360,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+59276,int_stack+57596,int_stack+51200,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+53540,int_stack+24186,int_stack+23286,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+61376,int_stack+53540,int_stack+52460,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+63536,int_stack+61376,int_stack+57596,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+66336,int_stack+63536,int_stack+59276,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+1716,int_stack+1506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21586,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+630,int_stack+1996,int_stack+1716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22006,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+69486,int_stack+630,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49730,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+70746,int_stack+2356,int_stack+1996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22566,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+71826,int_stack+70746,int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50360,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+71826,int_stack+69486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51200,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+73506,int_stack+2806,int_stack+2356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23286,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+74856,int_stack+73506,int_stack+70746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52460,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+77016,int_stack+74856,int_stack+71826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57596,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+69486,int_stack+77016,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59276,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+3356,int_stack+2806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24186,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+79816,int_stack+0,int_stack+73506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53540,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+79816,int_stack+74856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61376,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+72636,int_stack+0,int_stack+77016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63536,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+76836,int_stack+72636,int_stack+69486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66336,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69486,int_stack+4142,int_stack+4016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33978, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+69864,int_stack+4310,int_stack+4142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34104, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+70368,int_stack+69864,int_stack+69486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39500, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+71124,int_stack+4526,int_stack+4310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34272, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+71772,int_stack+71124,int_stack+69864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39878, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+72780,int_stack+71772,int_stack+70368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40382, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+69486,int_stack+4796,int_stack+4526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34488, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+74040,int_stack+69486,int_stack+71124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41138, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+74040,int_stack+71772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41786, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+70296,int_stack+0,int_stack+72780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42794, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+72186,int_stack+5126,int_stack+4796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34758, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1680,int_stack+72186,int_stack+69486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44054, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3300,int_stack+1680,int_stack+74040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44864, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+72186,int_stack+3300,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46160, 0.0, zero_stack,6);
 /*--- compute (d0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+0,int_stack+72186,int_stack+70296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47840, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2646,int_stack+5732,int_stack+5522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21586, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3276,int_stack+6012,int_stack+5732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22006, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+3276,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49730, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+69486,int_stack+6372,int_stack+6012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22566, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+70566,int_stack+69486,int_stack+3276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50360, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+72246,int_stack+70566,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51200, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2646,int_stack+6822,int_stack+6372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23286, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3996,int_stack+2646,int_stack+69486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52460, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+81246,int_stack+3996,int_stack+70566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57596, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+84046,int_stack+81246,int_stack+72246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59276, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+69486,int_stack+7372,int_stack+6822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24186, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+71136,int_stack+69486,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53540, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+87196,int_stack+71136,int_stack+3996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61376, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2646,int_stack+87196,int_stack+81246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63536, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+69486,int_stack+2646,int_stack+84046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66336, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2646,int_stack+8158,int_stack+8032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33978, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+8326,int_stack+8158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34104, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3528,int_stack+3024,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39500, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4284,int_stack+8542,int_stack+8326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34272, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4932,int_stack+4284,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39878, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+5940,int_stack+4932,int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40382, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2646,int_stack+8812,int_stack+8542, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34488, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7200,int_stack+2646,int_stack+4284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41138, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+81246,int_stack+7200,int_stack+4932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41786, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+3456,int_stack+81246,int_stack+5940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42794, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+5346,int_stack+9142,int_stack+8812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34758, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+82926,int_stack+5346,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44054, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+84546,int_stack+82926,int_stack+7200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44864, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+5346,int_stack+84546,int_stack+81246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46160, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+81246,int_stack+5346,int_stack+3456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47840, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+83892,int_stack+9748,int_stack+9538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21586, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+84522,int_stack+10028,int_stack+9748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22006, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+85362,int_stack+84522,int_stack+83892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49730, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+86622,int_stack+10388,int_stack+10028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22566, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+87702,int_stack+86622,int_stack+84522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50360, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2646,int_stack+87702,int_stack+85362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51200, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+83892,int_stack+10838,int_stack+10388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23286, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4746,int_stack+83892,int_stack+86622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52460, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+6906,int_stack+4746,int_stack+87702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57596, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+85242,int_stack+6906,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59276, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2646,int_stack+11388,int_stack+10838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24186, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+73896,int_stack+2646,int_stack+83892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53540, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+88392,int_stack+73896,int_stack+4746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61376, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2646,int_stack+88392,int_stack+6906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63536, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+6846,int_stack+2646,int_stack+85242, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66336, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2646,int_stack+12174,int_stack+12048, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+12342,int_stack+12174, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3528,int_stack+3024,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4284,int_stack+12558,int_stack+12342, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4932,int_stack+4284,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73896,int_stack+4932,int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2646,int_stack+12828,int_stack+12558, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+75156,int_stack+2646,int_stack+4284, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+83892,int_stack+75156,int_stack+4932, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+3456,int_stack+83892,int_stack+73896, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+73896,int_stack+13158,int_stack+12828, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+85572,int_stack+73896,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+87192,int_stack+85572,int_stack+75156, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+73896,int_stack+87192,int_stack+83892, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+83892,int_stack+73896,int_stack+3456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73896,int_stack+13764,int_stack+13554, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+74526,int_stack+14044,int_stack+13764, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22006, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+75366,int_stack+74526,int_stack+73896, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+86538,int_stack+14404,int_stack+14044, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+87618,int_stack+86538,int_stack+74526, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89298,int_stack+87618,int_stack+75366, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+73896,int_stack+14854,int_stack+14404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2646,int_stack+73896,int_stack+86538, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+11256,int_stack+2646,int_stack+87618, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+91398,int_stack+11256,int_stack+89298, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+86538,int_stack+15404,int_stack+14854, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+88188,int_stack+86538,int_stack+73896, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+94548,int_stack+88188,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2646,int_stack+94548,int_stack+11256, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+11256,int_stack+2646,int_stack+91398, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2646,int_stack+16190,int_stack+16064, 0.0, zero_stack, 1.0, int_stack+33978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+16358,int_stack+16190, 0.0, zero_stack, 1.0, int_stack+34104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3528,int_stack+3024,int_stack+2646, 0.0, zero_stack, 1.0, int_stack+39500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4284,int_stack+16574,int_stack+16358, 0.0, zero_stack, 1.0, int_stack+34272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4932,int_stack+4284,int_stack+3024, 0.0, zero_stack, 1.0, int_stack+39878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73896,int_stack+4932,int_stack+3528, 0.0, zero_stack, 1.0, int_stack+40382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2646,int_stack+16844,int_stack+16574, 0.0, zero_stack, 1.0, int_stack+34488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+75156,int_stack+2646,int_stack+4284, 0.0, zero_stack, 1.0, int_stack+41138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+86538,int_stack+75156,int_stack+4932, 0.0, zero_stack, 1.0, int_stack+41786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+3456,int_stack+86538,int_stack+73896, 0.0, zero_stack, 1.0, int_stack+42794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+73896,int_stack+17174,int_stack+16844, 0.0, zero_stack, 1.0, int_stack+34758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+15666,int_stack+73896,int_stack+2646, 0.0, zero_stack, 1.0, int_stack+44054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+88218,int_stack+15666,int_stack+75156, 0.0, zero_stack, 1.0, int_stack+44864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+73896,int_stack+88218,int_stack+86538, 0.0, zero_stack, 1.0, int_stack+46160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+86538,int_stack+73896,int_stack+3456, 0.0, zero_stack, 1.0, int_stack+47840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73896,int_stack+17780,int_stack+17570, 0.0, zero_stack, 1.0, int_stack+21586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+74526,int_stack+18060,int_stack+17780, 0.0, zero_stack, 1.0, int_stack+22006, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+75366,int_stack+74526,int_stack+73896, 0.0, zero_stack, 1.0, int_stack+49730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+89184,int_stack+18420,int_stack+18060, 0.0, zero_stack, 1.0, int_stack+22566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+90264,int_stack+89184,int_stack+74526, 0.0, zero_stack, 1.0, int_stack+50360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+91944,int_stack+90264,int_stack+75366, 0.0, zero_stack, 1.0, int_stack+51200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+73896,int_stack+18870,int_stack+18420, 0.0, zero_stack, 1.0, int_stack+23286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+94044,int_stack+73896,int_stack+89184, 0.0, zero_stack, 1.0, int_stack+52460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+15666,int_stack+94044,int_stack+90264, 0.0, zero_stack, 1.0, int_stack+57596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+2646,int_stack+15666,int_stack+91944, 0.0, zero_stack, 1.0, int_stack+59276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+89184,int_stack+19420,int_stack+18870, 0.0, zero_stack, 1.0, int_stack+24186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+90834,int_stack+89184,int_stack+73896, 0.0, zero_stack, 1.0, int_stack+53540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+96204,int_stack+90834,int_stack+94044, 0.0, zero_stack, 1.0, int_stack+61376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+89184,int_stack+96204,int_stack+15666, 0.0, zero_stack, 1.0, int_stack+63536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+15666,int_stack+89184,int_stack+2646, 0.0, zero_stack, 1.0, int_stack+66336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2646,int_stack+20206,int_stack+20080, 1.0, int_stack+33978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+20374,int_stack+20206, 1.0, int_stack+34104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3528,int_stack+3024,int_stack+2646, 1.0, int_stack+39500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4284,int_stack+20590,int_stack+20374, 1.0, int_stack+34272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4932,int_stack+4284,int_stack+3024, 1.0, int_stack+39878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89184,int_stack+4932,int_stack+3528, 1.0, int_stack+40382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+39500,int_stack+20860,int_stack+20590, 1.0, int_stack+34488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2646,int_stack+39500,int_stack+4284, 1.0, int_stack+41138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+90444,int_stack+2646,int_stack+4932, 1.0, int_stack+41786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+40310,int_stack+90444,int_stack+89184, 1.0, int_stack+42794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+89184,int_stack+21190,int_stack+20860, 1.0, int_stack+34758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+42200,int_stack+89184,int_stack+39500, 1.0, int_stack+44054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3942,int_stack+42200,int_stack+2646, 1.0, int_stack+44864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+92124,int_stack+3942,int_stack+90444, 1.0, int_stack+46160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+2646,int_stack+92124,int_stack+40310, 1.0, int_stack+47840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5292,int_stack+22286,int_stack+21796, 1.0, int_stack+21586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5922,int_stack+22926,int_stack+22286, 1.0, int_stack+22006, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+39500,int_stack+5922,int_stack+5292, 1.0, int_stack+49730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+40760,int_stack+23736,int_stack+22926, 1.0, int_stack+22566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+41840,int_stack+40760,int_stack+5922, 1.0, int_stack+50360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89184,int_stack+41840,int_stack+39500, 1.0, int_stack+51200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+49730,int_stack+24736,int_stack+23736, 1.0, int_stack+23286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+91284,int_stack+49730,int_stack+40760, 1.0, int_stack+52460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+93444,int_stack+91284,int_stack+41840, 1.0, int_stack+57596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+39500,int_stack+93444,int_stack+89184, 1.0, int_stack+59276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+89184,int_stack+25286,int_stack+24736, 1.0, int_stack+24186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+57596,int_stack+89184,int_stack+49730, 1.0, int_stack+53540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+49730,int_stack+57596,int_stack+91284, 1.0, int_stack+61376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+57596,int_stack+49730,int_stack+93444, 1.0, int_stack+63536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+49730,int_stack+57596,int_stack+39500, 1.0, int_stack+66336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+39500,int_stack+35088,int_stack+34758,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+40490,int_stack+39500,int_stack+44054,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+42110,int_stack+40490,int_stack+44864,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+39500,int_stack+42110,int_stack+46160,6);
 /*--- compute (d0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+42020,int_stack+39500,int_stack+47840,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39500,int_stack+26072,int_stack+25946,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+39878,int_stack+26240,int_stack+26072,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+40382,int_stack+39878,int_stack+39500,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+41138,int_stack+26456,int_stack+26240,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+44666,int_stack+41138,int_stack+39878,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+45674,int_stack+44666,int_stack+40382,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+54140,int_stack+26726,int_stack+26456,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+39500,int_stack+54140,int_stack+41138,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+46934,int_stack+39500,int_stack+44666,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+57596,int_stack+46934,int_stack+45674,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+44666,int_stack+27056,int_stack+26726,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+59486,int_stack+44666,int_stack+54140,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+44666,int_stack+59486,int_stack+39500,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+39500,int_stack+44666,int_stack+46934,6);
 /*--- compute (d0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+44666,int_stack+39500,int_stack+57596,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+57596,int_stack+27662,int_stack+27452,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+58226,int_stack+27942,int_stack+27662,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+59066,int_stack+58226,int_stack+57596,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+60326,int_stack+28302,int_stack+27942,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+61406,int_stack+60326,int_stack+58226,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+63086,int_stack+61406,int_stack+59066,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+57596,int_stack+28752,int_stack+28302,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+65186,int_stack+57596,int_stack+60326,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+89184,int_stack+65186,int_stack+61406,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+58946,int_stack+89184,int_stack+63086,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+62096,int_stack+29302,int_stack+28752,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+91984,int_stack+62096,int_stack+57596,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+94684,int_stack+91984,int_stack+65186,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+62096,int_stack+94684,int_stack+89184,10);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+89184,int_stack+62096,int_stack+58946,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+93594,int_stack+30088,int_stack+29962,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+93972,int_stack+30256,int_stack+30088,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+94476,int_stack+93972,int_stack+93594,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+95232,int_stack+30472,int_stack+30256,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95880,int_stack+95232,int_stack+93972,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+96888,int_stack+95880,int_stack+94476,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+54140,int_stack+30742,int_stack+30472,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+93594,int_stack+54140,int_stack+95232,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+98148,int_stack+93594,int_stack+95880,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+94890,int_stack+98148,int_stack+96888,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+96780,int_stack+31072,int_stack+30742,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+57596,int_stack+96780,int_stack+54140,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+59216,int_stack+57596,int_stack+93594,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+39500,int_stack+59216,int_stack+98148,6);
 /*--- compute (d0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+57596,int_stack+39500,int_stack+94890,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39500,int_stack+31678,int_stack+31468,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+40130,int_stack+31958,int_stack+31678,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+93594,int_stack+40130,int_stack+39500,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+94854,int_stack+32318,int_stack+31958,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95934,int_stack+94854,int_stack+40130,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+39500,int_stack+95934,int_stack+93594,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+97614,int_stack+32768,int_stack+32318,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+60242,int_stack+97614,int_stack+94854,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+62402,int_stack+60242,int_stack+95934,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+93594,int_stack+62402,int_stack+39500,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+39500,int_stack+33318,int_stack+32768,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+65202,int_stack+39500,int_stack+97614,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+20076,int_stack+65202,int_stack+60242,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+65202,int_stack+20076,int_stack+62402,10);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+20076,int_stack+65202,int_stack+93594,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+93594,int_stack+35610,int_stack+35484,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+93972,int_stack+35778,int_stack+35610,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+94476,int_stack+93972,int_stack+93594,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+95232,int_stack+35994,int_stack+35778,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95880,int_stack+95232,int_stack+93972,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+96888,int_stack+95880,int_stack+94476,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+54140,int_stack+36264,int_stack+35994,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+93594,int_stack+54140,int_stack+95232,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+98148,int_stack+93594,int_stack+95880,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+94890,int_stack+98148,int_stack+96888,6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+96780,int_stack+36594,int_stack+36264,6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+24486,int_stack+96780,int_stack+54140,6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+26106,int_stack+24486,int_stack+93594,6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+39500,int_stack+26106,int_stack+98148,6);
 /*--- compute (d0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+24486,int_stack+39500,int_stack+94890,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39500,int_stack+37200,int_stack+36990,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+40130,int_stack+37480,int_stack+37200,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+93594,int_stack+40130,int_stack+39500,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+94854,int_stack+37840,int_stack+37480,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+95934,int_stack+94854,int_stack+40130,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+39500,int_stack+95934,int_stack+93594,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+97614,int_stack+38290,int_stack+37840,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+27132,int_stack+97614,int_stack+94854,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+29292,int_stack+27132,int_stack+95934,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+93594,int_stack+29292,int_stack+39500,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+39500,int_stack+38840,int_stack+38290,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+32092,int_stack+39500,int_stack+97614,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+34792,int_stack+32092,int_stack+27132,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+60242,int_stack+34792,int_stack+29292,10);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+27132,int_stack+60242,int_stack+93594,10);
 /*--- compute (dp|hh) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+60242,int_stack+76836,int_stack+54950,441);
     Libderiv->ABCD[11] = int_stack + 60242;
 /*--- compute (dp|hh) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+31542,int_stack+69486,int_stack+0,441);
     Libderiv->ABCD[10] = int_stack + 31542;
 /*--- compute (dp|hh) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+68180,int_stack+6846,int_stack+81246,441);
     Libderiv->ABCD[9] = int_stack + 68180;
 /*--- compute (dp|hh) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+93594,int_stack+11256,int_stack+83892,441);
     Libderiv->ABCD[8] = int_stack + 93594;
 /*--- compute (dp|hh) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+76118,int_stack+15666,int_stack+86538,441);
     Libderiv->ABCD[7] = int_stack + 76118;
 /*--- compute (dp|hh) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+5292,int_stack+49730,int_stack+2646,441);
     Libderiv->ABCD[6] = int_stack + 5292;
 /*--- compute (dp|hh) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+47312,int_stack+89184,int_stack+44666, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[2] = int_stack + 47312;
 /*--- compute (dp|hh) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+84056,int_stack+20076,int_stack+57596, 0.0, zero_stack, 1.0, int_stack+42020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[1] = int_stack + 84056;
 /*--- compute (dp|hh) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+13230,int_stack+27132,int_stack+24486, 1.0, int_stack+42020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[0] = int_stack + 13230;

}
