#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_f0ip(Libderiv_t *, prim_data *);

  /* Computes derivatives of (f0|ip) integrals */

void d1hrr_order_f0ip(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][6][10] = int_stack + 640;
 Libderiv->deriv_classes[3][7][10] = int_stack + 920;
 Libderiv->deriv_classes[3][6][9] = int_stack + 1280;
 Libderiv->deriv_classes[3][7][9] = int_stack + 1560;
 Libderiv->deriv_classes[3][6][8] = int_stack + 1920;
 Libderiv->deriv_classes[3][7][8] = int_stack + 2200;
 Libderiv->deriv_classes[3][6][7] = int_stack + 2560;
 Libderiv->deriv_classes[3][7][7] = int_stack + 2840;
 Libderiv->dvrr_classes[3][6] = int_stack + 3200;
 Libderiv->deriv_classes[3][6][6] = int_stack + 3480;
 Libderiv->deriv_classes[3][7][6] = int_stack + 3760;
 Libderiv->deriv_classes[3][6][2] = int_stack + 4120;
 Libderiv->deriv_classes[3][7][2] = int_stack + 4400;
 Libderiv->deriv_classes[3][6][1] = int_stack + 4760;
 Libderiv->deriv_classes[3][7][1] = int_stack + 5040;
 Libderiv->deriv_classes[3][6][0] = int_stack + 5400;
 Libderiv->deriv_classes[3][7][0] = int_stack + 5680;
 memset(int_stack,0,48320);

 Libderiv->dvrr_stack = int_stack + 8560;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_f0ip(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6040,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3200,10);
     Libderiv->ABCD[11] = int_stack + 6040;
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6880,int_stack+920,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3200, 0.0, zero_stack,10);
     Libderiv->ABCD[10] = int_stack + 6880;
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+1560,int_stack+1280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3200, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+840,int_stack+2200,int_stack+1920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[8] = int_stack + 840;
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1680,int_stack+2840,int_stack+2560, 0.0, zero_stack, 1.0, int_stack+3200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[7] = int_stack + 1680;
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7720,int_stack+3760,int_stack+3480, 1.0, int_stack+3200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[6] = int_stack + 7720;
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2520,int_stack+4400,int_stack+4120,10);
     Libderiv->ABCD[2] = int_stack + 2520;
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3360,int_stack+5040,int_stack+4760,10);
     Libderiv->ABCD[1] = int_stack + 3360;
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4200,int_stack+5680,int_stack+5400,10);
     Libderiv->ABCD[0] = int_stack + 4200;

}
