#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fdii(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|ii) integrals */

void d1hrr_order_fdii(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[3][10][11] = int_stack + 1640;
 Libderiv->deriv_classes[3][11][11] = int_stack + 2300;
 Libderiv->deriv_classes[3][12][11] = int_stack + 3080;
 Libderiv->deriv_classes[4][6][11] = int_stack + 3990;
 Libderiv->deriv_classes[4][7][11] = int_stack + 4410;
 Libderiv->deriv_classes[4][8][11] = int_stack + 4950;
 Libderiv->deriv_classes[4][9][11] = int_stack + 5625;
 Libderiv->deriv_classes[4][10][11] = int_stack + 6450;
 Libderiv->deriv_classes[4][11][11] = int_stack + 7440;
 Libderiv->deriv_classes[4][12][11] = int_stack + 8610;
 Libderiv->deriv_classes[5][6][11] = int_stack + 9975;
 Libderiv->deriv_classes[5][7][11] = int_stack + 10563;
 Libderiv->deriv_classes[5][8][11] = int_stack + 11319;
 Libderiv->deriv_classes[5][9][11] = int_stack + 12264;
 Libderiv->deriv_classes[5][10][11] = int_stack + 13419;
 Libderiv->deriv_classes[5][11][11] = int_stack + 14805;
 Libderiv->deriv_classes[5][12][11] = int_stack + 16443;
 Libderiv->deriv_classes[3][6][10] = int_stack + 18354;
 Libderiv->deriv_classes[3][7][10] = int_stack + 18634;
 Libderiv->deriv_classes[3][8][10] = int_stack + 18994;
 Libderiv->deriv_classes[3][9][10] = int_stack + 19444;
 Libderiv->deriv_classes[3][10][10] = int_stack + 19994;
 Libderiv->deriv_classes[3][11][10] = int_stack + 20654;
 Libderiv->deriv_classes[3][12][10] = int_stack + 21434;
 Libderiv->deriv_classes[4][6][10] = int_stack + 22344;
 Libderiv->deriv_classes[4][7][10] = int_stack + 22764;
 Libderiv->deriv_classes[4][8][10] = int_stack + 23304;
 Libderiv->deriv_classes[4][9][10] = int_stack + 23979;
 Libderiv->deriv_classes[4][10][10] = int_stack + 24804;
 Libderiv->deriv_classes[4][11][10] = int_stack + 25794;
 Libderiv->deriv_classes[4][12][10] = int_stack + 26964;
 Libderiv->deriv_classes[5][6][10] = int_stack + 28329;
 Libderiv->deriv_classes[5][7][10] = int_stack + 28917;
 Libderiv->deriv_classes[5][8][10] = int_stack + 29673;
 Libderiv->deriv_classes[5][9][10] = int_stack + 30618;
 Libderiv->deriv_classes[5][10][10] = int_stack + 31773;
 Libderiv->deriv_classes[5][11][10] = int_stack + 33159;
 Libderiv->deriv_classes[5][12][10] = int_stack + 34797;
 Libderiv->deriv_classes[3][6][9] = int_stack + 36708;
 Libderiv->deriv_classes[3][7][9] = int_stack + 36988;
 Libderiv->deriv_classes[3][8][9] = int_stack + 37348;
 Libderiv->deriv_classes[3][9][9] = int_stack + 37798;
 Libderiv->deriv_classes[3][10][9] = int_stack + 38348;
 Libderiv->deriv_classes[3][11][9] = int_stack + 39008;
 Libderiv->deriv_classes[3][12][9] = int_stack + 39788;
 Libderiv->deriv_classes[4][6][9] = int_stack + 40698;
 Libderiv->deriv_classes[4][7][9] = int_stack + 41118;
 Libderiv->deriv_classes[4][8][9] = int_stack + 41658;
 Libderiv->deriv_classes[4][9][9] = int_stack + 42333;
 Libderiv->deriv_classes[4][10][9] = int_stack + 43158;
 Libderiv->deriv_classes[4][11][9] = int_stack + 44148;
 Libderiv->deriv_classes[4][12][9] = int_stack + 45318;
 Libderiv->deriv_classes[5][6][9] = int_stack + 46683;
 Libderiv->deriv_classes[5][7][9] = int_stack + 47271;
 Libderiv->deriv_classes[5][8][9] = int_stack + 48027;
 Libderiv->deriv_classes[5][9][9] = int_stack + 48972;
 Libderiv->deriv_classes[5][10][9] = int_stack + 50127;
 Libderiv->deriv_classes[5][11][9] = int_stack + 51513;
 Libderiv->deriv_classes[5][12][9] = int_stack + 53151;
 Libderiv->deriv_classes[3][6][8] = int_stack + 55062;
 Libderiv->deriv_classes[3][7][8] = int_stack + 55342;
 Libderiv->deriv_classes[3][8][8] = int_stack + 55702;
 Libderiv->deriv_classes[3][9][8] = int_stack + 56152;
 Libderiv->deriv_classes[3][10][8] = int_stack + 56702;
 Libderiv->deriv_classes[3][11][8] = int_stack + 57362;
 Libderiv->deriv_classes[3][12][8] = int_stack + 58142;
 Libderiv->deriv_classes[4][6][8] = int_stack + 59052;
 Libderiv->deriv_classes[4][7][8] = int_stack + 59472;
 Libderiv->deriv_classes[4][8][8] = int_stack + 60012;
 Libderiv->deriv_classes[4][9][8] = int_stack + 60687;
 Libderiv->deriv_classes[4][10][8] = int_stack + 61512;
 Libderiv->deriv_classes[4][11][8] = int_stack + 62502;
 Libderiv->deriv_classes[4][12][8] = int_stack + 63672;
 Libderiv->deriv_classes[5][6][8] = int_stack + 65037;
 Libderiv->deriv_classes[5][7][8] = int_stack + 65625;
 Libderiv->deriv_classes[5][8][8] = int_stack + 66381;
 Libderiv->deriv_classes[5][9][8] = int_stack + 67326;
 Libderiv->deriv_classes[5][10][8] = int_stack + 68481;
 Libderiv->deriv_classes[5][11][8] = int_stack + 69867;
 Libderiv->deriv_classes[5][12][8] = int_stack + 71505;
 Libderiv->deriv_classes[3][6][7] = int_stack + 73416;
 Libderiv->deriv_classes[3][7][7] = int_stack + 73696;
 Libderiv->deriv_classes[3][8][7] = int_stack + 74056;
 Libderiv->deriv_classes[3][9][7] = int_stack + 74506;
 Libderiv->deriv_classes[3][10][7] = int_stack + 75056;
 Libderiv->deriv_classes[3][11][7] = int_stack + 75716;
 Libderiv->deriv_classes[3][12][7] = int_stack + 76496;
 Libderiv->deriv_classes[4][6][7] = int_stack + 77406;
 Libderiv->deriv_classes[4][7][7] = int_stack + 77826;
 Libderiv->deriv_classes[4][8][7] = int_stack + 78366;
 Libderiv->deriv_classes[4][9][7] = int_stack + 79041;
 Libderiv->deriv_classes[4][10][7] = int_stack + 79866;
 Libderiv->deriv_classes[4][11][7] = int_stack + 80856;
 Libderiv->deriv_classes[4][12][7] = int_stack + 82026;
 Libderiv->deriv_classes[5][6][7] = int_stack + 83391;
 Libderiv->deriv_classes[5][7][7] = int_stack + 83979;
 Libderiv->deriv_classes[5][8][7] = int_stack + 84735;
 Libderiv->deriv_classes[5][9][7] = int_stack + 85680;
 Libderiv->deriv_classes[5][10][7] = int_stack + 86835;
 Libderiv->deriv_classes[5][11][7] = int_stack + 88221;
 Libderiv->deriv_classes[5][12][7] = int_stack + 89859;
 Libderiv->deriv_classes[3][6][6] = int_stack + 91770;
 Libderiv->deriv_classes[3][7][6] = int_stack + 92050;
 Libderiv->deriv_classes[3][8][6] = int_stack + 92410;
 Libderiv->deriv_classes[3][9][6] = int_stack + 92860;
 Libderiv->deriv_classes[3][10][6] = int_stack + 93410;
 Libderiv->deriv_classes[3][11][6] = int_stack + 94070;
 Libderiv->deriv_classes[3][12][6] = int_stack + 94850;
 Libderiv->deriv_classes[4][6][6] = int_stack + 95760;
 Libderiv->deriv_classes[4][7][6] = int_stack + 96180;
 Libderiv->deriv_classes[4][8][6] = int_stack + 96720;
 Libderiv->deriv_classes[4][9][6] = int_stack + 97395;
 Libderiv->deriv_classes[4][10][6] = int_stack + 98220;
 Libderiv->deriv_classes[4][11][6] = int_stack + 99210;
 Libderiv->deriv_classes[4][12][6] = int_stack + 100380;
 Libderiv->dvrr_classes[5][6] = int_stack + 101745;
 Libderiv->deriv_classes[5][6][6] = int_stack + 102333;
 Libderiv->dvrr_classes[5][7] = int_stack + 102921;
 Libderiv->deriv_classes[5][7][6] = int_stack + 103677;
 Libderiv->dvrr_classes[5][8] = int_stack + 104433;
 Libderiv->deriv_classes[5][8][6] = int_stack + 105378;
 Libderiv->dvrr_classes[5][9] = int_stack + 106323;
 Libderiv->deriv_classes[5][9][6] = int_stack + 107478;
 Libderiv->dvrr_classes[5][10] = int_stack + 108633;
 Libderiv->deriv_classes[5][10][6] = int_stack + 110019;
 Libderiv->dvrr_classes[5][11] = int_stack + 111405;
 Libderiv->deriv_classes[5][11][6] = int_stack + 113043;
 Libderiv->deriv_classes[5][12][6] = int_stack + 114681;
 Libderiv->deriv_classes[3][6][2] = int_stack + 116592;
 Libderiv->deriv_classes[3][7][2] = int_stack + 116872;
 Libderiv->deriv_classes[3][8][2] = int_stack + 117232;
 Libderiv->deriv_classes[3][9][2] = int_stack + 117682;
 Libderiv->deriv_classes[3][10][2] = int_stack + 118232;
 Libderiv->deriv_classes[3][11][2] = int_stack + 118892;
 Libderiv->deriv_classes[3][12][2] = int_stack + 119672;
 Libderiv->deriv_classes[4][6][2] = int_stack + 120582;
 Libderiv->deriv_classes[4][7][2] = int_stack + 121002;
 Libderiv->deriv_classes[4][8][2] = int_stack + 121542;
 Libderiv->deriv_classes[4][9][2] = int_stack + 122217;
 Libderiv->deriv_classes[4][10][2] = int_stack + 123042;
 Libderiv->deriv_classes[4][11][2] = int_stack + 124032;
 Libderiv->deriv_classes[4][12][2] = int_stack + 125202;
 Libderiv->deriv_classes[5][6][2] = int_stack + 126567;
 Libderiv->deriv_classes[5][7][2] = int_stack + 127155;
 Libderiv->deriv_classes[5][8][2] = int_stack + 127911;
 Libderiv->deriv_classes[5][9][2] = int_stack + 128856;
 Libderiv->deriv_classes[5][10][2] = int_stack + 130011;
 Libderiv->deriv_classes[5][11][2] = int_stack + 131397;
 Libderiv->deriv_classes[5][12][2] = int_stack + 133035;
 Libderiv->deriv_classes[3][6][1] = int_stack + 134946;
 Libderiv->deriv_classes[3][7][1] = int_stack + 135226;
 Libderiv->deriv_classes[3][8][1] = int_stack + 135586;
 Libderiv->deriv_classes[3][9][1] = int_stack + 136036;
 Libderiv->deriv_classes[3][10][1] = int_stack + 136586;
 Libderiv->deriv_classes[3][11][1] = int_stack + 137246;
 Libderiv->deriv_classes[3][12][1] = int_stack + 138026;
 Libderiv->deriv_classes[4][6][1] = int_stack + 138936;
 Libderiv->deriv_classes[4][7][1] = int_stack + 139356;
 Libderiv->deriv_classes[4][8][1] = int_stack + 139896;
 Libderiv->deriv_classes[4][9][1] = int_stack + 140571;
 Libderiv->deriv_classes[4][10][1] = int_stack + 141396;
 Libderiv->deriv_classes[4][11][1] = int_stack + 142386;
 Libderiv->deriv_classes[4][12][1] = int_stack + 143556;
 Libderiv->deriv_classes[5][6][1] = int_stack + 144921;
 Libderiv->deriv_classes[5][7][1] = int_stack + 145509;
 Libderiv->deriv_classes[5][8][1] = int_stack + 146265;
 Libderiv->deriv_classes[5][9][1] = int_stack + 147210;
 Libderiv->deriv_classes[5][10][1] = int_stack + 148365;
 Libderiv->deriv_classes[5][11][1] = int_stack + 149751;
 Libderiv->deriv_classes[5][12][1] = int_stack + 151389;
 Libderiv->dvrr_classes[3][6] = int_stack + 153300;
 Libderiv->dvrr_classes[3][7] = int_stack + 153580;
 Libderiv->dvrr_classes[3][8] = int_stack + 153940;
 Libderiv->dvrr_classes[3][9] = int_stack + 154390;
 Libderiv->dvrr_classes[3][10] = int_stack + 154940;
 Libderiv->dvrr_classes[3][11] = int_stack + 155600;
 Libderiv->dvrr_classes[3][12] = int_stack + 156380;
 Libderiv->deriv_classes[3][6][0] = int_stack + 157290;
 Libderiv->deriv_classes[3][7][0] = int_stack + 157570;
 Libderiv->deriv_classes[3][8][0] = int_stack + 157930;
 Libderiv->deriv_classes[3][9][0] = int_stack + 158380;
 Libderiv->deriv_classes[3][10][0] = int_stack + 158930;
 Libderiv->deriv_classes[3][11][0] = int_stack + 159590;
 Libderiv->deriv_classes[3][12][0] = int_stack + 160370;
 Libderiv->dvrr_classes[4][6] = int_stack + 161280;
 Libderiv->dvrr_classes[4][7] = int_stack + 161700;
 Libderiv->dvrr_classes[4][8] = int_stack + 162240;
 Libderiv->dvrr_classes[4][9] = int_stack + 162915;
 Libderiv->dvrr_classes[4][10] = int_stack + 163740;
 Libderiv->dvrr_classes[4][11] = int_stack + 164730;
 Libderiv->dvrr_classes[4][12] = int_stack + 165900;
 Libderiv->deriv_classes[4][6][0] = int_stack + 167265;
 Libderiv->deriv_classes[4][7][0] = int_stack + 167685;
 Libderiv->deriv_classes[4][8][0] = int_stack + 168225;
 Libderiv->deriv_classes[4][9][0] = int_stack + 168900;
 Libderiv->deriv_classes[4][10][0] = int_stack + 169725;
 Libderiv->deriv_classes[4][11][0] = int_stack + 170715;
 Libderiv->deriv_classes[4][12][0] = int_stack + 171885;
 Libderiv->deriv_classes[5][6][0] = int_stack + 173250;
 Libderiv->deriv_classes[5][7][0] = int_stack + 173838;
 Libderiv->deriv_classes[5][8][0] = int_stack + 174594;
 Libderiv->deriv_classes[5][9][0] = int_stack + 175539;
 Libderiv->deriv_classes[5][10][0] = int_stack + 176694;
 Libderiv->deriv_classes[5][11][0] = int_stack + 178080;
 Libderiv->deriv_classes[5][12][0] = int_stack + 179718;
 memset(int_stack,0,1453032);

 Libderiv->dvrr_stack = int_stack + 787037;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fdii(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+181629,int_stack+153580,int_stack+153300,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+182469,int_stack+153940,int_stack+153580,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+183549,int_stack+182469,int_stack+181629,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+185229,int_stack+154390,int_stack+153940,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+186579,int_stack+185229,int_stack+182469,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+188739,int_stack+186579,int_stack+183549,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+191539,int_stack+154940,int_stack+154390,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+193189,int_stack+191539,int_stack+185229,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+195889,int_stack+193189,int_stack+186579,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+199489,int_stack+195889,int_stack+188739,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+203689,int_stack+155600,int_stack+154940,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+205669,int_stack+203689,int_stack+191539,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+208969,int_stack+205669,int_stack+193189,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+213469,int_stack+208969,int_stack+195889,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+218869,int_stack+213469,int_stack+199489,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+224749,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153300,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+225589,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153580,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+226669,int_stack+225589,int_stack+224749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181629,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+228349,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153940,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+229699,int_stack+228349,int_stack+225589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182469,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+231859,int_stack+229699,int_stack+226669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183549,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+224749,int_stack+1640,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154390,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+234659,int_stack+224749,int_stack+228349, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185229,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+237359,int_stack+234659,int_stack+229699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186579,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+226399,int_stack+237359,int_stack+231859, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188739,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+230599,int_stack+2300,int_stack+1640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154940,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+240959,int_stack+230599,int_stack+224749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191539,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+244259,int_stack+240959,int_stack+234659, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193189,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+248759,int_stack+244259,int_stack+237359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195889,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+232579,int_stack+248759,int_stack+226399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199489,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+224749,int_stack+3080,int_stack+2300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155600,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+224749,int_stack+230599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203689,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+224749,int_stack+0,int_stack+240959, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205669,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+254159,int_stack+224749,int_stack+244259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208969,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+224749,int_stack+254159,int_stack+248759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213469,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+238459,int_stack+224749,int_stack+232579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218869,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+224749,int_stack+161700,int_stack+161280,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+226009,int_stack+162240,int_stack+161700,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+227629,int_stack+226009,int_stack+224749,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+230149,int_stack+162915,int_stack+162240,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+232174,int_stack+230149,int_stack+226009,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+246299,int_stack+232174,int_stack+227629,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+235414,int_stack+163740,int_stack+162915,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+250499,int_stack+235414,int_stack+230149,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+254549,int_stack+250499,int_stack+232174,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+259949,int_stack+254549,int_stack+246299,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+164730,int_stack+163740,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+266249,int_stack+0,int_stack+235414,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+271199,int_stack+266249,int_stack+250499,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+277949,int_stack+271199,int_stack+254549,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+286049,int_stack+277949,int_stack+259949,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+294869,int_stack+4410,int_stack+3990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161280,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+296129,int_stack+4950,int_stack+4410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161700,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+297749,int_stack+296129,int_stack+294869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224749,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+300269,int_stack+5625,int_stack+4950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162240,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+302294,int_stack+300269,int_stack+296129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226009,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+305534,int_stack+302294,int_stack+297749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227629,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+294869,int_stack+6450,int_stack+5625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162915,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+309734,int_stack+294869,int_stack+300269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230149,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+313784,int_stack+309734,int_stack+302294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232174,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+297344,int_stack+313784,int_stack+305534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246299,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+303644,int_stack+7440,int_stack+6450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163740,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+319184,int_stack+303644,int_stack+294869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235414,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+324134,int_stack+319184,int_stack+309734, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250499,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+330884,int_stack+324134,int_stack+313784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+254549,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+306614,int_stack+330884,int_stack+297344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259949,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+294869,int_stack+8610,int_stack+7440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164730,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+2970,int_stack+294869,int_stack+303644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+294869,int_stack+2970,int_stack+319184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266249,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+338984,int_stack+294869,int_stack+324134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271199,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+294869,int_stack+338984,int_stack+330884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277949,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+315434,int_stack+294869,int_stack+306614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286049,15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+327194,int_stack+315434,int_stack+238459,784);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+294869,int_stack+102921,int_stack+101745,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+296633,int_stack+104433,int_stack+102921,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+298901,int_stack+296633,int_stack+294869,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+302429,int_stack+106323,int_stack+104433,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+305264,int_stack+302429,int_stack+296633,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+2970,int_stack+305264,int_stack+298901,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+309800,int_stack+108633,int_stack+106323,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+237889,int_stack+309800,int_stack+302429,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+350714,int_stack+237889,int_stack+305264,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+358274,int_stack+350714,int_stack+2970,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+367094,int_stack+111405,int_stack+108633,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+371252,int_stack+367094,int_stack+309800,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+378182,int_stack+371252,int_stack+237889,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+387632,int_stack+378182,int_stack+350714,21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+398972,int_stack+387632,int_stack+358274,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+313265,int_stack+10563,int_stack+9975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101745,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+243559,int_stack+11319,int_stack+10563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102921,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+411320,int_stack+243559,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294869,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+414848,int_stack+12264,int_stack+11319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104433,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+417683,int_stack+414848,int_stack+243559, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296633,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+422219,int_stack+417683,int_stack+411320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+298901,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+411320,int_stack+13419,int_stack+12264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106323,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+428099,int_stack+411320,int_stack+414848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302429,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+433769,int_stack+428099,int_stack+417683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305264,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+441329,int_stack+433769,int_stack+422219, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2970,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+414785,int_stack+14805,int_stack+13419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108633,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+418943,int_stack+414785,int_stack+411320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+309800,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+450149,int_stack+418943,int_stack+428099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237889,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+459599,int_stack+450149,int_stack+433769, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350714,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+425873,int_stack+459599,int_stack+441329, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+358274,21);
 /*--- compute (h0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+438221,int_stack+16443,int_stack+14805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111405,21);
 /*--- compute (h0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+8850,int_stack+438221,int_stack+414785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+367094,21);
 /*--- compute (h0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+438221,int_stack+8850,int_stack+418943, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+371252,21);
 /*--- compute (h0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+411320,int_stack+438221,int_stack+450149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378182,21);
 /*--- compute (h0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+438221,int_stack+411320,int_stack+459599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387632,21);
 /*--- compute (h0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+454097,int_stack+438221,int_stack+425873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398972,21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+411320,int_stack+454097,int_stack+315434,784);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+446600,int_stack+18634,int_stack+18354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153300, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+447440,int_stack+18994,int_stack+18634, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153580, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+448520,int_stack+447440,int_stack+446600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181629, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+450200,int_stack+19444,int_stack+18994, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153940, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+451550,int_stack+450200,int_stack+447440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182469, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+453710,int_stack+451550,int_stack+448520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183549, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+446600,int_stack+19994,int_stack+19444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154390, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+456510,int_stack+446600,int_stack+450200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185229, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+459210,int_stack+456510,int_stack+451550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186579, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+448250,int_stack+459210,int_stack+453710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188739, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+452450,int_stack+20654,int_stack+19994, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154940, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+462810,int_stack+452450,int_stack+446600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191539, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+466110,int_stack+462810,int_stack+456510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193189, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+8850,int_stack+466110,int_stack+459210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195889, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+454430,int_stack+8850,int_stack+448250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199489, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+446600,int_stack+21434,int_stack+20654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155600, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+14250,int_stack+446600,int_stack+452450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203689, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+446600,int_stack+14250,int_stack+462810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205669, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+14250,int_stack+446600,int_stack+466110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208969, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+446600,int_stack+14250,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213469, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+8850,int_stack+446600,int_stack+454430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218869, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+446600,int_stack+22764,int_stack+22344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161280, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+447860,int_stack+23304,int_stack+22764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161700, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+449480,int_stack+447860,int_stack+446600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224749, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+452000,int_stack+23979,int_stack+23304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162240, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+454025,int_stack+452000,int_stack+447860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226009, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+457265,int_stack+454025,int_stack+449480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227629, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+446600,int_stack+24804,int_stack+23979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162915, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+461465,int_stack+446600,int_stack+452000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230149, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+465515,int_stack+461465,int_stack+454025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232174, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+449075,int_stack+465515,int_stack+457265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246299, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+455375,int_stack+25794,int_stack+24804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163740, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+16690,int_stack+455375,int_stack+446600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235414, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+313265,int_stack+16690,int_stack+461465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250499, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+470915,int_stack+313265,int_stack+465515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+254549, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+458345,int_stack+470915,int_stack+449075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259949, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+446600,int_stack+26964,int_stack+25794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164730, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+21640,int_stack+446600,int_stack+455375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+446600,int_stack+21640,int_stack+16690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266249, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+16690,int_stack+446600,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271199, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+313265,int_stack+16690,int_stack+470915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277949, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+467165,int_stack+313265,int_stack+458345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286049, 0.0, zero_stack,15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+478925,int_stack+467165,int_stack+8850,784);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8850,int_stack+28917,int_stack+28329, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101745, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+10614,int_stack+29673,int_stack+28917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102921, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12882,int_stack+10614,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294869, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16410,int_stack+30618,int_stack+29673, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104433, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+19245,int_stack+16410,int_stack+10614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296633, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+23781,int_stack+19245,int_stack+12882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+298901, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+8850,int_stack+31773,int_stack+30618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106323, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+313265,int_stack+8850,int_stack+16410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302429, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+318935,int_stack+313265,int_stack+19245, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305264, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+12315,int_stack+318935,int_stack+23781, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2970, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+21135,int_stack+33159,int_stack+31773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108633, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+25293,int_stack+21135,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+309800, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+446600,int_stack+25293,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237889, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+502445,int_stack+446600,int_stack+318935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350714, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+313265,int_stack+502445,int_stack+12315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+358274, 0.0, zero_stack,21);
 /*--- compute (h0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+8850,int_stack+34797,int_stack+33159, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111405, 0.0, zero_stack,21);
 /*--- compute (h0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+456050,int_stack+8850,int_stack+21135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+367094, 0.0, zero_stack,21);
 /*--- compute (h0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+8850,int_stack+456050,int_stack+25293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+371252, 0.0, zero_stack,21);
 /*--- compute (h0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+20400,int_stack+8850,int_stack+446600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378182, 0.0, zero_stack,21);
 /*--- compute (h0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+446600,int_stack+20400,int_stack+502445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387632, 0.0, zero_stack,21);
 /*--- compute (h0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+8850,int_stack+446600,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398972, 0.0, zero_stack,21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+502445,int_stack+8850,int_stack+467165,784);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8850,int_stack+36988,int_stack+36708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153300, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9690,int_stack+37348,int_stack+36988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153580, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10770,int_stack+9690,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181629, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12450,int_stack+37798,int_stack+37348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153940, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13800,int_stack+12450,int_stack+9690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182469, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+15960,int_stack+13800,int_stack+10770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183549, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+8850,int_stack+38348,int_stack+37798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154390, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+18760,int_stack+8850,int_stack+12450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185229, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+21460,int_stack+18760,int_stack+13800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186579, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+10500,int_stack+21460,int_stack+15960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188739, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+14700,int_stack+39008,int_stack+38348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154940, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+25060,int_stack+14700,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191539, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+28360,int_stack+25060,int_stack+18760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193189, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+32860,int_stack+28360,int_stack+21460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195889, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+16680,int_stack+32860,int_stack+10500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199489, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+8850,int_stack+39788,int_stack+39008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155600, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+313265,int_stack+8850,int_stack+14700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203689, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+8850,int_stack+313265,int_stack+25060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205669, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+313265,int_stack+8850,int_stack+28360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208969, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+8850,int_stack+313265,int_stack+32860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213469, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+313265,int_stack+8850,int_stack+16680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218869, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8850,int_stack+41118,int_stack+40698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161280, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+10110,int_stack+41658,int_stack+41118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161700, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11730,int_stack+10110,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224749, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+14250,int_stack+42333,int_stack+41658, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162240, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+16275,int_stack+14250,int_stack+10110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226009, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19515,int_stack+16275,int_stack+11730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227629, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+8850,int_stack+43158,int_stack+42333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162915, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+23715,int_stack+8850,int_stack+14250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230149, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+27765,int_stack+23715,int_stack+16275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232174, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+11325,int_stack+27765,int_stack+19515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246299, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+17625,int_stack+44148,int_stack+43158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163740, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+33165,int_stack+17625,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235414, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+446600,int_stack+33165,int_stack+23715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250499, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+453350,int_stack+446600,int_stack+27765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+254549, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+20595,int_stack+453350,int_stack+11325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259949, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+8850,int_stack+45318,int_stack+44148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164730, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+38115,int_stack+8850,int_stack+17625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+8850,int_stack+38115,int_stack+33165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266249, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+29415,int_stack+8850,int_stack+446600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271199, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+8850,int_stack+29415,int_stack+453350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277949, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+29415,int_stack+8850,int_stack+20595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286049, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+446600,int_stack+29415,int_stack+313265,784);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+313265,int_stack+47271,int_stack+46683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101745, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+315029,int_stack+48027,int_stack+47271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102921, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+317297,int_stack+315029,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294869, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+320825,int_stack+48972,int_stack+48027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104433, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+8850,int_stack+320825,int_stack+315029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296633, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+13386,int_stack+8850,int_stack+317297, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+298901, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+313265,int_stack+50127,int_stack+48972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106323, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+19266,int_stack+313265,int_stack+320825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302429, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+316730,int_stack+19266,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305264, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+41175,int_stack+316730,int_stack+13386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2970, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+8850,int_stack+51513,int_stack+50127, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108633, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+470120,int_stack+8850,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+309800, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+537725,int_stack+470120,int_stack+19266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237889, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+13008,int_stack+537725,int_stack+316730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350714, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+313265,int_stack+13008,int_stack+41175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+358274, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+41175,int_stack+53151,int_stack+51513, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111405, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+46089,int_stack+41175,int_stack+8850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+367094, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+547175,int_stack+46089,int_stack+470120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+371252, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+558725,int_stack+547175,int_stack+537725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378182, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+537725,int_stack+558725,int_stack+13008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387632, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+553601,int_stack+537725,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398972, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+570065,int_stack+553601,int_stack+29415,784);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+313265,int_stack+55342,int_stack+55062, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+314105,int_stack+55702,int_stack+55342, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+315185,int_stack+314105,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+316865,int_stack+56152,int_stack+55702, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+318215,int_stack+316865,int_stack+314105, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+320375,int_stack+318215,int_stack+315185, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+313265,int_stack+56702,int_stack+56152, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+323175,int_stack+313265,int_stack+316865, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185229, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+537725,int_stack+323175,int_stack+318215, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+314915,int_stack+537725,int_stack+320375, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+319115,int_stack+57362,int_stack+56702, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+541325,int_stack+319115,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+544625,int_stack+541325,int_stack+323175, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+321095,int_stack+544625,int_stack+537725, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+549125,int_stack+321095,int_stack+314915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+537725,int_stack+58142,int_stack+57362, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+313265,int_stack+537725,int_stack+319115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+555005,int_stack+313265,int_stack+541325, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+313265,int_stack+555005,int_stack+544625, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+555005,int_stack+313265,int_stack+321095, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+313265,int_stack+555005,int_stack+549125, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+321105,int_stack+59472,int_stack+59052, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+322365,int_stack+60012,int_stack+59472, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+323985,int_stack+322365,int_stack+321105, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+537725,int_stack+60687,int_stack+60012, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+539750,int_stack+537725,int_stack+322365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226009, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+542990,int_stack+539750,int_stack+323985, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+321105,int_stack+61512,int_stack+60687, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+547190,int_stack+321105,int_stack+537725, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+551240,int_stack+547190,int_stack+539750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+556640,int_stack+551240,int_stack+542990, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+537725,int_stack+62502,int_stack+61512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+540695,int_stack+537725,int_stack+321105, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+562940,int_stack+540695,int_stack+547190, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+470120,int_stack+562940,int_stack+551240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+254549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+545645,int_stack+470120,int_stack+556640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+321105,int_stack+63672,int_stack+62502, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+554465,int_stack+321105,int_stack+537725, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+8850,int_stack+554465,int_stack+540695, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+17100,int_stack+8850,int_stack+562940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+554465,int_stack+17100,int_stack+470120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+8850,int_stack+554465,int_stack+545645, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+20610,int_stack+8850,int_stack+313265,784);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+313265,int_stack+65625,int_stack+65037, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+315029,int_stack+66381,int_stack+65625, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102921, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+317297,int_stack+315029,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+320825,int_stack+67326,int_stack+66381, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+470120,int_stack+320825,int_stack+315029, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+44130,int_stack+470120,int_stack+317297, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+298901, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+313265,int_stack+68481,int_stack+67326, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+50010,int_stack+313265,int_stack+320825, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302429, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+316730,int_stack+50010,int_stack+470120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+55680,int_stack+316730,int_stack+44130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+44130,int_stack+69867,int_stack+68481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+470120,int_stack+44130,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+309800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+537725,int_stack+470120,int_stack+50010, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+547175,int_stack+537725,int_stack+316730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350714, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+313265,int_stack+547175,int_stack+55680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+358274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+48288,int_stack+71505,int_stack+69867, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+53202,int_stack+48288,int_stack+44130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+367094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+558515,int_stack+53202,int_stack+470120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+371252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+44130,int_stack+558515,int_stack+537725, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+605345,int_stack+44130,int_stack+547175, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+44130,int_stack+605345,int_stack+313265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+605345,int_stack+44130,int_stack+8850,784);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8850,int_stack+73696,int_stack+73416, 0.0, zero_stack, 1.0, int_stack+153300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9690,int_stack+74056,int_stack+73696, 0.0, zero_stack, 1.0, int_stack+153580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10770,int_stack+9690,int_stack+8850, 0.0, zero_stack, 1.0, int_stack+181629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12450,int_stack+74506,int_stack+74056, 0.0, zero_stack, 1.0, int_stack+153940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13800,int_stack+12450,int_stack+9690, 0.0, zero_stack, 1.0, int_stack+182469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+15960,int_stack+13800,int_stack+10770, 0.0, zero_stack, 1.0, int_stack+183549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+8850,int_stack+75056,int_stack+74506, 0.0, zero_stack, 1.0, int_stack+154390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+44130,int_stack+8850,int_stack+12450, 0.0, zero_stack, 1.0, int_stack+185229, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+46830,int_stack+44130,int_stack+13800, 0.0, zero_stack, 1.0, int_stack+186579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+10500,int_stack+46830,int_stack+15960, 0.0, zero_stack, 1.0, int_stack+188739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+14700,int_stack+75716,int_stack+75056, 0.0, zero_stack, 1.0, int_stack+154940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+16680,int_stack+14700,int_stack+8850, 0.0, zero_stack, 1.0, int_stack+191539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+50430,int_stack+16680,int_stack+44130, 0.0, zero_stack, 1.0, int_stack+193189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+54930,int_stack+50430,int_stack+46830, 0.0, zero_stack, 1.0, int_stack+195889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+44130,int_stack+54930,int_stack+10500, 0.0, zero_stack, 1.0, int_stack+199489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+8850,int_stack+76496,int_stack+75716, 0.0, zero_stack, 1.0, int_stack+155600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+60330,int_stack+8850,int_stack+14700, 0.0, zero_stack, 1.0, int_stack+203689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+8850,int_stack+60330,int_stack+16680, 0.0, zero_stack, 1.0, int_stack+205669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+60330,int_stack+8850,int_stack+50430, 0.0, zero_stack, 1.0, int_stack+208969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+8850,int_stack+60330,int_stack+54930, 0.0, zero_stack, 1.0, int_stack+213469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+50010,int_stack+8850,int_stack+44130, 0.0, zero_stack, 1.0, int_stack+218869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44130,int_stack+77826,int_stack+77406, 0.0, zero_stack, 1.0, int_stack+161280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+45390,int_stack+78366,int_stack+77826, 0.0, zero_stack, 1.0, int_stack+161700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+47010,int_stack+45390,int_stack+44130, 0.0, zero_stack, 1.0, int_stack+224749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8850,int_stack+79041,int_stack+78366, 0.0, zero_stack, 1.0, int_stack+162240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+10875,int_stack+8850,int_stack+45390, 0.0, zero_stack, 1.0, int_stack+226009, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+14115,int_stack+10875,int_stack+47010, 0.0, zero_stack, 1.0, int_stack+227629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+44130,int_stack+79866,int_stack+79041, 0.0, zero_stack, 1.0, int_stack+162915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+57850,int_stack+44130,int_stack+8850, 0.0, zero_stack, 1.0, int_stack+230149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+61900,int_stack+57850,int_stack+10875, 0.0, zero_stack, 1.0, int_stack+232174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+67300,int_stack+61900,int_stack+14115, 0.0, zero_stack, 1.0, int_stack+246299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+8850,int_stack+80856,int_stack+79866, 0.0, zero_stack, 1.0, int_stack+163740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+11820,int_stack+8850,int_stack+44130, 0.0, zero_stack, 1.0, int_stack+235414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+73600,int_stack+11820,int_stack+57850, 0.0, zero_stack, 1.0, int_stack+250499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+313265,int_stack+73600,int_stack+61900, 0.0, zero_stack, 1.0, int_stack+254549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+57850,int_stack+313265,int_stack+67300, 0.0, zero_stack, 1.0, int_stack+259949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+66670,int_stack+82026,int_stack+80856, 0.0, zero_stack, 1.0, int_stack+164730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+537725,int_stack+66670,int_stack+8850, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+543665,int_stack+537725,int_stack+11820, 0.0, zero_stack, 1.0, int_stack+266249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+8850,int_stack+543665,int_stack+73600, 0.0, zero_stack, 1.0, int_stack+271199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+537725,int_stack+8850,int_stack+313265, 0.0, zero_stack, 1.0, int_stack+277949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+8850,int_stack+537725,int_stack+57850, 0.0, zero_stack, 1.0, int_stack+286049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+57850,int_stack+8850,int_stack+50010,784);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+81370,int_stack+83979,int_stack+83391, 0.0, zero_stack, 1.0, int_stack+101745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+537725,int_stack+84735,int_stack+83979, 0.0, zero_stack, 1.0, int_stack+102921, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+539993,int_stack+537725,int_stack+81370, 0.0, zero_stack, 1.0, int_stack+294869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+81370,int_stack+85680,int_stack+84735, 0.0, zero_stack, 1.0, int_stack+104433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+543521,int_stack+81370,int_stack+537725, 0.0, zero_stack, 1.0, int_stack+296633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+548057,int_stack+543521,int_stack+539993, 0.0, zero_stack, 1.0, int_stack+298901, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+537725,int_stack+86835,int_stack+85680, 0.0, zero_stack, 1.0, int_stack+106323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+553937,int_stack+537725,int_stack+81370, 0.0, zero_stack, 1.0, int_stack+302429, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+559607,int_stack+553937,int_stack+543521, 0.0, zero_stack, 1.0, int_stack+305264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+313265,int_stack+559607,int_stack+548057, 0.0, zero_stack, 1.0, int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+81370,int_stack+88221,int_stack+86835, 0.0, zero_stack, 1.0, int_stack+108633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+541190,int_stack+81370,int_stack+537725, 0.0, zero_stack, 1.0, int_stack+309800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+44130,int_stack+541190,int_stack+553937, 0.0, zero_stack, 1.0, int_stack+237889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+548120,int_stack+44130,int_stack+559607, 0.0, zero_stack, 1.0, int_stack+350714, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+640625,int_stack+548120,int_stack+313265, 0.0, zero_stack, 1.0, int_stack+358274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+313265,int_stack+89859,int_stack+88221, 0.0, zero_stack, 1.0, int_stack+111405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+318179,int_stack+313265,int_stack+81370, 0.0, zero_stack, 1.0, int_stack+367094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+652973,int_stack+318179,int_stack+541190, 0.0, zero_stack, 1.0, int_stack+371252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+664523,int_stack+652973,int_stack+44130, 0.0, zero_stack, 1.0, int_stack+378182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+678698,int_stack+664523,int_stack+548120, 0.0, zero_stack, 1.0, int_stack+387632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+652973,int_stack+678698,int_stack+640625, 0.0, zero_stack, 1.0, int_stack+398972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+669437,int_stack+652973,int_stack+8850,784);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8850,int_stack+92050,int_stack+91770, 1.0, int_stack+153300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9690,int_stack+92410,int_stack+92050, 1.0, int_stack+153580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10770,int_stack+9690,int_stack+8850, 1.0, int_stack+181629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12450,int_stack+92860,int_stack+92410, 1.0, int_stack+153940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13800,int_stack+12450,int_stack+9690, 1.0, int_stack+182469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+15960,int_stack+13800,int_stack+10770, 1.0, int_stack+183549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+181629,int_stack+93410,int_stack+92860, 1.0, int_stack+154390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+8850,int_stack+181629,int_stack+12450, 1.0, int_stack+185229, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+640625,int_stack+8850,int_stack+13800, 1.0, int_stack+186579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+183279,int_stack+640625,int_stack+15960, 1.0, int_stack+188739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+187479,int_stack+94070,int_stack+93410, 1.0, int_stack+154940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+11550,int_stack+187479,int_stack+181629, 1.0, int_stack+191539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+14850,int_stack+11550,int_stack+8850, 1.0, int_stack+193189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+189459,int_stack+14850,int_stack+640625, 1.0, int_stack+195889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+640625,int_stack+189459,int_stack+183279, 1.0, int_stack+199489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+646505,int_stack+94850,int_stack+94070, 1.0, int_stack+155600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+648845,int_stack+646505,int_stack+187479, 1.0, int_stack+203689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+652805,int_stack+648845,int_stack+11550, 1.0, int_stack+205669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+658305,int_stack+652805,int_stack+14850, 1.0, int_stack+208969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+646505,int_stack+658305,int_stack+189459, 1.0, int_stack+213469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+654065,int_stack+646505,int_stack+640625, 1.0, int_stack+218869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+640625,int_stack+96180,int_stack+95760, 1.0, int_stack+161280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+641885,int_stack+96720,int_stack+96180, 1.0, int_stack+161700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+643505,int_stack+641885,int_stack+640625, 1.0, int_stack+224749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+646025,int_stack+97395,int_stack+96720, 1.0, int_stack+162240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+648050,int_stack+646025,int_stack+641885, 1.0, int_stack+226009, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+661905,int_stack+648050,int_stack+643505, 1.0, int_stack+227629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+224749,int_stack+98220,int_stack+97395, 1.0, int_stack+162915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+640625,int_stack+224749,int_stack+646025, 1.0, int_stack+230149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+8850,int_stack+640625,int_stack+648050, 1.0, int_stack+232174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+227224,int_stack+8850,int_stack+661905, 1.0, int_stack+246299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+661905,int_stack+99210,int_stack+98220, 1.0, int_stack+163740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+644675,int_stack+661905,int_stack+224749, 1.0, int_stack+235414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+181629,int_stack+644675,int_stack+640625, 1.0, int_stack+250499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+188379,int_stack+181629,int_stack+8850, 1.0, int_stack+254549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+8850,int_stack+188379,int_stack+227224, 1.0, int_stack+259949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+640625,int_stack+100380,int_stack+99210, 1.0, int_stack+164730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+224749,int_stack+640625,int_stack+661905, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+44130,int_stack+224749,int_stack+644675, 1.0, int_stack+266249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+224749,int_stack+44130,int_stack+181629, 1.0, int_stack+271199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+44130,int_stack+224749,int_stack+188379, 1.0, int_stack+277949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+224749,int_stack+44130,int_stack+8850, 1.0, int_stack+286049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+537725,int_stack+224749,int_stack+654065,784);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8850,int_stack+103677,int_stack+102333, 1.0, int_stack+101745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+10614,int_stack+105378,int_stack+103677, 1.0, int_stack+102921, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12882,int_stack+10614,int_stack+8850, 1.0, int_stack+294869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16410,int_stack+107478,int_stack+105378, 1.0, int_stack+104433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+44130,int_stack+16410,int_stack+10614, 1.0, int_stack+296633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+48666,int_stack+44130,int_stack+12882, 1.0, int_stack+298901, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+294869,int_stack+110019,int_stack+107478, 1.0, int_stack+106323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+8850,int_stack+294869,int_stack+16410, 1.0, int_stack+302429, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+181629,int_stack+8850,int_stack+44130, 1.0, int_stack+305264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+561245,int_stack+181629,int_stack+48666, 1.0, int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2970,int_stack+113043,int_stack+110019, 1.0, int_stack+108633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+44130,int_stack+2970,int_stack+294869, 1.0, int_stack+309800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+294869,int_stack+44130,int_stack+8850, 1.0, int_stack+237889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+304319,int_stack+294869,int_stack+181629, 1.0, int_stack+350714, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+181629,int_stack+304319,int_stack+561245, 1.0, int_stack+358274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+561245,int_stack+114681,int_stack+113043, 1.0, int_stack+111405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+350714,int_stack+561245,int_stack+2970, 1.0, int_stack+367094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+2970,int_stack+350714,int_stack+44130, 1.0, int_stack+371252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+350714,int_stack+2970,int_stack+294869, 1.0, int_stack+378182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+350714,int_stack+304319, 1.0, int_stack+387632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+350714,int_stack+2970,int_stack+181629, 1.0, int_stack+398972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+367178,int_stack+350714,int_stack+224749,784);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+224749,int_stack+156380,int_stack+155600,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+227089,int_stack+224749,int_stack+203689,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+231049,int_stack+227089,int_stack+205669,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+236549,int_stack+231049,int_stack+208969,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+224749,int_stack+236549,int_stack+213469,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+232309,int_stack+224749,int_stack+218869,10);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+240149,int_stack+165900,int_stack+164730,15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+243659,int_stack+240149,int_stack+0,15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+0,int_stack+243659,int_stack+266249,15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+8250,int_stack+0,int_stack+271199,15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+240149,int_stack+8250,int_stack+277949,15);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+0,int_stack+240149,int_stack+286049,15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+240149,int_stack+0,int_stack+232309,784);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+263669,int_stack+116872,int_stack+116592,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+264509,int_stack+117232,int_stack+116872,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+265589,int_stack+264509,int_stack+263669,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+267269,int_stack+117682,int_stack+117232,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+268619,int_stack+267269,int_stack+264509,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+270779,int_stack+268619,int_stack+265589,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+263669,int_stack+118232,int_stack+117682,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+273579,int_stack+263669,int_stack+267269,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+276279,int_stack+273579,int_stack+268619,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+265319,int_stack+276279,int_stack+270779,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+269519,int_stack+118892,int_stack+118232,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+279879,int_stack+269519,int_stack+263669,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+283179,int_stack+279879,int_stack+273579,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+287679,int_stack+283179,int_stack+276279,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+271499,int_stack+287679,int_stack+265319,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+263669,int_stack+119672,int_stack+118892,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+293079,int_stack+263669,int_stack+269519,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+263669,int_stack+293079,int_stack+279879,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+293079,int_stack+263669,int_stack+283179,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+263669,int_stack+293079,int_stack+287679,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+277379,int_stack+263669,int_stack+271499,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+263669,int_stack+121002,int_stack+120582,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+264929,int_stack+121542,int_stack+121002,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+266549,int_stack+264929,int_stack+263669,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+269069,int_stack+122217,int_stack+121542,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+271094,int_stack+269069,int_stack+264929,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+285219,int_stack+271094,int_stack+266549,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+263669,int_stack+123042,int_stack+122217,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+289419,int_stack+263669,int_stack+269069,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+293469,int_stack+289419,int_stack+271094,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+266144,int_stack+293469,int_stack+285219,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+285219,int_stack+124032,int_stack+123042,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+298869,int_stack+285219,int_stack+263669,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+303819,int_stack+298869,int_stack+289419,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+310569,int_stack+303819,int_stack+293469,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+561245,int_stack+310569,int_stack+266144,15);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+263669,int_stack+125202,int_stack+124032,15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+267179,int_stack+263669,int_stack+285219,15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+285219,int_stack+267179,int_stack+298869,15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+293469,int_stack+285219,int_stack+303819,15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+263669,int_stack+293469,int_stack+310569,15);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+285219,int_stack+263669,int_stack+561245,15);
 /*--- compute (fp|ii) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+296979,int_stack+285219,int_stack+277379, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+561245,int_stack+127155,int_stack+126567,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+563009,int_stack+127911,int_stack+127155,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+565277,int_stack+563009,int_stack+561245,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+263669,int_stack+128856,int_stack+127911,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+266504,int_stack+263669,int_stack+563009,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+271040,int_stack+266504,int_stack+565277,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+561245,int_stack+130011,int_stack+128856,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+276920,int_stack+561245,int_stack+263669,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+11760,int_stack+276920,int_stack+266504,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+350714,int_stack+11760,int_stack+271040,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+263669,int_stack+131397,int_stack+130011,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+267827,int_stack+263669,int_stack+561245,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+181629,int_stack+267827,int_stack+276920,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+191079,int_stack+181629,int_stack+11760,21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+202419,int_stack+191079,int_stack+350714,21);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+350714,int_stack+133035,int_stack+131397,21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+355628,int_stack+350714,int_stack+263669,21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+214767,int_stack+355628,int_stack+267827,21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+263669,int_stack+214767,int_stack+181629,21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+214767,int_stack+263669,int_stack+191079,21);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+350714,int_stack+214767,int_stack+202419,21);
 /*--- compute (gp|ii) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+181629,int_stack+350714,int_stack+285219, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+350714,int_stack+135226,int_stack+134946,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+351554,int_stack+135586,int_stack+135226,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+352634,int_stack+351554,int_stack+350714,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+354314,int_stack+136036,int_stack+135586,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+355664,int_stack+354314,int_stack+351554,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+357824,int_stack+355664,int_stack+352634,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+350714,int_stack+136586,int_stack+136036,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+360624,int_stack+350714,int_stack+354314,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+363324,int_stack+360624,int_stack+355664,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+352364,int_stack+363324,int_stack+357824,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+356564,int_stack+137246,int_stack+136586,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+263669,int_stack+356564,int_stack+350714,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+266969,int_stack+263669,int_stack+360624,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+271469,int_stack+266969,int_stack+363324,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+358544,int_stack+271469,int_stack+352364,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+350714,int_stack+138026,int_stack+137246,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+276869,int_stack+350714,int_stack+356564,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+350714,int_stack+276869,int_stack+263669,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+276869,int_stack+350714,int_stack+266969,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+350714,int_stack+276869,int_stack+271469,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+263669,int_stack+350714,int_stack+358544,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+350714,int_stack+139356,int_stack+138936,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+351974,int_stack+139896,int_stack+139356,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+353594,int_stack+351974,int_stack+350714,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+356114,int_stack+140571,int_stack+139896,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+358139,int_stack+356114,int_stack+351974,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+361379,int_stack+358139,int_stack+353594,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+350714,int_stack+141396,int_stack+140571,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+271509,int_stack+350714,int_stack+356114,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+275559,int_stack+271509,int_stack+358139,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+353189,int_stack+275559,int_stack+361379,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+359489,int_stack+142386,int_stack+141396,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+280959,int_stack+359489,int_stack+350714,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+285909,int_stack+280959,int_stack+271509,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+216909,int_stack+285909,int_stack+275559,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+561245,int_stack+216909,int_stack+353189,15);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+271509,int_stack+143556,int_stack+142386,15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+275019,int_stack+271509,int_stack+359489,15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+350714,int_stack+275019,int_stack+280959,15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+271509,int_stack+350714,int_stack+285909,15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+350714,int_stack+271509,int_stack+216909,15);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+216909,int_stack+350714,int_stack+561245,15);
 /*--- compute (fp|ii) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+271509,int_stack+216909,int_stack+263669, 0.0, zero_stack, 1.0, int_stack+232309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+263669,int_stack+145509,int_stack+144921,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+265433,int_stack+146265,int_stack+145509,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+267701,int_stack+265433,int_stack+263669,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+561245,int_stack+147210,int_stack+146265,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+564080,int_stack+561245,int_stack+265433,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+350714,int_stack+564080,int_stack+267701,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+263669,int_stack+148365,int_stack+147210,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+356594,int_stack+263669,int_stack+561245,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+11760,int_stack+356594,int_stack+564080,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+561245,int_stack+11760,int_stack+350714,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+350714,int_stack+149751,int_stack+148365,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+402458,int_stack+350714,int_stack+263669,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+44130,int_stack+402458,int_stack+356594,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+354872,int_stack+44130,int_stack+11760,21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+640625,int_stack+354872,int_stack+561245,21);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+561245,int_stack+151389,int_stack+149751,21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+11760,int_stack+561245,int_stack+350714,21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+652973,int_stack+11760,int_stack+402458,21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+81370,int_stack+652973,int_stack+44130,21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+652973,int_stack+81370,int_stack+354872,21);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+350714,int_stack+652973,int_stack+640625,21);
 /*--- compute (gp|ii) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+81370,int_stack+350714,int_stack+216909, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+216909,int_stack+157570,int_stack+157290,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+217749,int_stack+157930,int_stack+157570,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+218829,int_stack+217749,int_stack+216909,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+220509,int_stack+158380,int_stack+157930,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+221859,int_stack+220509,int_stack+217749,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+224019,int_stack+221859,int_stack+218829,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+216909,int_stack+158930,int_stack+158380,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+226819,int_stack+216909,int_stack+220509,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+350714,int_stack+226819,int_stack+221859,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+218559,int_stack+350714,int_stack+224019,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+222759,int_stack+159590,int_stack+158930,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+354314,int_stack+222759,int_stack+216909,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+357614,int_stack+354314,int_stack+226819,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+224739,int_stack+357614,int_stack+350714,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+640625,int_stack+224739,int_stack+218559,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+350714,int_stack+160370,int_stack+159590,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+216909,int_stack+350714,int_stack+222759,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+646505,int_stack+216909,int_stack+354314,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+216909,int_stack+646505,int_stack+357614,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+646505,int_stack+216909,int_stack+224739,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+263669,int_stack+646505,int_stack+640625,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+640625,int_stack+167685,int_stack+167265,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+641885,int_stack+168225,int_stack+167685,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+643505,int_stack+641885,int_stack+640625,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+646025,int_stack+168900,int_stack+168225,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+648050,int_stack+646025,int_stack+641885,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+651290,int_stack+648050,int_stack+643505,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+640625,int_stack+169725,int_stack+168900,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+655490,int_stack+640625,int_stack+646025,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+659540,int_stack+655490,int_stack+648050,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+643100,int_stack+659540,int_stack+651290,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+649400,int_stack+170715,int_stack+169725,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+216909,int_stack+649400,int_stack+640625,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+221859,int_stack+216909,int_stack+655490,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+350714,int_stack+221859,int_stack+659540,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+561245,int_stack+350714,int_stack+643100,15);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+640625,int_stack+171885,int_stack+170715,15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+652370,int_stack+640625,int_stack+649400,15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+640625,int_stack+652370,int_stack+216909,15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+648875,int_stack+640625,int_stack+221859,15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+216909,int_stack+648875,int_stack+350714,15);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+350714,int_stack+216909,int_stack+561245,15);
 /*--- compute (fp|ii) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+640625,int_stack+350714,int_stack+263669, 1.0, int_stack+232309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+263669,int_stack+173838,int_stack+173250,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+265433,int_stack+174594,int_stack+173838,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+267701,int_stack+265433,int_stack+263669,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+561245,int_stack+175539,int_stack+174594,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+564080,int_stack+561245,int_stack+265433,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+216909,int_stack+564080,int_stack+267701,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+263669,int_stack+176694,int_stack+175539,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+222789,int_stack+263669,int_stack+561245,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+228459,int_stack+222789,int_stack+564080,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+561245,int_stack+228459,int_stack+216909,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+216909,int_stack+178080,int_stack+176694,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+116650,int_stack+216909,int_stack+263669,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+123580,int_stack+116650,int_stack+222789,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+133030,int_stack+123580,int_stack+228459,21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+221067,int_stack+133030,int_stack+561245,21);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+561245,int_stack+179718,int_stack+178080,21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+144370,int_stack+561245,int_stack+216909,21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+152686,int_stack+144370,int_stack+116650,21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+164236,int_stack+152686,int_stack+123580,21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+116650,int_stack+164236,int_stack+133030,21);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+132526,int_stack+116650,int_stack+221067,21);
 /*--- compute (gp|ii) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+704717,int_stack+132526,int_stack+350714, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (fd|ii) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+116650,int_stack+411320,int_stack+327194,784);
     Libderiv->ABCD[11] = int_stack + 116650;
 /*--- compute (fd|ii) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+739997,int_stack+502445,int_stack+478925,784);
     Libderiv->ABCD[10] = int_stack + 739997;
 /*--- compute (fd|ii) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+470120,int_stack+570065,int_stack+446600,784);
     Libderiv->ABCD[9] = int_stack + 470120;
 /*--- compute (fd|ii) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+402458,int_stack+605345,int_stack+20610,784);
     Libderiv->ABCD[8] = int_stack + 402458;
 /*--- compute (fd|ii) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+0,int_stack+669437,int_stack+57850,784);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (fd|ii) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+561245,int_stack+367178,int_stack+537725,784);
     Libderiv->ABCD[6] = int_stack + 561245;
 /*--- compute (fd|ii) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+320499,int_stack+181629,int_stack+296979, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+240149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[2] = int_stack + 320499;
 /*--- compute (fd|ii) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+163690,int_stack+81370,int_stack+271509, 0.0, zero_stack, 1.0, int_stack+240149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[1] = int_stack + 163690;
 /*--- compute (fd|ii) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+47040,int_stack+704717,int_stack+640625, 1.0, int_stack+240149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[0] = int_stack + 47040;

}
