#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fpif(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fp|if) integrals */

void d1hrr_order_fpif(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1640;
 Libderiv->deriv_classes[4][7][11] = int_stack + 2060;
 Libderiv->deriv_classes[4][8][11] = int_stack + 2600;
 Libderiv->deriv_classes[4][9][11] = int_stack + 3275;
 Libderiv->deriv_classes[3][6][10] = int_stack + 4100;
 Libderiv->deriv_classes[3][7][10] = int_stack + 4380;
 Libderiv->deriv_classes[3][8][10] = int_stack + 4740;
 Libderiv->deriv_classes[3][9][10] = int_stack + 5190;
 Libderiv->deriv_classes[4][6][10] = int_stack + 5740;
 Libderiv->deriv_classes[4][7][10] = int_stack + 6160;
 Libderiv->deriv_classes[4][8][10] = int_stack + 6700;
 Libderiv->deriv_classes[4][9][10] = int_stack + 7375;
 Libderiv->deriv_classes[3][6][9] = int_stack + 8200;
 Libderiv->deriv_classes[3][7][9] = int_stack + 8480;
 Libderiv->deriv_classes[3][8][9] = int_stack + 8840;
 Libderiv->deriv_classes[3][9][9] = int_stack + 9290;
 Libderiv->deriv_classes[4][6][9] = int_stack + 9840;
 Libderiv->deriv_classes[4][7][9] = int_stack + 10260;
 Libderiv->deriv_classes[4][8][9] = int_stack + 10800;
 Libderiv->deriv_classes[4][9][9] = int_stack + 11475;
 Libderiv->deriv_classes[3][6][8] = int_stack + 12300;
 Libderiv->deriv_classes[3][7][8] = int_stack + 12580;
 Libderiv->deriv_classes[3][8][8] = int_stack + 12940;
 Libderiv->deriv_classes[3][9][8] = int_stack + 13390;
 Libderiv->deriv_classes[4][6][8] = int_stack + 13940;
 Libderiv->deriv_classes[4][7][8] = int_stack + 14360;
 Libderiv->deriv_classes[4][8][8] = int_stack + 14900;
 Libderiv->deriv_classes[4][9][8] = int_stack + 15575;
 Libderiv->deriv_classes[3][6][7] = int_stack + 16400;
 Libderiv->deriv_classes[3][7][7] = int_stack + 16680;
 Libderiv->deriv_classes[3][8][7] = int_stack + 17040;
 Libderiv->deriv_classes[3][9][7] = int_stack + 17490;
 Libderiv->deriv_classes[4][6][7] = int_stack + 18040;
 Libderiv->deriv_classes[4][7][7] = int_stack + 18460;
 Libderiv->deriv_classes[4][8][7] = int_stack + 19000;
 Libderiv->deriv_classes[4][9][7] = int_stack + 19675;
 Libderiv->deriv_classes[3][6][6] = int_stack + 20500;
 Libderiv->deriv_classes[3][7][6] = int_stack + 20780;
 Libderiv->deriv_classes[3][8][6] = int_stack + 21140;
 Libderiv->deriv_classes[3][9][6] = int_stack + 21590;
 Libderiv->dvrr_classes[4][6] = int_stack + 22140;
 Libderiv->deriv_classes[4][6][6] = int_stack + 22560;
 Libderiv->dvrr_classes[4][7] = int_stack + 22980;
 Libderiv->deriv_classes[4][7][6] = int_stack + 23520;
 Libderiv->dvrr_classes[4][8] = int_stack + 24060;
 Libderiv->deriv_classes[4][8][6] = int_stack + 24735;
 Libderiv->deriv_classes[4][9][6] = int_stack + 25410;
 Libderiv->deriv_classes[3][6][2] = int_stack + 26235;
 Libderiv->deriv_classes[3][7][2] = int_stack + 26515;
 Libderiv->deriv_classes[3][8][2] = int_stack + 26875;
 Libderiv->deriv_classes[3][9][2] = int_stack + 27325;
 Libderiv->deriv_classes[4][6][2] = int_stack + 27875;
 Libderiv->deriv_classes[4][7][2] = int_stack + 28295;
 Libderiv->deriv_classes[4][8][2] = int_stack + 28835;
 Libderiv->deriv_classes[4][9][2] = int_stack + 29510;
 Libderiv->deriv_classes[3][6][1] = int_stack + 30335;
 Libderiv->deriv_classes[3][7][1] = int_stack + 30615;
 Libderiv->deriv_classes[3][8][1] = int_stack + 30975;
 Libderiv->deriv_classes[3][9][1] = int_stack + 31425;
 Libderiv->deriv_classes[4][6][1] = int_stack + 31975;
 Libderiv->deriv_classes[4][7][1] = int_stack + 32395;
 Libderiv->deriv_classes[4][8][1] = int_stack + 32935;
 Libderiv->deriv_classes[4][9][1] = int_stack + 33610;
 Libderiv->dvrr_classes[3][6] = int_stack + 34435;
 Libderiv->dvrr_classes[3][7] = int_stack + 34715;
 Libderiv->dvrr_classes[3][8] = int_stack + 35075;
 Libderiv->dvrr_classes[3][9] = int_stack + 35525;
 Libderiv->deriv_classes[3][6][0] = int_stack + 36075;
 Libderiv->deriv_classes[3][7][0] = int_stack + 36355;
 Libderiv->deriv_classes[3][8][0] = int_stack + 36715;
 Libderiv->deriv_classes[3][9][0] = int_stack + 37165;
 Libderiv->deriv_classes[4][6][0] = int_stack + 37715;
 Libderiv->deriv_classes[4][7][0] = int_stack + 38135;
 Libderiv->deriv_classes[4][8][0] = int_stack + 38675;
 Libderiv->deriv_classes[4][9][0] = int_stack + 39350;
 memset(int_stack,0,321400);

 Libderiv->dvrr_stack = int_stack + 120270;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fpif(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+40175,int_stack+34715,int_stack+34435,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+41015,int_stack+35075,int_stack+34715,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+42095,int_stack+41015,int_stack+40175,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+43775,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34435,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+44615,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34715,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+45695,int_stack+44615,int_stack+43775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40175,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+47375,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35075,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+48725,int_stack+47375,int_stack+44615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41015,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+50885,int_stack+48725,int_stack+45695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42095,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+43775,int_stack+22980,int_stack+22140,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+45035,int_stack+24060,int_stack+22980,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+46655,int_stack+45035,int_stack+43775,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+49175,int_stack+2060,int_stack+1640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22140,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+2600,int_stack+2060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22980,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+53685,int_stack+0,int_stack+49175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43775,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+56205,int_stack+3275,int_stack+2600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24060,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+58230,int_stack+56205,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45035,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+61470,int_stack+58230,int_stack+53685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46655,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53685,int_stack+4380,int_stack+4100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34435, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54525,int_stack+4740,int_stack+4380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34715, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+55605,int_stack+54525,int_stack+53685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40175, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+57285,int_stack+5190,int_stack+4740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35075, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+58635,int_stack+57285,int_stack+54525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41015, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+58635,int_stack+55605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42095, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53685,int_stack+6160,int_stack+5740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22140, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54945,int_stack+6700,int_stack+6160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22980, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+56565,int_stack+54945,int_stack+53685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43775, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+59085,int_stack+7375,int_stack+6700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24060, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2800,int_stack+59085,int_stack+54945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45035, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+65670,int_stack+2800,int_stack+56565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46655, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2800,int_stack+8480,int_stack+8200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34435, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3640,int_stack+8840,int_stack+8480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34715, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4720,int_stack+3640,int_stack+2800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40175, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6400,int_stack+9290,int_stack+8840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35075, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+53685,int_stack+6400,int_stack+3640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41015, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+6400,int_stack+53685,int_stack+4720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42095, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53685,int_stack+10260,int_stack+9840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22140, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54945,int_stack+10800,int_stack+10260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22980, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+56565,int_stack+54945,int_stack+53685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43775, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+59085,int_stack+11475,int_stack+10800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24060, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2800,int_stack+59085,int_stack+54945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45035, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+69870,int_stack+2800,int_stack+56565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46655, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2800,int_stack+12580,int_stack+12300, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3640,int_stack+12940,int_stack+12580, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4720,int_stack+3640,int_stack+2800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+53685,int_stack+13390,int_stack+12940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+55035,int_stack+53685,int_stack+3640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+57195,int_stack+55035,int_stack+4720, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53685,int_stack+14360,int_stack+13940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54945,int_stack+14900,int_stack+14360, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2800,int_stack+54945,int_stack+53685, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+9200,int_stack+15575,int_stack+14900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+11225,int_stack+9200,int_stack+54945, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+74070,int_stack+11225,int_stack+2800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2800,int_stack+16680,int_stack+16400, 0.0, zero_stack, 1.0, int_stack+34435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3640,int_stack+17040,int_stack+16680, 0.0, zero_stack, 1.0, int_stack+34715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4720,int_stack+3640,int_stack+2800, 0.0, zero_stack, 1.0, int_stack+40175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+9200,int_stack+17490,int_stack+17040, 0.0, zero_stack, 1.0, int_stack+35075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+10550,int_stack+9200,int_stack+3640, 0.0, zero_stack, 1.0, int_stack+41015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+12710,int_stack+10550,int_stack+4720, 0.0, zero_stack, 1.0, int_stack+42095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9200,int_stack+18460,int_stack+18040, 0.0, zero_stack, 1.0, int_stack+22140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+10460,int_stack+19000,int_stack+18460, 0.0, zero_stack, 1.0, int_stack+22980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2800,int_stack+10460,int_stack+9200, 0.0, zero_stack, 1.0, int_stack+43775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+15510,int_stack+19675,int_stack+19000, 0.0, zero_stack, 1.0, int_stack+24060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+53685,int_stack+15510,int_stack+10460, 0.0, zero_stack, 1.0, int_stack+45035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+15510,int_stack+53685,int_stack+2800, 0.0, zero_stack, 1.0, int_stack+46655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2800,int_stack+20780,int_stack+20500, 1.0, int_stack+34435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3640,int_stack+21140,int_stack+20780, 1.0, int_stack+34715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4720,int_stack+3640,int_stack+2800, 1.0, int_stack+40175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+53685,int_stack+21590,int_stack+21140, 1.0, int_stack+35075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+55035,int_stack+53685,int_stack+3640, 1.0, int_stack+41015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+9200,int_stack+55035,int_stack+4720, 1.0, int_stack+42095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53685,int_stack+23520,int_stack+22560, 1.0, int_stack+22140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54945,int_stack+24735,int_stack+23520, 1.0, int_stack+22980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2800,int_stack+54945,int_stack+53685, 1.0, int_stack+43775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19710,int_stack+25410,int_stack+24735, 1.0, int_stack+24060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+21735,int_stack+19710,int_stack+54945, 1.0, int_stack+45035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+78270,int_stack+21735,int_stack+2800, 1.0, int_stack+46655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+2800,int_stack+35525,int_stack+35075,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+4150,int_stack+2800,int_stack+41015,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+19710,int_stack+4150,int_stack+42095,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2800,int_stack+26515,int_stack+26235,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3640,int_stack+26875,int_stack+26515,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+4720,int_stack+3640,int_stack+2800,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+22510,int_stack+27325,int_stack+26875,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+23860,int_stack+22510,int_stack+3640,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+53685,int_stack+23860,int_stack+4720,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22510,int_stack+28295,int_stack+27875,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+23770,int_stack+28835,int_stack+28295,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+25390,int_stack+23770,int_stack+22510,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+2800,int_stack+29510,int_stack+28835,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+40175,int_stack+2800,int_stack+23770,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+43415,int_stack+40175,int_stack+25390,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+40175,int_stack+30615,int_stack+30335,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+41015,int_stack+30975,int_stack+30615,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2800,int_stack+41015,int_stack+40175,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+4480,int_stack+31425,int_stack+30975,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+22510,int_stack+4480,int_stack+41015,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+40175,int_stack+22510,int_stack+2800,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2800,int_stack+32395,int_stack+31975,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+4060,int_stack+32935,int_stack+32395,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+22510,int_stack+4060,int_stack+2800,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+25030,int_stack+33610,int_stack+32935,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+27055,int_stack+25030,int_stack+4060,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+30295,int_stack+27055,int_stack+22510,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22510,int_stack+36355,int_stack+36075,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+23350,int_stack+36715,int_stack+36355,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+24430,int_stack+23350,int_stack+22510,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+26110,int_stack+37165,int_stack+36715,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+27460,int_stack+26110,int_stack+23350,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+2800,int_stack+27460,int_stack+24430,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22510,int_stack+38135,int_stack+37715,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+23770,int_stack+38675,int_stack+38135,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+25390,int_stack+23770,int_stack+22510,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+27910,int_stack+39350,int_stack+38675,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+34495,int_stack+27910,int_stack+23770,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+82470,int_stack+34495,int_stack+25390,15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+86670,int_stack+61470,int_stack+50885,280);
     Libderiv->ABCD[11] = int_stack + 86670;
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+95070,int_stack+65670,int_stack+0,280);
     Libderiv->ABCD[10] = int_stack + 95070;
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+59995,int_stack+69870,int_stack+6400,280);
     Libderiv->ABCD[9] = int_stack + 59995;
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+103470,int_stack+74070,int_stack+57195,280);
     Libderiv->ABCD[8] = int_stack + 103470;
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+68395,int_stack+15510,int_stack+12710,280);
     Libderiv->ABCD[7] = int_stack + 68395;
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+111870,int_stack+78270,int_stack+9200,280);
     Libderiv->ABCD[6] = int_stack + 111870;
 /*--- compute (fp|if) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+5600,int_stack+43415,int_stack+53685, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[2] = int_stack + 5600;
 /*--- compute (fp|if) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+42975,int_stack+30295,int_stack+40175, 0.0, zero_stack, 1.0, int_stack+19710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[1] = int_stack + 42975;
 /*--- compute (fp|if) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+22510,int_stack+82470,int_stack+2800, 1.0, int_stack+19710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[0] = int_stack + 22510;

}
