#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fpih(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fp|ih) integrals */

void d1hrr_order_fpih(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[3][10][11] = int_stack + 1640;
 Libderiv->deriv_classes[3][11][11] = int_stack + 2300;
 Libderiv->deriv_classes[4][6][11] = int_stack + 3080;
 Libderiv->deriv_classes[4][7][11] = int_stack + 3500;
 Libderiv->deriv_classes[4][8][11] = int_stack + 4040;
 Libderiv->deriv_classes[4][9][11] = int_stack + 4715;
 Libderiv->deriv_classes[4][10][11] = int_stack + 5540;
 Libderiv->deriv_classes[4][11][11] = int_stack + 6530;
 Libderiv->deriv_classes[3][6][10] = int_stack + 7700;
 Libderiv->deriv_classes[3][7][10] = int_stack + 7980;
 Libderiv->deriv_classes[3][8][10] = int_stack + 8340;
 Libderiv->deriv_classes[3][9][10] = int_stack + 8790;
 Libderiv->deriv_classes[3][10][10] = int_stack + 9340;
 Libderiv->deriv_classes[3][11][10] = int_stack + 10000;
 Libderiv->deriv_classes[4][6][10] = int_stack + 10780;
 Libderiv->deriv_classes[4][7][10] = int_stack + 11200;
 Libderiv->deriv_classes[4][8][10] = int_stack + 11740;
 Libderiv->deriv_classes[4][9][10] = int_stack + 12415;
 Libderiv->deriv_classes[4][10][10] = int_stack + 13240;
 Libderiv->deriv_classes[4][11][10] = int_stack + 14230;
 Libderiv->deriv_classes[3][6][9] = int_stack + 15400;
 Libderiv->deriv_classes[3][7][9] = int_stack + 15680;
 Libderiv->deriv_classes[3][8][9] = int_stack + 16040;
 Libderiv->deriv_classes[3][9][9] = int_stack + 16490;
 Libderiv->deriv_classes[3][10][9] = int_stack + 17040;
 Libderiv->deriv_classes[3][11][9] = int_stack + 17700;
 Libderiv->deriv_classes[4][6][9] = int_stack + 18480;
 Libderiv->deriv_classes[4][7][9] = int_stack + 18900;
 Libderiv->deriv_classes[4][8][9] = int_stack + 19440;
 Libderiv->deriv_classes[4][9][9] = int_stack + 20115;
 Libderiv->deriv_classes[4][10][9] = int_stack + 20940;
 Libderiv->deriv_classes[4][11][9] = int_stack + 21930;
 Libderiv->deriv_classes[3][6][8] = int_stack + 23100;
 Libderiv->deriv_classes[3][7][8] = int_stack + 23380;
 Libderiv->deriv_classes[3][8][8] = int_stack + 23740;
 Libderiv->deriv_classes[3][9][8] = int_stack + 24190;
 Libderiv->deriv_classes[3][10][8] = int_stack + 24740;
 Libderiv->deriv_classes[3][11][8] = int_stack + 25400;
 Libderiv->deriv_classes[4][6][8] = int_stack + 26180;
 Libderiv->deriv_classes[4][7][8] = int_stack + 26600;
 Libderiv->deriv_classes[4][8][8] = int_stack + 27140;
 Libderiv->deriv_classes[4][9][8] = int_stack + 27815;
 Libderiv->deriv_classes[4][10][8] = int_stack + 28640;
 Libderiv->deriv_classes[4][11][8] = int_stack + 29630;
 Libderiv->deriv_classes[3][6][7] = int_stack + 30800;
 Libderiv->deriv_classes[3][7][7] = int_stack + 31080;
 Libderiv->deriv_classes[3][8][7] = int_stack + 31440;
 Libderiv->deriv_classes[3][9][7] = int_stack + 31890;
 Libderiv->deriv_classes[3][10][7] = int_stack + 32440;
 Libderiv->deriv_classes[3][11][7] = int_stack + 33100;
 Libderiv->deriv_classes[4][6][7] = int_stack + 33880;
 Libderiv->deriv_classes[4][7][7] = int_stack + 34300;
 Libderiv->deriv_classes[4][8][7] = int_stack + 34840;
 Libderiv->deriv_classes[4][9][7] = int_stack + 35515;
 Libderiv->deriv_classes[4][10][7] = int_stack + 36340;
 Libderiv->deriv_classes[4][11][7] = int_stack + 37330;
 Libderiv->deriv_classes[3][6][6] = int_stack + 38500;
 Libderiv->deriv_classes[3][7][6] = int_stack + 38780;
 Libderiv->deriv_classes[3][8][6] = int_stack + 39140;
 Libderiv->deriv_classes[3][9][6] = int_stack + 39590;
 Libderiv->deriv_classes[3][10][6] = int_stack + 40140;
 Libderiv->deriv_classes[3][11][6] = int_stack + 40800;
 Libderiv->dvrr_classes[4][6] = int_stack + 41580;
 Libderiv->deriv_classes[4][6][6] = int_stack + 42000;
 Libderiv->dvrr_classes[4][7] = int_stack + 42420;
 Libderiv->deriv_classes[4][7][6] = int_stack + 42960;
 Libderiv->dvrr_classes[4][8] = int_stack + 43500;
 Libderiv->deriv_classes[4][8][6] = int_stack + 44175;
 Libderiv->dvrr_classes[4][9] = int_stack + 44850;
 Libderiv->deriv_classes[4][9][6] = int_stack + 45675;
 Libderiv->dvrr_classes[4][10] = int_stack + 46500;
 Libderiv->deriv_classes[4][10][6] = int_stack + 47490;
 Libderiv->deriv_classes[4][11][6] = int_stack + 48480;
 Libderiv->deriv_classes[3][6][2] = int_stack + 49650;
 Libderiv->deriv_classes[3][7][2] = int_stack + 49930;
 Libderiv->deriv_classes[3][8][2] = int_stack + 50290;
 Libderiv->deriv_classes[3][9][2] = int_stack + 50740;
 Libderiv->deriv_classes[3][10][2] = int_stack + 51290;
 Libderiv->deriv_classes[3][11][2] = int_stack + 51950;
 Libderiv->deriv_classes[4][6][2] = int_stack + 52730;
 Libderiv->deriv_classes[4][7][2] = int_stack + 53150;
 Libderiv->deriv_classes[4][8][2] = int_stack + 53690;
 Libderiv->deriv_classes[4][9][2] = int_stack + 54365;
 Libderiv->deriv_classes[4][10][2] = int_stack + 55190;
 Libderiv->deriv_classes[4][11][2] = int_stack + 56180;
 Libderiv->deriv_classes[3][6][1] = int_stack + 57350;
 Libderiv->deriv_classes[3][7][1] = int_stack + 57630;
 Libderiv->deriv_classes[3][8][1] = int_stack + 57990;
 Libderiv->deriv_classes[3][9][1] = int_stack + 58440;
 Libderiv->deriv_classes[3][10][1] = int_stack + 58990;
 Libderiv->deriv_classes[3][11][1] = int_stack + 59650;
 Libderiv->deriv_classes[4][6][1] = int_stack + 60430;
 Libderiv->deriv_classes[4][7][1] = int_stack + 60850;
 Libderiv->deriv_classes[4][8][1] = int_stack + 61390;
 Libderiv->deriv_classes[4][9][1] = int_stack + 62065;
 Libderiv->deriv_classes[4][10][1] = int_stack + 62890;
 Libderiv->deriv_classes[4][11][1] = int_stack + 63880;
 Libderiv->dvrr_classes[3][6] = int_stack + 65050;
 Libderiv->dvrr_classes[3][7] = int_stack + 65330;
 Libderiv->dvrr_classes[3][8] = int_stack + 65690;
 Libderiv->dvrr_classes[3][9] = int_stack + 66140;
 Libderiv->dvrr_classes[3][10] = int_stack + 66690;
 Libderiv->dvrr_classes[3][11] = int_stack + 67350;
 Libderiv->deriv_classes[3][6][0] = int_stack + 68130;
 Libderiv->deriv_classes[3][7][0] = int_stack + 68410;
 Libderiv->deriv_classes[3][8][0] = int_stack + 68770;
 Libderiv->deriv_classes[3][9][0] = int_stack + 69220;
 Libderiv->deriv_classes[3][10][0] = int_stack + 69770;
 Libderiv->deriv_classes[3][11][0] = int_stack + 70430;
 Libderiv->deriv_classes[4][6][0] = int_stack + 71210;
 Libderiv->deriv_classes[4][7][0] = int_stack + 71630;
 Libderiv->deriv_classes[4][8][0] = int_stack + 72170;
 Libderiv->deriv_classes[4][9][0] = int_stack + 72845;
 Libderiv->deriv_classes[4][10][0] = int_stack + 73670;
 Libderiv->deriv_classes[4][11][0] = int_stack + 74660;
 memset(int_stack,0,606640);

 Libderiv->dvrr_stack = int_stack + 230805;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fpih(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+75830,int_stack+65330,int_stack+65050,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+76670,int_stack+65690,int_stack+65330,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+77750,int_stack+76670,int_stack+75830,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+79430,int_stack+66140,int_stack+65690,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+80780,int_stack+79430,int_stack+76670,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+82940,int_stack+80780,int_stack+77750,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+85740,int_stack+66690,int_stack+66140,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+87390,int_stack+85740,int_stack+79430,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+90090,int_stack+87390,int_stack+80780,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+93690,int_stack+90090,int_stack+82940,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+97890,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65050,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+98730,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65330,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+99810,int_stack+98730,int_stack+97890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75830,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+101490,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65690,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+102840,int_stack+101490,int_stack+98730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76670,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+105000,int_stack+102840,int_stack+99810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77750,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+97890,int_stack+1640,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66140,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+107800,int_stack+97890,int_stack+101490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79430,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+110500,int_stack+107800,int_stack+102840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80780,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+99540,int_stack+110500,int_stack+105000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82940,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+103740,int_stack+2300,int_stack+1640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66690,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+114100,int_stack+103740,int_stack+97890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85740,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+117400,int_stack+114100,int_stack+107800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87390,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+103740,int_stack+117400,int_stack+110500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90090,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+109140,int_stack+103740,int_stack+99540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93690,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+97890,int_stack+42420,int_stack+41580,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+99150,int_stack+43500,int_stack+42420,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+100770,int_stack+99150,int_stack+97890,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+103290,int_stack+44850,int_stack+43500,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+105315,int_stack+103290,int_stack+99150,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+115020,int_stack+105315,int_stack+100770,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+119220,int_stack+46500,int_stack+44850,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+121695,int_stack+119220,int_stack+103290,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+125745,int_stack+121695,int_stack+105315,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+131145,int_stack+125745,int_stack+115020,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+3500,int_stack+3080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41580,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1260,int_stack+4040,int_stack+3500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42420,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+137445,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97890,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+139965,int_stack+4715,int_stack+4040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43500,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+141990,int_stack+139965,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99150,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+141990,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100770,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+137445,int_stack+5540,int_stack+4715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44850,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+145230,int_stack+137445,int_stack+139965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103290,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+149280,int_stack+145230,int_stack+141990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105315,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+154680,int_stack+149280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115020,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+6530,int_stack+5540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46500,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+139920,int_stack+0,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119220,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+0,int_stack+139920,int_stack+145230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121695,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+137445,int_stack+0,int_stack+149280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125745,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+145545,int_stack+137445,int_stack+154680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131145,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137445,int_stack+7980,int_stack+7700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65050, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+138285,int_stack+8340,int_stack+7980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65330, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139365,int_stack+138285,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75830, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+141045,int_stack+8790,int_stack+8340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65690, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+142395,int_stack+141045,int_stack+138285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76670, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+142395,int_stack+139365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77750, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+137445,int_stack+9340,int_stack+8790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66140, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2800,int_stack+137445,int_stack+141045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79430, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+5500,int_stack+2800,int_stack+142395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80780, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+139095,int_stack+5500,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82940, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+10000,int_stack+9340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66690, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+154365,int_stack+0,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85740, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+157665,int_stack+154365,int_stack+2800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87390, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+0,int_stack+157665,int_stack+5500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90090, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+154365,int_stack+0,int_stack+139095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93690, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+11200,int_stack+10780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41580, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1260,int_stack+11740,int_stack+11200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42420, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2880,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97890, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+5400,int_stack+12415,int_stack+11740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43500, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7425,int_stack+5400,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99150, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+137445,int_stack+7425,int_stack+2880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100770, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+13240,int_stack+12415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44850, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+160245,int_stack+0,int_stack+5400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103290, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+164295,int_stack+160245,int_stack+7425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105315, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2475,int_stack+164295,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115020, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+137445,int_stack+14230,int_stack+13240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46500, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+140415,int_stack+137445,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119220, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+169695,int_stack+140415,int_stack+160245, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121695, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+137445,int_stack+169695,int_stack+164295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125745, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+160245,int_stack+137445,int_stack+2475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131145, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137445,int_stack+15680,int_stack+15400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65050, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+138285,int_stack+16040,int_stack+15680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65330, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139365,int_stack+138285,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75830, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+141045,int_stack+16490,int_stack+16040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65690, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+142395,int_stack+141045,int_stack+138285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76670, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+169065,int_stack+142395,int_stack+139365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77750, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+137445,int_stack+17040,int_stack+16490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66140, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+171865,int_stack+137445,int_stack+141045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79430, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+171865,int_stack+142395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80780, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+139095,int_stack+0,int_stack+169065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82940, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+169065,int_stack+17700,int_stack+17040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66690, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3600,int_stack+169065,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85740, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+6900,int_stack+3600,int_stack+171865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87390, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+169065,int_stack+6900,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90090, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+0,int_stack+169065,int_stack+139095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93690, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169065,int_stack+18900,int_stack+18480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41580, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+170325,int_stack+19440,int_stack+18900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42420, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+171945,int_stack+170325,int_stack+169065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97890, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+174465,int_stack+20115,int_stack+19440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43500, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+5880,int_stack+174465,int_stack+170325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99150, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+9120,int_stack+5880,int_stack+171945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100770, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+169065,int_stack+20940,int_stack+20115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44850, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+13320,int_stack+169065,int_stack+174465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103290, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+171540,int_stack+13320,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105315, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+137445,int_stack+171540,int_stack+9120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115020, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+5880,int_stack+21930,int_stack+20940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46500, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+17370,int_stack+5880,int_stack+169065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119220, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+5880,int_stack+17370,int_stack+13320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121695, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+12630,int_stack+5880,int_stack+171540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125745, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+169065,int_stack+12630,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131145, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137445,int_stack+23380,int_stack+23100, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+138285,int_stack+23740,int_stack+23380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139365,int_stack+138285,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+141045,int_stack+24190,int_stack+23740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+142395,int_stack+141045,int_stack+138285, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+5880,int_stack+142395,int_stack+139365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+137445,int_stack+24740,int_stack+24190, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+8680,int_stack+137445,int_stack+141045, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+11380,int_stack+8680,int_stack+142395, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+139095,int_stack+11380,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+5880,int_stack+25400,int_stack+24740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+14980,int_stack+5880,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+18280,int_stack+14980,int_stack+8680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+5880,int_stack+18280,int_stack+11380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+11280,int_stack+5880,int_stack+139095, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+26600,int_stack+26180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7140,int_stack+27140,int_stack+26600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8760,int_stack+7140,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+137445,int_stack+27815,int_stack+27140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+139470,int_stack+137445,int_stack+7140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+17160,int_stack+139470,int_stack+8760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+5880,int_stack+28640,int_stack+27815, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+21360,int_stack+5880,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+177885,int_stack+21360,int_stack+139470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+137445,int_stack+177885,int_stack+17160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+17160,int_stack+29630,int_stack+28640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+25410,int_stack+17160,int_stack+5880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+183285,int_stack+25410,int_stack+21360, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+17160,int_stack+183285,int_stack+177885, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+177885,int_stack+17160,int_stack+137445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137445,int_stack+31080,int_stack+30800, 0.0, zero_stack, 1.0, int_stack+65050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+138285,int_stack+31440,int_stack+31080, 0.0, zero_stack, 1.0, int_stack+65330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139365,int_stack+138285,int_stack+137445, 0.0, zero_stack, 1.0, int_stack+75830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+141045,int_stack+31890,int_stack+31440, 0.0, zero_stack, 1.0, int_stack+65690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+142395,int_stack+141045,int_stack+138285, 0.0, zero_stack, 1.0, int_stack+76670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+17160,int_stack+142395,int_stack+139365, 0.0, zero_stack, 1.0, int_stack+77750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+137445,int_stack+32440,int_stack+31890, 0.0, zero_stack, 1.0, int_stack+66140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+19960,int_stack+137445,int_stack+141045, 0.0, zero_stack, 1.0, int_stack+79430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+22660,int_stack+19960,int_stack+142395, 0.0, zero_stack, 1.0, int_stack+80780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+139095,int_stack+22660,int_stack+17160, 0.0, zero_stack, 1.0, int_stack+82940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+17160,int_stack+33100,int_stack+32440, 0.0, zero_stack, 1.0, int_stack+66690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+26260,int_stack+17160,int_stack+137445, 0.0, zero_stack, 1.0, int_stack+85740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+5880,int_stack+26260,int_stack+19960, 0.0, zero_stack, 1.0, int_stack+87390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+26260,int_stack+5880,int_stack+22660, 0.0, zero_stack, 1.0, int_stack+90090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+17160,int_stack+26260,int_stack+139095, 0.0, zero_stack, 1.0, int_stack+93690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+34300,int_stack+33880, 0.0, zero_stack, 1.0, int_stack+41580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7140,int_stack+34840,int_stack+34300, 0.0, zero_stack, 1.0, int_stack+42420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8760,int_stack+7140,int_stack+5880, 0.0, zero_stack, 1.0, int_stack+97890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+137445,int_stack+35515,int_stack+34840, 0.0, zero_stack, 1.0, int_stack+43500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+139470,int_stack+137445,int_stack+7140, 0.0, zero_stack, 1.0, int_stack+99150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+23040,int_stack+139470,int_stack+8760, 0.0, zero_stack, 1.0, int_stack+100770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+5880,int_stack+36340,int_stack+35515, 0.0, zero_stack, 1.0, int_stack+44850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+27240,int_stack+5880,int_stack+137445, 0.0, zero_stack, 1.0, int_stack+103290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+186705,int_stack+27240,int_stack+139470, 0.0, zero_stack, 1.0, int_stack+105315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+137445,int_stack+186705,int_stack+23040, 0.0, zero_stack, 1.0, int_stack+115020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+23040,int_stack+37330,int_stack+36340, 0.0, zero_stack, 1.0, int_stack+46500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+31290,int_stack+23040,int_stack+5880, 0.0, zero_stack, 1.0, int_stack+119220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+192105,int_stack+31290,int_stack+27240, 0.0, zero_stack, 1.0, int_stack+121695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+23040,int_stack+192105,int_stack+186705, 0.0, zero_stack, 1.0, int_stack+125745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+186705,int_stack+23040,int_stack+137445, 0.0, zero_stack, 1.0, int_stack+131145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137445,int_stack+38780,int_stack+38500, 1.0, int_stack+65050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+138285,int_stack+39140,int_stack+38780, 1.0, int_stack+65330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+139365,int_stack+138285,int_stack+137445, 1.0, int_stack+75830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+141045,int_stack+39590,int_stack+39140, 1.0, int_stack+65690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+142395,int_stack+141045,int_stack+138285, 1.0, int_stack+76670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+23040,int_stack+142395,int_stack+139365, 1.0, int_stack+77750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+75830,int_stack+40140,int_stack+39590, 1.0, int_stack+66140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+137445,int_stack+75830,int_stack+141045, 1.0, int_stack+79430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+25840,int_stack+137445,int_stack+142395, 1.0, int_stack+80780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+77480,int_stack+25840,int_stack+23040, 1.0, int_stack+82940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+23040,int_stack+40800,int_stack+40140, 1.0, int_stack+66690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+81680,int_stack+23040,int_stack+75830, 1.0, int_stack+85740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+140145,int_stack+81680,int_stack+137445, 1.0, int_stack+87390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+5880,int_stack+140145,int_stack+25840, 1.0, int_stack+90090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+137445,int_stack+5880,int_stack+77480, 1.0, int_stack+93690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+42960,int_stack+42000, 1.0, int_stack+41580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7140,int_stack+44175,int_stack+42960, 1.0, int_stack+42420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8760,int_stack+7140,int_stack+5880, 1.0, int_stack+97890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+143325,int_stack+45675,int_stack+44175, 1.0, int_stack+43500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+75830,int_stack+143325,int_stack+7140, 1.0, int_stack+99150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+79070,int_stack+75830,int_stack+8760, 1.0, int_stack+100770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+97890,int_stack+47490,int_stack+45675, 1.0, int_stack+44850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+5880,int_stack+97890,int_stack+143325, 1.0, int_stack+103290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+23040,int_stack+5880,int_stack+75830, 1.0, int_stack+105315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+100365,int_stack+23040,int_stack+79070, 1.0, int_stack+115020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+115020,int_stack+48480,int_stack+47490, 1.0, int_stack+46500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+75830,int_stack+115020,int_stack+97890, 1.0, int_stack+119220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+28440,int_stack+75830,int_stack+5880, 1.0, int_stack+121695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+75830,int_stack+28440,int_stack+23040, 1.0, int_stack+125745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+23040,int_stack+75830,int_stack+100365, 1.0, int_stack+131145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+75830,int_stack+67350,int_stack+66690,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+77810,int_stack+75830,int_stack+85740,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+81110,int_stack+77810,int_stack+87390,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5880,int_stack+81110,int_stack+90090,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+75830,int_stack+5880,int_stack+93690,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+49930,int_stack+49650,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6720,int_stack+50290,int_stack+49930,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7800,int_stack+6720,int_stack+5880,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+9480,int_stack+50740,int_stack+50290,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+81710,int_stack+9480,int_stack+6720,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+83870,int_stack+81710,int_stack+7800,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5880,int_stack+51290,int_stack+50740,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+86670,int_stack+5880,int_stack+9480,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+7530,int_stack+86670,int_stack+81710,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+89370,int_stack+7530,int_stack+83870,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+81710,int_stack+51950,int_stack+51290,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+93570,int_stack+81710,int_stack+5880,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+81710,int_stack+93570,int_stack+86670,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+93570,int_stack+81710,int_stack+7530,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+81710,int_stack+93570,int_stack+89370,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+87590,int_stack+53150,int_stack+52730,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+88850,int_stack+53690,int_stack+53150,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+90470,int_stack+88850,int_stack+87590,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+92990,int_stack+54365,int_stack+53690,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+95015,int_stack+92990,int_stack+88850,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+98255,int_stack+95015,int_stack+90470,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+87590,int_stack+55190,int_stack+54365,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+102455,int_stack+87590,int_stack+92990,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5880,int_stack+102455,int_stack+95015,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+90065,int_stack+5880,int_stack+98255,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+96365,int_stack+56180,int_stack+55190,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+31860,int_stack+96365,int_stack+87590,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+36810,int_stack+31860,int_stack+102455,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+96365,int_stack+36810,int_stack+5880,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+31860,int_stack+96365,int_stack+90065,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+57630,int_stack+57350,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6720,int_stack+57990,int_stack+57630,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7800,int_stack+6720,int_stack+5880,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+9480,int_stack+58440,int_stack+57990,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+40680,int_stack+9480,int_stack+6720,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+42840,int_stack+40680,int_stack+7800,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5880,int_stack+58990,int_stack+58440,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+45640,int_stack+5880,int_stack+9480,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+7530,int_stack+45640,int_stack+40680,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+48340,int_stack+7530,int_stack+42840,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+40680,int_stack+59650,int_stack+58990,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+52540,int_stack+40680,int_stack+5880,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+40680,int_stack+52540,int_stack+45640,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+52540,int_stack+40680,int_stack+7530,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+40680,int_stack+52540,int_stack+48340,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+46560,int_stack+60850,int_stack+60430,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+47820,int_stack+61390,int_stack+60850,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+49440,int_stack+47820,int_stack+46560,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+51960,int_stack+62065,int_stack+61390,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+53985,int_stack+51960,int_stack+47820,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+57225,int_stack+53985,int_stack+49440,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+46560,int_stack+62890,int_stack+62065,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+5880,int_stack+46560,int_stack+51960,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+87590,int_stack+5880,int_stack+53985,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+49035,int_stack+87590,int_stack+57225,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+55335,int_stack+63880,int_stack+62890,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+58305,int_stack+55335,int_stack+46560,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+92990,int_stack+58305,int_stack+5880,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+55335,int_stack+92990,int_stack+87590,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+87590,int_stack+55335,int_stack+49035,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+96410,int_stack+68410,int_stack+68130,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+97250,int_stack+68770,int_stack+68410,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+98330,int_stack+97250,int_stack+96410,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+100010,int_stack+69220,int_stack+68770,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+101360,int_stack+100010,int_stack+97250,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+103520,int_stack+101360,int_stack+98330,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+96410,int_stack+69770,int_stack+69220,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+106320,int_stack+96410,int_stack+100010,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5880,int_stack+106320,int_stack+101360,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+98060,int_stack+5880,int_stack+103520,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+102260,int_stack+70430,int_stack+69770,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+46560,int_stack+102260,int_stack+96410,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+49860,int_stack+46560,int_stack+106320,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+102260,int_stack+49860,int_stack+5880,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+46560,int_stack+102260,int_stack+98060,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5880,int_stack+71630,int_stack+71210,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+7140,int_stack+72170,int_stack+71630,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8760,int_stack+7140,int_stack+5880,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+52440,int_stack+72845,int_stack+72170,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+54465,int_stack+52440,int_stack+7140,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+57705,int_stack+54465,int_stack+8760,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5880,int_stack+73670,int_stack+72845,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+61905,int_stack+5880,int_stack+52440,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+65955,int_stack+61905,int_stack+54465,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+96410,int_stack+65955,int_stack+57705,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+52440,int_stack+74660,int_stack+73670,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+55410,int_stack+52440,int_stack+5880,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+115020,int_stack+55410,int_stack+61905,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+52440,int_stack+115020,int_stack+65955,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+115020,int_stack+52440,int_stack+96410,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+52440,int_stack+145545,int_stack+109140,588);
     Libderiv->ABCD[11] = int_stack + 52440;
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+96410,int_stack+160245,int_stack+154365,588);
     Libderiv->ABCD[10] = int_stack + 96410;
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+143325,int_stack+169065,int_stack+0,588);
     Libderiv->ABCD[9] = int_stack + 143325;
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+195525,int_stack+177885,int_stack+11280,588);
     Libderiv->ABCD[8] = int_stack + 195525;
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+160965,int_stack+186705,int_stack+17160,588);
     Libderiv->ABCD[7] = int_stack + 160965;
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+23040,int_stack+137445,588);
     Libderiv->ABCD[6] = int_stack + 0;
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+123840,int_stack+31860,int_stack+81710, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[2] = int_stack + 123840;
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+17640,int_stack+87590,int_stack+40680, 0.0, zero_stack, 1.0, int_stack+75830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[1] = int_stack + 17640;
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+213165,int_stack+115020,int_stack+46560, 1.0, int_stack+75830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[0] = int_stack + 213165;

}
