#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_h0ih(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|ih) integrals */

void d1hrr_order_h0ih(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][6][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][11] = int_stack + 588;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1344;
 Libderiv->deriv_classes[5][9][11] = int_stack + 2289;
 Libderiv->deriv_classes[5][10][11] = int_stack + 3444;
 Libderiv->deriv_classes[5][11][11] = int_stack + 4830;
 Libderiv->deriv_classes[5][6][10] = int_stack + 6468;
 Libderiv->deriv_classes[5][7][10] = int_stack + 7056;
 Libderiv->deriv_classes[5][8][10] = int_stack + 7812;
 Libderiv->deriv_classes[5][9][10] = int_stack + 8757;
 Libderiv->deriv_classes[5][10][10] = int_stack + 9912;
 Libderiv->deriv_classes[5][11][10] = int_stack + 11298;
 Libderiv->deriv_classes[5][6][9] = int_stack + 12936;
 Libderiv->deriv_classes[5][7][9] = int_stack + 13524;
 Libderiv->deriv_classes[5][8][9] = int_stack + 14280;
 Libderiv->deriv_classes[5][9][9] = int_stack + 15225;
 Libderiv->deriv_classes[5][10][9] = int_stack + 16380;
 Libderiv->deriv_classes[5][11][9] = int_stack + 17766;
 Libderiv->deriv_classes[5][6][8] = int_stack + 19404;
 Libderiv->deriv_classes[5][7][8] = int_stack + 19992;
 Libderiv->deriv_classes[5][8][8] = int_stack + 20748;
 Libderiv->deriv_classes[5][9][8] = int_stack + 21693;
 Libderiv->deriv_classes[5][10][8] = int_stack + 22848;
 Libderiv->deriv_classes[5][11][8] = int_stack + 24234;
 Libderiv->deriv_classes[5][6][7] = int_stack + 25872;
 Libderiv->deriv_classes[5][7][7] = int_stack + 26460;
 Libderiv->deriv_classes[5][8][7] = int_stack + 27216;
 Libderiv->deriv_classes[5][9][7] = int_stack + 28161;
 Libderiv->deriv_classes[5][10][7] = int_stack + 29316;
 Libderiv->deriv_classes[5][11][7] = int_stack + 30702;
 Libderiv->dvrr_classes[5][6] = int_stack + 32340;
 Libderiv->deriv_classes[5][6][6] = int_stack + 32928;
 Libderiv->dvrr_classes[5][7] = int_stack + 33516;
 Libderiv->deriv_classes[5][7][6] = int_stack + 34272;
 Libderiv->dvrr_classes[5][8] = int_stack + 35028;
 Libderiv->deriv_classes[5][8][6] = int_stack + 35973;
 Libderiv->dvrr_classes[5][9] = int_stack + 36918;
 Libderiv->deriv_classes[5][9][6] = int_stack + 38073;
 Libderiv->dvrr_classes[5][10] = int_stack + 39228;
 Libderiv->deriv_classes[5][10][6] = int_stack + 40614;
 Libderiv->deriv_classes[5][11][6] = int_stack + 42000;
 Libderiv->deriv_classes[5][6][2] = int_stack + 43638;
 Libderiv->deriv_classes[5][7][2] = int_stack + 44226;
 Libderiv->deriv_classes[5][8][2] = int_stack + 44982;
 Libderiv->deriv_classes[5][9][2] = int_stack + 45927;
 Libderiv->deriv_classes[5][10][2] = int_stack + 47082;
 Libderiv->deriv_classes[5][11][2] = int_stack + 48468;
 Libderiv->deriv_classes[5][6][1] = int_stack + 50106;
 Libderiv->deriv_classes[5][7][1] = int_stack + 50694;
 Libderiv->deriv_classes[5][8][1] = int_stack + 51450;
 Libderiv->deriv_classes[5][9][1] = int_stack + 52395;
 Libderiv->deriv_classes[5][10][1] = int_stack + 53550;
 Libderiv->deriv_classes[5][11][1] = int_stack + 54936;
 Libderiv->deriv_classes[5][6][0] = int_stack + 56574;
 Libderiv->deriv_classes[5][7][0] = int_stack + 57162;
 Libderiv->deriv_classes[5][8][0] = int_stack + 57918;
 Libderiv->deriv_classes[5][9][0] = int_stack + 58863;
 Libderiv->deriv_classes[5][10][0] = int_stack + 60018;
 Libderiv->deriv_classes[5][11][0] = int_stack + 61404;
 memset(int_stack,0,504336);

 Libderiv->dvrr_stack = int_stack + 234003;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_h0ih(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+63042,int_stack+33516,int_stack+32340,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+64806,int_stack+35028,int_stack+33516,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+67074,int_stack+64806,int_stack+63042,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+70602,int_stack+36918,int_stack+35028,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+73437,int_stack+70602,int_stack+64806,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+77973,int_stack+73437,int_stack+67074,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+83853,int_stack+39228,int_stack+36918,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+87318,int_stack+83853,int_stack+70602,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+92988,int_stack+87318,int_stack+73437,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+100548,int_stack+92988,int_stack+77973,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+109368,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32340,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+111132,int_stack+1344,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33516,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+113400,int_stack+111132,int_stack+109368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63042,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+116928,int_stack+2289,int_stack+1344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35028,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+119763,int_stack+116928,int_stack+111132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64806,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+124299,int_stack+119763,int_stack+113400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67074,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+109368,int_stack+3444,int_stack+2289, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36918,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+130179,int_stack+109368,int_stack+116928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70602,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+135849,int_stack+130179,int_stack+119763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73437,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+112833,int_stack+135849,int_stack+124299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77973,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+121653,int_stack+4830,int_stack+3444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39228,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+143409,int_stack+121653,int_stack+109368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83853,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+150339,int_stack+143409,int_stack+130179, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87318,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+121653,int_stack+150339,int_stack+135849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92988,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+109368,int_stack+7056,int_stack+6468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32340, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+132993,int_stack+7812,int_stack+7056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33516, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+135261,int_stack+132993,int_stack+109368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63042, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+109368,int_stack+8757,int_stack+7812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35028, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+138789,int_stack+109368,int_stack+132993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64806, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+143325,int_stack+138789,int_stack+135261, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67074, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+132993,int_stack+9912,int_stack+8757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36918, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+149205,int_stack+132993,int_stack+109368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70602, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+149205,int_stack+138789, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73437, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+154875,int_stack+0,int_stack+143325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77973, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+136458,int_stack+11298,int_stack+9912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39228, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+140616,int_stack+136458,int_stack+132993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83853, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+163695,int_stack+140616,int_stack+149205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87318, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+132993,int_stack+163695,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92988, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+13524,int_stack+12936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32340, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1764,int_stack+14280,int_stack+13524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33516, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4032,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63042, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+7560,int_stack+15225,int_stack+14280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35028, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+10395,int_stack+7560,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64806, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+163695,int_stack+10395,int_stack+4032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67074, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+109368,int_stack+16380,int_stack+15225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36918, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+109368,int_stack+7560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70602, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+144333,int_stack+0,int_stack+10395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73437, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+5670,int_stack+144333,int_stack+163695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77973, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+163695,int_stack+17766,int_stack+16380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39228, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+167853,int_stack+163695,int_stack+109368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83853, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+174783,int_stack+167853,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87318, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+184233,int_stack+174783,int_stack+144333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92988, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+144333,int_stack+19992,int_stack+19404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+146097,int_stack+20748,int_stack+19992, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+148365,int_stack+146097,int_stack+144333, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63042, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+151893,int_stack+21693,int_stack+20748, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+151893,int_stack+146097, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+163695,int_stack+0,int_stack+148365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+109368,int_stack+22848,int_stack+21693, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+144333,int_stack+109368,int_stack+151893, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+169575,int_stack+144333,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73437, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+195573,int_stack+169575,int_stack+163695, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77973, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+163695,int_stack+24234,int_stack+22848, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+177135,int_stack+163695,int_stack+109368, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+14490,int_stack+177135,int_stack+144333, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+204393,int_stack+14490,int_stack+169575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14490,int_stack+26460,int_stack+25872, 0.0, zero_stack, 1.0, int_stack+32340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16254,int_stack+27216,int_stack+26460, 0.0, zero_stack, 1.0, int_stack+33516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+18522,int_stack+16254,int_stack+14490, 0.0, zero_stack, 1.0, int_stack+63042, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+22050,int_stack+28161,int_stack+27216, 0.0, zero_stack, 1.0, int_stack+35028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+144333,int_stack+22050,int_stack+16254, 0.0, zero_stack, 1.0, int_stack+64806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+148869,int_stack+144333,int_stack+18522, 0.0, zero_stack, 1.0, int_stack+67074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+109368,int_stack+29316,int_stack+28161, 0.0, zero_stack, 1.0, int_stack+36918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+109368,int_stack+22050, 0.0, zero_stack, 1.0, int_stack+70602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+14490,int_stack+0,int_stack+144333, 0.0, zero_stack, 1.0, int_stack+73437, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+163695,int_stack+14490,int_stack+148869, 0.0, zero_stack, 1.0, int_stack+77973, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+144333,int_stack+30702,int_stack+29316, 0.0, zero_stack, 1.0, int_stack+39228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+22050,int_stack+144333,int_stack+109368, 0.0, zero_stack, 1.0, int_stack+83853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+144333,int_stack+22050,int_stack+0, 0.0, zero_stack, 1.0, int_stack+87318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+172515,int_stack+144333,int_stack+14490, 0.0, zero_stack, 1.0, int_stack+92988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14490,int_stack+34272,int_stack+32928, 1.0, int_stack+32340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16254,int_stack+35973,int_stack+34272, 1.0, int_stack+33516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+18522,int_stack+16254,int_stack+14490, 1.0, int_stack+63042, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+22050,int_stack+38073,int_stack+35973, 1.0, int_stack+35028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+24885,int_stack+22050,int_stack+16254, 1.0, int_stack+64806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+29421,int_stack+24885,int_stack+18522, 1.0, int_stack+67074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+109368,int_stack+40614,int_stack+38073, 1.0, int_stack+36918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+109368,int_stack+22050, 1.0, int_stack+70602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+63042,int_stack+0,int_stack+24885, 1.0, int_stack+73437, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+14490,int_stack+63042,int_stack+29421, 1.0, int_stack+77973, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+70602,int_stack+42000,int_stack+40614, 1.0, int_stack+39228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+74760,int_stack+70602,int_stack+109368, 1.0, int_stack+83853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+23310,int_stack+74760,int_stack+0, 1.0, int_stack+87318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+70602,int_stack+23310,int_stack+63042, 1.0, int_stack+92988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+63042,int_stack+44226,int_stack+43638,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+64806,int_stack+44982,int_stack+44226,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+67074,int_stack+64806,int_stack+63042,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+23310,int_stack+45927,int_stack+44982,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+26145,int_stack+23310,int_stack+64806,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+30681,int_stack+26145,int_stack+67074,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+109368,int_stack+47082,int_stack+45927,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+109368,int_stack+23310,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+63042,int_stack+0,int_stack+26145,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+36561,int_stack+63042,int_stack+30681,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+23310,int_stack+48468,int_stack+47082,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+27468,int_stack+23310,int_stack+109368,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+81942,int_stack+27468,int_stack+0,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+23310,int_stack+81942,int_stack+63042,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+63042,int_stack+50694,int_stack+50106,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+64806,int_stack+51450,int_stack+50694,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+67074,int_stack+64806,int_stack+63042,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+81942,int_stack+52395,int_stack+51450,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+84777,int_stack+81942,int_stack+64806,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+89313,int_stack+84777,int_stack+67074,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+109368,int_stack+53550,int_stack+52395,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+109368,int_stack+81942,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+63042,int_stack+0,int_stack+84777,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+144333,int_stack+63042,int_stack+89313,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+81942,int_stack+54936,int_stack+53550,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+86100,int_stack+81942,int_stack+109368,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+45381,int_stack+86100,int_stack+0,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+81942,int_stack+45381,int_stack+63042,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+63042,int_stack+57162,int_stack+56574,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+64806,int_stack+57918,int_stack+57162,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+67074,int_stack+64806,int_stack+63042,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+45381,int_stack+58863,int_stack+57918,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+48216,int_stack+45381,int_stack+64806,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+52752,int_stack+48216,int_stack+67074,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+109368,int_stack+60018,int_stack+58863,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+109368,int_stack+45381,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+63042,int_stack+0,int_stack+48216,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+215733,int_stack+63042,int_stack+52752,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+45381,int_stack+61404,int_stack+60018,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+49539,int_stack+45381,int_stack+109368,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+224553,int_stack+49539,int_stack+0,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+45381,int_stack+224553,int_stack+63042,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+56721,int_stack+121653,int_stack+112833, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100548,21);
     Libderiv->ABCD[11] = int_stack + 56721;
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+109368,int_stack+132993,int_stack+154875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100548, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 109368;
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+121716,int_stack+184233,int_stack+5670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100548, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 121716;
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+0,int_stack+204393,int_stack+195573, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+183855,int_stack+172515,int_stack+163695, 0.0, zero_stack, 1.0, int_stack+100548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 183855;
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+153153,int_stack+70602,int_stack+14490, 1.0, int_stack+100548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 153153;
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+69069,int_stack+23310,int_stack+36561,21);
     Libderiv->ABCD[2] = int_stack + 69069;
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+12348,int_stack+81942,int_stack+144333,21);
     Libderiv->ABCD[1] = int_stack + 12348;
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+24696,int_stack+45381,int_stack+215733,21);
     Libderiv->ABCD[0] = int_stack + 24696;

}
