#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_i0gf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (i0|gf) integrals */

void d1hrr_order_i0gf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][4][11] = int_stack + 0;
 Libderiv->deriv_classes[6][5][11] = int_stack + 420;
 Libderiv->deriv_classes[6][6][11] = int_stack + 1008;
 Libderiv->deriv_classes[6][7][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][4][10] = int_stack + 2800;
 Libderiv->deriv_classes[6][5][10] = int_stack + 3220;
 Libderiv->deriv_classes[6][6][10] = int_stack + 3808;
 Libderiv->deriv_classes[6][7][10] = int_stack + 4592;
 Libderiv->deriv_classes[6][4][9] = int_stack + 5600;
 Libderiv->deriv_classes[6][5][9] = int_stack + 6020;
 Libderiv->deriv_classes[6][6][9] = int_stack + 6608;
 Libderiv->deriv_classes[6][7][9] = int_stack + 7392;
 Libderiv->deriv_classes[6][4][8] = int_stack + 8400;
 Libderiv->deriv_classes[6][5][8] = int_stack + 8820;
 Libderiv->deriv_classes[6][6][8] = int_stack + 9408;
 Libderiv->deriv_classes[6][7][8] = int_stack + 10192;
 Libderiv->deriv_classes[6][4][7] = int_stack + 11200;
 Libderiv->deriv_classes[6][5][7] = int_stack + 11620;
 Libderiv->deriv_classes[6][6][7] = int_stack + 12208;
 Libderiv->deriv_classes[6][7][7] = int_stack + 12992;
 Libderiv->dvrr_classes[6][4] = int_stack + 14000;
 Libderiv->deriv_classes[6][4][6] = int_stack + 14420;
 Libderiv->dvrr_classes[6][5] = int_stack + 14840;
 Libderiv->deriv_classes[6][5][6] = int_stack + 15428;
 Libderiv->dvrr_classes[6][6] = int_stack + 16016;
 Libderiv->deriv_classes[6][6][6] = int_stack + 16800;
 Libderiv->deriv_classes[6][7][6] = int_stack + 17584;
 Libderiv->deriv_classes[6][4][2] = int_stack + 18592;
 Libderiv->deriv_classes[6][5][2] = int_stack + 19012;
 Libderiv->deriv_classes[6][6][2] = int_stack + 19600;
 Libderiv->deriv_classes[6][7][2] = int_stack + 20384;
 Libderiv->deriv_classes[6][4][1] = int_stack + 21392;
 Libderiv->deriv_classes[6][5][1] = int_stack + 21812;
 Libderiv->deriv_classes[6][6][1] = int_stack + 22400;
 Libderiv->deriv_classes[6][7][1] = int_stack + 23184;
 Libderiv->deriv_classes[6][4][0] = int_stack + 24192;
 Libderiv->deriv_classes[6][5][0] = int_stack + 24612;
 Libderiv->deriv_classes[6][6][0] = int_stack + 25200;
 Libderiv->deriv_classes[6][7][0] = int_stack + 25984;
 memset(int_stack,0,215936);

 Libderiv->dvrr_stack = int_stack + 69832;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_i0gf(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+26992,int_stack+14840,int_stack+14000,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+28252,int_stack+16016,int_stack+14840,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+30016,int_stack+28252,int_stack+26992,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+32536,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14000,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33796,int_stack+1008,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14840,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+35560,int_stack+33796,int_stack+32536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26992,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+1792,int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16016,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+40432,int_stack+38080,int_stack+33796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28252,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+38080,int_stack+3220,int_stack+2800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14000, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32536,int_stack+3808,int_stack+3220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14840, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+32536,int_stack+38080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26992, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+4592,int_stack+3808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16016, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+43960,int_stack+38080,int_stack+32536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28252, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+32536,int_stack+6020,int_stack+5600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14000, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33796,int_stack+6608,int_stack+6020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14840, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2520,int_stack+33796,int_stack+32536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26992, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+7392,int_stack+6608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16016, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+47488,int_stack+38080,int_stack+33796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28252, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+38080,int_stack+8820,int_stack+8400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32536,int_stack+9408,int_stack+8820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+5040,int_stack+32536,int_stack+38080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+10192,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7560,int_stack+38080,int_stack+32536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+32536,int_stack+11620,int_stack+11200, 0.0, zero_stack, 1.0, int_stack+14000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33796,int_stack+12208,int_stack+11620, 0.0, zero_stack, 1.0, int_stack+14840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+51016,int_stack+33796,int_stack+32536, 0.0, zero_stack, 1.0, int_stack+26992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+12992,int_stack+12208, 0.0, zero_stack, 1.0, int_stack+16016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+53536,int_stack+38080,int_stack+33796, 0.0, zero_stack, 1.0, int_stack+28252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+38080,int_stack+15428,int_stack+14420, 1.0, int_stack+14000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32536,int_stack+16800,int_stack+15428, 1.0, int_stack+14840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+11088,int_stack+32536,int_stack+38080, 1.0, int_stack+26992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+17584,int_stack+16800, 1.0, int_stack+16016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+13608,int_stack+38080,int_stack+32536, 1.0, int_stack+28252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+32536,int_stack+19012,int_stack+18592,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+33796,int_stack+19600,int_stack+19012,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+26992,int_stack+33796,int_stack+32536,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+20384,int_stack+19600,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+17136,int_stack+38080,int_stack+33796,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+38080,int_stack+21812,int_stack+21392,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+32536,int_stack+22400,int_stack+21812,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+57064,int_stack+32536,int_stack+38080,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+23184,int_stack+22400,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+20664,int_stack+38080,int_stack+32536,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+32536,int_stack+24612,int_stack+24192,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+33796,int_stack+25200,int_stack+24612,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+59584,int_stack+33796,int_stack+32536,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+38080,int_stack+25984,int_stack+25200,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+62104,int_stack+38080,int_stack+33796,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+65632,int_stack+40432,int_stack+35560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30016,28);
     Libderiv->ABCD[11] = int_stack + 65632;
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+32536,int_stack+43960,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30016, 0.0, zero_stack,28);
     Libderiv->ABCD[10] = int_stack + 32536;
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+36736,int_stack+47488,int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30016, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[9] = int_stack + 36736;
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+0,int_stack+7560,int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+4200,int_stack+53536,int_stack+51016, 0.0, zero_stack, 1.0, int_stack+30016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[7] = int_stack + 4200;
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+40936,int_stack+13608,int_stack+11088, 1.0, int_stack+30016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[6] = int_stack + 40936;
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+8400,int_stack+17136,int_stack+26992,28);
     Libderiv->ABCD[2] = int_stack + 8400;
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+12600,int_stack+20664,int_stack+57064,28);
     Libderiv->ABCD[1] = int_stack + 12600;
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+16800,int_stack+62104,int_stack+59584,28);
     Libderiv->ABCD[0] = int_stack + 16800;

}
