#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddng(Libint_t*, prim_data*);

  /* Computes quartets of (dd|ng) integrals */

REALTYPE *hrr_order_ddng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[2][11] = int_stack + 396;
 Libint->vrr_classes[2][12] = int_stack + 864;
 Libint->vrr_classes[2][13] = int_stack + 1410;
 Libint->vrr_classes[2][14] = int_stack + 2040;
 Libint->vrr_classes[3][10] = int_stack + 2760;
 Libint->vrr_classes[3][11] = int_stack + 3420;
 Libint->vrr_classes[3][12] = int_stack + 4200;
 Libint->vrr_classes[3][13] = int_stack + 5110;
 Libint->vrr_classes[3][14] = int_stack + 6160;
 Libint->vrr_classes[4][10] = int_stack + 7360;
 Libint->vrr_classes[4][11] = int_stack + 8350;
 Libint->vrr_classes[4][12] = int_stack + 9520;
 Libint->vrr_classes[4][13] = int_stack + 10885;
 Libint->vrr_classes[4][14] = int_stack + 12460;
 memset(int_stack,0,14260*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14260;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddng(Libint, Data);
   Data++;
 }
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14260,int_stack+396,int_stack+0,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15448,int_stack+864,int_stack+396,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+16852,int_stack+15448,int_stack+14260,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+19228,int_stack+1410,int_stack+864,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+20866,int_stack+19228,int_stack+15448,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+23674,int_stack+20866,int_stack+16852,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+14260,int_stack+2040,int_stack+1410,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+27634,int_stack+14260,int_stack+19228,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14260,int_stack+27634,int_stack+20866,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+27634,int_stack+14260,int_stack+23674,6);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14260,int_stack+3420,int_stack+2760,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+16240,int_stack+4200,int_stack+3420,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+18580,int_stack+16240,int_stack+14260,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+22540,int_stack+5110,int_stack+4200,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+22540,int_stack+16240,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+33574,int_stack+0,int_stack+18580,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+14260,int_stack+6160,int_stack+5110,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+40174,int_stack+14260,int_stack+22540,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14260,int_stack+40174,int_stack+0,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+40174,int_stack+14260,int_stack+33574,10);
 /*--- compute (dp|ng) ---*/
 hrr1_build_dp(Libint->AB,int_stack+50074,int_stack+40174,int_stack+27634,990);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14260,int_stack+8350,int_stack+7360,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+17230,int_stack+9520,int_stack+8350,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+20740,int_stack+17230,int_stack+14260,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+26680,int_stack+10885,int_stack+9520,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+30775,int_stack+26680,int_stack+17230,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+30775,int_stack+20740,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+14260,int_stack+12460,int_stack+10885,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+67894,int_stack+14260,int_stack+26680,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+9900,int_stack+67894,int_stack+30775,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+21600,int_stack+9900,int_stack+0,15);
 /*--- compute (fp|ng) ---*/
 hrr1_build_fp(Libint->AB,int_stack+67894,int_stack+21600,int_stack+40174,990);
 /*--- compute (dd|ng) ---*/
 hrr1_build_dd(Libint->AB,int_stack+0,int_stack+67894,int_stack+50074,990);
 return int_stack+0;}
