#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpih(Libint_t*, prim_data*);

  /* Computes quartets of (dp|ih) integrals */

REALTYPE *hrr_order_dpih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][6] = int_stack + 0;
 Libint->vrr_classes[2][7] = int_stack + 168;
 Libint->vrr_classes[2][8] = int_stack + 384;
 Libint->vrr_classes[2][9] = int_stack + 654;
 Libint->vrr_classes[2][10] = int_stack + 984;
 Libint->vrr_classes[2][11] = int_stack + 1380;
 Libint->vrr_classes[3][6] = int_stack + 1848;
 Libint->vrr_classes[3][7] = int_stack + 2128;
 Libint->vrr_classes[3][8] = int_stack + 2488;
 Libint->vrr_classes[3][9] = int_stack + 2938;
 Libint->vrr_classes[3][10] = int_stack + 3488;
 Libint->vrr_classes[3][11] = int_stack + 4148;
 memset(int_stack,0,4928*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4928;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpih(Libint, Data);
   Data++;
 }
 /*--- compute (d0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+4928,int_stack+168,int_stack+0,6);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5432,int_stack+384,int_stack+168,6);
 /*--- compute (d0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6080,int_stack+5432,int_stack+4928,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7088,int_stack+654,int_stack+384,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+7898,int_stack+7088,int_stack+5432,6);
 /*--- compute (d0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+9194,int_stack+7898,int_stack+6080,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4928,int_stack+984,int_stack+654,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+10874,int_stack+4928,int_stack+7088,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+12494,int_stack+10874,int_stack+7898,6);
 /*--- compute (d0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+5918,int_stack+12494,int_stack+9194,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8438,int_stack+1380,int_stack+984,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+14654,int_stack+8438,int_stack+4928,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+16634,int_stack+14654,int_stack+10874,6);
 /*--- compute (d0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+8438,int_stack+16634,int_stack+12494,6);
 /*--- compute (d0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+11678,int_stack+8438,int_stack+5918,6);
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+4928,int_stack+2128,int_stack+1848,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5768,int_stack+2488,int_stack+2128,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6848,int_stack+5768,int_stack+4928,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8528,int_stack+2938,int_stack+2488,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+15206,int_stack+8528,int_stack+5768,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+15206,int_stack+6848,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4928,int_stack+3488,int_stack+2938,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+17366,int_stack+4928,int_stack+8528,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+6578,int_stack+17366,int_stack+15206,10);
 /*--- compute (f0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+20066,int_stack+6578,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+4148,int_stack+3488,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+24266,int_stack+0,int_stack+4928,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+24266,int_stack+17366,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+24266,int_stack+0,int_stack+6578,10);
 /*--- compute (f0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+24266,int_stack+20066,10);
 /*--- compute (dp|ih) ---*/
 hrr1_build_dp(Libint->AB,int_stack+15206,int_stack+0,int_stack+11678,588);
 return int_stack+15206;}
