#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpnl(Libint_t*, prim_data*);

  /* Computes quartets of (dp|nl) integrals */

REALTYPE *hrr_order_dpnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[2][11] = int_stack + 396;
 Libint->vrr_classes[2][12] = int_stack + 864;
 Libint->vrr_classes[2][13] = int_stack + 1410;
 Libint->vrr_classes[2][14] = int_stack + 2040;
 Libint->vrr_classes[2][15] = int_stack + 2760;
 Libint->vrr_classes[2][16] = int_stack + 3576;
 Libint->vrr_classes[2][17] = int_stack + 4494;
 Libint->vrr_classes[2][18] = int_stack + 5520;
 Libint->vrr_classes[3][10] = int_stack + 6660;
 Libint->vrr_classes[3][11] = int_stack + 7320;
 Libint->vrr_classes[3][12] = int_stack + 8100;
 Libint->vrr_classes[3][13] = int_stack + 9010;
 Libint->vrr_classes[3][14] = int_stack + 10060;
 Libint->vrr_classes[3][15] = int_stack + 11260;
 Libint->vrr_classes[3][16] = int_stack + 12620;
 Libint->vrr_classes[3][17] = int_stack + 14150;
 Libint->vrr_classes[3][18] = int_stack + 15860;
 memset(int_stack,0,17760*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 17760;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpnl(Libint, Data);
   Data++;
 }
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17760,int_stack+396,int_stack+0,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18948,int_stack+864,int_stack+396,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+20352,int_stack+18948,int_stack+17760,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+22728,int_stack+1410,int_stack+864,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+24366,int_stack+22728,int_stack+18948,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+27174,int_stack+24366,int_stack+20352,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+17760,int_stack+2040,int_stack+1410,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+31134,int_stack+17760,int_stack+22728,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+19650,int_stack+31134,int_stack+24366,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+34410,int_stack+19650,int_stack+27174,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+24330,int_stack+2760,int_stack+2040,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+26490,int_stack+24330,int_stack+17760,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+40350,int_stack+26490,int_stack+31134,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+45810,int_stack+40350,int_stack+19650,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+52830,int_stack+45810,int_stack+34410,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+17760,int_stack+3576,int_stack+2760,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+30270,int_stack+17760,int_stack+24330,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+61146,int_stack+30270,int_stack+26490,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+20208,int_stack+61146,int_stack+40350,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+34590,int_stack+20208,int_stack+45810,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+67446,int_stack+34590,int_stack+52830,6);
 /*--- compute (d0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+44418,int_stack+4494,int_stack+3576,6);
 /*--- compute (d0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+47172,int_stack+44418,int_stack+17760,6);
 /*--- compute (d0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+52068,int_stack+47172,int_stack+30270,6);
 /*--- compute (d0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+78534,int_stack+52068,int_stack+61146,6);
 /*--- compute (d0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+87984,int_stack+78534,int_stack+20208,6);
 /*--- compute (d0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+17760,int_stack+87984,int_stack+34590,6);
 /*--- compute (d0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+99450,int_stack+17760,int_stack+67446,6);
 /*--- compute (d0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+30864,int_stack+5520,int_stack+4494,6);
 /*--- compute (d0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+33942,int_stack+30864,int_stack+44418,6);
 /*--- compute (d0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+59268,int_stack+33942,int_stack+47172,6);
 /*--- compute (d0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+30864,int_stack+59268,int_stack+52068,6);
 /*--- compute (d0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+41664,int_stack+30864,int_stack+78534,6);
 /*--- compute (d0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+54894,int_stack+41664,int_stack+87984,6);
 /*--- compute (d0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+30864,int_stack+54894,int_stack+17760,6);
 /*--- compute (d0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+47712,int_stack+30864,int_stack+99450,6);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17760,int_stack+7320,int_stack+6660,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+19740,int_stack+8100,int_stack+7320,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+22080,int_stack+19740,int_stack+17760,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+26040,int_stack+9010,int_stack+8100,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+28770,int_stack+26040,int_stack+19740,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+33450,int_stack+28770,int_stack+22080,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+17760,int_stack+10060,int_stack+9010,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+40050,int_stack+17760,int_stack+26040,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20910,int_stack+40050,int_stack+28770,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+65532,int_stack+20910,int_stack+33450,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+28710,int_stack+11260,int_stack+10060,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+32310,int_stack+28710,int_stack+17760,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+75432,int_stack+32310,int_stack+40050,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+84532,int_stack+75432,int_stack+20910,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+96232,int_stack+84532,int_stack+65532,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+65532,int_stack+12620,int_stack+11260,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+17760,int_stack+65532,int_stack+28710,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+17760,int_stack+32310,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+24960,int_stack+0,int_stack+75432,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+110092,int_stack+24960,int_stack+84532,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+69612,int_stack+110092,int_stack+96232,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+88092,int_stack+14150,int_stack+12620,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+92682,int_stack+88092,int_stack+65532,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+126472,int_stack+92682,int_stack+17760,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+138472,int_stack+126472,int_stack+0,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+154222,int_stack+138472,int_stack+24960,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+17760,int_stack+154222,int_stack+110092,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+100842,int_stack+17760,int_stack+69612,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+15860,int_stack+14150,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+5130,int_stack+0,int_stack+88092,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+65532,int_stack+5130,int_stack+92682,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+79132,int_stack+65532,int_stack+126472,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+173332,int_stack+79132,int_stack+138472,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+65532,int_stack+173332,int_stack+154222,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+124602,int_stack+65532,int_stack+17760,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+65532,int_stack+124602,int_stack+100842,10);
 /*--- compute (dp|nl) ---*/
 hrr1_build_dp(Libint->AB,int_stack+95232,int_stack+65532,int_stack+47712,2970);
 return int_stack+95232;}
