#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdmg(Libint_t*, prim_data*);

  /* Computes quartets of (fd|mg) integrals */

REALTYPE *hrr_order_fdmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][9] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 550;
 Libint->vrr_classes[3][11] = int_stack + 1210;
 Libint->vrr_classes[3][12] = int_stack + 1990;
 Libint->vrr_classes[3][13] = int_stack + 2900;
 Libint->vrr_classes[4][9] = int_stack + 3950;
 Libint->vrr_classes[4][10] = int_stack + 4775;
 Libint->vrr_classes[4][11] = int_stack + 5765;
 Libint->vrr_classes[4][12] = int_stack + 6935;
 Libint->vrr_classes[4][13] = int_stack + 8300;
 Libint->vrr_classes[5][9] = int_stack + 9875;
 Libint->vrr_classes[5][10] = int_stack + 11030;
 Libint->vrr_classes[5][11] = int_stack + 12416;
 Libint->vrr_classes[5][12] = int_stack + 14054;
 Libint->vrr_classes[5][13] = int_stack + 15965;
 memset(int_stack,0,18170*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18170;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdmg(Libint, Data);
   Data++;
 }
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18170,int_stack+550,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+19820,int_stack+1210,int_stack+550,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+21800,int_stack+19820,int_stack+18170,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25100,int_stack+1990,int_stack+1210,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+27440,int_stack+25100,int_stack+19820,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+31400,int_stack+27440,int_stack+21800,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+18170,int_stack+2900,int_stack+1990,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+36900,int_stack+18170,int_stack+25100,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+18170,int_stack+36900,int_stack+27440,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+36900,int_stack+18170,int_stack+31400,10);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18170,int_stack+4775,int_stack+3950,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+20645,int_stack+5765,int_stack+4775,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23615,int_stack+20645,int_stack+18170,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+28565,int_stack+6935,int_stack+5765,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+28565,int_stack+20645,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+45150,int_stack+0,int_stack+23615,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+18170,int_stack+8300,int_stack+6935,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+53400,int_stack+18170,int_stack+28565,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+18170,int_stack+53400,int_stack+0,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+53400,int_stack+18170,int_stack+45150,15);
 /*--- compute (fp|mg) ---*/
 hrr1_build_fp(Libint->AB,int_stack+65775,int_stack+53400,int_stack+36900,825);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18170,int_stack+11030,int_stack+9875,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+21635,int_stack+12416,int_stack+11030,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+25793,int_stack+21635,int_stack+18170,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+32723,int_stack+14054,int_stack+12416,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+37637,int_stack+32723,int_stack+21635,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+37637,int_stack+25793,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+18170,int_stack+15965,int_stack+14054,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+90525,int_stack+18170,int_stack+32723,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+11550,int_stack+90525,int_stack+37637,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+25410,int_stack+11550,int_stack+0,21);
 /*--- compute (gp|mg) ---*/
 hrr1_build_gp(Libint->AB,int_stack+90525,int_stack+25410,int_stack+53400,825);
 /*--- compute (fd|mg) ---*/
 hrr1_build_fd(Libint->AB,int_stack+0,int_stack+90525,int_stack+65775,825);
 return int_stack+0;}
