#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffnf(Libint_t*, prim_data*);

  /* Computes quartets of (ff|nf) integrals */

REALTYPE *hrr_order_ffnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[4][10] = int_stack + 3400;
 Libint->vrr_classes[4][11] = int_stack + 4390;
 Libint->vrr_classes[4][12] = int_stack + 5560;
 Libint->vrr_classes[4][13] = int_stack + 6925;
 Libint->vrr_classes[5][10] = int_stack + 8500;
 Libint->vrr_classes[5][11] = int_stack + 9886;
 Libint->vrr_classes[5][12] = int_stack + 11524;
 Libint->vrr_classes[5][13] = int_stack + 13435;
 Libint->vrr_classes[6][10] = int_stack + 15640;
 Libint->vrr_classes[6][11] = int_stack + 17488;
 Libint->vrr_classes[6][12] = int_stack + 19672;
 Libint->vrr_classes[6][13] = int_stack + 22220;
 memset(int_stack,0,25160*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 25160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffnf(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25160,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+27140,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29480,int_stack+27140,int_stack+25160,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+33440,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+36170,int_stack+33440,int_stack+27140,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+40850,int_stack+36170,int_stack+29480,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25160,int_stack+4390,int_stack+3400,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+28130,int_stack+5560,int_stack+4390,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+31640,int_stack+28130,int_stack+25160,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+6925,int_stack+5560,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+47450,int_stack+0,int_stack+28130,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+54470,int_stack+47450,int_stack+31640,15);
 /*--- compute (fp|nf) ---*/
 hrr1_build_fp(Libint->AB,int_stack+64370,int_stack+54470,int_stack+40850,660);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+9886,int_stack+8500,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4158,int_stack+11524,int_stack+9886,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+25160,int_stack+4158,int_stack+0,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+33476,int_stack+13435,int_stack+11524,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+39209,int_stack+33476,int_stack+4158,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+39209,int_stack+25160,21);
 /*--- compute (gp|nf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+84170,int_stack+0,int_stack+54470,660);
 /*--- compute (fd|nf) ---*/
 hrr1_build_fd(Libint->AB,int_stack+113870,int_stack+84170,int_stack+64370,660);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25160,int_stack+17488,int_stack+15640,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+30704,int_stack+19672,int_stack+17488,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+37256,int_stack+30704,int_stack+25160,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+48344,int_stack+22220,int_stack+19672,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+55988,int_stack+48344,int_stack+30704,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+13860,int_stack+55988,int_stack+37256,28);
 /*--- compute (hp|nf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+32340,int_stack+13860,int_stack+0,660);
 /*--- compute (gd|nf) ---*/
 hrr1_build_gd(Libint->AB,int_stack+153470,int_stack+32340,int_stack+84170,660);
 /*--- compute (ff|nf) ---*/
 hrr1_build_ff(Libint->AB,int_stack+0,int_stack+153470,int_stack+113870,660);
 return int_stack+0;}
