#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpnh(Libint_t*, prim_data*);

  /* Computes quartets of (fp|nh) integrals */

REALTYPE *hrr_order_fpnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[4][10] = int_stack + 5960;
 Libint->vrr_classes[4][11] = int_stack + 6950;
 Libint->vrr_classes[4][12] = int_stack + 8120;
 Libint->vrr_classes[4][13] = int_stack + 9485;
 Libint->vrr_classes[4][14] = int_stack + 11060;
 Libint->vrr_classes[4][15] = int_stack + 12860;
 memset(int_stack,0,14900*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14900;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpnh(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14900,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+16880,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19220,int_stack+16880,int_stack+14900,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23180,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+25910,int_stack+23180,int_stack+16880,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+30590,int_stack+25910,int_stack+19220,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+14900,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+37190,int_stack+14900,int_stack+23180,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+18050,int_stack+37190,int_stack+25910,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+42650,int_stack+18050,int_stack+30590,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+25850,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+29450,int_stack+25850,int_stack+14900,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+52550,int_stack+29450,int_stack+37190,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+25850,int_stack+52550,int_stack+18050,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+52550,int_stack+25850,int_stack+42650,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14900,int_stack+6950,int_stack+5960,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+17870,int_stack+8120,int_stack+6950,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+21380,int_stack+17870,int_stack+14900,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+27320,int_stack+9485,int_stack+8120,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+31415,int_stack+27320,int_stack+17870,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+38435,int_stack+31415,int_stack+21380,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+14900,int_stack+11060,int_stack+9485,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+14900,int_stack+27320,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+19625,int_stack+0,int_stack+31415,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+66410,int_stack+19625,int_stack+38435,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+31325,int_stack+12860,int_stack+11060,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+36725,int_stack+31325,int_stack+14900,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+81260,int_stack+36725,int_stack+0,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+81260,int_stack+19625,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+17550,int_stack+0,int_stack+66410,15);
 /*--- compute (fp|nh) ---*/
 hrr1_build_fp(Libint->AB,int_stack+66410,int_stack+17550,int_stack+52550,1386);
 return int_stack+66410;}
