#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdmh(Libint_t*, prim_data*);

  /* Computes quartets of (gd|mh) integrals */

REALTYPE *hrr_order_gdmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[4][13] = int_stack + 4350;
 Libint->vrr_classes[4][14] = int_stack + 5925;
 Libint->vrr_classes[5][9] = int_stack + 7725;
 Libint->vrr_classes[5][10] = int_stack + 8880;
 Libint->vrr_classes[5][11] = int_stack + 10266;
 Libint->vrr_classes[5][12] = int_stack + 11904;
 Libint->vrr_classes[5][13] = int_stack + 13815;
 Libint->vrr_classes[5][14] = int_stack + 16020;
 Libint->vrr_classes[6][9] = int_stack + 18540;
 Libint->vrr_classes[6][10] = int_stack + 20080;
 Libint->vrr_classes[6][11] = int_stack + 21928;
 Libint->vrr_classes[6][12] = int_stack + 24112;
 Libint->vrr_classes[6][13] = int_stack + 26660;
 Libint->vrr_classes[6][14] = int_stack + 29600;
 memset(int_stack,0,32960*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 32960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdmh(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+32960,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+35435,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38405,int_stack+35435,int_stack+32960,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+43355,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+46865,int_stack+43355,int_stack+35435,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+52805,int_stack+46865,int_stack+38405,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+32960,int_stack+4350,int_stack+2985,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+61055,int_stack+32960,int_stack+43355,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+68075,int_stack+61055,int_stack+46865,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+37055,int_stack+68075,int_stack+52805,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+49430,int_stack+5925,int_stack+4350,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+77975,int_stack+49430,int_stack+32960,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+86165,int_stack+77975,int_stack+61055,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+49430,int_stack+86165,int_stack+68075,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+64280,int_stack+49430,int_stack+37055,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+32960,int_stack+8880,int_stack+7725,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+36425,int_stack+10266,int_stack+8880,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+40583,int_stack+36425,int_stack+32960,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+47513,int_stack+11904,int_stack+10266,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+52427,int_stack+47513,int_stack+36425,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+81605,int_stack+52427,int_stack+40583,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+32960,int_stack+13815,int_stack+11904,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+32960,int_stack+47513,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+93155,int_stack+0,int_stack+52427,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+38693,int_stack+93155,int_stack+81605,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+81605,int_stack+16020,int_stack+13815,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+107015,int_stack+81605,int_stack+32960,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+118481,int_stack+107015,int_stack+0,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+134861,int_stack+118481,int_stack+93155,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+81605,int_stack+134861,int_stack+38693,21);
 /*--- compute (gp|mh) ---*/
 hrr1_build_gp(Libint->AB,int_stack+105860,int_stack+81605,int_stack+64280,1155);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+20080,int_stack+18540,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4620,int_stack+21928,int_stack+20080,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+10164,int_stack+4620,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+32960,int_stack+24112,int_stack+21928,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39512,int_stack+32960,int_stack+4620,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+50600,int_stack+39512,int_stack+10164,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+26660,int_stack+24112,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7644,int_stack+0,int_stack+32960,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+157835,int_stack+7644,int_stack+39512,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+176315,int_stack+157835,int_stack+50600,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+32960,int_stack+29600,int_stack+26660,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+41780,int_stack+32960,int_stack+0,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+57068,int_stack+41780,int_stack+7644,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+57068,int_stack+157835,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+27720,int_stack+0,int_stack+176315,28);
 /*--- compute (hp|mh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+157835,int_stack+27720,int_stack+81605,1155);
 /*--- compute (gd|mh) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+157835,int_stack+105860,1155);
 return int_stack+0;}
