#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfif(Libint_t*, prim_data*);

  /* Computes quartets of (gf|if) integrals */

REALTYPE *hrr_order_gfif(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 420;
 Libint->vrr_classes[4][8] = int_stack + 960;
 Libint->vrr_classes[4][9] = int_stack + 1635;
 Libint->vrr_classes[5][6] = int_stack + 2460;
 Libint->vrr_classes[5][7] = int_stack + 3048;
 Libint->vrr_classes[5][8] = int_stack + 3804;
 Libint->vrr_classes[5][9] = int_stack + 4749;
 Libint->vrr_classes[6][6] = int_stack + 5904;
 Libint->vrr_classes[6][7] = int_stack + 6688;
 Libint->vrr_classes[6][8] = int_stack + 7696;
 Libint->vrr_classes[6][9] = int_stack + 8956;
 Libint->vrr_classes[7][6] = int_stack + 10496;
 Libint->vrr_classes[7][7] = int_stack + 11504;
 Libint->vrr_classes[7][8] = int_stack + 12800;
 Libint->vrr_classes[7][9] = int_stack + 14420;
 memset(int_stack,0,16400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 16400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfif(Libint, Data);
   Data++;
 }
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+16400,int_stack+420,int_stack+0,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17660,int_stack+960,int_stack+420,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+19280,int_stack+17660,int_stack+16400,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21800,int_stack+1635,int_stack+960,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+23825,int_stack+21800,int_stack+17660,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+27065,int_stack+23825,int_stack+19280,15);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+16400,int_stack+3048,int_stack+2460,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+18164,int_stack+3804,int_stack+3048,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+20432,int_stack+18164,int_stack+16400,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23960,int_stack+4749,int_stack+3804,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+23960,int_stack+18164,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+31265,int_stack+0,int_stack+20432,21);
 /*--- compute (gp|if) ---*/
 hrr1_build_gp(Libint->AB,int_stack+37145,int_stack+31265,int_stack+27065,280);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+6688,int_stack+5904,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2352,int_stack+7696,int_stack+6688,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+16400,int_stack+2352,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21104,int_stack+8956,int_stack+7696,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+24884,int_stack+21104,int_stack+2352,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+24884,int_stack+16400,28);
 /*--- compute (hp|if) ---*/
 hrr1_build_hp(Libint->AB,int_stack+49745,int_stack+0,int_stack+31265,280);
 /*--- compute (gd|if) ---*/
 hrr1_build_gd(Libint->AB,int_stack+67385,int_stack+49745,int_stack+37145,280);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+16400,int_stack+11504,int_stack+10496,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+19424,int_stack+12800,int_stack+11504,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+23312,int_stack+19424,int_stack+16400,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+29360,int_stack+14420,int_stack+12800,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+34220,int_stack+29360,int_stack+19424,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+7840,int_stack+34220,int_stack+23312,36);
 /*--- compute (ip|if) ---*/
 hrr1_build_ip(Libint->AB,int_stack+17920,int_stack+7840,int_stack+0,280);
 /*--- compute (hd|if) ---*/
 hrr1_build_hd(Libint->AB,int_stack+92585,int_stack+17920,int_stack+49745,280);
 /*--- compute (gf|if) ---*/
 hrr1_build_gf(Libint->AB,int_stack+0,int_stack+92585,int_stack+67385,280);
 return int_stack+0;}
