#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggkd(Libint_t*, prim_data*);

  /* Computes quartets of (gg|kd) integrals */

REALTYPE *hrr_order_ggkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[5][7] = int_stack + 2040;
 Libint->vrr_classes[5][8] = int_stack + 2796;
 Libint->vrr_classes[5][9] = int_stack + 3741;
 Libint->vrr_classes[6][7] = int_stack + 4896;
 Libint->vrr_classes[6][8] = int_stack + 5904;
 Libint->vrr_classes[6][9] = int_stack + 7164;
 Libint->vrr_classes[7][7] = int_stack + 8704;
 Libint->vrr_classes[7][8] = int_stack + 10000;
 Libint->vrr_classes[7][9] = int_stack + 11620;
 Libint->vrr_classes[8][7] = int_stack + 13600;
 Libint->vrr_classes[8][8] = int_stack + 15220;
 Libint->vrr_classes[8][9] = int_stack + 17245;
 memset(int_stack,0,19720*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 19720;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggkd(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+19720,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21340,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+23365,int_stack+21340,int_stack+19720,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+19720,int_stack+2796,int_stack+2040,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26605,int_stack+3741,int_stack+2796,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+26605,int_stack+19720,21);
 /*--- compute (gp|kd) ---*/
 hrr1_build_gp(Libint->AB,int_stack+26605,int_stack+0,int_stack+23365,216);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+19720,int_stack+5904,int_stack+4896,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+22744,int_stack+7164,int_stack+5904,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+36325,int_stack+22744,int_stack+19720,28);
 /*--- compute (hp|kd) ---*/
 hrr1_build_hp(Libint->AB,int_stack+42373,int_stack+36325,int_stack+0,216);
 /*--- compute (gd|kd) ---*/
 hrr1_build_gd(Libint->AB,int_stack+55981,int_stack+42373,int_stack+26605,216);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+10000,int_stack+8704,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3888,int_stack+11620,int_stack+10000,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+19720,int_stack+3888,int_stack+0,36);
 /*--- compute (ip|kd) ---*/
 hrr1_build_ip(Libint->AB,int_stack+75421,int_stack+19720,int_stack+36325,216);
 /*--- compute (hd|kd) ---*/
 hrr1_build_hd(Libint->AB,int_stack+93565,int_stack+75421,int_stack+42373,216);
 /*--- compute (gf|kd) ---*/
 hrr1_build_gf(Libint->AB,int_stack+120781,int_stack+93565,int_stack+55981,216);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+15220,int_stack+13600,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4860,int_stack+17245,int_stack+15220,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27496,int_stack+4860,int_stack+0,45);
 /*--- compute (kp|kd) ---*/
 hrr1_build_kp(Libint->AB,int_stack+37216,int_stack+27496,int_stack+19720,216);
 /*--- compute (id|kd) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+37216,int_stack+75421,216);
 /*--- compute (hf|kd) ---*/
 hrr1_build_hf(Libint->AB,int_stack+36288,int_stack+0,int_stack+93565,216);
 /*--- compute (gg|kd) ---*/
 hrr1_build_gg(Libint->AB,int_stack+153181,int_stack+36288,int_stack+120781,216);
 return int_stack+153181;}
