#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggld(Libint_t*, prim_data*);

  /* Computes quartets of (gg|ld) integrals */

REALTYPE *hrr_order_ggld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[4][10] = int_stack + 1500;
 Libint->vrr_classes[5][8] = int_stack + 2490;
 Libint->vrr_classes[5][9] = int_stack + 3435;
 Libint->vrr_classes[5][10] = int_stack + 4590;
 Libint->vrr_classes[6][8] = int_stack + 5976;
 Libint->vrr_classes[6][9] = int_stack + 7236;
 Libint->vrr_classes[6][10] = int_stack + 8776;
 Libint->vrr_classes[7][8] = int_stack + 10624;
 Libint->vrr_classes[7][9] = int_stack + 12244;
 Libint->vrr_classes[7][10] = int_stack + 14224;
 Libint->vrr_classes[8][8] = int_stack + 16600;
 Libint->vrr_classes[8][9] = int_stack + 18625;
 Libint->vrr_classes[8][10] = int_stack + 21100;
 memset(int_stack,0,24070*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 24070;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggld(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24070,int_stack+675,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+26095,int_stack+1500,int_stack+675,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+28570,int_stack+26095,int_stack+24070,15);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24070,int_stack+3435,int_stack+2490,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+32620,int_stack+4590,int_stack+3435,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+32620,int_stack+24070,21);
 /*--- compute (gp|ld) ---*/
 hrr1_build_gp(Libint->AB,int_stack+32620,int_stack+0,int_stack+28570,270);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24070,int_stack+7236,int_stack+5976,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+27850,int_stack+8776,int_stack+7236,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+44770,int_stack+27850,int_stack+24070,28);
 /*--- compute (hp|ld) ---*/
 hrr1_build_hp(Libint->AB,int_stack+52330,int_stack+44770,int_stack+0,270);
 /*--- compute (gd|ld) ---*/
 hrr1_build_gd(Libint->AB,int_stack+69340,int_stack+52330,int_stack+32620,270);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+12244,int_stack+10624,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4860,int_stack+14224,int_stack+12244,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+24070,int_stack+4860,int_stack+0,36);
 /*--- compute (ip|ld) ---*/
 hrr1_build_ip(Libint->AB,int_stack+93640,int_stack+24070,int_stack+44770,270);
 /*--- compute (hd|ld) ---*/
 hrr1_build_hd(Libint->AB,int_stack+116320,int_stack+93640,int_stack+52330,270);
 /*--- compute (gf|ld) ---*/
 hrr1_build_gf(Libint->AB,int_stack+150340,int_stack+116320,int_stack+69340,270);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+18625,int_stack+16600,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6075,int_stack+21100,int_stack+18625,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+33790,int_stack+6075,int_stack+0,45);
 /*--- compute (kp|ld) ---*/
 hrr1_build_kp(Libint->AB,int_stack+45940,int_stack+33790,int_stack+24070,270);
 /*--- compute (id|ld) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+45940,int_stack+93640,270);
 /*--- compute (hf|ld) ---*/
 hrr1_build_hf(Libint->AB,int_stack+45360,int_stack+0,int_stack+116320,270);
 /*--- compute (gg|ld) ---*/
 hrr1_build_gg(Libint->AB,int_stack+190840,int_stack+45360,int_stack+150340,270);
 return int_stack+190840;}
