#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0lk(Libint_t*, prim_data*);

  /* Computes quartets of (k0|lk) integrals */

REALTYPE *hrr_order_k0lk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[7][15] = int_stack + 20160;
 memset(int_stack,0,25056*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 25056;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0lk(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25056,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+29916,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+35856,int_stack+29916,int_stack+25056,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+45576,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+52704,int_stack+45576,int_stack+29916,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+64584,int_stack+52704,int_stack+35856,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25056,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+80784,int_stack+25056,int_stack+45576,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+95040,int_stack+80784,int_stack+52704,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+33480,int_stack+95040,int_stack+64584,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+57780,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+114840,int_stack+57780,int_stack+25056,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+131688,int_stack+114840,int_stack+80784,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+155448,int_stack+131688,int_stack+95040,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+67608,int_stack+155448,int_stack+33480,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+25056,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+36396,int_stack+25056,int_stack+57780,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+185148,int_stack+36396,int_stack+114840,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+213228,int_stack+185148,int_stack+131688,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+101628,int_stack+213228,int_stack+155448,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+248868,int_stack+101628,int_stack+67608,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+56052,int_stack+20160,int_stack+15840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+69012,int_stack+56052,int_stack+25056,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+143208,int_stack+69012,int_stack+36396,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+143208,int_stack+185148,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+143208,int_stack+0,int_stack+213228,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+143208,int_stack+101628,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+55440,int_stack+0,int_stack+248868,36);
 return int_stack+55440;}
