#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdng(Libint_t*, prim_data*);

  /* Computes quartets of (kd|ng) integrals */

REALTYPE *hrr_order_kdng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[8][10] = int_stack + 16560;
 Libint->vrr_classes[8][11] = int_stack + 19530;
 Libint->vrr_classes[8][12] = int_stack + 23040;
 Libint->vrr_classes[8][13] = int_stack + 27135;
 Libint->vrr_classes[8][14] = int_stack + 31860;
 Libint->vrr_classes[9][10] = int_stack + 37260;
 Libint->vrr_classes[9][11] = int_stack + 40890;
 Libint->vrr_classes[9][12] = int_stack + 45180;
 Libint->vrr_classes[9][13] = int_stack + 50185;
 Libint->vrr_classes[9][14] = int_stack + 55960;
 memset(int_stack,0,62560*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 62560;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdng(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+62560,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+69688,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+78112,int_stack+69688,int_stack+62560,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+92368,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+102196,int_stack+92368,int_stack+69688,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+119044,int_stack+102196,int_stack+78112,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+62560,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+142804,int_stack+62560,int_stack+92368,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+62560,int_stack+142804,int_stack+102196,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+142804,int_stack+62560,int_stack+119044,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+62560,int_stack+19530,int_stack+16560,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+71470,int_stack+23040,int_stack+19530,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+82000,int_stack+71470,int_stack+62560,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99820,int_stack+27135,int_stack+23040,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+112105,int_stack+99820,int_stack+71470,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+178444,int_stack+112105,int_stack+82000,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+62560,int_stack+31860,int_stack+27135,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+62560,int_stack+99820,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+62560,int_stack+0,int_stack+112105,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+97660,int_stack+62560,int_stack+178444,45);
 /*--- compute (kp|ng) ---*/
 hrr1_build_kp(Libint->AB,int_stack+178444,int_stack+97660,int_stack+142804,990);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+62560,int_stack+40890,int_stack+37260,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+73450,int_stack+45180,int_stack+40890,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+73450,int_stack+62560,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+21780,int_stack+50185,int_stack+45180,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+142210,int_stack+21780,int_stack+73450,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+285364,int_stack+142210,int_stack+0,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+55960,int_stack+50185,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+36795,int_stack+0,int_stack+21780,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+321664,int_stack+36795,int_stack+142210,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+321664,int_stack+285364,55);
 /*--- compute (lp|ng) ---*/
 hrr1_build_lp(Libint->AB,int_stack+285364,int_stack+0,int_stack+97660,990);
 /*--- compute (kd|ng) ---*/
 hrr1_build_kd(Libint->AB,int_stack+419014,int_stack+285364,int_stack+178444,990);
 return int_stack+419014;}
