#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfkf(Libint_t*, prim_data*);

  /* Computes quartets of (kf|kf) integrals */

REALTYPE *hrr_order_kfkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[8][7] = int_stack + 7272;
 Libint->vrr_classes[8][8] = int_stack + 8892;
 Libint->vrr_classes[8][9] = int_stack + 10917;
 Libint->vrr_classes[8][10] = int_stack + 13392;
 Libint->vrr_classes[9][7] = int_stack + 16362;
 Libint->vrr_classes[9][8] = int_stack + 18342;
 Libint->vrr_classes[9][9] = int_stack + 20817;
 Libint->vrr_classes[9][10] = int_stack + 23842;
 Libint->vrr_classes[10][7] = int_stack + 27472;
 Libint->vrr_classes[10][8] = int_stack + 29848;
 Libint->vrr_classes[10][9] = int_stack + 32818;
 Libint->vrr_classes[10][10] = int_stack + 36448;
 memset(int_stack,0,40804*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 40804;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfkf(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+40804,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+44692,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+49552,int_stack+44692,int_stack+40804,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+57328,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+63268,int_stack+57328,int_stack+44692,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+72988,int_stack+63268,int_stack+49552,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+40804,int_stack+8892,int_stack+7272,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+45664,int_stack+10917,int_stack+8892,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+51739,int_stack+45664,int_stack+40804,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+61459,int_stack+13392,int_stack+10917,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+61459,int_stack+45664,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+85948,int_stack+0,int_stack+51739,45);
 /*--- compute (kp|kf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+102148,int_stack+85948,int_stack+72988,360);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+18342,int_stack+16362,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5940,int_stack+20817,int_stack+18342,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+40804,int_stack+5940,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+52684,int_stack+23842,int_stack+20817,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+61759,int_stack+52684,int_stack+5940,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+61759,int_stack+40804,55);
 /*--- compute (lp|kf) ---*/
 hrr1_build_lp(Libint->AB,int_stack+141028,int_stack+0,int_stack+85948,360);
 /*--- compute (kd|kf) ---*/
 hrr1_build_kd(Libint->AB,int_stack+189628,int_stack+141028,int_stack+102148,360);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+40804,int_stack+29848,int_stack+27472,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+47932,int_stack+32818,int_stack+29848,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+56842,int_stack+47932,int_stack+40804,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+71098,int_stack+36448,int_stack+32818,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+81988,int_stack+71098,int_stack+47932,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+99808,int_stack+81988,int_stack+56842,66);
 /*--- compute (mp|kf) ---*/
 hrr1_build_mp(Libint->AB,int_stack+19800,int_stack+99808,int_stack+0,360);
 /*--- compute (ld|kf) ---*/
 hrr1_build_ld(Libint->AB,int_stack+267388,int_stack+19800,int_stack+141028,360);
 /*--- compute (kf|kf) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+267388,int_stack+189628,360);
 return int_stack+0;}
