#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kgnh(Libint_t*, prim_data*);

  /* Computes quartets of (kg|nh) integrals */

REALTYPE *hrr_order_kgnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[8][10] = int_stack + 21456;
 Libint->vrr_classes[8][11] = int_stack + 24426;
 Libint->vrr_classes[8][12] = int_stack + 27936;
 Libint->vrr_classes[8][13] = int_stack + 32031;
 Libint->vrr_classes[8][14] = int_stack + 36756;
 Libint->vrr_classes[8][15] = int_stack + 42156;
 Libint->vrr_classes[9][10] = int_stack + 48276;
 Libint->vrr_classes[9][11] = int_stack + 51906;
 Libint->vrr_classes[9][12] = int_stack + 56196;
 Libint->vrr_classes[9][13] = int_stack + 61201;
 Libint->vrr_classes[9][14] = int_stack + 66976;
 Libint->vrr_classes[9][15] = int_stack + 73576;
 Libint->vrr_classes[10][10] = int_stack + 81056;
 Libint->vrr_classes[10][11] = int_stack + 85412;
 Libint->vrr_classes[10][12] = int_stack + 90560;
 Libint->vrr_classes[10][13] = int_stack + 96566;
 Libint->vrr_classes[10][14] = int_stack + 103496;
 Libint->vrr_classes[10][15] = int_stack + 111416;
 Libint->vrr_classes[11][10] = int_stack + 120392;
 Libint->vrr_classes[11][11] = int_stack + 125540;
 Libint->vrr_classes[11][12] = int_stack + 131624;
 Libint->vrr_classes[11][13] = int_stack + 138722;
 Libint->vrr_classes[11][14] = int_stack + 146912;
 Libint->vrr_classes[11][15] = int_stack + 156272;
 memset(int_stack,0,166880*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 166880;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kgnh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+166880,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+174008,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+182432,int_stack+174008,int_stack+166880,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+196688,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+206516,int_stack+196688,int_stack+174008,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+223364,int_stack+206516,int_stack+182432,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+166880,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+247124,int_stack+166880,int_stack+196688,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+178220,int_stack+247124,int_stack+206516,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+266780,int_stack+178220,int_stack+223364,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+206300,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+219260,int_stack+206300,int_stack+166880,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+302420,int_stack+219260,int_stack+247124,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+206300,int_stack+302420,int_stack+178220,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+302420,int_stack+206300,int_stack+266780,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+166880,int_stack+24426,int_stack+21456,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+175790,int_stack+27936,int_stack+24426,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+186320,int_stack+175790,int_stack+166880,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+204140,int_stack+32031,int_stack+27936,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+216425,int_stack+204140,int_stack+175790,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+237485,int_stack+216425,int_stack+186320,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+166880,int_stack+36756,int_stack+32031,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+267185,int_stack+166880,int_stack+204140,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+181055,int_stack+267185,int_stack+216425,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+352316,int_stack+181055,int_stack+237485,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+216155,int_stack+42156,int_stack+36756,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+232355,int_stack+216155,int_stack+166880,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+232355,int_stack+267185,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+216155,int_stack+0,int_stack+181055,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+396866,int_stack+216155,int_stack+352316,45);
 /*--- compute (kp|nh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+459236,int_stack+396866,int_stack+302420,1386);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+51906,int_stack+48276,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+56196,int_stack+51906,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+166880,int_stack+61201,int_stack+56196,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+181895,int_stack+166880,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+207635,int_stack+181895,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+66976,int_stack+61201,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17325,int_stack+0,int_stack+166880,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+243935,int_stack+17325,int_stack+181895,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+286835,int_stack+243935,int_stack+207635,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+166880,int_stack+73576,int_stack+66976,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+186680,int_stack+166880,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+341285,int_stack+186680,int_stack+17325,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+341285,int_stack+243935,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+166880,int_stack+0,int_stack+286835,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+608924,int_stack+166880,int_stack+396866,1386);
 /*--- compute (kd|nh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+796034,int_stack+608924,int_stack+459236,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+85412,int_stack+81056,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+90560,int_stack+85412,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+96566,int_stack+90560,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+243110,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+273998,int_stack+243110,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+103496,int_stack+96566,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+317558,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+317558,int_stack+243110,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+353594,int_stack+20790,int_stack+273998,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+243110,int_stack+111416,int_stack+103496,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+266870,int_stack+243110,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+418934,int_stack+266870,int_stack+317558,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+243110,int_stack+418934,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+418934,int_stack+243110,int_stack+353594,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1095410,int_stack+418934,int_stack+166880,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1324100,int_stack+1095410,int_stack+608924,1386);
 /*--- compute (kf|nh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1698320,int_stack+1324100,int_stack+796034,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+166880,int_stack+125540,int_stack+120392,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+182324,int_stack+131624,int_stack+125540,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+200576,int_stack+182324,int_stack+166880,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+231464,int_stack+138722,int_stack+131624,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+252758,int_stack+231464,int_stack+182324,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+289262,int_stack+252758,int_stack+200576,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+166880,int_stack+146912,int_stack+138722,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+340742,int_stack+166880,int_stack+231464,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+191450,int_stack+340742,int_stack+252758,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+510410,int_stack+191450,int_stack+289262,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+252290,int_stack+156272,int_stack+146912,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+280370,int_stack+252290,int_stack+166880,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+587630,int_stack+280370,int_stack+340742,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+252290,int_stack+587630,int_stack+191450,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+587630,int_stack+252290,int_stack+510410,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+695738,int_stack+587630,int_stack+418934,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+695738,int_stack+1095410,1386);
 /*--- compute (lf|nh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+457380,int_stack+0,int_stack+1324100,1386);
 /*--- compute (kg|nh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2197280,int_stack+457380,int_stack+1698320,1386);
 return int_stack+2197280;}
