#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpmh(Libint_t*, prim_data*);

  /* Computes quartets of (kp|mh) integrals */

REALTYPE *hrr_order_kpmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[8][9] = int_stack + 18540;
 Libint->vrr_classes[8][10] = int_stack + 21015;
 Libint->vrr_classes[8][11] = int_stack + 23985;
 Libint->vrr_classes[8][12] = int_stack + 27495;
 Libint->vrr_classes[8][13] = int_stack + 31590;
 Libint->vrr_classes[8][14] = int_stack + 36315;
 memset(int_stack,0,41715*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 41715;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpmh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41715,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47655,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+54783,int_stack+47655,int_stack+41715,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+66663,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+75087,int_stack+66663,int_stack+47655,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+89343,int_stack+75087,int_stack+54783,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+41715,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+109143,int_stack+41715,int_stack+66663,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+125991,int_stack+109143,int_stack+75087,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+51543,int_stack+125991,int_stack+89343,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+81243,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+149751,int_stack+81243,int_stack+41715,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+169407,int_stack+149751,int_stack+109143,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+81243,int_stack+169407,int_stack+125991,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+116883,int_stack+81243,int_stack+51543,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41715,int_stack+21015,int_stack+18540,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+49140,int_stack+23985,int_stack+21015,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+58050,int_stack+49140,int_stack+41715,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72900,int_stack+27495,int_stack+23985,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+83430,int_stack+72900,int_stack+49140,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+158463,int_stack+83430,int_stack+58050,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+41715,int_stack+31590,int_stack+27495,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+41715,int_stack+72900,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+183213,int_stack+0,int_stack+83430,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+54000,int_stack+183213,int_stack+158463,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+158463,int_stack+36315,int_stack+31590,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+91125,int_stack+158463,int_stack+41715,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+212913,int_stack+91125,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+212913,int_stack+183213,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+158463,int_stack+0,int_stack+54000,45);
 /*--- compute (kp|mh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+210438,int_stack+158463,int_stack+116883,1155);
 return int_stack+210438;}
