#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpnm(Libint_t*, prim_data*);

  /* Computes quartets of (kp|nm) integrals */

REALTYPE *hrr_order_kpnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[7][19] = int_stack + 39960;
 Libint->vrr_classes[8][10] = int_stack + 47520;
 Libint->vrr_classes[8][11] = int_stack + 50490;
 Libint->vrr_classes[8][12] = int_stack + 54000;
 Libint->vrr_classes[8][13] = int_stack + 58095;
 Libint->vrr_classes[8][14] = int_stack + 62820;
 Libint->vrr_classes[8][15] = int_stack + 68220;
 Libint->vrr_classes[8][16] = int_stack + 74340;
 Libint->vrr_classes[8][17] = int_stack + 81225;
 Libint->vrr_classes[8][18] = int_stack + 88920;
 Libint->vrr_classes[8][19] = int_stack + 97470;
 memset(int_stack,0,106920*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 106920;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpnm(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+106920,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+114048,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+122472,int_stack+114048,int_stack+106920,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+136728,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+146556,int_stack+136728,int_stack+114048,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+163404,int_stack+146556,int_stack+122472,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+106920,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+187164,int_stack+106920,int_stack+136728,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+118260,int_stack+187164,int_stack+146556,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+206820,int_stack+118260,int_stack+163404,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+146340,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+159300,int_stack+146340,int_stack+106920,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+242460,int_stack+159300,int_stack+187164,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+275220,int_stack+242460,int_stack+118260,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+317340,int_stack+275220,int_stack+206820,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+106920,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+181980,int_stack+106920,int_stack+146340,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+367236,int_stack+181980,int_stack+159300,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+121608,int_stack+367236,int_stack+242460,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+207900,int_stack+121608,int_stack+275220,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+405036,int_stack+207900,int_stack+317340,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+266868,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+283392,int_stack+266868,int_stack+106920,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+312768,int_stack+283392,int_stack+181980,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+471564,int_stack+312768,int_stack+367236,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+528264,int_stack+471564,int_stack+121608,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+106920,int_stack+528264,int_stack+207900,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+597060,int_stack+106920,int_stack+405036,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+185544,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+204012,int_stack+185544,int_stack+266868,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+355968,int_stack+204012,int_stack+283392,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+237060,int_stack+355968,int_stack+312768,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+682596,int_stack+237060,int_stack+471564,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+404928,int_stack+682596,int_stack+528264,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+761976,int_stack+404928,int_stack+106920,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+863064,int_stack+761976,int_stack+597060,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+106920,int_stack+39960,int_stack+33120,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+127440,int_stack+106920,int_stack+185544,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+496656,int_stack+127440,int_stack+204012,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+106920,int_stack+496656,int_stack+355968,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+496656,int_stack+106920,int_stack+237060,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+106920,int_stack+496656,int_stack+682596,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+496656,int_stack+106920,int_stack+404928,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+106920,int_stack+496656,int_stack+761976,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+233280,int_stack+106920,int_stack+863064,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+106920,int_stack+50490,int_stack+47520,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+115830,int_stack+54000,int_stack+50490,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+126360,int_stack+115830,int_stack+106920,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+144180,int_stack+58095,int_stack+54000,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+156465,int_stack+144180,int_stack+115830,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+177525,int_stack+156465,int_stack+126360,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+106920,int_stack+62820,int_stack+58095,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+207225,int_stack+106920,int_stack+144180,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+121095,int_stack+207225,int_stack+156465,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+363960,int_stack+121095,int_stack+177525,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+156195,int_stack+68220,int_stack+62820,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+172395,int_stack+156195,int_stack+106920,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+408510,int_stack+172395,int_stack+207225,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+449460,int_stack+408510,int_stack+121095,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+502110,int_stack+449460,int_stack+363960,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+363960,int_stack+74340,int_stack+68220,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+106920,int_stack+363960,int_stack+156195,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+564480,int_stack+106920,int_stack+172395,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+139320,int_stack+564480,int_stack+408510,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+611730,int_stack+139320,int_stack+449460,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+382320,int_stack+611730,int_stack+502110,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+465480,int_stack+81225,int_stack+74340,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+486135,int_stack+465480,int_stack+363960,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+685440,int_stack+486135,int_stack+106920,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+739440,int_stack+685440,int_stack+564480,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+522855,int_stack+739440,int_stack+139320,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+106920,int_stack+522855,int_stack+611730,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+810315,int_stack+106920,int_stack+382320,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+205200,int_stack+88920,int_stack+81225,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+363960,int_stack+205200,int_stack+465480,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+405270,int_stack+363960,int_stack+486135,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+405270,int_stack+685440,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+608850,int_stack+0,int_stack+739440,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+917235,int_stack+608850,int_stack+522855,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+466470,int_stack+917235,int_stack+106920,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1031895,int_stack+466470,int_stack+810315,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+106920,int_stack+97470,int_stack+88920,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+132570,int_stack+106920,int_stack+205200,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+708075,int_stack+132570,int_stack+363960,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+776925,int_stack+708075,int_stack+405270,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+81000,int_stack+776925,int_stack+0,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+708075,int_stack+81000,int_stack+608850,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+708075,int_stack+917235,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+592830,int_stack+0,int_stack+466470,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+592830,int_stack+1031895,45);
 /*--- compute (kp|nm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+363960,int_stack+0,int_stack+233280,3630);
 return int_stack+363960;}
