#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpnn(Libint_t*, prim_data*);

  /* Computes quartets of (kp|nn) integrals */

REALTYPE *hrr_order_kpnn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[7][19] = int_stack + 39960;
 Libint->vrr_classes[7][20] = int_stack + 47520;
 Libint->vrr_classes[8][10] = int_stack + 55836;
 Libint->vrr_classes[8][11] = int_stack + 58806;
 Libint->vrr_classes[8][12] = int_stack + 62316;
 Libint->vrr_classes[8][13] = int_stack + 66411;
 Libint->vrr_classes[8][14] = int_stack + 71136;
 Libint->vrr_classes[8][15] = int_stack + 76536;
 Libint->vrr_classes[8][16] = int_stack + 82656;
 Libint->vrr_classes[8][17] = int_stack + 89541;
 Libint->vrr_classes[8][18] = int_stack + 97236;
 Libint->vrr_classes[8][19] = int_stack + 105786;
 Libint->vrr_classes[8][20] = int_stack + 115236;
 memset(int_stack,0,125631*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 125631;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpnn(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+125631,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+132759,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+141183,int_stack+132759,int_stack+125631,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+155439,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+165267,int_stack+155439,int_stack+132759,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+182115,int_stack+165267,int_stack+141183,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+125631,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+205875,int_stack+125631,int_stack+155439,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+136971,int_stack+205875,int_stack+165267,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+225531,int_stack+136971,int_stack+182115,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+165051,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+178011,int_stack+165051,int_stack+125631,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+261171,int_stack+178011,int_stack+205875,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+293931,int_stack+261171,int_stack+136971,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+336051,int_stack+293931,int_stack+225531,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+125631,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+200691,int_stack+125631,int_stack+165051,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+385947,int_stack+200691,int_stack+178011,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+140319,int_stack+385947,int_stack+261171,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+226611,int_stack+140319,int_stack+293931,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+423747,int_stack+226611,int_stack+336051,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+285579,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+302103,int_stack+285579,int_stack+125631,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+331479,int_stack+302103,int_stack+200691,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+490275,int_stack+331479,int_stack+385947,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+546975,int_stack+490275,int_stack+140319,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+125631,int_stack+546975,int_stack+226611,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+615771,int_stack+125631,int_stack+423747,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+204255,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+222723,int_stack+204255,int_stack+285579,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+374679,int_stack+222723,int_stack+302103,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+255771,int_stack+374679,int_stack+331479,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+701307,int_stack+255771,int_stack+490275,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+423639,int_stack+701307,int_stack+546975,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+780687,int_stack+423639,int_stack+125631,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+881775,int_stack+780687,int_stack+615771,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+125631,int_stack+39960,int_stack+33120,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+146151,int_stack+125631,int_stack+204255,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+515367,int_stack+146151,int_stack+222723,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+570447,int_stack+515367,int_stack+374679,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+320571,int_stack+570447,int_stack+255771,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+183087,int_stack+320571,int_stack+701307,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+643887,int_stack+183087,int_stack+423639,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+988695,int_stack+643887,int_stack+780687,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1115055,int_stack+988695,int_stack+881775,36);
 /*--- compute (k0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+288927,int_stack+47520,int_stack+39960,36);
 /*--- compute (k0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+411291,int_stack+288927,int_stack+125631,36);
 /*--- compute (k0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+452331,int_stack+411291,int_stack+146151,36);
 /*--- compute (k0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+761823,int_stack+452331,int_stack+515367,36);
 /*--- compute (k0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+411291,int_stack+761823,int_stack+570447,36);
 /*--- compute (k0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+761823,int_stack+411291,int_stack+320571,36);
 /*--- compute (k0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+288927,int_stack+761823,int_stack+183087,36);
 /*--- compute (k0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+761823,int_stack+288927,int_stack+643887,36);
 /*--- compute (k0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+125631,int_stack+761823,int_stack+988695,36);
 /*--- compute (k0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+280071,int_stack+125631,int_stack+1115055,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+125631,int_stack+58806,int_stack+55836,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+134541,int_stack+62316,int_stack+58806,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+145071,int_stack+134541,int_stack+125631,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+162891,int_stack+66411,int_stack+62316,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+175176,int_stack+162891,int_stack+134541,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+196236,int_stack+175176,int_stack+145071,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+125631,int_stack+71136,int_stack+66411,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+225936,int_stack+125631,int_stack+162891,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+139806,int_stack+225936,int_stack+175176,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+436887,int_stack+139806,int_stack+196236,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+174906,int_stack+76536,int_stack+71136,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+191106,int_stack+174906,int_stack+125631,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+481437,int_stack+191106,int_stack+225936,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+219456,int_stack+481437,int_stack+139806,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+522387,int_stack+219456,int_stack+436887,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+436887,int_stack+82656,int_stack+76536,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+125631,int_stack+436887,int_stack+174906,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+584757,int_stack+125631,int_stack+191106,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+158031,int_stack+584757,int_stack+481437,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+632007,int_stack+158031,int_stack+219456,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+705717,int_stack+632007,int_stack+522387,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+219456,int_stack+89541,int_stack+82656,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+240111,int_stack+219456,int_stack+436887,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+436887,int_stack+240111,int_stack+125631,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+490887,int_stack+436887,int_stack+584757,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+788877,int_stack+490887,int_stack+158031,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+874872,int_stack+788877,int_stack+632007,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+561762,int_stack+874872,int_stack+705717,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+125631,int_stack+97236,int_stack+89541,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+148716,int_stack+125631,int_stack+219456,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+668682,int_stack+148716,int_stack+240111,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+190026,int_stack+668682,int_stack+436887,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+973152,int_stack+190026,int_stack+490887,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+436887,int_stack+973152,int_stack+788877,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+729882,int_stack+436887,int_stack+874872,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1072377,int_stack+729882,int_stack+561762,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+551547,int_stack+105786,int_stack+97236,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+577197,int_stack+551547,int_stack+125631,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+856242,int_stack+577197,int_stack+148716,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+856242,int_stack+668682,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1206027,int_stack+0,int_stack+190026,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+125631,int_stack+1206027,int_stack+973152,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1319427,int_stack+125631,int_stack+436887,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1466847,int_stack+1319427,int_stack+729882,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+623367,int_stack+1466847,int_stack+1072377,45);
 /*--- compute (l0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+436887,int_stack+115236,int_stack+105786,45);
 /*--- compute (l0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+465237,int_stack+436887,int_stack+551547,45);
 /*--- compute (l0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+925092,int_stack+465237,int_stack+577197,45);
 /*--- compute (l0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+436887,int_stack+925092,int_stack+856242,45);
 /*--- compute (l0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+786717,int_stack+436887,int_stack+0,45);
 /*--- compute (l0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+436887,int_stack+786717,int_stack+1206027,45);
 /*--- compute (l0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+786717,int_stack+436887,int_stack+125631,45);
 /*--- compute (l0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+436887,int_stack+786717,int_stack+1319427,45);
 /*--- compute (l0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+786717,int_stack+436887,int_stack+1466847,45);
 /*--- compute (l0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+979767,int_stack+786717,int_stack+623367,45);
 /*--- compute (kp|nn) ---*/
 hrr1_build_kp(Libint->AB,int_stack+436887,int_stack+979767,int_stack+280071,4356);
 return int_stack+436887;}
