#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ldnh(Libint_t*, prim_data*);

  /* Computes quartets of (ld|nh) integrals */

REALTYPE *hrr_order_ldnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[9][10] = int_stack + 26820;
 Libint->vrr_classes[9][11] = int_stack + 30450;
 Libint->vrr_classes[9][12] = int_stack + 34740;
 Libint->vrr_classes[9][13] = int_stack + 39745;
 Libint->vrr_classes[9][14] = int_stack + 45520;
 Libint->vrr_classes[9][15] = int_stack + 52120;
 Libint->vrr_classes[10][10] = int_stack + 59600;
 Libint->vrr_classes[10][11] = int_stack + 63956;
 Libint->vrr_classes[10][12] = int_stack + 69104;
 Libint->vrr_classes[10][13] = int_stack + 75110;
 Libint->vrr_classes[10][14] = int_stack + 82040;
 Libint->vrr_classes[10][15] = int_stack + 89960;
 memset(int_stack,0,98936*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 98936;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ldnh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+98936,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+107846,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+118376,int_stack+107846,int_stack+98936,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+136196,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+148481,int_stack+136196,int_stack+107846,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+169541,int_stack+148481,int_stack+118376,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+98936,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+199241,int_stack+98936,int_stack+136196,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+113111,int_stack+199241,int_stack+148481,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+223811,int_stack+113111,int_stack+169541,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+148211,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+164411,int_stack+148211,int_stack+98936,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+268361,int_stack+164411,int_stack+199241,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+148211,int_stack+268361,int_stack+113111,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+268361,int_stack+148211,int_stack+223811,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+98936,int_stack+30450,int_stack+26820,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+109826,int_stack+34740,int_stack+30450,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+122696,int_stack+109826,int_stack+98936,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+144476,int_stack+39745,int_stack+34740,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+159491,int_stack+144476,int_stack+109826,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+185231,int_stack+159491,int_stack+122696,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+98936,int_stack+45520,int_stack+39745,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+221531,int_stack+98936,int_stack+144476,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+116261,int_stack+221531,int_stack+159491,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+330731,int_stack+116261,int_stack+185231,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+159161,int_stack+52120,int_stack+45520,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+178961,int_stack+159161,int_stack+98936,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+178961,int_stack+221531,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+159161,int_stack+0,int_stack+116261,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+385181,int_stack+159161,int_stack+330731,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+461411,int_stack+385181,int_stack+268361,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+63956,int_stack+59600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+69104,int_stack+63956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+98936,int_stack+75110,int_stack+69104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+116954,int_stack+98936,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+147842,int_stack+116954,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+82040,int_stack+75110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20790,int_stack+0,int_stack+98936,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+191402,int_stack+20790,int_stack+116954,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+242882,int_stack+191402,int_stack+147842,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+98936,int_stack+89960,int_stack+82040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+122696,int_stack+98936,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+56826,int_stack+122696,int_stack+20790,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+648521,int_stack+56826,int_stack+191402,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+648521,int_stack+242882,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+91476,int_stack+0,int_stack+385181,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+648521,int_stack+91476,int_stack+461411,1386);
 return int_stack+648521;}
