#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfkh(Libint_t*, prim_data*);

  /* Computes quartets of (lf|kh) integrals */

REALTYPE *hrr_order_lfkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][7] = int_stack + 0;
 Libint->vrr_classes[8][8] = int_stack + 1620;
 Libint->vrr_classes[8][9] = int_stack + 3645;
 Libint->vrr_classes[8][10] = int_stack + 6120;
 Libint->vrr_classes[8][11] = int_stack + 9090;
 Libint->vrr_classes[8][12] = int_stack + 12600;
 Libint->vrr_classes[9][7] = int_stack + 16695;
 Libint->vrr_classes[9][8] = int_stack + 18675;
 Libint->vrr_classes[9][9] = int_stack + 21150;
 Libint->vrr_classes[9][10] = int_stack + 24175;
 Libint->vrr_classes[9][11] = int_stack + 27805;
 Libint->vrr_classes[9][12] = int_stack + 32095;
 Libint->vrr_classes[10][7] = int_stack + 37100;
 Libint->vrr_classes[10][8] = int_stack + 39476;
 Libint->vrr_classes[10][9] = int_stack + 42446;
 Libint->vrr_classes[10][10] = int_stack + 46076;
 Libint->vrr_classes[10][11] = int_stack + 50432;
 Libint->vrr_classes[10][12] = int_stack + 55580;
 Libint->vrr_classes[11][7] = int_stack + 61586;
 Libint->vrr_classes[11][8] = int_stack + 64394;
 Libint->vrr_classes[11][9] = int_stack + 67904;
 Libint->vrr_classes[11][10] = int_stack + 72194;
 Libint->vrr_classes[11][11] = int_stack + 77342;
 Libint->vrr_classes[11][12] = int_stack + 83426;
 memset(int_stack,0,90524*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 90524;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfkh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+90524,int_stack+1620,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+95384,int_stack+3645,int_stack+1620,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+101459,int_stack+95384,int_stack+90524,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+111179,int_stack+6120,int_stack+3645,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+118604,int_stack+111179,int_stack+95384,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+130754,int_stack+118604,int_stack+101459,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+90524,int_stack+9090,int_stack+6120,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+146954,int_stack+90524,int_stack+111179,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+161804,int_stack+146954,int_stack+118604,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+99434,int_stack+161804,int_stack+130754,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+123734,int_stack+12600,int_stack+9090,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+182054,int_stack+123734,int_stack+90524,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+199874,int_stack+182054,int_stack+146954,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+123734,int_stack+199874,int_stack+161804,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+154109,int_stack+123734,int_stack+99434,45);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+90524,int_stack+18675,int_stack+16695,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+96464,int_stack+21150,int_stack+18675,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+103889,int_stack+96464,int_stack+90524,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+115769,int_stack+24175,int_stack+21150,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+124844,int_stack+115769,int_stack+96464,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+188129,int_stack+124844,int_stack+103889,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+90524,int_stack+27805,int_stack+24175,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+90524,int_stack+115769,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+207929,int_stack+0,int_stack+124844,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+101414,int_stack+207929,int_stack+188129,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+188129,int_stack+32095,int_stack+27805,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+131114,int_stack+188129,int_stack+90524,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+232679,int_stack+131114,int_stack+0,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+262929,int_stack+232679,int_stack+207929,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+188129,int_stack+262929,int_stack+101414,55);
 /*--- compute (lp|kh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+229709,int_stack+188129,int_stack+154109,756);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+39476,int_stack+37100,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7128,int_stack+42446,int_stack+39476,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+16038,int_stack+7128,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30294,int_stack+46076,int_stack+42446,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+90524,int_stack+30294,int_stack+7128,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+108344,int_stack+90524,int_stack+16038,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+50432,int_stack+46076,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+132104,int_stack+0,int_stack+30294,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+13068,int_stack+132104,int_stack+90524,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+331769,int_stack+13068,int_stack+108344,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+90524,int_stack+55580,int_stack+50432,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+105968,int_stack+90524,int_stack+0,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+367409,int_stack+105968,int_stack+132104,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+90524,int_stack+367409,int_stack+13068,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+90524,int_stack+331769,66);
 /*--- compute (mp|kh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+331769,int_stack+0,int_stack+188129,756);
 /*--- compute (ld|kh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+456509,int_stack+331769,int_stack+229709,756);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+90524,int_stack+64394,int_stack+61586,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+98948,int_stack+67904,int_stack+64394,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+109478,int_stack+98948,int_stack+90524,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+126326,int_stack+72194,int_stack+67904,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+139196,int_stack+126326,int_stack+98948,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+160256,int_stack+139196,int_stack+109478,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+90524,int_stack+77342,int_stack+72194,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+188336,int_stack+90524,int_stack+126326,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+214076,int_stack+188336,int_stack+139196,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+105968,int_stack+214076,int_stack+160256,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+148088,int_stack+83426,int_stack+77342,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+249176,int_stack+148088,int_stack+90524,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+280064,int_stack+249176,int_stack+188336,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+148088,int_stack+280064,int_stack+214076,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+200738,int_stack+148088,int_stack+105968,78);
 /*--- compute (np|kh) ---*/
 hrr1_build_np(Libint->AB,int_stack+49896,int_stack+200738,int_stack+0,756);
 /*--- compute (md|kh) ---*/
 hrr1_build_md(Libint->AB,int_stack+660629,int_stack+49896,int_stack+331769,756);
 /*--- compute (lf|kh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+660629,int_stack+456509,756);
 return int_stack+0;}
