#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfnh(Libint_t*, prim_data*);

  /* Computes quartets of (lf|nh) integrals */

REALTYPE *hrr_order_lfnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[9][10] = int_stack + 26820;
 Libint->vrr_classes[9][11] = int_stack + 30450;
 Libint->vrr_classes[9][12] = int_stack + 34740;
 Libint->vrr_classes[9][13] = int_stack + 39745;
 Libint->vrr_classes[9][14] = int_stack + 45520;
 Libint->vrr_classes[9][15] = int_stack + 52120;
 Libint->vrr_classes[10][10] = int_stack + 59600;
 Libint->vrr_classes[10][11] = int_stack + 63956;
 Libint->vrr_classes[10][12] = int_stack + 69104;
 Libint->vrr_classes[10][13] = int_stack + 75110;
 Libint->vrr_classes[10][14] = int_stack + 82040;
 Libint->vrr_classes[10][15] = int_stack + 89960;
 Libint->vrr_classes[11][10] = int_stack + 98936;
 Libint->vrr_classes[11][11] = int_stack + 104084;
 Libint->vrr_classes[11][12] = int_stack + 110168;
 Libint->vrr_classes[11][13] = int_stack + 117266;
 Libint->vrr_classes[11][14] = int_stack + 125456;
 Libint->vrr_classes[11][15] = int_stack + 134816;
 memset(int_stack,0,145424*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 145424;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfnh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+145424,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+154334,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+164864,int_stack+154334,int_stack+145424,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+182684,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+194969,int_stack+182684,int_stack+154334,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+216029,int_stack+194969,int_stack+164864,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+145424,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+245729,int_stack+145424,int_stack+182684,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+159599,int_stack+245729,int_stack+194969,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+270299,int_stack+159599,int_stack+216029,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+194699,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+210899,int_stack+194699,int_stack+145424,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+314849,int_stack+210899,int_stack+245729,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+194699,int_stack+314849,int_stack+159599,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+314849,int_stack+194699,int_stack+270299,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+145424,int_stack+30450,int_stack+26820,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+156314,int_stack+34740,int_stack+30450,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+169184,int_stack+156314,int_stack+145424,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+190964,int_stack+39745,int_stack+34740,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+205979,int_stack+190964,int_stack+156314,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+231719,int_stack+205979,int_stack+169184,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+145424,int_stack+45520,int_stack+39745,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+268019,int_stack+145424,int_stack+190964,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+162749,int_stack+268019,int_stack+205979,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+377219,int_stack+162749,int_stack+231719,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+205649,int_stack+52120,int_stack+45520,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+225449,int_stack+205649,int_stack+145424,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+225449,int_stack+268019,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+205649,int_stack+0,int_stack+162749,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+431669,int_stack+205649,int_stack+377219,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+507899,int_stack+431669,int_stack+314849,1386);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+63956,int_stack+59600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+69104,int_stack+63956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+145424,int_stack+75110,int_stack+69104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+163442,int_stack+145424,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+194330,int_stack+163442,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+82040,int_stack+75110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20790,int_stack+0,int_stack+145424,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+237890,int_stack+20790,int_stack+163442,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+289370,int_stack+237890,int_stack+194330,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+145424,int_stack+89960,int_stack+82040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+169184,int_stack+145424,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+354710,int_stack+169184,int_stack+20790,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+354710,int_stack+237890,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+145424,int_stack+0,int_stack+289370,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+695009,int_stack+145424,int_stack+431669,1386);
 /*--- compute (ld|nh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+923699,int_stack+695009,int_stack+507899,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+104084,int_stack+98936,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+110168,int_stack+104084,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+117266,int_stack+110168,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+236900,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+273404,int_stack+236900,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+125456,int_stack+117266,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+324884,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+324884,int_stack+236900,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+367472,int_stack+24570,int_stack+273404,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+236900,int_stack+134816,int_stack+125456,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+264980,int_stack+236900,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+444692,int_stack+264980,int_stack+324884,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+236900,int_stack+444692,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+444692,int_stack+236900,int_stack+367472,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+1297919,int_stack+444692,int_stack+145424,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+1297919,int_stack+695009,1386);
 /*--- compute (lf|nh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1297919,int_stack+0,int_stack+923699,1386);
 return int_stack+1297919;}
