#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lhlh(Libint_t*, prim_data*);

  /* Computes quartets of (lh|lh) integrals */

REALTYPE *hrr_order_lhlh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 Libint->vrr_classes[8][12] = int_stack + 10980;
 Libint->vrr_classes[8][13] = int_stack + 15075;
 Libint->vrr_classes[9][8] = int_stack + 19800;
 Libint->vrr_classes[9][9] = int_stack + 22275;
 Libint->vrr_classes[9][10] = int_stack + 25300;
 Libint->vrr_classes[9][11] = int_stack + 28930;
 Libint->vrr_classes[9][12] = int_stack + 33220;
 Libint->vrr_classes[9][13] = int_stack + 38225;
 Libint->vrr_classes[10][8] = int_stack + 44000;
 Libint->vrr_classes[10][9] = int_stack + 46970;
 Libint->vrr_classes[10][10] = int_stack + 50600;
 Libint->vrr_classes[10][11] = int_stack + 54956;
 Libint->vrr_classes[10][12] = int_stack + 60104;
 Libint->vrr_classes[10][13] = int_stack + 66110;
 Libint->vrr_classes[11][8] = int_stack + 73040;
 Libint->vrr_classes[11][9] = int_stack + 76550;
 Libint->vrr_classes[11][10] = int_stack + 80840;
 Libint->vrr_classes[11][11] = int_stack + 85988;
 Libint->vrr_classes[11][12] = int_stack + 92072;
 Libint->vrr_classes[11][13] = int_stack + 99170;
 Libint->vrr_classes[12][8] = int_stack + 107360;
 Libint->vrr_classes[12][9] = int_stack + 111455;
 Libint->vrr_classes[12][10] = int_stack + 116460;
 Libint->vrr_classes[12][11] = int_stack + 122466;
 Libint->vrr_classes[12][12] = int_stack + 129564;
 Libint->vrr_classes[12][13] = int_stack + 137845;
 Libint->vrr_classes[13][8] = int_stack + 147400;
 Libint->vrr_classes[13][9] = int_stack + 152125;
 Libint->vrr_classes[13][10] = int_stack + 157900;
 Libint->vrr_classes[13][11] = int_stack + 164830;
 Libint->vrr_classes[13][12] = int_stack + 173020;
 Libint->vrr_classes[13][13] = int_stack + 182575;
 memset(int_stack,0,193600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 193600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lhlh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+193600,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+199675,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+207100,int_stack+199675,int_stack+193600,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+219250,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+228160,int_stack+219250,int_stack+199675,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+243010,int_stack+228160,int_stack+207100,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+193600,int_stack+10980,int_stack+7470,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+263260,int_stack+193600,int_stack+219250,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+281080,int_stack+263260,int_stack+228160,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+204130,int_stack+281080,int_stack+243010,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+234505,int_stack+15075,int_stack+10980,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+305830,int_stack+234505,int_stack+193600,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+326890,int_stack+305830,int_stack+263260,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+234505,int_stack+326890,int_stack+281080,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+271630,int_stack+234505,int_stack+204130,45);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+193600,int_stack+22275,int_stack+19800,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201025,int_stack+25300,int_stack+22275,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+210100,int_stack+201025,int_stack+193600,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+224950,int_stack+28930,int_stack+25300,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+235840,int_stack+224950,int_stack+201025,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+314155,int_stack+235840,int_stack+210100,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+193600,int_stack+33220,int_stack+28930,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+193600,int_stack+224950,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+338905,int_stack+0,int_stack+235840,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+206470,int_stack+338905,int_stack+314155,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+314155,int_stack+38225,int_stack+33220,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+243595,int_stack+314155,int_stack+193600,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+369155,int_stack+243595,int_stack+0,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+405455,int_stack+369155,int_stack+338905,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+314155,int_stack+405455,int_stack+206470,55);
 /*--- compute (lp|lh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+366130,int_stack+314155,int_stack+271630,945);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+46970,int_stack+44000,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8910,int_stack+50600,int_stack+46970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19800,int_stack+8910,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+193600,int_stack+54956,int_stack+50600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+206668,int_stack+193600,int_stack+8910,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+228448,int_stack+206668,int_stack+19800,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+60104,int_stack+54956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15444,int_stack+0,int_stack+193600,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+258148,int_stack+15444,int_stack+206668,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+493705,int_stack+258148,int_stack+228448,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+193600,int_stack+66110,int_stack+60104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+211618,int_stack+193600,int_stack+0,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+538255,int_stack+211618,int_stack+15444,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+538255,int_stack+258148,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+193600,int_stack+0,int_stack+493705,66);
 /*--- compute (mp|lh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+493705,int_stack+193600,int_stack+314155,945);
 /*--- compute (ld|lh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+649630,int_stack+493705,int_stack+366130,945);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+76550,int_stack+73040,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10530,int_stack+80840,int_stack+76550,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23400,int_stack+10530,int_stack+0,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44460,int_stack+85988,int_stack+80840,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59904,int_stack+44460,int_stack+10530,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+255970,int_stack+59904,int_stack+23400,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+92072,int_stack+85988,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+291070,int_stack+0,int_stack+44460,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+321958,int_stack+291070,int_stack+59904,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+18252,int_stack+321958,int_stack+255970,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+255970,int_stack+99170,int_stack+92072,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+364858,int_stack+255970,int_stack+0,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+401362,int_stack+364858,int_stack+291070,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+255970,int_stack+401362,int_stack+321958,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+320320,int_stack+255970,int_stack+18252,78);
 /*--- compute (np|lh) ---*/
 hrr1_build_np(Libint->AB,int_stack+904780,int_stack+320320,int_stack+193600,945);
 /*--- compute (md|lh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1091890,int_stack+904780,int_stack+493705,945);
 /*--- compute (lf|lh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1403740,int_stack+1091890,int_stack+649630,945);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+193600,int_stack+111455,int_stack+107360,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+205885,int_stack+116460,int_stack+111455,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+220900,int_stack+205885,int_stack+193600,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+245470,int_stack+122466,int_stack+116460,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+263488,int_stack+245470,int_stack+205885,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+263488,int_stack+220900,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+193600,int_stack+129564,int_stack+122466,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40950,int_stack+193600,int_stack+245470,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+76986,int_stack+40950,int_stack+263488,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+214894,int_stack+76986,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+137845,int_stack+129564,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+276319,int_stack+0,int_stack+193600,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+394030,int_stack+276319,int_stack+40950,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+394030,int_stack+76986,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+394030,int_stack+0,int_stack+214894,91);
 /*--- compute (op|lh) ---*/
 hrr1_build_op(Libint->AB,int_stack+480025,int_stack+394030,int_stack+320320,945);
 /*--- compute (nd|lh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1828990,int_stack+480025,int_stack+904780,945);
 /*--- compute (mf|lh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2203210,int_stack+1828990,int_stack+1091890,945);
 /*--- compute (lg|lh) ---*/
 hrr1_build_lg(Libint->AB,int_stack+701155,int_stack+2203210,int_stack+1403740,945);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+152125,int_stack+147400,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14175,int_stack+157900,int_stack+152125,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+31500,int_stack+14175,int_stack+0,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59850,int_stack+164830,int_stack+157900,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80640,int_stack+59850,int_stack+14175,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+115290,int_stack+80640,int_stack+31500,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+173020,int_stack+164830,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1339030,int_stack+0,int_stack+59850,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1380610,int_stack+1339030,int_stack+80640,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+24570,int_stack+1380610,int_stack+115290,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+95445,int_stack+182575,int_stack+173020,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+124110,int_stack+95445,int_stack+0,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+173250,int_stack+124110,int_stack+1339030,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+242550,int_stack+173250,int_stack+1380610,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1339030,int_stack+242550,int_stack+24570,105);
 /*--- compute (qp|lh) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1438255,int_stack+1339030,int_stack+394030,945);
 /*--- compute (od|lh) ---*/
 hrr1_build_od(Libint->AB,int_stack+0,int_stack+1438255,int_stack+480025,945);
 /*--- compute (nf|lh) ---*/
 hrr1_build_nf(Libint->AB,int_stack+2722960,int_stack+0,int_stack+1828990,945);
 /*--- compute (mg|lh) ---*/
 hrr1_build_mg(Libint->AB,int_stack+1339030,int_stack+2722960,int_stack+2203210,945);
 /*--- compute (lh|lh) ---*/
 hrr1_build_lh(Libint->AB,int_stack+2118655,int_stack+1339030,int_stack+701155,945);
 return int_stack+2118655;}
