#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lknm(Libint_t*, prim_data*);

  /* Computes quartets of (lk|nm) integrals */

REALTYPE *hrr_order_lknm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[8][17] = int_stack + 33705;
 Libint->vrr_classes[8][18] = int_stack + 41400;
 Libint->vrr_classes[8][19] = int_stack + 49950;
 Libint->vrr_classes[9][10] = int_stack + 59400;
 Libint->vrr_classes[9][11] = int_stack + 63030;
 Libint->vrr_classes[9][12] = int_stack + 67320;
 Libint->vrr_classes[9][13] = int_stack + 72325;
 Libint->vrr_classes[9][14] = int_stack + 78100;
 Libint->vrr_classes[9][15] = int_stack + 84700;
 Libint->vrr_classes[9][16] = int_stack + 92180;
 Libint->vrr_classes[9][17] = int_stack + 100595;
 Libint->vrr_classes[9][18] = int_stack + 110000;
 Libint->vrr_classes[9][19] = int_stack + 120450;
 Libint->vrr_classes[10][10] = int_stack + 132000;
 Libint->vrr_classes[10][11] = int_stack + 136356;
 Libint->vrr_classes[10][12] = int_stack + 141504;
 Libint->vrr_classes[10][13] = int_stack + 147510;
 Libint->vrr_classes[10][14] = int_stack + 154440;
 Libint->vrr_classes[10][15] = int_stack + 162360;
 Libint->vrr_classes[10][16] = int_stack + 171336;
 Libint->vrr_classes[10][17] = int_stack + 181434;
 Libint->vrr_classes[10][18] = int_stack + 192720;
 Libint->vrr_classes[10][19] = int_stack + 205260;
 Libint->vrr_classes[11][10] = int_stack + 219120;
 Libint->vrr_classes[11][11] = int_stack + 224268;
 Libint->vrr_classes[11][12] = int_stack + 230352;
 Libint->vrr_classes[11][13] = int_stack + 237450;
 Libint->vrr_classes[11][14] = int_stack + 245640;
 Libint->vrr_classes[11][15] = int_stack + 255000;
 Libint->vrr_classes[11][16] = int_stack + 265608;
 Libint->vrr_classes[11][17] = int_stack + 277542;
 Libint->vrr_classes[11][18] = int_stack + 290880;
 Libint->vrr_classes[11][19] = int_stack + 305700;
 Libint->vrr_classes[12][10] = int_stack + 322080;
 Libint->vrr_classes[12][11] = int_stack + 328086;
 Libint->vrr_classes[12][12] = int_stack + 335184;
 Libint->vrr_classes[12][13] = int_stack + 343465;
 Libint->vrr_classes[12][14] = int_stack + 353020;
 Libint->vrr_classes[12][15] = int_stack + 363940;
 Libint->vrr_classes[12][16] = int_stack + 376316;
 Libint->vrr_classes[12][17] = int_stack + 390239;
 Libint->vrr_classes[12][18] = int_stack + 405800;
 Libint->vrr_classes[12][19] = int_stack + 423090;
 Libint->vrr_classes[13][10] = int_stack + 442200;
 Libint->vrr_classes[13][11] = int_stack + 449130;
 Libint->vrr_classes[13][12] = int_stack + 457320;
 Libint->vrr_classes[13][13] = int_stack + 466875;
 Libint->vrr_classes[13][14] = int_stack + 477900;
 Libint->vrr_classes[13][15] = int_stack + 490500;
 Libint->vrr_classes[13][16] = int_stack + 504780;
 Libint->vrr_classes[13][17] = int_stack + 520845;
 Libint->vrr_classes[13][18] = int_stack + 538800;
 Libint->vrr_classes[13][19] = int_stack + 558750;
 Libint->vrr_classes[14][10] = int_stack + 580800;
 Libint->vrr_classes[14][11] = int_stack + 588720;
 Libint->vrr_classes[14][12] = int_stack + 598080;
 Libint->vrr_classes[14][13] = int_stack + 609000;
 Libint->vrr_classes[14][14] = int_stack + 621600;
 Libint->vrr_classes[14][15] = int_stack + 636000;
 Libint->vrr_classes[14][16] = int_stack + 652320;
 Libint->vrr_classes[14][17] = int_stack + 670680;
 Libint->vrr_classes[14][18] = int_stack + 691200;
 Libint->vrr_classes[14][19] = int_stack + 714000;
 Libint->vrr_classes[15][10] = int_stack + 739200;
 Libint->vrr_classes[15][11] = int_stack + 748176;
 Libint->vrr_classes[15][12] = int_stack + 758784;
 Libint->vrr_classes[15][13] = int_stack + 771160;
 Libint->vrr_classes[15][14] = int_stack + 785440;
 Libint->vrr_classes[15][15] = int_stack + 801760;
 Libint->vrr_classes[15][16] = int_stack + 820256;
 Libint->vrr_classes[15][17] = int_stack + 841064;
 Libint->vrr_classes[15][18] = int_stack + 864320;
 Libint->vrr_classes[15][19] = int_stack + 890160;
 memset(int_stack,0,918720*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 918720;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lknm(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+918720,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+927630,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+938160,int_stack+927630,int_stack+918720,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+955980,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+968265,int_stack+955980,int_stack+927630,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+989325,int_stack+968265,int_stack+938160,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+918720,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1019025,int_stack+918720,int_stack+955980,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+932895,int_stack+1019025,int_stack+968265,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1043595,int_stack+932895,int_stack+989325,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+967995,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+984195,int_stack+967995,int_stack+918720,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1088145,int_stack+984195,int_stack+1019025,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1129095,int_stack+1088145,int_stack+932895,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1181745,int_stack+1129095,int_stack+1043595,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+918720,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1012545,int_stack+918720,int_stack+967995,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1244115,int_stack+1012545,int_stack+984195,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+937080,int_stack+1244115,int_stack+1088145,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1044945,int_stack+937080,int_stack+1129095,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1291365,int_stack+1044945,int_stack+1181745,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1118655,int_stack+33705,int_stack+26820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1139310,int_stack+1118655,int_stack+918720,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1176030,int_stack+1139310,int_stack+1012545,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1374525,int_stack+1176030,int_stack+1244115,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1445400,int_stack+1374525,int_stack+937080,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+918720,int_stack+1445400,int_stack+1044945,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1531395,int_stack+918720,int_stack+1291365,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1017000,int_stack+41400,int_stack+33705,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1040085,int_stack+1017000,int_stack+1118655,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1230030,int_stack+1040085,int_stack+1139310,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1081395,int_stack+1230030,int_stack+1176030,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1638315,int_stack+1081395,int_stack+1374525,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1291230,int_stack+1638315,int_stack+1445400,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1737540,int_stack+1291230,int_stack+918720,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1863900,int_stack+1737540,int_stack+1531395,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+918720,int_stack+49950,int_stack+41400,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+944370,int_stack+918720,int_stack+1017000,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1405890,int_stack+944370,int_stack+1040085,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+918720,int_stack+1405890,int_stack+1230030,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1405890,int_stack+918720,int_stack+1081395,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+918720,int_stack+1405890,int_stack+1638315,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1405890,int_stack+918720,int_stack+1291230,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+918720,int_stack+1405890,int_stack+1737540,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1076670,int_stack+918720,int_stack+1863900,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+918720,int_stack+63030,int_stack+59400,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+929610,int_stack+67320,int_stack+63030,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+942480,int_stack+929610,int_stack+918720,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+964260,int_stack+72325,int_stack+67320,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+979275,int_stack+964260,int_stack+929610,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1005015,int_stack+979275,int_stack+942480,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+918720,int_stack+78100,int_stack+72325,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1041315,int_stack+918720,int_stack+964260,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+936045,int_stack+1041315,int_stack+979275,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1240020,int_stack+936045,int_stack+1005015,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+978945,int_stack+84700,int_stack+78100,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+998745,int_stack+978945,int_stack+918720,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1294470,int_stack+998745,int_stack+1041315,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1344520,int_stack+1294470,int_stack+936045,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1408870,int_stack+1344520,int_stack+1240020,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1240020,int_stack+92180,int_stack+84700,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+918720,int_stack+1240020,int_stack+978945,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1485100,int_stack+918720,int_stack+998745,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+958320,int_stack+1485100,int_stack+1294470,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1542850,int_stack+958320,int_stack+1344520,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1262460,int_stack+1542850,int_stack+1408870,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1364100,int_stack+100595,int_stack+92180,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1389345,int_stack+1364100,int_stack+1240020,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1632940,int_stack+1389345,int_stack+918720,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1698940,int_stack+1632940,int_stack+1485100,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1434225,int_stack+1698940,int_stack+958320,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+918720,int_stack+1434225,int_stack+1542850,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1785565,int_stack+918720,int_stack+1262460,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1038840,int_stack+110000,int_stack+100595,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1240020,int_stack+1038840,int_stack+1364100,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1290510,int_stack+1240020,int_stack+1389345,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+1290510,int_stack+1632940,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1539330,int_stack+0,int_stack+1698940,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1916245,int_stack+1539330,int_stack+1434225,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1365310,int_stack+1916245,int_stack+918720,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2056385,int_stack+1365310,int_stack+1785565,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+918720,int_stack+120450,int_stack+110000,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+950070,int_stack+918720,int_stack+1038840,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1660605,int_stack+950070,int_stack+1240020,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+918720,int_stack+1660605,int_stack+1290510,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1660605,int_stack+918720,int_stack+0,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2219735,int_stack+1660605,int_stack+1539330,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1519750,int_stack+2219735,int_stack+1916245,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1699930,int_stack+1519750,int_stack+1365310,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1240020,int_stack+1699930,int_stack+2056385,55);
 /*--- compute (lp|nm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1439670,int_stack+1240020,int_stack+1076670,3630);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+136356,int_stack+132000,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+141504,int_stack+136356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+147510,int_stack+141504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+72666,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+103554,int_stack+72666,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+154440,int_stack+147510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+918720,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+918720,int_stack+72666,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+954756,int_stack+20790,int_stack+103554,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+72270,int_stack+162360,int_stack+154440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+96030,int_stack+72270,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1020096,int_stack+96030,int_stack+918720,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1080156,int_stack+1020096,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1929720,int_stack+1080156,int_stack+954756,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+918720,int_stack+171336,int_stack+162360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+945648,int_stack+918720,int_stack+72270,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+945648,int_stack+96030,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+69300,int_stack+0,int_stack+1020096,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2021196,int_stack+69300,int_stack+1080156,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+993168,int_stack+2021196,int_stack+1929720,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1929720,int_stack+181434,int_stack+171336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1960014,int_stack+1929720,int_stack+918720,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1115136,int_stack+1960014,int_stack+945648,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2129304,int_stack+1115136,int_stack+0,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2233254,int_stack+2129304,int_stack+69300,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+2233254,int_stack+2021196,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2359380,int_stack+0,int_stack+993168,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+144144,int_stack+192720,int_stack+181434,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+918720,int_stack+144144,int_stack+1929720,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+979308,int_stack+918720,int_stack+1960014,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1929720,int_stack+979308,int_stack+1115136,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1069068,int_stack+1929720,int_stack+2129304,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2048520,int_stack+1069068,int_stack+2233254,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2516196,int_stack+2048520,int_stack+0,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2701524,int_stack+2516196,int_stack+2359380,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+205260,int_stack+192720,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+37620,int_stack+0,int_stack+144144,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+105336,int_stack+37620,int_stack+918720,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2216688,int_stack+105336,int_stack+979308,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+2216688,int_stack+1929720,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2216688,int_stack+0,int_stack+1069068,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+2216688,int_stack+2048520,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1929720,int_stack+0,int_stack+2516196,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2161380,int_stack+1929720,int_stack+2701524,66);
 /*--- compute (mp|nm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+2400960,int_stack+2161380,int_stack+1240020,3630);
 /*--- compute (ld|nm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2999910,int_stack+2400960,int_stack+1439670,3630);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+224268,int_stack+219120,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+230352,int_stack+224268,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+237450,int_stack+230352,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122382,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+245640,int_stack+237450,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+173862,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+173862,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+918720,int_stack+24570,int_stack+122382,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+85410,int_stack+255000,int_stack+245640,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+113490,int_stack+85410,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+995940,int_stack+113490,int_stack+173862,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+162630,int_stack+995940,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1066920,int_stack+162630,int_stack+918720,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+918720,int_stack+265608,int_stack+255000,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+918720,int_stack+85410,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1175028,int_stack+0,int_stack+113490,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+56160,int_stack+1175028,int_stack+995940,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1256928,int_stack+56160,int_stack+162630,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1384692,int_stack+1256928,int_stack+1066920,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+162630,int_stack+277542,int_stack+265608,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+198432,int_stack+162630,int_stack+918720,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+918720,int_stack+198432,int_stack+0,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1012320,int_stack+918720,int_stack+1175028,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1528836,int_stack+1012320,int_stack+56160,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1677894,int_stack+1528836,int_stack+1256928,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1135170,int_stack+1677894,int_stack+1384692,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+290880,int_stack+277542,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+40014,int_stack+0,int_stack+162630,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1320498,int_stack+40014,int_stack+198432,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+111618,int_stack+1320498,int_stack+918720,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1848246,int_stack+111618,int_stack+1012320,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+918720,int_stack+1848246,int_stack+1528836,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1426578,int_stack+918720,int_stack+1677894,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3980010,int_stack+1426578,int_stack+1135170,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1117464,int_stack+305700,int_stack+290880,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1161924,int_stack+1117464,int_stack+0,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1645602,int_stack+1161924,int_stack+40014,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1117464,int_stack+1645602,int_stack+1320498,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1645602,int_stack+1117464,int_stack+111618,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1117464,int_stack+1645602,int_stack+1848246,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1645602,int_stack+1117464,int_stack+918720,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+918720,int_stack+1645602,int_stack+1426578,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1192500,int_stack+918720,int_stack+3980010,78);
 /*--- compute (np|nm) ---*/
 hrr1_build_np(Libint->AB,int_stack+3980010,int_stack+1192500,int_stack+2161380,3630);
 /*--- compute (md|nm) ---*/
 hrr1_build_md(Libint->AB,int_stack+4698750,int_stack+3980010,int_stack+2400960,3630);
 /*--- compute (lf|nm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+5896650,int_stack+4698750,int_stack+2999910,3630);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+918720,int_stack+328086,int_stack+322080,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+936738,int_stack+335184,int_stack+328086,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+958032,int_stack+936738,int_stack+918720,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+994068,int_stack+343465,int_stack+335184,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1018911,int_stack+994068,int_stack+936738,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1061499,int_stack+1018911,int_stack+958032,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+918720,int_stack+353020,int_stack+343465,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1121559,int_stack+918720,int_stack+994068,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+947385,int_stack+1121559,int_stack+1018911,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1475640,int_stack+947385,int_stack+1061499,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1018365,int_stack+363940,int_stack+353020,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1051125,int_stack+1018365,int_stack+918720,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1565730,int_stack+1051125,int_stack+1121559,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1648540,int_stack+1565730,int_stack+947385,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1755010,int_stack+1648540,int_stack+1475640,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1475640,int_stack+376316,int_stack+363940,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+918720,int_stack+1475640,int_stack+1018365,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1881136,int_stack+918720,int_stack+1051125,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+984240,int_stack+1881136,int_stack+1565730,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1976686,int_stack+984240,int_stack+1648540,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1512768,int_stack+1976686,int_stack+1755010,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1680936,int_stack+390239,int_stack+376316,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1722705,int_stack+1680936,int_stack+1475640,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2125744,int_stack+1722705,int_stack+918720,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2234944,int_stack+2125744,int_stack+1881136,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1796961,int_stack+2234944,int_stack+984240,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+918720,int_stack+1796961,int_stack+1976686,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2378269,int_stack+918720,int_stack+1512768,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1117464,int_stack+405800,int_stack+390239,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1475640,int_stack+1117464,int_stack+1680936,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1559178,int_stack+1475640,int_stack+1722705,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2594485,int_stack+1559178,int_stack+2125744,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1970862,int_stack+2594485,int_stack+2234944,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2758285,int_stack+1970862,int_stack+1796961,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1682938,int_stack+2758285,int_stack+918720,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2990153,int_stack+1682938,int_stack+2378269,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+918720,int_stack+423090,int_stack+405800,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+970590,int_stack+918720,int_stack+1117464,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2171517,int_stack+970590,int_stack+1475640,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+918720,int_stack+2171517,int_stack+1559178,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2171517,int_stack+918720,int_stack+2594485,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+918720,int_stack+2171517,int_stack+1970862,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1938466,int_stack+918720,int_stack+2758285,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2236582,int_stack+1938466,int_stack+1682938,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1475640,int_stack+2236582,int_stack+2990153,91);
 /*--- compute (op|nm) ---*/
 hrr1_build_op(Libint->AB,int_stack+1805970,int_stack+1475640,int_stack+1192500,3630);
 /*--- compute (nd|nm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+7530150,int_stack+1805970,int_stack+3980010,3630);
 /*--- compute (mf|nm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2655390,int_stack+7530150,int_stack+4698750,3630);
 /*--- compute (lg|nm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+8967630,int_stack+2655390,int_stack+5896650,3630);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+918720,int_stack+449130,int_stack+442200,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+939510,int_stack+457320,int_stack+449130,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+964080,int_stack+939510,int_stack+918720,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1005660,int_stack+466875,int_stack+457320,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1034325,int_stack+1005660,int_stack+939510,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1083465,int_stack+1034325,int_stack+964080,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+918720,int_stack+477900,int_stack+466875,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1152765,int_stack+918720,int_stack+1005660,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+951795,int_stack+1152765,int_stack+1034325,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1210095,int_stack+951795,int_stack+1083465,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1033695,int_stack+490500,int_stack+477900,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1071495,int_stack+1033695,int_stack+918720,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1314045,int_stack+1071495,int_stack+1152765,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+4651890,int_stack+1314045,int_stack+951795,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+4774740,int_stack+4651890,int_stack+1210095,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+918720,int_stack+504780,int_stack+490500,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1137645,int_stack+918720,int_stack+1033695,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+4920270,int_stack+1137645,int_stack+1071495,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+961560,int_stack+4920270,int_stack+1314045,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1213245,int_stack+961560,int_stack+4651890,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+5030520,int_stack+1213245,int_stack+4774740,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+4651890,int_stack+520845,int_stack+504780,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+4700085,int_stack+4651890,int_stack+918720,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+4785765,int_stack+4700085,int_stack+1137645,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+5224560,int_stack+4785765,int_stack+4920270,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+5389935,int_stack+5224560,int_stack+961560,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+918720,int_stack+5389935,int_stack+1213245,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1148040,int_stack+918720,int_stack+5030520,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1397520,int_stack+538800,int_stack+520845,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+4911765,int_stack+1397520,int_stack+4651890,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+5008155,int_stack+4911765,int_stack+4700085,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+5590590,int_stack+5008155,int_stack+4785765,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4651890,int_stack+5590590,int_stack+5224560,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+5779590,int_stack+4651890,int_stack+5389935,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+5150955,int_stack+5779590,int_stack+918720,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+6047130,int_stack+5150955,int_stack+1148040,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+918720,int_stack+558750,int_stack+538800,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+978570,int_stack+918720,int_stack+1397520,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1086300,int_stack+978570,int_stack+4911765,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1246950,int_stack+1086300,int_stack+5008155,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+918720,int_stack+1246950,int_stack+5590590,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+5445795,int_stack+918720,int_stack+4651890,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+4651890,int_stack+5445795,int_stack+5779590,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+5445795,int_stack+4651890,int_stack+5150955,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+4651890,int_stack+5445795,int_stack+6047130,105);
 /*--- compute (qp|nm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+5033040,int_stack+4651890,int_stack+1475640,3630);
 /*--- compute (od|nm) ---*/
 hrr1_build_od(Libint->AB,int_stack+11417880,int_stack+5033040,int_stack+1805970,3630);
 /*--- compute (nf|nm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+13116720,int_stack+11417880,int_stack+7530150,3630);
 /*--- compute (mg|nm) ---*/
 hrr1_build_mg(Libint->AB,int_stack+15512520,int_stack+13116720,int_stack+2655390,3630);
 /*--- compute (lh|nm) ---*/
 hrr1_build_lh(Libint->AB,int_stack+918720,int_stack+15512520,int_stack+8967630,3630);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+6024030,int_stack+588720,int_stack+580800,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6047790,int_stack+598080,int_stack+588720,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+6075870,int_stack+6047790,int_stack+6024030,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+6123390,int_stack+609000,int_stack+598080,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+6156150,int_stack+6123390,int_stack+6047790,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+6212310,int_stack+6156150,int_stack+6075870,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+6024030,int_stack+621600,int_stack+609000,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6291510,int_stack+6024030,int_stack+6123390,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+6061830,int_stack+6291510,int_stack+6156150,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+6357030,int_stack+6061830,int_stack+6212310,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+6155430,int_stack+636000,int_stack+621600,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+6198630,int_stack+6155430,int_stack+6024030,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+6475830,int_stack+6198630,int_stack+6291510,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+6585030,int_stack+6475830,int_stack+6061830,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+6725430,int_stack+6585030,int_stack+6357030,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+6024030,int_stack+652320,int_stack+636000,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+6274230,int_stack+6024030,int_stack+6155430,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+6891750,int_stack+6274230,int_stack+6198630,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+6072990,int_stack+6891750,int_stack+6475830,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+6360630,int_stack+6072990,int_stack+6585030,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+7017750,int_stack+6360630,int_stack+6725430,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+6557190,int_stack+670680,int_stack+652320,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+6612270,int_stack+6557190,int_stack+6024030,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+6710190,int_stack+6612270,int_stack+6274230,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+7239510,int_stack+6710190,int_stack+6891750,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+7428510,int_stack+7239510,int_stack+6072990,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+6024030,int_stack+7428510,int_stack+6360630,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+7657830,int_stack+6024030,int_stack+7017750,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+6286110,int_stack+691200,int_stack+670680,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+6347670,int_stack+6286110,int_stack+6557190,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+6854190,int_stack+6347670,int_stack+6612270,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+6457830,int_stack+6854190,int_stack+6710190,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+7942950,int_stack+6457830,int_stack+7239510,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+7017390,int_stack+7942950,int_stack+7428510,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+8207550,int_stack+7017390,int_stack+6024030,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+8544510,int_stack+8207550,int_stack+7657830,120);
 /*--- compute (t0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+6024030,int_stack+714000,int_stack+691200,120);
 /*--- compute (t0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+6092430,int_stack+6024030,int_stack+6286110,120);
 /*--- compute (t0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+7323150,int_stack+6092430,int_stack+6347670,120);
 /*--- compute (t0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+6024030,int_stack+7323150,int_stack+6854190,120);
 /*--- compute (t0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+7323150,int_stack+6024030,int_stack+6457830,120);
 /*--- compute (t0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+6024030,int_stack+7323150,int_stack+7942950,120);
 /*--- compute (t0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+7323150,int_stack+6024030,int_stack+7017390,120);
 /*--- compute (t0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+6024030,int_stack+7323150,int_stack+8207550,120);
 /*--- compute (t0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+6445230,int_stack+6024030,int_stack+8544510,120);
 /*--- compute (rp|nm) ---*/
 hrr1_build_rp(Libint->AB,int_stack+6880830,int_stack+6445230,int_stack+4651890,3630);
 /*--- compute (qd|nm) ---*/
 hrr1_build_qd(Libint->AB,int_stack+8024280,int_stack+6880830,int_stack+5033040,3630);
 /*--- compute (of|nm) ---*/
 hrr1_build_of(Libint->AB,int_stack+18507270,int_stack+8024280,int_stack+11417880,3630);
 /*--- compute (ng|nm) ---*/
 hrr1_build_ng(Libint->AB,int_stack+21338670,int_stack+18507270,int_stack+13116720,3630);
 /*--- compute (mh|nm) ---*/
 hrr1_build_mh(Libint->AB,int_stack+10006260,int_stack+21338670,int_stack+15512520,3630);
 /*--- compute (li|nm) ---*/
 hrr1_build_li(Libint->AB,int_stack+24932370,int_stack+10006260,int_stack+918720,3630);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+918720,int_stack+748176,int_stack+739200,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+945648,int_stack+758784,int_stack+748176,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+977472,int_stack+945648,int_stack+918720,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1031328,int_stack+771160,int_stack+758784,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1068456,int_stack+1031328,int_stack+945648,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1132104,int_stack+1068456,int_stack+977472,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+918720,int_stack+785440,int_stack+771160,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1221864,int_stack+918720,int_stack+1031328,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+961560,int_stack+1221864,int_stack+1068456,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1296120,int_stack+961560,int_stack+1132104,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1067640,int_stack+801760,int_stack+785440,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1116600,int_stack+1067640,int_stack+918720,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1430760,int_stack+1116600,int_stack+1221864,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1554520,int_stack+1430760,int_stack+961560,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1713640,int_stack+1554520,int_stack+1296120,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+918720,int_stack+820256,int_stack+801760,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1202280,int_stack+918720,int_stack+1067640,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1902136,int_stack+1202280,int_stack+1116600,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+974208,int_stack+1902136,int_stack+1430760,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1300200,int_stack+974208,int_stack+1554520,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2044936,int_stack+1300200,int_stack+1713640,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1522968,int_stack+841064,int_stack+820256,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1585392,int_stack+1522968,int_stack+918720,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1696368,int_stack+1585392,int_stack+1202280,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2296264,int_stack+1696368,int_stack+1902136,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2510464,int_stack+2296264,int_stack+974208,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+918720,int_stack+2510464,int_stack+1300200,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2770360,int_stack+918720,int_stack+2044936,136);
 /*--- compute (u0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1215744,int_stack+864320,int_stack+841064,136);
 /*--- compute (u0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1285512,int_stack+1215744,int_stack+1522968,136);
 /*--- compute (u0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1859568,int_stack+1285512,int_stack+1585392,136);
 /*--- compute (u0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1410360,int_stack+1859568,int_stack+1696368,136);
 /*--- compute (u0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3093496,int_stack+1410360,int_stack+2296264,136);
 /*--- compute (u0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2044528,int_stack+3093496,int_stack+2510464,136);
 /*--- compute (u0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3393376,int_stack+2044528,int_stack+918720,136);
 /*--- compute (u0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3775264,int_stack+3393376,int_stack+2770360,136);
 /*--- compute (u0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+918720,int_stack+890160,int_stack+864320,136);
 /*--- compute (u0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+996240,int_stack+918720,int_stack+1215744,136);
 /*--- compute (u0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2391056,int_stack+996240,int_stack+1285512,136);
 /*--- compute (u0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2599136,int_stack+2391056,int_stack+1859568,136);
 /*--- compute (u0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1655160,int_stack+2599136,int_stack+1410360,136);
 /*--- compute (u0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2391056,int_stack+1655160,int_stack+3093496,136);
 /*--- compute (u0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2790896,int_stack+2391056,int_stack+2044528,136);
 /*--- compute (u0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+4179184,int_stack+2790896,int_stack+3393376,136);
 /*--- compute (u0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+4656544,int_stack+4179184,int_stack+3775264,136);
 /*--- compute (tp|nm) ---*/
 hrr1_build_tp(Libint->AB,int_stack+14198910,int_stack+4656544,int_stack+6445230,3630);
 /*--- compute (rd|nm) ---*/
 hrr1_build_rd(Libint->AB,int_stack+15505710,int_stack+14198910,int_stack+6880830,3630);
 /*--- compute (qf|nm) ---*/
 hrr1_build_qf(Libint->AB,int_stack+0,int_stack+15505710,int_stack+8024280,3630);
 /*--- compute (og|nm) ---*/
 hrr1_build_og(Libint->AB,int_stack+14198910,int_stack+0,int_stack+18507270,3630);
 /*--- compute (nh|nm) ---*/
 hrr1_build_nh(Libint->AB,int_stack+0,int_stack+14198910,int_stack+21338670,3630);
 /*--- compute (mi|nm) ---*/
 hrr1_build_mi(Libint->AB,int_stack+14198910,int_stack+0,int_stack+10006260,3630);
 /*--- compute (lk|nm) ---*/
 hrr1_build_lk(Libint->AB,int_stack+0,int_stack+14198910,int_stack+24932370,3630);
 return int_stack+0;}
