#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpih(Libint_t*, prim_data*);

  /* Computes quartets of (lp|ih) integrals */

REALTYPE *hrr_order_lpih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][6] = int_stack + 0;
 Libint->vrr_classes[8][7] = int_stack + 1260;
 Libint->vrr_classes[8][8] = int_stack + 2880;
 Libint->vrr_classes[8][9] = int_stack + 4905;
 Libint->vrr_classes[8][10] = int_stack + 7380;
 Libint->vrr_classes[8][11] = int_stack + 10350;
 Libint->vrr_classes[9][6] = int_stack + 13860;
 Libint->vrr_classes[9][7] = int_stack + 15400;
 Libint->vrr_classes[9][8] = int_stack + 17380;
 Libint->vrr_classes[9][9] = int_stack + 19855;
 Libint->vrr_classes[9][10] = int_stack + 22880;
 Libint->vrr_classes[9][11] = int_stack + 26510;
 memset(int_stack,0,30800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 30800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpih(Libint, Data);
   Data++;
 }
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+30800,int_stack+1260,int_stack+0,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+34580,int_stack+2880,int_stack+1260,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+39440,int_stack+34580,int_stack+30800,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+47000,int_stack+4905,int_stack+2880,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+53075,int_stack+47000,int_stack+34580,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+62795,int_stack+53075,int_stack+39440,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30800,int_stack+7380,int_stack+4905,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+75395,int_stack+30800,int_stack+47000,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+87545,int_stack+75395,int_stack+53075,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+38225,int_stack+87545,int_stack+62795,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57125,int_stack+10350,int_stack+7380,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+103745,int_stack+57125,int_stack+30800,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+118595,int_stack+103745,int_stack+75395,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+57125,int_stack+118595,int_stack+87545,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+81425,int_stack+57125,int_stack+38225,45);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+30800,int_stack+15400,int_stack+13860,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+35420,int_stack+17380,int_stack+15400,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+41360,int_stack+35420,int_stack+30800,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+50600,int_stack+19855,int_stack+17380,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+58025,int_stack+50600,int_stack+35420,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+107885,int_stack+58025,int_stack+41360,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30800,int_stack+22880,int_stack+19855,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+123285,int_stack+30800,int_stack+50600,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+123285,int_stack+58025,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+39875,int_stack+0,int_stack+107885,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+107885,int_stack+26510,int_stack+22880,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+62975,int_stack+107885,int_stack+30800,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+138135,int_stack+62975,int_stack+123285,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+107885,int_stack+138135,int_stack+0,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+107885,int_stack+39875,55);
 /*--- compute (lp|ih) ---*/
 hrr1_build_lp(Libint->AB,int_stack+107885,int_stack+0,int_stack+81425,588);
 return int_stack+107885;}
