#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpkk(Libint_t*, prim_data*);

  /* Computes quartets of (lp|kk) integrals */

REALTYPE *hrr_order_lpkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][7] = int_stack + 0;
 Libint->vrr_classes[8][8] = int_stack + 1620;
 Libint->vrr_classes[8][9] = int_stack + 3645;
 Libint->vrr_classes[8][10] = int_stack + 6120;
 Libint->vrr_classes[8][11] = int_stack + 9090;
 Libint->vrr_classes[8][12] = int_stack + 12600;
 Libint->vrr_classes[8][13] = int_stack + 16695;
 Libint->vrr_classes[8][14] = int_stack + 21420;
 Libint->vrr_classes[9][7] = int_stack + 26820;
 Libint->vrr_classes[9][8] = int_stack + 28800;
 Libint->vrr_classes[9][9] = int_stack + 31275;
 Libint->vrr_classes[9][10] = int_stack + 34300;
 Libint->vrr_classes[9][11] = int_stack + 37930;
 Libint->vrr_classes[9][12] = int_stack + 42220;
 Libint->vrr_classes[9][13] = int_stack + 47225;
 Libint->vrr_classes[9][14] = int_stack + 53000;
 memset(int_stack,0,59600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 59600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpkk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+59600,int_stack+1620,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+64460,int_stack+3645,int_stack+1620,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+70535,int_stack+64460,int_stack+59600,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80255,int_stack+6120,int_stack+3645,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+87680,int_stack+80255,int_stack+64460,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+99830,int_stack+87680,int_stack+70535,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59600,int_stack+9090,int_stack+6120,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+116030,int_stack+59600,int_stack+80255,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+130880,int_stack+116030,int_stack+87680,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+68510,int_stack+130880,int_stack+99830,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+92810,int_stack+12600,int_stack+9090,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+151130,int_stack+92810,int_stack+59600,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+168950,int_stack+151130,int_stack+116030,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+193700,int_stack+168950,int_stack+130880,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+103340,int_stack+193700,int_stack+68510,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+59600,int_stack+16695,int_stack+12600,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+224075,int_stack+59600,int_stack+92810,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+71885,int_stack+224075,int_stack+151130,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+245135,int_stack+71885,int_stack+168950,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+137360,int_stack+245135,int_stack+193700,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+282260,int_stack+137360,int_stack+103340,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+101585,int_stack+21420,int_stack+16695,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+179885,int_stack+101585,int_stack+59600,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+101585,int_stack+179885,int_stack+224075,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+179885,int_stack+101585,int_stack+71885,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+59600,int_stack+179885,int_stack+245135,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+179885,int_stack+59600,int_stack+137360,45);
 /*--- compute (l0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+59600,int_stack+179885,int_stack+282260,45);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+117920,int_stack+28800,int_stack+26820,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+123860,int_stack+31275,int_stack+28800,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+131285,int_stack+123860,int_stack+117920,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+143165,int_stack+34300,int_stack+31275,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+152240,int_stack+143165,int_stack+123860,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+167090,int_stack+152240,int_stack+131285,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+117920,int_stack+37930,int_stack+34300,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+186890,int_stack+117920,int_stack+143165,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+205040,int_stack+186890,int_stack+152240,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+128810,int_stack+205040,int_stack+167090,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+158510,int_stack+42220,int_stack+37930,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+229790,int_stack+158510,int_stack+117920,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+251570,int_stack+229790,int_stack+186890,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+281820,int_stack+251570,int_stack+205040,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+171380,int_stack+281820,int_stack+128810,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+117920,int_stack+47225,int_stack+42220,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+117920,int_stack+158510,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+132935,int_stack+0,int_stack+229790,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+318945,int_stack+132935,int_stack+251570,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+212960,int_stack+318945,int_stack+281820,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+364320,int_stack+212960,int_stack+171380,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+169235,int_stack+53000,int_stack+47225,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+264935,int_stack+169235,int_stack+117920,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+169235,int_stack+264935,int_stack+0,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+169235,int_stack+132935,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+117920,int_stack+0,int_stack+318945,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+264935,int_stack+117920,int_stack+212960,55);
 /*--- compute (m0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+117920,int_stack+264935,int_stack+364320,55);
 /*--- compute (lp|kk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+189200,int_stack+117920,int_stack+59600,1296);
 return int_stack+189200;}
