#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lplh(Libint_t*, prim_data*);

  /* Computes quartets of (lp|lh) integrals */

REALTYPE *hrr_order_lplh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 Libint->vrr_classes[8][12] = int_stack + 10980;
 Libint->vrr_classes[8][13] = int_stack + 15075;
 Libint->vrr_classes[9][8] = int_stack + 19800;
 Libint->vrr_classes[9][9] = int_stack + 22275;
 Libint->vrr_classes[9][10] = int_stack + 25300;
 Libint->vrr_classes[9][11] = int_stack + 28930;
 Libint->vrr_classes[9][12] = int_stack + 33220;
 Libint->vrr_classes[9][13] = int_stack + 38225;
 memset(int_stack,0,44000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 44000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lplh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+44000,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+50075,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+57500,int_stack+50075,int_stack+44000,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+69650,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+78560,int_stack+69650,int_stack+50075,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+93410,int_stack+78560,int_stack+57500,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+44000,int_stack+10980,int_stack+7470,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+113660,int_stack+44000,int_stack+69650,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+131480,int_stack+113660,int_stack+78560,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+54530,int_stack+131480,int_stack+93410,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+84905,int_stack+15075,int_stack+10980,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+156230,int_stack+84905,int_stack+44000,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+177290,int_stack+156230,int_stack+113660,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+84905,int_stack+177290,int_stack+131480,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+122030,int_stack+84905,int_stack+54530,45);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+44000,int_stack+22275,int_stack+19800,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51425,int_stack+25300,int_stack+22275,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+60500,int_stack+51425,int_stack+44000,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+75350,int_stack+28930,int_stack+25300,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+86240,int_stack+75350,int_stack+51425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+164555,int_stack+86240,int_stack+60500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+44000,int_stack+33220,int_stack+28930,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+44000,int_stack+75350,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+189305,int_stack+0,int_stack+86240,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+56870,int_stack+189305,int_stack+164555,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+164555,int_stack+38225,int_stack+33220,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+93995,int_stack+164555,int_stack+44000,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+219555,int_stack+93995,int_stack+0,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+219555,int_stack+189305,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+164555,int_stack+0,int_stack+56870,55);
 /*--- compute (lp|lh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+216530,int_stack+164555,int_stack+122030,945);
 return int_stack+216530;}
