#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpmh(Libint_t*, prim_data*);

  /* Computes quartets of (lp|mh) integrals */

REALTYPE *hrr_order_lpmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[9][9] = int_stack + 23175;
 Libint->vrr_classes[9][10] = int_stack + 26200;
 Libint->vrr_classes[9][11] = int_stack + 29830;
 Libint->vrr_classes[9][12] = int_stack + 34120;
 Libint->vrr_classes[9][13] = int_stack + 39125;
 Libint->vrr_classes[9][14] = int_stack + 44900;
 memset(int_stack,0,51500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 51500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpmh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51500,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+58925,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+67835,int_stack+58925,int_stack+51500,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+82685,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+93215,int_stack+82685,int_stack+58925,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+111035,int_stack+93215,int_stack+67835,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+51500,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+135785,int_stack+51500,int_stack+82685,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+156845,int_stack+135785,int_stack+93215,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+63785,int_stack+156845,int_stack+111035,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+100910,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+186545,int_stack+100910,int_stack+51500,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+211115,int_stack+186545,int_stack+135785,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+100910,int_stack+211115,int_stack+156845,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+145460,int_stack+100910,int_stack+63785,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51500,int_stack+26200,int_stack+23175,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+60575,int_stack+29830,int_stack+26200,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+71465,int_stack+60575,int_stack+51500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+89615,int_stack+34120,int_stack+29830,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+102485,int_stack+89615,int_stack+60575,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+197435,int_stack+102485,int_stack+71465,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+51500,int_stack+39125,int_stack+34120,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+51500,int_stack+89615,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+227685,int_stack+0,int_stack+102485,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+66515,int_stack+227685,int_stack+197435,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+197435,int_stack+44900,int_stack+39125,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+111890,int_stack+197435,int_stack+51500,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+263985,int_stack+111890,int_stack+0,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+263985,int_stack+227685,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+197435,int_stack+0,int_stack+66515,55);
 /*--- compute (lp|mh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+260960,int_stack+197435,int_stack+145460,1155);
 return int_stack+260960;}
