#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpni(Libint_t*, prim_data*);

  /* Computes quartets of (lp|ni) integrals */

REALTYPE *hrr_order_lpni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[9][10] = int_stack + 33705;
 Libint->vrr_classes[9][11] = int_stack + 37335;
 Libint->vrr_classes[9][12] = int_stack + 41625;
 Libint->vrr_classes[9][13] = int_stack + 46630;
 Libint->vrr_classes[9][14] = int_stack + 52405;
 Libint->vrr_classes[9][15] = int_stack + 59005;
 Libint->vrr_classes[9][16] = int_stack + 66485;
 memset(int_stack,0,74900*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 74900;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpni(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74900,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+83810,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+94340,int_stack+83810,int_stack+74900,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+112160,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+124445,int_stack+112160,int_stack+83810,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+145505,int_stack+124445,int_stack+94340,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+74900,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+175205,int_stack+74900,int_stack+112160,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+89075,int_stack+175205,int_stack+124445,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+199775,int_stack+89075,int_stack+145505,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+124175,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+140375,int_stack+124175,int_stack+74900,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+244325,int_stack+140375,int_stack+175205,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+285275,int_stack+244325,int_stack+89075,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+337925,int_stack+285275,int_stack+199775,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+74900,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+168725,int_stack+74900,int_stack+124175,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+74900,int_stack+168725,int_stack+140375,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+122150,int_stack+74900,int_stack+244325,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+183575,int_stack+122150,int_stack+285275,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+74900,int_stack+183575,int_stack+337925,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+158060,int_stack+37335,int_stack+33705,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+168950,int_stack+41625,int_stack+37335,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+181820,int_stack+168950,int_stack+158060,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+203600,int_stack+46630,int_stack+41625,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+218615,int_stack+203600,int_stack+168950,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+244355,int_stack+218615,int_stack+181820,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+158060,int_stack+52405,int_stack+46630,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+280655,int_stack+158060,int_stack+203600,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+175385,int_stack+280655,int_stack+218615,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+310685,int_stack+175385,int_stack+244355,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+218285,int_stack+59005,int_stack+52405,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+238085,int_stack+218285,int_stack+158060,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+238085,int_stack+280655,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+365135,int_stack+0,int_stack+175385,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+429485,int_stack+365135,int_stack+310685,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+158060,int_stack+66485,int_stack+59005,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+272735,int_stack+158060,int_stack+218285,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+158060,int_stack+272735,int_stack+238085,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+215810,int_stack+158060,int_stack+0,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+505715,int_stack+215810,int_stack+365135,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+158060,int_stack+505715,int_stack+429485,55);
 /*--- compute (lp|ni) ---*/
 hrr1_build_lp(Libint->AB,int_stack+259700,int_stack+158060,int_stack+74900,1848);
 return int_stack+259700;}
