#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mgki(Libint_t*, prim_data*);

  /* Computes quartets of (mg|ki) integrals */

REALTYPE *hrr_order_mgki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][7] = int_stack + 0;
 Libint->vrr_classes[9][8] = int_stack + 1980;
 Libint->vrr_classes[9][9] = int_stack + 4455;
 Libint->vrr_classes[9][10] = int_stack + 7480;
 Libint->vrr_classes[9][11] = int_stack + 11110;
 Libint->vrr_classes[9][12] = int_stack + 15400;
 Libint->vrr_classes[9][13] = int_stack + 20405;
 Libint->vrr_classes[10][7] = int_stack + 26180;
 Libint->vrr_classes[10][8] = int_stack + 28556;
 Libint->vrr_classes[10][9] = int_stack + 31526;
 Libint->vrr_classes[10][10] = int_stack + 35156;
 Libint->vrr_classes[10][11] = int_stack + 39512;
 Libint->vrr_classes[10][12] = int_stack + 44660;
 Libint->vrr_classes[10][13] = int_stack + 50666;
 Libint->vrr_classes[11][7] = int_stack + 57596;
 Libint->vrr_classes[11][8] = int_stack + 60404;
 Libint->vrr_classes[11][9] = int_stack + 63914;
 Libint->vrr_classes[11][10] = int_stack + 68204;
 Libint->vrr_classes[11][11] = int_stack + 73352;
 Libint->vrr_classes[11][12] = int_stack + 79436;
 Libint->vrr_classes[11][13] = int_stack + 86534;
 Libint->vrr_classes[12][7] = int_stack + 94724;
 Libint->vrr_classes[12][8] = int_stack + 98000;
 Libint->vrr_classes[12][9] = int_stack + 102095;
 Libint->vrr_classes[12][10] = int_stack + 107100;
 Libint->vrr_classes[12][11] = int_stack + 113106;
 Libint->vrr_classes[12][12] = int_stack + 120204;
 Libint->vrr_classes[12][13] = int_stack + 128485;
 Libint->vrr_classes[13][7] = int_stack + 138040;
 Libint->vrr_classes[13][8] = int_stack + 141820;
 Libint->vrr_classes[13][9] = int_stack + 146545;
 Libint->vrr_classes[13][10] = int_stack + 152320;
 Libint->vrr_classes[13][11] = int_stack + 159250;
 Libint->vrr_classes[13][12] = int_stack + 167440;
 Libint->vrr_classes[13][13] = int_stack + 176995;
 memset(int_stack,0,188020*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 188020;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mgki(Libint, Data);
   Data++;
 }
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+188020,int_stack+1980,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+193960,int_stack+4455,int_stack+1980,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+201385,int_stack+193960,int_stack+188020,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+213265,int_stack+7480,int_stack+4455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+222340,int_stack+213265,int_stack+193960,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+237190,int_stack+222340,int_stack+201385,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+188020,int_stack+11110,int_stack+7480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+256990,int_stack+188020,int_stack+213265,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+275140,int_stack+256990,int_stack+222340,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+198910,int_stack+275140,int_stack+237190,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+228610,int_stack+15400,int_stack+11110,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+299890,int_stack+228610,int_stack+188020,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+321670,int_stack+299890,int_stack+256990,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+351920,int_stack+321670,int_stack+275140,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+241480,int_stack+351920,int_stack+198910,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+188020,int_stack+20405,int_stack+15400,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+188020,int_stack+228610,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+188020,int_stack+0,int_stack+299890,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+389045,int_stack+188020,int_stack+321670,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+188020,int_stack+389045,int_stack+351920,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+283060,int_stack+188020,int_stack+241480,55);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+188020,int_stack+28556,int_stack+26180,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+195148,int_stack+31526,int_stack+28556,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+204058,int_stack+195148,int_stack+188020,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+218314,int_stack+35156,int_stack+31526,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+229204,int_stack+218314,int_stack+195148,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+247024,int_stack+229204,int_stack+204058,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+188020,int_stack+39512,int_stack+35156,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+188020,int_stack+218314,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+338500,int_stack+0,int_stack+229204,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+201088,int_stack+338500,int_stack+247024,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+236728,int_stack+44660,int_stack+39512,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+252172,int_stack+236728,int_stack+188020,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+368200,int_stack+252172,int_stack+0,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+368200,int_stack+338500,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+404500,int_stack+0,int_stack+201088,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+338500,int_stack+50666,int_stack+44660,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+188020,int_stack+338500,int_stack+236728,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+454396,int_stack+188020,int_stack+252172,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+188020,int_stack+454396,int_stack+368200,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+338500,int_stack+188020,int_stack+0,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+188020,int_stack+338500,int_stack+404500,66);
 /*--- compute (mp|ki) ---*/
 hrr1_build_mp(Libint->AB,int_stack+338500,int_stack+188020,int_stack+283060,1008);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+60404,int_stack+57596,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8424,int_stack+63914,int_stack+60404,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18954,int_stack+8424,int_stack+0,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35802,int_stack+68204,int_stack+63914,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+254548,int_stack+35802,int_stack+8424,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+275608,int_stack+254548,int_stack+18954,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+73352,int_stack+68204,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+303688,int_stack+0,int_stack+35802,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+15444,int_stack+303688,int_stack+254548,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+504820,int_stack+15444,int_stack+275608,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+254548,int_stack+79436,int_stack+73352,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+272800,int_stack+254548,int_stack+0,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+546940,int_stack+272800,int_stack+303688,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+589840,int_stack+546940,int_stack+15444,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+589840,int_stack+504820,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+504820,int_stack+86534,int_stack+79436,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+642490,int_stack+504820,int_stack+254548,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+678994,int_stack+642490,int_stack+272800,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+254548,int_stack+678994,int_stack+546940,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+642490,int_stack+254548,int_stack+589840,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+254548,int_stack+642490,int_stack+0,78);
 /*--- compute (np|ki) ---*/
 hrr1_build_np(Libint->AB,int_stack+504820,int_stack+254548,int_stack+188020,1008);
 /*--- compute (md|ki) ---*/
 hrr1_build_md(Libint->AB,int_stack+704404,int_stack+504820,int_stack+338500,1008);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+188020,int_stack+98000,int_stack+94724,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+197848,int_stack+102095,int_stack+98000,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+210133,int_stack+197848,int_stack+188020,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+229789,int_stack+107100,int_stack+102095,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+229789,int_stack+197848,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+24570,int_stack+0,int_stack+210133,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+188020,int_stack+113106,int_stack+107100,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+57330,int_stack+188020,int_stack+229789,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+206038,int_stack+57330,int_stack+0,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+333172,int_stack+206038,int_stack+24570,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+120204,int_stack+113106,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+21294,int_stack+0,int_stack+188020,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+382312,int_stack+21294,int_stack+57330,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+57330,int_stack+382312,int_stack+206038,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+432362,int_stack+57330,int_stack+333172,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+333172,int_stack+128485,int_stack+120204,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+188020,int_stack+333172,int_stack+0,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1037044,int_stack+188020,int_stack+21294,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1097104,int_stack+1037044,int_stack+382312,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+333172,int_stack+1097104,int_stack+57330,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+1037044,int_stack+333172,int_stack+432362,91);
 /*--- compute (op|ki) ---*/
 hrr1_build_op(Libint->AB,int_stack+1128772,int_stack+1037044,int_stack+254548,1008);
 /*--- compute (nd|ki) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1364644,int_stack+1128772,int_stack+504820,1008);
 /*--- compute (mf|ki) ---*/
 hrr1_build_mf(Libint->AB,int_stack+1763812,int_stack+1364644,int_stack+704404,1008);
 /*--- compute (r0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+188020,int_stack+141820,int_stack+138040,105);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+199360,int_stack+146545,int_stack+141820,105);
 /*--- compute (r0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+213535,int_stack+199360,int_stack+188020,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+236215,int_stack+152320,int_stack+146545,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+253540,int_stack+236215,int_stack+199360,105);
 /*--- compute (r0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+281890,int_stack+253540,int_stack+213535,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+188020,int_stack+159250,int_stack+152320,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+319690,int_stack+188020,int_stack+236215,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+354340,int_stack+319690,int_stack+253540,105);
 /*--- compute (r0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+208810,int_stack+354340,int_stack+281890,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+265510,int_stack+167440,int_stack+159250,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+401590,int_stack+265510,int_stack+188020,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+443170,int_stack+401590,int_stack+319690,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+500920,int_stack+443170,int_stack+354340,105);
 /*--- compute (r0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+290080,int_stack+500920,int_stack+208810,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+188020,int_stack+176995,int_stack+167440,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+571795,int_stack+188020,int_stack+265510,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+620935,int_stack+571795,int_stack+401590,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+690235,int_stack+620935,int_stack+443170,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+571795,int_stack+690235,int_stack+500920,105);
 /*--- compute (r0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+671020,int_stack+571795,int_stack+290080,105);
 /*--- compute (qp|ki) ---*/
 hrr1_build_qp(Libint->AB,int_stack+0,int_stack+671020,int_stack+1037044,1008);
 /*--- compute (od|ki) ---*/
 hrr1_build_od(Libint->AB,int_stack+275184,int_stack+0,int_stack+1128772,1008);
 /*--- compute (nf|ki) ---*/
 hrr1_build_nf(Libint->AB,int_stack+2318212,int_stack+275184,int_stack+1364644,1008);
 /*--- compute (mg|ki) ---*/
 hrr1_build_mg(Libint->AB,int_stack+0,int_stack+2318212,int_stack+1763812,1008);
 return int_stack+0;}
