#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mknn(Libint_t*, prim_data*);

  /* Computes quartets of (mk|nn) integrals */

REALTYPE *hrr_order_mknn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[9][19] = int_stack + 61050;
 Libint->vrr_classes[9][20] = int_stack + 72600;
 Libint->vrr_classes[10][10] = int_stack + 85305;
 Libint->vrr_classes[10][11] = int_stack + 89661;
 Libint->vrr_classes[10][12] = int_stack + 94809;
 Libint->vrr_classes[10][13] = int_stack + 100815;
 Libint->vrr_classes[10][14] = int_stack + 107745;
 Libint->vrr_classes[10][15] = int_stack + 115665;
 Libint->vrr_classes[10][16] = int_stack + 124641;
 Libint->vrr_classes[10][17] = int_stack + 134739;
 Libint->vrr_classes[10][18] = int_stack + 146025;
 Libint->vrr_classes[10][19] = int_stack + 158565;
 Libint->vrr_classes[10][20] = int_stack + 172425;
 Libint->vrr_classes[11][10] = int_stack + 187671;
 Libint->vrr_classes[11][11] = int_stack + 192819;
 Libint->vrr_classes[11][12] = int_stack + 198903;
 Libint->vrr_classes[11][13] = int_stack + 206001;
 Libint->vrr_classes[11][14] = int_stack + 214191;
 Libint->vrr_classes[11][15] = int_stack + 223551;
 Libint->vrr_classes[11][16] = int_stack + 234159;
 Libint->vrr_classes[11][17] = int_stack + 246093;
 Libint->vrr_classes[11][18] = int_stack + 259431;
 Libint->vrr_classes[11][19] = int_stack + 274251;
 Libint->vrr_classes[11][20] = int_stack + 290631;
 Libint->vrr_classes[12][10] = int_stack + 308649;
 Libint->vrr_classes[12][11] = int_stack + 314655;
 Libint->vrr_classes[12][12] = int_stack + 321753;
 Libint->vrr_classes[12][13] = int_stack + 330034;
 Libint->vrr_classes[12][14] = int_stack + 339589;
 Libint->vrr_classes[12][15] = int_stack + 350509;
 Libint->vrr_classes[12][16] = int_stack + 362885;
 Libint->vrr_classes[12][17] = int_stack + 376808;
 Libint->vrr_classes[12][18] = int_stack + 392369;
 Libint->vrr_classes[12][19] = int_stack + 409659;
 Libint->vrr_classes[12][20] = int_stack + 428769;
 Libint->vrr_classes[13][10] = int_stack + 449790;
 Libint->vrr_classes[13][11] = int_stack + 456720;
 Libint->vrr_classes[13][12] = int_stack + 464910;
 Libint->vrr_classes[13][13] = int_stack + 474465;
 Libint->vrr_classes[13][14] = int_stack + 485490;
 Libint->vrr_classes[13][15] = int_stack + 498090;
 Libint->vrr_classes[13][16] = int_stack + 512370;
 Libint->vrr_classes[13][17] = int_stack + 528435;
 Libint->vrr_classes[13][18] = int_stack + 546390;
 Libint->vrr_classes[13][19] = int_stack + 566340;
 Libint->vrr_classes[13][20] = int_stack + 588390;
 Libint->vrr_classes[14][10] = int_stack + 612645;
 Libint->vrr_classes[14][11] = int_stack + 620565;
 Libint->vrr_classes[14][12] = int_stack + 629925;
 Libint->vrr_classes[14][13] = int_stack + 640845;
 Libint->vrr_classes[14][14] = int_stack + 653445;
 Libint->vrr_classes[14][15] = int_stack + 667845;
 Libint->vrr_classes[14][16] = int_stack + 684165;
 Libint->vrr_classes[14][17] = int_stack + 702525;
 Libint->vrr_classes[14][18] = int_stack + 723045;
 Libint->vrr_classes[14][19] = int_stack + 745845;
 Libint->vrr_classes[14][20] = int_stack + 771045;
 Libint->vrr_classes[15][10] = int_stack + 798765;
 Libint->vrr_classes[15][11] = int_stack + 807741;
 Libint->vrr_classes[15][12] = int_stack + 818349;
 Libint->vrr_classes[15][13] = int_stack + 830725;
 Libint->vrr_classes[15][14] = int_stack + 845005;
 Libint->vrr_classes[15][15] = int_stack + 861325;
 Libint->vrr_classes[15][16] = int_stack + 879821;
 Libint->vrr_classes[15][17] = int_stack + 900629;
 Libint->vrr_classes[15][18] = int_stack + 923885;
 Libint->vrr_classes[15][19] = int_stack + 949725;
 Libint->vrr_classes[15][20] = int_stack + 978285;
 Libint->vrr_classes[16][10] = int_stack + 1009701;
 Libint->vrr_classes[16][11] = int_stack + 1019799;
 Libint->vrr_classes[16][12] = int_stack + 1031733;
 Libint->vrr_classes[16][13] = int_stack + 1045656;
 Libint->vrr_classes[16][14] = int_stack + 1061721;
 Libint->vrr_classes[16][15] = int_stack + 1080081;
 Libint->vrr_classes[16][16] = int_stack + 1100889;
 Libint->vrr_classes[16][17] = int_stack + 1124298;
 Libint->vrr_classes[16][18] = int_stack + 1150461;
 Libint->vrr_classes[16][19] = int_stack + 1179531;
 Libint->vrr_classes[16][20] = int_stack + 1211661;
 memset(int_stack,0,1247004*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1247004;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mknn(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1247004,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1257894,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1270764,int_stack+1257894,int_stack+1247004,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1292544,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1307559,int_stack+1292544,int_stack+1257894,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1333299,int_stack+1307559,int_stack+1270764,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1247004,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1369599,int_stack+1247004,int_stack+1292544,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1264329,int_stack+1369599,int_stack+1307559,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1399629,int_stack+1264329,int_stack+1333299,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1307229,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1327029,int_stack+1307229,int_stack+1247004,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1454079,int_stack+1327029,int_stack+1369599,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1504129,int_stack+1454079,int_stack+1264329,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1568479,int_stack+1504129,int_stack+1399629,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1247004,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1361679,int_stack+1247004,int_stack+1307229,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1644709,int_stack+1361679,int_stack+1327029,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1269444,int_stack+1644709,int_stack+1454079,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1401279,int_stack+1269444,int_stack+1504129,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1702459,int_stack+1401279,int_stack+1568479,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1491369,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1516614,int_stack+1491369,int_stack+1247004,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1561494,int_stack+1516614,int_stack+1361679,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1804099,int_stack+1561494,int_stack+1644709,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1890724,int_stack+1804099,int_stack+1269444,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1247004,int_stack+1890724,int_stack+1401279,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1995829,int_stack+1247004,int_stack+1702459,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1367124,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1395339,int_stack+1367124,int_stack+1491369,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1627494,int_stack+1395339,int_stack+1516614,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1445829,int_stack+1627494,int_stack+1561494,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2126509,int_stack+1445829,int_stack+1804099,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1702294,int_stack+2126509,int_stack+1890724,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2247784,int_stack+1702294,int_stack+1247004,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2402224,int_stack+2247784,int_stack+1995829,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1247004,int_stack+61050,int_stack+50600,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1278354,int_stack+1247004,int_stack+1367124,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1842434,int_stack+1278354,int_stack+1395339,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1926584,int_stack+1842434,int_stack+1627494,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1544829,int_stack+1926584,int_stack+1445829,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1334784,int_stack+1544829,int_stack+2126509,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2038784,int_stack+1334784,int_stack+1702294,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2565574,int_stack+2038784,int_stack+2247784,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2758624,int_stack+2565574,int_stack+2402224,55);
 /*--- compute (m0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1496484,int_stack+72600,int_stack+61050,55);
 /*--- compute (m0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1683429,int_stack+1496484,int_stack+1247004,55);
 /*--- compute (m0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1746129,int_stack+1683429,int_stack+1278354,55);
 /*--- compute (m0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+2218964,int_stack+1746129,int_stack+1842434,55);
 /*--- compute (m0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1683429,int_stack+2218964,int_stack+1926584,55);
 /*--- compute (m0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+2218964,int_stack+1683429,int_stack+1544829,55);
 /*--- compute (m0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1496484,int_stack+2218964,int_stack+1334784,55);
 /*--- compute (m0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+2218964,int_stack+1496484,int_stack+2038784,55);
 /*--- compute (m0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1247004,int_stack+2218964,int_stack+2565574,55);
 /*--- compute (m0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1482954,int_stack+1247004,int_stack+2758624,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1247004,int_stack+89661,int_stack+85305,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1260072,int_stack+94809,int_stack+89661,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1275516,int_stack+1260072,int_stack+1247004,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1301652,int_stack+100815,int_stack+94809,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1319670,int_stack+1301652,int_stack+1260072,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1350558,int_stack+1319670,int_stack+1275516,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1247004,int_stack+107745,int_stack+100815,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1394118,int_stack+1247004,int_stack+1301652,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1267794,int_stack+1394118,int_stack+1319670,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1722534,int_stack+1267794,int_stack+1350558,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1319274,int_stack+115665,int_stack+107745,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1343034,int_stack+1319274,int_stack+1247004,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1787874,int_stack+1343034,int_stack+1394118,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1384614,int_stack+1787874,int_stack+1267794,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1847934,int_stack+1384614,int_stack+1722534,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1722534,int_stack+124641,int_stack+115665,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1247004,int_stack+1722534,int_stack+1319274,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1939410,int_stack+1247004,int_stack+1343034,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1294524,int_stack+1939410,int_stack+1787874,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2008710,int_stack+1294524,int_stack+1384614,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2116818,int_stack+2008710,int_stack+1847934,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1384614,int_stack+134739,int_stack+124641,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1414908,int_stack+1384614,int_stack+1722534,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1722534,int_stack+1414908,int_stack+1247004,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1801734,int_stack+1722534,int_stack+1939410,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2238786,int_stack+1801734,int_stack+1294524,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2364912,int_stack+2238786,int_stack+2008710,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1905684,int_stack+2364912,int_stack+2116818,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1247004,int_stack+146025,int_stack+134739,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1280862,int_stack+1247004,int_stack+1384614,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2062500,int_stack+1280862,int_stack+1414908,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1341450,int_stack+2062500,int_stack+1722534,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2509056,int_stack+1341450,int_stack+1801734,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1722534,int_stack+2509056,int_stack+2238786,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2152260,int_stack+1722534,int_stack+2364912,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2654586,int_stack+2152260,int_stack+1905684,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1890702,int_stack+158565,int_stack+146025,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1928322,int_stack+1890702,int_stack+1247004,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2337588,int_stack+1928322,int_stack+1280862,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+2337588,int_stack+2062500,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2850606,int_stack+0,int_stack+1341450,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1247004,int_stack+2850606,int_stack+2509056,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3016926,int_stack+1247004,int_stack+1722534,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3233142,int_stack+3016926,int_stack+2152260,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1996038,int_stack+3233142,int_stack+2654586,66);
 /*--- compute (n0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1722534,int_stack+172425,int_stack+158565,66);
 /*--- compute (n0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1764114,int_stack+1722534,int_stack+1890702,66);
 /*--- compute (n0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+2438568,int_stack+1764114,int_stack+1928322,66);
 /*--- compute (n0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1722534,int_stack+2438568,int_stack+2337588,66);
 /*--- compute (n0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+2235618,int_stack+1722534,int_stack+0,66);
 /*--- compute (n0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1722534,int_stack+2235618,int_stack+2850606,66);
 /*--- compute (n0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+2235618,int_stack+1722534,int_stack+1247004,66);
 /*--- compute (n0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1722534,int_stack+2235618,int_stack+3016926,66);
 /*--- compute (n0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2235618,int_stack+1722534,int_stack+3233142,66);
 /*--- compute (n0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2518758,int_stack+2235618,int_stack+1996038,66);
 /*--- compute (mp|nn) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1722534,int_stack+2518758,int_stack+1482954,4356);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2441274,int_stack+192819,int_stack+187671,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2456718,int_stack+198903,int_stack+192819,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2474970,int_stack+2456718,int_stack+2441274,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2806254,int_stack+206001,int_stack+198903,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2827548,int_stack+2806254,int_stack+2456718,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2864052,int_stack+2827548,int_stack+2474970,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2441274,int_stack+214191,int_stack+206001,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2465844,int_stack+2441274,int_stack+2806254,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2915532,int_stack+2465844,int_stack+2827548,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2976372,int_stack+2915532,int_stack+2864052,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2806254,int_stack+223551,int_stack+214191,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2834334,int_stack+2806254,int_stack+2441274,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3053592,int_stack+2834334,int_stack+2465844,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3124572,int_stack+3053592,int_stack+2915532,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3215832,int_stack+3124572,int_stack+2976372,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2441274,int_stack+234159,int_stack+223551,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2883474,int_stack+2441274,int_stack+2806254,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2939634,int_stack+2883474,int_stack+2834334,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+3323940,int_stack+2939634,int_stack+3053592,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1247004,int_stack+3323940,int_stack+3124572,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3021534,int_stack+1247004,int_stack+3215832,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2806254,int_stack+246093,int_stack+234159,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+3165678,int_stack+2806254,int_stack+2441274,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+3229326,int_stack+3165678,int_stack+2883474,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1374768,int_stack+3229326,int_stack+2939634,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2842056,int_stack+1374768,int_stack+3323940,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1497618,int_stack+2842056,int_stack+1247004,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1497618,int_stack+3021534,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1247004,int_stack+259431,int_stack+246093,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1287018,int_stack+1247004,int_stack+2806254,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2991114,int_stack+1287018,int_stack+3165678,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+3322926,int_stack+2991114,int_stack+3229326,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3097194,int_stack+3322926,int_stack+1374768,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3463326,int_stack+3097194,int_stack+2842056,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3662070,int_stack+3463326,int_stack+1497618,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1358622,int_stack+3662070,int_stack+0,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+274251,int_stack+259431,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+44460,int_stack+0,int_stack+1247004,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+124488,int_stack+44460,int_stack+1287018,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2806254,int_stack+124488,int_stack+2991114,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+3881094,int_stack+2806254,int_stack+3322926,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+4077654,int_stack+3881094,int_stack+3097194,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2965374,int_stack+4077654,int_stack+3463326,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3220902,int_stack+2965374,int_stack+3662070,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+3494682,int_stack+3220902,int_stack+1358622,78);
 /*--- compute (o0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1247004,int_stack+290631,int_stack+274251,78);
 /*--- compute (o0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1296144,int_stack+1247004,int_stack+0,78);
 /*--- compute (o0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1385064,int_stack+1296144,int_stack+44460,78);
 /*--- compute (o0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1518444,int_stack+1385064,int_stack+124488,78);
 /*--- compute (o0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+1518444,int_stack+2806254,78);
 /*--- compute (o0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1247004,int_stack+0,int_stack+3881094,78);
 /*--- compute (o0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+1247004,int_stack+4077654,78);
 /*--- compute (o0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1247004,int_stack+0,int_stack+2965374,78);
 /*--- compute (o0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2806254,int_stack+1247004,int_stack+3220902,78);
 /*--- compute (o0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1247004,int_stack+2806254,int_stack+3494682,78);
 /*--- compute (np|nn) ---*/
 hrr1_build_np(Libint->AB,int_stack+2806254,int_stack+1247004,int_stack+2518758,4356);
 /*--- compute (md|nn) ---*/
 hrr1_build_md(Libint->AB,int_stack+3668742,int_stack+2806254,int_stack+1722534,4356);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1586772,int_stack+314655,int_stack+308649,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1604790,int_stack+321753,int_stack+314655,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1626084,int_stack+1604790,int_stack+1586772,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1662120,int_stack+330034,int_stack+321753,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1686963,int_stack+1662120,int_stack+1604790,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1729551,int_stack+1686963,int_stack+1626084,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1586772,int_stack+339589,int_stack+330034,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1789611,int_stack+1586772,int_stack+1662120,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1615437,int_stack+1789611,int_stack+1686963,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1839297,int_stack+1615437,int_stack+1729551,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1686417,int_stack+350509,int_stack+339589,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1719177,int_stack+1686417,int_stack+1586772,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1929387,int_stack+1719177,int_stack+1789611,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2012197,int_stack+1929387,int_stack+1615437,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2118667,int_stack+2012197,int_stack+1839297,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1586772,int_stack+362885,int_stack+350509,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1776507,int_stack+1586772,int_stack+1686417,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2244793,int_stack+1776507,int_stack+1719177,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1623900,int_stack+2244793,int_stack+1929387,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1842027,int_stack+1623900,int_stack+2012197,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2340343,int_stack+1842027,int_stack+2118667,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1991085,int_stack+376808,int_stack+362885,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2032854,int_stack+1991085,int_stack+1586772,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2107110,int_stack+2032854,int_stack+1776507,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2508511,int_stack+2107110,int_stack+2244793,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+2508511,int_stack+1623900,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1586772,int_stack+0,int_stack+1842027,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+5106222,int_stack+1586772,int_stack+2340343,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1785516,int_stack+392369,int_stack+376808,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1832199,int_stack+1785516,int_stack+1991085,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2216310,int_stack+1832199,int_stack+2032854,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1915737,int_stack+2216310,int_stack+2107110,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+173901,int_stack+1915737,int_stack+2508511,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2340070,int_stack+173901,int_stack+0,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+5322438,int_stack+2340070,int_stack+1586772,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+5577966,int_stack+5322438,int_stack+5106222,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+5106222,int_stack+409659,int_stack+392369,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+5158092,int_stack+5106222,int_stack+1785516,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1586772,int_stack+5158092,int_stack+1832199,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1726002,int_stack+1586772,int_stack+2216310,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2079537,int_stack+1726002,int_stack+1915737,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+5848236,int_stack+2079537,int_stack+173901,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+5848236,int_stack+2340070,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2308857,int_stack+0,int_stack+5322438,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+6115776,int_stack+2308857,int_stack+5577966,91);
 /*--- compute (q0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+5251458,int_stack+428769,int_stack+409659,91);
 /*--- compute (q0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+5308788,int_stack+5251458,int_stack+5106222,91);
 /*--- compute (q0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+5412528,int_stack+5308788,int_stack+5158092,91);
 /*--- compute (q0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+5106222,int_stack+5412528,int_stack+1586772,91);
 /*--- compute (q0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+5315067,int_stack+5106222,int_stack+1726002,91);
 /*--- compute (q0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1586772,int_stack+5315067,int_stack+2079537,91);
 /*--- compute (q0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+5106222,int_stack+1586772,int_stack+5848236,91);
 /*--- compute (q0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1586772,int_stack+5106222,int_stack+0,91);
 /*--- compute (q0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+1586772,int_stack+2308857,91);
 /*--- compute (q0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1586772,int_stack+0,int_stack+6115776,91);
 /*--- compute (op|nn) ---*/
 hrr1_build_op(Libint->AB,int_stack+5106222,int_stack+1586772,int_stack+1247004,4356);
 /*--- compute (nd|nn) ---*/
 hrr1_build_nd(Libint->AB,int_stack+6125526,int_stack+5106222,int_stack+2806254,4356);
 /*--- compute (mf|nn) ---*/
 hrr1_build_mf(Libint->AB,int_stack+7850502,int_stack+6125526,int_stack+3668742,4356);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1247004,int_stack+456720,int_stack+449790,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1267794,int_stack+464910,int_stack+456720,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1292364,int_stack+1267794,int_stack+1247004,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1333944,int_stack+474465,int_stack+464910,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1362609,int_stack+1333944,int_stack+1267794,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1411749,int_stack+1362609,int_stack+1292364,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1247004,int_stack+485490,int_stack+474465,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1481049,int_stack+1247004,int_stack+1333944,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1280079,int_stack+1481049,int_stack+1362609,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+1280079,int_stack+1411749,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1361979,int_stack+498090,int_stack+485490,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1399779,int_stack+1361979,int_stack+1247004,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+103950,int_stack+1399779,int_stack+1481049,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+199500,int_stack+103950,int_stack+1280079,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+322350,int_stack+199500,int_stack+0,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+512370,int_stack+498090,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1247004,int_stack+0,int_stack+1361979,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1465929,int_stack+1247004,int_stack+1399779,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1322604,int_stack+1465929,int_stack+103950,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1983168,int_stack+1322604,int_stack+199500,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+42840,int_stack+1983168,int_stack+322350,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+236880,int_stack+528435,int_stack+512370,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+285075,int_stack+236880,int_stack+0,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+370755,int_stack+285075,int_stack+1247004,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2155158,int_stack+370755,int_stack+1465929,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2320533,int_stack+2155158,int_stack+1322604,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1247004,int_stack+2320533,int_stack+1983168,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2521188,int_stack+1247004,int_stack+42840,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1983168,int_stack+546390,int_stack+528435,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2037033,int_stack+1983168,int_stack+236880,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+2037033,int_stack+285075,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+142800,int_stack+0,int_stack+370755,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2770668,int_stack+142800,int_stack+2155158,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3002193,int_stack+2770668,int_stack+2320533,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2133423,int_stack+3002193,int_stack+1247004,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1247004,int_stack+2133423,int_stack+2521188,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2428263,int_stack+566340,int_stack+546390,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2488113,int_stack+2428263,int_stack+1983168,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2595843,int_stack+2488113,int_stack+2037033,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+331800,int_stack+2595843,int_stack+0,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+3269733,int_stack+331800,int_stack+142800,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+0,int_stack+3269733,int_stack+2770668,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3534333,int_stack+0,int_stack+3002193,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2756493,int_stack+3534333,int_stack+2133423,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1983168,int_stack+2756493,int_stack+1247004,105);
 /*--- compute (r0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1247004,int_stack+588390,int_stack+566340,105);
 /*--- compute (r0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1313154,int_stack+1247004,int_stack+2428263,105);
 /*--- compute (r0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+3878313,int_stack+1313154,int_stack+2488113,105);
 /*--- compute (r0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1247004,int_stack+3878313,int_stack+2595843,105);
 /*--- compute (r0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+3878313,int_stack+1247004,int_stack+331800,105);
 /*--- compute (r0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+4178193,int_stack+3878313,int_stack+3269733,105);
 /*--- compute (r0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+4530993,int_stack+4178193,int_stack+0,105);
 /*--- compute (r0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+0,int_stack+4530993,int_stack+3534333,105);
 /*--- compute (r0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+3125043,int_stack+0,int_stack+2756493,105);
 /*--- compute (r0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+0,int_stack+3125043,int_stack+1983168,105);
 /*--- compute (qp|nn) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1983168,int_stack+0,int_stack+1586772,4356);
 /*--- compute (od|nn) ---*/
 hrr1_build_od(Libint->AB,int_stack+10246302,int_stack+1983168,int_stack+5106222,4356);
 /*--- compute (nf|nn) ---*/
 hrr1_build_nf(Libint->AB,int_stack+3172356,int_stack+10246302,int_stack+6125526,4356);
 /*--- compute (mg|nn) ---*/
 hrr1_build_mg(Libint->AB,int_stack+12284910,int_stack+3172356,int_stack+7850502,4356);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+6047316,int_stack+620565,int_stack+612645,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6071076,int_stack+629925,int_stack+620565,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+6099156,int_stack+6071076,int_stack+6047316,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+6146676,int_stack+640845,int_stack+629925,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+6179436,int_stack+6146676,int_stack+6071076,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+6235596,int_stack+6179436,int_stack+6099156,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+6047316,int_stack+653445,int_stack+640845,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6314796,int_stack+6047316,int_stack+6146676,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+6085116,int_stack+6314796,int_stack+6179436,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+6380316,int_stack+6085116,int_stack+6235596,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+6178716,int_stack+667845,int_stack+653445,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+6221916,int_stack+6178716,int_stack+6047316,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+6499116,int_stack+6221916,int_stack+6314796,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+6608316,int_stack+6499116,int_stack+6085116,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+6748716,int_stack+6608316,int_stack+6380316,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+6047316,int_stack+684165,int_stack+667845,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+6297516,int_stack+6047316,int_stack+6178716,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+6915036,int_stack+6297516,int_stack+6221916,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+6096276,int_stack+6915036,int_stack+6499116,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+6383916,int_stack+6096276,int_stack+6608316,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+7041036,int_stack+6383916,int_stack+6748716,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+6580476,int_stack+702525,int_stack+684165,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+6635556,int_stack+6580476,int_stack+6047316,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+6733476,int_stack+6635556,int_stack+6297516,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+7262796,int_stack+6733476,int_stack+6915036,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+7451796,int_stack+7262796,int_stack+6096276,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+6047316,int_stack+7451796,int_stack+6383916,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+7681116,int_stack+6047316,int_stack+7041036,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+6309396,int_stack+723045,int_stack+702525,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+6370956,int_stack+6309396,int_stack+6580476,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+6877476,int_stack+6370956,int_stack+6635556,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+6481116,int_stack+6877476,int_stack+6733476,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+7966236,int_stack+6481116,int_stack+7262796,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+7040676,int_stack+7966236,int_stack+7451796,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+8230836,int_stack+7040676,int_stack+6047316,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+8567796,int_stack+8230836,int_stack+7681116,120);
 /*--- compute (t0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+6047316,int_stack+745845,int_stack+723045,120);
 /*--- compute (t0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+6115716,int_stack+6047316,int_stack+6309396,120);
 /*--- compute (t0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+7346436,int_stack+6115716,int_stack+6370956,120);
 /*--- compute (t0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+7530036,int_stack+7346436,int_stack+6877476,120);
 /*--- compute (t0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+6697116,int_stack+7530036,int_stack+6481116,120);
 /*--- compute (t0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+6238836,int_stack+6697116,int_stack+7966236,120);
 /*--- compute (t0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+7774836,int_stack+6238836,int_stack+7040676,120);
 /*--- compute (t0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+8924196,int_stack+7774836,int_stack+8230836,120);
 /*--- compute (t0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+9345396,int_stack+8924196,int_stack+8567796,120);
 /*--- compute (t0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+6591636,int_stack+771045,int_stack+745845,120);
 /*--- compute (t0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+6999516,int_stack+6591636,int_stack+6047316,120);
 /*--- compute (t0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+7136316,int_stack+6999516,int_stack+6115716,120);
 /*--- compute (t0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+8167956,int_stack+7136316,int_stack+7346436,120);
 /*--- compute (t0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+6999516,int_stack+8167956,int_stack+7530036,120);
 /*--- compute (t0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+8167956,int_stack+6999516,int_stack+6697116,120);
 /*--- compute (t0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+6591636,int_stack+8167956,int_stack+6238836,120);
 /*--- compute (t0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+8167956,int_stack+6591636,int_stack+7774836,120);
 /*--- compute (t0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+6047316,int_stack+8167956,int_stack+8924196,120);
 /*--- compute (t0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+6562116,int_stack+6047316,int_stack+9345396,120);
 /*--- compute (rp|nn) ---*/
 hrr1_build_rp(Libint->AB,int_stack+7084836,int_stack+6562116,int_stack+0,4356);
 /*--- compute (qd|nn) ---*/
 hrr1_build_qd(Libint->AB,int_stack+15878610,int_stack+7084836,int_stack+1983168,4356);
 /*--- compute (of|nn) ---*/
 hrr1_build_of(Libint->AB,int_stack+18256986,int_stack+15878610,int_stack+10246302,4356);
 /*--- compute (ng|nn) ---*/
 hrr1_build_ng(Libint->AB,int_stack+21654666,int_stack+18256986,int_stack+3172356,4356);
 /*--- compute (mh|nn) ---*/
 hrr1_build_mh(Libint->AB,int_stack+1247004,int_stack+21654666,int_stack+12284910,4356);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+807741,int_stack+798765,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+26928,int_stack+818349,int_stack+807741,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+58752,int_stack+26928,int_stack+0,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+112608,int_stack+830725,int_stack+818349,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+149736,int_stack+112608,int_stack+26928,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+213384,int_stack+149736,int_stack+58752,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+845005,int_stack+830725,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+303144,int_stack+0,int_stack+112608,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+42840,int_stack+303144,int_stack+149736,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+377400,int_stack+42840,int_stack+213384,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+148920,int_stack+861325,int_stack+845005,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+197880,int_stack+148920,int_stack+0,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+512040,int_stack+197880,int_stack+303144,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+635800,int_stack+512040,int_stack+42840,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+8456976,int_stack+635800,int_stack+377400,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+879821,int_stack+861325,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+283560,int_stack+0,int_stack+148920,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+8645472,int_stack+283560,int_stack+197880,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+55488,int_stack+8645472,int_stack+512040,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+381480,int_stack+55488,int_stack+635800,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+604248,int_stack+381480,int_stack+8456976,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+8456976,int_stack+900629,int_stack+879821,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+8519400,int_stack+8456976,int_stack+0,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+8788272,int_stack+8519400,int_stack+283560,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+8951472,int_stack+8788272,int_stack+8645472,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+9165672,int_stack+8951472,int_stack+55488,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+9165672,int_stack+381480,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+9425568,int_stack+0,int_stack+604248,136);
 /*--- compute (u0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+297024,int_stack+923885,int_stack+900629,136);
 /*--- compute (u0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+366792,int_stack+297024,int_stack+8456976,136);
 /*--- compute (u0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+491640,int_stack+366792,int_stack+8519400,136);
 /*--- compute (u0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+8456976,int_stack+491640,int_stack+8788272,136);
 /*--- compute (u0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+9748704,int_stack+8456976,int_stack+8951472,136);
 /*--- compute (u0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+8701776,int_stack+9748704,int_stack+9165672,136);
 /*--- compute (u0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+10048584,int_stack+8701776,int_stack+0,136);
 /*--- compute (u0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+10430472,int_stack+10048584,int_stack+9425568,136);
 /*--- compute (u0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+949725,int_stack+923885,136);
 /*--- compute (u0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+77520,int_stack+0,int_stack+297024,136);
 /*--- compute (u0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+9048304,int_stack+77520,int_stack+366792,136);
 /*--- compute (u0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+9256384,int_stack+9048304,int_stack+491640,136);
 /*--- compute (u0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+217056,int_stack+9256384,int_stack+8456976,136);
 /*--- compute (u0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+10834392,int_stack+217056,int_stack+9748704,136);
 /*--- compute (u0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+9533824,int_stack+10834392,int_stack+8701776,136);
 /*--- compute (u0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+8456976,int_stack+9533824,int_stack+10048584,136);
 /*--- compute (u0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+11234232,int_stack+8456976,int_stack+10430472,136);
 /*--- compute (u0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+8934336,int_stack+978285,int_stack+949725,136);
 /*--- compute (u0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+559776,int_stack+8934336,int_stack+0,136);
 /*--- compute (u0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+714816,int_stack+559776,int_stack+77520,136);
 /*--- compute (u0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+9979360,int_stack+714816,int_stack+9048304,136);
 /*--- compute (u0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+559776,int_stack+9979360,int_stack+9256384,136);
 /*--- compute (u0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+9979360,int_stack+559776,int_stack+217056,136);
 /*--- compute (u0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+9979360,int_stack+10834392,136);
 /*--- compute (u0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+9979360,int_stack+0,int_stack+9533824,136);
 /*--- compute (u0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+9979360,int_stack+8456976,136);
 /*--- compute (u0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+8456976,int_stack+0,int_stack+11234232,136);
 /*--- compute (tp|nn) ---*/
 hrr1_build_tp(Libint->AB,int_stack+9049392,int_stack+8456976,int_stack+6562116,4356);
 /*--- compute (rd|nn) ---*/
 hrr1_build_rd(Libint->AB,int_stack+10617552,int_stack+9049392,int_stack+7084836,4356);
 /*--- compute (qf|nn) ---*/
 hrr1_build_qf(Libint->AB,int_stack+25967106,int_stack+10617552,int_stack+15878610,4356);
 /*--- compute (og|nn) ---*/
 hrr1_build_og(Libint->AB,int_stack+29931066,int_stack+25967106,int_stack+18256986,4356);
 /*--- compute (nh|nn) ---*/
 hrr1_build_nh(Libint->AB,int_stack+13361832,int_stack+29931066,int_stack+21654666,4356);
 /*--- compute (mi|nn) ---*/
 hrr1_build_mi(Libint->AB,int_stack+35027586,int_stack+13361832,int_stack+1247004,4356);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1247004,int_stack+1019799,int_stack+1009701,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1277298,int_stack+1031733,int_stack+1019799,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1313100,int_stack+1277298,int_stack+1247004,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1373688,int_stack+1045656,int_stack+1031733,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1415457,int_stack+1373688,int_stack+1277298,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1487061,int_stack+1415457,int_stack+1313100,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1247004,int_stack+1061721,int_stack+1045656,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1588041,int_stack+1247004,int_stack+1373688,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1295199,int_stack+1588041,int_stack+1415457,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1671579,int_stack+1295199,int_stack+1487061,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1414539,int_stack+1080081,int_stack+1061721,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1469619,int_stack+1414539,int_stack+1247004,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1823049,int_stack+1469619,int_stack+1588041,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1962279,int_stack+1823049,int_stack+1295199,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2141289,int_stack+1962279,int_stack+1671579,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1247004,int_stack+1100889,int_stack+1080081,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1566009,int_stack+1247004,int_stack+1414539,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2353347,int_stack+1566009,int_stack+1469619,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1309428,int_stack+2353347,int_stack+1823049,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1676169,int_stack+1309428,int_stack+1962279,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2513997,int_stack+1676169,int_stack+2141289,153);
 /*--- compute (v0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1926783,int_stack+1124298,int_stack+1100889,153);
 /*--- compute (v0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1997010,int_stack+1926783,int_stack+1247004,153);
 /*--- compute (v0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2121858,int_stack+1997010,int_stack+1566009,153);
 /*--- compute (v0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2796741,int_stack+2121858,int_stack+2353347,153);
 /*--- compute (v0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3037716,int_stack+2796741,int_stack+1309428,153);
 /*--- compute (v0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1247004,int_stack+3037716,int_stack+1676169,153);
 /*--- compute (v0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3330099,int_stack+1247004,int_stack+2513997,153);
 /*--- compute (v0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1581156,int_stack+1150461,int_stack+1124298,153);
 /*--- compute (v0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1659645,int_stack+1581156,int_stack+1926783,153);
 /*--- compute (v0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2305458,int_stack+1659645,int_stack+1997010,153);
 /*--- compute (v0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1800099,int_stack+2305458,int_stack+2121858,153);
 /*--- compute (v0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3693627,int_stack+1800099,int_stack+2796741,153);
 /*--- compute (v0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2513538,int_stack+3693627,int_stack+3037716,153);
 /*--- compute (v0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4030992,int_stack+2513538,int_stack+1247004,153);
 /*--- compute (v0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4460616,int_stack+4030992,int_stack+3330099,153);
 /*--- compute (v0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1247004,int_stack+1179531,int_stack+1150461,153);
 /*--- compute (v0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1334214,int_stack+1247004,int_stack+1581156,153);
 /*--- compute (v0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2903382,int_stack+1334214,int_stack+1659645,153);
 /*--- compute (v0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3137472,int_stack+2903382,int_stack+2305458,153);
 /*--- compute (v0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2075499,int_stack+3137472,int_stack+1800099,153);
 /*--- compute (v0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1491192,int_stack+2075499,int_stack+3693627,153);
 /*--- compute (v0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3449592,int_stack+1491192,int_stack+2513538,153);
 /*--- compute (v0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+4915026,int_stack+3449592,int_stack+4030992,153);
 /*--- compute (v0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+5452056,int_stack+4915026,int_stack+4460616,153);
 /*--- compute (v0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1941012,int_stack+1211661,int_stack+1179531,153);
 /*--- compute (v0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+2461059,int_stack+1941012,int_stack+1247004,153);
 /*--- compute (v0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+2635479,int_stack+2461059,int_stack+1334214,153);
 /*--- compute (v0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+3950820,int_stack+2635479,int_stack+2903382,153);
 /*--- compute (v0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+2461059,int_stack+3950820,int_stack+3137472,153);
 /*--- compute (v0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+3950820,int_stack+2461059,int_stack+2075499,153);
 /*--- compute (v0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1941012,int_stack+3950820,int_stack+1491192,153);
 /*--- compute (v0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+3950820,int_stack+1941012,int_stack+3449592,153);
 /*--- compute (v0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+6007446,int_stack+3950820,int_stack+4915026,153);
 /*--- compute (v0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+6663816,int_stack+6007446,int_stack+5452056,153);
 /*--- compute (up|nn) ---*/
 hrr1_build_up(Libint->AB,int_stack+0,int_stack+6663816,int_stack+8456976,4356);
 /*--- compute (td|nn) ---*/
 hrr1_build_td(Libint->AB,int_stack+1777248,int_stack+0,int_stack+9049392,4356);
 /*--- compute (rf|nn) ---*/
 hrr1_build_rf(Libint->AB,int_stack+4913568,int_stack+1777248,int_stack+10617552,4356);
 /*--- compute (qg|nn) ---*/
 hrr1_build_qg(Libint->AB,int_stack+19399248,int_stack+4913568,int_stack+25967106,4356);
 /*--- compute (oh|nn) ---*/
 hrr1_build_oh(Libint->AB,int_stack+0,int_stack+19399248,int_stack+29931066,4356);
 /*--- compute (ni|nn) ---*/
 hrr1_build_ni(Libint->AB,int_stack+19399248,int_stack+0,int_stack+13361832,4356);
 /*--- compute (mk|nn) ---*/
 hrr1_build_mk(Libint->AB,int_stack+0,int_stack+19399248,int_stack+35027586,4356);
 return int_stack+0;}
