#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ndlk(Libint_t*, prim_data*);

  /* Computes quartets of (nd|lk) integrals */

REALTYPE *hrr_order_ndlk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][8] = int_stack + 0;
 Libint->vrr_classes[10][9] = int_stack + 2970;
 Libint->vrr_classes[10][10] = int_stack + 6600;
 Libint->vrr_classes[10][11] = int_stack + 10956;
 Libint->vrr_classes[10][12] = int_stack + 16104;
 Libint->vrr_classes[10][13] = int_stack + 22110;
 Libint->vrr_classes[10][14] = int_stack + 29040;
 Libint->vrr_classes[10][15] = int_stack + 36960;
 Libint->vrr_classes[11][8] = int_stack + 45936;
 Libint->vrr_classes[11][9] = int_stack + 49446;
 Libint->vrr_classes[11][10] = int_stack + 53736;
 Libint->vrr_classes[11][11] = int_stack + 58884;
 Libint->vrr_classes[11][12] = int_stack + 64968;
 Libint->vrr_classes[11][13] = int_stack + 72066;
 Libint->vrr_classes[11][14] = int_stack + 80256;
 Libint->vrr_classes[11][15] = int_stack + 89616;
 Libint->vrr_classes[12][8] = int_stack + 100224;
 Libint->vrr_classes[12][9] = int_stack + 104319;
 Libint->vrr_classes[12][10] = int_stack + 109324;
 Libint->vrr_classes[12][11] = int_stack + 115330;
 Libint->vrr_classes[12][12] = int_stack + 122428;
 Libint->vrr_classes[12][13] = int_stack + 130709;
 Libint->vrr_classes[12][14] = int_stack + 140264;
 Libint->vrr_classes[12][15] = int_stack + 151184;
 memset(int_stack,0,163560*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 163560;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ndlk(Libint, Data);
   Data++;
 }
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+163560,int_stack+2970,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+172470,int_stack+6600,int_stack+2970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+183360,int_stack+172470,int_stack+163560,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+201180,int_stack+10956,int_stack+6600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+214248,int_stack+201180,int_stack+172470,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+236028,int_stack+214248,int_stack+183360,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163560,int_stack+16104,int_stack+10956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+265728,int_stack+163560,int_stack+201180,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+291864,int_stack+265728,int_stack+214248,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+179004,int_stack+291864,int_stack+236028,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+223554,int_stack+22110,int_stack+16104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+328164,int_stack+223554,int_stack+163560,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+359052,int_stack+328164,int_stack+265728,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+402612,int_stack+359052,int_stack+291864,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+241572,int_stack+402612,int_stack+179004,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+163560,int_stack+29040,int_stack+22110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+184350,int_stack+163560,int_stack+223554,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+457062,int_stack+184350,int_stack+328164,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+508542,int_stack+457062,int_stack+359052,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+303942,int_stack+508542,int_stack+402612,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+573882,int_stack+303942,int_stack+241572,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+220386,int_stack+36960,int_stack+29040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+244146,int_stack+220386,int_stack+163560,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+380172,int_stack+244146,int_stack+184350,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+163560,int_stack+380172,int_stack+457062,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+380172,int_stack+163560,int_stack+508542,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+163560,int_stack+380172,int_stack+303942,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+265200,int_stack+163560,int_stack+573882,66);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+163560,int_stack+49446,int_stack+45936,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+174090,int_stack+53736,int_stack+49446,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+186960,int_stack+174090,int_stack+163560,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+208020,int_stack+58884,int_stack+53736,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+223464,int_stack+208020,int_stack+174090,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+372120,int_stack+223464,int_stack+186960,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163560,int_stack+64968,int_stack+58884,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+407220,int_stack+163560,int_stack+208020,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+438108,int_stack+407220,int_stack+223464,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+181812,int_stack+438108,int_stack+372120,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+372120,int_stack+72066,int_stack+64968,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+481008,int_stack+372120,int_stack+163560,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+517512,int_stack+481008,int_stack+407220,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+568992,int_stack+517512,int_stack+438108,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+393414,int_stack+568992,int_stack+181812,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+163560,int_stack+80256,int_stack+72066,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+188130,int_stack+163560,int_stack+372120,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+188130,int_stack+481008,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+633342,int_stack+0,int_stack+517512,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+467124,int_stack+633342,int_stack+568992,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+710562,int_stack+467124,int_stack+393414,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+372120,int_stack+89616,int_stack+80256,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+400200,int_stack+372120,int_stack+163560,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+557214,int_stack+400200,int_stack+188130,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+163560,int_stack+557214,int_stack+0,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+808842,int_stack+163560,int_stack+633342,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+557214,int_stack+808842,int_stack+467124,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+372120,int_stack+557214,int_stack+710562,78);
 /*--- compute (np|lk) ---*/
 hrr1_build_np(Libint->AB,int_stack+498480,int_stack+372120,int_stack+265200,1620);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+163560,int_stack+104319,int_stack+100224,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+175845,int_stack+109324,int_stack+104319,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+190860,int_stack+175845,int_stack+163560,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+215430,int_stack+115330,int_stack+109324,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+233448,int_stack+215430,int_stack+175845,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+263478,int_stack+233448,int_stack+190860,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163560,int_stack+122428,int_stack+115330,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+304428,int_stack+163560,int_stack+215430,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+304428,int_stack+233448,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+184854,int_stack+0,int_stack+263478,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+246279,int_stack+130709,int_stack+122428,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+50050,int_stack+246279,int_stack+163560,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+819240,int_stack+50050,int_stack+304428,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+271122,int_stack+819240,int_stack+0,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+879300,int_stack+271122,int_stack+184854,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+140264,int_stack+130709,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+163560,int_stack+0,int_stack+246279,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+965295,int_stack+163560,int_stack+50050,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+28665,int_stack+965295,int_stack+819240,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1036275,int_stack+28665,int_stack+271122,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+213246,int_stack+1036275,int_stack+879300,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+819240,int_stack+151184,int_stack+140264,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+852000,int_stack+819240,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1141380,int_stack+852000,int_stack+163560,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+819240,int_stack+1141380,int_stack+965295,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1141380,int_stack+819240,int_stack+28665,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+819240,int_stack+1141380,int_stack+1036275,91);
 /*--- compute (q0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+959380,int_stack+819240,int_stack+213246,91);
 /*--- compute (op|lk) ---*/
 hrr1_build_op(Libint->AB,int_stack+1106800,int_stack+959380,int_stack+372120,1620);
 /*--- compute (nd|lk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1485880,int_stack+1106800,int_stack+498480,1620);
 return int_stack+1485880;}
