#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nglk(Libint_t*, prim_data*);

  /* Computes quartets of (ng|lk) integrals */

REALTYPE *hrr_order_nglk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][8] = int_stack + 0;
 Libint->vrr_classes[10][9] = int_stack + 2970;
 Libint->vrr_classes[10][10] = int_stack + 6600;
 Libint->vrr_classes[10][11] = int_stack + 10956;
 Libint->vrr_classes[10][12] = int_stack + 16104;
 Libint->vrr_classes[10][13] = int_stack + 22110;
 Libint->vrr_classes[10][14] = int_stack + 29040;
 Libint->vrr_classes[10][15] = int_stack + 36960;
 Libint->vrr_classes[11][8] = int_stack + 45936;
 Libint->vrr_classes[11][9] = int_stack + 49446;
 Libint->vrr_classes[11][10] = int_stack + 53736;
 Libint->vrr_classes[11][11] = int_stack + 58884;
 Libint->vrr_classes[11][12] = int_stack + 64968;
 Libint->vrr_classes[11][13] = int_stack + 72066;
 Libint->vrr_classes[11][14] = int_stack + 80256;
 Libint->vrr_classes[11][15] = int_stack + 89616;
 Libint->vrr_classes[12][8] = int_stack + 100224;
 Libint->vrr_classes[12][9] = int_stack + 104319;
 Libint->vrr_classes[12][10] = int_stack + 109324;
 Libint->vrr_classes[12][11] = int_stack + 115330;
 Libint->vrr_classes[12][12] = int_stack + 122428;
 Libint->vrr_classes[12][13] = int_stack + 130709;
 Libint->vrr_classes[12][14] = int_stack + 140264;
 Libint->vrr_classes[12][15] = int_stack + 151184;
 Libint->vrr_classes[13][8] = int_stack + 163560;
 Libint->vrr_classes[13][9] = int_stack + 168285;
 Libint->vrr_classes[13][10] = int_stack + 174060;
 Libint->vrr_classes[13][11] = int_stack + 180990;
 Libint->vrr_classes[13][12] = int_stack + 189180;
 Libint->vrr_classes[13][13] = int_stack + 198735;
 Libint->vrr_classes[13][14] = int_stack + 209760;
 Libint->vrr_classes[13][15] = int_stack + 222360;
 Libint->vrr_classes[14][8] = int_stack + 236640;
 Libint->vrr_classes[14][9] = int_stack + 242040;
 Libint->vrr_classes[14][10] = int_stack + 248640;
 Libint->vrr_classes[14][11] = int_stack + 256560;
 Libint->vrr_classes[14][12] = int_stack + 265920;
 Libint->vrr_classes[14][13] = int_stack + 276840;
 Libint->vrr_classes[14][14] = int_stack + 289440;
 Libint->vrr_classes[14][15] = int_stack + 303840;
 memset(int_stack,0,320160*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 320160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nglk(Libint, Data);
   Data++;
 }
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+320160,int_stack+2970,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+329070,int_stack+6600,int_stack+2970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+339960,int_stack+329070,int_stack+320160,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+357780,int_stack+10956,int_stack+6600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+370848,int_stack+357780,int_stack+329070,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+392628,int_stack+370848,int_stack+339960,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+320160,int_stack+16104,int_stack+10956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+422328,int_stack+320160,int_stack+357780,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+448464,int_stack+422328,int_stack+370848,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+335604,int_stack+448464,int_stack+392628,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+380154,int_stack+22110,int_stack+16104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+484764,int_stack+380154,int_stack+320160,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+515652,int_stack+484764,int_stack+422328,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+559212,int_stack+515652,int_stack+448464,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+398172,int_stack+559212,int_stack+335604,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+320160,int_stack+29040,int_stack+22110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+340950,int_stack+320160,int_stack+380154,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+613662,int_stack+340950,int_stack+484764,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+665142,int_stack+613662,int_stack+515652,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+460542,int_stack+665142,int_stack+559212,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+730482,int_stack+460542,int_stack+398172,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+376986,int_stack+36960,int_stack+29040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+400746,int_stack+376986,int_stack+320160,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+536772,int_stack+400746,int_stack+340950,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+320160,int_stack+536772,int_stack+613662,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+536772,int_stack+320160,int_stack+665142,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+320160,int_stack+536772,int_stack+460542,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+421800,int_stack+320160,int_stack+730482,66);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+320160,int_stack+49446,int_stack+45936,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+330690,int_stack+53736,int_stack+49446,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+343560,int_stack+330690,int_stack+320160,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+364620,int_stack+58884,int_stack+53736,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+380064,int_stack+364620,int_stack+330690,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+528720,int_stack+380064,int_stack+343560,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+320160,int_stack+64968,int_stack+58884,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+563820,int_stack+320160,int_stack+364620,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+594708,int_stack+563820,int_stack+380064,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+338412,int_stack+594708,int_stack+528720,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+528720,int_stack+72066,int_stack+64968,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+637608,int_stack+528720,int_stack+320160,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+674112,int_stack+637608,int_stack+563820,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+725592,int_stack+674112,int_stack+594708,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+550014,int_stack+725592,int_stack+338412,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+320160,int_stack+80256,int_stack+72066,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+344730,int_stack+320160,int_stack+528720,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+344730,int_stack+637608,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+789942,int_stack+0,int_stack+674112,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+623724,int_stack+789942,int_stack+725592,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+867162,int_stack+623724,int_stack+550014,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+528720,int_stack+89616,int_stack+80256,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+556800,int_stack+528720,int_stack+320160,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+713814,int_stack+556800,int_stack+344730,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+320160,int_stack+713814,int_stack+0,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+965442,int_stack+320160,int_stack+789942,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+713814,int_stack+965442,int_stack+623724,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+528720,int_stack+713814,int_stack+867162,78);
 /*--- compute (np|lk) ---*/
 hrr1_build_np(Libint->AB,int_stack+655080,int_stack+528720,int_stack+421800,1620);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+320160,int_stack+104319,int_stack+100224,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+332445,int_stack+109324,int_stack+104319,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+347460,int_stack+332445,int_stack+320160,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+372030,int_stack+115330,int_stack+109324,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+390048,int_stack+372030,int_stack+332445,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+420078,int_stack+390048,int_stack+347460,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+320160,int_stack+122428,int_stack+115330,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+461028,int_stack+320160,int_stack+372030,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+461028,int_stack+390048,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+341454,int_stack+0,int_stack+420078,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+402879,int_stack+130709,int_stack+122428,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+50050,int_stack+402879,int_stack+320160,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+975840,int_stack+50050,int_stack+461028,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+427722,int_stack+975840,int_stack+0,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1035900,int_stack+427722,int_stack+341454,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+140264,int_stack+130709,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+320160,int_stack+0,int_stack+402879,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1121895,int_stack+320160,int_stack+50050,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+28665,int_stack+1121895,int_stack+975840,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1192875,int_stack+28665,int_stack+427722,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+369846,int_stack+1192875,int_stack+1035900,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+975840,int_stack+151184,int_stack+140264,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1008600,int_stack+975840,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1297980,int_stack+1008600,int_stack+320160,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+975840,int_stack+1297980,int_stack+1121895,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1297980,int_stack+975840,int_stack+28665,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+975840,int_stack+1297980,int_stack+1192875,91);
 /*--- compute (q0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1115980,int_stack+975840,int_stack+369846,91);
 /*--- compute (op|lk) ---*/
 hrr1_build_op(Libint->AB,int_stack+1263400,int_stack+1115980,int_stack+528720,1620);
 /*--- compute (nd|lk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1642480,int_stack+1263400,int_stack+655080,1620);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+320160,int_stack+168285,int_stack+163560,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+334335,int_stack+174060,int_stack+168285,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+351660,int_stack+334335,int_stack+320160,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+380010,int_stack+180990,int_stack+174060,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+400800,int_stack+380010,int_stack+334335,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+435450,int_stack+400800,int_stack+351660,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+320160,int_stack+189180,int_stack+180990,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+482700,int_stack+320160,int_stack+380010,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+524280,int_stack+482700,int_stack+400800,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+344730,int_stack+524280,int_stack+435450,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+415605,int_stack+198735,int_stack+189180,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+582030,int_stack+415605,int_stack+320160,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+631170,int_stack+582030,int_stack+482700,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+700470,int_stack+631170,int_stack+524280,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+444270,int_stack+700470,int_stack+344730,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+320160,int_stack+209760,int_stack+198735,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+353235,int_stack+320160,int_stack+415605,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+787095,int_stack+353235,int_stack+582030,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+868995,int_stack+787095,int_stack+631170,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+543495,int_stack+868995,int_stack+700470,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+972945,int_stack+543495,int_stack+444270,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+410565,int_stack+222360,int_stack+209760,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+448365,int_stack+410565,int_stack+320160,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+664770,int_stack+448365,int_stack+353235,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+320160,int_stack+664770,int_stack+787095,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+664770,int_stack+320160,int_stack+868995,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+320160,int_stack+664770,int_stack+543495,105);
 /*--- compute (r0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+481860,int_stack+320160,int_stack+972945,105);
 /*--- compute (qp|lk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+651960,int_stack+481860,int_stack+1115980,1620);
 /*--- compute (od|lk) ---*/
 hrr1_build_od(Libint->AB,int_stack+2284000,int_stack+651960,int_stack+1263400,1620);
 /*--- compute (nf|lk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+3042160,int_stack+2284000,int_stack+1642480,1620);
 /*--- compute (t0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+320160,int_stack+242040,int_stack+236640,120);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+336360,int_stack+248640,int_stack+242040,120);
 /*--- compute (t0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+356160,int_stack+336360,int_stack+320160,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+388560,int_stack+256560,int_stack+248640,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+412320,int_stack+388560,int_stack+336360,120);
 /*--- compute (t0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+1094220,int_stack+412320,int_stack+356160,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+320160,int_stack+265920,int_stack+256560,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1148220,int_stack+320160,int_stack+388560,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1195740,int_stack+1148220,int_stack+412320,120);
 /*--- compute (t0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+348240,int_stack+1195740,int_stack+1094220,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1094220,int_stack+276840,int_stack+265920,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1261740,int_stack+1094220,int_stack+320160,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1317900,int_stack+1261740,int_stack+1148220,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1397100,int_stack+1317900,int_stack+1195740,120);
 /*--- compute (t0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1126980,int_stack+1397100,int_stack+348240,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+320160,int_stack+289440,int_stack+276840,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+357960,int_stack+320160,int_stack+1094220,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1496100,int_stack+357960,int_stack+1261740,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1589700,int_stack+1496100,int_stack+1317900,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1240380,int_stack+1589700,int_stack+1397100,120);
 /*--- compute (t0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1708500,int_stack+1240380,int_stack+1126980,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1094220,int_stack+303840,int_stack+289440,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1137420,int_stack+1094220,int_stack+320160,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1378980,int_stack+1137420,int_stack+357960,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1094220,int_stack+1378980,int_stack+1496100,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1378980,int_stack+1094220,int_stack+1589700,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1859700,int_stack+1378980,int_stack+1240380,120);
 /*--- compute (t0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1094220,int_stack+1859700,int_stack+1708500,120);
 /*--- compute (rp|lk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1288620,int_stack+1094220,int_stack+481860,1620);
 /*--- compute (qd|lk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+4111360,int_stack+1288620,int_stack+651960,1620);
 /*--- compute (of|lk) ---*/
 hrr1_build_of(Libint->AB,int_stack+0,int_stack+4111360,int_stack+2284000,1620);
 /*--- compute (ng|lk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+1263600,int_stack+0,int_stack+3042160,1620);
 return int_stack+1263600;}
