#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00fp(Libr12_t *, prim_data *);

  /* Computes (00|fp) integrals for linear R12-methods */

void hrr_grt_order_00fp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][3] = int_stack + 0;
 Libr12->t2vrr_classes[0][3] = int_stack + 30;
 Libr12->t2vrr_classes[0][4] = int_stack + 40;
 Libr12->t1vrr_classes[0][3] = int_stack + 55;
 Libr12->t1vrr_classes[0][4] = int_stack + 65;
 Libr12->rvrr_classes[0][3] = int_stack + 80;
 Libr12->rvrr_classes[0][4] = int_stack + 90;
 Libr12->gvrr_classes[0][3] = int_stack + 105;
 Libr12->gvrr_classes[0][4] = int_stack + 115;
 memset(int_stack,0,130*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 130;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00fp(Libr12, Data);
   Data++;
 }

 /*--- compute (00|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+130, int_stack+40, int_stack+30, int_stack+115, int_stack+0, int_stack+105, 0, 0);
     Libr12->te_ptr[3] = int_stack + 130;
 /*--- compute (00|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+65, int_stack+55, 1);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (00||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+30, int_stack+90, int_stack+80, 1);
     Libr12->te_ptr[1] = int_stack + 30;
 /*--- compute (00|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+60, int_stack+115, int_stack+105, 1);
     Libr12->te_ptr[0] = int_stack + 60;

}
