#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0gd(Libr12_t *, prim_data *);

  /* Computes (f0|gd) integrals for linear R12-methods */

void hrr_grt_order_f0gd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[3][4] = int_stack + 225;
 Libr12->gvrr_classes[4][5] = int_stack + 375;
 Libr12->t2vrr_classes[3][5] = int_stack + 690;
 Libr12->t2vrr_classes[3][6] = int_stack + 900;
 Libr12->t1vrr_classes[3][4] = int_stack + 1180;
 Libr12->t1vrr_classes[3][5] = int_stack + 1330;
 Libr12->t1vrr_classes[3][6] = int_stack + 1540;
 Libr12->rvrr_classes[3][4] = int_stack + 1820;
 Libr12->rvrr_classes[3][5] = int_stack + 1970;
 Libr12->rvrr_classes[3][6] = int_stack + 2180;
 Libr12->gvrr_classes[3][4] = int_stack + 2460;
 Libr12->gvrr_classes[3][5] = int_stack + 2610;
 Libr12->gvrr_classes[3][6] = int_stack + 2820;
 memset(int_stack,0,3100*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0gd(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3100, int_stack+2610, int_stack+2460, 10);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3550, int_stack+375, int_stack+0, 15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4225, int_stack+2820, int_stack+2610, 10);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4855, int_stack+690, int_stack+225, int_stack+2610, int_stack+0, int_stack+2460, 3, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5305, int_stack+900, int_stack+690, int_stack+2820, int_stack+375, int_stack+2610, 3, 0);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+2460, int_stack+1330, int_stack+1180, 10);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1540, int_stack+1330, 10);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+630, int_stack+1970, int_stack+1820, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1080, int_stack+2180, int_stack+1970, 10);
 /*--- compute (f0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5935, int_stack+5305, int_stack+4855, int_stack+4225, int_stack+3550, int_stack+3100, 3, 0);
     Libr12->te_ptr[3] = int_stack + 5935;
 /*--- compute (f0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+4855, int_stack+0, int_stack+2460, 10);
     Libr12->te_ptr[2] = int_stack + 4855;
 /*--- compute (f0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1710, int_stack+1080, int_stack+630, 10);
     Libr12->te_ptr[1] = int_stack + 1710;
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4225, int_stack+3100, 10);
     Libr12->te_ptr[0] = int_stack + 0;

}
