#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0gg(Libr12_t *, prim_data *);

  /* Computes (f0|gg) integrals for linear R12-methods */

void hrr_grt_order_f0gg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[3][4] = int_stack + 225;
 Libr12->gvrr_classes[4][5] = int_stack + 375;
 Libr12->t2vrr_classes[3][5] = int_stack + 690;
 Libr12->gvrr_classes[4][6] = int_stack + 900;
 Libr12->t2vrr_classes[3][6] = int_stack + 1320;
 Libr12->gvrr_classes[4][7] = int_stack + 1600;
 Libr12->t2vrr_classes[3][7] = int_stack + 2140;
 Libr12->t2vrr_classes[3][8] = int_stack + 2500;
 Libr12->t1vrr_classes[3][4] = int_stack + 2950;
 Libr12->t1vrr_classes[3][5] = int_stack + 3100;
 Libr12->t1vrr_classes[3][6] = int_stack + 3310;
 Libr12->t1vrr_classes[3][7] = int_stack + 3590;
 Libr12->t1vrr_classes[3][8] = int_stack + 3950;
 Libr12->rvrr_classes[3][4] = int_stack + 4400;
 Libr12->rvrr_classes[3][5] = int_stack + 4550;
 Libr12->rvrr_classes[3][6] = int_stack + 4760;
 Libr12->rvrr_classes[3][7] = int_stack + 5040;
 Libr12->rvrr_classes[3][8] = int_stack + 5400;
 Libr12->gvrr_classes[3][4] = int_stack + 5850;
 Libr12->gvrr_classes[3][5] = int_stack + 6000;
 Libr12->gvrr_classes[3][6] = int_stack + 6210;
 Libr12->gvrr_classes[3][7] = int_stack + 6490;
 Libr12->gvrr_classes[3][8] = int_stack + 6850;
 memset(int_stack,0,7300*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7300;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0gg(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7300, int_stack+6000, int_stack+5850, 10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7750, int_stack+6210, int_stack+6000, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+8380, int_stack+7750, int_stack+7300, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+9280, int_stack+6490, int_stack+6210, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+10120, int_stack+9280, int_stack+7750, 10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+11380, int_stack+10120, int_stack+8380, 10);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+12880, int_stack+375, int_stack+0, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13555, int_stack+900, int_stack+375, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+14500, int_stack+13555, int_stack+12880, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15850, int_stack+1600, int_stack+900, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17110, int_stack+15850, int_stack+13555, 15);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+19000, int_stack+17110, int_stack+14500, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+21250, int_stack+6850, int_stack+6490, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+22330, int_stack+21250, int_stack+9280, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+24010, int_stack+22330, int_stack+10120, 10);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26110, int_stack+690, int_stack+225, int_stack+6000, int_stack+0, int_stack+5850, 3, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26560, int_stack+1320, int_stack+690, int_stack+6210, int_stack+375, int_stack+6000, 3, 0);
 /*--- compute (f0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+26560, int_stack+26110, int_stack+7750, int_stack+12880, int_stack+7300, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27190, int_stack+2140, int_stack+1320, int_stack+6490, int_stack+900, int_stack+6210, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28030, int_stack+27190, int_stack+26560, int_stack+9280, int_stack+13555, int_stack+7750, 3, 0);
 /*--- compute (f0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12880, int_stack+28030, int_stack+0, int_stack+10120, int_stack+14500, int_stack+8380, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26110, int_stack+2500, int_stack+2140, int_stack+6850, int_stack+1600, int_stack+6490, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+26110, int_stack+27190, int_stack+21250, int_stack+15850, int_stack+9280, 3, 0);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14380, int_stack+0, int_stack+28030, int_stack+22330, int_stack+17110, int_stack+10120, 3, 0);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3100, int_stack+2950, 10);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+450, int_stack+3310, int_stack+3100, 10);
 /*--- compute (f0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1080, int_stack+450, int_stack+0, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1980, int_stack+3590, int_stack+3310, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+21250, int_stack+1980, int_stack+450, 10);
 /*--- compute (f0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+22510, int_stack+21250, int_stack+1080, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3950, int_stack+3590, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26110, int_stack+0, int_stack+1980, 10);
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+26110, int_stack+21250, 10);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+21250, int_stack+4550, int_stack+4400, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+21700, int_stack+4760, int_stack+4550, 10);
 /*--- compute (f0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+26110, int_stack+21700, int_stack+21250, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27010, int_stack+5040, int_stack+4760, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+27850, int_stack+27010, int_stack+21700, 10);
 /*--- compute (f0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+2100, int_stack+27850, int_stack+26110, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+21250, int_stack+5400, int_stack+5040, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+21250, int_stack+27010, 10);
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+5280, int_stack+3600, int_stack+27850, 10);
 /*--- compute (f0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26110, int_stack+14380, int_stack+12880, int_stack+24010, int_stack+19000, int_stack+11380, 3, 0);
     Libr12->te_ptr[3] = int_stack + 26110;
 /*--- compute (f0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+12880, int_stack+0, int_stack+22510, 10);
     Libr12->te_ptr[2] = int_stack + 12880;
 /*--- compute (f0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+15130, int_stack+5280, int_stack+2100, 10);
     Libr12->te_ptr[1] = int_stack + 15130;
 /*--- compute (f0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+24010, int_stack+11380, 10);
     Libr12->te_ptr[0] = int_stack + 0;

}
