#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpfd(Libr12_t *, prim_data *);

  /* Computes (fp|fd) integrals for linear R12-methods */

void hrr_grt_order_fpfd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][3] = int_stack + 0;
 Libr12->t2vrr_classes[3][4] = int_stack + 100;
 Libr12->t2vrr_classes[3][5] = int_stack + 250;
 Libr12->gvrr_classes[5][3] = int_stack + 460;
 Libr12->t2vrr_classes[4][3] = int_stack + 670;
 Libr12->gvrr_classes[5][4] = int_stack + 820;
 Libr12->t2vrr_classes[4][4] = int_stack + 1135;
 Libr12->t2vrr_classes[4][5] = int_stack + 1360;
 Libr12->gvrr_classes[3][6] = int_stack + 1675;
 Libr12->t1vrr_classes[3][3] = int_stack + 1955;
 Libr12->t1vrr_classes[3][4] = int_stack + 2055;
 Libr12->t1vrr_classes[3][5] = int_stack + 2205;
 Libr12->t1vrr_classes[4][3] = int_stack + 2415;
 Libr12->t1vrr_classes[4][4] = int_stack + 2565;
 Libr12->t1vrr_classes[4][5] = int_stack + 2790;
 Libr12->rvrr_classes[3][3] = int_stack + 3105;
 Libr12->rvrr_classes[3][4] = int_stack + 3205;
 Libr12->rvrr_classes[3][5] = int_stack + 3355;
 Libr12->rvrr_classes[4][3] = int_stack + 3565;
 Libr12->rvrr_classes[4][4] = int_stack + 3715;
 Libr12->rvrr_classes[4][5] = int_stack + 3940;
 Libr12->gvrr_classes[3][3] = int_stack + 4255;
 Libr12->gvrr_classes[3][4] = int_stack + 4355;
 Libr12->gvrr_classes[3][5] = int_stack + 4505;
 Libr12->gvrr_classes[4][3] = int_stack + 4715;
 Libr12->gvrr_classes[4][4] = int_stack + 4865;
 Libr12->gvrr_classes[4][5] = int_stack + 5090;
 memset(int_stack,0,5405*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 5405;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpfd(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5405, int_stack+4355, int_stack+4255, 10);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5705, int_stack+4865, int_stack+4715, 15);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+6155, int_stack+4505, int_stack+4355, 10);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6605, int_stack+100, int_stack+0, int_stack+4355, int_stack+4715, int_stack+4255, 3, 0);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6905, int_stack+250, int_stack+100, int_stack+4505, int_stack+4865, int_stack+4355, 3, 0);
 /*--- compute (f0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7355, int_stack+6905, int_stack+6605, int_stack+6155, int_stack+5705, int_stack+5405, 3, 0);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+6605, int_stack+820, int_stack+460, 21);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7955, int_stack+5090, int_stack+4865, 15);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1135, int_stack+670, int_stack+4865, int_stack+460, int_stack+4715, 4, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8630, int_stack+1360, int_stack+1135, int_stack+5090, int_stack+820, int_stack+4865, 4, 0);
 /*--- compute (g0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+450, int_stack+8630, int_stack+0, int_stack+7955, int_stack+6605, int_stack+5705, 4, 0);
 /*--- compute (f0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+6605, int_stack+6155, int_stack+5405, 10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8630, int_stack+1675, int_stack+4505, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+4255, int_stack+8630, int_stack+6155, 10);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+8630, int_stack+7955, int_stack+5705, 15);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7955, int_stack+2055, int_stack+1955, 10);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2205, int_stack+2055, 10);
 /*--- compute (f0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+5155, int_stack+0, int_stack+7955, 10);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2565, int_stack+2415, 15);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7955, int_stack+2790, int_stack+2565, 15);
 /*--- compute (g0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+1350, int_stack+7955, int_stack+0, 15);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3205, int_stack+3105, 10);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7955, int_stack+3355, int_stack+3205, 10);
 /*--- compute (f0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+5755, int_stack+7955, int_stack+0, 10);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3715, int_stack+3565, 15);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7955, int_stack+3940, int_stack+3715, 15);
 /*--- compute (g0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+2250, int_stack+7955, int_stack+0, 15);
 /*--- compute (fp|[r12,T2]|fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+9530, int_stack+450, int_stack+7355, 60);
     Libr12->te_ptr[3] = int_stack + 9530;
 /*--- compute (fp|[r12,T1]|fd) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+11330, int_stack+1350, int_stack+5155, int_stack+8630, int_stack+4255, int_stack+6605, 3, 2);
     Libr12->te_ptr[2] = int_stack + 11330;
 /*--- compute (fp||fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+2250, int_stack+5755, 60);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (fp|fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+1800, int_stack+8630, int_stack+6605, 60);
     Libr12->te_ptr[0] = int_stack + 1800;

}
