#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gphf(Libr12_t *, prim_data *);

  /* Computes (gp|hf) integrals for linear R12-methods */

void hrr_grt_order_gphf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[4][7] = int_stack + 735;
 Libr12->t2vrr_classes[4][8] = int_stack + 1275;
 Libr12->gvrr_classes[6][5] = int_stack + 1950;
 Libr12->t2vrr_classes[5][5] = int_stack + 2538;
 Libr12->gvrr_classes[6][6] = int_stack + 2979;
 Libr12->t2vrr_classes[5][6] = int_stack + 3763;
 Libr12->gvrr_classes[6][7] = int_stack + 4351;
 Libr12->t2vrr_classes[5][7] = int_stack + 5359;
 Libr12->t2vrr_classes[5][8] = int_stack + 6115;
 Libr12->gvrr_classes[4][9] = int_stack + 7060;
 Libr12->t1vrr_classes[4][5] = int_stack + 7885;
 Libr12->t1vrr_classes[4][6] = int_stack + 8200;
 Libr12->t1vrr_classes[4][7] = int_stack + 8620;
 Libr12->t1vrr_classes[4][8] = int_stack + 9160;
 Libr12->t1vrr_classes[5][5] = int_stack + 9835;
 Libr12->t1vrr_classes[5][6] = int_stack + 10276;
 Libr12->t1vrr_classes[5][7] = int_stack + 10864;
 Libr12->t1vrr_classes[5][8] = int_stack + 11620;
 Libr12->rvrr_classes[4][5] = int_stack + 12565;
 Libr12->rvrr_classes[4][6] = int_stack + 12880;
 Libr12->rvrr_classes[4][7] = int_stack + 13300;
 Libr12->rvrr_classes[4][8] = int_stack + 13840;
 Libr12->rvrr_classes[5][5] = int_stack + 14515;
 Libr12->rvrr_classes[5][6] = int_stack + 14956;
 Libr12->rvrr_classes[5][7] = int_stack + 15544;
 Libr12->rvrr_classes[5][8] = int_stack + 16300;
 Libr12->gvrr_classes[4][5] = int_stack + 17245;
 Libr12->gvrr_classes[4][6] = int_stack + 17560;
 Libr12->gvrr_classes[4][7] = int_stack + 17980;
 Libr12->gvrr_classes[4][8] = int_stack + 18520;
 Libr12->gvrr_classes[5][5] = int_stack + 19195;
 Libr12->gvrr_classes[5][6] = int_stack + 19636;
 Libr12->gvrr_classes[5][7] = int_stack + 20224;
 Libr12->gvrr_classes[5][8] = int_stack + 20980;
 memset(int_stack,0,21925*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 21925;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gphf(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+21925, int_stack+17560, int_stack+17245, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22870, int_stack+17980, int_stack+17560, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+24130, int_stack+22870, int_stack+21925, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+26020, int_stack+19636, int_stack+19195, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27343, int_stack+20224, int_stack+19636, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+29107, int_stack+27343, int_stack+26020, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31753, int_stack+18520, int_stack+17980, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+33373, int_stack+31753, int_stack+22870, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35893, int_stack+315, int_stack+0, int_stack+17560, int_stack+19195, int_stack+17245, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36838, int_stack+735, int_stack+315, int_stack+17980, int_stack+19636, int_stack+17560, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38098, int_stack+36838, int_stack+35893, int_stack+22870, int_stack+26020, int_stack+21925, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39988, int_stack+1275, int_stack+735, int_stack+18520, int_stack+20224, int_stack+17980, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41608, int_stack+39988, int_stack+36838, int_stack+31753, int_stack+27343, int_stack+22870, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44128, int_stack+41608, int_stack+38098, int_stack+33373, int_stack+29107, int_stack+24130, 4, 0);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+21925, int_stack+2979, int_stack+1950, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+35893, int_stack+4351, int_stack+2979, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+38245, int_stack+35893, int_stack+21925, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+41773, int_stack+20980, int_stack+20224, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+47278, int_stack+41773, int_stack+27343, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3763, int_stack+2538, int_stack+19636, int_stack+1950, int_stack+19195, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50806, int_stack+5359, int_stack+3763, int_stack+20224, int_stack+2979, int_stack+19636, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1323, int_stack+50806, int_stack+0, int_stack+27343, int_stack+21925, int_stack+26020, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52570, int_stack+6115, int_stack+5359, int_stack+20980, int_stack+4351, int_stack+20224, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19195, int_stack+52570, int_stack+50806, int_stack+41773, int_stack+35893, int_stack+27343, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50806, int_stack+19195, int_stack+1323, int_stack+47278, int_stack+38245, int_stack+29107, 5, 0);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+19195, int_stack+33373, int_stack+24130, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+22345, int_stack+7060, int_stack+18520, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24370, int_stack+22345, int_stack+31753, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+35893, int_stack+24370, int_stack+33373, 15);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+22345, int_stack+47278, int_stack+29107, 21);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+47278, int_stack+8200, int_stack+7885, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48223, int_stack+8620, int_stack+8200, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+26755, int_stack+48223, int_stack+47278, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28645, int_stack+9160, int_stack+8620, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30265, int_stack+28645, int_stack+48223, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+47278, int_stack+30265, int_stack+26755, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+26755, int_stack+10276, int_stack+9835, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28078, int_stack+10864, int_stack+10276, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+29842, int_stack+28078, int_stack+26755, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+32488, int_stack+11620, int_stack+10864, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+40093, int_stack+32488, int_stack+28078, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+40093, int_stack+29842, 21);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+40093, int_stack+12880, int_stack+12565, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41038, int_stack+13300, int_stack+12880, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+26755, int_stack+41038, int_stack+40093, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+42298, int_stack+13840, int_stack+13300, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28645, int_stack+42298, int_stack+41038, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+40093, int_stack+28645, int_stack+26755, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+26755, int_stack+14956, int_stack+14515, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28078, int_stack+15544, int_stack+14956, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+29842, int_stack+28078, int_stack+26755, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+32488, int_stack+16300, int_stack+15544, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4410, int_stack+32488, int_stack+28078, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+7938, int_stack+4410, int_stack+29842, 21);
 /*--- compute (gp|[r12,T2]|hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+55216, int_stack+50806, int_stack+44128, 210);
     Libr12->te_ptr[3] = int_stack + 55216;
 /*--- compute (gp|[r12,T1]|hf) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+64666, int_stack+0, int_stack+47278, int_stack+22345, int_stack+35893, int_stack+19195, 5, 3);
     Libr12->te_ptr[2] = int_stack + 64666;
 /*--- compute (gp||hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+26755, int_stack+7938, int_stack+40093, 210);
     Libr12->te_ptr[1] = int_stack + 26755;
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+22345, int_stack+19195, 210);
     Libr12->te_ptr[0] = int_stack + 0;

}
