#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpff(Libr12_t *, prim_data *);

  /* Computes (hp|ff) integrals for linear R12-methods */

void hrr_grt_order_hpff(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][3] = int_stack + 0;
 Libr12->t2vrr_classes[5][4] = int_stack + 210;
 Libr12->t2vrr_classes[5][5] = int_stack + 525;
 Libr12->t2vrr_classes[5][6] = int_stack + 966;
 Libr12->gvrr_classes[7][3] = int_stack + 1554;
 Libr12->t2vrr_classes[6][3] = int_stack + 1914;
 Libr12->gvrr_classes[7][4] = int_stack + 2194;
 Libr12->t2vrr_classes[6][4] = int_stack + 2734;
 Libr12->gvrr_classes[7][5] = int_stack + 3154;
 Libr12->t2vrr_classes[6][5] = int_stack + 3910;
 Libr12->t2vrr_classes[6][6] = int_stack + 4498;
 Libr12->gvrr_classes[5][7] = int_stack + 5282;
 Libr12->t1vrr_classes[5][3] = int_stack + 6038;
 Libr12->t1vrr_classes[5][4] = int_stack + 6248;
 Libr12->t1vrr_classes[5][5] = int_stack + 6563;
 Libr12->t1vrr_classes[5][6] = int_stack + 7004;
 Libr12->t1vrr_classes[6][3] = int_stack + 7592;
 Libr12->t1vrr_classes[6][4] = int_stack + 7872;
 Libr12->t1vrr_classes[6][5] = int_stack + 8292;
 Libr12->t1vrr_classes[6][6] = int_stack + 8880;
 Libr12->rvrr_classes[5][3] = int_stack + 9664;
 Libr12->rvrr_classes[5][4] = int_stack + 9874;
 Libr12->rvrr_classes[5][5] = int_stack + 10189;
 Libr12->rvrr_classes[5][6] = int_stack + 10630;
 Libr12->rvrr_classes[6][3] = int_stack + 11218;
 Libr12->rvrr_classes[6][4] = int_stack + 11498;
 Libr12->rvrr_classes[6][5] = int_stack + 11918;
 Libr12->rvrr_classes[6][6] = int_stack + 12506;
 Libr12->gvrr_classes[5][3] = int_stack + 13290;
 Libr12->gvrr_classes[5][4] = int_stack + 13500;
 Libr12->gvrr_classes[5][5] = int_stack + 13815;
 Libr12->gvrr_classes[5][6] = int_stack + 14256;
 Libr12->gvrr_classes[6][3] = int_stack + 14844;
 Libr12->gvrr_classes[6][4] = int_stack + 15124;
 Libr12->gvrr_classes[6][5] = int_stack + 15544;
 Libr12->gvrr_classes[6][6] = int_stack + 16132;
 memset(int_stack,0,16916*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 16916;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpff(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+16916, int_stack+13500, int_stack+13290, 21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+17546, int_stack+13815, int_stack+13500, 21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+18491, int_stack+17546, int_stack+16916, 21);
 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+19751, int_stack+15124, int_stack+14844, 28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+20591, int_stack+15544, int_stack+15124, 28);
 /*--- compute (i0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+21851, int_stack+20591, int_stack+19751, 28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+23531, int_stack+14256, int_stack+13815, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+24854, int_stack+23531, int_stack+17546, 21);
 /*--- compute (h0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26744, int_stack+210, int_stack+0, int_stack+13500, int_stack+14844, int_stack+13290, 5, 0);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27374, int_stack+525, int_stack+210, int_stack+13815, int_stack+15124, int_stack+13500, 5, 0);
 /*--- compute (h0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28319, int_stack+27374, int_stack+26744, int_stack+17546, int_stack+19751, int_stack+16916, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29579, int_stack+966, int_stack+525, int_stack+14256, int_stack+15544, int_stack+13815, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30902, int_stack+29579, int_stack+27374, int_stack+23531, int_stack+20591, int_stack+17546, 5, 0);
 /*--- compute (h0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32792, int_stack+30902, int_stack+28319, int_stack+24854, int_stack+21851, int_stack+18491, 5, 0);
 /*--- compute (k0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+16916, int_stack+2194, int_stack+1554, 36);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+26744, int_stack+3154, int_stack+2194, 36);
 /*--- compute (k0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+28364, int_stack+26744, int_stack+16916, 36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+30524, int_stack+16132, int_stack+15544, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+34892, int_stack+30524, int_stack+20591, 28);
 /*--- compute (i0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13290, int_stack+2734, int_stack+1914, int_stack+15124, int_stack+1554, int_stack+14844, 6, 0);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3910, int_stack+2734, int_stack+15544, int_stack+2194, int_stack+15124, 6, 0);
 /*--- compute (i0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1260, int_stack+0, int_stack+13290, int_stack+20591, int_stack+16916, int_stack+19751, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37412, int_stack+4498, int_stack+3910, int_stack+16132, int_stack+3154, int_stack+15544, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14844, int_stack+37412, int_stack+0, int_stack+30524, int_stack+26744, int_stack+20591, 6, 0);
 /*--- compute (i0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37412, int_stack+14844, int_stack+1260, int_stack+34892, int_stack+28364, int_stack+21851, 6, 0);
 /*--- compute (h0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+19751, int_stack+24854, int_stack+18491, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14844, int_stack+5282, int_stack+14256, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+16608, int_stack+14844, int_stack+23531, 21);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+26744, int_stack+16608, int_stack+24854, 21);
 /*--- compute (i0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+23531, int_stack+34892, int_stack+21851, 28);
 /*--- compute (h0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+21851, int_stack+6248, int_stack+6038, 21);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22481, int_stack+6563, int_stack+6248, 21);
 /*--- compute (h0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+34892, int_stack+22481, int_stack+21851, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+29894, int_stack+7004, int_stack+6563, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+29894, int_stack+22481, 21);
 /*--- compute (h0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+29894, int_stack+0, int_stack+34892, 21);
 /*--- compute (i0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+34892, int_stack+7872, int_stack+7592, 28);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+35732, int_stack+8292, int_stack+7872, 28);
 /*--- compute (i0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+21851, int_stack+35732, int_stack+34892, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+8880, int_stack+8292, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+0, int_stack+35732, 28);
 /*--- compute (i0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+4284, int_stack+1764, int_stack+21851, 28);
 /*--- compute (h0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+21851, int_stack+9874, int_stack+9664, 21);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22481, int_stack+10189, int_stack+9874, 21);
 /*--- compute (h0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+22481, int_stack+21851, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+10630, int_stack+10189, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+34892, int_stack+1260, int_stack+22481, 21);
 /*--- compute (h0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+34892, int_stack+0, 21);
 /*--- compute (i0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11498, int_stack+11218, 28);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+34892, int_stack+11918, int_stack+11498, 28);
 /*--- compute (i0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+21851, int_stack+34892, int_stack+0, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7084, int_stack+12506, int_stack+11918, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+8848, int_stack+7084, int_stack+34892, 28);
 /*--- compute (i0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+11368, int_stack+8848, int_stack+21851, 28);
 /*--- compute (hp|[r12,T2]|ff) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+40212, int_stack+37412, int_stack+32792, 100);
     Libr12->te_ptr[3] = int_stack + 40212;
 /*--- compute (hp|[r12,T1]|ff) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+31994, int_stack+4284, int_stack+29894, int_stack+23531, int_stack+26744, int_stack+19751, 3, 3);
     Libr12->te_ptr[2] = int_stack + 31994;
 /*--- compute (hp||ff) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+3360, int_stack+11368, int_stack+1260, 100);
     Libr12->te_ptr[1] = int_stack + 3360;
 /*--- compute (hp|ff) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+9660, int_stack+23531, int_stack+19751, 100);
     Libr12->te_ptr[0] = int_stack + 9660;

}
