#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_00gg(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+21, r12vrr_stack+40, NULL, NULL, r12vrr_stack+9);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+80, r12vrr_stack+31, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+86, r12vrr_stack+34, r12vrr_stack+80, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+96, r12vrr_stack+40, r12vrr_stack+86, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+9, NULL);
 tmp = r12vrr_stack + 111;
 target_ptr = Libr12->gvrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+126, r12vrr_stack+111, r12vrr_stack+96, NULL, NULL, r12vrr_stack+40);
 tmp = r12vrr_stack + 126;
 target_ptr = Libr12->gvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^0 ---*/
 _BUILD_00h0(Data,r12vrr_stack+171, r12vrr_stack+111, r12vrr_stack+96, r12vrr_stack+21, r12vrr_stack+40, NULL);
 tmp = r12vrr_stack + 171;
 target_ptr = Libr12->gvrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+192, r12vrr_stack+80, r12vrr_stack+9, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+202, r12vrr_stack+86, r12vrr_stack+192, r12vrr_stack+34, r12vrr_stack+80, NULL);

 /*--- compute (00|h0)^1 ---*/
 _BUILD_00h0(Data,r12vrr_stack+217, r12vrr_stack+96, r12vrr_stack+202, r12vrr_stack+40, r12vrr_stack+86, NULL);

 /*--- compute (p0|h0)^0 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+238, r12vrr_stack+171, r12vrr_stack+217, NULL, NULL, r12vrr_stack+96);
 tmp = r12vrr_stack + 238;
 target_ptr = Libr12->gvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^0 ---*/
 _BUILD_00i0(Data,r12vrr_stack+301, r12vrr_stack+171, r12vrr_stack+217, r12vrr_stack+111, r12vrr_stack+96, NULL);
 tmp = r12vrr_stack + 301;
 target_ptr = Libr12->gvrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+329, r12vrr_stack+192, r12vrr_stack+40, r12vrr_stack+80, r12vrr_stack+9, NULL);

 /*--- compute (00|h0)^2 ---*/
 _BUILD_00h0(Data,r12vrr_stack+344, r12vrr_stack+202, r12vrr_stack+329, r12vrr_stack+86, r12vrr_stack+192, NULL);

 /*--- compute (00|i0)^1 ---*/
 _BUILD_00i0(Data,r12vrr_stack+365, r12vrr_stack+217, r12vrr_stack+344, r12vrr_stack+96, r12vrr_stack+202, NULL);

 /*--- compute (p0|i0)^0 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+393, r12vrr_stack+301, r12vrr_stack+365, NULL, NULL, r12vrr_stack+217);
 tmp = r12vrr_stack + 393;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+477, r12vrr_stack+301, r12vrr_stack+365, r12vrr_stack+171, r12vrr_stack+217, NULL);
 tmp = r12vrr_stack + 477;
 target_ptr = Libr12->gvrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+80, r12vrr_stack+31, r12vrr_stack+0, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+86, r12vrr_stack+34, r12vrr_stack+80, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+96, r12vrr_stack+40, r12vrr_stack+86, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 _BUILD_00h0(Data,r12vrr_stack+513, r12vrr_stack+329, r12vrr_stack+96, r12vrr_stack+192, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^2 ---*/
 _BUILD_00i0(Data,r12vrr_stack+534, r12vrr_stack+344, r12vrr_stack+513, r12vrr_stack+202, r12vrr_stack+329, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+562, r12vrr_stack+365, r12vrr_stack+534, r12vrr_stack+217, r12vrr_stack+344, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+598, r12vrr_stack+477, r12vrr_stack+562, NULL, NULL, r12vrr_stack+365);
 tmp = r12vrr_stack + 598;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+192, r12vrr_stack+477, r12vrr_stack+562, r12vrr_stack+301, r12vrr_stack+365, NULL);
 tmp = r12vrr_stack + 192;
 target_ptr = Libr12->gvrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+706, r12vrr_stack+80, r12vrr_stack+9, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+716, r12vrr_stack+86, r12vrr_stack+706, r12vrr_stack+34, r12vrr_stack+80, NULL);

 /*--- compute (00|h0)^4 ---*/
 _BUILD_00h0(Data,r12vrr_stack+731, r12vrr_stack+96, r12vrr_stack+716, r12vrr_stack+40, r12vrr_stack+86, NULL);

 /*--- compute (00|i0)^3 ---*/
 _BUILD_00i0(Data,r12vrr_stack+752, r12vrr_stack+513, r12vrr_stack+731, r12vrr_stack+329, r12vrr_stack+96, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+706, r12vrr_stack+534, r12vrr_stack+752, r12vrr_stack+344, r12vrr_stack+513, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+742, r12vrr_stack+562, r12vrr_stack+706, r12vrr_stack+365, r12vrr_stack+534, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+787, r12vrr_stack+192, r12vrr_stack+742, NULL, NULL, r12vrr_stack+562);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+329, r12vrr_stack+192, r12vrr_stack+742, r12vrr_stack+477, r12vrr_stack+562, NULL);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+706, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+712, r12vrr_stack+706, r12vrr_stack+0, r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+712, r12vrr_stack+706, r12vrr_stack+111, r12vrr_stack+21, r12vrr_stack+15, NULL);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->rvrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+722, r12vrr_stack+0, r12vrr_stack+712, r12vrr_stack+171, r12vrr_stack+111, r12vrr_stack+21, NULL);
 tmp = r12vrr_stack + 722;
 target_ptr = Libr12->rvrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+743, r12vrr_stack+722, r12vrr_stack+0, r12vrr_stack+301, r12vrr_stack+171, r12vrr_stack+111, NULL);
 tmp = r12vrr_stack + 743;
 target_ptr = Libr12->rvrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+513, r12vrr_stack+743, r12vrr_stack+722, r12vrr_stack+477, r12vrr_stack+301, r12vrr_stack+171, NULL);
 tmp = r12vrr_stack + 513;
 target_ptr = Libr12->rvrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_00g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+111, r12vrr_stack+171, r12vrr_stack+126, r12vrr_stack+50, r12vrr_stack+21);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_00h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15, r12vrr_stack+171, r12vrr_stack+301, r12vrr_stack+238, r12vrr_stack+126, r12vrr_stack+111);
 tmp = r12vrr_stack + 15;
 target_ptr = Libr12->t2vrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_00i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+36, r12vrr_stack+301, r12vrr_stack+477, r12vrr_stack+393, r12vrr_stack+238, r12vrr_stack+171);
 tmp = r12vrr_stack + 36;
 target_ptr = Libr12->t2vrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_00k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+64, r12vrr_stack+477, r12vrr_stack+192, r12vrr_stack+598, r12vrr_stack+393, r12vrr_stack+301);
 tmp = r12vrr_stack + 64;
 target_ptr = Libr12->t2vrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_00l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+549, r12vrr_stack+192, r12vrr_stack+329, r12vrr_stack+787, r12vrr_stack+598, r12vrr_stack+477);
 tmp = r12vrr_stack + 549;
 target_ptr = Libr12->t2vrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_00g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+706, r12vrr_stack+111, r12vrr_stack+126, r12vrr_stack+171, NULL, NULL);
 tmp = r12vrr_stack + 706;
 target_ptr = Libr12->t1vrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_00h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+100, r12vrr_stack+171, r12vrr_stack+238, r12vrr_stack+301, NULL, NULL);
 tmp = r12vrr_stack + 100;
 target_ptr = Libr12->t1vrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_00i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+121, r12vrr_stack+301, r12vrr_stack+393, r12vrr_stack+477, NULL, NULL);
 tmp = r12vrr_stack + 121;
 target_ptr = Libr12->t1vrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_00k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+149, r12vrr_stack+477, r12vrr_stack+598, r12vrr_stack+192, NULL, NULL);
 tmp = r12vrr_stack + 149;
 target_ptr = Libr12->t1vrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_00l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+594, r12vrr_stack+192, r12vrr_stack+787, r12vrr_stack+329, NULL, NULL);
 tmp = r12vrr_stack + 594;
 target_ptr = Libr12->t1vrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+329, r12vrr_stack+513, r12vrr_stack+743, r12vrr_stack+192, r12vrr_stack+477, r12vrr_stack+301, NULL);
 tmp = r12vrr_stack + 329;
 target_ptr = Libr12->rvrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];


}

