#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppgd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+80, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+98, r12vrr_stack+12, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+104, r12vrr_stack+15, r12vrr_stack+98, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+21, r12vrr_stack+104, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+50, r12vrr_stack+114, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+80);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+21, r12vrr_stack+104, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+234, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+237, r12vrr_stack+3, r12vrr_stack+234, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+243, r12vrr_stack+98, r12vrr_stack+237, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+253, r12vrr_stack+104, r12vrr_stack+243, r12vrr_stack+15, r12vrr_stack+98, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+268, r12vrr_stack+204, r12vrr_stack+253, NULL, NULL, r12vrr_stack+104);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+21);
 tmp = r12vrr_stack + 313;
 target_ptr = Libr12->gvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+358, r12vrr_stack+313, r12vrr_stack+268, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+114);
 tmp = r12vrr_stack + 358;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 _BUILD_00h0(Data,r12vrr_stack+448, r12vrr_stack+204, r12vrr_stack+253, r12vrr_stack+21, r12vrr_stack+104, NULL);

 /*--- compute (00|h0)^0 ---*/
 _BUILD_00h0(Data,r12vrr_stack+469, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (p0|h0)^0 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+490, r12vrr_stack+469, r12vrr_stack+448, NULL, NULL, r12vrr_stack+204);
 tmp = r12vrr_stack + 490;
 target_ptr = Libr12->gvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+553, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+556, r12vrr_stack+234, r12vrr_stack+553, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+562, r12vrr_stack+237, r12vrr_stack+556, r12vrr_stack+3, r12vrr_stack+234, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+572, r12vrr_stack+243, r12vrr_stack+562, r12vrr_stack+98, r12vrr_stack+237, NULL);

 /*--- compute (00|h0)^2 ---*/
 _BUILD_00h0(Data,r12vrr_stack+587, r12vrr_stack+253, r12vrr_stack+572, r12vrr_stack+104, r12vrr_stack+243, NULL);

 /*--- compute (p0|h0)^1 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+608, r12vrr_stack+448, r12vrr_stack+587, NULL, NULL, r12vrr_stack+253);

 /*--- compute (d0|h0)^0 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+671, r12vrr_stack+490, r12vrr_stack+608, r12vrr_stack+469, r12vrr_stack+448, r12vrr_stack+268);
 tmp = r12vrr_stack + 671;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 _BUILD_00i0(Data,r12vrr_stack+797, r12vrr_stack+448, r12vrr_stack+587, r12vrr_stack+204, r12vrr_stack+253, NULL);

 /*--- compute (00|i0)^0 ---*/
 _BUILD_00i0(Data,r12vrr_stack+825, r12vrr_stack+469, r12vrr_stack+448, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^0 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+853, r12vrr_stack+825, r12vrr_stack+797, NULL, NULL, r12vrr_stack+448);
 tmp = r12vrr_stack + 853;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+937, r12vrr_stack+553, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+943, r12vrr_stack+556, r12vrr_stack+937, r12vrr_stack+234, r12vrr_stack+553, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+953, r12vrr_stack+562, r12vrr_stack+943, r12vrr_stack+237, r12vrr_stack+556, NULL);

 /*--- compute (00|h0)^3 ---*/
 _BUILD_00h0(Data,r12vrr_stack+968, r12vrr_stack+572, r12vrr_stack+953, r12vrr_stack+243, r12vrr_stack+562, NULL);

 /*--- compute (00|i0)^2 ---*/
 _BUILD_00i0(Data,r12vrr_stack+989, r12vrr_stack+587, r12vrr_stack+968, r12vrr_stack+253, r12vrr_stack+572, NULL);

 /*--- compute (p0|i0)^1 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+1017, r12vrr_stack+797, r12vrr_stack+989, NULL, NULL, r12vrr_stack+587);

 /*--- compute (d0|i0)^0 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+1101, r12vrr_stack+853, r12vrr_stack+1017, r12vrr_stack+825, r12vrr_stack+797, r12vrr_stack+608);
 tmp = r12vrr_stack + 1101;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1269, r12vrr_stack+797, r12vrr_stack+989, r12vrr_stack+448, r12vrr_stack+587, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1305, r12vrr_stack+825, r12vrr_stack+797, r12vrr_stack+469, r12vrr_stack+448, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1341, r12vrr_stack+1305, r12vrr_stack+1269, NULL, NULL, r12vrr_stack+797);
 tmp = r12vrr_stack + 1341;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+234, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+3);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1449, r12vrr_stack+15, r12vrr_stack+98, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1467, r12vrr_stack+80, r12vrr_stack+1449, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+234);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1503, r12vrr_stack+104, r12vrr_stack+243, NULL, NULL, r12vrr_stack+98);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1533, r12vrr_stack+114, r12vrr_stack+1503, r12vrr_stack+21, r12vrr_stack+104, r12vrr_stack+1449);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1593, r12vrr_stack+144, r12vrr_stack+1533, r12vrr_stack+50, r12vrr_stack+114, r12vrr_stack+1467);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1449, r12vrr_stack+253, r12vrr_stack+572, NULL, NULL, r12vrr_stack+243);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1693, r12vrr_stack+268, r12vrr_stack+1449, r12vrr_stack+204, r12vrr_stack+253, r12vrr_stack+1503);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1783, r12vrr_stack+358, r12vrr_stack+1693, r12vrr_stack+313, r12vrr_stack+268, r12vrr_stack+1533);
 tmp = r12vrr_stack + 1783;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^2 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1494, r12vrr_stack+587, r12vrr_stack+968, NULL, NULL, r12vrr_stack+572);

 /*--- compute (d0|h0)^1 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+1933, r12vrr_stack+608, r12vrr_stack+1494, r12vrr_stack+448, r12vrr_stack+587, r12vrr_stack+1449);

 /*--- compute (f0|h0)^0 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+2059, r12vrr_stack+671, r12vrr_stack+1933, r12vrr_stack+490, r12vrr_stack+608, r12vrr_stack+1693);
 tmp = r12vrr_stack + 2059;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1693, r12vrr_stack+3, r12vrr_stack+0, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1699, r12vrr_stack+937, r12vrr_stack+1693, r12vrr_stack+553, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+943, r12vrr_stack+1699, r12vrr_stack+556, r12vrr_stack+937, NULL);

 /*--- compute (00|h0)^4 ---*/
 _BUILD_00h0(Data,r12vrr_stack+448, r12vrr_stack+953, r12vrr_stack+204, r12vrr_stack+562, r12vrr_stack+943, NULL);

 /*--- compute (00|i0)^3 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1693, r12vrr_stack+968, r12vrr_stack+448, r12vrr_stack+572, r12vrr_stack+953, NULL);

 /*--- compute (p0|i0)^2 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+2269, r12vrr_stack+989, r12vrr_stack+1693, NULL, NULL, r12vrr_stack+968);

 /*--- compute (d0|i0)^1 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+2353, r12vrr_stack+1017, r12vrr_stack+2269, r12vrr_stack+797, r12vrr_stack+989, r12vrr_stack+1494);

 /*--- compute (f0|i0)^0 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+2521, r12vrr_stack+1101, r12vrr_stack+2353, r12vrr_stack+853, r12vrr_stack+1017, r12vrr_stack+1933);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1933, r12vrr_stack+989, r12vrr_stack+1693, r12vrr_stack+587, r12vrr_stack+968, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2269, r12vrr_stack+1269, r12vrr_stack+1933, NULL, NULL, r12vrr_stack+989);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2801, r12vrr_stack+1341, r12vrr_stack+2269, r12vrr_stack+1305, r12vrr_stack+1269, r12vrr_stack+1017);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+1269, &(Data->ss_r12_ss), NULL, r12vrr_stack+31, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+1272, r12vrr_stack+1269, &(Data->ss_r12_ss), r12vrr_stack+34, r12vrr_stack+31, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+1278, r12vrr_stack+1272, r12vrr_stack+1269, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+1278, r12vrr_stack+1272, r12vrr_stack+219, r12vrr_stack+40, r12vrr_stack+34, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+2269, r12vrr_stack+204, NULL, r12vrr_stack+313, r12vrr_stack+219, NULL, r12vrr_stack+40);
 tmp = r12vrr_stack + 2269;
 target_ptr = Libr12->rvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+448, r12vrr_stack+204, r12vrr_stack+1278, r12vrr_stack+469, r12vrr_stack+219, r12vrr_stack+40, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+2314, r12vrr_stack+448, NULL, r12vrr_stack+490, r12vrr_stack+469, NULL, r12vrr_stack+219);
 tmp = r12vrr_stack + 2314;
 target_ptr = Libr12->rvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+797, r12vrr_stack+448, r12vrr_stack+204, r12vrr_stack+825, r12vrr_stack+469, r12vrr_stack+219, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+2377, r12vrr_stack+797, NULL, r12vrr_stack+853, r12vrr_stack+825, NULL, r12vrr_stack+469);
 tmp = r12vrr_stack + 2377;
 target_ptr = Libr12->rvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2461, r12vrr_stack+313, r12vrr_stack+490, r12vrr_stack+358, r12vrr_stack+144, r12vrr_stack+50);
 tmp = r12vrr_stack + 2461;
 target_ptr = Libr12->t2vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_p0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1933, r12vrr_stack+490, r12vrr_stack+853, r12vrr_stack+671, r12vrr_stack+358, r12vrr_stack+313);
 tmp = r12vrr_stack + 1933;
 target_ptr = Libr12->t2vrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1693, r12vrr_stack+853, r12vrr_stack+1341, r12vrr_stack+1101, r12vrr_stack+671, r12vrr_stack+490);
 tmp = r12vrr_stack + 1693;
 target_ptr = Libr12->t2vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+937, r12vrr_stack+358, r12vrr_stack+671, r12vrr_stack+1783, r12vrr_stack+1593, r12vrr_stack+144);
 tmp = r12vrr_stack + 937;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1449, r12vrr_stack+671, r12vrr_stack+1101, r12vrr_stack+2059, r12vrr_stack+1783, r12vrr_stack+358);
 tmp = r12vrr_stack + 1449;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3017, r12vrr_stack+1101, r12vrr_stack+2801, r12vrr_stack+2521, r12vrr_stack+2059, r12vrr_stack+671);
 tmp = r12vrr_stack + 3017;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1996, r12vrr_stack+313, r12vrr_stack+358, r12vrr_stack+490, r12vrr_stack+469, r12vrr_stack+219);
 tmp = r12vrr_stack + 1996;
 target_ptr = Libr12->t1vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_p0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1027, r12vrr_stack+490, r12vrr_stack+671, r12vrr_stack+853, r12vrr_stack+825, r12vrr_stack+469);
 tmp = r12vrr_stack + 1027;
 target_ptr = Libr12->t1vrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+553, r12vrr_stack+853, r12vrr_stack+1101, r12vrr_stack+1341, r12vrr_stack+1305, r12vrr_stack+825);
 tmp = r12vrr_stack + 553;
 target_ptr = Libr12->t1vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1575, r12vrr_stack+358, r12vrr_stack+1783, r12vrr_stack+671, r12vrr_stack+490, r12vrr_stack+313);
 tmp = r12vrr_stack + 1575;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1777, r12vrr_stack+671, r12vrr_stack+2059, r12vrr_stack+1101, r12vrr_stack+853, r12vrr_stack+490);
 tmp = r12vrr_stack + 1777;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2041, r12vrr_stack+1101, r12vrr_stack+2521, r12vrr_stack+2801, r12vrr_stack+1341, r12vrr_stack+853);
 tmp = r12vrr_stack + 2041;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+1269, r12vrr_stack+2269, r12vrr_stack+204, r12vrr_stack+358, r12vrr_stack+313, r12vrr_stack+219, r12vrr_stack+50);
 tmp = r12vrr_stack + 1269;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+2506, r12vrr_stack+2314, r12vrr_stack+448, r12vrr_stack+671, r12vrr_stack+490, r12vrr_stack+469, r12vrr_stack+313);
 tmp = r12vrr_stack + 2506;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+2209, r12vrr_stack+2377, r12vrr_stack+797, r12vrr_stack+1101, r12vrr_stack+853, r12vrr_stack+825, r12vrr_stack+490);
 tmp = r12vrr_stack + 2209;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];


}

