#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_dphg(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|hg) integrals */

void d12hrr_order_dphg(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][9][11] = int_stack + 0;
 Libderiv->deriv_classes[3][9][10] = int_stack + 550;
 Libderiv->deriv_classes[3][9][9] = int_stack + 1100;
 Libderiv->deriv_classes[3][9][8] = int_stack + 1650;
 Libderiv->deriv_classes[3][9][7] = int_stack + 2200;
 Libderiv->dvrr_classes[3][8] = int_stack + 2750;
 Libderiv->deriv_classes[3][9][6] = int_stack + 3200;
 Libderiv->deriv_classes[3][9][2] = int_stack + 3750;
 Libderiv->deriv_classes[3][9][1] = int_stack + 4300;
 Libderiv->dvrr_classes[2][9] = int_stack + 4850;
 Libderiv->deriv_classes[3][9][0] = int_stack + 5180;
 Libderiv->deriv2_classes[2][5][143] = int_stack + 5730;
 Libderiv->deriv2_classes[2][6][143] = int_stack + 5856;
 Libderiv->deriv2_classes[2][7][143] = int_stack + 6024;
 Libderiv->deriv2_classes[2][8][143] = int_stack + 6240;
 Libderiv->deriv2_classes[2][9][143] = int_stack + 6510;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 6840;
 Libderiv->deriv2_classes[3][6][143] = int_stack + 7050;
 Libderiv->deriv2_classes[3][7][143] = int_stack + 7330;
 Libderiv->deriv2_classes[3][8][143] = int_stack + 7690;
 Libderiv->deriv2_classes[3][9][143] = int_stack + 8140;
 Libderiv->deriv2_classes[2][5][131] = int_stack + 8690;
 Libderiv->deriv2_classes[2][6][131] = int_stack + 8816;
 Libderiv->deriv2_classes[2][7][131] = int_stack + 8984;
 Libderiv->deriv2_classes[2][8][131] = int_stack + 9200;
 Libderiv->deriv2_classes[2][9][131] = int_stack + 9470;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 9800;
 Libderiv->deriv2_classes[3][6][131] = int_stack + 10010;
 Libderiv->deriv2_classes[3][7][131] = int_stack + 10290;
 Libderiv->deriv2_classes[3][8][131] = int_stack + 10650;
 Libderiv->deriv2_classes[3][9][131] = int_stack + 11100;
 Libderiv->deriv2_classes[2][5][130] = int_stack + 11650;
 Libderiv->deriv2_classes[2][6][130] = int_stack + 11776;
 Libderiv->deriv2_classes[2][7][130] = int_stack + 11944;
 Libderiv->deriv2_classes[2][8][130] = int_stack + 12160;
 Libderiv->deriv2_classes[2][9][130] = int_stack + 12430;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 12760;
 Libderiv->deriv2_classes[3][6][130] = int_stack + 12970;
 Libderiv->deriv2_classes[3][7][130] = int_stack + 13250;
 Libderiv->deriv2_classes[3][8][130] = int_stack + 13610;
 Libderiv->deriv2_classes[3][9][130] = int_stack + 14060;
 Libderiv->deriv2_classes[2][5][119] = int_stack + 14610;
 Libderiv->deriv2_classes[2][6][119] = int_stack + 14736;
 Libderiv->deriv2_classes[2][7][119] = int_stack + 14904;
 Libderiv->deriv2_classes[2][8][119] = int_stack + 15120;
 Libderiv->deriv2_classes[2][9][119] = int_stack + 15390;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 15720;
 Libderiv->deriv2_classes[3][6][119] = int_stack + 15930;
 Libderiv->deriv2_classes[3][7][119] = int_stack + 16210;
 Libderiv->deriv2_classes[3][8][119] = int_stack + 16570;
 Libderiv->deriv2_classes[3][9][119] = int_stack + 17020;
 Libderiv->deriv2_classes[2][5][118] = int_stack + 17570;
 Libderiv->deriv2_classes[2][6][118] = int_stack + 17696;
 Libderiv->deriv2_classes[2][7][118] = int_stack + 17864;
 Libderiv->deriv2_classes[2][8][118] = int_stack + 18080;
 Libderiv->deriv2_classes[2][9][118] = int_stack + 18350;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 18680;
 Libderiv->deriv2_classes[3][6][118] = int_stack + 18890;
 Libderiv->deriv2_classes[3][7][118] = int_stack + 19170;
 Libderiv->deriv2_classes[3][8][118] = int_stack + 19530;
 Libderiv->deriv2_classes[3][9][118] = int_stack + 19980;
 Libderiv->deriv2_classes[2][5][117] = int_stack + 20530;
 Libderiv->deriv2_classes[2][6][117] = int_stack + 20656;
 Libderiv->deriv2_classes[2][7][117] = int_stack + 20824;
 Libderiv->deriv2_classes[2][8][117] = int_stack + 21040;
 Libderiv->deriv2_classes[2][9][117] = int_stack + 21310;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 21640;
 Libderiv->deriv2_classes[3][6][117] = int_stack + 21850;
 Libderiv->deriv2_classes[3][7][117] = int_stack + 22130;
 Libderiv->deriv2_classes[3][8][117] = int_stack + 22490;
 Libderiv->deriv2_classes[3][9][117] = int_stack + 22940;
 Libderiv->deriv2_classes[2][5][107] = int_stack + 23490;
 Libderiv->deriv2_classes[2][6][107] = int_stack + 23616;
 Libderiv->deriv2_classes[2][7][107] = int_stack + 23784;
 Libderiv->deriv2_classes[2][8][107] = int_stack + 24000;
 Libderiv->deriv2_classes[2][9][107] = int_stack + 24270;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 24600;
 Libderiv->deriv2_classes[3][6][107] = int_stack + 24810;
 Libderiv->deriv2_classes[3][7][107] = int_stack + 25090;
 Libderiv->deriv2_classes[3][8][107] = int_stack + 25450;
 Libderiv->deriv2_classes[3][9][107] = int_stack + 25900;
 Libderiv->deriv2_classes[2][5][106] = int_stack + 26450;
 Libderiv->deriv2_classes[2][6][106] = int_stack + 26576;
 Libderiv->deriv2_classes[2][7][106] = int_stack + 26744;
 Libderiv->deriv2_classes[2][8][106] = int_stack + 26960;
 Libderiv->deriv2_classes[2][9][106] = int_stack + 27230;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 27560;
 Libderiv->deriv2_classes[3][6][106] = int_stack + 27770;
 Libderiv->deriv2_classes[3][7][106] = int_stack + 28050;
 Libderiv->deriv2_classes[3][8][106] = int_stack + 28410;
 Libderiv->deriv2_classes[3][9][106] = int_stack + 28860;
 Libderiv->deriv2_classes[2][5][105] = int_stack + 29410;
 Libderiv->deriv2_classes[2][6][105] = int_stack + 29536;
 Libderiv->deriv2_classes[2][7][105] = int_stack + 29704;
 Libderiv->deriv2_classes[2][8][105] = int_stack + 29920;
 Libderiv->deriv2_classes[2][9][105] = int_stack + 30190;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 30520;
 Libderiv->deriv2_classes[3][6][105] = int_stack + 30730;
 Libderiv->deriv2_classes[3][7][105] = int_stack + 31010;
 Libderiv->deriv2_classes[3][8][105] = int_stack + 31370;
 Libderiv->deriv2_classes[3][9][105] = int_stack + 31820;
 Libderiv->deriv2_classes[2][5][104] = int_stack + 32370;
 Libderiv->deriv2_classes[2][6][104] = int_stack + 32496;
 Libderiv->deriv2_classes[2][7][104] = int_stack + 32664;
 Libderiv->deriv2_classes[2][8][104] = int_stack + 32880;
 Libderiv->deriv2_classes[2][9][104] = int_stack + 33150;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 33480;
 Libderiv->deriv2_classes[3][6][104] = int_stack + 33690;
 Libderiv->deriv2_classes[3][7][104] = int_stack + 33970;
 Libderiv->deriv2_classes[3][8][104] = int_stack + 34330;
 Libderiv->deriv2_classes[3][9][104] = int_stack + 34780;
 Libderiv->deriv2_classes[2][5][95] = int_stack + 35330;
 Libderiv->deriv2_classes[2][6][95] = int_stack + 35456;
 Libderiv->deriv2_classes[2][7][95] = int_stack + 35624;
 Libderiv->deriv2_classes[2][8][95] = int_stack + 35840;
 Libderiv->deriv2_classes[2][9][95] = int_stack + 36110;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 36440;
 Libderiv->deriv2_classes[3][6][95] = int_stack + 36650;
 Libderiv->deriv2_classes[3][7][95] = int_stack + 36930;
 Libderiv->deriv2_classes[3][8][95] = int_stack + 37290;
 Libderiv->deriv2_classes[3][9][95] = int_stack + 37740;
 Libderiv->deriv2_classes[2][5][94] = int_stack + 38290;
 Libderiv->deriv2_classes[2][6][94] = int_stack + 38416;
 Libderiv->deriv2_classes[2][7][94] = int_stack + 38584;
 Libderiv->deriv2_classes[2][8][94] = int_stack + 38800;
 Libderiv->deriv2_classes[2][9][94] = int_stack + 39070;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 39400;
 Libderiv->deriv2_classes[3][6][94] = int_stack + 39610;
 Libderiv->deriv2_classes[3][7][94] = int_stack + 39890;
 Libderiv->deriv2_classes[3][8][94] = int_stack + 40250;
 Libderiv->deriv2_classes[3][9][94] = int_stack + 40700;
 Libderiv->deriv2_classes[2][5][93] = int_stack + 41250;
 Libderiv->deriv2_classes[2][6][93] = int_stack + 41376;
 Libderiv->deriv2_classes[2][7][93] = int_stack + 41544;
 Libderiv->deriv2_classes[2][8][93] = int_stack + 41760;
 Libderiv->deriv2_classes[2][9][93] = int_stack + 42030;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 42360;
 Libderiv->deriv2_classes[3][6][93] = int_stack + 42570;
 Libderiv->deriv2_classes[3][7][93] = int_stack + 42850;
 Libderiv->deriv2_classes[3][8][93] = int_stack + 43210;
 Libderiv->deriv2_classes[3][9][93] = int_stack + 43660;
 Libderiv->deriv2_classes[2][5][92] = int_stack + 44210;
 Libderiv->deriv2_classes[2][6][92] = int_stack + 44336;
 Libderiv->deriv2_classes[2][7][92] = int_stack + 44504;
 Libderiv->deriv2_classes[2][8][92] = int_stack + 44720;
 Libderiv->deriv2_classes[2][9][92] = int_stack + 44990;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 45320;
 Libderiv->deriv2_classes[3][6][92] = int_stack + 45530;
 Libderiv->deriv2_classes[3][7][92] = int_stack + 45810;
 Libderiv->deriv2_classes[3][8][92] = int_stack + 46170;
 Libderiv->deriv2_classes[3][9][92] = int_stack + 46620;
 Libderiv->deriv2_classes[2][5][91] = int_stack + 47170;
 Libderiv->deriv2_classes[2][6][91] = int_stack + 47296;
 Libderiv->deriv2_classes[2][7][91] = int_stack + 47464;
 Libderiv->deriv2_classes[2][8][91] = int_stack + 47680;
 Libderiv->deriv2_classes[2][9][91] = int_stack + 47950;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 48280;
 Libderiv->deriv2_classes[3][6][91] = int_stack + 48490;
 Libderiv->deriv2_classes[3][7][91] = int_stack + 48770;
 Libderiv->deriv2_classes[3][8][91] = int_stack + 49130;
 Libderiv->deriv2_classes[3][9][91] = int_stack + 49580;
 Libderiv->deriv2_classes[2][5][83] = int_stack + 50130;
 Libderiv->deriv2_classes[2][6][83] = int_stack + 50256;
 Libderiv->deriv2_classes[2][7][83] = int_stack + 50424;
 Libderiv->deriv2_classes[2][8][83] = int_stack + 50640;
 Libderiv->deriv2_classes[2][9][83] = int_stack + 50910;
 Libderiv->deriv_classes[3][5][11] = int_stack + 51240;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 51450;
 Libderiv->deriv_classes[3][6][11] = int_stack + 51660;
 Libderiv->deriv2_classes[3][6][83] = int_stack + 51940;
 Libderiv->deriv_classes[3][7][11] = int_stack + 52220;
 Libderiv->deriv2_classes[3][7][83] = int_stack + 52580;
 Libderiv->deriv_classes[3][8][11] = int_stack + 52940;
 Libderiv->deriv2_classes[3][8][83] = int_stack + 53390;
 Libderiv->deriv2_classes[3][9][83] = int_stack + 53840;
 Libderiv->deriv2_classes[2][5][82] = int_stack + 54390;
 Libderiv->deriv2_classes[2][6][82] = int_stack + 54516;
 Libderiv->deriv2_classes[2][7][82] = int_stack + 54684;
 Libderiv->deriv2_classes[2][8][82] = int_stack + 54900;
 Libderiv->deriv2_classes[2][9][82] = int_stack + 55170;
 Libderiv->deriv_classes[3][5][10] = int_stack + 55500;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 55710;
 Libderiv->deriv_classes[3][6][10] = int_stack + 55920;
 Libderiv->deriv2_classes[3][6][82] = int_stack + 56200;
 Libderiv->deriv_classes[3][7][10] = int_stack + 56480;
 Libderiv->deriv2_classes[3][7][82] = int_stack + 56840;
 Libderiv->deriv_classes[3][8][10] = int_stack + 57200;
 Libderiv->deriv2_classes[3][8][82] = int_stack + 57650;
 Libderiv->deriv2_classes[3][9][82] = int_stack + 58100;
 Libderiv->deriv2_classes[2][5][81] = int_stack + 58650;
 Libderiv->deriv2_classes[2][6][81] = int_stack + 58776;
 Libderiv->deriv2_classes[2][7][81] = int_stack + 58944;
 Libderiv->deriv2_classes[2][8][81] = int_stack + 59160;
 Libderiv->deriv2_classes[2][9][81] = int_stack + 59430;
 Libderiv->deriv_classes[3][5][9] = int_stack + 59760;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 59970;
 Libderiv->deriv_classes[3][6][9] = int_stack + 60180;
 Libderiv->deriv2_classes[3][6][81] = int_stack + 60460;
 Libderiv->deriv_classes[3][7][9] = int_stack + 60740;
 Libderiv->deriv2_classes[3][7][81] = int_stack + 61100;
 Libderiv->deriv_classes[3][8][9] = int_stack + 61460;
 Libderiv->deriv2_classes[3][8][81] = int_stack + 61910;
 Libderiv->deriv2_classes[3][9][81] = int_stack + 62360;
 Libderiv->deriv2_classes[2][5][80] = int_stack + 62910;
 Libderiv->deriv2_classes[2][6][80] = int_stack + 63036;
 Libderiv->deriv2_classes[2][7][80] = int_stack + 63204;
 Libderiv->deriv2_classes[2][8][80] = int_stack + 63420;
 Libderiv->deriv2_classes[2][9][80] = int_stack + 63690;
 Libderiv->deriv_classes[3][5][8] = int_stack + 64020;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 64230;
 Libderiv->deriv_classes[3][6][8] = int_stack + 64440;
 Libderiv->deriv2_classes[3][6][80] = int_stack + 64720;
 Libderiv->deriv_classes[3][7][8] = int_stack + 65000;
 Libderiv->deriv2_classes[3][7][80] = int_stack + 65360;
 Libderiv->deriv_classes[3][8][8] = int_stack + 65720;
 Libderiv->deriv2_classes[3][8][80] = int_stack + 66170;
 Libderiv->deriv2_classes[3][9][80] = int_stack + 66620;
 Libderiv->deriv2_classes[2][5][79] = int_stack + 67170;
 Libderiv->deriv2_classes[2][6][79] = int_stack + 67296;
 Libderiv->deriv2_classes[2][7][79] = int_stack + 67464;
 Libderiv->deriv2_classes[2][8][79] = int_stack + 67680;
 Libderiv->deriv2_classes[2][9][79] = int_stack + 67950;
 Libderiv->deriv_classes[3][5][7] = int_stack + 68280;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 68490;
 Libderiv->deriv_classes[3][6][7] = int_stack + 68700;
 Libderiv->deriv2_classes[3][6][79] = int_stack + 68980;
 Libderiv->deriv_classes[3][7][7] = int_stack + 69260;
 Libderiv->deriv2_classes[3][7][79] = int_stack + 69620;
 Libderiv->deriv_classes[3][8][7] = int_stack + 69980;
 Libderiv->deriv2_classes[3][8][79] = int_stack + 70430;
 Libderiv->deriv2_classes[3][9][79] = int_stack + 70880;
 Libderiv->deriv2_classes[2][5][78] = int_stack + 71430;
 Libderiv->deriv2_classes[2][6][78] = int_stack + 71556;
 Libderiv->deriv2_classes[2][7][78] = int_stack + 71724;
 Libderiv->deriv2_classes[2][8][78] = int_stack + 71940;
 Libderiv->deriv2_classes[2][9][78] = int_stack + 72210;
 Libderiv->dvrr_classes[3][5] = int_stack + 72540;
 Libderiv->deriv_classes[3][5][6] = int_stack + 72750;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 72960;
 Libderiv->dvrr_classes[3][6] = int_stack + 73170;
 Libderiv->deriv_classes[3][6][6] = int_stack + 73450;
 Libderiv->deriv2_classes[3][6][78] = int_stack + 73730;
 Libderiv->dvrr_classes[3][7] = int_stack + 74010;
 Libderiv->deriv_classes[3][7][6] = int_stack + 74370;
 Libderiv->deriv2_classes[3][7][78] = int_stack + 74730;
 Libderiv->deriv_classes[3][8][6] = int_stack + 75090;
 Libderiv->deriv2_classes[3][8][78] = int_stack + 75540;
 Libderiv->deriv2_classes[3][9][78] = int_stack + 75990;
 Libderiv->deriv2_classes[2][5][35] = int_stack + 76540;
 Libderiv->deriv2_classes[2][6][35] = int_stack + 76666;
 Libderiv->deriv2_classes[2][7][35] = int_stack + 76834;
 Libderiv->deriv2_classes[2][8][35] = int_stack + 77050;
 Libderiv->deriv2_classes[2][9][35] = int_stack + 77320;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 77650;
 Libderiv->deriv2_classes[3][6][35] = int_stack + 77860;
 Libderiv->deriv2_classes[3][7][35] = int_stack + 78140;
 Libderiv->deriv2_classes[3][8][35] = int_stack + 78500;
 Libderiv->deriv2_classes[3][9][35] = int_stack + 78950;
 Libderiv->deriv2_classes[2][5][34] = int_stack + 79500;
 Libderiv->deriv2_classes[2][6][34] = int_stack + 79626;
 Libderiv->deriv2_classes[2][7][34] = int_stack + 79794;
 Libderiv->deriv2_classes[2][8][34] = int_stack + 80010;
 Libderiv->deriv2_classes[2][9][34] = int_stack + 80280;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 80610;
 Libderiv->deriv2_classes[3][6][34] = int_stack + 80820;
 Libderiv->deriv2_classes[3][7][34] = int_stack + 81100;
 Libderiv->deriv2_classes[3][8][34] = int_stack + 81460;
 Libderiv->deriv2_classes[3][9][34] = int_stack + 81910;
 Libderiv->deriv2_classes[2][5][33] = int_stack + 82460;
 Libderiv->deriv2_classes[2][6][33] = int_stack + 82586;
 Libderiv->deriv2_classes[2][7][33] = int_stack + 82754;
 Libderiv->deriv2_classes[2][8][33] = int_stack + 82970;
 Libderiv->deriv2_classes[2][9][33] = int_stack + 83240;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 83570;
 Libderiv->deriv2_classes[3][6][33] = int_stack + 83780;
 Libderiv->deriv2_classes[3][7][33] = int_stack + 84060;
 Libderiv->deriv2_classes[3][8][33] = int_stack + 84420;
 Libderiv->deriv2_classes[3][9][33] = int_stack + 84870;
 Libderiv->deriv2_classes[2][5][32] = int_stack + 85420;
 Libderiv->deriv2_classes[2][6][32] = int_stack + 85546;
 Libderiv->deriv2_classes[2][7][32] = int_stack + 85714;
 Libderiv->deriv2_classes[2][8][32] = int_stack + 85930;
 Libderiv->deriv2_classes[2][9][32] = int_stack + 86200;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 86530;
 Libderiv->deriv2_classes[3][6][32] = int_stack + 86740;
 Libderiv->deriv2_classes[3][7][32] = int_stack + 87020;
 Libderiv->deriv2_classes[3][8][32] = int_stack + 87380;
 Libderiv->deriv2_classes[3][9][32] = int_stack + 87830;
 Libderiv->deriv2_classes[2][5][31] = int_stack + 88380;
 Libderiv->deriv2_classes[2][6][31] = int_stack + 88506;
 Libderiv->deriv2_classes[2][7][31] = int_stack + 88674;
 Libderiv->deriv2_classes[2][8][31] = int_stack + 88890;
 Libderiv->deriv2_classes[2][9][31] = int_stack + 89160;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 89490;
 Libderiv->deriv2_classes[3][6][31] = int_stack + 89700;
 Libderiv->deriv2_classes[3][7][31] = int_stack + 89980;
 Libderiv->deriv2_classes[3][8][31] = int_stack + 90340;
 Libderiv->deriv2_classes[3][9][31] = int_stack + 90790;
 Libderiv->deriv2_classes[2][5][30] = int_stack + 91340;
 Libderiv->deriv2_classes[2][6][30] = int_stack + 91466;
 Libderiv->deriv2_classes[2][7][30] = int_stack + 91634;
 Libderiv->deriv2_classes[2][8][30] = int_stack + 91850;
 Libderiv->deriv2_classes[2][9][30] = int_stack + 92120;
 Libderiv->deriv_classes[3][5][2] = int_stack + 92450;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 92660;
 Libderiv->deriv_classes[3][6][2] = int_stack + 92870;
 Libderiv->deriv2_classes[3][6][30] = int_stack + 93150;
 Libderiv->deriv_classes[3][7][2] = int_stack + 93430;
 Libderiv->deriv2_classes[3][7][30] = int_stack + 93790;
 Libderiv->deriv_classes[3][8][2] = int_stack + 94150;
 Libderiv->deriv2_classes[3][8][30] = int_stack + 94600;
 Libderiv->deriv2_classes[3][9][30] = int_stack + 95050;
 Libderiv->deriv2_classes[2][5][26] = int_stack + 95600;
 Libderiv->deriv2_classes[2][6][26] = int_stack + 95726;
 Libderiv->deriv2_classes[2][7][26] = int_stack + 95894;
 Libderiv->deriv2_classes[2][8][26] = int_stack + 96110;
 Libderiv->deriv2_classes[2][9][26] = int_stack + 96380;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 96710;
 Libderiv->deriv2_classes[3][6][26] = int_stack + 96920;
 Libderiv->deriv2_classes[3][7][26] = int_stack + 97200;
 Libderiv->deriv2_classes[3][8][26] = int_stack + 97560;
 Libderiv->deriv2_classes[3][9][26] = int_stack + 98010;
 Libderiv->deriv2_classes[2][5][23] = int_stack + 98560;
 Libderiv->deriv2_classes[2][6][23] = int_stack + 98686;
 Libderiv->deriv2_classes[2][7][23] = int_stack + 98854;
 Libderiv->deriv2_classes[2][8][23] = int_stack + 99070;
 Libderiv->deriv2_classes[2][9][23] = int_stack + 99340;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 99670;
 Libderiv->deriv2_classes[3][6][23] = int_stack + 99880;
 Libderiv->deriv2_classes[3][7][23] = int_stack + 100160;
 Libderiv->deriv2_classes[3][8][23] = int_stack + 100520;
 Libderiv->deriv2_classes[3][9][23] = int_stack + 100970;
 Libderiv->deriv2_classes[2][5][22] = int_stack + 101520;
 Libderiv->deriv2_classes[2][6][22] = int_stack + 101646;
 Libderiv->deriv2_classes[2][7][22] = int_stack + 101814;
 Libderiv->deriv2_classes[2][8][22] = int_stack + 102030;
 Libderiv->deriv2_classes[2][9][22] = int_stack + 102300;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 102630;
 Libderiv->deriv2_classes[3][6][22] = int_stack + 102840;
 Libderiv->deriv2_classes[3][7][22] = int_stack + 103120;
 Libderiv->deriv2_classes[3][8][22] = int_stack + 103480;
 Libderiv->deriv2_classes[3][9][22] = int_stack + 103930;
 Libderiv->deriv2_classes[2][5][21] = int_stack + 104480;
 Libderiv->deriv2_classes[2][6][21] = int_stack + 104606;
 Libderiv->deriv2_classes[2][7][21] = int_stack + 104774;
 Libderiv->deriv2_classes[2][8][21] = int_stack + 104990;
 Libderiv->deriv2_classes[2][9][21] = int_stack + 105260;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 105590;
 Libderiv->deriv2_classes[3][6][21] = int_stack + 105800;
 Libderiv->deriv2_classes[3][7][21] = int_stack + 106080;
 Libderiv->deriv2_classes[3][8][21] = int_stack + 106440;
 Libderiv->deriv2_classes[3][9][21] = int_stack + 106890;
 Libderiv->deriv2_classes[2][5][20] = int_stack + 107440;
 Libderiv->deriv2_classes[2][6][20] = int_stack + 107566;
 Libderiv->deriv2_classes[2][7][20] = int_stack + 107734;
 Libderiv->deriv2_classes[2][8][20] = int_stack + 107950;
 Libderiv->deriv2_classes[2][9][20] = int_stack + 108220;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 108550;
 Libderiv->deriv2_classes[3][6][20] = int_stack + 108760;
 Libderiv->deriv2_classes[3][7][20] = int_stack + 109040;
 Libderiv->deriv2_classes[3][8][20] = int_stack + 109400;
 Libderiv->deriv2_classes[3][9][20] = int_stack + 109850;
 Libderiv->deriv2_classes[2][5][19] = int_stack + 110400;
 Libderiv->deriv2_classes[2][6][19] = int_stack + 110526;
 Libderiv->deriv2_classes[2][7][19] = int_stack + 110694;
 Libderiv->deriv2_classes[2][8][19] = int_stack + 110910;
 Libderiv->deriv2_classes[2][9][19] = int_stack + 111180;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 111510;
 Libderiv->deriv2_classes[3][6][19] = int_stack + 111720;
 Libderiv->deriv2_classes[3][7][19] = int_stack + 112000;
 Libderiv->deriv2_classes[3][8][19] = int_stack + 112360;
 Libderiv->deriv2_classes[3][9][19] = int_stack + 112810;
 Libderiv->deriv2_classes[2][5][18] = int_stack + 113360;
 Libderiv->deriv2_classes[2][6][18] = int_stack + 113486;
 Libderiv->deriv2_classes[2][7][18] = int_stack + 113654;
 Libderiv->deriv2_classes[2][8][18] = int_stack + 113870;
 Libderiv->deriv2_classes[2][9][18] = int_stack + 114140;
 Libderiv->deriv_classes[3][5][1] = int_stack + 114470;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 114680;
 Libderiv->deriv_classes[3][6][1] = int_stack + 114890;
 Libderiv->deriv2_classes[3][6][18] = int_stack + 115170;
 Libderiv->deriv_classes[3][7][1] = int_stack + 115450;
 Libderiv->deriv2_classes[3][7][18] = int_stack + 115810;
 Libderiv->deriv_classes[3][8][1] = int_stack + 116170;
 Libderiv->deriv2_classes[3][8][18] = int_stack + 116620;
 Libderiv->deriv2_classes[3][9][18] = int_stack + 117070;
 Libderiv->deriv2_classes[2][5][14] = int_stack + 117620;
 Libderiv->deriv2_classes[2][6][14] = int_stack + 117746;
 Libderiv->deriv2_classes[2][7][14] = int_stack + 117914;
 Libderiv->deriv2_classes[2][8][14] = int_stack + 118130;
 Libderiv->deriv2_classes[2][9][14] = int_stack + 118400;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 118730;
 Libderiv->deriv2_classes[3][6][14] = int_stack + 118940;
 Libderiv->deriv2_classes[3][7][14] = int_stack + 119220;
 Libderiv->deriv2_classes[3][8][14] = int_stack + 119580;
 Libderiv->deriv2_classes[3][9][14] = int_stack + 120030;
 Libderiv->deriv2_classes[2][5][13] = int_stack + 120580;
 Libderiv->deriv2_classes[2][6][13] = int_stack + 120706;
 Libderiv->deriv2_classes[2][7][13] = int_stack + 120874;
 Libderiv->deriv2_classes[2][8][13] = int_stack + 121090;
 Libderiv->deriv2_classes[2][9][13] = int_stack + 121360;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 121690;
 Libderiv->deriv2_classes[3][6][13] = int_stack + 121900;
 Libderiv->deriv2_classes[3][7][13] = int_stack + 122180;
 Libderiv->deriv2_classes[3][8][13] = int_stack + 122540;
 Libderiv->deriv2_classes[3][9][13] = int_stack + 122990;
 Libderiv->deriv_classes[2][5][11] = int_stack + 123540;
 Libderiv->deriv_classes[2][6][11] = int_stack + 123666;
 Libderiv->deriv_classes[2][7][11] = int_stack + 123834;
 Libderiv->deriv_classes[2][8][11] = int_stack + 124050;
 Libderiv->deriv_classes[2][9][11] = int_stack + 124320;
 Libderiv->deriv2_classes[2][5][11] = int_stack + 124650;
 Libderiv->deriv2_classes[2][6][11] = int_stack + 124776;
 Libderiv->deriv2_classes[2][7][11] = int_stack + 124944;
 Libderiv->deriv2_classes[2][8][11] = int_stack + 125160;
 Libderiv->deriv2_classes[2][9][11] = int_stack + 125430;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 125760;
 Libderiv->deriv2_classes[3][6][11] = int_stack + 125970;
 Libderiv->deriv2_classes[3][7][11] = int_stack + 126250;
 Libderiv->deriv2_classes[3][8][11] = int_stack + 126610;
 Libderiv->deriv2_classes[3][9][11] = int_stack + 127060;
 Libderiv->deriv_classes[2][5][10] = int_stack + 127610;
 Libderiv->deriv_classes[2][6][10] = int_stack + 127736;
 Libderiv->deriv_classes[2][7][10] = int_stack + 127904;
 Libderiv->deriv_classes[2][8][10] = int_stack + 128120;
 Libderiv->deriv_classes[2][9][10] = int_stack + 128390;
 Libderiv->deriv2_classes[2][5][10] = int_stack + 128720;
 Libderiv->deriv2_classes[2][6][10] = int_stack + 128846;
 Libderiv->deriv2_classes[2][7][10] = int_stack + 129014;
 Libderiv->deriv2_classes[2][8][10] = int_stack + 129230;
 Libderiv->deriv2_classes[2][9][10] = int_stack + 129500;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 129830;
 Libderiv->deriv2_classes[3][6][10] = int_stack + 130040;
 Libderiv->deriv2_classes[3][7][10] = int_stack + 130320;
 Libderiv->deriv2_classes[3][8][10] = int_stack + 130680;
 Libderiv->deriv2_classes[3][9][10] = int_stack + 131130;
 Libderiv->deriv_classes[2][5][9] = int_stack + 131680;
 Libderiv->deriv_classes[2][6][9] = int_stack + 131806;
 Libderiv->deriv_classes[2][7][9] = int_stack + 131974;
 Libderiv->deriv_classes[2][8][9] = int_stack + 132190;
 Libderiv->deriv_classes[2][9][9] = int_stack + 132460;
 Libderiv->deriv2_classes[2][5][9] = int_stack + 132790;
 Libderiv->deriv2_classes[2][6][9] = int_stack + 132916;
 Libderiv->deriv2_classes[2][7][9] = int_stack + 133084;
 Libderiv->deriv2_classes[2][8][9] = int_stack + 133300;
 Libderiv->deriv2_classes[2][9][9] = int_stack + 133570;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 133900;
 Libderiv->deriv2_classes[3][6][9] = int_stack + 134110;
 Libderiv->deriv2_classes[3][7][9] = int_stack + 134390;
 Libderiv->deriv2_classes[3][8][9] = int_stack + 134750;
 Libderiv->deriv2_classes[3][9][9] = int_stack + 135200;
 Libderiv->deriv_classes[2][5][8] = int_stack + 135750;
 Libderiv->deriv_classes[2][6][8] = int_stack + 135876;
 Libderiv->deriv_classes[2][7][8] = int_stack + 136044;
 Libderiv->deriv_classes[2][8][8] = int_stack + 136260;
 Libderiv->deriv_classes[2][9][8] = int_stack + 136530;
 Libderiv->deriv2_classes[2][5][8] = int_stack + 136860;
 Libderiv->deriv2_classes[2][6][8] = int_stack + 136986;
 Libderiv->deriv2_classes[2][7][8] = int_stack + 137154;
 Libderiv->deriv2_classes[2][8][8] = int_stack + 137370;
 Libderiv->deriv2_classes[2][9][8] = int_stack + 137640;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 137970;
 Libderiv->deriv2_classes[3][6][8] = int_stack + 138180;
 Libderiv->deriv2_classes[3][7][8] = int_stack + 138460;
 Libderiv->deriv2_classes[3][8][8] = int_stack + 138820;
 Libderiv->deriv2_classes[3][9][8] = int_stack + 139270;
 Libderiv->deriv_classes[2][5][7] = int_stack + 139820;
 Libderiv->deriv_classes[2][6][7] = int_stack + 139946;
 Libderiv->deriv_classes[2][7][7] = int_stack + 140114;
 Libderiv->deriv_classes[2][8][7] = int_stack + 140330;
 Libderiv->deriv_classes[2][9][7] = int_stack + 140600;
 Libderiv->deriv2_classes[2][5][7] = int_stack + 140930;
 Libderiv->deriv2_classes[2][6][7] = int_stack + 141056;
 Libderiv->deriv2_classes[2][7][7] = int_stack + 141224;
 Libderiv->deriv2_classes[2][8][7] = int_stack + 141440;
 Libderiv->deriv2_classes[2][9][7] = int_stack + 141710;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 142040;
 Libderiv->deriv2_classes[3][6][7] = int_stack + 142250;
 Libderiv->deriv2_classes[3][7][7] = int_stack + 142530;
 Libderiv->deriv2_classes[3][8][7] = int_stack + 142890;
 Libderiv->deriv2_classes[3][9][7] = int_stack + 143340;
 Libderiv->dvrr_classes[2][5] = int_stack + 143890;
 Libderiv->deriv_classes[2][5][6] = int_stack + 144016;
 Libderiv->dvrr_classes[2][6] = int_stack + 144142;
 Libderiv->deriv_classes[2][6][6] = int_stack + 144310;
 Libderiv->dvrr_classes[2][7] = int_stack + 144478;
 Libderiv->deriv_classes[2][7][6] = int_stack + 144694;
 Libderiv->dvrr_classes[2][8] = int_stack + 144910;
 Libderiv->deriv_classes[2][8][6] = int_stack + 145180;
 Libderiv->deriv_classes[2][9][6] = int_stack + 145450;
 Libderiv->deriv2_classes[2][5][6] = int_stack + 145780;
 Libderiv->deriv2_classes[2][6][6] = int_stack + 145906;
 Libderiv->deriv2_classes[2][7][6] = int_stack + 146074;
 Libderiv->deriv2_classes[2][8][6] = int_stack + 146290;
 Libderiv->deriv2_classes[2][9][6] = int_stack + 146560;
 Libderiv->deriv_classes[3][5][0] = int_stack + 146890;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 147100;
 Libderiv->deriv_classes[3][6][0] = int_stack + 147310;
 Libderiv->deriv2_classes[3][6][6] = int_stack + 147590;
 Libderiv->deriv_classes[3][7][0] = int_stack + 147870;
 Libderiv->deriv2_classes[3][7][6] = int_stack + 148230;
 Libderiv->deriv_classes[3][8][0] = int_stack + 148590;
 Libderiv->deriv2_classes[3][8][6] = int_stack + 149040;
 Libderiv->deriv2_classes[3][9][6] = int_stack + 149490;
 Libderiv->deriv_classes[2][5][2] = int_stack + 150040;
 Libderiv->deriv_classes[2][6][2] = int_stack + 150166;
 Libderiv->deriv_classes[2][7][2] = int_stack + 150334;
 Libderiv->deriv_classes[2][8][2] = int_stack + 150550;
 Libderiv->deriv_classes[2][9][2] = int_stack + 150820;
 Libderiv->deriv2_classes[2][5][2] = int_stack + 151150;
 Libderiv->deriv2_classes[2][6][2] = int_stack + 151276;
 Libderiv->deriv2_classes[2][7][2] = int_stack + 151444;
 Libderiv->deriv2_classes[2][8][2] = int_stack + 151660;
 Libderiv->deriv2_classes[2][9][2] = int_stack + 151930;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 152260;
 Libderiv->deriv2_classes[3][6][2] = int_stack + 152470;
 Libderiv->deriv2_classes[3][7][2] = int_stack + 152750;
 Libderiv->deriv2_classes[3][8][2] = int_stack + 153110;
 Libderiv->deriv2_classes[3][9][2] = int_stack + 153560;
 Libderiv->deriv_classes[2][5][1] = int_stack + 154110;
 Libderiv->deriv_classes[2][6][1] = int_stack + 154236;
 Libderiv->deriv_classes[2][7][1] = int_stack + 154404;
 Libderiv->deriv_classes[2][8][1] = int_stack + 154620;
 Libderiv->deriv_classes[2][9][1] = int_stack + 154890;
 Libderiv->deriv2_classes[2][5][1] = int_stack + 155220;
 Libderiv->deriv2_classes[2][6][1] = int_stack + 155346;
 Libderiv->deriv2_classes[2][7][1] = int_stack + 155514;
 Libderiv->deriv2_classes[2][8][1] = int_stack + 155730;
 Libderiv->deriv2_classes[2][9][1] = int_stack + 156000;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 156330;
 Libderiv->deriv2_classes[3][6][1] = int_stack + 156540;
 Libderiv->deriv2_classes[3][7][1] = int_stack + 156820;
 Libderiv->deriv2_classes[3][8][1] = int_stack + 157180;
 Libderiv->deriv2_classes[3][9][1] = int_stack + 157630;
 Libderiv->deriv_classes[2][5][0] = int_stack + 158180;
 Libderiv->deriv_classes[2][6][0] = int_stack + 158306;
 Libderiv->deriv_classes[2][7][0] = int_stack + 158474;
 Libderiv->deriv_classes[2][8][0] = int_stack + 158690;
 Libderiv->deriv_classes[2][9][0] = int_stack + 158960;
 Libderiv->deriv2_classes[2][5][0] = int_stack + 159290;
 Libderiv->deriv2_classes[2][6][0] = int_stack + 159416;
 Libderiv->deriv2_classes[2][7][0] = int_stack + 159584;
 Libderiv->deriv2_classes[2][8][0] = int_stack + 159800;
 Libderiv->deriv2_classes[2][9][0] = int_stack + 160070;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 160400;
 Libderiv->deriv2_classes[3][6][0] = int_stack + 160610;
 Libderiv->deriv2_classes[3][7][0] = int_stack + 160890;
 Libderiv->deriv2_classes[3][8][0] = int_stack + 161250;
 Libderiv->deriv2_classes[3][9][0] = int_stack + 161700;
 memset(int_stack,0,1298000);

 Libderiv->dvrr_stack = int_stack + 421176;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_dphg(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+162250,int_stack+144142,int_stack+143890,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+162628,int_stack+144478,int_stack+144142,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+163132,int_stack+162628,int_stack+162250,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+163888,int_stack+144910,int_stack+144478,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+164536,int_stack+163888,int_stack+162628,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+165544,int_stack+164536,int_stack+163132,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+166804,int_stack+123666,int_stack+123540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143890,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167182,int_stack+123834,int_stack+123666, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144142,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167686,int_stack+167182,int_stack+166804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162250,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+168442,int_stack+124050,int_stack+123834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144478,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169090,int_stack+168442,int_stack+167182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162628,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+170098,int_stack+169090,int_stack+167686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163132,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+171358,int_stack+124320,int_stack+124050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144910,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172168,int_stack+171358,int_stack+168442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163888,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+173464,int_stack+172168,int_stack+169090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164536,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+171358,int_stack+173464,int_stack+170098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165544,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+173248,int_stack+73170,int_stack+72540,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+173878,int_stack+74010,int_stack+73170,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+174718,int_stack+173878,int_stack+173248,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+175978,int_stack+2750,int_stack+74010,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+177058,int_stack+175978,int_stack+173878,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+178738,int_stack+177058,int_stack+174718,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+180838,int_stack+51660,int_stack+51240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72540,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+181468,int_stack+52220,int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73170,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+182308,int_stack+181468,int_stack+180838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173248,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+183568,int_stack+52940,int_stack+52220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74010,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+184648,int_stack+183568,int_stack+181468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173878,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+186328,int_stack+184648,int_stack+182308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174718,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+188428,int_stack+0,int_stack+52940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2750,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+189778,int_stack+188428,int_stack+183568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175978,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+191938,int_stack+189778,int_stack+184648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177058,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+188428,int_stack+191938,int_stack+186328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178738,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+191578,int_stack+127736,int_stack+127610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143890, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+191956,int_stack+127904,int_stack+127736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144142, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+192460,int_stack+191956,int_stack+191578, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162250, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+193216,int_stack+128120,int_stack+127904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144478, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+193864,int_stack+193216,int_stack+191956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162628, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+194872,int_stack+193864,int_stack+192460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163132, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+196132,int_stack+128390,int_stack+128120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144910, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+196942,int_stack+196132,int_stack+193216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163888, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+198238,int_stack+196942,int_stack+193864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164536, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+196132,int_stack+198238,int_stack+194872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165544, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+198022,int_stack+55920,int_stack+55500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72540, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198652,int_stack+56480,int_stack+55920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73170, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+199492,int_stack+198652,int_stack+198022, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173248, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+200752,int_stack+57200,int_stack+56480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74010, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201832,int_stack+200752,int_stack+198652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173878, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+203512,int_stack+201832,int_stack+199492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174718, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+205612,int_stack+550,int_stack+57200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2750, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+206962,int_stack+205612,int_stack+200752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175978, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+209122,int_stack+206962,int_stack+201832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177058, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+205612,int_stack+209122,int_stack+203512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178738, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+208762,int_stack+131806,int_stack+131680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143890, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+209140,int_stack+131974,int_stack+131806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144142, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+209644,int_stack+209140,int_stack+208762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162250, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+210400,int_stack+132190,int_stack+131974, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144478, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+210400,int_stack+209140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162628, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+211048,int_stack+0,int_stack+209644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163132, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+212308,int_stack+132460,int_stack+132190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144910, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+213118,int_stack+212308,int_stack+210400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163888, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+214414,int_stack+213118,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164536, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+212308,int_stack+214414,int_stack+211048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165544, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+214198,int_stack+60180,int_stack+59760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72540, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+214828,int_stack+60740,int_stack+60180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73170, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+215668,int_stack+214828,int_stack+214198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173248, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+216928,int_stack+61460,int_stack+60740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74010, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+218008,int_stack+216928,int_stack+214828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173878, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+219688,int_stack+218008,int_stack+215668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174718, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+221788,int_stack+1100,int_stack+61460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2750, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+223138,int_stack+221788,int_stack+216928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175978, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+225298,int_stack+223138,int_stack+218008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177058, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+221788,int_stack+225298,int_stack+219688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178738, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+224938,int_stack+135876,int_stack+135750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+225316,int_stack+136044,int_stack+135876, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+225820,int_stack+225316,int_stack+224938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+226576,int_stack+136260,int_stack+136044, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+227224,int_stack+226576,int_stack+225316, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+228232,int_stack+227224,int_stack+225820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+229492,int_stack+136530,int_stack+136260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+230302,int_stack+229492,int_stack+226576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+231598,int_stack+230302,int_stack+227224, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+229492,int_stack+231598,int_stack+228232, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+231382,int_stack+64440,int_stack+64020, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+232012,int_stack+65000,int_stack+64440, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+232852,int_stack+232012,int_stack+231382, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+234112,int_stack+65720,int_stack+65000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+235192,int_stack+234112,int_stack+232012, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+236872,int_stack+235192,int_stack+232852, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+238972,int_stack+1650,int_stack+65720, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+240322,int_stack+238972,int_stack+234112, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+242482,int_stack+240322,int_stack+235192, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177058, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+238972,int_stack+242482,int_stack+236872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+242122,int_stack+139946,int_stack+139820, 0.0, zero_stack, 1.0, int_stack+143890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+242500,int_stack+140114,int_stack+139946, 0.0, zero_stack, 1.0, int_stack+144142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+243004,int_stack+242500,int_stack+242122, 0.0, zero_stack, 1.0, int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+243760,int_stack+140330,int_stack+140114, 0.0, zero_stack, 1.0, int_stack+144478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+244408,int_stack+243760,int_stack+242500, 0.0, zero_stack, 1.0, int_stack+162628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+245416,int_stack+244408,int_stack+243004, 0.0, zero_stack, 1.0, int_stack+163132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1008,int_stack+140600,int_stack+140330, 0.0, zero_stack, 1.0, int_stack+144910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+246676,int_stack+1008,int_stack+243760, 0.0, zero_stack, 1.0, int_stack+163888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+247972,int_stack+246676,int_stack+244408, 0.0, zero_stack, 1.0, int_stack+164536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+249652,int_stack+247972,int_stack+245416, 0.0, zero_stack, 1.0, int_stack+165544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+246676,int_stack+68700,int_stack+68280, 0.0, zero_stack, 1.0, int_stack+72540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+247306,int_stack+69260,int_stack+68700, 0.0, zero_stack, 1.0, int_stack+73170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+248146,int_stack+247306,int_stack+246676, 0.0, zero_stack, 1.0, int_stack+173248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1008,int_stack+69980,int_stack+69260, 0.0, zero_stack, 1.0, int_stack+74010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+251542,int_stack+1008,int_stack+247306, 0.0, zero_stack, 1.0, int_stack+173878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+253222,int_stack+251542,int_stack+248146, 0.0, zero_stack, 1.0, int_stack+174718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+255322,int_stack+2200,int_stack+69980, 0.0, zero_stack, 1.0, int_stack+2750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+256672,int_stack+255322,int_stack+1008, 0.0, zero_stack, 1.0, int_stack+175978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+258832,int_stack+256672,int_stack+251542, 0.0, zero_stack, 1.0, int_stack+177058, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+255322,int_stack+258832,int_stack+253222, 0.0, zero_stack, 1.0, int_stack+178738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+258472,int_stack+144310,int_stack+144016, 1.0, int_stack+143890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+258850,int_stack+144694,int_stack+144310, 1.0, int_stack+144142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+259354,int_stack+258850,int_stack+258472, 1.0, int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+260110,int_stack+145180,int_stack+144694, 1.0, int_stack+144478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+260758,int_stack+260110,int_stack+258850, 1.0, int_stack+162628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+261766,int_stack+260758,int_stack+259354, 1.0, int_stack+163132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+162250,int_stack+145450,int_stack+145180, 1.0, int_stack+144910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+263026,int_stack+162250,int_stack+260110, 1.0, int_stack+163888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+264322,int_stack+263026,int_stack+260758, 1.0, int_stack+164536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+266002,int_stack+264322,int_stack+261766, 1.0, int_stack+165544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+263026,int_stack+73450,int_stack+72750, 1.0, int_stack+72540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+263656,int_stack+74370,int_stack+73450, 1.0, int_stack+73170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+264496,int_stack+263656,int_stack+263026, 1.0, int_stack+173248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162250,int_stack+75090,int_stack+74370, 1.0, int_stack+74010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+267892,int_stack+162250,int_stack+263656, 1.0, int_stack+173878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+269572,int_stack+267892,int_stack+264496, 1.0, int_stack+174718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+173248,int_stack+3200,int_stack+75090, 1.0, int_stack+2750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+271672,int_stack+173248,int_stack+162250, 1.0, int_stack+175978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+173248,int_stack+271672,int_stack+267892, 1.0, int_stack+177058, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+271672,int_stack+173248,int_stack+269572, 1.0, int_stack+178738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+173248,int_stack+4850,int_stack+144910,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+174058,int_stack+173248,int_stack+163888,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+175354,int_stack+174058,int_stack+164536,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+173248,int_stack+175354,int_stack+165544,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+175138,int_stack+150166,int_stack+150040,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+175516,int_stack+150334,int_stack+150166,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+176020,int_stack+175516,int_stack+175138,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+176776,int_stack+150550,int_stack+150334,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+177424,int_stack+176776,int_stack+175516,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+178432,int_stack+177424,int_stack+176020,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+179692,int_stack+150820,int_stack+150550,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+163330,int_stack+179692,int_stack+176776,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+164626,int_stack+163330,int_stack+177424,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+274822,int_stack+164626,int_stack+178432,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+163330,int_stack+92870,int_stack+92450,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+163960,int_stack+93430,int_stack+92870,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+164800,int_stack+163960,int_stack+163330,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+179692,int_stack+94150,int_stack+93430,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+276712,int_stack+179692,int_stack+163960,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+278392,int_stack+276712,int_stack+164800,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+2088,int_stack+3750,int_stack+94150,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+280492,int_stack+2088,int_stack+179692,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+282652,int_stack+280492,int_stack+276712,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+285452,int_stack+282652,int_stack+278392,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+280492,int_stack+154236,int_stack+154110,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+280870,int_stack+154404,int_stack+154236,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+281374,int_stack+280870,int_stack+280492,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+282130,int_stack+154620,int_stack+154404,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+282778,int_stack+282130,int_stack+280870,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+283786,int_stack+282778,int_stack+281374,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+2088,int_stack+154890,int_stack+154620,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+2898,int_stack+2088,int_stack+282130,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+288602,int_stack+2898,int_stack+282778,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+2088,int_stack+288602,int_stack+283786,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+288602,int_stack+114890,int_stack+114470,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+289232,int_stack+115450,int_stack+114890,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+290072,int_stack+289232,int_stack+288602,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+291332,int_stack+116170,int_stack+115450,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+292412,int_stack+291332,int_stack+289232,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+294092,int_stack+292412,int_stack+290072,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+296192,int_stack+4300,int_stack+116170,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+297542,int_stack+296192,int_stack+291332,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+299702,int_stack+297542,int_stack+292412,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+296192,int_stack+299702,int_stack+294092,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+299342,int_stack+158306,int_stack+158180,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+299720,int_stack+158474,int_stack+158306,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+300224,int_stack+299720,int_stack+299342,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+300980,int_stack+158690,int_stack+158474,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+301628,int_stack+300980,int_stack+299720,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+302636,int_stack+301628,int_stack+300224,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3978,int_stack+158960,int_stack+158690,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+303896,int_stack+3978,int_stack+300980,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+305192,int_stack+303896,int_stack+301628,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+306872,int_stack+305192,int_stack+302636,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+303896,int_stack+147310,int_stack+146890,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+304526,int_stack+147870,int_stack+147310,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+305366,int_stack+304526,int_stack+303896,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3978,int_stack+148590,int_stack+147870,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+308762,int_stack+3978,int_stack+304526,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+310442,int_stack+308762,int_stack+305366,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+312542,int_stack+5180,int_stack+148590,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+313892,int_stack+312542,int_stack+3978,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+316052,int_stack+313892,int_stack+308762,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+312542,int_stack+316052,int_stack+310442,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+315692,int_stack+5856,int_stack+5730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+123540,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+316070,int_stack+6024,int_stack+5856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+123666,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+316574,int_stack+316070,int_stack+315692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+166804,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+317330,int_stack+6240,int_stack+6024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+123834,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+317978,int_stack+317330,int_stack+316070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+167182,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+318986,int_stack+317978,int_stack+316574, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+167686,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+315692,int_stack+6510,int_stack+6240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+124050,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+5058,int_stack+315692,int_stack+317330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+168442,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+315692,int_stack+5058,int_stack+317978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+169090,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+320246,int_stack+315692,int_stack+318986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+170098,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+315692,int_stack+7050,int_stack+6840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+51240,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+316322,int_stack+7330,int_stack+7050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+51660,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+317162,int_stack+316322,int_stack+315692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+180838,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+318422,int_stack+7690,int_stack+7330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+52220,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5058,int_stack+318422,int_stack+316322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+181468,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+322136,int_stack+5058,int_stack+317162, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+182308,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+315692,int_stack+8140,int_stack+7690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+52940,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+324236,int_stack+315692,int_stack+318422, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+183568,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+315692,int_stack+324236,int_stack+5058, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+184648,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+5058,int_stack+315692,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+186328,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+322136,int_stack+8816,int_stack+8690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123540, 1.0, int_stack+127610,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+322514,int_stack+8984,int_stack+8816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123666, 1.0, int_stack+127736,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+323018,int_stack+322514,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166804, 1.0, int_stack+191578,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+323774,int_stack+9200,int_stack+8984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123834, 1.0, int_stack+127904,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+324422,int_stack+323774,int_stack+322514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167182, 1.0, int_stack+191956,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+325430,int_stack+324422,int_stack+323018, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167686, 1.0, int_stack+192460,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+322136,int_stack+9470,int_stack+9200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124050, 1.0, int_stack+128120,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+315692,int_stack+322136,int_stack+323774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168442, 1.0, int_stack+193216,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+322136,int_stack+315692,int_stack+324422, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169090, 1.0, int_stack+193864,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+315692,int_stack+322136,int_stack+325430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170098, 1.0, int_stack+194872,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+322136,int_stack+10010,int_stack+9800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51240, 1.0, int_stack+55500,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+322766,int_stack+10290,int_stack+10010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51660, 1.0, int_stack+55920,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+323606,int_stack+322766,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180838, 1.0, int_stack+198022,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+324866,int_stack+10650,int_stack+10290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52220, 1.0, int_stack+56480,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+317582,int_stack+324866,int_stack+322766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181468, 1.0, int_stack+198652,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+8208,int_stack+317582,int_stack+323606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182308, 1.0, int_stack+199492,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+322136,int_stack+11100,int_stack+10650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52940, 1.0, int_stack+57200,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+325946,int_stack+322136,int_stack+324866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183568, 1.0, int_stack+200752,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+322136,int_stack+325946,int_stack+317582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184648, 1.0, int_stack+201832,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+324936,int_stack+322136,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186328, 1.0, int_stack+203512,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8208,int_stack+11776,int_stack+11650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+127610, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8586,int_stack+11944,int_stack+11776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+127736, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9090,int_stack+8586,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+191578, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9846,int_stack+12160,int_stack+11944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+127904, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10494,int_stack+9846,int_stack+8586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+191956, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+322136,int_stack+10494,int_stack+9090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+192460, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+12430,int_stack+12160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+128120, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+323396,int_stack+8208,int_stack+9846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+193216, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+323396,int_stack+10494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+193864, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+9888,int_stack+8208,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+194872, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+322136,int_stack+12970,int_stack+12760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+55500, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+322766,int_stack+13250,int_stack+12970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+55920, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+323606,int_stack+322766,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+198022, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8208,int_stack+13610,int_stack+13250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+56480, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11778,int_stack+8208,int_stack+322766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+198652, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+317582,int_stack+11778,int_stack+323606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+199492, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+322136,int_stack+14060,int_stack+13610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+57200, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+328086,int_stack+322136,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+200752, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+322136,int_stack+328086,int_stack+11778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+201832, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+328086,int_stack+322136,int_stack+317582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+203512, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+317582,int_stack+14736,int_stack+14610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123540, 0.0, zero_stack, 1.0, int_stack+131680,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+317960,int_stack+14904,int_stack+14736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123666, 0.0, zero_stack, 1.0, int_stack+131806,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+318464,int_stack+317960,int_stack+317582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166804, 0.0, zero_stack, 1.0, int_stack+208762,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+319220,int_stack+15120,int_stack+14904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123834, 0.0, zero_stack, 1.0, int_stack+131974,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+322136,int_stack+319220,int_stack+317960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167182, 0.0, zero_stack, 1.0, int_stack+209140,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+323144,int_stack+322136,int_stack+318464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167686, 0.0, zero_stack, 1.0, int_stack+209644,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+317582,int_stack+15390,int_stack+15120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124050, 0.0, zero_stack, 1.0, int_stack+132190,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+11778,int_stack+317582,int_stack+319220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168442, 0.0, zero_stack, 1.0, int_stack+210400,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+11778,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169090, 0.0, zero_stack, 1.0, int_stack+0,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+11778,int_stack+8208,int_stack+323144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170098, 0.0, zero_stack, 1.0, int_stack+211048,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8208,int_stack+15930,int_stack+15720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51240, 0.0, zero_stack, 1.0, int_stack+59760,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8838,int_stack+16210,int_stack+15930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51660, 0.0, zero_stack, 1.0, int_stack+60180,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+322136,int_stack+8838,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180838, 0.0, zero_stack, 1.0, int_stack+214198,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+323396,int_stack+16570,int_stack+16210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52220, 0.0, zero_stack, 1.0, int_stack+60740,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13668,int_stack+323396,int_stack+8838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181468, 0.0, zero_stack, 1.0, int_stack+214828,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+317582,int_stack+13668,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182308, 0.0, zero_stack, 1.0, int_stack+215668,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+17020,int_stack+16570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52940, 0.0, zero_stack, 1.0, int_stack+61460,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+15348,int_stack+8208,int_stack+323396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183568, 0.0, zero_stack, 1.0, int_stack+216928,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+322136,int_stack+15348,int_stack+13668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184648, 0.0, zero_stack, 1.0, int_stack+218008,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+13668,int_stack+322136,int_stack+317582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186328, 0.0, zero_stack, 1.0, int_stack+219688,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+317582,int_stack+17696,int_stack+17570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127610, 1.0, int_stack+131680, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+317960,int_stack+17864,int_stack+17696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127736, 1.0, int_stack+131806, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+318464,int_stack+317960,int_stack+317582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191578, 1.0, int_stack+208762, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+319220,int_stack+18080,int_stack+17864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127904, 1.0, int_stack+131974, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+322136,int_stack+319220,int_stack+317960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191956, 1.0, int_stack+209140, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+323144,int_stack+322136,int_stack+318464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192460, 1.0, int_stack+209644, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+317582,int_stack+18350,int_stack+18080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128120, 1.0, int_stack+132190, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+16818,int_stack+317582,int_stack+319220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193216, 1.0, int_stack+210400, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+16818,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193864, 1.0, int_stack+0, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+317582,int_stack+8208,int_stack+323144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194872, 1.0, int_stack+211048, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8208,int_stack+18890,int_stack+18680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55500, 1.0, int_stack+59760, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8838,int_stack+19170,int_stack+18890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55920, 1.0, int_stack+60180, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+322136,int_stack+8838,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198022, 1.0, int_stack+214198, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+323396,int_stack+19530,int_stack+19170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56480, 1.0, int_stack+60740, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+16818,int_stack+323396,int_stack+8838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198652, 1.0, int_stack+214828, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+331236,int_stack+16818,int_stack+322136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199492, 1.0, int_stack+215668, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+19980,int_stack+19530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57200, 1.0, int_stack+61460, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+333336,int_stack+8208,int_stack+323396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200752, 1.0, int_stack+216928, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+322136,int_stack+333336,int_stack+16818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201832, 1.0, int_stack+218008, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+16818,int_stack+322136,int_stack+331236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203512, 1.0, int_stack+219688, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+331236,int_stack+20656,int_stack+20530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+131680, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+331614,int_stack+20824,int_stack+20656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+131806, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+332118,int_stack+331614,int_stack+331236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+208762, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+332874,int_stack+21040,int_stack+20824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+131974, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+333522,int_stack+332874,int_stack+331614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+209140, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334530,int_stack+333522,int_stack+332118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+209644, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+331236,int_stack+21310,int_stack+21040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+132190, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+322136,int_stack+331236,int_stack+332874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+210400, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+322136,int_stack+333522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+322136,int_stack+8208,int_stack+334530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+211048, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8208,int_stack+21850,int_stack+21640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+59760, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8838,int_stack+22130,int_stack+21850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+60180, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+331236,int_stack+8838,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+214198, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+332496,int_stack+22490,int_stack+22130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+60740, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+333576,int_stack+332496,int_stack+8838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+214828, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+19968,int_stack+333576,int_stack+331236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+215668, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+22940,int_stack+22490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+61460, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+335256,int_stack+8208,int_stack+332496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+216928, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+337416,int_stack+335256,int_stack+333576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+218008, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+331236,int_stack+337416,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+219688, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19968,int_stack+23616,int_stack+23490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135750,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20346,int_stack+23784,int_stack+23616, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123666, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135876,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20850,int_stack+20346,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166804, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+224938,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+21606,int_stack+24000,int_stack+23784, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123834, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136044,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+22254,int_stack+21606,int_stack+20346, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167182, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225316,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+8208,int_stack+22254,int_stack+20850, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167686, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225820,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+24270,int_stack+24000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124050, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136260,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+23262,int_stack+19968,int_stack+21606, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168442, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226576,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+23262,int_stack+22254, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169090, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227224,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+21648,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+170098, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228232,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8208,int_stack+24810,int_stack+24600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64020,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8838,int_stack+25090,int_stack+24810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64440,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+8838,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180838, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231382,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+23538,int_stack+25450,int_stack+25090, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52220, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65000,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+334386,int_stack+23538,int_stack+8838, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232012,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+336066,int_stack+334386,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182308, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232852,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+25900,int_stack+25450, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65720,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+338166,int_stack+19968,int_stack+23538, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183568, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234112,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+23538,int_stack+338166,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184648, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235192,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+338166,int_stack+23538,int_stack+336066, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186328, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236872,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23538,int_stack+26576,int_stack+26450, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127610, 0.0, zero_stack, 1.0, int_stack+135750, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23916,int_stack+26744,int_stack+26576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127736, 0.0, zero_stack, 1.0, int_stack+135876, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24420,int_stack+23916,int_stack+23538, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191578, 0.0, zero_stack, 1.0, int_stack+224938, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+25176,int_stack+26960,int_stack+26744, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127904, 0.0, zero_stack, 1.0, int_stack+136044, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25824,int_stack+25176,int_stack+23916, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191956, 0.0, zero_stack, 1.0, int_stack+225316, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+25824,int_stack+24420, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192460, 0.0, zero_stack, 1.0, int_stack+225820, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+23538,int_stack+27230,int_stack+26960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128120, 0.0, zero_stack, 1.0, int_stack+136260, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+335646,int_stack+23538,int_stack+25176, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193216, 0.0, zero_stack, 1.0, int_stack+226576, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+335646,int_stack+25824, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193864, 0.0, zero_stack, 1.0, int_stack+227224, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+335646,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194872, 0.0, zero_stack, 1.0, int_stack+228232, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+27770,int_stack+27560, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55500, 0.0, zero_stack, 1.0, int_stack+64020, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+28050,int_stack+27770, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55920, 0.0, zero_stack, 1.0, int_stack+64440, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198022, 0.0, zero_stack, 1.0, int_stack+231382, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+23538,int_stack+28410,int_stack+28050, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56480, 0.0, zero_stack, 1.0, int_stack+65000, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+23538,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198652, 0.0, zero_stack, 1.0, int_stack+232012, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+24618,int_stack+8208,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199492, 0.0, zero_stack, 1.0, int_stack+232852, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+28860,int_stack+28410, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57200, 0.0, zero_stack, 1.0, int_stack+65720, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+26718,int_stack+19968,int_stack+23538, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200752, 0.0, zero_stack, 1.0, int_stack+234112, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+341316,int_stack+26718,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201832, 0.0, zero_stack, 1.0, int_stack+235192, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+344116,int_stack+341316,int_stack+24618, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203512, 0.0, zero_stack, 1.0, int_stack+236872, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+341316,int_stack+29536,int_stack+29410, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131680, 1.0, int_stack+135750, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+341694,int_stack+29704,int_stack+29536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131806, 1.0, int_stack+135876, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+342198,int_stack+341694,int_stack+341316, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208762, 1.0, int_stack+224938, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+342954,int_stack+29920,int_stack+29704, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131974, 1.0, int_stack+136044, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+342954,int_stack+341694, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209140, 1.0, int_stack+225316, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+8208,int_stack+342198, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209644, 1.0, int_stack+225820, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+341316,int_stack+30190,int_stack+29920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132190, 1.0, int_stack+136260, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+23538,int_stack+341316,int_stack+342954, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210400, 1.0, int_stack+226576, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+23538,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+227224, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+23538,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+211048, 1.0, int_stack+228232, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+30730,int_stack+30520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59760, 1.0, int_stack+64020, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+31010,int_stack+30730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60180, 1.0, int_stack+64440, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214198, 1.0, int_stack+231382, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8208,int_stack+31370,int_stack+31010, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60740, 1.0, int_stack+65000, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25428,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214828, 1.0, int_stack+232012, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+27108,int_stack+25428,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+215668, 1.0, int_stack+232852, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+31820,int_stack+31370, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61460, 1.0, int_stack+65720, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+29208,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216928, 1.0, int_stack+234112, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+341316,int_stack+29208,int_stack+25428, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218008, 1.0, int_stack+235192, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+29208,int_stack+341316,int_stack+27108, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219688, 1.0, int_stack+236872, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+341316,int_stack+32496,int_stack+32370, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+135750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+341694,int_stack+32664,int_stack+32496, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+135876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+342198,int_stack+341694,int_stack+341316, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+224938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+342954,int_stack+32880,int_stack+32664, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+136044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25428,int_stack+342954,int_stack+341694, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+225316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+25428,int_stack+342198, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+225820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+341316,int_stack+33150,int_stack+32880, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+136260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+26436,int_stack+341316,int_stack+342954, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+226576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+26436,int_stack+25428, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+227224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+25428,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+228232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+33690,int_stack+33480, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+64020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+33970,int_stack+33690, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+64440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+337536, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+231382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27318,int_stack+34330,int_stack+33970, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+65000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+27318,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+232012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+341316,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+232852, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+34780,int_stack+34330, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+65720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+32358,int_stack+8208,int_stack+27318, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+234112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+347266,int_stack+32358,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+235192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+350066,int_stack+347266,int_stack+341316, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+236872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+341316,int_stack+35456,int_stack+35330, 0.0, zero_stack, 1.0, int_stack+123540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139820,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+341694,int_stack+35624,int_stack+35456, 0.0, zero_stack, 1.0, int_stack+123666, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139946,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+342198,int_stack+341694,int_stack+341316, 0.0, zero_stack, 1.0, int_stack+166804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242122,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+342954,int_stack+35840,int_stack+35624, 0.0, zero_stack, 1.0, int_stack+123834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140114,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+347266,int_stack+342954,int_stack+341694, 0.0, zero_stack, 1.0, int_stack+167182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242500,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+347266,int_stack+342198, 0.0, zero_stack, 1.0, int_stack+167686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+243004,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+341316,int_stack+36110,int_stack+35840, 0.0, zero_stack, 1.0, int_stack+124050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140330,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+348274,int_stack+341316,int_stack+342954, 0.0, zero_stack, 1.0, int_stack+168442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+243760,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+348274,int_stack+347266, 0.0, zero_stack, 1.0, int_stack+169090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244408,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+27318,int_stack+19968,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+170098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+245416,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+36650,int_stack+36440, 0.0, zero_stack, 1.0, int_stack+51240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68280,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+36930,int_stack+36650, 0.0, zero_stack, 1.0, int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68700,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 0.0, zero_stack, 1.0, int_stack+180838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246676,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+347266,int_stack+37290,int_stack+36930, 0.0, zero_stack, 1.0, int_stack+52220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69260,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+347266,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+181468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247306,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+341316,int_stack+8208,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+182308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+248146,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+37740,int_stack+37290, 0.0, zero_stack, 1.0, int_stack+52940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69980,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+32358,int_stack+19968,int_stack+347266, 0.0, zero_stack, 1.0, int_stack+183568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+347266,int_stack+32358,int_stack+8208, 0.0, zero_stack, 1.0, int_stack+184648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+251542,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+32358,int_stack+347266,int_stack+341316, 0.0, zero_stack, 1.0, int_stack+186328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253222,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+341316,int_stack+38416,int_stack+38290, 0.0, zero_stack, 1.0, int_stack+127610, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139820, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+341694,int_stack+38584,int_stack+38416, 0.0, zero_stack, 1.0, int_stack+127736, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139946, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+342198,int_stack+341694,int_stack+341316, 0.0, zero_stack, 1.0, int_stack+191578, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242122, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+342954,int_stack+38800,int_stack+38584, 0.0, zero_stack, 1.0, int_stack+127904, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140114, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+347266,int_stack+342954,int_stack+341694, 0.0, zero_stack, 1.0, int_stack+191956, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242500, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+347266,int_stack+342198, 0.0, zero_stack, 1.0, int_stack+192460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+243004, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+341316,int_stack+39070,int_stack+38800, 0.0, zero_stack, 1.0, int_stack+128120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140330, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+348274,int_stack+341316,int_stack+342954, 0.0, zero_stack, 1.0, int_stack+193216, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+243760, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+348274,int_stack+347266, 0.0, zero_stack, 1.0, int_stack+193864, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244408, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+347266,int_stack+8208,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+194872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+245416, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+39610,int_stack+39400, 0.0, zero_stack, 1.0, int_stack+55500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68280, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+39890,int_stack+39610, 0.0, zero_stack, 1.0, int_stack+55920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68700, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+337536, 0.0, zero_stack, 1.0, int_stack+198022, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246676, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+341316,int_stack+40250,int_stack+39890, 0.0, zero_stack, 1.0, int_stack+56480, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69260, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+341316,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+198652, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247306, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+35508,int_stack+19968,int_stack+8208, 0.0, zero_stack, 1.0, int_stack+199492, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+248146, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+40700,int_stack+40250, 0.0, zero_stack, 1.0, int_stack+57200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69980, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+37608,int_stack+8208,int_stack+341316, 0.0, zero_stack, 1.0, int_stack+200752, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+341316,int_stack+37608,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+201832, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+251542, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+37608,int_stack+341316,int_stack+35508, 0.0, zero_stack, 1.0, int_stack+203512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253222, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35508,int_stack+41376,int_stack+41250, 0.0, zero_stack, 1.0, int_stack+131680, 0.0, zero_stack, 1.0, int_stack+139820, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+35886,int_stack+41544,int_stack+41376, 0.0, zero_stack, 1.0, int_stack+131806, 0.0, zero_stack, 1.0, int_stack+139946, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36390,int_stack+35886,int_stack+35508, 0.0, zero_stack, 1.0, int_stack+208762, 0.0, zero_stack, 1.0, int_stack+242122, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+341316,int_stack+41760,int_stack+41544, 0.0, zero_stack, 1.0, int_stack+131974, 0.0, zero_stack, 1.0, int_stack+140114, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+341964,int_stack+341316,int_stack+35886, 0.0, zero_stack, 1.0, int_stack+209140, 0.0, zero_stack, 1.0, int_stack+242500, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+341964,int_stack+36390, 0.0, zero_stack, 1.0, int_stack+209644, 0.0, zero_stack, 1.0, int_stack+243004, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+35508,int_stack+42030,int_stack+41760, 0.0, zero_stack, 1.0, int_stack+132190, 0.0, zero_stack, 1.0, int_stack+140330, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+19968,int_stack+35508,int_stack+341316, 0.0, zero_stack, 1.0, int_stack+210400, 0.0, zero_stack, 1.0, int_stack+243760, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+19968,int_stack+341964, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+244408, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+341316,int_stack+8208,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+211048, 0.0, zero_stack, 1.0, int_stack+245416, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+42570,int_stack+42360, 0.0, zero_stack, 1.0, int_stack+59760, 0.0, zero_stack, 1.0, int_stack+68280, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+42850,int_stack+42570, 0.0, zero_stack, 1.0, int_stack+60180, 0.0, zero_stack, 1.0, int_stack+68700, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+337536, 0.0, zero_stack, 1.0, int_stack+214198, 0.0, zero_stack, 1.0, int_stack+246676, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+19968,int_stack+43210,int_stack+42850, 0.0, zero_stack, 1.0, int_stack+60740, 0.0, zero_stack, 1.0, int_stack+69260, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+35508,int_stack+19968,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+214828, 0.0, zero_stack, 1.0, int_stack+247306, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+40758,int_stack+35508,int_stack+8208, 0.0, zero_stack, 1.0, int_stack+215668, 0.0, zero_stack, 1.0, int_stack+248146, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+43660,int_stack+43210, 0.0, zero_stack, 1.0, int_stack+61460, 0.0, zero_stack, 1.0, int_stack+69980, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+353216,int_stack+8208,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+216928, 0.0, zero_stack, 1.0, int_stack+1008, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+355376,int_stack+353216,int_stack+35508, 0.0, zero_stack, 1.0, int_stack+218008, 0.0, zero_stack, 1.0, int_stack+251542, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+358176,int_stack+355376,int_stack+40758, 0.0, zero_stack, 1.0, int_stack+219688, 0.0, zero_stack, 1.0, int_stack+253222, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+40758,int_stack+44336,int_stack+44210, 0.0, zero_stack, 1.0, int_stack+135750, 1.0, int_stack+139820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41136,int_stack+44504,int_stack+44336, 0.0, zero_stack, 1.0, int_stack+135876, 1.0, int_stack+139946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+41640,int_stack+41136,int_stack+40758, 0.0, zero_stack, 1.0, int_stack+224938, 1.0, int_stack+242122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+42396,int_stack+44720,int_stack+44504, 0.0, zero_stack, 1.0, int_stack+136044, 1.0, int_stack+140114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+43044,int_stack+42396,int_stack+41136, 0.0, zero_stack, 1.0, int_stack+225316, 1.0, int_stack+242500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+43044,int_stack+41640, 0.0, zero_stack, 1.0, int_stack+225820, 1.0, int_stack+243004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+40758,int_stack+44990,int_stack+44720, 0.0, zero_stack, 1.0, int_stack+136260, 1.0, int_stack+140330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+35508,int_stack+40758,int_stack+42396, 0.0, zero_stack, 1.0, int_stack+226576, 1.0, int_stack+243760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+35508,int_stack+43044, 0.0, zero_stack, 1.0, int_stack+227224, 1.0, int_stack+244408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+35508,int_stack+19968,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+228232, 1.0, int_stack+245416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+45530,int_stack+45320, 0.0, zero_stack, 1.0, int_stack+64020, 1.0, int_stack+68280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+45810,int_stack+45530, 0.0, zero_stack, 1.0, int_stack+64440, 1.0, int_stack+68700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 0.0, zero_stack, 1.0, int_stack+231382, 1.0, int_stack+246676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+40758,int_stack+46170,int_stack+45810, 0.0, zero_stack, 1.0, int_stack+65000, 1.0, int_stack+69260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+40758,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+232012, 1.0, int_stack+247306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+41838,int_stack+8208,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+232852, 1.0, int_stack+248146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+46620,int_stack+46170, 0.0, zero_stack, 1.0, int_stack+65720, 1.0, int_stack+69980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+43938,int_stack+19968,int_stack+40758, 0.0, zero_stack, 1.0, int_stack+234112, 1.0, int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+353216,int_stack+43938,int_stack+8208, 0.0, zero_stack, 1.0, int_stack+235192, 1.0, int_stack+251542, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+43938,int_stack+353216,int_stack+41838, 0.0, zero_stack, 1.0, int_stack+236872, 1.0, int_stack+253222, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+353216,int_stack+47296,int_stack+47170, 0.0, zero_stack, 2.0, int_stack+139820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+353594,int_stack+47464,int_stack+47296, 0.0, zero_stack, 2.0, int_stack+139946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+354098,int_stack+353594,int_stack+353216, 0.0, zero_stack, 2.0, int_stack+242122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+354854,int_stack+47680,int_stack+47464, 0.0, zero_stack, 2.0, int_stack+140114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+355502,int_stack+354854,int_stack+353594, 0.0, zero_stack, 2.0, int_stack+242500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+355502,int_stack+354098, 0.0, zero_stack, 2.0, int_stack+243004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+353216,int_stack+47950,int_stack+47680, 0.0, zero_stack, 2.0, int_stack+140330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+356510,int_stack+353216,int_stack+354854, 0.0, zero_stack, 2.0, int_stack+243760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+356510,int_stack+355502, 0.0, zero_stack, 2.0, int_stack+244408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+353216,int_stack+8208,int_stack+334386, 0.0, zero_stack, 2.0, int_stack+245416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+48490,int_stack+48280, 0.0, zero_stack, 2.0, int_stack+68280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+48770,int_stack+48490, 0.0, zero_stack, 2.0, int_stack+68700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+337536, 0.0, zero_stack, 2.0, int_stack+246676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+355106,int_stack+49130,int_stack+48770, 0.0, zero_stack, 2.0, int_stack+69260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+355106,int_stack+334386, 0.0, zero_stack, 2.0, int_stack+247306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+40758,int_stack+19968,int_stack+8208, 0.0, zero_stack, 2.0, int_stack+248146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+49580,int_stack+49130, 0.0, zero_stack, 2.0, int_stack+69980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+47088,int_stack+8208,int_stack+355106, 0.0, zero_stack, 2.0, int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+355106,int_stack+47088,int_stack+19968, 0.0, zero_stack, 2.0, int_stack+251542, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+361326,int_stack+355106,int_stack+40758, 0.0, zero_stack, 2.0, int_stack+253222, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+40758,int_stack+50256,int_stack+50130, 1.0, int_stack+123540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144016,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41136,int_stack+50424,int_stack+50256, 1.0, int_stack+123666, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144310,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+41640,int_stack+41136,int_stack+40758, 1.0, int_stack+166804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258472,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+42396,int_stack+50640,int_stack+50424, 1.0, int_stack+123834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144694,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+355106,int_stack+42396,int_stack+41136, 1.0, int_stack+167182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258850,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+355106,int_stack+41640, 1.0, int_stack+167686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259354,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+40758,int_stack+50910,int_stack+50640, 1.0, int_stack+124050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145180,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+356114,int_stack+40758,int_stack+42396, 1.0, int_stack+168442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+260110,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+356114,int_stack+355106, 1.0, int_stack+169090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+260758,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+355106,int_stack+19968,int_stack+334386, 1.0, int_stack+170098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261766,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+51940,int_stack+51450, 1.0, int_stack+51240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72750,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+52580,int_stack+51940, 1.0, int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73450,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 1.0, int_stack+180838, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+263026,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356996,int_stack+53390,int_stack+52580, 1.0, int_stack+52220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74370,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+356996,int_stack+334386, 1.0, int_stack+181468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+263656,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+40758,int_stack+8208,int_stack+19968, 1.0, int_stack+182308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+264496,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+53840,int_stack+53390, 1.0, int_stack+52940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75090,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+47088,int_stack+19968,int_stack+356996, 1.0, int_stack+183568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162250,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+49248,int_stack+47088,int_stack+8208, 1.0, int_stack+184648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267892,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+166060,int_stack+49248,int_stack+40758, 1.0, int_stack+186328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269572,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+40758,int_stack+54516,int_stack+54390, 1.0, int_stack+127610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144016, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41136,int_stack+54684,int_stack+54516, 1.0, int_stack+127736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144310, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+41640,int_stack+41136,int_stack+40758, 1.0, int_stack+191578, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258472, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+42396,int_stack+54900,int_stack+54684, 1.0, int_stack+127904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144694, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+42396,int_stack+41136, 1.0, int_stack+191956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258850, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+8208,int_stack+41640, 1.0, int_stack+192460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259354, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+191578,int_stack+55170,int_stack+54900, 1.0, int_stack+128120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145180, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+40758,int_stack+191578,int_stack+42396, 1.0, int_stack+193216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+260110, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+40758,int_stack+8208, 1.0, int_stack+193864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+260758, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+40758,int_stack+19968,int_stack+334386, 1.0, int_stack+194872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261766, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+56200,int_stack+55710, 1.0, int_stack+55500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72750, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+56840,int_stack+56200, 1.0, int_stack+55920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73450, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 1.0, int_stack+198022, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+263026, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8208,int_stack+57650,int_stack+56840, 1.0, int_stack+56480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74370, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+191578,int_stack+8208,int_stack+334386, 1.0, int_stack+198652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+263656, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+193258,int_stack+191578,int_stack+19968, 1.0, int_stack+199492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+264496, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+58100,int_stack+57650, 1.0, int_stack+57200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75090, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+198022,int_stack+19968,int_stack+8208, 1.0, int_stack+200752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162250, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+47088,int_stack+198022,int_stack+191578, 1.0, int_stack+201832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267892, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+198022,int_stack+47088,int_stack+193258, 1.0, int_stack+203512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269572, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47088,int_stack+58776,int_stack+58650, 1.0, int_stack+131680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144016, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47466,int_stack+58944,int_stack+58776, 1.0, int_stack+131806, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144310, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+47970,int_stack+47466,int_stack+47088, 1.0, int_stack+208762, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258472, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+48726,int_stack+59160,int_stack+58944, 1.0, int_stack+131974, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144694, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+49374,int_stack+48726,int_stack+47466, 1.0, int_stack+209140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258850, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+49374,int_stack+47970, 1.0, int_stack+209644, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+259354, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+208762,int_stack+59430,int_stack+59160, 1.0, int_stack+132190, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145180, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+47088,int_stack+208762,int_stack+48726, 1.0, int_stack+210400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+260110, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+47088,int_stack+49374, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+260758, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+47088,int_stack+8208,int_stack+334386, 1.0, int_stack+211048, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261766, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+60460,int_stack+59970, 1.0, int_stack+59760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72750, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+61100,int_stack+60460, 1.0, int_stack+60180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73450, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+337536, 1.0, int_stack+214198, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+263026, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+48978,int_stack+61910,int_stack+61100, 1.0, int_stack+60740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74370, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+48978,int_stack+334386, 1.0, int_stack+214828, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+263656, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+50058,int_stack+19968,int_stack+8208, 1.0, int_stack+215668, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+264496, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+62360,int_stack+61910, 1.0, int_stack+61460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75090, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+214198,int_stack+8208,int_stack+48978, 1.0, int_stack+216928, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162250, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+52158,int_stack+214198,int_stack+19968, 1.0, int_stack+218008, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267892, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+214198,int_stack+52158,int_stack+50058, 1.0, int_stack+219688, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269572, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19968,int_stack+63036,int_stack+62910, 1.0, int_stack+135750, 0.0, zero_stack, 1.0, int_stack+144016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20346,int_stack+63204,int_stack+63036, 1.0, int_stack+135876, 0.0, zero_stack, 1.0, int_stack+144310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20850,int_stack+20346,int_stack+19968, 1.0, int_stack+224938, 0.0, zero_stack, 1.0, int_stack+258472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+217348,int_stack+63420,int_stack+63204, 1.0, int_stack+136044, 0.0, zero_stack, 1.0, int_stack+144694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+217348,int_stack+20346, 1.0, int_stack+225316, 0.0, zero_stack, 1.0, int_stack+258850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+0,int_stack+20850, 1.0, int_stack+225820, 0.0, zero_stack, 1.0, int_stack+259354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+224938,int_stack+63690,int_stack+63420, 1.0, int_stack+136260, 0.0, zero_stack, 1.0, int_stack+145180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+19968,int_stack+224938,int_stack+217348, 1.0, int_stack+226576, 0.0, zero_stack, 1.0, int_stack+260110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+19968,int_stack+0, 1.0, int_stack+227224, 0.0, zero_stack, 1.0, int_stack+260758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+217348,int_stack+8208,int_stack+334386, 1.0, int_stack+228232, 0.0, zero_stack, 1.0, int_stack+261766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+64720,int_stack+64230, 1.0, int_stack+64020, 0.0, zero_stack, 1.0, int_stack+72750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+65360,int_stack+64720, 1.0, int_stack+64440, 0.0, zero_stack, 1.0, int_stack+73450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+337536, 1.0, int_stack+231382, 0.0, zero_stack, 1.0, int_stack+263026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+19968,int_stack+66170,int_stack+65360, 1.0, int_stack+65000, 0.0, zero_stack, 1.0, int_stack+74370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+219238,int_stack+19968,int_stack+334386, 1.0, int_stack+232012, 0.0, zero_stack, 1.0, int_stack+263656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+224938,int_stack+219238,int_stack+8208, 1.0, int_stack+232852, 0.0, zero_stack, 1.0, int_stack+264496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+66620,int_stack+66170, 1.0, int_stack+65720, 0.0, zero_stack, 1.0, int_stack+75090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+231382,int_stack+8208,int_stack+19968, 1.0, int_stack+234112, 0.0, zero_stack, 1.0, int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+48978,int_stack+231382,int_stack+219238, 1.0, int_stack+235192, 0.0, zero_stack, 1.0, int_stack+267892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+231382,int_stack+48978,int_stack+224938, 1.0, int_stack+236872, 0.0, zero_stack, 1.0, int_stack+269572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+224938,int_stack+67296,int_stack+67170, 1.0, int_stack+139820, 1.0, int_stack+144016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+225316,int_stack+67464,int_stack+67296, 1.0, int_stack+139946, 1.0, int_stack+144310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+225820,int_stack+225316,int_stack+224938, 1.0, int_stack+242122, 1.0, int_stack+258472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+226576,int_stack+67680,int_stack+67464, 1.0, int_stack+140114, 1.0, int_stack+144694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+226576,int_stack+225316, 1.0, int_stack+242500, 1.0, int_stack+258850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+0,int_stack+225820, 1.0, int_stack+243004, 1.0, int_stack+259354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+242122,int_stack+67950,int_stack+67680, 1.0, int_stack+140330, 1.0, int_stack+145180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+224938,int_stack+242122,int_stack+226576, 1.0, int_stack+243760, 1.0, int_stack+260110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+224938,int_stack+0, 1.0, int_stack+244408, 1.0, int_stack+260758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+224938,int_stack+19968,int_stack+334386, 1.0, int_stack+245416, 1.0, int_stack+261766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+68980,int_stack+68490, 1.0, int_stack+68280, 1.0, int_stack+72750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+69620,int_stack+68980, 1.0, int_stack+68700, 1.0, int_stack+73450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 1.0, int_stack+246676, 1.0, int_stack+263026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+226828,int_stack+70430,int_stack+69620, 1.0, int_stack+69260, 1.0, int_stack+74370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+226828,int_stack+334386, 1.0, int_stack+247306, 1.0, int_stack+263656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+242122,int_stack+8208,int_stack+19968, 1.0, int_stack+248146, 1.0, int_stack+264496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+70880,int_stack+70430, 1.0, int_stack+69980, 1.0, int_stack+75090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+244222,int_stack+19968,int_stack+226828, 1.0, int_stack+1008, 1.0, int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+246382,int_stack+244222,int_stack+8208, 1.0, int_stack+251542, 1.0, int_stack+267892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+48978,int_stack+246382,int_stack+242122, 1.0, int_stack+253222, 1.0, int_stack+269572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+242122,int_stack+71556,int_stack+71430, 2.0, int_stack+144016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+242500,int_stack+71724,int_stack+71556, 2.0, int_stack+144310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+243004,int_stack+242500,int_stack+242122, 2.0, int_stack+258472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+243760,int_stack+71940,int_stack+71724, 2.0, int_stack+144694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+244408,int_stack+243760,int_stack+242500, 2.0, int_stack+258850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+244408,int_stack+243004, 2.0, int_stack+259354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+258472,int_stack+72210,int_stack+71940, 2.0, int_stack+145180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+242122,int_stack+258472,int_stack+243760, 2.0, int_stack+260110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+242122,int_stack+244408, 2.0, int_stack+260758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+143890,int_stack+8208,int_stack+334386, 2.0, int_stack+261766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+73730,int_stack+72960, 2.0, int_stack+72750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+74730,int_stack+73730, 2.0, int_stack+73450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+337536, 2.0, int_stack+263026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+242122,int_stack+75540,int_stack+74730, 2.0, int_stack+74370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+242122,int_stack+334386, 2.0, int_stack+263656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+243202,int_stack+19968,int_stack+8208, 2.0, int_stack+264496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+75990,int_stack+75540, 2.0, int_stack+75090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+245302,int_stack+8208,int_stack+242122, 2.0, int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+258472,int_stack+245302,int_stack+19968, 2.0, int_stack+267892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+245302,int_stack+258472,int_stack+243202, 2.0, int_stack+269572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+258472,int_stack+76666,int_stack+76540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150040,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+258850,int_stack+76834,int_stack+76666, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150166,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+259354,int_stack+258850,int_stack+258472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175138,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+260110,int_stack+77050,int_stack+76834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150334,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+260758,int_stack+260110,int_stack+258850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175516,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+260758,int_stack+259354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176020,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+258472,int_stack+77320,int_stack+77050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150550,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+261766,int_stack+258472,int_stack+260110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176776,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+261766,int_stack+260758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177424,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+258472,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178432,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+77860,int_stack+77650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92450,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+78140,int_stack+77860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92870,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163330,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162250,int_stack+78500,int_stack+78140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93430,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+162250,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163960,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+260362,int_stack+8208,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164800,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+78950,int_stack+78500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94150,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+262462,int_stack+19968,int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179692,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+267892,int_stack+262462,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276712,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+262462,int_stack+267892,int_stack+260362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278392,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+260362,int_stack+79626,int_stack+79500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150040, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+260740,int_stack+79794,int_stack+79626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150166, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+261244,int_stack+260740,int_stack+260362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175138, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+267892,int_stack+80010,int_stack+79794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150334, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+268540,int_stack+267892,int_stack+260740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175516, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+268540,int_stack+261244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176020, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+260362,int_stack+80280,int_stack+80010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150550, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+269548,int_stack+260362,int_stack+267892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176776, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+269548,int_stack+268540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177424, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+267892,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178432, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+80820,int_stack+80610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92450, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+81100,int_stack+80820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92870, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+337536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163330, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162250,int_stack+81460,int_stack+81100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93430, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+162250,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163960, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+260362,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164800, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+81910,int_stack+81460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94150, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+242122,int_stack+8208,int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179692, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+251542,int_stack+242122,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276712, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+242122,int_stack+251542,int_stack+260362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278392, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+260362,int_stack+82586,int_stack+82460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150040, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+260740,int_stack+82754,int_stack+82586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150166, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+261244,int_stack+260740,int_stack+260362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175138, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+251542,int_stack+82970,int_stack+82754, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150334, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+252190,int_stack+251542,int_stack+260740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175516, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+252190,int_stack+261244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176020, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+260362,int_stack+83240,int_stack+82970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150550, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+253198,int_stack+260362,int_stack+251542, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176776, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+253198,int_stack+252190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177424, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+269782,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178432, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+337536,int_stack+83780,int_stack+83570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92450, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+84060,int_stack+83780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92870, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+337536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163330, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162250,int_stack+84420,int_stack+84060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93430, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+162250,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163960, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+260362,int_stack+8208,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164800, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+84870,int_stack+84420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94150, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+251542,int_stack+19968,int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179692, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+52128,int_stack+251542,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276712, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+251542,int_stack+52128,int_stack+260362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278392, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+260362,int_stack+85546,int_stack+85420, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+260740,int_stack+85714,int_stack+85546, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+261244,int_stack+260740,int_stack+260362, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+52128,int_stack+85930,int_stack+85714, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+52776,int_stack+52128,int_stack+260740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+52776,int_stack+261244, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+260362,int_stack+86200,int_stack+85930, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+53784,int_stack+260362,int_stack+52128, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+53784,int_stack+52776, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+52128,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+86740,int_stack+86530, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+87020,int_stack+86740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162250,int_stack+87380,int_stack+87020, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+162250,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+260362,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+87830,int_stack+87380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+54018,int_stack+8208,int_stack+162250, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+56178,int_stack+54018,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+58978,int_stack+56178,int_stack+260362, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+260362,int_stack+88506,int_stack+88380, 0.0, zero_stack, 1.0, int_stack+150040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+260740,int_stack+88674,int_stack+88506, 0.0, zero_stack, 1.0, int_stack+150166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+261244,int_stack+260740,int_stack+260362, 0.0, zero_stack, 1.0, int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+19968,int_stack+88890,int_stack+88674, 0.0, zero_stack, 1.0, int_stack+150334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+20616,int_stack+19968,int_stack+260740, 0.0, zero_stack, 1.0, int_stack+175516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+20616,int_stack+261244, 0.0, zero_stack, 1.0, int_stack+176020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+260362,int_stack+89160,int_stack+88890, 0.0, zero_stack, 1.0, int_stack+150550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+54018,int_stack+260362,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+176776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+54018,int_stack+20616, 0.0, zero_stack, 1.0, int_stack+177424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+54018,int_stack+8208,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+178432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+89700,int_stack+89490, 0.0, zero_stack, 1.0, int_stack+92450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+89980,int_stack+89700, 0.0, zero_stack, 1.0, int_stack+92870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692, 0.0, zero_stack, 1.0, int_stack+163330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162250,int_stack+90340,int_stack+89980, 0.0, zero_stack, 1.0, int_stack+93430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+162250,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+163960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+260362,int_stack+19968,int_stack+8208, 0.0, zero_stack, 1.0, int_stack+164800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+90790,int_stack+90340, 0.0, zero_stack, 1.0, int_stack+94150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+55908,int_stack+8208,int_stack+162250, 0.0, zero_stack, 1.0, int_stack+179692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+62128,int_stack+55908,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+276712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+64928,int_stack+62128,int_stack+260362, 0.0, zero_stack, 1.0, int_stack+278392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+260362,int_stack+91466,int_stack+91340, 1.0, int_stack+150040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+260740,int_stack+91634,int_stack+91466, 1.0, int_stack+150166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+261244,int_stack+260740,int_stack+260362, 1.0, int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+62128,int_stack+91850,int_stack+91634, 1.0, int_stack+150334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+62776,int_stack+62128,int_stack+260740, 1.0, int_stack+175516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+62776,int_stack+261244, 1.0, int_stack+176020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+175138,int_stack+92120,int_stack+91850, 1.0, int_stack+150550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+260362,int_stack+175138,int_stack+62128, 1.0, int_stack+176776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+260362,int_stack+62776, 1.0, int_stack+177424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+260362,int_stack+19968,int_stack+334386, 1.0, int_stack+178432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+93150,int_stack+92660, 1.0, int_stack+92450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+93790,int_stack+93150, 1.0, int_stack+92870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692, 1.0, int_stack+163330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+62128,int_stack+94600,int_stack+93790, 1.0, int_stack+93430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+62128,int_stack+334386, 1.0, int_stack+163960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+175138,int_stack+8208,int_stack+19968, 1.0, int_stack+164800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+95050,int_stack+94600, 1.0, int_stack+94150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+177238,int_stack+19968,int_stack+62128, 1.0, int_stack+179692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+62128,int_stack+177238,int_stack+8208, 1.0, int_stack+276712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+177238,int_stack+62128,int_stack+175138, 1.0, int_stack+278392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+175138,int_stack+95726,int_stack+95600,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+175516,int_stack+95894,int_stack+95726,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+176020,int_stack+175516,int_stack+175138,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+62128,int_stack+96110,int_stack+95894,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+62776,int_stack+62128,int_stack+175516,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+62776,int_stack+176020,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+175138,int_stack+96380,int_stack+96110,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+276712,int_stack+175138,int_stack+62128,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+276712,int_stack+62776,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+276712,int_stack+8208,int_stack+334386,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+96920,int_stack+96710,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+97200,int_stack+96920,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+278602,int_stack+97560,int_stack+97200,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+278602,int_stack+334386,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+175138,int_stack+19968,int_stack+8208,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+98010,int_stack+97560,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+62128,int_stack+8208,int_stack+278602,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+180388,int_stack+62128,int_stack+19968,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+183188,int_stack+180388,int_stack+175138,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175138,int_stack+98686,int_stack+98560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154110,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175516,int_stack+98854,int_stack+98686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154236,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+176020,int_stack+175516,int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280492,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+180388,int_stack+99070,int_stack+98854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154404,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+181036,int_stack+180388,int_stack+175516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280870,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+181036,int_stack+176020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281374,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+175138,int_stack+99340,int_stack+99070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154620,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+19968,int_stack+175138,int_stack+180388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282130,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+19968,int_stack+181036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282778,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+278602,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+283786,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+99880,int_stack+99670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114470,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+100160,int_stack+99880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114890,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288602,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+19968,int_stack+100520,int_stack+100160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115450,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+180388,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289232,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+175138,int_stack+180388,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290072,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+100970,int_stack+100520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116170,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+62128,int_stack+8208,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291332,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+55908,int_stack+62128,int_stack+180388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+292412,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+162250,int_stack+55908,int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294092,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175138,int_stack+101646,int_stack+101520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154110, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175516,int_stack+101814,int_stack+101646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154236, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+176020,int_stack+175516,int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280492, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+55908,int_stack+102030,int_stack+101814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154404, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+56556,int_stack+55908,int_stack+175516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280870, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+56556,int_stack+176020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281374, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+175138,int_stack+102300,int_stack+102030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154620, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+57564,int_stack+175138,int_stack+55908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282130, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+57564,int_stack+56556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282778, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+55908,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+283786, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+102840,int_stack+102630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114470, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+103120,int_stack+102840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114890, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288602, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+57798,int_stack+103480,int_stack+103120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115450, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+57798,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289232, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+175138,int_stack+8208,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290072, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+103930,int_stack+103480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116170, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+180388,int_stack+19968,int_stack+57798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291332, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+62128,int_stack+180388,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+292412, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+68078,int_stack+62128,int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294092, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+175138,int_stack+104606,int_stack+104480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154110, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+175516,int_stack+104774,int_stack+104606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154236, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+176020,int_stack+175516,int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280492, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+62128,int_stack+104990,int_stack+104774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154404, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+62776,int_stack+62128,int_stack+175516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280870, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+62776,int_stack+176020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281374, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+175138,int_stack+105260,int_stack+104990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154620, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+8208,int_stack+175138,int_stack+62128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282130, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+8208,int_stack+62776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282778, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+62128,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+283786, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+105800,int_stack+105590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114470, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+106080,int_stack+105800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114890, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288602, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8208,int_stack+106440,int_stack+106080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115450, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+175138,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289232, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+180388,int_stack+175138,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290072, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+106890,int_stack+106440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116170, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+71228,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291332, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+73388,int_stack+71228,int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+292412, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+76188,int_stack+73388,int_stack+180388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294092, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+180388,int_stack+107566,int_stack+107440, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+180766,int_stack+107734,int_stack+107566, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+181270,int_stack+180766,int_stack+180388, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+182026,int_stack+107950,int_stack+107734, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+175138,int_stack+182026,int_stack+180766, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+175138,int_stack+181270, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+180388,int_stack+108220,int_stack+107950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+71228,int_stack+180388,int_stack+182026, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+71228,int_stack+175138, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+175138,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+283786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+108760,int_stack+108550, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+109040,int_stack+108760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+71228,int_stack+109400,int_stack+109040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+71228,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+72308,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+109850,int_stack+109400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+180388,int_stack+8208,int_stack+71228, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+79338,int_stack+180388,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+292412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+82138,int_stack+79338,int_stack+72308, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+79338,int_stack+110526,int_stack+110400, 0.0, zero_stack, 1.0, int_stack+154110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+79716,int_stack+110694,int_stack+110526, 0.0, zero_stack, 1.0, int_stack+154236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+80220,int_stack+79716,int_stack+79338, 0.0, zero_stack, 1.0, int_stack+280492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+80976,int_stack+110910,int_stack+110694, 0.0, zero_stack, 1.0, int_stack+154404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+80976,int_stack+79716, 0.0, zero_stack, 1.0, int_stack+280870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+19968,int_stack+80220, 0.0, zero_stack, 1.0, int_stack+281374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+79338,int_stack+111180,int_stack+110910, 0.0, zero_stack, 1.0, int_stack+154620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+180388,int_stack+79338,int_stack+80976, 0.0, zero_stack, 1.0, int_stack+282130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+180388,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+282778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+180388,int_stack+8208,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+283786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+111720,int_stack+111510, 0.0, zero_stack, 1.0, int_stack+114470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+112000,int_stack+111720, 0.0, zero_stack, 1.0, int_stack+114890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692, 0.0, zero_stack, 1.0, int_stack+288602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+19968,int_stack+112360,int_stack+112000, 0.0, zero_stack, 1.0, int_stack+115450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+79338,int_stack+19968,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+289232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+71228,int_stack+79338,int_stack+8208, 0.0, zero_stack, 1.0, int_stack+290072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+112810,int_stack+112360, 0.0, zero_stack, 1.0, int_stack+116170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+73328,int_stack+8208,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+291332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+85288,int_stack+73328,int_stack+79338, 0.0, zero_stack, 1.0, int_stack+292412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+88088,int_stack+85288,int_stack+71228, 0.0, zero_stack, 1.0, int_stack+294092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+71228,int_stack+113486,int_stack+113360, 1.0, int_stack+154110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+71606,int_stack+113654,int_stack+113486, 1.0, int_stack+154236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+72110,int_stack+71606,int_stack+71228, 1.0, int_stack+280492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+72866,int_stack+113870,int_stack+113654, 1.0, int_stack+154404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+73514,int_stack+72866,int_stack+71606, 1.0, int_stack+280870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+73514,int_stack+72110, 1.0, int_stack+281374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+280492,int_stack+114140,int_stack+113870, 1.0, int_stack+154620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+71228,int_stack+280492,int_stack+72866, 1.0, int_stack+282130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+71228,int_stack+73514, 1.0, int_stack+282778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+71228,int_stack+19968,int_stack+334386, 1.0, int_stack+283786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+115170,int_stack+114680, 1.0, int_stack+114470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+115810,int_stack+115170, 1.0, int_stack+114890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692, 1.0, int_stack+288602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+73118,int_stack+116620,int_stack+115810, 1.0, int_stack+115450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+73118,int_stack+334386, 1.0, int_stack+289232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+280492,int_stack+8208,int_stack+19968, 1.0, int_stack+290072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+117070,int_stack+116620, 1.0, int_stack+116170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+288602,int_stack+19968,int_stack+73118, 1.0, int_stack+291332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+85288,int_stack+288602,int_stack+8208, 1.0, int_stack+292412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+288602,int_stack+85288,int_stack+280492, 1.0, int_stack+294092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+280492,int_stack+117746,int_stack+117620,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+280870,int_stack+117914,int_stack+117746,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+281374,int_stack+280870,int_stack+280492,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+282130,int_stack+118130,int_stack+117914,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+282778,int_stack+282130,int_stack+280870,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+282778,int_stack+281374,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+280492,int_stack+118400,int_stack+118130,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+283786,int_stack+280492,int_stack+282130,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+283786,int_stack+282778,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+280492,int_stack+8208,int_stack+334386,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+118940,int_stack+118730,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+119220,int_stack+118940,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+282382,int_stack+119580,int_stack+119220,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+282382,int_stack+334386,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+85288,int_stack+19968,int_stack+8208,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+120030,int_stack+119580,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+291752,int_stack+8208,int_stack+282382,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+79338,int_stack+291752,int_stack+19968,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+291752,int_stack+79338,int_stack+85288,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+85288,int_stack+120706,int_stack+120580,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+85666,int_stack+120874,int_stack+120706,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+86170,int_stack+85666,int_stack+85288,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+86926,int_stack+121090,int_stack+120874,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+79338,int_stack+86926,int_stack+85666,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+79338,int_stack+86170,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+85288,int_stack+121360,int_stack+121090,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+80346,int_stack+85288,int_stack+86926,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+80346,int_stack+79338,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+79338,int_stack+19968,int_stack+334386,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+121900,int_stack+121690,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+122180,int_stack+121900,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+85288,int_stack+122540,int_stack+122180,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+85288,int_stack+334386,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+282382,int_stack+8208,int_stack+19968,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+122990,int_stack+122540,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+73118,int_stack+19968,int_stack+85288,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+85288,int_stack+73118,int_stack+8208,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+91238,int_stack+85288,int_stack+282382,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+282382,int_stack+124776,int_stack+124650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158180,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+282760,int_stack+124944,int_stack+124776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158306,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+283264,int_stack+282760,int_stack+282382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299342,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+284020,int_stack+125160,int_stack+124944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158474,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+85288,int_stack+284020,int_stack+282760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299720,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+85288,int_stack+283264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300224,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+282382,int_stack+125430,int_stack+125160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158690,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+86296,int_stack+282382,int_stack+284020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300980,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+86296,int_stack+85288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301628,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+85288,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302636,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+125970,int_stack+125760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146890,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+126250,int_stack+125970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147310,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+303896,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+282382,int_stack+126610,int_stack+126250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147870,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+282382,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304526,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73118,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305366,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+127060,int_stack+126610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148590,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+94388,int_stack+8208,int_stack+282382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3978,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+282382,int_stack+94388,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+308762,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+94388,int_stack+282382,int_stack+73118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310442,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73118,int_stack+128846,int_stack+128720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158180, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73496,int_stack+129014,int_stack+128846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158306, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74000,int_stack+73496,int_stack+73118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299342, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+74756,int_stack+129230,int_stack+129014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158474, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+282382,int_stack+74756,int_stack+73496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299720, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+282382,int_stack+74000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300224, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+73118,int_stack+129500,int_stack+129230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158690, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+283390,int_stack+73118,int_stack+74756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300980, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+283390,int_stack+282382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301628, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+282382,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302636, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+130040,int_stack+129830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146890, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+130320,int_stack+130040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147310, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+303896, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+284272,int_stack+130680,int_stack+130320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147870, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+284272,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304526, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73118,int_stack+8208,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305366, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+131130,int_stack+130680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148590, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+97538,int_stack+19968,int_stack+284272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3978, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+99698,int_stack+97538,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+308762, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+102498,int_stack+99698,int_stack+73118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310442, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73118,int_stack+132916,int_stack+132790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158180, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73496,int_stack+133084,int_stack+132916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158306, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74000,int_stack+73496,int_stack+73118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299342, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+74756,int_stack+133300,int_stack+133084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158474, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+74756,int_stack+73496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299720, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+8208,int_stack+74000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300224, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+73118,int_stack+133570,int_stack+133300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158690, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+97538,int_stack+73118,int_stack+74756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300980, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+97538,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301628, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+97538,int_stack+19968,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302636, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+134110,int_stack+133900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146890, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+134390,int_stack+134110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147310, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+303896, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8208,int_stack+134750,int_stack+134390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147870, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+99428,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304526, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73118,int_stack+99428,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305366, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+135200,int_stack+134750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148590, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+105648,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3978, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+107808,int_stack+105648,int_stack+99428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+308762, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+110608,int_stack+107808,int_stack+73118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310442, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73118,int_stack+136986,int_stack+136860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73496,int_stack+137154,int_stack+136986, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74000,int_stack+73496,int_stack+73118, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+74756,int_stack+137370,int_stack+137154, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+99428,int_stack+74756,int_stack+73496, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+299720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+99428,int_stack+74000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+73118,int_stack+137640,int_stack+137370, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+100436,int_stack+73118,int_stack+74756, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+100436,int_stack+99428, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+99428,int_stack+8208,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+138180,int_stack+137970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+138460,int_stack+138180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+303896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+101318,int_stack+138820,int_stack+138460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+101318,int_stack+334386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73118,int_stack+19968,int_stack+8208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+139270,int_stack+138820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+105648,int_stack+8208,int_stack+101318, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+107808,int_stack+105648,int_stack+19968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+308762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+113758,int_stack+107808,int_stack+73118, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73118,int_stack+141056,int_stack+140930, 0.0, zero_stack, 1.0, int_stack+158180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73496,int_stack+141224,int_stack+141056, 0.0, zero_stack, 1.0, int_stack+158306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74000,int_stack+73496,int_stack+73118, 0.0, zero_stack, 1.0, int_stack+299342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+74756,int_stack+141440,int_stack+141224, 0.0, zero_stack, 1.0, int_stack+158474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+74756,int_stack+73496, 0.0, zero_stack, 1.0, int_stack+299720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+19968,int_stack+74000, 0.0, zero_stack, 1.0, int_stack+300224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+73118,int_stack+141710,int_stack+141440, 0.0, zero_stack, 1.0, int_stack+158690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+105648,int_stack+73118,int_stack+74756, 0.0, zero_stack, 1.0, int_stack+300980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+105648,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+301628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+105648,int_stack+8208,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+302636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+142250,int_stack+142040, 0.0, zero_stack, 1.0, int_stack+146890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+142530,int_stack+142250, 0.0, zero_stack, 1.0, int_stack+147310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692, 0.0, zero_stack, 1.0, int_stack+303896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+19968,int_stack+142890,int_stack+142530, 0.0, zero_stack, 1.0, int_stack+147870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+107538,int_stack+19968,int_stack+334386, 0.0, zero_stack, 1.0, int_stack+304526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73118,int_stack+107538,int_stack+8208, 0.0, zero_stack, 1.0, int_stack+305366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+143340,int_stack+142890, 0.0, zero_stack, 1.0, int_stack+148590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+116908,int_stack+8208,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+3978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+119068,int_stack+116908,int_stack+107538, 0.0, zero_stack, 1.0, int_stack+308762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+121868,int_stack+119068,int_stack+73118, 0.0, zero_stack, 1.0, int_stack+310442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73118,int_stack+145906,int_stack+145780, 1.0, int_stack+158180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73496,int_stack+146074,int_stack+145906, 1.0, int_stack+158306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74000,int_stack+73496,int_stack+73118, 1.0, int_stack+299342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+74756,int_stack+146290,int_stack+146074, 1.0, int_stack+158474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+107538,int_stack+74756,int_stack+73496, 1.0, int_stack+299720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+107538,int_stack+74000, 1.0, int_stack+300224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+299342,int_stack+146560,int_stack+146290, 1.0, int_stack+158690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+73118,int_stack+299342,int_stack+74756, 1.0, int_stack+300980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+73118,int_stack+107538, 1.0, int_stack+301628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+107538,int_stack+19968,int_stack+334386, 1.0, int_stack+302636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+147590,int_stack+147100, 1.0, int_stack+146890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+148230,int_stack+147590, 1.0, int_stack+147310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692, 1.0, int_stack+303896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+109428,int_stack+149040,int_stack+148230, 1.0, int_stack+147870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+109428,int_stack+334386, 1.0, int_stack+304526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73118,int_stack+8208,int_stack+19968, 1.0, int_stack+305366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+149490,int_stack+149040, 1.0, int_stack+148590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+299342,int_stack+19968,int_stack+109428, 1.0, int_stack+3978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+301502,int_stack+299342,int_stack+8208, 1.0, int_stack+308762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+145780,int_stack+301502,int_stack+73118, 1.0, int_stack+310442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+73118,int_stack+151276,int_stack+151150,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+73496,int_stack+151444,int_stack+151276,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+74000,int_stack+73496,int_stack+73118,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+74756,int_stack+151660,int_stack+151444,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+308762,int_stack+74756,int_stack+73496,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+308762,int_stack+74000,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+73118,int_stack+151930,int_stack+151660,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+309770,int_stack+73118,int_stack+74756,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+309770,int_stack+308762,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+308762,int_stack+8208,int_stack+334386,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+152470,int_stack+152260,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+152750,int_stack+152470,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3978,int_stack+153110,int_stack+152750,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+3978,int_stack+334386,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+73118,int_stack+19968,int_stack+8208,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+153560,int_stack+153110,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+299342,int_stack+8208,int_stack+3978,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+301502,int_stack+299342,int_stack+19968,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+148930,int_stack+301502,int_stack+73118,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+73118,int_stack+155346,int_stack+155220,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+73496,int_stack+155514,int_stack+155346,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+74000,int_stack+73496,int_stack+73118,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+74756,int_stack+155730,int_stack+155514,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+74756,int_stack+73496,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+19968,int_stack+74000,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+73118,int_stack+156000,int_stack+155730,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+299342,int_stack+73118,int_stack+74756,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+8208,int_stack+299342,int_stack+19968,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+310652,int_stack+8208,int_stack+334386,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+156540,int_stack+156330,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+156820,int_stack+156540,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+8208,int_stack+334386,int_stack+254692,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3978,int_stack+157180,int_stack+156820,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+19968,int_stack+3978,int_stack+334386,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+299342,int_stack+19968,int_stack+8208,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+8208,int_stack+157630,int_stack+157180,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+301442,int_stack+8208,int_stack+3978,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+303602,int_stack+301442,int_stack+19968,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+152080,int_stack+303602,int_stack+299342,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+299342,int_stack+159416,int_stack+159290,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+299720,int_stack+159584,int_stack+159416,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+300224,int_stack+299720,int_stack+299342,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+300980,int_stack+159800,int_stack+159584,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+301628,int_stack+300980,int_stack+299720,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+334386,int_stack+301628,int_stack+300224,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+299342,int_stack+160070,int_stack+159800,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+302636,int_stack+299342,int_stack+300980,6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+19968,int_stack+302636,int_stack+301628,6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+299342,int_stack+19968,int_stack+334386,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+254692,int_stack+160610,int_stack+160400,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+334386,int_stack+160890,int_stack+160610,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+334386,int_stack+254692,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3978,int_stack+161250,int_stack+160890,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8208,int_stack+3978,int_stack+334386,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+301232,int_stack+8208,int_stack+19968,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+19968,int_stack+161700,int_stack+161250,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+303332,int_stack+19968,int_stack+3978,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+73118,int_stack+303332,int_stack+8208,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+303332,int_stack+73118,int_stack+301232,10);
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+155230,int_stack+188428,int_stack+171358,315);
     Libderiv->ABCD[11] = int_stack + 155230;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+125018,int_stack+205612,int_stack+196132,315);
     Libderiv->ABCD[10] = int_stack + 125018;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+130688,int_stack+221788,int_stack+212308,315);
     Libderiv->ABCD[9] = int_stack + 130688;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+136358,int_stack+238972,int_stack+229492,315);
     Libderiv->ABCD[8] = int_stack + 136358;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+186338,int_stack+255322,int_stack+249652,315);
     Libderiv->ABCD[7] = int_stack + 186338;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+219238,int_stack+271672,int_stack+266002,315);
     Libderiv->ABCD[6] = int_stack + 219238;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+234532,int_stack+285452,int_stack+274822, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+173248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[2] = int_stack + 234532;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+201172,int_stack+296192,int_stack+2088, 0.0, zero_stack, 1.0, int_stack+173248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[1] = int_stack + 201172;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+364476,int_stack+312542,int_stack+306872, 1.0, int_stack+173248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[0] = int_stack + 364476;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+370146,int_stack+5058,int_stack+320246,315);
     Libderiv->ABCD[155] = int_stack + 370146;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+3978,int_stack+324936,int_stack+315692,315);
     Libderiv->ABCD[143] = int_stack + 3978;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+375816,int_stack+328086,int_stack+9888,315);
     Libderiv->ABCD[142] = int_stack + 375816;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+324026,int_stack+13668,int_stack+11778,315);
     Libderiv->ABCD[131] = int_stack + 324026;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+9648,int_stack+16818,int_stack+317582,315);
     Libderiv->ABCD[130] = int_stack + 9648;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+312542,int_stack+331236,int_stack+322136,315);
     Libderiv->ABCD[129] = int_stack + 312542;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+318212,int_stack+338166,int_stack+21648,315);
     Libderiv->ABCD[119] = int_stack + 318212;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+15318,int_stack+344116,int_stack+335646,315);
     Libderiv->ABCD[118] = int_stack + 15318;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+329696,int_stack+29208,int_stack+23538,315);
     Libderiv->ABCD[117] = int_stack + 329696;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+335366,int_stack+350066,int_stack+25428,315);
     Libderiv->ABCD[116] = int_stack + 335366;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+20988,int_stack+32358,int_stack+27318,315);
     Libderiv->ABCD[107] = int_stack + 20988;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+26658,int_stack+37608,int_stack+347266,315);
     Libderiv->ABCD[106] = int_stack + 26658;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+343206,int_stack+358176,int_stack+341316,315);
     Libderiv->ABCD[105] = int_stack + 343206;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+381486,int_stack+43938,int_stack+35508,315);
     Libderiv->ABCD[104] = int_stack + 381486;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+32328,int_stack+361326,int_stack+353216,315);
     Libderiv->ABCD[103] = int_stack + 32328;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+356996,int_stack+166060,int_stack+355106,315);
     Libderiv->ABCD[95] = int_stack + 356996;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+165400,int_stack+198022,int_stack+40758,315);
     Libderiv->ABCD[94] = int_stack + 165400;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+37998,int_stack+214198,int_stack+47088,315);
     Libderiv->ABCD[93] = int_stack + 37998;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+348876,int_stack+231382,int_stack+217348,315);
     Libderiv->ABCD[92] = int_stack + 348876;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+387156,int_stack+48978,int_stack+224938,315);
     Libderiv->ABCD[91] = int_stack + 387156;
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+43668,int_stack+245302,int_stack+143890,315);
     Libderiv->ABCD[90] = int_stack + 43668;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+392826,int_stack+262462,int_stack+258472, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[47] = int_stack + 392826;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+254692,int_stack+242122,int_stack+267892, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[46] = int_stack + 254692;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+240202,int_stack+251542,int_stack+269782, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+212308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[45] = int_stack + 240202;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+267892,int_stack+58978,int_stack+52128, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[44] = int_stack + 267892;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+398496,int_stack+64928,int_stack+54018, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[43] = int_stack + 398496;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+49338,int_stack+177238,int_stack+260362, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[42] = int_stack + 49338;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+404166,int_stack+183188,int_stack+276712, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+274822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[38] = int_stack + 404166;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+409836,int_stack+162250,int_stack+278602, 0.0, zero_stack, 1.0, int_stack+171358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[35] = int_stack + 409836;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+415506,int_stack+68078,int_stack+55908, 0.0, zero_stack, 1.0, int_stack+196132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[34] = int_stack + 415506;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+55008,int_stack+76188,int_stack+62128, 0.0, zero_stack, 1.0, int_stack+212308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[33] = int_stack + 55008;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+73118,int_stack+82138,int_stack+175138, 0.0, zero_stack, 1.0, int_stack+229492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[32] = int_stack + 73118;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+173248,int_stack+88088,int_stack+180388, 0.0, zero_stack, 1.0, int_stack+249652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[31] = int_stack + 173248;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+178918,int_stack+288602,int_stack+71228, 0.0, zero_stack, 1.0, int_stack+266002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[30] = int_stack + 178918;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+60678,int_stack+291752,int_stack+280492, 0.0, zero_stack, 1.0, int_stack+274822, 1.0, int_stack+2088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[26] = int_stack + 60678;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+276712,int_stack+91238,int_stack+79338, 0.0, zero_stack, 2.0, int_stack+2088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[25] = int_stack + 276712;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+78788,int_stack+94388,int_stack+85288, 1.0, int_stack+171358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[23] = int_stack + 78788;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+84458,int_stack+102498,int_stack+282382, 1.0, int_stack+196132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[22] = int_stack + 84458;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+282382,int_stack+110608,int_stack+97538, 1.0, int_stack+212308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[21] = int_stack + 282382;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+288052,int_stack+113758,int_stack+99428, 1.0, int_stack+229492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[20] = int_stack + 288052;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+90128,int_stack+121868,int_stack+105648, 1.0, int_stack+249652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[19] = int_stack + 90128;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+95798,int_stack+145780,int_stack+107538, 1.0, int_stack+266002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[18] = int_stack + 95798;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+260362,int_stack+148930,int_stack+308762, 1.0, int_stack+274822, 0.0, zero_stack, 1.0, int_stack+306872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[14] = int_stack + 260362;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+101468,int_stack+152080,int_stack+310652, 1.0, int_stack+2088, 1.0, int_stack+306872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[13] = int_stack + 101468;
 /*--- compute (dp|hg) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+107138,int_stack+303332,int_stack+299342, 2.0, int_stack+306872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[12] = int_stack + 107138;

}
