#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_fdhd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|hd) integrals */

void d12hrr_order_fdhd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][7][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][10] = int_stack + 756;
 Libderiv->deriv_classes[5][7][9] = int_stack + 1512;
 Libderiv->deriv_classes[5][7][8] = int_stack + 2268;
 Libderiv->deriv_classes[5][7][7] = int_stack + 3024;
 Libderiv->dvrr_classes[5][6] = int_stack + 3780;
 Libderiv->deriv_classes[5][7][6] = int_stack + 4368;
 Libderiv->deriv_classes[5][7][2] = int_stack + 5124;
 Libderiv->deriv_classes[5][7][1] = int_stack + 5880;
 Libderiv->dvrr_classes[4][7] = int_stack + 6636;
 Libderiv->deriv_classes[5][7][0] = int_stack + 7176;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 7932;
 Libderiv->deriv2_classes[3][6][143] = int_stack + 8142;
 Libderiv->deriv2_classes[3][7][143] = int_stack + 8422;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 8782;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 9097;
 Libderiv->deriv2_classes[4][7][143] = int_stack + 9517;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 10057;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 10498;
 Libderiv->deriv2_classes[5][7][143] = int_stack + 11086;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 11842;
 Libderiv->deriv2_classes[3][6][131] = int_stack + 12052;
 Libderiv->deriv2_classes[3][7][131] = int_stack + 12332;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 12692;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 13007;
 Libderiv->deriv2_classes[4][7][131] = int_stack + 13427;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 13967;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 14408;
 Libderiv->deriv2_classes[5][7][131] = int_stack + 14996;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 15752;
 Libderiv->deriv2_classes[3][6][130] = int_stack + 15962;
 Libderiv->deriv2_classes[3][7][130] = int_stack + 16242;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 16602;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 16917;
 Libderiv->deriv2_classes[4][7][130] = int_stack + 17337;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 17877;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 18318;
 Libderiv->deriv2_classes[5][7][130] = int_stack + 18906;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 19662;
 Libderiv->deriv2_classes[3][6][119] = int_stack + 19872;
 Libderiv->deriv2_classes[3][7][119] = int_stack + 20152;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 20512;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 20827;
 Libderiv->deriv2_classes[4][7][119] = int_stack + 21247;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 21787;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 22228;
 Libderiv->deriv2_classes[5][7][119] = int_stack + 22816;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 23572;
 Libderiv->deriv2_classes[3][6][118] = int_stack + 23782;
 Libderiv->deriv2_classes[3][7][118] = int_stack + 24062;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 24422;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 24737;
 Libderiv->deriv2_classes[4][7][118] = int_stack + 25157;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 25697;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 26138;
 Libderiv->deriv2_classes[5][7][118] = int_stack + 26726;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 27482;
 Libderiv->deriv2_classes[3][6][117] = int_stack + 27692;
 Libderiv->deriv2_classes[3][7][117] = int_stack + 27972;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 28332;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 28647;
 Libderiv->deriv2_classes[4][7][117] = int_stack + 29067;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 29607;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 30048;
 Libderiv->deriv2_classes[5][7][117] = int_stack + 30636;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 31392;
 Libderiv->deriv2_classes[3][6][107] = int_stack + 31602;
 Libderiv->deriv2_classes[3][7][107] = int_stack + 31882;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 32242;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 32557;
 Libderiv->deriv2_classes[4][7][107] = int_stack + 32977;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 33517;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 33958;
 Libderiv->deriv2_classes[5][7][107] = int_stack + 34546;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 35302;
 Libderiv->deriv2_classes[3][6][106] = int_stack + 35512;
 Libderiv->deriv2_classes[3][7][106] = int_stack + 35792;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 36152;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 36467;
 Libderiv->deriv2_classes[4][7][106] = int_stack + 36887;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 37427;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 37868;
 Libderiv->deriv2_classes[5][7][106] = int_stack + 38456;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 39212;
 Libderiv->deriv2_classes[3][6][105] = int_stack + 39422;
 Libderiv->deriv2_classes[3][7][105] = int_stack + 39702;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 40062;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 40377;
 Libderiv->deriv2_classes[4][7][105] = int_stack + 40797;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 41337;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 41778;
 Libderiv->deriv2_classes[5][7][105] = int_stack + 42366;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 43122;
 Libderiv->deriv2_classes[3][6][104] = int_stack + 43332;
 Libderiv->deriv2_classes[3][7][104] = int_stack + 43612;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 43972;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 44287;
 Libderiv->deriv2_classes[4][7][104] = int_stack + 44707;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 45247;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 45688;
 Libderiv->deriv2_classes[5][7][104] = int_stack + 46276;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 47032;
 Libderiv->deriv2_classes[3][6][95] = int_stack + 47242;
 Libderiv->deriv2_classes[3][7][95] = int_stack + 47522;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 47882;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 48197;
 Libderiv->deriv2_classes[4][7][95] = int_stack + 48617;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 49157;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 49598;
 Libderiv->deriv2_classes[5][7][95] = int_stack + 50186;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 50942;
 Libderiv->deriv2_classes[3][6][94] = int_stack + 51152;
 Libderiv->deriv2_classes[3][7][94] = int_stack + 51432;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 51792;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 52107;
 Libderiv->deriv2_classes[4][7][94] = int_stack + 52527;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 53067;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 53508;
 Libderiv->deriv2_classes[5][7][94] = int_stack + 54096;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 54852;
 Libderiv->deriv2_classes[3][6][93] = int_stack + 55062;
 Libderiv->deriv2_classes[3][7][93] = int_stack + 55342;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 55702;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 56017;
 Libderiv->deriv2_classes[4][7][93] = int_stack + 56437;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 56977;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 57418;
 Libderiv->deriv2_classes[5][7][93] = int_stack + 58006;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 58762;
 Libderiv->deriv2_classes[3][6][92] = int_stack + 58972;
 Libderiv->deriv2_classes[3][7][92] = int_stack + 59252;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 59612;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 59927;
 Libderiv->deriv2_classes[4][7][92] = int_stack + 60347;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 60887;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 61328;
 Libderiv->deriv2_classes[5][7][92] = int_stack + 61916;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 62672;
 Libderiv->deriv2_classes[3][6][91] = int_stack + 62882;
 Libderiv->deriv2_classes[3][7][91] = int_stack + 63162;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 63522;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 63837;
 Libderiv->deriv2_classes[4][7][91] = int_stack + 64257;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 64797;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 65238;
 Libderiv->deriv2_classes[5][7][91] = int_stack + 65826;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 66582;
 Libderiv->deriv2_classes[3][6][83] = int_stack + 66792;
 Libderiv->deriv2_classes[3][7][83] = int_stack + 67072;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 67432;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 67747;
 Libderiv->deriv2_classes[4][7][83] = int_stack + 68167;
 Libderiv->deriv_classes[5][5][11] = int_stack + 68707;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 69148;
 Libderiv->deriv_classes[5][6][11] = int_stack + 69589;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 70177;
 Libderiv->deriv2_classes[5][7][83] = int_stack + 70765;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 71521;
 Libderiv->deriv2_classes[3][6][82] = int_stack + 71731;
 Libderiv->deriv2_classes[3][7][82] = int_stack + 72011;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 72371;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 72686;
 Libderiv->deriv2_classes[4][7][82] = int_stack + 73106;
 Libderiv->deriv_classes[5][5][10] = int_stack + 73646;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 74087;
 Libderiv->deriv_classes[5][6][10] = int_stack + 74528;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 75116;
 Libderiv->deriv2_classes[5][7][82] = int_stack + 75704;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 76460;
 Libderiv->deriv2_classes[3][6][81] = int_stack + 76670;
 Libderiv->deriv2_classes[3][7][81] = int_stack + 76950;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 77310;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 77625;
 Libderiv->deriv2_classes[4][7][81] = int_stack + 78045;
 Libderiv->deriv_classes[5][5][9] = int_stack + 78585;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 79026;
 Libderiv->deriv_classes[5][6][9] = int_stack + 79467;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 80055;
 Libderiv->deriv2_classes[5][7][81] = int_stack + 80643;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 81399;
 Libderiv->deriv2_classes[3][6][80] = int_stack + 81609;
 Libderiv->deriv2_classes[3][7][80] = int_stack + 81889;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 82249;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 82564;
 Libderiv->deriv2_classes[4][7][80] = int_stack + 82984;
 Libderiv->deriv_classes[5][5][8] = int_stack + 83524;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 83965;
 Libderiv->deriv_classes[5][6][8] = int_stack + 84406;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 84994;
 Libderiv->deriv2_classes[5][7][80] = int_stack + 85582;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 86338;
 Libderiv->deriv2_classes[3][6][79] = int_stack + 86548;
 Libderiv->deriv2_classes[3][7][79] = int_stack + 86828;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 87188;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 87503;
 Libderiv->deriv2_classes[4][7][79] = int_stack + 87923;
 Libderiv->deriv_classes[5][5][7] = int_stack + 88463;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 88904;
 Libderiv->deriv_classes[5][6][7] = int_stack + 89345;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 89933;
 Libderiv->deriv2_classes[5][7][79] = int_stack + 90521;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 91277;
 Libderiv->deriv2_classes[3][6][78] = int_stack + 91487;
 Libderiv->deriv2_classes[3][7][78] = int_stack + 91767;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 92127;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 92442;
 Libderiv->deriv2_classes[4][7][78] = int_stack + 92862;
 Libderiv->dvrr_classes[5][5] = int_stack + 93402;
 Libderiv->deriv_classes[5][5][6] = int_stack + 93843;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 94284;
 Libderiv->deriv_classes[5][6][6] = int_stack + 94725;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 95313;
 Libderiv->deriv2_classes[5][7][78] = int_stack + 95901;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 96657;
 Libderiv->deriv2_classes[3][6][35] = int_stack + 96867;
 Libderiv->deriv2_classes[3][7][35] = int_stack + 97147;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 97507;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 97822;
 Libderiv->deriv2_classes[4][7][35] = int_stack + 98242;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 98782;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 99223;
 Libderiv->deriv2_classes[5][7][35] = int_stack + 99811;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 100567;
 Libderiv->deriv2_classes[3][6][34] = int_stack + 100777;
 Libderiv->deriv2_classes[3][7][34] = int_stack + 101057;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 101417;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 101732;
 Libderiv->deriv2_classes[4][7][34] = int_stack + 102152;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 102692;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 103133;
 Libderiv->deriv2_classes[5][7][34] = int_stack + 103721;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 104477;
 Libderiv->deriv2_classes[3][6][33] = int_stack + 104687;
 Libderiv->deriv2_classes[3][7][33] = int_stack + 104967;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 105327;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 105642;
 Libderiv->deriv2_classes[4][7][33] = int_stack + 106062;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 106602;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 107043;
 Libderiv->deriv2_classes[5][7][33] = int_stack + 107631;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 108387;
 Libderiv->deriv2_classes[3][6][32] = int_stack + 108597;
 Libderiv->deriv2_classes[3][7][32] = int_stack + 108877;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 109237;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 109552;
 Libderiv->deriv2_classes[4][7][32] = int_stack + 109972;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 110512;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 110953;
 Libderiv->deriv2_classes[5][7][32] = int_stack + 111541;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 112297;
 Libderiv->deriv2_classes[3][6][31] = int_stack + 112507;
 Libderiv->deriv2_classes[3][7][31] = int_stack + 112787;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 113147;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 113462;
 Libderiv->deriv2_classes[4][7][31] = int_stack + 113882;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 114422;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 114863;
 Libderiv->deriv2_classes[5][7][31] = int_stack + 115451;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 116207;
 Libderiv->deriv2_classes[3][6][30] = int_stack + 116417;
 Libderiv->deriv2_classes[3][7][30] = int_stack + 116697;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 117057;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 117372;
 Libderiv->deriv2_classes[4][7][30] = int_stack + 117792;
 Libderiv->deriv_classes[5][5][2] = int_stack + 118332;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 118773;
 Libderiv->deriv_classes[5][6][2] = int_stack + 119214;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 119802;
 Libderiv->deriv2_classes[5][7][30] = int_stack + 120390;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 121146;
 Libderiv->deriv2_classes[3][6][26] = int_stack + 121356;
 Libderiv->deriv2_classes[3][7][26] = int_stack + 121636;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 121996;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 122311;
 Libderiv->deriv2_classes[4][7][26] = int_stack + 122731;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 123271;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 123712;
 Libderiv->deriv2_classes[5][7][26] = int_stack + 124300;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 125056;
 Libderiv->deriv2_classes[3][6][23] = int_stack + 125266;
 Libderiv->deriv2_classes[3][7][23] = int_stack + 125546;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 125906;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 126221;
 Libderiv->deriv2_classes[4][7][23] = int_stack + 126641;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 127181;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 127622;
 Libderiv->deriv2_classes[5][7][23] = int_stack + 128210;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 128966;
 Libderiv->deriv2_classes[3][6][22] = int_stack + 129176;
 Libderiv->deriv2_classes[3][7][22] = int_stack + 129456;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 129816;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 130131;
 Libderiv->deriv2_classes[4][7][22] = int_stack + 130551;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 131091;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 131532;
 Libderiv->deriv2_classes[5][7][22] = int_stack + 132120;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 132876;
 Libderiv->deriv2_classes[3][6][21] = int_stack + 133086;
 Libderiv->deriv2_classes[3][7][21] = int_stack + 133366;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 133726;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 134041;
 Libderiv->deriv2_classes[4][7][21] = int_stack + 134461;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 135001;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 135442;
 Libderiv->deriv2_classes[5][7][21] = int_stack + 136030;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 136786;
 Libderiv->deriv2_classes[3][6][20] = int_stack + 136996;
 Libderiv->deriv2_classes[3][7][20] = int_stack + 137276;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 137636;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 137951;
 Libderiv->deriv2_classes[4][7][20] = int_stack + 138371;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 138911;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 139352;
 Libderiv->deriv2_classes[5][7][20] = int_stack + 139940;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 140696;
 Libderiv->deriv2_classes[3][6][19] = int_stack + 140906;
 Libderiv->deriv2_classes[3][7][19] = int_stack + 141186;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 141546;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 141861;
 Libderiv->deriv2_classes[4][7][19] = int_stack + 142281;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 142821;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 143262;
 Libderiv->deriv2_classes[5][7][19] = int_stack + 143850;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 144606;
 Libderiv->deriv2_classes[3][6][18] = int_stack + 144816;
 Libderiv->deriv2_classes[3][7][18] = int_stack + 145096;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 145456;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 145771;
 Libderiv->deriv2_classes[4][7][18] = int_stack + 146191;
 Libderiv->deriv_classes[5][5][1] = int_stack + 146731;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 147172;
 Libderiv->deriv_classes[5][6][1] = int_stack + 147613;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 148201;
 Libderiv->deriv2_classes[5][7][18] = int_stack + 148789;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 149545;
 Libderiv->deriv2_classes[3][6][14] = int_stack + 149755;
 Libderiv->deriv2_classes[3][7][14] = int_stack + 150035;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 150395;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 150710;
 Libderiv->deriv2_classes[4][7][14] = int_stack + 151130;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 151670;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 152111;
 Libderiv->deriv2_classes[5][7][14] = int_stack + 152699;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 153455;
 Libderiv->deriv2_classes[3][6][13] = int_stack + 153665;
 Libderiv->deriv2_classes[3][7][13] = int_stack + 153945;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 154305;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 154620;
 Libderiv->deriv2_classes[4][7][13] = int_stack + 155040;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 155580;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 156021;
 Libderiv->deriv2_classes[5][7][13] = int_stack + 156609;
 Libderiv->deriv_classes[3][5][11] = int_stack + 157365;
 Libderiv->deriv_classes[3][6][11] = int_stack + 157575;
 Libderiv->deriv_classes[3][7][11] = int_stack + 157855;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 158215;
 Libderiv->deriv2_classes[3][6][11] = int_stack + 158425;
 Libderiv->deriv2_classes[3][7][11] = int_stack + 158705;
 Libderiv->deriv_classes[4][5][11] = int_stack + 159065;
 Libderiv->deriv_classes[4][6][11] = int_stack + 159380;
 Libderiv->deriv_classes[4][7][11] = int_stack + 159800;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 160340;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 160655;
 Libderiv->deriv2_classes[4][7][11] = int_stack + 161075;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 161615;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 162056;
 Libderiv->deriv2_classes[5][7][11] = int_stack + 162644;
 Libderiv->deriv_classes[3][5][10] = int_stack + 163400;
 Libderiv->deriv_classes[3][6][10] = int_stack + 163610;
 Libderiv->deriv_classes[3][7][10] = int_stack + 163890;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 164250;
 Libderiv->deriv2_classes[3][6][10] = int_stack + 164460;
 Libderiv->deriv2_classes[3][7][10] = int_stack + 164740;
 Libderiv->deriv_classes[4][5][10] = int_stack + 165100;
 Libderiv->deriv_classes[4][6][10] = int_stack + 165415;
 Libderiv->deriv_classes[4][7][10] = int_stack + 165835;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 166375;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 166690;
 Libderiv->deriv2_classes[4][7][10] = int_stack + 167110;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 167650;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 168091;
 Libderiv->deriv2_classes[5][7][10] = int_stack + 168679;
 Libderiv->deriv_classes[3][5][9] = int_stack + 169435;
 Libderiv->deriv_classes[3][6][9] = int_stack + 169645;
 Libderiv->deriv_classes[3][7][9] = int_stack + 169925;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 170285;
 Libderiv->deriv2_classes[3][6][9] = int_stack + 170495;
 Libderiv->deriv2_classes[3][7][9] = int_stack + 170775;
 Libderiv->deriv_classes[4][5][9] = int_stack + 171135;
 Libderiv->deriv_classes[4][6][9] = int_stack + 171450;
 Libderiv->deriv_classes[4][7][9] = int_stack + 171870;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 172410;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 172725;
 Libderiv->deriv2_classes[4][7][9] = int_stack + 173145;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 173685;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 174126;
 Libderiv->deriv2_classes[5][7][9] = int_stack + 174714;
 Libderiv->deriv_classes[3][5][8] = int_stack + 175470;
 Libderiv->deriv_classes[3][6][8] = int_stack + 175680;
 Libderiv->deriv_classes[3][7][8] = int_stack + 175960;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 176320;
 Libderiv->deriv2_classes[3][6][8] = int_stack + 176530;
 Libderiv->deriv2_classes[3][7][8] = int_stack + 176810;
 Libderiv->deriv_classes[4][5][8] = int_stack + 177170;
 Libderiv->deriv_classes[4][6][8] = int_stack + 177485;
 Libderiv->deriv_classes[4][7][8] = int_stack + 177905;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 178445;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 178760;
 Libderiv->deriv2_classes[4][7][8] = int_stack + 179180;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 179720;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 180161;
 Libderiv->deriv2_classes[5][7][8] = int_stack + 180749;
 Libderiv->deriv_classes[3][5][7] = int_stack + 181505;
 Libderiv->deriv_classes[3][6][7] = int_stack + 181715;
 Libderiv->deriv_classes[3][7][7] = int_stack + 181995;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 182355;
 Libderiv->deriv2_classes[3][6][7] = int_stack + 182565;
 Libderiv->deriv2_classes[3][7][7] = int_stack + 182845;
 Libderiv->deriv_classes[4][5][7] = int_stack + 183205;
 Libderiv->deriv_classes[4][6][7] = int_stack + 183520;
 Libderiv->deriv_classes[4][7][7] = int_stack + 183940;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 184480;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 184795;
 Libderiv->deriv2_classes[4][7][7] = int_stack + 185215;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 185755;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 186196;
 Libderiv->deriv2_classes[5][7][7] = int_stack + 186784;
 Libderiv->deriv_classes[3][5][6] = int_stack + 187540;
 Libderiv->deriv_classes[3][6][6] = int_stack + 187750;
 Libderiv->deriv_classes[3][7][6] = int_stack + 188030;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 188390;
 Libderiv->deriv2_classes[3][6][6] = int_stack + 188600;
 Libderiv->deriv2_classes[3][7][6] = int_stack + 188880;
 Libderiv->dvrr_classes[4][5] = int_stack + 189240;
 Libderiv->deriv_classes[4][5][6] = int_stack + 189555;
 Libderiv->dvrr_classes[4][6] = int_stack + 189870;
 Libderiv->deriv_classes[4][6][6] = int_stack + 190290;
 Libderiv->deriv_classes[4][7][6] = int_stack + 190710;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 191250;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 191565;
 Libderiv->deriv2_classes[4][7][6] = int_stack + 191985;
 Libderiv->deriv_classes[5][5][0] = int_stack + 192525;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 192966;
 Libderiv->deriv_classes[5][6][0] = int_stack + 193407;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 193995;
 Libderiv->deriv2_classes[5][7][6] = int_stack + 194583;
 Libderiv->deriv_classes[3][5][2] = int_stack + 195339;
 Libderiv->deriv_classes[3][6][2] = int_stack + 195549;
 Libderiv->deriv_classes[3][7][2] = int_stack + 195829;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 196189;
 Libderiv->deriv2_classes[3][6][2] = int_stack + 196399;
 Libderiv->deriv2_classes[3][7][2] = int_stack + 196679;
 Libderiv->deriv_classes[4][5][2] = int_stack + 197039;
 Libderiv->deriv_classes[4][6][2] = int_stack + 197354;
 Libderiv->deriv_classes[4][7][2] = int_stack + 197774;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 198314;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 198629;
 Libderiv->deriv2_classes[4][7][2] = int_stack + 199049;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 199589;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 200030;
 Libderiv->deriv2_classes[5][7][2] = int_stack + 200618;
 Libderiv->deriv_classes[3][5][1] = int_stack + 201374;
 Libderiv->deriv_classes[3][6][1] = int_stack + 201584;
 Libderiv->deriv_classes[3][7][1] = int_stack + 201864;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 202224;
 Libderiv->deriv2_classes[3][6][1] = int_stack + 202434;
 Libderiv->deriv2_classes[3][7][1] = int_stack + 202714;
 Libderiv->deriv_classes[4][5][1] = int_stack + 203074;
 Libderiv->deriv_classes[4][6][1] = int_stack + 203389;
 Libderiv->deriv_classes[4][7][1] = int_stack + 203809;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 204349;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 204664;
 Libderiv->deriv2_classes[4][7][1] = int_stack + 205084;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 205624;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 206065;
 Libderiv->deriv2_classes[5][7][1] = int_stack + 206653;
 Libderiv->dvrr_classes[3][5] = int_stack + 207409;
 Libderiv->dvrr_classes[3][6] = int_stack + 207619;
 Libderiv->dvrr_classes[3][7] = int_stack + 207899;
 Libderiv->deriv_classes[3][5][0] = int_stack + 208259;
 Libderiv->deriv_classes[3][6][0] = int_stack + 208469;
 Libderiv->deriv_classes[3][7][0] = int_stack + 208749;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 209109;
 Libderiv->deriv2_classes[3][6][0] = int_stack + 209319;
 Libderiv->deriv2_classes[3][7][0] = int_stack + 209599;
 Libderiv->deriv_classes[4][5][0] = int_stack + 209959;
 Libderiv->deriv_classes[4][6][0] = int_stack + 210274;
 Libderiv->deriv_classes[4][7][0] = int_stack + 210694;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 211234;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 211549;
 Libderiv->deriv2_classes[4][7][0] = int_stack + 211969;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 212509;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 212950;
 Libderiv->deriv2_classes[5][7][0] = int_stack + 213538;
 memset(int_stack,0,1714352);

 Libderiv->dvrr_stack = int_stack + 588976;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_fdhd(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+214294,int_stack+207619,int_stack+207409,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+214924,int_stack+157575,int_stack+157365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207409,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+157855,int_stack+157575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207619,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+216394,int_stack+215554,int_stack+214924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214294,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+217654,int_stack+189870,int_stack+189240,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+159380,int_stack+159065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189240,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+219544,int_stack+159800,int_stack+159380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189870,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+220804,int_stack+219544,int_stack+218599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217654,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+222694,int_stack+220804,int_stack+216394,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+226474,int_stack+3780,int_stack+93402,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+227797,int_stack+69589,int_stack+68707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93402,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+229120,int_stack+0,int_stack+69589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+230884,int_stack+229120,int_stack+227797, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+233530,int_stack+230884,int_stack+220804,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229120,int_stack+163610,int_stack+163400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207409, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+163890,int_stack+163610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207619, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+219544,int_stack+215554,int_stack+229120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214294, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229750,int_stack+165415,int_stack+165100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189240, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230695,int_stack+165835,int_stack+165415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189870, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+239200,int_stack+230695,int_stack+229750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217654, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+241090,int_stack+239200,int_stack+219544,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+230695,int_stack+74528,int_stack+73646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93402, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+244870,int_stack+756,int_stack+74528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+246634,int_stack+244870,int_stack+230695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+249280,int_stack+246634,int_stack+239200,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+244870,int_stack+169645,int_stack+169435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207409, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+169925,int_stack+169645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207619, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+245500,int_stack+215554,int_stack+244870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214294, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+246760,int_stack+171450,int_stack+171135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189240, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+247705,int_stack+171870,int_stack+171450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189870, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+254950,int_stack+247705,int_stack+246760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217654, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+256840,int_stack+254950,int_stack+245500,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+247705,int_stack+79467,int_stack+78585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93402, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+260620,int_stack+1512,int_stack+79467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+262384,int_stack+260620,int_stack+247705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+265030,int_stack+262384,int_stack+254950,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+260620,int_stack+175680,int_stack+175470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+175960,int_stack+175680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+261250,int_stack+215554,int_stack+260620, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+262510,int_stack+177485,int_stack+177170, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+263455,int_stack+177905,int_stack+177485, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+263455,int_stack+262510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+270700,int_stack+0,int_stack+261250,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+263455,int_stack+84406,int_stack+83524, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274480,int_stack+2268,int_stack+84406, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+276244,int_stack+274480,int_stack+263455, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+278890,int_stack+276244,int_stack+0,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+274480,int_stack+181715,int_stack+181505, 0.0, zero_stack, 1.0, int_stack+207409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+181995,int_stack+181715, 0.0, zero_stack, 1.0, int_stack+207619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+275110,int_stack+215554,int_stack+274480, 0.0, zero_stack, 1.0, int_stack+214294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+276370,int_stack+183520,int_stack+183205, 0.0, zero_stack, 1.0, int_stack+189240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+277315,int_stack+183940,int_stack+183520, 0.0, zero_stack, 1.0, int_stack+189870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+284560,int_stack+277315,int_stack+276370, 0.0, zero_stack, 1.0, int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+286450,int_stack+284560,int_stack+275110,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+277315,int_stack+89345,int_stack+88463, 0.0, zero_stack, 1.0, int_stack+93402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+290230,int_stack+3024,int_stack+89345, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+291994,int_stack+290230,int_stack+277315, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+294640,int_stack+291994,int_stack+284560,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+187750,int_stack+187540, 1.0, int_stack+207409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+188030,int_stack+187750, 1.0, int_stack+207619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+290860,int_stack+215554,int_stack+290230, 1.0, int_stack+214294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+292120,int_stack+190290,int_stack+189555, 1.0, int_stack+189240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+293065,int_stack+190710,int_stack+190290, 1.0, int_stack+189870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1890,int_stack+293065,int_stack+292120, 1.0, int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+300310,int_stack+1890,int_stack+290860,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+293065,int_stack+94725,int_stack+93843, 1.0, int_stack+93402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+304090,int_stack+4368,int_stack+94725, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305854,int_stack+304090,int_stack+293065, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+308500,int_stack+305854,int_stack+1890,126);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+207899,int_stack+207619,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+226474,int_stack+215554,int_stack+214294,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+304090,int_stack+6636,int_stack+189870,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+304090,int_stack+217654,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+314170,int_stack+305350,int_stack+226474,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+214294,int_stack+195549,int_stack+195339,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+195829,int_stack+195549,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+304090,int_stack+215554,int_stack+214294,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+217654,int_stack+197354,int_stack+197039,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+307240,int_stack+197774,int_stack+197354,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+317950,int_stack+307240,int_stack+217654,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+319840,int_stack+317950,int_stack+304090, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+119214,int_stack+118332,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+323620,int_stack+5124,int_stack+119214,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+325384,int_stack+323620,int_stack+3780,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+328030,int_stack+325384,int_stack+317950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+323620,int_stack+201584,int_stack+201374,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+201864,int_stack+201584,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+307240,int_stack+215554,int_stack+323620,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+324250,int_stack+203389,int_stack+203074,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+325195,int_stack+203809,int_stack+203389,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+333700,int_stack+325195,int_stack+324250,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+335590,int_stack+333700,int_stack+307240, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+325195,int_stack+147613,int_stack+146731,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+339370,int_stack+5880,int_stack+147613,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+341134,int_stack+339370,int_stack+325195,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+343780,int_stack+341134,int_stack+333700, 0.0, zero_stack, 1.0, int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+339370,int_stack+208469,int_stack+208259,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+208749,int_stack+208469,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+340000,int_stack+215554,int_stack+339370,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+341260,int_stack+210274,int_stack+209959,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+342205,int_stack+210694,int_stack+210274,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+5103,int_stack+342205,int_stack+341260,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+349450,int_stack+5103,int_stack+340000, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+226474,int_stack+193407,int_stack+192525,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+353230,int_stack+7176,int_stack+193407,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+354994,int_stack+353230,int_stack+226474,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+357640,int_stack+354994,int_stack+5103, 1.0, int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+8142,int_stack+7932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+157365,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+8422,int_stack+8142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+157575,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305980,int_stack+215554,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+214924,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+353230,int_stack+9097,int_stack+8782, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+159065,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354175,int_stack+9517,int_stack+9097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+159380,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+355435,int_stack+354175,int_stack+353230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+218599,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+363310,int_stack+355435,int_stack+305980,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+353230,int_stack+10498,int_stack+10057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+68707,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+11086,int_stack+10498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+69589,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+305350,int_stack+353230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+227797,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+367090,int_stack+6993,int_stack+355435,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+12052,int_stack+11842, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157365, 1.0, int_stack+163400,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+12332,int_stack+12052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157575, 1.0, int_stack+163610,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7623,int_stack+215554,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214924, 1.0, int_stack+229120,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8883,int_stack+13007,int_stack+12692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159065, 1.0, int_stack+165100,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9828,int_stack+13427,int_stack+13007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159380, 1.0, int_stack+165415,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+9828,int_stack+8883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218599, 1.0, int_stack+229750,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+8883,int_stack+305350,int_stack+7623,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+14408,int_stack+13967, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68707, 1.0, int_stack+73646,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+353230,int_stack+14996,int_stack+14408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69589, 1.0, int_stack+74528,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+354994,int_stack+353230,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227797, 1.0, int_stack+230695,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+372760,int_stack+354994,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+15962,int_stack+15752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+163400, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+16242,int_stack+15962, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+163610, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305980,int_stack+215554,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+229120, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+16917,int_stack+16602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+165100, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+353230,int_stack+17337,int_stack+16917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+165415, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+354490,int_stack+353230,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+229750, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+12663,int_stack+354490,int_stack+305980,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+18318,int_stack+17877, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+73646, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+18906,int_stack+18318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+74528, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+16443,int_stack+305350,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+230695, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+378430,int_stack+16443,int_stack+354490,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16443,int_stack+19872,int_stack+19662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157365, 0.0, zero_stack, 1.0, int_stack+169435,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+20152,int_stack+19872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157575, 0.0, zero_stack, 1.0, int_stack+169645,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17073,int_stack+215554,int_stack+16443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214924, 0.0, zero_stack, 1.0, int_stack+244870,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18333,int_stack+20827,int_stack+20512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159065, 0.0, zero_stack, 1.0, int_stack+171135,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19278,int_stack+21247,int_stack+20827, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159380, 0.0, zero_stack, 1.0, int_stack+171450,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+19278,int_stack+18333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218599, 0.0, zero_stack, 1.0, int_stack+246760,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+353230,int_stack+6993,int_stack+17073,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16443,int_stack+22228,int_stack+21787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68707, 0.0, zero_stack, 1.0, int_stack+78585,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17766,int_stack+22816,int_stack+22228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69589, 0.0, zero_stack, 1.0, int_stack+79467,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19530,int_stack+17766,int_stack+16443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227797, 0.0, zero_stack, 1.0, int_stack+247705,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+384100,int_stack+19530,int_stack+6993,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+23782,int_stack+23572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163400, 1.0, int_stack+169435, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+24062,int_stack+23782, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163610, 1.0, int_stack+169645, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+215554,int_stack+357010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229120, 1.0, int_stack+244870, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16443,int_stack+24737,int_stack+24422, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165100, 1.0, int_stack+171135, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17388,int_stack+25157,int_stack+24737, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165415, 1.0, int_stack+171450, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+17388,int_stack+16443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229750, 1.0, int_stack+246760, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+16443,int_stack+305350,int_stack+6993,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+26138,int_stack+25697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73646, 1.0, int_stack+78585, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20223,int_stack+26726,int_stack+26138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74528, 1.0, int_stack+79467, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21987,int_stack+20223,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230695, 1.0, int_stack+247705, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+389770,int_stack+21987,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+27692,int_stack+27482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+169435, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+27972,int_stack+27692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+169645, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+215554,int_stack+357010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+244870, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+28647,int_stack+28332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+171135, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20223,int_stack+29067,int_stack+28647, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+171450, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21483,int_stack+20223,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+246760, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+23373,int_stack+21483,int_stack+305350,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+30048,int_stack+29607, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+78585, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+30636,int_stack+30048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+79467, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+247705, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+395440,int_stack+27153,int_stack+21483,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+31602,int_stack+31392, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175470,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+31882,int_stack+31602, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175680,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214924, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+260620,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+28413,int_stack+32557,int_stack+32242, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159065, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177170,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29358,int_stack+32977,int_stack+32557, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177485,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+29358,int_stack+28413, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218599, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262510,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+28413,int_stack+305350,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32193,int_stack+33958,int_stack+33517, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68707, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83524,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+34546,int_stack+33958, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69589, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84406,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20223,int_stack+6993,int_stack+32193, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227797, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+263455,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+401110,int_stack+20223,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+35512,int_stack+35302, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163400, 0.0, zero_stack, 1.0, int_stack+175470, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+35792,int_stack+35512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163610, 0.0, zero_stack, 1.0, int_stack+175680, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229120, 0.0, zero_stack, 1.0, int_stack+260620, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+36467,int_stack+36152, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165100, 0.0, zero_stack, 1.0, int_stack+177170, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20223,int_stack+36887,int_stack+36467, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165415, 0.0, zero_stack, 1.0, int_stack+177485, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21483,int_stack+20223,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229750, 0.0, zero_stack, 1.0, int_stack+262510, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+32193,int_stack+21483,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+37868,int_stack+37427, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73646, 0.0, zero_stack, 1.0, int_stack+83524, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+35973,int_stack+38456,int_stack+37868, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74528, 0.0, zero_stack, 1.0, int_stack+84406, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+35973,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230695, 0.0, zero_stack, 1.0, int_stack+263455, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+409426,int_stack+406780,int_stack+21483,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+39422,int_stack+39212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169435, 1.0, int_stack+175470, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+39702,int_stack+39422, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169645, 1.0, int_stack+175680, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244870, 1.0, int_stack+260620, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+406780,int_stack+40377,int_stack+40062, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171135, 1.0, int_stack+177170, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+407725,int_stack+40797,int_stack+40377, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171450, 1.0, int_stack+177485, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+407725,int_stack+406780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246760, 1.0, int_stack+262510, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+35973,int_stack+305350,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+406780,int_stack+41778,int_stack+41337, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78585, 1.0, int_stack+83524, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39753,int_stack+42366,int_stack+41778, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79467, 1.0, int_stack+84406, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20223,int_stack+39753,int_stack+406780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247705, 1.0, int_stack+263455, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+415096,int_stack+20223,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+43332,int_stack+43122, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+175470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+43612,int_stack+43332, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+175680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+260620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+44287,int_stack+43972, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+177170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20223,int_stack+44707,int_stack+44287, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+177485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21483,int_stack+20223,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+262510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+39753,int_stack+21483,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+45688,int_stack+45247, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+83524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+46276,int_stack+45688, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+84406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+43533,int_stack+406780,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+263455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+420766,int_stack+43533,int_stack+21483,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+47242,int_stack+47032, 0.0, zero_stack, 1.0, int_stack+157365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181505,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+47522,int_stack+47242, 0.0, zero_stack, 1.0, int_stack+157575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181715,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 1.0, int_stack+214924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274480,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43533,int_stack+48197,int_stack+47882, 0.0, zero_stack, 1.0, int_stack+159065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183205,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44478,int_stack+48617,int_stack+48197, 0.0, zero_stack, 1.0, int_stack+159380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183520,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+44478,int_stack+43533, 0.0, zero_stack, 1.0, int_stack+218599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276370,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+43533,int_stack+305350,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47313,int_stack+49598,int_stack+49157, 0.0, zero_stack, 1.0, int_stack+68707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88463,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+50186,int_stack+49598, 0.0, zero_stack, 1.0, int_stack+69589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89345,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20223,int_stack+406780,int_stack+47313, 0.0, zero_stack, 1.0, int_stack+227797, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277315,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+426436,int_stack+20223,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+51152,int_stack+50942, 0.0, zero_stack, 1.0, int_stack+163400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181505, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+51432,int_stack+51152, 0.0, zero_stack, 1.0, int_stack+163610, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+181715, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 1.0, int_stack+229120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274480, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+52107,int_stack+51792, 0.0, zero_stack, 1.0, int_stack+165100, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183205, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20223,int_stack+52527,int_stack+52107, 0.0, zero_stack, 1.0, int_stack+165415, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183520, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21483,int_stack+20223,int_stack+305350, 0.0, zero_stack, 1.0, int_stack+229750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276370, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+47313,int_stack+21483,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+53508,int_stack+53067, 0.0, zero_stack, 1.0, int_stack+73646, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88463, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+51093,int_stack+54096,int_stack+53508, 0.0, zero_stack, 1.0, int_stack+74528, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89345, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+51093,int_stack+305350, 0.0, zero_stack, 1.0, int_stack+230695, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277315, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+432106,int_stack+406780,int_stack+21483,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+55062,int_stack+54852, 0.0, zero_stack, 1.0, int_stack+169435, 0.0, zero_stack, 1.0, int_stack+181505, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+55342,int_stack+55062, 0.0, zero_stack, 1.0, int_stack+169645, 0.0, zero_stack, 1.0, int_stack+181715, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 1.0, int_stack+244870, 0.0, zero_stack, 1.0, int_stack+274480, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+406780,int_stack+56017,int_stack+55702, 0.0, zero_stack, 1.0, int_stack+171135, 0.0, zero_stack, 1.0, int_stack+183205, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+407725,int_stack+56437,int_stack+56017, 0.0, zero_stack, 1.0, int_stack+171450, 0.0, zero_stack, 1.0, int_stack+183520, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+407725,int_stack+406780, 0.0, zero_stack, 1.0, int_stack+246760, 0.0, zero_stack, 1.0, int_stack+276370, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+51093,int_stack+305350,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+406780,int_stack+57418,int_stack+56977, 0.0, zero_stack, 1.0, int_stack+78585, 0.0, zero_stack, 1.0, int_stack+88463, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+54873,int_stack+58006,int_stack+57418, 0.0, zero_stack, 1.0, int_stack+79467, 0.0, zero_stack, 1.0, int_stack+89345, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20223,int_stack+54873,int_stack+406780, 0.0, zero_stack, 1.0, int_stack+247705, 0.0, zero_stack, 1.0, int_stack+277315, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+437776,int_stack+20223,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+58972,int_stack+58762, 0.0, zero_stack, 1.0, int_stack+175470, 1.0, int_stack+181505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+59252,int_stack+58972, 0.0, zero_stack, 1.0, int_stack+175680, 1.0, int_stack+181715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 1.0, int_stack+260620, 1.0, int_stack+274480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+59927,int_stack+59612, 0.0, zero_stack, 1.0, int_stack+177170, 1.0, int_stack+183205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20223,int_stack+60347,int_stack+59927, 0.0, zero_stack, 1.0, int_stack+177485, 1.0, int_stack+183520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21483,int_stack+20223,int_stack+305350, 0.0, zero_stack, 1.0, int_stack+262510, 1.0, int_stack+276370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+54873,int_stack+21483,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+61328,int_stack+60887, 0.0, zero_stack, 1.0, int_stack+83524, 1.0, int_stack+88463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+61916,int_stack+61328, 0.0, zero_stack, 1.0, int_stack+84406, 1.0, int_stack+89345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+58653,int_stack+406780,int_stack+305350, 0.0, zero_stack, 1.0, int_stack+263455, 1.0, int_stack+277315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+443446,int_stack+58653,int_stack+21483,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+62882,int_stack+62672, 0.0, zero_stack, 2.0, int_stack+181505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+63162,int_stack+62882, 0.0, zero_stack, 2.0, int_stack+181715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 0.0, zero_stack, 2.0, int_stack+274480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+58653,int_stack+63837,int_stack+63522, 0.0, zero_stack, 2.0, int_stack+183205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+59598,int_stack+64257,int_stack+63837, 0.0, zero_stack, 2.0, int_stack+183520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+59598,int_stack+58653, 0.0, zero_stack, 2.0, int_stack+276370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+58653,int_stack+305350,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+62433,int_stack+65238,int_stack+64797, 0.0, zero_stack, 2.0, int_stack+88463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+65826,int_stack+65238, 0.0, zero_stack, 2.0, int_stack+89345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+63756,int_stack+406780,int_stack+62433, 0.0, zero_stack, 2.0, int_stack+277315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+449116,int_stack+63756,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+66792,int_stack+66582, 1.0, int_stack+157365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187540,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+215554,int_stack+67072,int_stack+66792, 1.0, int_stack+157575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187750,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+215554,int_stack+357010, 1.0, int_stack+214924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290230,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+214924,int_stack+67747,int_stack+67432, 1.0, int_stack+159065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189555,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+68167,int_stack+67747, 1.0, int_stack+159380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190290,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+305350,int_stack+214924, 1.0, int_stack+218599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+292120,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+62433,int_stack+6993,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+214924,int_stack+70177,int_stack+69148, 1.0, int_stack+68707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93843,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+70765,int_stack+70177, 1.0, int_stack+69589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94725,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+305350,int_stack+214924, 1.0, int_stack+227797, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293065,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+454786,int_stack+406780,int_stack+6993,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+71731,int_stack+71521, 1.0, int_stack+163400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187540, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+72011,int_stack+71731, 1.0, int_stack+163610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187750, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+357010, 1.0, int_stack+229120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290230, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+72686,int_stack+72371, 1.0, int_stack+165100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189555, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+73106,int_stack+72686, 1.0, int_stack+165415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190290, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+6993,int_stack+218599, 1.0, int_stack+229750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+292120, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+66213,int_stack+305350,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+75116,int_stack+74087, 1.0, int_stack+73646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93843, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+75704,int_stack+75116, 1.0, int_stack+74528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94725, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+227797,int_stack+406780,int_stack+6993, 1.0, int_stack+230695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293065, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+69993,int_stack+227797,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+357010,int_stack+76670,int_stack+76460, 1.0, int_stack+169435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187540, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+76950,int_stack+76670, 1.0, int_stack+169645, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187750, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+305350,int_stack+357010, 1.0, int_stack+244870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290230, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+77625,int_stack+77310, 1.0, int_stack+171135, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189555, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+78045,int_stack+77625, 1.0, int_stack+171450, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190290, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+305350,int_stack+218599, 1.0, int_stack+246760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+292120, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+227797,int_stack+6993,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+80055,int_stack+79026, 1.0, int_stack+78585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93843, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+231577,int_stack+80643,int_stack+80055, 1.0, int_stack+79467, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94725, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+231577,int_stack+305350, 1.0, int_stack+247705, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293065, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+75663,int_stack+406780,int_stack+6993,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+244870,int_stack+81609,int_stack+81399, 1.0, int_stack+175470, 0.0, zero_stack, 1.0, int_stack+187540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+81889,int_stack+81609, 1.0, int_stack+175680, 0.0, zero_stack, 1.0, int_stack+187750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+244870, 1.0, int_stack+260620, 0.0, zero_stack, 1.0, int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+82564,int_stack+82249, 1.0, int_stack+177170, 0.0, zero_stack, 1.0, int_stack+189555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+82984,int_stack+82564, 1.0, int_stack+177485, 0.0, zero_stack, 1.0, int_stack+190290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+6993,int_stack+218599, 1.0, int_stack+262510, 0.0, zero_stack, 1.0, int_stack+292120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+460456,int_stack+305350,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+84994,int_stack+83965, 1.0, int_stack+83524, 0.0, zero_stack, 1.0, int_stack+93843, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+85582,int_stack+84994, 1.0, int_stack+84406, 0.0, zero_stack, 1.0, int_stack+94725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+81333,int_stack+406780,int_stack+6993, 1.0, int_stack+263455, 0.0, zero_stack, 1.0, int_stack+293065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+464236,int_stack+81333,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+260620,int_stack+86548,int_stack+86338, 1.0, int_stack+181505, 1.0, int_stack+187540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+86828,int_stack+86548, 1.0, int_stack+181715, 1.0, int_stack+187750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+305350,int_stack+260620, 1.0, int_stack+274480, 1.0, int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+87503,int_stack+87188, 1.0, int_stack+183205, 1.0, int_stack+189555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+87923,int_stack+87503, 1.0, int_stack+183520, 1.0, int_stack+190290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+305350,int_stack+218599, 1.0, int_stack+276370, 1.0, int_stack+292120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+81333,int_stack+6993,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+89933,int_stack+88904, 1.0, int_stack+88463, 1.0, int_stack+93843, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+85113,int_stack+90521,int_stack+89933, 1.0, int_stack+89345, 1.0, int_stack+94725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+85113,int_stack+305350, 1.0, int_stack+277315, 1.0, int_stack+293065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+85113,int_stack+406780,int_stack+6993,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+274480,int_stack+91487,int_stack+91277, 2.0, int_stack+187540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+91767,int_stack+91487, 2.0, int_stack+187750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+274480, 2.0, int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+92442,int_stack+92127, 2.0, int_stack+189555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+92862,int_stack+92442, 2.0, int_stack+190290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+6993,int_stack+218599, 2.0, int_stack+292120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+469906,int_stack+305350,int_stack+27153,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+95313,int_stack+94284, 2.0, int_stack+93843, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+95901,int_stack+95313, 2.0, int_stack+94725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+90783,int_stack+406780,int_stack+6993, 2.0, int_stack+293065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+473686,int_stack+90783,int_stack+305350,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+96867,int_stack+96657, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195339,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+97147,int_stack+96867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195549,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+305350,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214294,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+97822,int_stack+97507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197039,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+98242,int_stack+97822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197354,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+305350,int_stack+218599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217654,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+90783,int_stack+6993,int_stack+27153, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216394, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+99223,int_stack+98782, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118332,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+94563,int_stack+99811,int_stack+99223, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119214,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+94563,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+94563,int_stack+406780,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+100777,int_stack+100567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195339, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+101057,int_stack+100777, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195549, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214294, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+101732,int_stack+101417, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197039, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+102152,int_stack+101732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197354, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+6993,int_stack+218599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217654, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+479356,int_stack+305350,int_stack+27153, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+103133,int_stack+102692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118332, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+103721,int_stack+103133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119214, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+100233,int_stack+406780,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+483136,int_stack+100233,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+104687,int_stack+104477, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195339, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+104967,int_stack+104687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195549, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+305350,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214294, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+105642,int_stack+105327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197039, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+106062,int_stack+105642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197354, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+305350,int_stack+218599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217654, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+100233,int_stack+6993,int_stack+27153, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+245500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+107043,int_stack+106602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118332, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+104013,int_stack+107631,int_stack+107043, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119214, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+104013,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+488806,int_stack+406780,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+254950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+108597,int_stack+108387, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+108877,int_stack+108597, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+109552,int_stack+109237, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+109972,int_stack+109552, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+6993,int_stack+218599, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+104013,int_stack+305350,int_stack+27153, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+110953,int_stack+110512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+111541,int_stack+110953, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+107793,int_stack+406780,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+494476,int_stack+107793,int_stack+305350, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+112507,int_stack+112297, 0.0, zero_stack, 1.0, int_stack+195339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+112787,int_stack+112507, 0.0, zero_stack, 1.0, int_stack+195549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+305350,int_stack+290230, 0.0, zero_stack, 1.0, int_stack+214294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+113462,int_stack+113147, 0.0, zero_stack, 1.0, int_stack+197039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+113882,int_stack+113462, 0.0, zero_stack, 1.0, int_stack+197354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+305350,int_stack+218599, 0.0, zero_stack, 1.0, int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+107793,int_stack+6993,int_stack+27153, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+305350,int_stack+114863,int_stack+114422, 0.0, zero_stack, 1.0, int_stack+118332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+111573,int_stack+115451,int_stack+114863, 0.0, zero_stack, 1.0, int_stack+119214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+111573,int_stack+305350, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+500146,int_stack+406780,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+284560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+116417,int_stack+116207, 1.0, int_stack+195339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+116697,int_stack+116417, 1.0, int_stack+195549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+290230, 1.0, int_stack+214294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+218599,int_stack+117372,int_stack+117057, 1.0, int_stack+197039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+214294,int_stack+117792,int_stack+117372, 1.0, int_stack+197354, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+214294,int_stack+218599, 1.0, int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+111573,int_stack+6993,int_stack+27153, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+290860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+217654,int_stack+119802,int_stack+118773, 1.0, int_stack+118332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+214294,int_stack+120390,int_stack+119802, 1.0, int_stack+119214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+214294,int_stack+217654, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+115353,int_stack+406780,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+121356,int_stack+121146,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+121636,int_stack+121356,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+290230,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+122311,int_stack+121996,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+122731,int_stack+122311,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+217654,int_stack+406780,int_stack+6993,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+505816,int_stack+217654,int_stack+27153, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+304090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+123712,int_stack+123271,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+124300,int_stack+123712,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+6993,int_stack+3780,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+509596,int_stack+406780,int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+317950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+125266,int_stack+125056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201374,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+125546,int_stack+125266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201584,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+217654,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+323620,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+217654,int_stack+126221,int_stack+125906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203074,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+126641,int_stack+126221, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203389,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+406780,int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+324250,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+121023,int_stack+6993,int_stack+27153, 0.0, zero_stack, 1.0, int_stack+216394, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+127622,int_stack+127181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146731,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+128210,int_stack+127622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147613,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+217654,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325195,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+515266,int_stack+406780,int_stack+6993, 0.0, zero_stack, 1.0, int_stack+220804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+129176,int_stack+128966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201374, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+129456,int_stack+129176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201584, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+323620, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+130131,int_stack+129816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203074, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+130551,int_stack+130131, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203389, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+217654,int_stack+406780,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+324250, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+124803,int_stack+217654,int_stack+27153, 0.0, zero_stack, 1.0, int_stack+219544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+131532,int_stack+131091, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146731, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+132120,int_stack+131532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147613, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+6993,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325195, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+520936,int_stack+406780,int_stack+217654, 0.0, zero_stack, 1.0, int_stack+239200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+133086,int_stack+132876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201374, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+133366,int_stack+133086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201584, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+217654,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+323620, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+217654,int_stack+134041,int_stack+133726, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203074, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+134461,int_stack+134041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203389, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+406780,int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+324250, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+128583,int_stack+6993,int_stack+27153, 0.0, zero_stack, 1.0, int_stack+245500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+135442,int_stack+135001, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146731, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+136030,int_stack+135442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147613, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+217654,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325195, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+526606,int_stack+406780,int_stack+6993, 0.0, zero_stack, 1.0, int_stack+254950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+136996,int_stack+136786, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+137276,int_stack+136996, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+323620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+137951,int_stack+137636, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+138371,int_stack+137951, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+217654,int_stack+406780,int_stack+6993, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+324250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+132363,int_stack+217654,int_stack+27153, 0.0, zero_stack, 1.0, int_stack+261250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+139352,int_stack+138911, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+139940,int_stack+139352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+6993,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+532276,int_stack+406780,int_stack+217654, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+140906,int_stack+140696, 0.0, zero_stack, 1.0, int_stack+201374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+141186,int_stack+140906, 0.0, zero_stack, 1.0, int_stack+201584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+217654,int_stack+290230, 0.0, zero_stack, 1.0, int_stack+323620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+217654,int_stack+141861,int_stack+141546, 0.0, zero_stack, 1.0, int_stack+203074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+142281,int_stack+141861, 0.0, zero_stack, 1.0, int_stack+203389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+406780,int_stack+217654, 0.0, zero_stack, 1.0, int_stack+324250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+136143,int_stack+6993,int_stack+27153, 0.0, zero_stack, 1.0, int_stack+275110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+143262,int_stack+142821, 0.0, zero_stack, 1.0, int_stack+146731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+143850,int_stack+143262, 0.0, zero_stack, 1.0, int_stack+147613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+217654,int_stack+3780, 0.0, zero_stack, 1.0, int_stack+325195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+537946,int_stack+406780,int_stack+6993, 0.0, zero_stack, 1.0, int_stack+284560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+144816,int_stack+144606, 1.0, int_stack+201374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+145096,int_stack+144816, 1.0, int_stack+201584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+290230, 1.0, int_stack+323620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+145771,int_stack+145456, 1.0, int_stack+203074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+146191,int_stack+145771, 1.0, int_stack+203389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+217654,int_stack+406780,int_stack+6993, 1.0, int_stack+324250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+139923,int_stack+217654,int_stack+27153, 0.0, zero_stack, 1.0, int_stack+290860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+148201,int_stack+147172, 1.0, int_stack+146731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+148789,int_stack+148201, 1.0, int_stack+147613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+6993,int_stack+3780, 1.0, int_stack+325195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+143703,int_stack+406780,int_stack+217654, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+149755,int_stack+149545,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+150035,int_stack+149755,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+217654,int_stack+290230,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+217654,int_stack+150710,int_stack+150395,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+151130,int_stack+150710,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+406780,int_stack+217654,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+323620,int_stack+6993,int_stack+27153, 0.0, zero_stack, 1.0, int_stack+304090, 1.0, int_stack+307240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+152111,int_stack+151670,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+152699,int_stack+152111,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+217654,int_stack+3780,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+543616,int_stack+406780,int_stack+6993, 0.0, zero_stack, 1.0, int_stack+317950, 1.0, int_stack+333700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+153665,int_stack+153455,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+153945,int_stack+153665,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+6993,int_stack+290230,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+154620,int_stack+154305,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+155040,int_stack+154620,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+217654,int_stack+406780,int_stack+6993,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+149373,int_stack+217654,int_stack+27153, 0.0, zero_stack, 2.0, int_stack+307240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+156021,int_stack+155580,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+156609,int_stack+156021,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+6993,int_stack+3780,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+549286,int_stack+406780,int_stack+217654, 0.0, zero_stack, 2.0, int_stack+333700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+158425,int_stack+158215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208259,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+217654,int_stack+158705,int_stack+158425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208469,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+217654,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339370,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+217654,int_stack+160655,int_stack+160340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209959,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+161075,int_stack+160655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210274,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+406780,int_stack+217654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+341260,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+153153,int_stack+6993,int_stack+27153, 1.0, int_stack+216394, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+162056,int_stack+161615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192525,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+406780,int_stack+162644,int_stack+162056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193407,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+214294,int_stack+406780,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+156933,int_stack+214294,int_stack+6993, 1.0, int_stack+220804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+164460,int_stack+164250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208259, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+220804,int_stack+164740,int_stack+164460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208469, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+220804,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339370, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+220804,int_stack+166690,int_stack+166375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209959, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+167110,int_stack+166690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210274, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+305350,int_stack+6993,int_stack+220804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+341260, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+214294,int_stack+305350,int_stack+27153, 1.0, int_stack+219544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+168091,int_stack+167650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192525, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+168679,int_stack+168091, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193407, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+6993,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+162603,int_stack+406780,int_stack+305350, 1.0, int_stack+239200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+170495,int_stack+170285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208259, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+239200,int_stack+170775,int_stack+170495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208469, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+239200,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339370, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+239200,int_stack+172725,int_stack+172410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209959, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+305350,int_stack+173145,int_stack+172725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210274, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6993,int_stack+305350,int_stack+239200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+341260, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+218074,int_stack+6993,int_stack+27153, 1.0, int_stack+245500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+174126,int_stack+173685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192525, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+239200,int_stack+174714,int_stack+174126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193407, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+239200,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+168273,int_stack+406780,int_stack+6993, 1.0, int_stack+254950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+176530,int_stack+176320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+221854,int_stack+176810,int_stack+176530, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+221854,int_stack+290230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+339370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+254950,int_stack+178760,int_stack+178445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209959, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6993,int_stack+179180,int_stack+178760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+239200,int_stack+6993,int_stack+254950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+341260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+173943,int_stack+239200,int_stack+27153, 1.0, int_stack+261250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+180161,int_stack+179720, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+254950,int_stack+180749,int_stack+180161, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193407, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+254950,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+554956,int_stack+406780,int_stack+239200, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+182565,int_stack+182355, 0.0, zero_stack, 1.0, int_stack+208259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+221854,int_stack+182845,int_stack+182565, 0.0, zero_stack, 1.0, int_stack+208469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+221854,int_stack+290230, 0.0, zero_stack, 1.0, int_stack+339370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+184795,int_stack+184480, 0.0, zero_stack, 1.0, int_stack+209959, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+239200,int_stack+185215,int_stack+184795, 0.0, zero_stack, 1.0, int_stack+210274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+254950,int_stack+239200,int_stack+0, 0.0, zero_stack, 1.0, int_stack+341260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+177723,int_stack+254950,int_stack+27153, 1.0, int_stack+275110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+186196,int_stack+185755, 0.0, zero_stack, 1.0, int_stack+192525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+186784,int_stack+186196, 0.0, zero_stack, 1.0, int_stack+193407, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+0,int_stack+3780, 0.0, zero_stack, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+181503,int_stack+406780,int_stack+254950, 1.0, int_stack+284560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+290230,int_stack+188600,int_stack+188390, 1.0, int_stack+208259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+221854,int_stack+188880,int_stack+188600, 1.0, int_stack+208469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+221854,int_stack+290230, 1.0, int_stack+339370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+284560,int_stack+191565,int_stack+191250, 1.0, int_stack+209959, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+254950,int_stack+191985,int_stack+191565, 1.0, int_stack+210274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+254950,int_stack+284560, 1.0, int_stack+341260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+187173,int_stack+0,int_stack+27153, 1.0, int_stack+290860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+193995,int_stack+192966, 1.0, int_stack+192525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+341260,int_stack+194583,int_stack+193995, 1.0, int_stack+193407, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+341260,int_stack+3780, 1.0, int_stack+226474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+560626,int_stack+406780,int_stack+0, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+339370,int_stack+196399,int_stack+196189,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+221854,int_stack+196679,int_stack+196399,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+221854,int_stack+339370,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+198629,int_stack+198314,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+945,int_stack+199049,int_stack+198629,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+284560,int_stack+945,int_stack+0,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+284560,int_stack+27153, 1.0, int_stack+304090, 0.0, zero_stack, 1.0, int_stack+340000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+200030,int_stack+199589,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+304090,int_stack+200618,int_stack+200030,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+304090,int_stack+3780,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+190953,int_stack+406780,int_stack+284560, 1.0, int_stack+317950, 0.0, zero_stack, 1.0, int_stack+5103, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+339370,int_stack+202434,int_stack+202224,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+221854,int_stack+202714,int_stack+202434,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+221854,int_stack+339370,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+317950,int_stack+204664,int_stack+204349,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+284560,int_stack+205084,int_stack+204664,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+254950,int_stack+284560,int_stack+317950,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+290230,int_stack+254950,int_stack+27153, 1.0, int_stack+307240, 1.0, int_stack+340000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+206065,int_stack+205624,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+317950,int_stack+206653,int_stack+206065,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+317950,int_stack+3780,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+196623,int_stack+406780,int_stack+254950, 1.0, int_stack+333700, 1.0, int_stack+5103, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+339370,int_stack+209319,int_stack+209109,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+221854,int_stack+209599,int_stack+209319,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27153,int_stack+221854,int_stack+339370,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+333700,int_stack+211549,int_stack+211234,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+254950,int_stack+211969,int_stack+211549,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+317950,int_stack+254950,int_stack+333700,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+304090,int_stack+317950,int_stack+27153, 2.0, int_stack+340000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+212950,int_stack+212509,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+333700,int_stack+213538,int_stack+212950,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+406780,int_stack+333700,int_stack+3780,21);
 /*--- compute (gp|hd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+202293,int_stack+406780,int_stack+317950, 2.0, int_stack+5103, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+566296,int_stack+233530,int_stack+222694,126);
     Libderiv->ABCD[11] = int_stack + 566296;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+231577,int_stack+249280,int_stack+241090,126);
     Libderiv->ABCD[10] = int_stack + 231577;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+244870,int_stack+265030,int_stack+256840,126);
     Libderiv->ABCD[9] = int_stack + 244870;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+260620,int_stack+278890,int_stack+270700,126);
     Libderiv->ABCD[8] = int_stack + 260620;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+274480,int_stack+294640,int_stack+286450,126);
     Libderiv->ABCD[7] = int_stack + 274480;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+573856,int_stack+308500,int_stack+300310,126);
     Libderiv->ABCD[6] = int_stack + 573856;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+581416,int_stack+328030,int_stack+319840, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+314170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 581416;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+327400,int_stack+343780,int_stack+335590, 0.0, zero_stack, 1.0, int_stack+314170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 327400;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+339370,int_stack+357640,int_stack+349450, 1.0, int_stack+314170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 339370;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+307870,int_stack+367090,int_stack+363310,126);
     Libderiv->ABCD[155] = int_stack + 307870;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+357010,int_stack+372760,int_stack+8883,126);
     Libderiv->ABCD[143] = int_stack + 357010;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+3780,int_stack+378430,int_stack+12663,126);
     Libderiv->ABCD[142] = int_stack + 3780;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+364570,int_stack+384100,int_stack+353230,126);
     Libderiv->ABCD[131] = int_stack + 364570;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+372130,int_stack+389770,int_stack+16443,126);
     Libderiv->ABCD[130] = int_stack + 372130;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+11340,int_stack+395440,int_stack+23373,126);
     Libderiv->ABCD[129] = int_stack + 11340;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+18900,int_stack+401110,int_stack+28413,126);
     Libderiv->ABCD[119] = int_stack + 18900;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+379690,int_stack+409426,int_stack+32193,126);
     Libderiv->ABCD[118] = int_stack + 379690;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+26460,int_stack+415096,int_stack+35973,126);
     Libderiv->ABCD[117] = int_stack + 26460;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+387250,int_stack+420766,int_stack+39753,126);
     Libderiv->ABCD[116] = int_stack + 387250;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+34020,int_stack+426436,int_stack+43533,126);
     Libderiv->ABCD[107] = int_stack + 34020;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+394810,int_stack+432106,int_stack+47313,126);
     Libderiv->ABCD[106] = int_stack + 394810;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+41580,int_stack+437776,int_stack+51093,126);
     Libderiv->ABCD[105] = int_stack + 41580;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+402370,int_stack+443446,int_stack+54873,126);
     Libderiv->ABCD[104] = int_stack + 402370;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+49140,int_stack+449116,int_stack+58653,126);
     Libderiv->ABCD[103] = int_stack + 49140;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+409930,int_stack+454786,int_stack+62433,126);
     Libderiv->ABCD[95] = int_stack + 409930;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+56700,int_stack+69993,int_stack+66213,126);
     Libderiv->ABCD[94] = int_stack + 56700;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+64260,int_stack+75663,int_stack+227797,126);
     Libderiv->ABCD[93] = int_stack + 64260;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+71820,int_stack+464236,int_stack+460456,126);
     Libderiv->ABCD[92] = int_stack + 71820;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+417490,int_stack+85113,int_stack+81333,126);
     Libderiv->ABCD[91] = int_stack + 417490;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+79380,int_stack+473686,int_stack+469906,126);
     Libderiv->ABCD[90] = int_stack + 79380;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+425050,int_stack+94563,int_stack+90783, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[47] = int_stack + 425050;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+86940,int_stack+483136,int_stack+479356, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+241090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[46] = int_stack + 86940;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+432610,int_stack+488806,int_stack+100233, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[45] = int_stack + 432610;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+94500,int_stack+494476,int_stack+104013, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+270700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[44] = int_stack + 94500;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+440170,int_stack+500146,int_stack+107793, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[43] = int_stack + 440170;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+102060,int_stack+115353,int_stack+111573, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[42] = int_stack + 102060;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+109620,int_stack+509596,int_stack+505816, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+319840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[38] = int_stack + 109620;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+447730,int_stack+515266,int_stack+121023, 0.0, zero_stack, 1.0, int_stack+222694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[35] = int_stack + 447730;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+117180,int_stack+520936,int_stack+124803, 0.0, zero_stack, 1.0, int_stack+241090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[34] = int_stack + 117180;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+455290,int_stack+526606,int_stack+128583, 0.0, zero_stack, 1.0, int_stack+256840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[33] = int_stack + 455290;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+124740,int_stack+532276,int_stack+132363, 0.0, zero_stack, 1.0, int_stack+270700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[32] = int_stack + 124740;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+462850,int_stack+537946,int_stack+136143, 0.0, zero_stack, 1.0, int_stack+286450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[31] = int_stack + 462850;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+132300,int_stack+143703,int_stack+139923, 0.0, zero_stack, 1.0, int_stack+300310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[30] = int_stack + 132300;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+139860,int_stack+543616,int_stack+323620, 0.0, zero_stack, 1.0, int_stack+319840, 1.0, int_stack+335590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[26] = int_stack + 139860;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+470410,int_stack+549286,int_stack+149373, 0.0, zero_stack, 2.0, int_stack+335590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[25] = int_stack + 470410;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+477970,int_stack+156933,int_stack+153153, 1.0, int_stack+222694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[23] = int_stack + 477970;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+147420,int_stack+162603,int_stack+214294, 1.0, int_stack+241090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[22] = int_stack + 147420;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+154980,int_stack+168273,int_stack+218074, 1.0, int_stack+256840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[21] = int_stack + 154980;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+162540,int_stack+554956,int_stack+173943, 1.0, int_stack+270700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[20] = int_stack + 162540;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+170100,int_stack+181503,int_stack+177723, 1.0, int_stack+286450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[19] = int_stack + 170100;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+177660,int_stack+560626,int_stack+187173, 1.0, int_stack+300310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[18] = int_stack + 177660;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+294010,int_stack+190953,int_stack+0, 1.0, int_stack+319840, 0.0, zero_stack, 1.0, int_stack+349450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[14] = int_stack + 294010;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+185220,int_stack+196623,int_stack+290230, 1.0, int_stack+335590, 1.0, int_stack+349450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[13] = int_stack + 185220;
 /*--- compute (fd|hd) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+192780,int_stack+202293,int_stack+304090, 2.0, int_stack+349450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[12] = int_stack + 192780;

}
