#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_gdhf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gd|hf) integrals */

void d12hrr_order_gdhf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][8][11] = int_stack + 0;
 Libderiv->deriv_classes[6][8][10] = int_stack + 1260;
 Libderiv->deriv_classes[6][8][9] = int_stack + 2520;
 Libderiv->deriv_classes[6][8][8] = int_stack + 3780;
 Libderiv->deriv_classes[6][8][7] = int_stack + 5040;
 Libderiv->dvrr_classes[6][7] = int_stack + 6300;
 Libderiv->deriv_classes[6][8][6] = int_stack + 7308;
 Libderiv->deriv_classes[6][8][2] = int_stack + 8568;
 Libderiv->deriv_classes[6][8][1] = int_stack + 9828;
 Libderiv->dvrr_classes[5][8] = int_stack + 11088;
 Libderiv->deriv_classes[6][8][0] = int_stack + 12033;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 13293;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 13608;
 Libderiv->deriv2_classes[4][7][143] = int_stack + 14028;
 Libderiv->deriv2_classes[4][8][143] = int_stack + 14568;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 15243;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 15684;
 Libderiv->deriv2_classes[5][7][143] = int_stack + 16272;
 Libderiv->deriv2_classes[5][8][143] = int_stack + 17028;
 Libderiv->deriv2_classes[6][5][143] = int_stack + 17973;
 Libderiv->deriv2_classes[6][6][143] = int_stack + 18561;
 Libderiv->deriv2_classes[6][7][143] = int_stack + 19345;
 Libderiv->deriv2_classes[6][8][143] = int_stack + 20353;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 21613;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 21928;
 Libderiv->deriv2_classes[4][7][131] = int_stack + 22348;
 Libderiv->deriv2_classes[4][8][131] = int_stack + 22888;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 23563;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 24004;
 Libderiv->deriv2_classes[5][7][131] = int_stack + 24592;
 Libderiv->deriv2_classes[5][8][131] = int_stack + 25348;
 Libderiv->deriv2_classes[6][5][131] = int_stack + 26293;
 Libderiv->deriv2_classes[6][6][131] = int_stack + 26881;
 Libderiv->deriv2_classes[6][7][131] = int_stack + 27665;
 Libderiv->deriv2_classes[6][8][131] = int_stack + 28673;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 29933;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 30248;
 Libderiv->deriv2_classes[4][7][130] = int_stack + 30668;
 Libderiv->deriv2_classes[4][8][130] = int_stack + 31208;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 31883;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 32324;
 Libderiv->deriv2_classes[5][7][130] = int_stack + 32912;
 Libderiv->deriv2_classes[5][8][130] = int_stack + 33668;
 Libderiv->deriv2_classes[6][5][130] = int_stack + 34613;
 Libderiv->deriv2_classes[6][6][130] = int_stack + 35201;
 Libderiv->deriv2_classes[6][7][130] = int_stack + 35985;
 Libderiv->deriv2_classes[6][8][130] = int_stack + 36993;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 38253;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 38568;
 Libderiv->deriv2_classes[4][7][119] = int_stack + 38988;
 Libderiv->deriv2_classes[4][8][119] = int_stack + 39528;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 40203;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 40644;
 Libderiv->deriv2_classes[5][7][119] = int_stack + 41232;
 Libderiv->deriv2_classes[5][8][119] = int_stack + 41988;
 Libderiv->deriv2_classes[6][5][119] = int_stack + 42933;
 Libderiv->deriv2_classes[6][6][119] = int_stack + 43521;
 Libderiv->deriv2_classes[6][7][119] = int_stack + 44305;
 Libderiv->deriv2_classes[6][8][119] = int_stack + 45313;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 46573;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 46888;
 Libderiv->deriv2_classes[4][7][118] = int_stack + 47308;
 Libderiv->deriv2_classes[4][8][118] = int_stack + 47848;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 48523;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 48964;
 Libderiv->deriv2_classes[5][7][118] = int_stack + 49552;
 Libderiv->deriv2_classes[5][8][118] = int_stack + 50308;
 Libderiv->deriv2_classes[6][5][118] = int_stack + 51253;
 Libderiv->deriv2_classes[6][6][118] = int_stack + 51841;
 Libderiv->deriv2_classes[6][7][118] = int_stack + 52625;
 Libderiv->deriv2_classes[6][8][118] = int_stack + 53633;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 54893;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 55208;
 Libderiv->deriv2_classes[4][7][117] = int_stack + 55628;
 Libderiv->deriv2_classes[4][8][117] = int_stack + 56168;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 56843;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 57284;
 Libderiv->deriv2_classes[5][7][117] = int_stack + 57872;
 Libderiv->deriv2_classes[5][8][117] = int_stack + 58628;
 Libderiv->deriv2_classes[6][5][117] = int_stack + 59573;
 Libderiv->deriv2_classes[6][6][117] = int_stack + 60161;
 Libderiv->deriv2_classes[6][7][117] = int_stack + 60945;
 Libderiv->deriv2_classes[6][8][117] = int_stack + 61953;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 63213;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 63528;
 Libderiv->deriv2_classes[4][7][107] = int_stack + 63948;
 Libderiv->deriv2_classes[4][8][107] = int_stack + 64488;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 65163;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 65604;
 Libderiv->deriv2_classes[5][7][107] = int_stack + 66192;
 Libderiv->deriv2_classes[5][8][107] = int_stack + 66948;
 Libderiv->deriv2_classes[6][5][107] = int_stack + 67893;
 Libderiv->deriv2_classes[6][6][107] = int_stack + 68481;
 Libderiv->deriv2_classes[6][7][107] = int_stack + 69265;
 Libderiv->deriv2_classes[6][8][107] = int_stack + 70273;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 71533;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 71848;
 Libderiv->deriv2_classes[4][7][106] = int_stack + 72268;
 Libderiv->deriv2_classes[4][8][106] = int_stack + 72808;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 73483;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 73924;
 Libderiv->deriv2_classes[5][7][106] = int_stack + 74512;
 Libderiv->deriv2_classes[5][8][106] = int_stack + 75268;
 Libderiv->deriv2_classes[6][5][106] = int_stack + 76213;
 Libderiv->deriv2_classes[6][6][106] = int_stack + 76801;
 Libderiv->deriv2_classes[6][7][106] = int_stack + 77585;
 Libderiv->deriv2_classes[6][8][106] = int_stack + 78593;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 79853;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 80168;
 Libderiv->deriv2_classes[4][7][105] = int_stack + 80588;
 Libderiv->deriv2_classes[4][8][105] = int_stack + 81128;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 81803;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 82244;
 Libderiv->deriv2_classes[5][7][105] = int_stack + 82832;
 Libderiv->deriv2_classes[5][8][105] = int_stack + 83588;
 Libderiv->deriv2_classes[6][5][105] = int_stack + 84533;
 Libderiv->deriv2_classes[6][6][105] = int_stack + 85121;
 Libderiv->deriv2_classes[6][7][105] = int_stack + 85905;
 Libderiv->deriv2_classes[6][8][105] = int_stack + 86913;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 88173;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 88488;
 Libderiv->deriv2_classes[4][7][104] = int_stack + 88908;
 Libderiv->deriv2_classes[4][8][104] = int_stack + 89448;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 90123;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 90564;
 Libderiv->deriv2_classes[5][7][104] = int_stack + 91152;
 Libderiv->deriv2_classes[5][8][104] = int_stack + 91908;
 Libderiv->deriv2_classes[6][5][104] = int_stack + 92853;
 Libderiv->deriv2_classes[6][6][104] = int_stack + 93441;
 Libderiv->deriv2_classes[6][7][104] = int_stack + 94225;
 Libderiv->deriv2_classes[6][8][104] = int_stack + 95233;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 96493;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 96808;
 Libderiv->deriv2_classes[4][7][95] = int_stack + 97228;
 Libderiv->deriv2_classes[4][8][95] = int_stack + 97768;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 98443;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 98884;
 Libderiv->deriv2_classes[5][7][95] = int_stack + 99472;
 Libderiv->deriv2_classes[5][8][95] = int_stack + 100228;
 Libderiv->deriv2_classes[6][5][95] = int_stack + 101173;
 Libderiv->deriv2_classes[6][6][95] = int_stack + 101761;
 Libderiv->deriv2_classes[6][7][95] = int_stack + 102545;
 Libderiv->deriv2_classes[6][8][95] = int_stack + 103553;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 104813;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 105128;
 Libderiv->deriv2_classes[4][7][94] = int_stack + 105548;
 Libderiv->deriv2_classes[4][8][94] = int_stack + 106088;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 106763;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 107204;
 Libderiv->deriv2_classes[5][7][94] = int_stack + 107792;
 Libderiv->deriv2_classes[5][8][94] = int_stack + 108548;
 Libderiv->deriv2_classes[6][5][94] = int_stack + 109493;
 Libderiv->deriv2_classes[6][6][94] = int_stack + 110081;
 Libderiv->deriv2_classes[6][7][94] = int_stack + 110865;
 Libderiv->deriv2_classes[6][8][94] = int_stack + 111873;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 113133;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 113448;
 Libderiv->deriv2_classes[4][7][93] = int_stack + 113868;
 Libderiv->deriv2_classes[4][8][93] = int_stack + 114408;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 115083;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 115524;
 Libderiv->deriv2_classes[5][7][93] = int_stack + 116112;
 Libderiv->deriv2_classes[5][8][93] = int_stack + 116868;
 Libderiv->deriv2_classes[6][5][93] = int_stack + 117813;
 Libderiv->deriv2_classes[6][6][93] = int_stack + 118401;
 Libderiv->deriv2_classes[6][7][93] = int_stack + 119185;
 Libderiv->deriv2_classes[6][8][93] = int_stack + 120193;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 121453;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 121768;
 Libderiv->deriv2_classes[4][7][92] = int_stack + 122188;
 Libderiv->deriv2_classes[4][8][92] = int_stack + 122728;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 123403;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 123844;
 Libderiv->deriv2_classes[5][7][92] = int_stack + 124432;
 Libderiv->deriv2_classes[5][8][92] = int_stack + 125188;
 Libderiv->deriv2_classes[6][5][92] = int_stack + 126133;
 Libderiv->deriv2_classes[6][6][92] = int_stack + 126721;
 Libderiv->deriv2_classes[6][7][92] = int_stack + 127505;
 Libderiv->deriv2_classes[6][8][92] = int_stack + 128513;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 129773;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 130088;
 Libderiv->deriv2_classes[4][7][91] = int_stack + 130508;
 Libderiv->deriv2_classes[4][8][91] = int_stack + 131048;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 131723;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 132164;
 Libderiv->deriv2_classes[5][7][91] = int_stack + 132752;
 Libderiv->deriv2_classes[5][8][91] = int_stack + 133508;
 Libderiv->deriv2_classes[6][5][91] = int_stack + 134453;
 Libderiv->deriv2_classes[6][6][91] = int_stack + 135041;
 Libderiv->deriv2_classes[6][7][91] = int_stack + 135825;
 Libderiv->deriv2_classes[6][8][91] = int_stack + 136833;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 138093;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 138408;
 Libderiv->deriv2_classes[4][7][83] = int_stack + 138828;
 Libderiv->deriv2_classes[4][8][83] = int_stack + 139368;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 140043;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 140484;
 Libderiv->deriv2_classes[5][7][83] = int_stack + 141072;
 Libderiv->deriv2_classes[5][8][83] = int_stack + 141828;
 Libderiv->deriv_classes[6][5][11] = int_stack + 142773;
 Libderiv->deriv2_classes[6][5][83] = int_stack + 143361;
 Libderiv->deriv_classes[6][6][11] = int_stack + 143949;
 Libderiv->deriv2_classes[6][6][83] = int_stack + 144733;
 Libderiv->deriv_classes[6][7][11] = int_stack + 145517;
 Libderiv->deriv2_classes[6][7][83] = int_stack + 146525;
 Libderiv->deriv2_classes[6][8][83] = int_stack + 147533;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 148793;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 149108;
 Libderiv->deriv2_classes[4][7][82] = int_stack + 149528;
 Libderiv->deriv2_classes[4][8][82] = int_stack + 150068;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 150743;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 151184;
 Libderiv->deriv2_classes[5][7][82] = int_stack + 151772;
 Libderiv->deriv2_classes[5][8][82] = int_stack + 152528;
 Libderiv->deriv_classes[6][5][10] = int_stack + 153473;
 Libderiv->deriv2_classes[6][5][82] = int_stack + 154061;
 Libderiv->deriv_classes[6][6][10] = int_stack + 154649;
 Libderiv->deriv2_classes[6][6][82] = int_stack + 155433;
 Libderiv->deriv_classes[6][7][10] = int_stack + 156217;
 Libderiv->deriv2_classes[6][7][82] = int_stack + 157225;
 Libderiv->deriv2_classes[6][8][82] = int_stack + 158233;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 159493;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 159808;
 Libderiv->deriv2_classes[4][7][81] = int_stack + 160228;
 Libderiv->deriv2_classes[4][8][81] = int_stack + 160768;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 161443;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 161884;
 Libderiv->deriv2_classes[5][7][81] = int_stack + 162472;
 Libderiv->deriv2_classes[5][8][81] = int_stack + 163228;
 Libderiv->deriv_classes[6][5][9] = int_stack + 164173;
 Libderiv->deriv2_classes[6][5][81] = int_stack + 164761;
 Libderiv->deriv_classes[6][6][9] = int_stack + 165349;
 Libderiv->deriv2_classes[6][6][81] = int_stack + 166133;
 Libderiv->deriv_classes[6][7][9] = int_stack + 166917;
 Libderiv->deriv2_classes[6][7][81] = int_stack + 167925;
 Libderiv->deriv2_classes[6][8][81] = int_stack + 168933;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 170193;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 170508;
 Libderiv->deriv2_classes[4][7][80] = int_stack + 170928;
 Libderiv->deriv2_classes[4][8][80] = int_stack + 171468;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 172143;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 172584;
 Libderiv->deriv2_classes[5][7][80] = int_stack + 173172;
 Libderiv->deriv2_classes[5][8][80] = int_stack + 173928;
 Libderiv->deriv_classes[6][5][8] = int_stack + 174873;
 Libderiv->deriv2_classes[6][5][80] = int_stack + 175461;
 Libderiv->deriv_classes[6][6][8] = int_stack + 176049;
 Libderiv->deriv2_classes[6][6][80] = int_stack + 176833;
 Libderiv->deriv_classes[6][7][8] = int_stack + 177617;
 Libderiv->deriv2_classes[6][7][80] = int_stack + 178625;
 Libderiv->deriv2_classes[6][8][80] = int_stack + 179633;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 180893;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 181208;
 Libderiv->deriv2_classes[4][7][79] = int_stack + 181628;
 Libderiv->deriv2_classes[4][8][79] = int_stack + 182168;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 182843;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 183284;
 Libderiv->deriv2_classes[5][7][79] = int_stack + 183872;
 Libderiv->deriv2_classes[5][8][79] = int_stack + 184628;
 Libderiv->deriv_classes[6][5][7] = int_stack + 185573;
 Libderiv->deriv2_classes[6][5][79] = int_stack + 186161;
 Libderiv->deriv_classes[6][6][7] = int_stack + 186749;
 Libderiv->deriv2_classes[6][6][79] = int_stack + 187533;
 Libderiv->deriv_classes[6][7][7] = int_stack + 188317;
 Libderiv->deriv2_classes[6][7][79] = int_stack + 189325;
 Libderiv->deriv2_classes[6][8][79] = int_stack + 190333;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 191593;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 191908;
 Libderiv->deriv2_classes[4][7][78] = int_stack + 192328;
 Libderiv->deriv2_classes[4][8][78] = int_stack + 192868;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 193543;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 193984;
 Libderiv->deriv2_classes[5][7][78] = int_stack + 194572;
 Libderiv->deriv2_classes[5][8][78] = int_stack + 195328;
 Libderiv->dvrr_classes[6][5] = int_stack + 196273;
 Libderiv->deriv_classes[6][5][6] = int_stack + 196861;
 Libderiv->deriv2_classes[6][5][78] = int_stack + 197449;
 Libderiv->dvrr_classes[6][6] = int_stack + 198037;
 Libderiv->deriv_classes[6][6][6] = int_stack + 198821;
 Libderiv->deriv2_classes[6][6][78] = int_stack + 199605;
 Libderiv->deriv_classes[6][7][6] = int_stack + 200389;
 Libderiv->deriv2_classes[6][7][78] = int_stack + 201397;
 Libderiv->deriv2_classes[6][8][78] = int_stack + 202405;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 203665;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 203980;
 Libderiv->deriv2_classes[4][7][35] = int_stack + 204400;
 Libderiv->deriv2_classes[4][8][35] = int_stack + 204940;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 205615;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 206056;
 Libderiv->deriv2_classes[5][7][35] = int_stack + 206644;
 Libderiv->deriv2_classes[5][8][35] = int_stack + 207400;
 Libderiv->deriv2_classes[6][5][35] = int_stack + 208345;
 Libderiv->deriv2_classes[6][6][35] = int_stack + 208933;
 Libderiv->deriv2_classes[6][7][35] = int_stack + 209717;
 Libderiv->deriv2_classes[6][8][35] = int_stack + 210725;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 211985;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 212300;
 Libderiv->deriv2_classes[4][7][34] = int_stack + 212720;
 Libderiv->deriv2_classes[4][8][34] = int_stack + 213260;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 213935;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 214376;
 Libderiv->deriv2_classes[5][7][34] = int_stack + 214964;
 Libderiv->deriv2_classes[5][8][34] = int_stack + 215720;
 Libderiv->deriv2_classes[6][5][34] = int_stack + 216665;
 Libderiv->deriv2_classes[6][6][34] = int_stack + 217253;
 Libderiv->deriv2_classes[6][7][34] = int_stack + 218037;
 Libderiv->deriv2_classes[6][8][34] = int_stack + 219045;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 220305;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 220620;
 Libderiv->deriv2_classes[4][7][33] = int_stack + 221040;
 Libderiv->deriv2_classes[4][8][33] = int_stack + 221580;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 222255;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 222696;
 Libderiv->deriv2_classes[5][7][33] = int_stack + 223284;
 Libderiv->deriv2_classes[5][8][33] = int_stack + 224040;
 Libderiv->deriv2_classes[6][5][33] = int_stack + 224985;
 Libderiv->deriv2_classes[6][6][33] = int_stack + 225573;
 Libderiv->deriv2_classes[6][7][33] = int_stack + 226357;
 Libderiv->deriv2_classes[6][8][33] = int_stack + 227365;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 228625;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 228940;
 Libderiv->deriv2_classes[4][7][32] = int_stack + 229360;
 Libderiv->deriv2_classes[4][8][32] = int_stack + 229900;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 230575;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 231016;
 Libderiv->deriv2_classes[5][7][32] = int_stack + 231604;
 Libderiv->deriv2_classes[5][8][32] = int_stack + 232360;
 Libderiv->deriv2_classes[6][5][32] = int_stack + 233305;
 Libderiv->deriv2_classes[6][6][32] = int_stack + 233893;
 Libderiv->deriv2_classes[6][7][32] = int_stack + 234677;
 Libderiv->deriv2_classes[6][8][32] = int_stack + 235685;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 236945;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 237260;
 Libderiv->deriv2_classes[4][7][31] = int_stack + 237680;
 Libderiv->deriv2_classes[4][8][31] = int_stack + 238220;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 238895;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 239336;
 Libderiv->deriv2_classes[5][7][31] = int_stack + 239924;
 Libderiv->deriv2_classes[5][8][31] = int_stack + 240680;
 Libderiv->deriv2_classes[6][5][31] = int_stack + 241625;
 Libderiv->deriv2_classes[6][6][31] = int_stack + 242213;
 Libderiv->deriv2_classes[6][7][31] = int_stack + 242997;
 Libderiv->deriv2_classes[6][8][31] = int_stack + 244005;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 245265;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 245580;
 Libderiv->deriv2_classes[4][7][30] = int_stack + 246000;
 Libderiv->deriv2_classes[4][8][30] = int_stack + 246540;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 247215;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 247656;
 Libderiv->deriv2_classes[5][7][30] = int_stack + 248244;
 Libderiv->deriv2_classes[5][8][30] = int_stack + 249000;
 Libderiv->deriv_classes[6][5][2] = int_stack + 249945;
 Libderiv->deriv2_classes[6][5][30] = int_stack + 250533;
 Libderiv->deriv_classes[6][6][2] = int_stack + 251121;
 Libderiv->deriv2_classes[6][6][30] = int_stack + 251905;
 Libderiv->deriv_classes[6][7][2] = int_stack + 252689;
 Libderiv->deriv2_classes[6][7][30] = int_stack + 253697;
 Libderiv->deriv2_classes[6][8][30] = int_stack + 254705;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 255965;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 256280;
 Libderiv->deriv2_classes[4][7][26] = int_stack + 256700;
 Libderiv->deriv2_classes[4][8][26] = int_stack + 257240;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 257915;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 258356;
 Libderiv->deriv2_classes[5][7][26] = int_stack + 258944;
 Libderiv->deriv2_classes[5][8][26] = int_stack + 259700;
 Libderiv->deriv2_classes[6][5][26] = int_stack + 260645;
 Libderiv->deriv2_classes[6][6][26] = int_stack + 261233;
 Libderiv->deriv2_classes[6][7][26] = int_stack + 262017;
 Libderiv->deriv2_classes[6][8][26] = int_stack + 263025;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 264285;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 264600;
 Libderiv->deriv2_classes[4][7][23] = int_stack + 265020;
 Libderiv->deriv2_classes[4][8][23] = int_stack + 265560;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 266235;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 266676;
 Libderiv->deriv2_classes[5][7][23] = int_stack + 267264;
 Libderiv->deriv2_classes[5][8][23] = int_stack + 268020;
 Libderiv->deriv2_classes[6][5][23] = int_stack + 268965;
 Libderiv->deriv2_classes[6][6][23] = int_stack + 269553;
 Libderiv->deriv2_classes[6][7][23] = int_stack + 270337;
 Libderiv->deriv2_classes[6][8][23] = int_stack + 271345;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 272605;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 272920;
 Libderiv->deriv2_classes[4][7][22] = int_stack + 273340;
 Libderiv->deriv2_classes[4][8][22] = int_stack + 273880;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 274555;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 274996;
 Libderiv->deriv2_classes[5][7][22] = int_stack + 275584;
 Libderiv->deriv2_classes[5][8][22] = int_stack + 276340;
 Libderiv->deriv2_classes[6][5][22] = int_stack + 277285;
 Libderiv->deriv2_classes[6][6][22] = int_stack + 277873;
 Libderiv->deriv2_classes[6][7][22] = int_stack + 278657;
 Libderiv->deriv2_classes[6][8][22] = int_stack + 279665;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 280925;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 281240;
 Libderiv->deriv2_classes[4][7][21] = int_stack + 281660;
 Libderiv->deriv2_classes[4][8][21] = int_stack + 282200;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 282875;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 283316;
 Libderiv->deriv2_classes[5][7][21] = int_stack + 283904;
 Libderiv->deriv2_classes[5][8][21] = int_stack + 284660;
 Libderiv->deriv2_classes[6][5][21] = int_stack + 285605;
 Libderiv->deriv2_classes[6][6][21] = int_stack + 286193;
 Libderiv->deriv2_classes[6][7][21] = int_stack + 286977;
 Libderiv->deriv2_classes[6][8][21] = int_stack + 287985;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 289245;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 289560;
 Libderiv->deriv2_classes[4][7][20] = int_stack + 289980;
 Libderiv->deriv2_classes[4][8][20] = int_stack + 290520;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 291195;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 291636;
 Libderiv->deriv2_classes[5][7][20] = int_stack + 292224;
 Libderiv->deriv2_classes[5][8][20] = int_stack + 292980;
 Libderiv->deriv2_classes[6][5][20] = int_stack + 293925;
 Libderiv->deriv2_classes[6][6][20] = int_stack + 294513;
 Libderiv->deriv2_classes[6][7][20] = int_stack + 295297;
 Libderiv->deriv2_classes[6][8][20] = int_stack + 296305;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 297565;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 297880;
 Libderiv->deriv2_classes[4][7][19] = int_stack + 298300;
 Libderiv->deriv2_classes[4][8][19] = int_stack + 298840;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 299515;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 299956;
 Libderiv->deriv2_classes[5][7][19] = int_stack + 300544;
 Libderiv->deriv2_classes[5][8][19] = int_stack + 301300;
 Libderiv->deriv2_classes[6][5][19] = int_stack + 302245;
 Libderiv->deriv2_classes[6][6][19] = int_stack + 302833;
 Libderiv->deriv2_classes[6][7][19] = int_stack + 303617;
 Libderiv->deriv2_classes[6][8][19] = int_stack + 304625;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 305885;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 306200;
 Libderiv->deriv2_classes[4][7][18] = int_stack + 306620;
 Libderiv->deriv2_classes[4][8][18] = int_stack + 307160;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 307835;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 308276;
 Libderiv->deriv2_classes[5][7][18] = int_stack + 308864;
 Libderiv->deriv2_classes[5][8][18] = int_stack + 309620;
 Libderiv->deriv_classes[6][5][1] = int_stack + 310565;
 Libderiv->deriv2_classes[6][5][18] = int_stack + 311153;
 Libderiv->deriv_classes[6][6][1] = int_stack + 311741;
 Libderiv->deriv2_classes[6][6][18] = int_stack + 312525;
 Libderiv->deriv_classes[6][7][1] = int_stack + 313309;
 Libderiv->deriv2_classes[6][7][18] = int_stack + 314317;
 Libderiv->deriv2_classes[6][8][18] = int_stack + 315325;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 316585;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 316900;
 Libderiv->deriv2_classes[4][7][14] = int_stack + 317320;
 Libderiv->deriv2_classes[4][8][14] = int_stack + 317860;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 318535;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 318976;
 Libderiv->deriv2_classes[5][7][14] = int_stack + 319564;
 Libderiv->deriv2_classes[5][8][14] = int_stack + 320320;
 Libderiv->deriv2_classes[6][5][14] = int_stack + 321265;
 Libderiv->deriv2_classes[6][6][14] = int_stack + 321853;
 Libderiv->deriv2_classes[6][7][14] = int_stack + 322637;
 Libderiv->deriv2_classes[6][8][14] = int_stack + 323645;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 324905;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 325220;
 Libderiv->deriv2_classes[4][7][13] = int_stack + 325640;
 Libderiv->deriv2_classes[4][8][13] = int_stack + 326180;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 326855;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 327296;
 Libderiv->deriv2_classes[5][7][13] = int_stack + 327884;
 Libderiv->deriv2_classes[5][8][13] = int_stack + 328640;
 Libderiv->deriv2_classes[6][5][13] = int_stack + 329585;
 Libderiv->deriv2_classes[6][6][13] = int_stack + 330173;
 Libderiv->deriv2_classes[6][7][13] = int_stack + 330957;
 Libderiv->deriv2_classes[6][8][13] = int_stack + 331965;
 Libderiv->deriv_classes[4][5][11] = int_stack + 333225;
 Libderiv->deriv_classes[4][6][11] = int_stack + 333540;
 Libderiv->deriv_classes[4][7][11] = int_stack + 333960;
 Libderiv->deriv_classes[4][8][11] = int_stack + 334500;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 335175;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 335490;
 Libderiv->deriv2_classes[4][7][11] = int_stack + 335910;
 Libderiv->deriv2_classes[4][8][11] = int_stack + 336450;
 Libderiv->deriv_classes[5][5][11] = int_stack + 337125;
 Libderiv->deriv_classes[5][6][11] = int_stack + 337566;
 Libderiv->deriv_classes[5][7][11] = int_stack + 338154;
 Libderiv->deriv_classes[5][8][11] = int_stack + 338910;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 339855;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 340296;
 Libderiv->deriv2_classes[5][7][11] = int_stack + 340884;
 Libderiv->deriv2_classes[5][8][11] = int_stack + 341640;
 Libderiv->deriv2_classes[6][5][11] = int_stack + 342585;
 Libderiv->deriv2_classes[6][6][11] = int_stack + 343173;
 Libderiv->deriv2_classes[6][7][11] = int_stack + 343957;
 Libderiv->deriv2_classes[6][8][11] = int_stack + 344965;
 Libderiv->deriv_classes[4][5][10] = int_stack + 346225;
 Libderiv->deriv_classes[4][6][10] = int_stack + 346540;
 Libderiv->deriv_classes[4][7][10] = int_stack + 346960;
 Libderiv->deriv_classes[4][8][10] = int_stack + 347500;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 348175;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 348490;
 Libderiv->deriv2_classes[4][7][10] = int_stack + 348910;
 Libderiv->deriv2_classes[4][8][10] = int_stack + 349450;
 Libderiv->deriv_classes[5][5][10] = int_stack + 350125;
 Libderiv->deriv_classes[5][6][10] = int_stack + 350566;
 Libderiv->deriv_classes[5][7][10] = int_stack + 351154;
 Libderiv->deriv_classes[5][8][10] = int_stack + 351910;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 352855;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 353296;
 Libderiv->deriv2_classes[5][7][10] = int_stack + 353884;
 Libderiv->deriv2_classes[5][8][10] = int_stack + 354640;
 Libderiv->deriv2_classes[6][5][10] = int_stack + 355585;
 Libderiv->deriv2_classes[6][6][10] = int_stack + 356173;
 Libderiv->deriv2_classes[6][7][10] = int_stack + 356957;
 Libderiv->deriv2_classes[6][8][10] = int_stack + 357965;
 Libderiv->deriv_classes[4][5][9] = int_stack + 359225;
 Libderiv->deriv_classes[4][6][9] = int_stack + 359540;
 Libderiv->deriv_classes[4][7][9] = int_stack + 359960;
 Libderiv->deriv_classes[4][8][9] = int_stack + 360500;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 361175;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 361490;
 Libderiv->deriv2_classes[4][7][9] = int_stack + 361910;
 Libderiv->deriv2_classes[4][8][9] = int_stack + 362450;
 Libderiv->deriv_classes[5][5][9] = int_stack + 363125;
 Libderiv->deriv_classes[5][6][9] = int_stack + 363566;
 Libderiv->deriv_classes[5][7][9] = int_stack + 364154;
 Libderiv->deriv_classes[5][8][9] = int_stack + 364910;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 365855;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 366296;
 Libderiv->deriv2_classes[5][7][9] = int_stack + 366884;
 Libderiv->deriv2_classes[5][8][9] = int_stack + 367640;
 Libderiv->deriv2_classes[6][5][9] = int_stack + 368585;
 Libderiv->deriv2_classes[6][6][9] = int_stack + 369173;
 Libderiv->deriv2_classes[6][7][9] = int_stack + 369957;
 Libderiv->deriv2_classes[6][8][9] = int_stack + 370965;
 Libderiv->deriv_classes[4][5][8] = int_stack + 372225;
 Libderiv->deriv_classes[4][6][8] = int_stack + 372540;
 Libderiv->deriv_classes[4][7][8] = int_stack + 372960;
 Libderiv->deriv_classes[4][8][8] = int_stack + 373500;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 374175;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 374490;
 Libderiv->deriv2_classes[4][7][8] = int_stack + 374910;
 Libderiv->deriv2_classes[4][8][8] = int_stack + 375450;
 Libderiv->deriv_classes[5][5][8] = int_stack + 376125;
 Libderiv->deriv_classes[5][6][8] = int_stack + 376566;
 Libderiv->deriv_classes[5][7][8] = int_stack + 377154;
 Libderiv->deriv_classes[5][8][8] = int_stack + 377910;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 378855;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 379296;
 Libderiv->deriv2_classes[5][7][8] = int_stack + 379884;
 Libderiv->deriv2_classes[5][8][8] = int_stack + 380640;
 Libderiv->deriv2_classes[6][5][8] = int_stack + 381585;
 Libderiv->deriv2_classes[6][6][8] = int_stack + 382173;
 Libderiv->deriv2_classes[6][7][8] = int_stack + 382957;
 Libderiv->deriv2_classes[6][8][8] = int_stack + 383965;
 Libderiv->deriv_classes[4][5][7] = int_stack + 385225;
 Libderiv->deriv_classes[4][6][7] = int_stack + 385540;
 Libderiv->deriv_classes[4][7][7] = int_stack + 385960;
 Libderiv->deriv_classes[4][8][7] = int_stack + 386500;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 387175;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 387490;
 Libderiv->deriv2_classes[4][7][7] = int_stack + 387910;
 Libderiv->deriv2_classes[4][8][7] = int_stack + 388450;
 Libderiv->deriv_classes[5][5][7] = int_stack + 389125;
 Libderiv->deriv_classes[5][6][7] = int_stack + 389566;
 Libderiv->deriv_classes[5][7][7] = int_stack + 390154;
 Libderiv->deriv_classes[5][8][7] = int_stack + 390910;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 391855;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 392296;
 Libderiv->deriv2_classes[5][7][7] = int_stack + 392884;
 Libderiv->deriv2_classes[5][8][7] = int_stack + 393640;
 Libderiv->deriv2_classes[6][5][7] = int_stack + 394585;
 Libderiv->deriv2_classes[6][6][7] = int_stack + 395173;
 Libderiv->deriv2_classes[6][7][7] = int_stack + 395957;
 Libderiv->deriv2_classes[6][8][7] = int_stack + 396965;
 Libderiv->deriv_classes[4][5][6] = int_stack + 398225;
 Libderiv->deriv_classes[4][6][6] = int_stack + 398540;
 Libderiv->deriv_classes[4][7][6] = int_stack + 398960;
 Libderiv->deriv_classes[4][8][6] = int_stack + 399500;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 400175;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 400490;
 Libderiv->deriv2_classes[4][7][6] = int_stack + 400910;
 Libderiv->deriv2_classes[4][8][6] = int_stack + 401450;
 Libderiv->dvrr_classes[5][5] = int_stack + 402125;
 Libderiv->deriv_classes[5][5][6] = int_stack + 402566;
 Libderiv->dvrr_classes[5][6] = int_stack + 403007;
 Libderiv->deriv_classes[5][6][6] = int_stack + 403595;
 Libderiv->dvrr_classes[5][7] = int_stack + 404183;
 Libderiv->deriv_classes[5][7][6] = int_stack + 404939;
 Libderiv->deriv_classes[5][8][6] = int_stack + 405695;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 406640;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 407081;
 Libderiv->deriv2_classes[5][7][6] = int_stack + 407669;
 Libderiv->deriv2_classes[5][8][6] = int_stack + 408425;
 Libderiv->deriv_classes[6][5][0] = int_stack + 409370;
 Libderiv->deriv2_classes[6][5][6] = int_stack + 409958;
 Libderiv->deriv_classes[6][6][0] = int_stack + 410546;
 Libderiv->deriv2_classes[6][6][6] = int_stack + 411330;
 Libderiv->deriv_classes[6][7][0] = int_stack + 412114;
 Libderiv->deriv2_classes[6][7][6] = int_stack + 413122;
 Libderiv->deriv2_classes[6][8][6] = int_stack + 414130;
 Libderiv->deriv_classes[4][5][2] = int_stack + 415390;
 Libderiv->deriv_classes[4][6][2] = int_stack + 415705;
 Libderiv->deriv_classes[4][7][2] = int_stack + 416125;
 Libderiv->deriv_classes[4][8][2] = int_stack + 416665;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 417340;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 417655;
 Libderiv->deriv2_classes[4][7][2] = int_stack + 418075;
 Libderiv->deriv2_classes[4][8][2] = int_stack + 418615;
 Libderiv->deriv_classes[5][5][2] = int_stack + 419290;
 Libderiv->deriv_classes[5][6][2] = int_stack + 419731;
 Libderiv->deriv_classes[5][7][2] = int_stack + 420319;
 Libderiv->deriv_classes[5][8][2] = int_stack + 421075;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 422020;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 422461;
 Libderiv->deriv2_classes[5][7][2] = int_stack + 423049;
 Libderiv->deriv2_classes[5][8][2] = int_stack + 423805;
 Libderiv->deriv2_classes[6][5][2] = int_stack + 424750;
 Libderiv->deriv2_classes[6][6][2] = int_stack + 425338;
 Libderiv->deriv2_classes[6][7][2] = int_stack + 426122;
 Libderiv->deriv2_classes[6][8][2] = int_stack + 427130;
 Libderiv->deriv_classes[4][5][1] = int_stack + 428390;
 Libderiv->deriv_classes[4][6][1] = int_stack + 428705;
 Libderiv->deriv_classes[4][7][1] = int_stack + 429125;
 Libderiv->deriv_classes[4][8][1] = int_stack + 429665;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 430340;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 430655;
 Libderiv->deriv2_classes[4][7][1] = int_stack + 431075;
 Libderiv->deriv2_classes[4][8][1] = int_stack + 431615;
 Libderiv->deriv_classes[5][5][1] = int_stack + 432290;
 Libderiv->deriv_classes[5][6][1] = int_stack + 432731;
 Libderiv->deriv_classes[5][7][1] = int_stack + 433319;
 Libderiv->deriv_classes[5][8][1] = int_stack + 434075;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 435020;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 435461;
 Libderiv->deriv2_classes[5][7][1] = int_stack + 436049;
 Libderiv->deriv2_classes[5][8][1] = int_stack + 436805;
 Libderiv->deriv2_classes[6][5][1] = int_stack + 437750;
 Libderiv->deriv2_classes[6][6][1] = int_stack + 438338;
 Libderiv->deriv2_classes[6][7][1] = int_stack + 439122;
 Libderiv->deriv2_classes[6][8][1] = int_stack + 440130;
 Libderiv->dvrr_classes[4][5] = int_stack + 441390;
 Libderiv->dvrr_classes[4][6] = int_stack + 441705;
 Libderiv->dvrr_classes[4][7] = int_stack + 442125;
 Libderiv->dvrr_classes[4][8] = int_stack + 442665;
 Libderiv->deriv_classes[4][5][0] = int_stack + 443340;
 Libderiv->deriv_classes[4][6][0] = int_stack + 443655;
 Libderiv->deriv_classes[4][7][0] = int_stack + 444075;
 Libderiv->deriv_classes[4][8][0] = int_stack + 444615;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 445290;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 445605;
 Libderiv->deriv2_classes[4][7][0] = int_stack + 446025;
 Libderiv->deriv2_classes[4][8][0] = int_stack + 446565;
 Libderiv->deriv_classes[5][5][0] = int_stack + 447240;
 Libderiv->deriv_classes[5][6][0] = int_stack + 447681;
 Libderiv->deriv_classes[5][7][0] = int_stack + 448269;
 Libderiv->deriv_classes[5][8][0] = int_stack + 449025;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 449970;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 450411;
 Libderiv->deriv2_classes[5][7][0] = int_stack + 450999;
 Libderiv->deriv2_classes[5][8][0] = int_stack + 451755;
 Libderiv->deriv2_classes[6][5][0] = int_stack + 452700;
 Libderiv->deriv2_classes[6][6][0] = int_stack + 453288;
 Libderiv->deriv2_classes[6][7][0] = int_stack + 454072;
 Libderiv->deriv2_classes[6][8][0] = int_stack + 455080;
 memset(int_stack,0,3650720);

 Libderiv->dvrr_stack = int_stack + 1461991;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_gdhf(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+456340,int_stack+441705,int_stack+441390,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+457285,int_stack+442125,int_stack+441705,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+458545,int_stack+457285,int_stack+456340,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+460435,int_stack+333540,int_stack+333225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+441390,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+461380,int_stack+333960,int_stack+333540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+441705,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+462640,int_stack+461380,int_stack+460435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+456340,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+464530,int_stack+334500,int_stack+333960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+442125,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+466150,int_stack+464530,int_stack+461380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+457285,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+468670,int_stack+466150,int_stack+462640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+458545,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+464530,int_stack+403007,int_stack+402125,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+465853,int_stack+404183,int_stack+403007,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+471820,int_stack+465853,int_stack+464530,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+474466,int_stack+337566,int_stack+337125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+402125,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+475789,int_stack+338154,int_stack+337566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+403007,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+477553,int_stack+475789,int_stack+474466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+464530,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+480199,int_stack+338910,int_stack+338154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404183,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+482467,int_stack+480199,int_stack+475789, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+465853,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+485995,int_stack+482467,int_stack+477553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+471820,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+490405,int_stack+485995,int_stack+468670,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+480199,int_stack+198037,int_stack+196273,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+481963,int_stack+6300,int_stack+198037,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+499855,int_stack+481963,int_stack+480199,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+503383,int_stack+143949,int_stack+142773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196273,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+505147,int_stack+145517,int_stack+143949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198037,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+507499,int_stack+505147,int_stack+503383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+480199,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+511027,int_stack+0,int_stack+145517, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6300,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+514051,int_stack+511027,int_stack+505147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+481963,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+518755,int_stack+514051,int_stack+507499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+524635,int_stack+518755,int_stack+485995,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+338910,int_stack+346540,int_stack+346225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+441390, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+346960,int_stack+346540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+441705, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+511027,int_stack+0,int_stack+338910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+456340, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+512917,int_stack+347500,int_stack+346960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+442125, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+514537,int_stack+512917,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+457285, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+517057,int_stack+514537,int_stack+511027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+458545, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+512917,int_stack+350566,int_stack+350125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+402125, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+514240,int_stack+351154,int_stack+350566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+403007, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+520207,int_stack+514240,int_stack+512917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+464530, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+537865,int_stack+351910,int_stack+351154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404183, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+540133,int_stack+537865,int_stack+514240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+465853, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+543661,int_stack+540133,int_stack+520207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+471820, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+548071,int_stack+543661,int_stack+517057,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+537865,int_stack+154649,int_stack+153473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196273, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+539629,int_stack+156217,int_stack+154649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198037, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+557521,int_stack+539629,int_stack+537865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+480199, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+561049,int_stack+1260,int_stack+156217, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6300, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+564073,int_stack+561049,int_stack+539629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+481963, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+568777,int_stack+564073,int_stack+557521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+574657,int_stack+568777,int_stack+543661,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+351910,int_stack+359540,int_stack+359225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+441390, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1260,int_stack+359960,int_stack+359540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+441705, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+561049,int_stack+1260,int_stack+351910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+456340, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+562939,int_stack+360500,int_stack+359960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+442125, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+564559,int_stack+562939,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+457285, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+567079,int_stack+564559,int_stack+561049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+458545, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+562939,int_stack+363566,int_stack+363125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+402125, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+564262,int_stack+364154,int_stack+363566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+403007, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+570229,int_stack+564262,int_stack+562939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+464530, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+587887,int_stack+364910,int_stack+364154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404183, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+590155,int_stack+587887,int_stack+564262, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+465853, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+593683,int_stack+590155,int_stack+570229, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+471820, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+598093,int_stack+593683,int_stack+567079,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+587887,int_stack+165349,int_stack+164173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196273, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+589651,int_stack+166917,int_stack+165349, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198037, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+607543,int_stack+589651,int_stack+587887, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+480199, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+611071,int_stack+2520,int_stack+166917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6300, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+614095,int_stack+611071,int_stack+589651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+481963, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+618799,int_stack+614095,int_stack+607543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+624679,int_stack+618799,int_stack+593683,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+364910,int_stack+372540,int_stack+372225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+441390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2520,int_stack+372960,int_stack+372540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+441705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+611071,int_stack+2520,int_stack+364910, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+612961,int_stack+373500,int_stack+372960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+442125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+614581,int_stack+612961,int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+457285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+617101,int_stack+614581,int_stack+611071, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+458545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+612961,int_stack+376566,int_stack+376125, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+402125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+614284,int_stack+377154,int_stack+376566, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+403007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+620251,int_stack+614284,int_stack+612961, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+464530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+637909,int_stack+377910,int_stack+377154, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+640177,int_stack+637909,int_stack+614284, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+465853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+643705,int_stack+640177,int_stack+620251, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+471820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+648115,int_stack+643705,int_stack+617101,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+637909,int_stack+176049,int_stack+174873, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+639673,int_stack+177617,int_stack+176049, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+657565,int_stack+639673,int_stack+637909, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+480199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+661093,int_stack+3780,int_stack+177617, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+664117,int_stack+661093,int_stack+639673, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+481963, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+668821,int_stack+664117,int_stack+657565, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+674701,int_stack+668821,int_stack+643705,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+377910,int_stack+385540,int_stack+385225, 0.0, zero_stack, 1.0, int_stack+441390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3780,int_stack+385960,int_stack+385540, 0.0, zero_stack, 1.0, int_stack+441705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+661093,int_stack+3780,int_stack+377910, 0.0, zero_stack, 1.0, int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+662983,int_stack+386500,int_stack+385960, 0.0, zero_stack, 1.0, int_stack+442125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+664603,int_stack+662983,int_stack+3780, 0.0, zero_stack, 1.0, int_stack+457285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+667123,int_stack+664603,int_stack+661093, 0.0, zero_stack, 1.0, int_stack+458545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+662983,int_stack+389566,int_stack+389125, 0.0, zero_stack, 1.0, int_stack+402125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+664306,int_stack+390154,int_stack+389566, 0.0, zero_stack, 1.0, int_stack+403007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+670273,int_stack+664306,int_stack+662983, 0.0, zero_stack, 1.0, int_stack+464530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+687931,int_stack+390910,int_stack+390154, 0.0, zero_stack, 1.0, int_stack+404183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+690199,int_stack+687931,int_stack+664306, 0.0, zero_stack, 1.0, int_stack+465853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+693727,int_stack+690199,int_stack+670273, 0.0, zero_stack, 1.0, int_stack+471820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+698137,int_stack+693727,int_stack+667123,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+687931,int_stack+186749,int_stack+185573, 0.0, zero_stack, 1.0, int_stack+196273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+689695,int_stack+188317,int_stack+186749, 0.0, zero_stack, 1.0, int_stack+198037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+707587,int_stack+689695,int_stack+687931, 0.0, zero_stack, 1.0, int_stack+480199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+711115,int_stack+5040,int_stack+188317, 0.0, zero_stack, 1.0, int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+714139,int_stack+711115,int_stack+689695, 0.0, zero_stack, 1.0, int_stack+481963, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+718843,int_stack+714139,int_stack+707587, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+724723,int_stack+718843,int_stack+693727,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+390910,int_stack+398540,int_stack+398225, 1.0, int_stack+441390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5040,int_stack+398960,int_stack+398540, 1.0, int_stack+441705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+711115,int_stack+5040,int_stack+390910, 1.0, int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+713005,int_stack+399500,int_stack+398960, 1.0, int_stack+442125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+714625,int_stack+713005,int_stack+5040, 1.0, int_stack+457285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+717145,int_stack+714625,int_stack+711115, 1.0, int_stack+458545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+713005,int_stack+403595,int_stack+402566, 1.0, int_stack+402125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+714328,int_stack+404939,int_stack+403595, 1.0, int_stack+403007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+720295,int_stack+714328,int_stack+713005, 1.0, int_stack+464530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+737953,int_stack+405695,int_stack+404939, 1.0, int_stack+404183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+740221,int_stack+737953,int_stack+714328, 1.0, int_stack+465853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+743749,int_stack+740221,int_stack+720295, 1.0, int_stack+471820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+748159,int_stack+743749,int_stack+717145,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+737953,int_stack+198821,int_stack+196861, 1.0, int_stack+196273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+739717,int_stack+200389,int_stack+198821, 1.0, int_stack+198037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+757609,int_stack+739717,int_stack+737953, 1.0, int_stack+480199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+761137,int_stack+7308,int_stack+200389, 1.0, int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+764161,int_stack+761137,int_stack+739717, 1.0, int_stack+481963, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+768865,int_stack+764161,int_stack+757609, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+774745,int_stack+768865,int_stack+743749,210);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+499855,int_stack+442665,int_stack+442125,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+761137,int_stack+499855,int_stack+457285,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+499855,int_stack+761137,int_stack+458545,15);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6300,int_stack+11088,int_stack+404183,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+761137,int_stack+6300,int_stack+465853,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+764665,int_stack+761137,int_stack+471820,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+787975,int_stack+764665,int_stack+499855,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+11088,int_stack+415705,int_stack+415390,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+471820,int_stack+416125,int_stack+415705,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+761137,int_stack+471820,int_stack+11088,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+763027,int_stack+416665,int_stack+416125,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+769075,int_stack+763027,int_stack+471820,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+771595,int_stack+769075,int_stack+761137,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+769075,int_stack+419731,int_stack+419290,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6300,int_stack+420319,int_stack+419731,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+480199,int_stack+6300,int_stack+769075,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+482845,int_stack+421075,int_stack+420319,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+464530,int_stack+482845,int_stack+6300,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+797425,int_stack+464530,int_stack+480199,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+801835,int_stack+797425,int_stack+771595, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+464530,int_stack+251121,int_stack+249945,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+466294,int_stack+252689,int_stack+251121,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+456340,int_stack+466294,int_stack+464530,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+482845,int_stack+8568,int_stack+252689,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+811285,int_stack+482845,int_stack+466294,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+815989,int_stack+811285,int_stack+456340,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+821869,int_stack+815989,int_stack+797425, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+764665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+421075,int_stack+428705,int_stack+428390,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+811285,int_stack+429125,int_stack+428705,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+812545,int_stack+811285,int_stack+421075,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+814435,int_stack+429665,int_stack+429125,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+816055,int_stack+814435,int_stack+811285,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+482845,int_stack+816055,int_stack+812545,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+814435,int_stack+432731,int_stack+432290,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+8064,int_stack+433319,int_stack+432731,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+815758,int_stack+8064,int_stack+814435,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+818404,int_stack+434075,int_stack+433319,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+835099,int_stack+818404,int_stack+8064,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+838627,int_stack+835099,int_stack+815758,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+843037,int_stack+838627,int_stack+482845, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+835099,int_stack+311741,int_stack+310565,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+818404,int_stack+313309,int_stack+311741,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+852487,int_stack+818404,int_stack+835099,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+856015,int_stack+9828,int_stack+313309,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+859039,int_stack+856015,int_stack+818404,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+863743,int_stack+859039,int_stack+852487,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+869623,int_stack+863743,int_stack+838627, 0.0, zero_stack, 1.0, int_stack+764665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+434075,int_stack+443655,int_stack+443340,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9828,int_stack+444075,int_stack+443655,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+856015,int_stack+9828,int_stack+434075,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+857905,int_stack+444615,int_stack+444075,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+859525,int_stack+857905,int_stack+9828,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+862045,int_stack+859525,int_stack+856015,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+857905,int_stack+447681,int_stack+447240,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+836863,int_stack+448269,int_stack+447681,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+859228,int_stack+836863,int_stack+857905,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+865195,int_stack+449025,int_stack+448269,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+882853,int_stack+865195,int_stack+836863,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+865195,int_stack+882853,int_stack+859228,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+882853,int_stack+865195,int_stack+862045, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+499855,int_stack+410546,int_stack+409370,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+892303,int_stack+412114,int_stack+410546,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+894655,int_stack+892303,int_stack+499855,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+898183,int_stack+12033,int_stack+412114,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+901207,int_stack+898183,int_stack+892303,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+905911,int_stack+901207,int_stack+894655,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+911791,int_stack+905911,int_stack+865195, 1.0, int_stack+764665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+13608,int_stack+13293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+333225,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+898183,int_stack+14028,int_stack+13608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+333540,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+899443,int_stack+898183,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+460435,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+901333,int_stack+14568,int_stack+14028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+333960,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+902953,int_stack+901333,int_stack+898183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+461380,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+905473,int_stack+902953,int_stack+899443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+462640,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+898183,int_stack+15684,int_stack+15243, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+337125,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+16272,int_stack+15684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+337566,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+899506,int_stack+501619,int_stack+898183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+474466,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+902152,int_stack+17028,int_stack+16272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+338154,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12033,int_stack+902152,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+475789,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+763027,int_stack+12033,int_stack+899506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+477553,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+925021,int_stack+763027,int_stack+905473,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+18561,int_stack+17973, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+142773,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12033,int_stack+19345,int_stack+18561, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+143949,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14385,int_stack+12033,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+503383,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+898183,int_stack+20353,int_stack+19345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+145517,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+901207,int_stack+898183,int_stack+12033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+505147,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+905911,int_stack+901207,int_stack+14385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+507499,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+934471,int_stack+905911,int_stack+763027,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+21928,int_stack+21613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333225, 1.0, int_stack+346225,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+763027,int_stack+22348,int_stack+21928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333540, 1.0, int_stack+346540,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+764287,int_stack+763027,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+460435, 1.0, int_stack+338910,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+766177,int_stack+22888,int_stack+22348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333960, 1.0, int_stack+346960,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12033,int_stack+766177,int_stack+763027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+461380, 1.0, int_stack+0,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+14553,int_stack+12033,int_stack+764287, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+462640, 1.0, int_stack+511027,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12033,int_stack+24004,int_stack+23563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+337125, 1.0, int_stack+350125,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+24592,int_stack+24004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+337566, 1.0, int_stack+350566,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+763027,int_stack+501619,int_stack+12033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+474466, 1.0, int_stack+512917,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12033,int_stack+25348,int_stack+24592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338154, 1.0, int_stack+351154,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+17703,int_stack+12033,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+475789, 1.0, int_stack+514240,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+21231,int_stack+17703,int_stack+763027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+477553, 1.0, int_stack+520207,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+898183,int_stack+21231,int_stack+14553,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+26881,int_stack+26293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142773, 1.0, int_stack+153473,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+763027,int_stack+27665,int_stack+26881, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143949, 1.0, int_stack+154649,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+765379,int_stack+763027,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+503383, 1.0, int_stack+537865,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12033,int_stack+28673,int_stack+27665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145517, 1.0, int_stack+156217,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+15057,int_stack+12033,int_stack+763027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+505147, 1.0, int_stack+539629,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+15057,int_stack+765379, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+507499, 1.0, int_stack+557521,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+953581,int_stack+947701,int_stack+21231,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+30248,int_stack+29933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+346225, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+30668,int_stack+30248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+346540, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+338910, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+31208,int_stack+30668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+346960, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+763027,int_stack+950851,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+765547,int_stack+763027,int_stack+948961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+511027, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+763027,int_stack+32324,int_stack+31883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+350125, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+32912,int_stack+32324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+350566, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+501619,int_stack+763027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+512917, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+763027,int_stack+33668,int_stack+32912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+351154, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12033,int_stack+763027,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+514240, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+15561,int_stack+12033,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+520207, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+19971,int_stack+15561,int_stack+765547,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+35201,int_stack+34613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+153473, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+35985,int_stack+35201, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+154649, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+537865, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12033,int_stack+36993,int_stack+35985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+156217, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+763027,int_stack+12033,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+539629, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+29421,int_stack+763027,int_stack+950053, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+557521, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+966811,int_stack+29421,int_stack+15561,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+38568,int_stack+38253, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333225, 0.0, zero_stack, 1.0, int_stack+359225,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29421,int_stack+38988,int_stack+38568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333540, 0.0, zero_stack, 1.0, int_stack+359540,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30681,int_stack+29421,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+460435, 0.0, zero_stack, 1.0, int_stack+351910,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32571,int_stack+39528,int_stack+38988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333960, 0.0, zero_stack, 1.0, int_stack+359960,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34191,int_stack+32571,int_stack+29421, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+461380, 0.0, zero_stack, 1.0, int_stack+1260,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+36711,int_stack+34191,int_stack+30681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+462640, 0.0, zero_stack, 1.0, int_stack+561049,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29421,int_stack+40644,int_stack+40203, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+337125, 0.0, zero_stack, 1.0, int_stack+363125,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+41232,int_stack+40644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+337566, 0.0, zero_stack, 1.0, int_stack+363566,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30744,int_stack+501619,int_stack+29421, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+474466, 0.0, zero_stack, 1.0, int_stack+562939,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+33390,int_stack+41988,int_stack+41232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338154, 0.0, zero_stack, 1.0, int_stack+364154,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+763027,int_stack+33390,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+475789, 0.0, zero_stack, 1.0, int_stack+564262,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+763027,int_stack+30744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+477553, 0.0, zero_stack, 1.0, int_stack+570229,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+980041,int_stack+947701,int_stack+36711,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+43521,int_stack+42933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142773, 0.0, zero_stack, 1.0, int_stack+164173,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+763027,int_stack+44305,int_stack+43521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143949, 0.0, zero_stack, 1.0, int_stack+165349,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+765379,int_stack+763027,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+503383, 0.0, zero_stack, 1.0, int_stack+587887,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29421,int_stack+45313,int_stack+44305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145517, 0.0, zero_stack, 1.0, int_stack+166917,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+32445,int_stack+29421,int_stack+763027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+505147, 0.0, zero_stack, 1.0, int_stack+589651,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+37149,int_stack+32445,int_stack+765379, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+507499, 0.0, zero_stack, 1.0, int_stack+607543,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+989491,int_stack+37149,int_stack+947701,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+46888,int_stack+46573, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346225, 1.0, int_stack+359225, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+47308,int_stack+46888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346540, 1.0, int_stack+359540, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338910, 1.0, int_stack+351910, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+47848,int_stack+47308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346960, 1.0, int_stack+359960, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+763027,int_stack+950851,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+1260, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+765547,int_stack+763027,int_stack+948961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511027, 1.0, int_stack+561049, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+763027,int_stack+48964,int_stack+48523, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350125, 1.0, int_stack+363125, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+49552,int_stack+48964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350566, 1.0, int_stack+363566, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+501619,int_stack+763027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+512917, 1.0, int_stack+562939, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+763027,int_stack+50308,int_stack+49552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+351154, 1.0, int_stack+364154, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+29421,int_stack+763027,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+514240, 1.0, int_stack+564262, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+32949,int_stack+29421,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+520207, 1.0, int_stack+570229, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+37359,int_stack+32949,int_stack+765547,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+51841,int_stack+51253, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153473, 1.0, int_stack+164173, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+52625,int_stack+51841, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154649, 1.0, int_stack+165349, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+537865, 1.0, int_stack+587887, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29421,int_stack+53633,int_stack+52625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156217, 1.0, int_stack+166917, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+763027,int_stack+29421,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+539629, 1.0, int_stack+589651, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+46809,int_stack+763027,int_stack+950053, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+557521, 1.0, int_stack+607543, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1002721,int_stack+46809,int_stack+32949,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+55208,int_stack+54893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+359225, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46809,int_stack+55628,int_stack+55208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+359540, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48069,int_stack+46809,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+351910, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+49959,int_stack+56168,int_stack+55628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+359960, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+51579,int_stack+49959,int_stack+46809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+763027,int_stack+51579,int_stack+48069, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+561049, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+46809,int_stack+57284,int_stack+56843, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+363125, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+57872,int_stack+57284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+363566, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48132,int_stack+501619,int_stack+46809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+562939, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50778,int_stack+58628,int_stack+57872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+364154, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+53046,int_stack+50778,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+564262, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+53046,int_stack+48132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+570229, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+46809,int_stack+947701,int_stack+763027,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+60161,int_stack+59573, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+164173, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+763027,int_stack+60945,int_stack+60161, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+165349, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+765379,int_stack+763027,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+587887, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56259,int_stack+61953,int_stack+60945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+166917, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+29421,int_stack+56259,int_stack+763027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+589651, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+56259,int_stack+29421,int_stack+765379, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+607543, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1015951,int_stack+56259,int_stack+947701,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+63528,int_stack+63213, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+372225,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+63948,int_stack+63528, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+372540,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+460435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+364910,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+64488,int_stack+63948, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+333960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+372960,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+56259,int_stack+950851,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+461380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2520,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+58779,int_stack+56259,int_stack+948961, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+462640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+611071,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56259,int_stack+65604,int_stack+65163, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+337125, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+376125,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+66192,int_stack+65604, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+337566, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+376566,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+501619,int_stack+56259, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+474466, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+612961,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56259,int_stack+66948,int_stack+66192, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338154, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+377154,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+61929,int_stack+56259,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+475789, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+614284,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+29421,int_stack+61929,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+477553, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+620251,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1029181,int_stack+29421,int_stack+58779,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+68481,int_stack+67893, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142773, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174873,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+69265,int_stack+68481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143949, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176049,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+503383, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+637909,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56259,int_stack+70273,int_stack+69265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+145517, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177617,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+59283,int_stack+56259,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+505147, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+639673,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+63987,int_stack+59283,int_stack+950053, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+507499, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+657565,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1038631,int_stack+63987,int_stack+29421,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+71848,int_stack+71533, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346225, 0.0, zero_stack, 1.0, int_stack+372225, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29421,int_stack+72268,int_stack+71848, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346540, 0.0, zero_stack, 1.0, int_stack+372540, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30681,int_stack+29421,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338910, 0.0, zero_stack, 1.0, int_stack+364910, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32571,int_stack+72808,int_stack+72268, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346960, 0.0, zero_stack, 1.0, int_stack+372960, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34191,int_stack+32571,int_stack+29421, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+2520, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+34191,int_stack+30681, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511027, 0.0, zero_stack, 1.0, int_stack+611071, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29421,int_stack+73924,int_stack+73483, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350125, 0.0, zero_stack, 1.0, int_stack+376125, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+74512,int_stack+73924, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350566, 0.0, zero_stack, 1.0, int_stack+376566, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30744,int_stack+501619,int_stack+29421, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+512917, 0.0, zero_stack, 1.0, int_stack+612961, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+33390,int_stack+75268,int_stack+74512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+351154, 0.0, zero_stack, 1.0, int_stack+377154, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+56259,int_stack+33390,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+514240, 0.0, zero_stack, 1.0, int_stack+614284, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+59787,int_stack+56259,int_stack+30744, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+520207, 0.0, zero_stack, 1.0, int_stack+620251, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+64197,int_stack+59787,int_stack+947701,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+76801,int_stack+76213, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153473, 0.0, zero_stack, 1.0, int_stack+174873, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+77585,int_stack+76801, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154649, 0.0, zero_stack, 1.0, int_stack+176049, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+537865, 0.0, zero_stack, 1.0, int_stack+637909, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56259,int_stack+78593,int_stack+77585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156217, 0.0, zero_stack, 1.0, int_stack+177617, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+29421,int_stack+56259,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+539629, 0.0, zero_stack, 1.0, int_stack+639673, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73647,int_stack+29421,int_stack+950053, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+557521, 0.0, zero_stack, 1.0, int_stack+657565, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1051861,int_stack+73647,int_stack+59787,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+80168,int_stack+79853, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+359225, 1.0, int_stack+372225, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73647,int_stack+80588,int_stack+80168, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+359540, 1.0, int_stack+372540, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74907,int_stack+73647,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+351910, 1.0, int_stack+364910, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+76797,int_stack+81128,int_stack+80588, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+359960, 1.0, int_stack+372960, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+78417,int_stack+76797,int_stack+73647, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260, 1.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+29421,int_stack+78417,int_stack+74907, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+561049, 1.0, int_stack+611071, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73647,int_stack+82244,int_stack+81803, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+363125, 1.0, int_stack+376125, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+82832,int_stack+82244, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+363566, 1.0, int_stack+376566, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74970,int_stack+501619,int_stack+73647, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+562939, 1.0, int_stack+612961, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+77616,int_stack+83588,int_stack+82832, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+364154, 1.0, int_stack+377154, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+79884,int_stack+77616,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+564262, 1.0, int_stack+614284, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+32571,int_stack+79884,int_stack+74970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+570229, 1.0, int_stack+620251, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+73647,int_stack+32571,int_stack+29421,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+85121,int_stack+84533, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164173, 1.0, int_stack+174873, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29421,int_stack+85905,int_stack+85121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165349, 1.0, int_stack+176049, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+29421,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+587887, 1.0, int_stack+637909, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56259,int_stack+86913,int_stack+85905, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166917, 1.0, int_stack+177617, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+83097,int_stack+56259,int_stack+29421, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+589651, 1.0, int_stack+639673, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+56259,int_stack+83097,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+607543, 1.0, int_stack+657565, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1065091,int_stack+56259,int_stack+32571,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+88488,int_stack+88173, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+372225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+56259,int_stack+88908,int_stack+88488, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+372540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+57519,int_stack+56259,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+364910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+59409,int_stack+89448,int_stack+88908, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+372960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+61029,int_stack+59409,int_stack+56259, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+61029,int_stack+57519, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+611071, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56259,int_stack+90564,int_stack+90123, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+376125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+91152,int_stack+90564, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+376566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+57582,int_stack+501619,int_stack+56259, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+612961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+60228,int_stack+91908,int_stack+91152, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+377154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+83097,int_stack+60228,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+614284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+86625,int_stack+83097,int_stack+57582, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+620251, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1078321,int_stack+86625,int_stack+947701,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+93441,int_stack+92853, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+174873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+94225,int_stack+93441, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+176049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+637909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+83097,int_stack+95233,int_stack+94225, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+177617, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+56259,int_stack+83097,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+639673, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+29421,int_stack+56259,int_stack+950053, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+657565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1087771,int_stack+29421,int_stack+86625,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+96808,int_stack+96493, 0.0, zero_stack, 1.0, int_stack+333225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385225,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29421,int_stack+97228,int_stack+96808, 0.0, zero_stack, 1.0, int_stack+333540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385540,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30681,int_stack+29421,int_stack+449025, 0.0, zero_stack, 1.0, int_stack+460435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+377910,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32571,int_stack+97768,int_stack+97228, 0.0, zero_stack, 1.0, int_stack+333960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385960,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34191,int_stack+32571,int_stack+29421, 0.0, zero_stack, 1.0, int_stack+461380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+56259,int_stack+34191,int_stack+30681, 0.0, zero_stack, 1.0, int_stack+462640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+661093,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29421,int_stack+98884,int_stack+98443, 0.0, zero_stack, 1.0, int_stack+337125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+389125,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+99472,int_stack+98884, 0.0, zero_stack, 1.0, int_stack+337566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+389566,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30744,int_stack+501619,int_stack+29421, 0.0, zero_stack, 1.0, int_stack+474466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+662983,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+33390,int_stack+100228,int_stack+99472, 0.0, zero_stack, 1.0, int_stack+338154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390154,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+59409,int_stack+33390,int_stack+501619, 0.0, zero_stack, 1.0, int_stack+475789, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+664306,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+59409,int_stack+30744, 0.0, zero_stack, 1.0, int_stack+477553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670273,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+83097,int_stack+947701,int_stack+56259,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+101761,int_stack+101173, 0.0, zero_stack, 1.0, int_stack+142773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185573,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+56259,int_stack+102545,int_stack+101761, 0.0, zero_stack, 1.0, int_stack+143949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186749,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+58611,int_stack+56259,int_stack+501619, 0.0, zero_stack, 1.0, int_stack+503383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687931,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29421,int_stack+103553,int_stack+102545, 0.0, zero_stack, 1.0, int_stack+145517, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188317,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+32445,int_stack+29421,int_stack+56259, 0.0, zero_stack, 1.0, int_stack+505147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689695,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+92547,int_stack+32445,int_stack+58611, 0.0, zero_stack, 1.0, int_stack+507499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+707587,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1101001,int_stack+92547,int_stack+947701,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+105128,int_stack+104813, 0.0, zero_stack, 1.0, int_stack+346225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385225, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+105548,int_stack+105128, 0.0, zero_stack, 1.0, int_stack+346540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385540, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 0.0, zero_stack, 1.0, int_stack+338910, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+377910, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+106088,int_stack+105548, 0.0, zero_stack, 1.0, int_stack+346960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385960, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+92547,int_stack+950851,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+95067,int_stack+92547,int_stack+948961, 0.0, zero_stack, 1.0, int_stack+511027, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+661093, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+92547,int_stack+107204,int_stack+106763, 0.0, zero_stack, 1.0, int_stack+350125, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+389125, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+107792,int_stack+107204, 0.0, zero_stack, 1.0, int_stack+350566, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+389566, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+501619,int_stack+92547, 0.0, zero_stack, 1.0, int_stack+512917, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+662983, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+92547,int_stack+108548,int_stack+107792, 0.0, zero_stack, 1.0, int_stack+351154, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390154, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+98217,int_stack+92547,int_stack+501619, 0.0, zero_stack, 1.0, int_stack+514240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+664306, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+101745,int_stack+98217,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+520207, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670273, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1114231,int_stack+101745,int_stack+95067,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+110081,int_stack+109493, 0.0, zero_stack, 1.0, int_stack+153473, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185573, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+110865,int_stack+110081, 0.0, zero_stack, 1.0, int_stack+154649, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186749, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 0.0, zero_stack, 1.0, int_stack+537865, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687931, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+92547,int_stack+111873,int_stack+110865, 0.0, zero_stack, 1.0, int_stack+156217, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188317, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+95571,int_stack+92547,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+539629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689695, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+106155,int_stack+95571,int_stack+950053, 0.0, zero_stack, 1.0, int_stack+557521, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+707587, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1123681,int_stack+106155,int_stack+101745,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+113448,int_stack+113133, 0.0, zero_stack, 1.0, int_stack+359225, 0.0, zero_stack, 1.0, int_stack+385225, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+113868,int_stack+113448, 0.0, zero_stack, 1.0, int_stack+359540, 0.0, zero_stack, 1.0, int_stack+385540, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 0.0, zero_stack, 1.0, int_stack+351910, 0.0, zero_stack, 1.0, int_stack+377910, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+114408,int_stack+113868, 0.0, zero_stack, 1.0, int_stack+359960, 0.0, zero_stack, 1.0, int_stack+385960, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+92547,int_stack+950851,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+95067,int_stack+92547,int_stack+948961, 0.0, zero_stack, 1.0, int_stack+561049, 0.0, zero_stack, 1.0, int_stack+661093, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+92547,int_stack+115524,int_stack+115083, 0.0, zero_stack, 1.0, int_stack+363125, 0.0, zero_stack, 1.0, int_stack+389125, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+116112,int_stack+115524, 0.0, zero_stack, 1.0, int_stack+363566, 0.0, zero_stack, 1.0, int_stack+389566, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+501619,int_stack+92547, 0.0, zero_stack, 1.0, int_stack+562939, 0.0, zero_stack, 1.0, int_stack+662983, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+92547,int_stack+116868,int_stack+116112, 0.0, zero_stack, 1.0, int_stack+364154, 0.0, zero_stack, 1.0, int_stack+390154, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+98217,int_stack+92547,int_stack+501619, 0.0, zero_stack, 1.0, int_stack+564262, 0.0, zero_stack, 1.0, int_stack+664306, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+101745,int_stack+98217,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+570229, 0.0, zero_stack, 1.0, int_stack+670273, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+106155,int_stack+101745,int_stack+95067,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+118401,int_stack+117813, 0.0, zero_stack, 1.0, int_stack+164173, 0.0, zero_stack, 1.0, int_stack+185573, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+119185,int_stack+118401, 0.0, zero_stack, 1.0, int_stack+165349, 0.0, zero_stack, 1.0, int_stack+186749, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 0.0, zero_stack, 1.0, int_stack+587887, 0.0, zero_stack, 1.0, int_stack+687931, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+92547,int_stack+120193,int_stack+119185, 0.0, zero_stack, 1.0, int_stack+166917, 0.0, zero_stack, 1.0, int_stack+188317, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+95571,int_stack+92547,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+589651, 0.0, zero_stack, 1.0, int_stack+689695, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+56259,int_stack+95571,int_stack+950053, 0.0, zero_stack, 1.0, int_stack+607543, 0.0, zero_stack, 1.0, int_stack+707587, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1136911,int_stack+56259,int_stack+101745,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+121768,int_stack+121453, 0.0, zero_stack, 1.0, int_stack+372225, 1.0, int_stack+385225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+56259,int_stack+122188,int_stack+121768, 0.0, zero_stack, 1.0, int_stack+372540, 1.0, int_stack+385540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+57519,int_stack+56259,int_stack+449025, 0.0, zero_stack, 1.0, int_stack+364910, 1.0, int_stack+377910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+59409,int_stack+122728,int_stack+122188, 0.0, zero_stack, 1.0, int_stack+372960, 1.0, int_stack+385960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+61029,int_stack+59409,int_stack+56259, 0.0, zero_stack, 1.0, int_stack+2520, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+61029,int_stack+57519, 0.0, zero_stack, 1.0, int_stack+611071, 1.0, int_stack+661093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56259,int_stack+123844,int_stack+123403, 0.0, zero_stack, 1.0, int_stack+376125, 1.0, int_stack+389125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+124432,int_stack+123844, 0.0, zero_stack, 1.0, int_stack+376566, 1.0, int_stack+389566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+57582,int_stack+501619,int_stack+56259, 0.0, zero_stack, 1.0, int_stack+612961, 1.0, int_stack+662983, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+60228,int_stack+125188,int_stack+124432, 0.0, zero_stack, 1.0, int_stack+377154, 1.0, int_stack+390154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+92547,int_stack+60228,int_stack+501619, 0.0, zero_stack, 1.0, int_stack+614284, 1.0, int_stack+664306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+96075,int_stack+92547,int_stack+57582, 0.0, zero_stack, 1.0, int_stack+620251, 1.0, int_stack+670273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+115605,int_stack+96075,int_stack+947701,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+126721,int_stack+126133, 0.0, zero_stack, 1.0, int_stack+174873, 1.0, int_stack+185573, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+127505,int_stack+126721, 0.0, zero_stack, 1.0, int_stack+176049, 1.0, int_stack+186749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 0.0, zero_stack, 1.0, int_stack+637909, 1.0, int_stack+687931, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+92547,int_stack+128513,int_stack+127505, 0.0, zero_stack, 1.0, int_stack+177617, 1.0, int_stack+188317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+56259,int_stack+92547,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+639673, 1.0, int_stack+689695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+29421,int_stack+56259,int_stack+950053, 0.0, zero_stack, 1.0, int_stack+657565, 1.0, int_stack+707587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1150141,int_stack+29421,int_stack+96075,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+130088,int_stack+129773, 0.0, zero_stack, 2.0, int_stack+385225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29421,int_stack+130508,int_stack+130088, 0.0, zero_stack, 2.0, int_stack+385540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30681,int_stack+29421,int_stack+449025, 0.0, zero_stack, 2.0, int_stack+377910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32571,int_stack+131048,int_stack+130508, 0.0, zero_stack, 2.0, int_stack+385960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34191,int_stack+32571,int_stack+29421, 0.0, zero_stack, 2.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+56259,int_stack+34191,int_stack+30681, 0.0, zero_stack, 2.0, int_stack+661093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29421,int_stack+132164,int_stack+131723, 0.0, zero_stack, 2.0, int_stack+389125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+132752,int_stack+132164, 0.0, zero_stack, 2.0, int_stack+389566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30744,int_stack+501619,int_stack+29421, 0.0, zero_stack, 2.0, int_stack+662983, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+33390,int_stack+133508,int_stack+132752, 0.0, zero_stack, 2.0, int_stack+390154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+59409,int_stack+33390,int_stack+501619, 0.0, zero_stack, 2.0, int_stack+664306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+59409,int_stack+30744, 0.0, zero_stack, 2.0, int_stack+670273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+92547,int_stack+947701,int_stack+56259,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+135041,int_stack+134453, 0.0, zero_stack, 2.0, int_stack+185573, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+56259,int_stack+135825,int_stack+135041, 0.0, zero_stack, 2.0, int_stack+186749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+58611,int_stack+56259,int_stack+501619, 0.0, zero_stack, 2.0, int_stack+687931, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29421,int_stack+136833,int_stack+135825, 0.0, zero_stack, 2.0, int_stack+188317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+32445,int_stack+29421,int_stack+56259, 0.0, zero_stack, 2.0, int_stack+689695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+125055,int_stack+32445,int_stack+58611, 0.0, zero_stack, 2.0, int_stack+707587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1163371,int_stack+125055,int_stack+947701,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+138408,int_stack+138093, 1.0, int_stack+333225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398225,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+138828,int_stack+138408, 1.0, int_stack+333540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398540,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 1.0, int_stack+460435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390910,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+139368,int_stack+138828, 1.0, int_stack+333960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398960,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+125055,int_stack+950851,int_stack+947701, 1.0, int_stack+461380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5040,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+127575,int_stack+125055,int_stack+948961, 1.0, int_stack+462640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+711115,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125055,int_stack+140484,int_stack+140043, 1.0, int_stack+337125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+402566,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+141072,int_stack+140484, 1.0, int_stack+337566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+403595,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+501619,int_stack+125055, 1.0, int_stack+474466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+713005,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+125055,int_stack+141828,int_stack+141072, 1.0, int_stack+338154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404939,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+130725,int_stack+125055,int_stack+501619, 1.0, int_stack+475789, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+714328,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+134253,int_stack+130725,int_stack+947701, 1.0, int_stack+477553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+720295,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1176601,int_stack+134253,int_stack+127575,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+144733,int_stack+143361, 1.0, int_stack+142773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196861,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+146525,int_stack+144733, 1.0, int_stack+143949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198821,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+501619, 1.0, int_stack+503383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737953,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+501619,int_stack+147533,int_stack+146525, 1.0, int_stack+145517, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200389,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+125055,int_stack+501619,int_stack+947701, 1.0, int_stack+505147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+739717,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+501619,int_stack+125055,int_stack+950053, 1.0, int_stack+507499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+757609,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1186051,int_stack+501619,int_stack+134253,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+149108,int_stack+148793, 1.0, int_stack+346225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398225, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+501619,int_stack+149528,int_stack+149108, 1.0, int_stack+346540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398540, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+502879,int_stack+501619,int_stack+449025, 1.0, int_stack+338910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390910, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+504769,int_stack+150068,int_stack+149528, 1.0, int_stack+346960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398960, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+506389,int_stack+504769,int_stack+501619, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+125055,int_stack+506389,int_stack+502879, 1.0, int_stack+511027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+711115, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+501619,int_stack+151184,int_stack+150743, 1.0, int_stack+350125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+402566, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+502942,int_stack+151772,int_stack+151184, 1.0, int_stack+350566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+403595, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+504706,int_stack+502942,int_stack+501619, 1.0, int_stack+512917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+713005, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+507352,int_stack+152528,int_stack+151772, 1.0, int_stack+351154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404939, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+509620,int_stack+507352,int_stack+502942, 1.0, int_stack+514240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+714328, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+128205,int_stack+509620,int_stack+504706, 1.0, int_stack+520207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+720295, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+501619,int_stack+128205,int_stack+125055,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125055,int_stack+155433,int_stack+154061, 1.0, int_stack+153473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196861, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+520207,int_stack+157225,int_stack+155433, 1.0, int_stack+154649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198821, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+511069,int_stack+520207,int_stack+125055, 1.0, int_stack+537865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737953, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+125055,int_stack+158233,int_stack+157225, 1.0, int_stack+156217, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200389, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+132615,int_stack+125055,int_stack+520207, 1.0, int_stack+539629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+739717, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+132615,int_stack+511069, 1.0, int_stack+557521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+757609, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+132615,int_stack+947701,int_stack+128205,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+159808,int_stack+159493, 1.0, int_stack+359225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398225, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+160228,int_stack+159808, 1.0, int_stack+359540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398540, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+0,int_stack+449025, 1.0, int_stack+351910, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+390910, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+949591,int_stack+160768,int_stack+160228, 1.0, int_stack+359960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+398960, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+557521,int_stack+949591,int_stack+0, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+949591,int_stack+557521,int_stack+947701, 1.0, int_stack+561049, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+711115, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+947701,int_stack+161884,int_stack+161443, 1.0, int_stack+363125, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+402566, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+557521,int_stack+162472,int_stack+161884, 1.0, int_stack+363566, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+403595, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+559285,int_stack+557521,int_stack+947701, 1.0, int_stack+562939, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+713005, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+561931,int_stack+163228,int_stack+162472, 1.0, int_stack+364154, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404939, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+511069,int_stack+561931,int_stack+557521, 1.0, int_stack+564262, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+714328, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+561931,int_stack+511069,int_stack+559285, 1.0, int_stack+570229, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+720295, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+145845,int_stack+561931,int_stack+949591,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+570229,int_stack+166133,int_stack+164761, 1.0, int_stack+164173, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196861, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+571993,int_stack+167925,int_stack+166133, 1.0, int_stack+165349, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+198821, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+511069,int_stack+571993,int_stack+570229, 1.0, int_stack+587887, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737953, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+557521,int_stack+168933,int_stack+167925, 1.0, int_stack+166917, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200389, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+557521,int_stack+571993, 1.0, int_stack+589651, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+739717, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+947701,int_stack+511069, 1.0, int_stack+607543, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+757609, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1199281,int_stack+155295,int_stack+561931,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+170508,int_stack+170193, 1.0, int_stack+372225, 0.0, zero_stack, 1.0, int_stack+398225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+170928,int_stack+170508, 1.0, int_stack+372540, 0.0, zero_stack, 1.0, int_stack+398540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+156555,int_stack+155295,int_stack+449025, 1.0, int_stack+364910, 0.0, zero_stack, 1.0, int_stack+390910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+158445,int_stack+171468,int_stack+170928, 1.0, int_stack+372960, 0.0, zero_stack, 1.0, int_stack+398960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+158445,int_stack+155295, 1.0, int_stack+2520, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+158445,int_stack+0,int_stack+156555, 1.0, int_stack+611071, 0.0, zero_stack, 1.0, int_stack+711115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+172584,int_stack+172143, 1.0, int_stack+376125, 0.0, zero_stack, 1.0, int_stack+402566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1323,int_stack+173172,int_stack+172584, 1.0, int_stack+376566, 0.0, zero_stack, 1.0, int_stack+403595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+155295,int_stack+1323,int_stack+0, 1.0, int_stack+612961, 0.0, zero_stack, 1.0, int_stack+713005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+161595,int_stack+173928,int_stack+173172, 1.0, int_stack+377154, 0.0, zero_stack, 1.0, int_stack+404939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+163863,int_stack+161595,int_stack+1323, 1.0, int_stack+614284, 0.0, zero_stack, 1.0, int_stack+714328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167391,int_stack+163863,int_stack+155295, 1.0, int_stack+620251, 0.0, zero_stack, 1.0, int_stack+720295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+607543,int_stack+167391,int_stack+158445,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+620251,int_stack+176833,int_stack+175461, 1.0, int_stack+174873, 0.0, zero_stack, 1.0, int_stack+196861, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+622015,int_stack+178625,int_stack+176833, 1.0, int_stack+176049, 0.0, zero_stack, 1.0, int_stack+198821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+155295,int_stack+622015,int_stack+620251, 1.0, int_stack+637909, 0.0, zero_stack, 1.0, int_stack+737953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+158823,int_stack+179633,int_stack+178625, 1.0, int_stack+177617, 0.0, zero_stack, 1.0, int_stack+200389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+161847,int_stack+158823,int_stack+622015, 1.0, int_stack+639673, 0.0, zero_stack, 1.0, int_stack+739717, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+161847,int_stack+155295, 1.0, int_stack+657565, 0.0, zero_stack, 1.0, int_stack+757609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1212511,int_stack+947701,int_stack+167391,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+181208,int_stack+180893, 1.0, int_stack+385225, 1.0, int_stack+398225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+181628,int_stack+181208, 1.0, int_stack+385540, 1.0, int_stack+398540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 1.0, int_stack+377910, 1.0, int_stack+390910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+182168,int_stack+181628, 1.0, int_stack+385960, 1.0, int_stack+398960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+657565,int_stack+950851,int_stack+947701, 1.0, int_stack+3780, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+657565,int_stack+948961, 1.0, int_stack+661093, 1.0, int_stack+711115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+657565,int_stack+183284,int_stack+182843, 1.0, int_stack+389125, 1.0, int_stack+402566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+658888,int_stack+183872,int_stack+183284, 1.0, int_stack+389566, 1.0, int_stack+403595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+658888,int_stack+657565, 1.0, int_stack+662983, 1.0, int_stack+713005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+660652,int_stack+184628,int_stack+183872, 1.0, int_stack+390154, 1.0, int_stack+404939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+158445,int_stack+660652,int_stack+658888, 1.0, int_stack+664306, 1.0, int_stack+714328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+657565,int_stack+158445,int_stack+947701, 1.0, int_stack+670273, 1.0, int_stack+720295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+158445,int_stack+657565,int_stack+155295,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+187533,int_stack+186161, 1.0, int_stack+185573, 1.0, int_stack+196861, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+670273,int_stack+189325,int_stack+187533, 1.0, int_stack+186749, 1.0, int_stack+198821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+670273,int_stack+155295, 1.0, int_stack+687931, 1.0, int_stack+737953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+190333,int_stack+189325, 1.0, int_stack+188317, 1.0, int_stack+200389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+155295,int_stack+670273, 1.0, int_stack+689695, 1.0, int_stack+739717, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+172599,int_stack+167895,int_stack+947701, 1.0, int_stack+707587, 1.0, int_stack+757609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1225741,int_stack+172599,int_stack+657565,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+191908,int_stack+191593, 2.0, int_stack+398225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+657565,int_stack+192328,int_stack+191908, 2.0, int_stack+398540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+658825,int_stack+657565,int_stack+449025, 2.0, int_stack+390910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+660715,int_stack+192868,int_stack+192328, 2.0, int_stack+398960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+662335,int_stack+660715,int_stack+657565, 2.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+662335,int_stack+658825, 2.0, int_stack+711115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+657565,int_stack+193984,int_stack+193543, 2.0, int_stack+402566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+658888,int_stack+194572,int_stack+193984, 2.0, int_stack+403595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+660652,int_stack+658888,int_stack+657565, 2.0, int_stack+713005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+663298,int_stack+195328,int_stack+194572, 2.0, int_stack+404939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+707587,int_stack+663298,int_stack+658888, 2.0, int_stack+714328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+711115,int_stack+707587,int_stack+660652, 2.0, int_stack+720295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+657565,int_stack+711115,int_stack+155295,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+199605,int_stack+197449, 2.0, int_stack+196861, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+720295,int_stack+201397,int_stack+199605, 2.0, int_stack+198821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+707587,int_stack+720295,int_stack+155295, 2.0, int_stack+737953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+202405,int_stack+201397, 2.0, int_stack+200389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+155295,int_stack+720295, 2.0, int_stack+739717, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+707587, 2.0, int_stack+757609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+173775,int_stack+167895,int_stack+711115,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+203980,int_stack+203665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415390,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167895,int_stack+204400,int_stack+203980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415705,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+169155,int_stack+167895,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11088,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+171045,int_stack+204940,int_stack+204400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+416125,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+757609,int_stack+171045,int_stack+167895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+471820,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+757609,int_stack+169155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+761137,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+757609,int_stack+206056,int_stack+205615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419290,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+758932,int_stack+206644,int_stack+206056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419731,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167895,int_stack+758932,int_stack+757609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+769075,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+170541,int_stack+207400,int_stack+206644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+420319,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+707587,int_stack+170541,int_stack+758932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6300,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+711115,int_stack+707587,int_stack+167895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+480199,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+187005,int_stack+711115,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+468670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+208933,int_stack+208345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249945,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167895,int_stack+209717,int_stack+208933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+251121,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+170247,int_stack+167895,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+464530,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+210725,int_stack+209717, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252689,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+155295,int_stack+167895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+466294,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+196455,int_stack+947701,int_stack+170247, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+456340,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1238971,int_stack+196455,int_stack+711115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+485995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+212300,int_stack+211985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415390, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196455,int_stack+212720,int_stack+212300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415705, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+197715,int_stack+196455,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11088, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+199605,int_stack+213260,int_stack+212720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+416125, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201225,int_stack+199605,int_stack+196455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+471820, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+201225,int_stack+197715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+761137, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+196455,int_stack+214376,int_stack+213935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419290, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+197778,int_stack+214964,int_stack+214376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419731, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+199542,int_stack+197778,int_stack+196455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+769075, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202188,int_stack+215720,int_stack+214964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+420319, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+757609,int_stack+202188,int_stack+197778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6300, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+202188,int_stack+757609,int_stack+199542, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+480199, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+206598,int_stack+202188,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+517057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+217253,int_stack+216665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249945, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+757609,int_stack+218037,int_stack+217253, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+251121, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+196455,int_stack+757609,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+464530, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+219045,int_stack+218037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252689, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+155295,int_stack+757609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+466294, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+196455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+456340, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1252201,int_stack+167895,int_stack+202188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+543661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+220620,int_stack+220305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415390, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167895,int_stack+221040,int_stack+220620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415705, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+169155,int_stack+167895,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11088, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+171045,int_stack+221580,int_stack+221040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+416125, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+196455,int_stack+171045,int_stack+167895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+471820, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+196455,int_stack+169155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+761137, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+196455,int_stack+222696,int_stack+222255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419290, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+197778,int_stack+223284,int_stack+222696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419731, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+199542,int_stack+197778,int_stack+196455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+769075, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202188,int_stack+224040,int_stack+223284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+420319, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+757609,int_stack+202188,int_stack+197778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6300, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+202188,int_stack+757609,int_stack+199542, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+480199, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+707587,int_stack+202188,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+567079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+225573,int_stack+224985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249945, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+757609,int_stack+226357,int_stack+225573, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+251121, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+196455,int_stack+757609,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+464530, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+227365,int_stack+226357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252689, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+155295,int_stack+757609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+466294, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+167895,int_stack+196455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+456340, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1265431,int_stack+947701,int_stack+202188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+593683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+228940,int_stack+228625, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+229360,int_stack+228940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+415705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+229900,int_stack+229360, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+416125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+196455,int_stack+950851,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+471820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+196455,int_stack+948961, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+761137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+196455,int_stack+231016,int_stack+230575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+197778,int_stack+231604,int_stack+231016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+199542,int_stack+197778,int_stack+196455, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+769075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202188,int_stack+232360,int_stack+231604, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+420319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+757609,int_stack+202188,int_stack+197778, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+202188,int_stack+757609,int_stack+199542, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+480199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+216048,int_stack+202188,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+617101, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+233893,int_stack+233305, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+757609,int_stack+234677,int_stack+233893, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+251121, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+196455,int_stack+757609,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+464530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+235685,int_stack+234677, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+155295,int_stack+757609, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+466294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+196455, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1278661,int_stack+167895,int_stack+202188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+643705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+237260,int_stack+236945, 0.0, zero_stack, 1.0, int_stack+415390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167895,int_stack+237680,int_stack+237260, 0.0, zero_stack, 1.0, int_stack+415705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+169155,int_stack+167895,int_stack+449025, 0.0, zero_stack, 1.0, int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+171045,int_stack+238220,int_stack+237680, 0.0, zero_stack, 1.0, int_stack+416125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+196455,int_stack+171045,int_stack+167895, 0.0, zero_stack, 1.0, int_stack+471820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+196455,int_stack+169155, 0.0, zero_stack, 1.0, int_stack+761137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+196455,int_stack+239336,int_stack+238895, 0.0, zero_stack, 1.0, int_stack+419290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+197778,int_stack+239924,int_stack+239336, 0.0, zero_stack, 1.0, int_stack+419731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+199542,int_stack+197778,int_stack+196455, 0.0, zero_stack, 1.0, int_stack+769075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202188,int_stack+240680,int_stack+239924, 0.0, zero_stack, 1.0, int_stack+420319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+757609,int_stack+202188,int_stack+197778, 0.0, zero_stack, 1.0, int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+202188,int_stack+757609,int_stack+199542, 0.0, zero_stack, 1.0, int_stack+480199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+225498,int_stack+202188,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+667123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+242213,int_stack+241625, 0.0, zero_stack, 1.0, int_stack+249945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+757609,int_stack+242997,int_stack+242213, 0.0, zero_stack, 1.0, int_stack+251121, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+196455,int_stack+757609,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+464530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+244005,int_stack+242997, 0.0, zero_stack, 1.0, int_stack+252689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+155295,int_stack+757609, 0.0, zero_stack, 1.0, int_stack+466294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+167895,int_stack+196455, 0.0, zero_stack, 1.0, int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1291891,int_stack+947701,int_stack+202188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+245580,int_stack+245265, 1.0, int_stack+415390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+246000,int_stack+245580, 1.0, int_stack+415705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 1.0, int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11088,int_stack+246540,int_stack+246000, 1.0, int_stack+416125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12708,int_stack+11088,int_stack+947701, 1.0, int_stack+471820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+12708,int_stack+948961, 1.0, int_stack+761137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+471820,int_stack+247656,int_stack+247215, 1.0, int_stack+419290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+473143,int_stack+248244,int_stack+247656, 1.0, int_stack+419731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+474907,int_stack+473143,int_stack+471820, 1.0, int_stack+769075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+477553,int_stack+249000,int_stack+248244, 1.0, int_stack+420319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+477553,int_stack+473143, 1.0, int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+11088,int_stack+947701,int_stack+474907, 1.0, int_stack+480199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+471820,int_stack+11088,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+717145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+251905,int_stack+250533, 1.0, int_stack+249945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+253697,int_stack+251905, 1.0, int_stack+251121, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+155295, 1.0, int_stack+464530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+254705,int_stack+253697, 1.0, int_stack+252689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+196455,int_stack+155295,int_stack+947701, 1.0, int_stack+466294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+196455,int_stack+950053, 1.0, int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+757609,int_stack+167895,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+743749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+256280,int_stack+255965,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+11088,int_stack+256700,int_stack+256280,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+12348,int_stack+11088,int_stack+449025,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+14238,int_stack+257240,int_stack+256700,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+15858,int_stack+14238,int_stack+11088,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+15858,int_stack+12348,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+11088,int_stack+258356,int_stack+257915,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+12411,int_stack+258944,int_stack+258356,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+14175,int_stack+12411,int_stack+11088,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+16821,int_stack+259700,int_stack+258944,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+16821,int_stack+12411,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+456340,int_stack+167895,int_stack+14175,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+196455,int_stack+456340,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+771595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+261233,int_stack+260645,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167895,int_stack+262017,int_stack+261233,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+170247,int_stack+167895,int_stack+155295,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+263025,int_stack+262017,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+11088,int_stack+155295,int_stack+167895,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+11088,int_stack+170247,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+234948,int_stack+947701,int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+797425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+264600,int_stack+264285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+428390,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+456340,int_stack+265020,int_stack+264600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+428705,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+457600,int_stack+456340,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+421075,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+459490,int_stack+265560,int_stack+265020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+429125,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+461110,int_stack+459490,int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+811285,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+461110,int_stack+457600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+812545,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+456340,int_stack+266676,int_stack+266235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+432290,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+457663,int_stack+267264,int_stack+266676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+432731,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+459427,int_stack+457663,int_stack+456340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+814435,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+462073,int_stack+268020,int_stack+267264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+433319,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+464341,int_stack+462073,int_stack+457663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8064,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+464341,int_stack+459427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+815758,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+456340,int_stack+947701,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+468670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+269553,int_stack+268965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310565,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+465790,int_stack+270337,int_stack+269553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+311741,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11088,int_stack+465790,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+835099,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+271345,int_stack+270337, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313309,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14616,int_stack+155295,int_stack+465790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+818404,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+14616,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+852487,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+248178,int_stack+167895,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+485995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+272920,int_stack+272605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+428390, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+273340,int_stack+272920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+428705, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+421075, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+273880,int_stack+273340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+429125, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+950851,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+811285, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+167895,int_stack+948961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+812545, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+167895,int_stack+274996,int_stack+274555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+432290, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+169218,int_stack+275584,int_stack+274996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+432731, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+170982,int_stack+169218,int_stack+167895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+814435, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+947701,int_stack+276340,int_stack+275584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+433319, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+949969,int_stack+947701,int_stack+169218, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8064, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+11088,int_stack+949969,int_stack+170982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+815758, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+261408,int_stack+11088,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+517057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+277873,int_stack+277285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310565, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+278657,int_stack+277873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+311741, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+835099, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+279665,int_stack+278657, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313309, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+155295,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+818404, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+167895,int_stack+950053, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+852487, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1305121,int_stack+270858,int_stack+11088, 0.0, zero_stack, 1.0, int_stack+543661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+281240,int_stack+280925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+428390, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+11088,int_stack+281660,int_stack+281240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+428705, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12348,int_stack+11088,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+421075, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+14238,int_stack+282200,int_stack+281660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+429125, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+15858,int_stack+14238,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+811285, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+15858,int_stack+12348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+812545, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11088,int_stack+283316,int_stack+282875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+432290, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12411,int_stack+283904,int_stack+283316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+432731, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14175,int_stack+12411,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+814435, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16821,int_stack+284660,int_stack+283904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+433319, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+270858,int_stack+16821,int_stack+12411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8064, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+274386,int_stack+270858,int_stack+14175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+815758, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+557521,int_stack+274386,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+567079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+286193,int_stack+285605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310565, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+270858,int_stack+286977,int_stack+286193, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+311741, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11088,int_stack+270858,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+835099, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+287985,int_stack+286977, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313309, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14616,int_stack+155295,int_stack+270858, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+818404, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+14616,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+852487, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1318351,int_stack+167895,int_stack+274386, 0.0, zero_stack, 1.0, int_stack+593683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+289560,int_stack+289245, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+428390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167895,int_stack+289980,int_stack+289560, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+428705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+169155,int_stack+167895,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+421075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+171045,int_stack+290520,int_stack+289980, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+429125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11088,int_stack+171045,int_stack+167895, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+811285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+11088,int_stack+169155, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+812545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11088,int_stack+291636,int_stack+291195, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+432290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12411,int_stack+292224,int_stack+291636, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+432731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14175,int_stack+12411,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+814435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16821,int_stack+292980,int_stack+292224, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+433319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+16821,int_stack+12411, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+167895,int_stack+14175, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+815758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+275268,int_stack+270858,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+617101, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+294513,int_stack+293925, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167895,int_stack+295297,int_stack+294513, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+311741, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+170247,int_stack+167895,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+296305,int_stack+295297, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11088,int_stack+155295,int_stack+167895, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+818404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+11088,int_stack+170247, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+852487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1331581,int_stack+947701,int_stack+270858, 0.0, zero_stack, 1.0, int_stack+643705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+297880,int_stack+297565, 0.0, zero_stack, 1.0, int_stack+428390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+270858,int_stack+298300,int_stack+297880, 0.0, zero_stack, 1.0, int_stack+428705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+272118,int_stack+270858,int_stack+449025, 0.0, zero_stack, 1.0, int_stack+421075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+947701,int_stack+298840,int_stack+298300, 0.0, zero_stack, 1.0, int_stack+429125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+949321,int_stack+947701,int_stack+270858, 0.0, zero_stack, 1.0, int_stack+811285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+949321,int_stack+272118, 0.0, zero_stack, 1.0, int_stack+812545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+270858,int_stack+299956,int_stack+299515, 0.0, zero_stack, 1.0, int_stack+432290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+272181,int_stack+300544,int_stack+299956, 0.0, zero_stack, 1.0, int_stack+432731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947701,int_stack+272181,int_stack+270858, 0.0, zero_stack, 1.0, int_stack+814435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950347,int_stack+301300,int_stack+300544, 0.0, zero_stack, 1.0, int_stack+433319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11088,int_stack+950347,int_stack+272181, 0.0, zero_stack, 1.0, int_stack+8064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+11088,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+815758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+284718,int_stack+270858,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+667123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+302833,int_stack+302245, 0.0, zero_stack, 1.0, int_stack+310565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+303617,int_stack+302833, 0.0, zero_stack, 1.0, int_stack+311741, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+950053,int_stack+947701,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+304625,int_stack+303617, 0.0, zero_stack, 1.0, int_stack+313309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11088,int_stack+155295,int_stack+947701, 0.0, zero_stack, 1.0, int_stack+818404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+11088,int_stack+950053, 0.0, zero_stack, 1.0, int_stack+852487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1344811,int_stack+167895,int_stack+270858, 0.0, zero_stack, 1.0, int_stack+693727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+306200,int_stack+305885, 1.0, int_stack+428390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+270858,int_stack+306620,int_stack+306200, 1.0, int_stack+428705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+272118,int_stack+270858,int_stack+449025, 1.0, int_stack+421075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+307160,int_stack+306620, 1.0, int_stack+429125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169515,int_stack+167895,int_stack+270858, 1.0, int_stack+811285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+169515,int_stack+272118, 1.0, int_stack+812545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+811285,int_stack+308276,int_stack+307835, 1.0, int_stack+432290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+812608,int_stack+308864,int_stack+308276, 1.0, int_stack+432731, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+270858,int_stack+812608,int_stack+811285, 1.0, int_stack+814435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+309620,int_stack+308864, 1.0, int_stack+433319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+170163,int_stack+167895,int_stack+812608, 1.0, int_stack+8064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+811285,int_stack+170163,int_stack+270858, 1.0, int_stack+815758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+294168,int_stack+811285,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+717145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+312525,int_stack+311153, 1.0, int_stack+310565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+270858,int_stack+314317,int_stack+312525, 1.0, int_stack+311741, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167895,int_stack+270858,int_stack+155295, 1.0, int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+315325,int_stack+314317, 1.0, int_stack+313309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11088,int_stack+155295,int_stack+270858, 1.0, int_stack+818404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+11088,int_stack+167895, 1.0, int_stack+852487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1358041,int_stack+947701,int_stack+811285, 0.0, zero_stack, 1.0, int_stack+743749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+316900,int_stack+316585,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+811285,int_stack+317320,int_stack+316900,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+812545,int_stack+811285,int_stack+449025,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+814435,int_stack+317860,int_stack+317320,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+816055,int_stack+814435,int_stack+811285,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+816055,int_stack+812545,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+811285,int_stack+318976,int_stack+318535,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+319564,int_stack+318976,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+812608,int_stack+835099,int_stack+811285,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+815254,int_stack+320320,int_stack+319564,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+852487,int_stack+815254,int_stack+835099,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+852487,int_stack+812608,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+811285,int_stack+270858,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+771595, 1.0, int_stack+482845, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+835099,int_stack+321853,int_stack+321265,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+322637,int_stack+321853,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+852487,int_stack+155295,int_stack+835099,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+947701,int_stack+323645,int_stack+322637,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+155295,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+167895,int_stack+852487,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+303618,int_stack+947701,int_stack+270858, 0.0, zero_stack, 1.0, int_stack+797425, 1.0, int_stack+838627, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+325220,int_stack+324905,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+270858,int_stack+325640,int_stack+325220,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+272118,int_stack+270858,int_stack+449025,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+947701,int_stack+326180,int_stack+325640,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+949321,int_stack+947701,int_stack+270858,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+949321,int_stack+272118,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+270858,int_stack+327296,int_stack+326855,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+327884,int_stack+327296,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+272181,int_stack+835099,int_stack+270858,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+947701,int_stack+328640,int_stack+327884,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+852487,int_stack+947701,int_stack+835099,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+852487,int_stack+272181,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+316848,int_stack+947701,int_stack+155295, 0.0, zero_stack, 2.0, int_stack+482845, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+835099,int_stack+330173,int_stack+329585,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+330957,int_stack+330173,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+852487,int_stack+155295,int_stack+835099,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+270858,int_stack+331965,int_stack+330957,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+270858,int_stack+155295,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+11088,int_stack+167895,int_stack+852487,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1371271,int_stack+11088,int_stack+947701, 0.0, zero_stack, 2.0, int_stack+838627, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+335490,int_stack+335175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+443340,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+947701,int_stack+335910,int_stack+335490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+443655,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+948961,int_stack+947701,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+434075,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950851,int_stack+336450,int_stack+335910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+444075,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11088,int_stack+950851,int_stack+947701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9828,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+11088,int_stack+948961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+856015,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11088,int_stack+340296,int_stack+339855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+447240,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+340884,int_stack+340296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+447681,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12411,int_stack+835099,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+857905,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+15057,int_stack+341640,int_stack+340884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+448269,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+852487,int_stack+15057,int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+836863,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+852487,int_stack+12411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+859228,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+326298,int_stack+270858,int_stack+155295, 1.0, int_stack+468670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+835099,int_stack+343173,int_stack+342585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+409370,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+343957,int_stack+343173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+410546,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+852487,int_stack+155295,int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11088,int_stack+344965,int_stack+343957, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+412114,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14112,int_stack+11088,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+892303,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+14112,int_stack+852487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+894655,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1384501,int_stack+947701,int_stack+270858, 1.0, int_stack+485995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+348490,int_stack+348175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+443340, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+485995,int_stack+348910,int_stack+348490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+443655, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+487255,int_stack+485995,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+434075, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+270858,int_stack+349450,int_stack+348910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+444075, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+272478,int_stack+270858,int_stack+485995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9828, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+272478,int_stack+487255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+856015, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+485995,int_stack+353296,int_stack+352855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+447240, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+353884,int_stack+353296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+447681, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+487318,int_stack+835099,int_stack+485995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+857905, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+270858,int_stack+354640,int_stack+353884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+448269, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+852487,int_stack+270858,int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+836863, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+852487,int_stack+487318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+859228, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+335748,int_stack+270858,int_stack+155295, 1.0, int_stack+517057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+835099,int_stack+356173,int_stack+355585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+409370, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+356957,int_stack+356173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+410546, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+852487,int_stack+155295,int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+485995,int_stack+357965,int_stack+356957, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+412114, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+485995,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+892303, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+852487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+894655, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+345198,int_stack+167895,int_stack+270858, 1.0, int_stack+543661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+361490,int_stack+361175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+443340, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+270858,int_stack+361910,int_stack+361490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+443655, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+272118,int_stack+270858,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+434075, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+362450,int_stack+361910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+444075, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169515,int_stack+167895,int_stack+270858, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9828, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+169515,int_stack+272118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+856015, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+270858,int_stack+366296,int_stack+365855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+447240, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+366884,int_stack+366296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+447681, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+272181,int_stack+835099,int_stack+270858, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+857905, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+367640,int_stack+366884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+448269, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+852487,int_stack+167895,int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+836863, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+485995,int_stack+852487,int_stack+272181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+859228, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+358428,int_stack+485995,int_stack+155295, 1.0, int_stack+567079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+835099,int_stack+369173,int_stack+368585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+409370, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+369957,int_stack+369173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+410546, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+852487,int_stack+155295,int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+370965,int_stack+369957, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+412114, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+167895,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+892303, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+852487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+894655, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+511069,int_stack+167895,int_stack+485995, 1.0, int_stack+593683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+374490,int_stack+374175, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+443340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+485995,int_stack+374910,int_stack+374490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+487255,int_stack+485995,int_stack+449025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+434075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+375450,int_stack+374910, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+444075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169515,int_stack+167895,int_stack+485995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+169515,int_stack+487255, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+856015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+485995,int_stack+379296,int_stack+378855, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+447240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+379884,int_stack+379296, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+447681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+487318,int_stack+835099,int_stack+485995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+857905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+380640,int_stack+379884, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+448269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+852487,int_stack+167895,int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+836863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+852487,int_stack+487318, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+859228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+367878,int_stack+270858,int_stack+155295, 1.0, int_stack+617101, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+835099,int_stack+382173,int_stack+381585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+409370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+382957,int_stack+382173, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+410546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+852487,int_stack+155295,int_stack+835099, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+383965,int_stack+382957, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+412114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+167895,int_stack+155295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+892303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+852487, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+894655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1397731,int_stack+167895,int_stack+270858, 1.0, int_stack+643705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+387490,int_stack+387175, 0.0, zero_stack, 1.0, int_stack+443340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+270858,int_stack+387910,int_stack+387490, 0.0, zero_stack, 1.0, int_stack+443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+272118,int_stack+270858,int_stack+449025, 0.0, zero_stack, 1.0, int_stack+434075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+388450,int_stack+387910, 0.0, zero_stack, 1.0, int_stack+444075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169515,int_stack+167895,int_stack+270858, 0.0, zero_stack, 1.0, int_stack+9828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+169515,int_stack+272118, 0.0, zero_stack, 1.0, int_stack+856015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+270858,int_stack+392296,int_stack+391855, 0.0, zero_stack, 1.0, int_stack+447240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+392884,int_stack+392296, 0.0, zero_stack, 1.0, int_stack+447681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+272181,int_stack+835099,int_stack+270858, 0.0, zero_stack, 1.0, int_stack+857905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+393640,int_stack+392884, 0.0, zero_stack, 1.0, int_stack+448269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+852487,int_stack+167895,int_stack+835099, 0.0, zero_stack, 1.0, int_stack+836863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+485995,int_stack+852487,int_stack+272181, 0.0, zero_stack, 1.0, int_stack+859228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+377328,int_stack+485995,int_stack+155295, 1.0, int_stack+667123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+835099,int_stack+395173,int_stack+394585, 0.0, zero_stack, 1.0, int_stack+409370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+395957,int_stack+395173, 0.0, zero_stack, 1.0, int_stack+410546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+852487,int_stack+155295,int_stack+835099, 0.0, zero_stack, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+396965,int_stack+395957, 0.0, zero_stack, 1.0, int_stack+412114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+167895,int_stack+155295, 0.0, zero_stack, 1.0, int_stack+892303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+852487, 0.0, zero_stack, 1.0, int_stack+894655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+386778,int_stack+167895,int_stack+485995, 1.0, int_stack+693727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+449025,int_stack+400490,int_stack+400175, 1.0, int_stack+443340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+485995,int_stack+400910,int_stack+400490, 1.0, int_stack+443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+487255,int_stack+485995,int_stack+449025, 1.0, int_stack+434075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+401450,int_stack+400910, 1.0, int_stack+444075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169515,int_stack+167895,int_stack+485995, 1.0, int_stack+9828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+169515,int_stack+487255, 1.0, int_stack+856015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+485995,int_stack+407081,int_stack+406640, 1.0, int_stack+447240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+407669,int_stack+407081, 1.0, int_stack+447681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+487318,int_stack+835099,int_stack+485995, 1.0, int_stack+857905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167895,int_stack+408425,int_stack+407669, 1.0, int_stack+448269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+170163,int_stack+167895,int_stack+835099, 1.0, int_stack+836863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+170163,int_stack+487318, 1.0, int_stack+859228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+852487,int_stack+270858,int_stack+155295, 1.0, int_stack+717145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+155295,int_stack+411330,int_stack+409958, 1.0, int_stack+409370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+835099,int_stack+413122,int_stack+411330, 1.0, int_stack+410546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167895,int_stack+835099,int_stack+155295, 1.0, int_stack+499855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+155295,int_stack+414130,int_stack+413122, 1.0, int_stack+412114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+155295,int_stack+835099, 1.0, int_stack+892303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+400008,int_stack+947701,int_stack+167895, 1.0, int_stack+894655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+0,int_stack+400008,int_stack+270858, 1.0, int_stack+743749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+270858,int_stack+417655,int_stack+417340,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+271803,int_stack+418075,int_stack+417655,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+273063,int_stack+271803,int_stack+270858,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+400008,int_stack+418615,int_stack+418075,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+401628,int_stack+400008,int_stack+271803,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+401628,int_stack+273063,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+400008,int_stack+422461,int_stack+422020,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+499855,int_stack+423049,int_stack+422461,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+401331,int_stack+499855,int_stack+400008,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+403977,int_stack+423805,int_stack+423049,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+835099,int_stack+403977,int_stack+499855,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+270858,int_stack+835099,int_stack+401331,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+400008,int_stack+270858,int_stack+155295, 1.0, int_stack+771595, 0.0, zero_stack, 1.0, int_stack+862045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+499855,int_stack+425338,int_stack+424750,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+426122,int_stack+425338,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+835099,int_stack+155295,int_stack+499855,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+409458,int_stack+427130,int_stack+426122,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+412482,int_stack+409458,int_stack+155295,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+412482,int_stack+835099,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+409458,int_stack+167895,int_stack+270858, 1.0, int_stack+797425, 0.0, zero_stack, 1.0, int_stack+865195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+797425,int_stack+430655,int_stack+430340,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+798370,int_stack+431075,int_stack+430655,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+799630,int_stack+798370,int_stack+797425,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+270858,int_stack+431615,int_stack+431075,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+272478,int_stack+270858,int_stack+798370,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+272478,int_stack+799630,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+270858,int_stack+435461,int_stack+435020,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+499855,int_stack+436049,int_stack+435461,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+272181,int_stack+499855,int_stack+270858,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+797425,int_stack+436805,int_stack+436049,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+835099,int_stack+797425,int_stack+499855,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+797425,int_stack+835099,int_stack+272181,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+422688,int_stack+797425,int_stack+155295, 1.0, int_stack+482845, 1.0, int_stack+862045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+499855,int_stack+438338,int_stack+437750,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+439122,int_stack+438338,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+835099,int_stack+155295,int_stack+499855,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+270858,int_stack+440130,int_stack+439122,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167895,int_stack+270858,int_stack+155295,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+947701,int_stack+167895,int_stack+835099,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1410961,int_stack+947701,int_stack+797425, 1.0, int_stack+838627, 1.0, int_stack+865195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+797425,int_stack+445605,int_stack+445290,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+798370,int_stack+446025,int_stack+445605,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+799630,int_stack+798370,int_stack+797425,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+947701,int_stack+446565,int_stack+446025,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+949321,int_stack+947701,int_stack+798370,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+155295,int_stack+949321,int_stack+799630,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+947701,int_stack+450411,int_stack+449970,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+499855,int_stack+450999,int_stack+450411,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+949024,int_stack+499855,int_stack+947701,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+797425,int_stack+451755,int_stack+450999,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+835099,int_stack+797425,int_stack+499855,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+797425,int_stack+835099,int_stack+949024,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+432138,int_stack+797425,int_stack+155295, 2.0, int_stack+862045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+499855,int_stack+453288,int_stack+452700,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+155295,int_stack+454072,int_stack+453288,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+835099,int_stack+155295,int_stack+499855,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+838627,int_stack+455080,int_stack+454072,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+947701,int_stack+838627,int_stack+155295,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+167895,int_stack+947701,int_stack+835099,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+441588,int_stack+167895,int_stack+797425, 2.0, int_stack+865195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1424191,int_stack+524635,int_stack+490405,210);
     Libderiv->ABCD[11] = int_stack + 1424191;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+524299,int_stack+574657,int_stack+548071,210);
     Libderiv->ABCD[10] = int_stack + 524299;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+566971,int_stack+624679,int_stack+598093,210);
     Libderiv->ABCD[9] = int_stack + 566971;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+616993,int_stack+674701,int_stack+648115,210);
     Libderiv->ABCD[8] = int_stack + 616993;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+667015,int_stack+724723,int_stack+698137,210);
     Libderiv->ABCD[7] = int_stack + 667015;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+717037,int_stack+774745,int_stack+748159,210);
     Libderiv->ABCD[6] = int_stack + 717037;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1443091,int_stack+821869,int_stack+801835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+787975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[2] = int_stack + 1443091;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+820735,int_stack+869623,int_stack+843037, 0.0, zero_stack, 1.0, int_stack+787975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[1] = int_stack + 820735;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+861937,int_stack+911791,int_stack+882853, 1.0, int_stack+787975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[0] = int_stack + 861937;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+770839,int_stack+934471,int_stack+925021,210);
     Libderiv->ABCD[155] = int_stack + 770839;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+907633,int_stack+953581,int_stack+898183,210);
     Libderiv->ABCD[143] = int_stack + 907633;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+926533,int_stack+966811,int_stack+19971,210);
     Libderiv->ABCD[142] = int_stack + 926533;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+13230,int_stack+989491,int_stack+980041,210);
     Libderiv->ABCD[131] = int_stack + 13230;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+945433,int_stack+1002721,int_stack+37359,210);
     Libderiv->ABCD[130] = int_stack + 945433;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+964333,int_stack+1015951,int_stack+46809,210);
     Libderiv->ABCD[129] = int_stack + 964333;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+32130,int_stack+1038631,int_stack+1029181,210);
     Libderiv->ABCD[119] = int_stack + 32130;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+983233,int_stack+1051861,int_stack+64197,210);
     Libderiv->ABCD[118] = int_stack + 983233;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+51030,int_stack+1065091,int_stack+73647,210);
     Libderiv->ABCD[117] = int_stack + 51030;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1002133,int_stack+1087771,int_stack+1078321,210);
     Libderiv->ABCD[116] = int_stack + 1002133;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1021033,int_stack+1101001,int_stack+83097,210);
     Libderiv->ABCD[107] = int_stack + 1021033;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+69930,int_stack+1123681,int_stack+1114231,210);
     Libderiv->ABCD[106] = int_stack + 69930;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1039933,int_stack+1136911,int_stack+106155,210);
     Libderiv->ABCD[105] = int_stack + 1039933;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1058833,int_stack+1150141,int_stack+115605,210);
     Libderiv->ABCD[104] = int_stack + 1058833;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+101997,int_stack+1163371,int_stack+92547,210);
     Libderiv->ABCD[103] = int_stack + 101997;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1077733,int_stack+1186051,int_stack+1176601,210);
     Libderiv->ABCD[95] = int_stack + 1077733;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1096633,int_stack+132615,int_stack+501619,210);
     Libderiv->ABCD[94] = int_stack + 1096633;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+120897,int_stack+1199281,int_stack+145845,210);
     Libderiv->ABCD[93] = int_stack + 120897;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1115533,int_stack+1212511,int_stack+607543,210);
     Libderiv->ABCD[92] = int_stack + 1115533;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1134433,int_stack+1225741,int_stack+158445,210);
     Libderiv->ABCD[91] = int_stack + 1134433;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+139797,int_stack+173775,int_stack+657565,210);
     Libderiv->ABCD[90] = int_stack + 139797;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+158697,int_stack+1238971,int_stack+187005, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+490405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[47] = int_stack + 158697;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1153333,int_stack+1252201,int_stack+206598, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+548071, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[46] = int_stack + 1153333;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1172233,int_stack+1265431,int_stack+707587, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+598093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[45] = int_stack + 1172233;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1191133,int_stack+1278661,int_stack+216048, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+648115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[44] = int_stack + 1191133;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+205905,int_stack+1291891,int_stack+225498, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+698137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[43] = int_stack + 205905;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1210033,int_stack+757609,int_stack+471820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+748159, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[42] = int_stack + 1210033;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+465790,int_stack+234948,int_stack+196455, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+801835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[38] = int_stack + 465790;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+224805,int_stack+248178,int_stack+456340, 0.0, zero_stack, 1.0, int_stack+490405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[35] = int_stack + 224805;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+177597,int_stack+1305121,int_stack+261408, 0.0, zero_stack, 1.0, int_stack+548071, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[34] = int_stack + 177597;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+243705,int_stack+1318351,int_stack+557521, 0.0, zero_stack, 1.0, int_stack+598093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[33] = int_stack + 243705;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1228933,int_stack+1331581,int_stack+275268, 0.0, zero_stack, 1.0, int_stack+648115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[32] = int_stack + 1228933;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+262605,int_stack+1344811,int_stack+284718, 0.0, zero_stack, 1.0, int_stack+698137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[31] = int_stack + 262605;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1247833,int_stack+1358041,int_stack+294168, 0.0, zero_stack, 1.0, int_stack+748159, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[30] = int_stack + 1247833;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+281505,int_stack+303618,int_stack+811285, 0.0, zero_stack, 1.0, int_stack+801835, 1.0, int_stack+843037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[26] = int_stack + 281505;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1266733,int_stack+1371271,int_stack+316848, 0.0, zero_stack, 2.0, int_stack+843037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[25] = int_stack + 1266733;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+300405,int_stack+1384501,int_stack+326298, 1.0, int_stack+490405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[23] = int_stack + 300405;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+484690,int_stack+345198,int_stack+335748, 1.0, int_stack+548071, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[22] = int_stack + 484690;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+319305,int_stack+511069,int_stack+358428, 1.0, int_stack+598093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[21] = int_stack + 319305;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+503590,int_stack+1397731,int_stack+367878, 1.0, int_stack+648115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[20] = int_stack + 503590;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+338205,int_stack+386778,int_stack+377328, 1.0, int_stack+698137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[19] = int_stack + 338205;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+357105,int_stack+0,int_stack+852487, 1.0, int_stack+748159, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[18] = int_stack + 357105;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+376005,int_stack+409458,int_stack+400008, 1.0, int_stack+801835, 0.0, zero_stack, 1.0, int_stack+882853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[14] = int_stack + 376005;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+394905,int_stack+1410961,int_stack+422688, 1.0, int_stack+843037, 1.0, int_stack+882853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[13] = int_stack + 394905;
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+839635,int_stack+441588,int_stack+432138, 2.0, int_stack+882853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[12] = int_stack + 839635;

}
