#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_gfhf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gf|hf) integrals */

void d12hrr_order_gfhf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[7][8][11] = int_stack + 0;
 Libderiv->deriv_classes[7][8][10] = int_stack + 1620;
 Libderiv->deriv_classes[7][8][9] = int_stack + 3240;
 Libderiv->deriv_classes[7][8][8] = int_stack + 4860;
 Libderiv->deriv_classes[7][8][7] = int_stack + 6480;
 Libderiv->dvrr_classes[7][7] = int_stack + 8100;
 Libderiv->deriv_classes[7][8][6] = int_stack + 9396;
 Libderiv->deriv_classes[7][8][2] = int_stack + 11016;
 Libderiv->deriv_classes[7][8][1] = int_stack + 12636;
 Libderiv->dvrr_classes[6][8] = int_stack + 14256;
 Libderiv->deriv_classes[7][8][0] = int_stack + 15516;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 17136;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 17451;
 Libderiv->deriv2_classes[4][7][143] = int_stack + 17871;
 Libderiv->deriv2_classes[4][8][143] = int_stack + 18411;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 19086;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 19527;
 Libderiv->deriv2_classes[5][7][143] = int_stack + 20115;
 Libderiv->deriv2_classes[5][8][143] = int_stack + 20871;
 Libderiv->deriv2_classes[6][5][143] = int_stack + 21816;
 Libderiv->deriv2_classes[6][6][143] = int_stack + 22404;
 Libderiv->deriv2_classes[6][7][143] = int_stack + 23188;
 Libderiv->deriv2_classes[6][8][143] = int_stack + 24196;
 Libderiv->deriv2_classes[7][5][143] = int_stack + 25456;
 Libderiv->deriv2_classes[7][6][143] = int_stack + 26212;
 Libderiv->deriv2_classes[7][7][143] = int_stack + 27220;
 Libderiv->deriv2_classes[7][8][143] = int_stack + 28516;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 30136;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 30451;
 Libderiv->deriv2_classes[4][7][131] = int_stack + 30871;
 Libderiv->deriv2_classes[4][8][131] = int_stack + 31411;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 32086;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 32527;
 Libderiv->deriv2_classes[5][7][131] = int_stack + 33115;
 Libderiv->deriv2_classes[5][8][131] = int_stack + 33871;
 Libderiv->deriv2_classes[6][5][131] = int_stack + 34816;
 Libderiv->deriv2_classes[6][6][131] = int_stack + 35404;
 Libderiv->deriv2_classes[6][7][131] = int_stack + 36188;
 Libderiv->deriv2_classes[6][8][131] = int_stack + 37196;
 Libderiv->deriv2_classes[7][5][131] = int_stack + 38456;
 Libderiv->deriv2_classes[7][6][131] = int_stack + 39212;
 Libderiv->deriv2_classes[7][7][131] = int_stack + 40220;
 Libderiv->deriv2_classes[7][8][131] = int_stack + 41516;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 43136;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 43451;
 Libderiv->deriv2_classes[4][7][130] = int_stack + 43871;
 Libderiv->deriv2_classes[4][8][130] = int_stack + 44411;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 45086;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 45527;
 Libderiv->deriv2_classes[5][7][130] = int_stack + 46115;
 Libderiv->deriv2_classes[5][8][130] = int_stack + 46871;
 Libderiv->deriv2_classes[6][5][130] = int_stack + 47816;
 Libderiv->deriv2_classes[6][6][130] = int_stack + 48404;
 Libderiv->deriv2_classes[6][7][130] = int_stack + 49188;
 Libderiv->deriv2_classes[6][8][130] = int_stack + 50196;
 Libderiv->deriv2_classes[7][5][130] = int_stack + 51456;
 Libderiv->deriv2_classes[7][6][130] = int_stack + 52212;
 Libderiv->deriv2_classes[7][7][130] = int_stack + 53220;
 Libderiv->deriv2_classes[7][8][130] = int_stack + 54516;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 56136;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 56451;
 Libderiv->deriv2_classes[4][7][119] = int_stack + 56871;
 Libderiv->deriv2_classes[4][8][119] = int_stack + 57411;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 58086;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 58527;
 Libderiv->deriv2_classes[5][7][119] = int_stack + 59115;
 Libderiv->deriv2_classes[5][8][119] = int_stack + 59871;
 Libderiv->deriv2_classes[6][5][119] = int_stack + 60816;
 Libderiv->deriv2_classes[6][6][119] = int_stack + 61404;
 Libderiv->deriv2_classes[6][7][119] = int_stack + 62188;
 Libderiv->deriv2_classes[6][8][119] = int_stack + 63196;
 Libderiv->deriv2_classes[7][5][119] = int_stack + 64456;
 Libderiv->deriv2_classes[7][6][119] = int_stack + 65212;
 Libderiv->deriv2_classes[7][7][119] = int_stack + 66220;
 Libderiv->deriv2_classes[7][8][119] = int_stack + 67516;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 69136;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 69451;
 Libderiv->deriv2_classes[4][7][118] = int_stack + 69871;
 Libderiv->deriv2_classes[4][8][118] = int_stack + 70411;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 71086;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 71527;
 Libderiv->deriv2_classes[5][7][118] = int_stack + 72115;
 Libderiv->deriv2_classes[5][8][118] = int_stack + 72871;
 Libderiv->deriv2_classes[6][5][118] = int_stack + 73816;
 Libderiv->deriv2_classes[6][6][118] = int_stack + 74404;
 Libderiv->deriv2_classes[6][7][118] = int_stack + 75188;
 Libderiv->deriv2_classes[6][8][118] = int_stack + 76196;
 Libderiv->deriv2_classes[7][5][118] = int_stack + 77456;
 Libderiv->deriv2_classes[7][6][118] = int_stack + 78212;
 Libderiv->deriv2_classes[7][7][118] = int_stack + 79220;
 Libderiv->deriv2_classes[7][8][118] = int_stack + 80516;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 82136;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 82451;
 Libderiv->deriv2_classes[4][7][117] = int_stack + 82871;
 Libderiv->deriv2_classes[4][8][117] = int_stack + 83411;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 84086;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 84527;
 Libderiv->deriv2_classes[5][7][117] = int_stack + 85115;
 Libderiv->deriv2_classes[5][8][117] = int_stack + 85871;
 Libderiv->deriv2_classes[6][5][117] = int_stack + 86816;
 Libderiv->deriv2_classes[6][6][117] = int_stack + 87404;
 Libderiv->deriv2_classes[6][7][117] = int_stack + 88188;
 Libderiv->deriv2_classes[6][8][117] = int_stack + 89196;
 Libderiv->deriv2_classes[7][5][117] = int_stack + 90456;
 Libderiv->deriv2_classes[7][6][117] = int_stack + 91212;
 Libderiv->deriv2_classes[7][7][117] = int_stack + 92220;
 Libderiv->deriv2_classes[7][8][117] = int_stack + 93516;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 95136;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 95451;
 Libderiv->deriv2_classes[4][7][107] = int_stack + 95871;
 Libderiv->deriv2_classes[4][8][107] = int_stack + 96411;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 97086;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 97527;
 Libderiv->deriv2_classes[5][7][107] = int_stack + 98115;
 Libderiv->deriv2_classes[5][8][107] = int_stack + 98871;
 Libderiv->deriv2_classes[6][5][107] = int_stack + 99816;
 Libderiv->deriv2_classes[6][6][107] = int_stack + 100404;
 Libderiv->deriv2_classes[6][7][107] = int_stack + 101188;
 Libderiv->deriv2_classes[6][8][107] = int_stack + 102196;
 Libderiv->deriv2_classes[7][5][107] = int_stack + 103456;
 Libderiv->deriv2_classes[7][6][107] = int_stack + 104212;
 Libderiv->deriv2_classes[7][7][107] = int_stack + 105220;
 Libderiv->deriv2_classes[7][8][107] = int_stack + 106516;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 108136;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 108451;
 Libderiv->deriv2_classes[4][7][106] = int_stack + 108871;
 Libderiv->deriv2_classes[4][8][106] = int_stack + 109411;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 110086;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 110527;
 Libderiv->deriv2_classes[5][7][106] = int_stack + 111115;
 Libderiv->deriv2_classes[5][8][106] = int_stack + 111871;
 Libderiv->deriv2_classes[6][5][106] = int_stack + 112816;
 Libderiv->deriv2_classes[6][6][106] = int_stack + 113404;
 Libderiv->deriv2_classes[6][7][106] = int_stack + 114188;
 Libderiv->deriv2_classes[6][8][106] = int_stack + 115196;
 Libderiv->deriv2_classes[7][5][106] = int_stack + 116456;
 Libderiv->deriv2_classes[7][6][106] = int_stack + 117212;
 Libderiv->deriv2_classes[7][7][106] = int_stack + 118220;
 Libderiv->deriv2_classes[7][8][106] = int_stack + 119516;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 121136;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 121451;
 Libderiv->deriv2_classes[4][7][105] = int_stack + 121871;
 Libderiv->deriv2_classes[4][8][105] = int_stack + 122411;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 123086;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 123527;
 Libderiv->deriv2_classes[5][7][105] = int_stack + 124115;
 Libderiv->deriv2_classes[5][8][105] = int_stack + 124871;
 Libderiv->deriv2_classes[6][5][105] = int_stack + 125816;
 Libderiv->deriv2_classes[6][6][105] = int_stack + 126404;
 Libderiv->deriv2_classes[6][7][105] = int_stack + 127188;
 Libderiv->deriv2_classes[6][8][105] = int_stack + 128196;
 Libderiv->deriv2_classes[7][5][105] = int_stack + 129456;
 Libderiv->deriv2_classes[7][6][105] = int_stack + 130212;
 Libderiv->deriv2_classes[7][7][105] = int_stack + 131220;
 Libderiv->deriv2_classes[7][8][105] = int_stack + 132516;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 134136;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 134451;
 Libderiv->deriv2_classes[4][7][104] = int_stack + 134871;
 Libderiv->deriv2_classes[4][8][104] = int_stack + 135411;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 136086;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 136527;
 Libderiv->deriv2_classes[5][7][104] = int_stack + 137115;
 Libderiv->deriv2_classes[5][8][104] = int_stack + 137871;
 Libderiv->deriv2_classes[6][5][104] = int_stack + 138816;
 Libderiv->deriv2_classes[6][6][104] = int_stack + 139404;
 Libderiv->deriv2_classes[6][7][104] = int_stack + 140188;
 Libderiv->deriv2_classes[6][8][104] = int_stack + 141196;
 Libderiv->deriv2_classes[7][5][104] = int_stack + 142456;
 Libderiv->deriv2_classes[7][6][104] = int_stack + 143212;
 Libderiv->deriv2_classes[7][7][104] = int_stack + 144220;
 Libderiv->deriv2_classes[7][8][104] = int_stack + 145516;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 147136;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 147451;
 Libderiv->deriv2_classes[4][7][95] = int_stack + 147871;
 Libderiv->deriv2_classes[4][8][95] = int_stack + 148411;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 149086;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 149527;
 Libderiv->deriv2_classes[5][7][95] = int_stack + 150115;
 Libderiv->deriv2_classes[5][8][95] = int_stack + 150871;
 Libderiv->deriv2_classes[6][5][95] = int_stack + 151816;
 Libderiv->deriv2_classes[6][6][95] = int_stack + 152404;
 Libderiv->deriv2_classes[6][7][95] = int_stack + 153188;
 Libderiv->deriv2_classes[6][8][95] = int_stack + 154196;
 Libderiv->deriv2_classes[7][5][95] = int_stack + 155456;
 Libderiv->deriv2_classes[7][6][95] = int_stack + 156212;
 Libderiv->deriv2_classes[7][7][95] = int_stack + 157220;
 Libderiv->deriv2_classes[7][8][95] = int_stack + 158516;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 160136;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 160451;
 Libderiv->deriv2_classes[4][7][94] = int_stack + 160871;
 Libderiv->deriv2_classes[4][8][94] = int_stack + 161411;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 162086;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 162527;
 Libderiv->deriv2_classes[5][7][94] = int_stack + 163115;
 Libderiv->deriv2_classes[5][8][94] = int_stack + 163871;
 Libderiv->deriv2_classes[6][5][94] = int_stack + 164816;
 Libderiv->deriv2_classes[6][6][94] = int_stack + 165404;
 Libderiv->deriv2_classes[6][7][94] = int_stack + 166188;
 Libderiv->deriv2_classes[6][8][94] = int_stack + 167196;
 Libderiv->deriv2_classes[7][5][94] = int_stack + 168456;
 Libderiv->deriv2_classes[7][6][94] = int_stack + 169212;
 Libderiv->deriv2_classes[7][7][94] = int_stack + 170220;
 Libderiv->deriv2_classes[7][8][94] = int_stack + 171516;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 173136;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 173451;
 Libderiv->deriv2_classes[4][7][93] = int_stack + 173871;
 Libderiv->deriv2_classes[4][8][93] = int_stack + 174411;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 175086;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 175527;
 Libderiv->deriv2_classes[5][7][93] = int_stack + 176115;
 Libderiv->deriv2_classes[5][8][93] = int_stack + 176871;
 Libderiv->deriv2_classes[6][5][93] = int_stack + 177816;
 Libderiv->deriv2_classes[6][6][93] = int_stack + 178404;
 Libderiv->deriv2_classes[6][7][93] = int_stack + 179188;
 Libderiv->deriv2_classes[6][8][93] = int_stack + 180196;
 Libderiv->deriv2_classes[7][5][93] = int_stack + 181456;
 Libderiv->deriv2_classes[7][6][93] = int_stack + 182212;
 Libderiv->deriv2_classes[7][7][93] = int_stack + 183220;
 Libderiv->deriv2_classes[7][8][93] = int_stack + 184516;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 186136;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 186451;
 Libderiv->deriv2_classes[4][7][92] = int_stack + 186871;
 Libderiv->deriv2_classes[4][8][92] = int_stack + 187411;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 188086;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 188527;
 Libderiv->deriv2_classes[5][7][92] = int_stack + 189115;
 Libderiv->deriv2_classes[5][8][92] = int_stack + 189871;
 Libderiv->deriv2_classes[6][5][92] = int_stack + 190816;
 Libderiv->deriv2_classes[6][6][92] = int_stack + 191404;
 Libderiv->deriv2_classes[6][7][92] = int_stack + 192188;
 Libderiv->deriv2_classes[6][8][92] = int_stack + 193196;
 Libderiv->deriv2_classes[7][5][92] = int_stack + 194456;
 Libderiv->deriv2_classes[7][6][92] = int_stack + 195212;
 Libderiv->deriv2_classes[7][7][92] = int_stack + 196220;
 Libderiv->deriv2_classes[7][8][92] = int_stack + 197516;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 199136;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 199451;
 Libderiv->deriv2_classes[4][7][91] = int_stack + 199871;
 Libderiv->deriv2_classes[4][8][91] = int_stack + 200411;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 201086;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 201527;
 Libderiv->deriv2_classes[5][7][91] = int_stack + 202115;
 Libderiv->deriv2_classes[5][8][91] = int_stack + 202871;
 Libderiv->deriv2_classes[6][5][91] = int_stack + 203816;
 Libderiv->deriv2_classes[6][6][91] = int_stack + 204404;
 Libderiv->deriv2_classes[6][7][91] = int_stack + 205188;
 Libderiv->deriv2_classes[6][8][91] = int_stack + 206196;
 Libderiv->deriv2_classes[7][5][91] = int_stack + 207456;
 Libderiv->deriv2_classes[7][6][91] = int_stack + 208212;
 Libderiv->deriv2_classes[7][7][91] = int_stack + 209220;
 Libderiv->deriv2_classes[7][8][91] = int_stack + 210516;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 212136;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 212451;
 Libderiv->deriv2_classes[4][7][83] = int_stack + 212871;
 Libderiv->deriv2_classes[4][8][83] = int_stack + 213411;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 214086;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 214527;
 Libderiv->deriv2_classes[5][7][83] = int_stack + 215115;
 Libderiv->deriv2_classes[5][8][83] = int_stack + 215871;
 Libderiv->deriv2_classes[6][5][83] = int_stack + 216816;
 Libderiv->deriv2_classes[6][6][83] = int_stack + 217404;
 Libderiv->deriv2_classes[6][7][83] = int_stack + 218188;
 Libderiv->deriv2_classes[6][8][83] = int_stack + 219196;
 Libderiv->deriv_classes[7][5][11] = int_stack + 220456;
 Libderiv->deriv2_classes[7][5][83] = int_stack + 221212;
 Libderiv->deriv_classes[7][6][11] = int_stack + 221968;
 Libderiv->deriv2_classes[7][6][83] = int_stack + 222976;
 Libderiv->deriv_classes[7][7][11] = int_stack + 223984;
 Libderiv->deriv2_classes[7][7][83] = int_stack + 225280;
 Libderiv->deriv2_classes[7][8][83] = int_stack + 226576;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 228196;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 228511;
 Libderiv->deriv2_classes[4][7][82] = int_stack + 228931;
 Libderiv->deriv2_classes[4][8][82] = int_stack + 229471;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 230146;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 230587;
 Libderiv->deriv2_classes[5][7][82] = int_stack + 231175;
 Libderiv->deriv2_classes[5][8][82] = int_stack + 231931;
 Libderiv->deriv2_classes[6][5][82] = int_stack + 232876;
 Libderiv->deriv2_classes[6][6][82] = int_stack + 233464;
 Libderiv->deriv2_classes[6][7][82] = int_stack + 234248;
 Libderiv->deriv2_classes[6][8][82] = int_stack + 235256;
 Libderiv->deriv_classes[7][5][10] = int_stack + 236516;
 Libderiv->deriv2_classes[7][5][82] = int_stack + 237272;
 Libderiv->deriv_classes[7][6][10] = int_stack + 238028;
 Libderiv->deriv2_classes[7][6][82] = int_stack + 239036;
 Libderiv->deriv_classes[7][7][10] = int_stack + 240044;
 Libderiv->deriv2_classes[7][7][82] = int_stack + 241340;
 Libderiv->deriv2_classes[7][8][82] = int_stack + 242636;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 244256;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 244571;
 Libderiv->deriv2_classes[4][7][81] = int_stack + 244991;
 Libderiv->deriv2_classes[4][8][81] = int_stack + 245531;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 246206;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 246647;
 Libderiv->deriv2_classes[5][7][81] = int_stack + 247235;
 Libderiv->deriv2_classes[5][8][81] = int_stack + 247991;
 Libderiv->deriv2_classes[6][5][81] = int_stack + 248936;
 Libderiv->deriv2_classes[6][6][81] = int_stack + 249524;
 Libderiv->deriv2_classes[6][7][81] = int_stack + 250308;
 Libderiv->deriv2_classes[6][8][81] = int_stack + 251316;
 Libderiv->deriv_classes[7][5][9] = int_stack + 252576;
 Libderiv->deriv2_classes[7][5][81] = int_stack + 253332;
 Libderiv->deriv_classes[7][6][9] = int_stack + 254088;
 Libderiv->deriv2_classes[7][6][81] = int_stack + 255096;
 Libderiv->deriv_classes[7][7][9] = int_stack + 256104;
 Libderiv->deriv2_classes[7][7][81] = int_stack + 257400;
 Libderiv->deriv2_classes[7][8][81] = int_stack + 258696;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 260316;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 260631;
 Libderiv->deriv2_classes[4][7][80] = int_stack + 261051;
 Libderiv->deriv2_classes[4][8][80] = int_stack + 261591;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 262266;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 262707;
 Libderiv->deriv2_classes[5][7][80] = int_stack + 263295;
 Libderiv->deriv2_classes[5][8][80] = int_stack + 264051;
 Libderiv->deriv2_classes[6][5][80] = int_stack + 264996;
 Libderiv->deriv2_classes[6][6][80] = int_stack + 265584;
 Libderiv->deriv2_classes[6][7][80] = int_stack + 266368;
 Libderiv->deriv2_classes[6][8][80] = int_stack + 267376;
 Libderiv->deriv_classes[7][5][8] = int_stack + 268636;
 Libderiv->deriv2_classes[7][5][80] = int_stack + 269392;
 Libderiv->deriv_classes[7][6][8] = int_stack + 270148;
 Libderiv->deriv2_classes[7][6][80] = int_stack + 271156;
 Libderiv->deriv_classes[7][7][8] = int_stack + 272164;
 Libderiv->deriv2_classes[7][7][80] = int_stack + 273460;
 Libderiv->deriv2_classes[7][8][80] = int_stack + 274756;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 276376;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 276691;
 Libderiv->deriv2_classes[4][7][79] = int_stack + 277111;
 Libderiv->deriv2_classes[4][8][79] = int_stack + 277651;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 278326;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 278767;
 Libderiv->deriv2_classes[5][7][79] = int_stack + 279355;
 Libderiv->deriv2_classes[5][8][79] = int_stack + 280111;
 Libderiv->deriv2_classes[6][5][79] = int_stack + 281056;
 Libderiv->deriv2_classes[6][6][79] = int_stack + 281644;
 Libderiv->deriv2_classes[6][7][79] = int_stack + 282428;
 Libderiv->deriv2_classes[6][8][79] = int_stack + 283436;
 Libderiv->deriv_classes[7][5][7] = int_stack + 284696;
 Libderiv->deriv2_classes[7][5][79] = int_stack + 285452;
 Libderiv->deriv_classes[7][6][7] = int_stack + 286208;
 Libderiv->deriv2_classes[7][6][79] = int_stack + 287216;
 Libderiv->deriv_classes[7][7][7] = int_stack + 288224;
 Libderiv->deriv2_classes[7][7][79] = int_stack + 289520;
 Libderiv->deriv2_classes[7][8][79] = int_stack + 290816;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 292436;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 292751;
 Libderiv->deriv2_classes[4][7][78] = int_stack + 293171;
 Libderiv->deriv2_classes[4][8][78] = int_stack + 293711;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 294386;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 294827;
 Libderiv->deriv2_classes[5][7][78] = int_stack + 295415;
 Libderiv->deriv2_classes[5][8][78] = int_stack + 296171;
 Libderiv->deriv2_classes[6][5][78] = int_stack + 297116;
 Libderiv->deriv2_classes[6][6][78] = int_stack + 297704;
 Libderiv->deriv2_classes[6][7][78] = int_stack + 298488;
 Libderiv->deriv2_classes[6][8][78] = int_stack + 299496;
 Libderiv->dvrr_classes[7][5] = int_stack + 300756;
 Libderiv->deriv_classes[7][5][6] = int_stack + 301512;
 Libderiv->deriv2_classes[7][5][78] = int_stack + 302268;
 Libderiv->dvrr_classes[7][6] = int_stack + 303024;
 Libderiv->deriv_classes[7][6][6] = int_stack + 304032;
 Libderiv->deriv2_classes[7][6][78] = int_stack + 305040;
 Libderiv->deriv_classes[7][7][6] = int_stack + 306048;
 Libderiv->deriv2_classes[7][7][78] = int_stack + 307344;
 Libderiv->deriv2_classes[7][8][78] = int_stack + 308640;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 310260;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 310575;
 Libderiv->deriv2_classes[4][7][35] = int_stack + 310995;
 Libderiv->deriv2_classes[4][8][35] = int_stack + 311535;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 312210;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 312651;
 Libderiv->deriv2_classes[5][7][35] = int_stack + 313239;
 Libderiv->deriv2_classes[5][8][35] = int_stack + 313995;
 Libderiv->deriv2_classes[6][5][35] = int_stack + 314940;
 Libderiv->deriv2_classes[6][6][35] = int_stack + 315528;
 Libderiv->deriv2_classes[6][7][35] = int_stack + 316312;
 Libderiv->deriv2_classes[6][8][35] = int_stack + 317320;
 Libderiv->deriv2_classes[7][5][35] = int_stack + 318580;
 Libderiv->deriv2_classes[7][6][35] = int_stack + 319336;
 Libderiv->deriv2_classes[7][7][35] = int_stack + 320344;
 Libderiv->deriv2_classes[7][8][35] = int_stack + 321640;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 323260;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 323575;
 Libderiv->deriv2_classes[4][7][34] = int_stack + 323995;
 Libderiv->deriv2_classes[4][8][34] = int_stack + 324535;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 325210;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 325651;
 Libderiv->deriv2_classes[5][7][34] = int_stack + 326239;
 Libderiv->deriv2_classes[5][8][34] = int_stack + 326995;
 Libderiv->deriv2_classes[6][5][34] = int_stack + 327940;
 Libderiv->deriv2_classes[6][6][34] = int_stack + 328528;
 Libderiv->deriv2_classes[6][7][34] = int_stack + 329312;
 Libderiv->deriv2_classes[6][8][34] = int_stack + 330320;
 Libderiv->deriv2_classes[7][5][34] = int_stack + 331580;
 Libderiv->deriv2_classes[7][6][34] = int_stack + 332336;
 Libderiv->deriv2_classes[7][7][34] = int_stack + 333344;
 Libderiv->deriv2_classes[7][8][34] = int_stack + 334640;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 336260;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 336575;
 Libderiv->deriv2_classes[4][7][33] = int_stack + 336995;
 Libderiv->deriv2_classes[4][8][33] = int_stack + 337535;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 338210;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 338651;
 Libderiv->deriv2_classes[5][7][33] = int_stack + 339239;
 Libderiv->deriv2_classes[5][8][33] = int_stack + 339995;
 Libderiv->deriv2_classes[6][5][33] = int_stack + 340940;
 Libderiv->deriv2_classes[6][6][33] = int_stack + 341528;
 Libderiv->deriv2_classes[6][7][33] = int_stack + 342312;
 Libderiv->deriv2_classes[6][8][33] = int_stack + 343320;
 Libderiv->deriv2_classes[7][5][33] = int_stack + 344580;
 Libderiv->deriv2_classes[7][6][33] = int_stack + 345336;
 Libderiv->deriv2_classes[7][7][33] = int_stack + 346344;
 Libderiv->deriv2_classes[7][8][33] = int_stack + 347640;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 349260;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 349575;
 Libderiv->deriv2_classes[4][7][32] = int_stack + 349995;
 Libderiv->deriv2_classes[4][8][32] = int_stack + 350535;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 351210;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 351651;
 Libderiv->deriv2_classes[5][7][32] = int_stack + 352239;
 Libderiv->deriv2_classes[5][8][32] = int_stack + 352995;
 Libderiv->deriv2_classes[6][5][32] = int_stack + 353940;
 Libderiv->deriv2_classes[6][6][32] = int_stack + 354528;
 Libderiv->deriv2_classes[6][7][32] = int_stack + 355312;
 Libderiv->deriv2_classes[6][8][32] = int_stack + 356320;
 Libderiv->deriv2_classes[7][5][32] = int_stack + 357580;
 Libderiv->deriv2_classes[7][6][32] = int_stack + 358336;
 Libderiv->deriv2_classes[7][7][32] = int_stack + 359344;
 Libderiv->deriv2_classes[7][8][32] = int_stack + 360640;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 362260;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 362575;
 Libderiv->deriv2_classes[4][7][31] = int_stack + 362995;
 Libderiv->deriv2_classes[4][8][31] = int_stack + 363535;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 364210;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 364651;
 Libderiv->deriv2_classes[5][7][31] = int_stack + 365239;
 Libderiv->deriv2_classes[5][8][31] = int_stack + 365995;
 Libderiv->deriv2_classes[6][5][31] = int_stack + 366940;
 Libderiv->deriv2_classes[6][6][31] = int_stack + 367528;
 Libderiv->deriv2_classes[6][7][31] = int_stack + 368312;
 Libderiv->deriv2_classes[6][8][31] = int_stack + 369320;
 Libderiv->deriv2_classes[7][5][31] = int_stack + 370580;
 Libderiv->deriv2_classes[7][6][31] = int_stack + 371336;
 Libderiv->deriv2_classes[7][7][31] = int_stack + 372344;
 Libderiv->deriv2_classes[7][8][31] = int_stack + 373640;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 375260;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 375575;
 Libderiv->deriv2_classes[4][7][30] = int_stack + 375995;
 Libderiv->deriv2_classes[4][8][30] = int_stack + 376535;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 377210;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 377651;
 Libderiv->deriv2_classes[5][7][30] = int_stack + 378239;
 Libderiv->deriv2_classes[5][8][30] = int_stack + 378995;
 Libderiv->deriv2_classes[6][5][30] = int_stack + 379940;
 Libderiv->deriv2_classes[6][6][30] = int_stack + 380528;
 Libderiv->deriv2_classes[6][7][30] = int_stack + 381312;
 Libderiv->deriv2_classes[6][8][30] = int_stack + 382320;
 Libderiv->deriv_classes[7][5][2] = int_stack + 383580;
 Libderiv->deriv2_classes[7][5][30] = int_stack + 384336;
 Libderiv->deriv_classes[7][6][2] = int_stack + 385092;
 Libderiv->deriv2_classes[7][6][30] = int_stack + 386100;
 Libderiv->deriv_classes[7][7][2] = int_stack + 387108;
 Libderiv->deriv2_classes[7][7][30] = int_stack + 388404;
 Libderiv->deriv2_classes[7][8][30] = int_stack + 389700;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 391320;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 391635;
 Libderiv->deriv2_classes[4][7][26] = int_stack + 392055;
 Libderiv->deriv2_classes[4][8][26] = int_stack + 392595;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 393270;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 393711;
 Libderiv->deriv2_classes[5][7][26] = int_stack + 394299;
 Libderiv->deriv2_classes[5][8][26] = int_stack + 395055;
 Libderiv->deriv2_classes[6][5][26] = int_stack + 396000;
 Libderiv->deriv2_classes[6][6][26] = int_stack + 396588;
 Libderiv->deriv2_classes[6][7][26] = int_stack + 397372;
 Libderiv->deriv2_classes[6][8][26] = int_stack + 398380;
 Libderiv->deriv2_classes[7][5][26] = int_stack + 399640;
 Libderiv->deriv2_classes[7][6][26] = int_stack + 400396;
 Libderiv->deriv2_classes[7][7][26] = int_stack + 401404;
 Libderiv->deriv2_classes[7][8][26] = int_stack + 402700;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 404320;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 404635;
 Libderiv->deriv2_classes[4][7][23] = int_stack + 405055;
 Libderiv->deriv2_classes[4][8][23] = int_stack + 405595;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 406270;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 406711;
 Libderiv->deriv2_classes[5][7][23] = int_stack + 407299;
 Libderiv->deriv2_classes[5][8][23] = int_stack + 408055;
 Libderiv->deriv2_classes[6][5][23] = int_stack + 409000;
 Libderiv->deriv2_classes[6][6][23] = int_stack + 409588;
 Libderiv->deriv2_classes[6][7][23] = int_stack + 410372;
 Libderiv->deriv2_classes[6][8][23] = int_stack + 411380;
 Libderiv->deriv2_classes[7][5][23] = int_stack + 412640;
 Libderiv->deriv2_classes[7][6][23] = int_stack + 413396;
 Libderiv->deriv2_classes[7][7][23] = int_stack + 414404;
 Libderiv->deriv2_classes[7][8][23] = int_stack + 415700;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 417320;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 417635;
 Libderiv->deriv2_classes[4][7][22] = int_stack + 418055;
 Libderiv->deriv2_classes[4][8][22] = int_stack + 418595;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 419270;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 419711;
 Libderiv->deriv2_classes[5][7][22] = int_stack + 420299;
 Libderiv->deriv2_classes[5][8][22] = int_stack + 421055;
 Libderiv->deriv2_classes[6][5][22] = int_stack + 422000;
 Libderiv->deriv2_classes[6][6][22] = int_stack + 422588;
 Libderiv->deriv2_classes[6][7][22] = int_stack + 423372;
 Libderiv->deriv2_classes[6][8][22] = int_stack + 424380;
 Libderiv->deriv2_classes[7][5][22] = int_stack + 425640;
 Libderiv->deriv2_classes[7][6][22] = int_stack + 426396;
 Libderiv->deriv2_classes[7][7][22] = int_stack + 427404;
 Libderiv->deriv2_classes[7][8][22] = int_stack + 428700;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 430320;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 430635;
 Libderiv->deriv2_classes[4][7][21] = int_stack + 431055;
 Libderiv->deriv2_classes[4][8][21] = int_stack + 431595;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 432270;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 432711;
 Libderiv->deriv2_classes[5][7][21] = int_stack + 433299;
 Libderiv->deriv2_classes[5][8][21] = int_stack + 434055;
 Libderiv->deriv2_classes[6][5][21] = int_stack + 435000;
 Libderiv->deriv2_classes[6][6][21] = int_stack + 435588;
 Libderiv->deriv2_classes[6][7][21] = int_stack + 436372;
 Libderiv->deriv2_classes[6][8][21] = int_stack + 437380;
 Libderiv->deriv2_classes[7][5][21] = int_stack + 438640;
 Libderiv->deriv2_classes[7][6][21] = int_stack + 439396;
 Libderiv->deriv2_classes[7][7][21] = int_stack + 440404;
 Libderiv->deriv2_classes[7][8][21] = int_stack + 441700;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 443320;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 443635;
 Libderiv->deriv2_classes[4][7][20] = int_stack + 444055;
 Libderiv->deriv2_classes[4][8][20] = int_stack + 444595;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 445270;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 445711;
 Libderiv->deriv2_classes[5][7][20] = int_stack + 446299;
 Libderiv->deriv2_classes[5][8][20] = int_stack + 447055;
 Libderiv->deriv2_classes[6][5][20] = int_stack + 448000;
 Libderiv->deriv2_classes[6][6][20] = int_stack + 448588;
 Libderiv->deriv2_classes[6][7][20] = int_stack + 449372;
 Libderiv->deriv2_classes[6][8][20] = int_stack + 450380;
 Libderiv->deriv2_classes[7][5][20] = int_stack + 451640;
 Libderiv->deriv2_classes[7][6][20] = int_stack + 452396;
 Libderiv->deriv2_classes[7][7][20] = int_stack + 453404;
 Libderiv->deriv2_classes[7][8][20] = int_stack + 454700;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 456320;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 456635;
 Libderiv->deriv2_classes[4][7][19] = int_stack + 457055;
 Libderiv->deriv2_classes[4][8][19] = int_stack + 457595;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 458270;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 458711;
 Libderiv->deriv2_classes[5][7][19] = int_stack + 459299;
 Libderiv->deriv2_classes[5][8][19] = int_stack + 460055;
 Libderiv->deriv2_classes[6][5][19] = int_stack + 461000;
 Libderiv->deriv2_classes[6][6][19] = int_stack + 461588;
 Libderiv->deriv2_classes[6][7][19] = int_stack + 462372;
 Libderiv->deriv2_classes[6][8][19] = int_stack + 463380;
 Libderiv->deriv2_classes[7][5][19] = int_stack + 464640;
 Libderiv->deriv2_classes[7][6][19] = int_stack + 465396;
 Libderiv->deriv2_classes[7][7][19] = int_stack + 466404;
 Libderiv->deriv2_classes[7][8][19] = int_stack + 467700;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 469320;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 469635;
 Libderiv->deriv2_classes[4][7][18] = int_stack + 470055;
 Libderiv->deriv2_classes[4][8][18] = int_stack + 470595;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 471270;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 471711;
 Libderiv->deriv2_classes[5][7][18] = int_stack + 472299;
 Libderiv->deriv2_classes[5][8][18] = int_stack + 473055;
 Libderiv->deriv2_classes[6][5][18] = int_stack + 474000;
 Libderiv->deriv2_classes[6][6][18] = int_stack + 474588;
 Libderiv->deriv2_classes[6][7][18] = int_stack + 475372;
 Libderiv->deriv2_classes[6][8][18] = int_stack + 476380;
 Libderiv->deriv_classes[7][5][1] = int_stack + 477640;
 Libderiv->deriv2_classes[7][5][18] = int_stack + 478396;
 Libderiv->deriv_classes[7][6][1] = int_stack + 479152;
 Libderiv->deriv2_classes[7][6][18] = int_stack + 480160;
 Libderiv->deriv_classes[7][7][1] = int_stack + 481168;
 Libderiv->deriv2_classes[7][7][18] = int_stack + 482464;
 Libderiv->deriv2_classes[7][8][18] = int_stack + 483760;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 485380;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 485695;
 Libderiv->deriv2_classes[4][7][14] = int_stack + 486115;
 Libderiv->deriv2_classes[4][8][14] = int_stack + 486655;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 487330;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 487771;
 Libderiv->deriv2_classes[5][7][14] = int_stack + 488359;
 Libderiv->deriv2_classes[5][8][14] = int_stack + 489115;
 Libderiv->deriv2_classes[6][5][14] = int_stack + 490060;
 Libderiv->deriv2_classes[6][6][14] = int_stack + 490648;
 Libderiv->deriv2_classes[6][7][14] = int_stack + 491432;
 Libderiv->deriv2_classes[6][8][14] = int_stack + 492440;
 Libderiv->deriv2_classes[7][5][14] = int_stack + 493700;
 Libderiv->deriv2_classes[7][6][14] = int_stack + 494456;
 Libderiv->deriv2_classes[7][7][14] = int_stack + 495464;
 Libderiv->deriv2_classes[7][8][14] = int_stack + 496760;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 498380;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 498695;
 Libderiv->deriv2_classes[4][7][13] = int_stack + 499115;
 Libderiv->deriv2_classes[4][8][13] = int_stack + 499655;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 500330;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 500771;
 Libderiv->deriv2_classes[5][7][13] = int_stack + 501359;
 Libderiv->deriv2_classes[5][8][13] = int_stack + 502115;
 Libderiv->deriv2_classes[6][5][13] = int_stack + 503060;
 Libderiv->deriv2_classes[6][6][13] = int_stack + 503648;
 Libderiv->deriv2_classes[6][7][13] = int_stack + 504432;
 Libderiv->deriv2_classes[6][8][13] = int_stack + 505440;
 Libderiv->deriv2_classes[7][5][13] = int_stack + 506700;
 Libderiv->deriv2_classes[7][6][13] = int_stack + 507456;
 Libderiv->deriv2_classes[7][7][13] = int_stack + 508464;
 Libderiv->deriv2_classes[7][8][13] = int_stack + 509760;
 Libderiv->deriv_classes[4][5][11] = int_stack + 511380;
 Libderiv->deriv_classes[4][6][11] = int_stack + 511695;
 Libderiv->deriv_classes[4][7][11] = int_stack + 512115;
 Libderiv->deriv_classes[4][8][11] = int_stack + 512655;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 513330;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 513645;
 Libderiv->deriv2_classes[4][7][11] = int_stack + 514065;
 Libderiv->deriv2_classes[4][8][11] = int_stack + 514605;
 Libderiv->deriv_classes[5][5][11] = int_stack + 515280;
 Libderiv->deriv_classes[5][6][11] = int_stack + 515721;
 Libderiv->deriv_classes[5][7][11] = int_stack + 516309;
 Libderiv->deriv_classes[5][8][11] = int_stack + 517065;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 518010;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 518451;
 Libderiv->deriv2_classes[5][7][11] = int_stack + 519039;
 Libderiv->deriv2_classes[5][8][11] = int_stack + 519795;
 Libderiv->deriv_classes[6][5][11] = int_stack + 520740;
 Libderiv->deriv_classes[6][6][11] = int_stack + 521328;
 Libderiv->deriv_classes[6][7][11] = int_stack + 522112;
 Libderiv->deriv_classes[6][8][11] = int_stack + 523120;
 Libderiv->deriv2_classes[6][5][11] = int_stack + 524380;
 Libderiv->deriv2_classes[6][6][11] = int_stack + 524968;
 Libderiv->deriv2_classes[6][7][11] = int_stack + 525752;
 Libderiv->deriv2_classes[6][8][11] = int_stack + 526760;
 Libderiv->deriv2_classes[7][5][11] = int_stack + 528020;
 Libderiv->deriv2_classes[7][6][11] = int_stack + 528776;
 Libderiv->deriv2_classes[7][7][11] = int_stack + 529784;
 Libderiv->deriv2_classes[7][8][11] = int_stack + 531080;
 Libderiv->deriv_classes[4][5][10] = int_stack + 532700;
 Libderiv->deriv_classes[4][6][10] = int_stack + 533015;
 Libderiv->deriv_classes[4][7][10] = int_stack + 533435;
 Libderiv->deriv_classes[4][8][10] = int_stack + 533975;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 534650;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 534965;
 Libderiv->deriv2_classes[4][7][10] = int_stack + 535385;
 Libderiv->deriv2_classes[4][8][10] = int_stack + 535925;
 Libderiv->deriv_classes[5][5][10] = int_stack + 536600;
 Libderiv->deriv_classes[5][6][10] = int_stack + 537041;
 Libderiv->deriv_classes[5][7][10] = int_stack + 537629;
 Libderiv->deriv_classes[5][8][10] = int_stack + 538385;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 539330;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 539771;
 Libderiv->deriv2_classes[5][7][10] = int_stack + 540359;
 Libderiv->deriv2_classes[5][8][10] = int_stack + 541115;
 Libderiv->deriv_classes[6][5][10] = int_stack + 542060;
 Libderiv->deriv_classes[6][6][10] = int_stack + 542648;
 Libderiv->deriv_classes[6][7][10] = int_stack + 543432;
 Libderiv->deriv_classes[6][8][10] = int_stack + 544440;
 Libderiv->deriv2_classes[6][5][10] = int_stack + 545700;
 Libderiv->deriv2_classes[6][6][10] = int_stack + 546288;
 Libderiv->deriv2_classes[6][7][10] = int_stack + 547072;
 Libderiv->deriv2_classes[6][8][10] = int_stack + 548080;
 Libderiv->deriv2_classes[7][5][10] = int_stack + 549340;
 Libderiv->deriv2_classes[7][6][10] = int_stack + 550096;
 Libderiv->deriv2_classes[7][7][10] = int_stack + 551104;
 Libderiv->deriv2_classes[7][8][10] = int_stack + 552400;
 Libderiv->deriv_classes[4][5][9] = int_stack + 554020;
 Libderiv->deriv_classes[4][6][9] = int_stack + 554335;
 Libderiv->deriv_classes[4][7][9] = int_stack + 554755;
 Libderiv->deriv_classes[4][8][9] = int_stack + 555295;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 555970;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 556285;
 Libderiv->deriv2_classes[4][7][9] = int_stack + 556705;
 Libderiv->deriv2_classes[4][8][9] = int_stack + 557245;
 Libderiv->deriv_classes[5][5][9] = int_stack + 557920;
 Libderiv->deriv_classes[5][6][9] = int_stack + 558361;
 Libderiv->deriv_classes[5][7][9] = int_stack + 558949;
 Libderiv->deriv_classes[5][8][9] = int_stack + 559705;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 560650;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 561091;
 Libderiv->deriv2_classes[5][7][9] = int_stack + 561679;
 Libderiv->deriv2_classes[5][8][9] = int_stack + 562435;
 Libderiv->deriv_classes[6][5][9] = int_stack + 563380;
 Libderiv->deriv_classes[6][6][9] = int_stack + 563968;
 Libderiv->deriv_classes[6][7][9] = int_stack + 564752;
 Libderiv->deriv_classes[6][8][9] = int_stack + 565760;
 Libderiv->deriv2_classes[6][5][9] = int_stack + 567020;
 Libderiv->deriv2_classes[6][6][9] = int_stack + 567608;
 Libderiv->deriv2_classes[6][7][9] = int_stack + 568392;
 Libderiv->deriv2_classes[6][8][9] = int_stack + 569400;
 Libderiv->deriv2_classes[7][5][9] = int_stack + 570660;
 Libderiv->deriv2_classes[7][6][9] = int_stack + 571416;
 Libderiv->deriv2_classes[7][7][9] = int_stack + 572424;
 Libderiv->deriv2_classes[7][8][9] = int_stack + 573720;
 Libderiv->deriv_classes[4][5][8] = int_stack + 575340;
 Libderiv->deriv_classes[4][6][8] = int_stack + 575655;
 Libderiv->deriv_classes[4][7][8] = int_stack + 576075;
 Libderiv->deriv_classes[4][8][8] = int_stack + 576615;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 577290;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 577605;
 Libderiv->deriv2_classes[4][7][8] = int_stack + 578025;
 Libderiv->deriv2_classes[4][8][8] = int_stack + 578565;
 Libderiv->deriv_classes[5][5][8] = int_stack + 579240;
 Libderiv->deriv_classes[5][6][8] = int_stack + 579681;
 Libderiv->deriv_classes[5][7][8] = int_stack + 580269;
 Libderiv->deriv_classes[5][8][8] = int_stack + 581025;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 581970;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 582411;
 Libderiv->deriv2_classes[5][7][8] = int_stack + 582999;
 Libderiv->deriv2_classes[5][8][8] = int_stack + 583755;
 Libderiv->deriv_classes[6][5][8] = int_stack + 584700;
 Libderiv->deriv_classes[6][6][8] = int_stack + 585288;
 Libderiv->deriv_classes[6][7][8] = int_stack + 586072;
 Libderiv->deriv_classes[6][8][8] = int_stack + 587080;
 Libderiv->deriv2_classes[6][5][8] = int_stack + 588340;
 Libderiv->deriv2_classes[6][6][8] = int_stack + 588928;
 Libderiv->deriv2_classes[6][7][8] = int_stack + 589712;
 Libderiv->deriv2_classes[6][8][8] = int_stack + 590720;
 Libderiv->deriv2_classes[7][5][8] = int_stack + 591980;
 Libderiv->deriv2_classes[7][6][8] = int_stack + 592736;
 Libderiv->deriv2_classes[7][7][8] = int_stack + 593744;
 Libderiv->deriv2_classes[7][8][8] = int_stack + 595040;
 Libderiv->deriv_classes[4][5][7] = int_stack + 596660;
 Libderiv->deriv_classes[4][6][7] = int_stack + 596975;
 Libderiv->deriv_classes[4][7][7] = int_stack + 597395;
 Libderiv->deriv_classes[4][8][7] = int_stack + 597935;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 598610;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 598925;
 Libderiv->deriv2_classes[4][7][7] = int_stack + 599345;
 Libderiv->deriv2_classes[4][8][7] = int_stack + 599885;
 Libderiv->deriv_classes[5][5][7] = int_stack + 600560;
 Libderiv->deriv_classes[5][6][7] = int_stack + 601001;
 Libderiv->deriv_classes[5][7][7] = int_stack + 601589;
 Libderiv->deriv_classes[5][8][7] = int_stack + 602345;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 603290;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 603731;
 Libderiv->deriv2_classes[5][7][7] = int_stack + 604319;
 Libderiv->deriv2_classes[5][8][7] = int_stack + 605075;
 Libderiv->deriv_classes[6][5][7] = int_stack + 606020;
 Libderiv->deriv_classes[6][6][7] = int_stack + 606608;
 Libderiv->deriv_classes[6][7][7] = int_stack + 607392;
 Libderiv->deriv_classes[6][8][7] = int_stack + 608400;
 Libderiv->deriv2_classes[6][5][7] = int_stack + 609660;
 Libderiv->deriv2_classes[6][6][7] = int_stack + 610248;
 Libderiv->deriv2_classes[6][7][7] = int_stack + 611032;
 Libderiv->deriv2_classes[6][8][7] = int_stack + 612040;
 Libderiv->deriv2_classes[7][5][7] = int_stack + 613300;
 Libderiv->deriv2_classes[7][6][7] = int_stack + 614056;
 Libderiv->deriv2_classes[7][7][7] = int_stack + 615064;
 Libderiv->deriv2_classes[7][8][7] = int_stack + 616360;
 Libderiv->deriv_classes[4][5][6] = int_stack + 617980;
 Libderiv->deriv_classes[4][6][6] = int_stack + 618295;
 Libderiv->deriv_classes[4][7][6] = int_stack + 618715;
 Libderiv->deriv_classes[4][8][6] = int_stack + 619255;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 619930;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 620245;
 Libderiv->deriv2_classes[4][7][6] = int_stack + 620665;
 Libderiv->deriv2_classes[4][8][6] = int_stack + 621205;
 Libderiv->deriv_classes[5][5][6] = int_stack + 621880;
 Libderiv->deriv_classes[5][6][6] = int_stack + 622321;
 Libderiv->deriv_classes[5][7][6] = int_stack + 622909;
 Libderiv->deriv_classes[5][8][6] = int_stack + 623665;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 624610;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 625051;
 Libderiv->deriv2_classes[5][7][6] = int_stack + 625639;
 Libderiv->deriv2_classes[5][8][6] = int_stack + 626395;
 Libderiv->dvrr_classes[6][5] = int_stack + 627340;
 Libderiv->deriv_classes[6][5][6] = int_stack + 627928;
 Libderiv->dvrr_classes[6][6] = int_stack + 628516;
 Libderiv->deriv_classes[6][6][6] = int_stack + 629300;
 Libderiv->dvrr_classes[6][7] = int_stack + 630084;
 Libderiv->deriv_classes[6][7][6] = int_stack + 631092;
 Libderiv->deriv_classes[6][8][6] = int_stack + 632100;
 Libderiv->deriv2_classes[6][5][6] = int_stack + 633360;
 Libderiv->deriv2_classes[6][6][6] = int_stack + 633948;
 Libderiv->deriv2_classes[6][7][6] = int_stack + 634732;
 Libderiv->deriv2_classes[6][8][6] = int_stack + 635740;
 Libderiv->deriv_classes[7][5][0] = int_stack + 637000;
 Libderiv->deriv2_classes[7][5][6] = int_stack + 637756;
 Libderiv->deriv_classes[7][6][0] = int_stack + 638512;
 Libderiv->deriv2_classes[7][6][6] = int_stack + 639520;
 Libderiv->deriv_classes[7][7][0] = int_stack + 640528;
 Libderiv->deriv2_classes[7][7][6] = int_stack + 641824;
 Libderiv->deriv2_classes[7][8][6] = int_stack + 643120;
 Libderiv->deriv_classes[4][5][2] = int_stack + 644740;
 Libderiv->deriv_classes[4][6][2] = int_stack + 645055;
 Libderiv->deriv_classes[4][7][2] = int_stack + 645475;
 Libderiv->deriv_classes[4][8][2] = int_stack + 646015;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 646690;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 647005;
 Libderiv->deriv2_classes[4][7][2] = int_stack + 647425;
 Libderiv->deriv2_classes[4][8][2] = int_stack + 647965;
 Libderiv->deriv_classes[5][5][2] = int_stack + 648640;
 Libderiv->deriv_classes[5][6][2] = int_stack + 649081;
 Libderiv->deriv_classes[5][7][2] = int_stack + 649669;
 Libderiv->deriv_classes[5][8][2] = int_stack + 650425;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 651370;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 651811;
 Libderiv->deriv2_classes[5][7][2] = int_stack + 652399;
 Libderiv->deriv2_classes[5][8][2] = int_stack + 653155;
 Libderiv->deriv_classes[6][5][2] = int_stack + 654100;
 Libderiv->deriv_classes[6][6][2] = int_stack + 654688;
 Libderiv->deriv_classes[6][7][2] = int_stack + 655472;
 Libderiv->deriv_classes[6][8][2] = int_stack + 656480;
 Libderiv->deriv2_classes[6][5][2] = int_stack + 657740;
 Libderiv->deriv2_classes[6][6][2] = int_stack + 658328;
 Libderiv->deriv2_classes[6][7][2] = int_stack + 659112;
 Libderiv->deriv2_classes[6][8][2] = int_stack + 660120;
 Libderiv->deriv2_classes[7][5][2] = int_stack + 661380;
 Libderiv->deriv2_classes[7][6][2] = int_stack + 662136;
 Libderiv->deriv2_classes[7][7][2] = int_stack + 663144;
 Libderiv->deriv2_classes[7][8][2] = int_stack + 664440;
 Libderiv->deriv_classes[4][5][1] = int_stack + 666060;
 Libderiv->deriv_classes[4][6][1] = int_stack + 666375;
 Libderiv->deriv_classes[4][7][1] = int_stack + 666795;
 Libderiv->deriv_classes[4][8][1] = int_stack + 667335;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 668010;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 668325;
 Libderiv->deriv2_classes[4][7][1] = int_stack + 668745;
 Libderiv->deriv2_classes[4][8][1] = int_stack + 669285;
 Libderiv->deriv_classes[5][5][1] = int_stack + 669960;
 Libderiv->deriv_classes[5][6][1] = int_stack + 670401;
 Libderiv->deriv_classes[5][7][1] = int_stack + 670989;
 Libderiv->deriv_classes[5][8][1] = int_stack + 671745;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 672690;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 673131;
 Libderiv->deriv2_classes[5][7][1] = int_stack + 673719;
 Libderiv->deriv2_classes[5][8][1] = int_stack + 674475;
 Libderiv->deriv_classes[6][5][1] = int_stack + 675420;
 Libderiv->deriv_classes[6][6][1] = int_stack + 676008;
 Libderiv->deriv_classes[6][7][1] = int_stack + 676792;
 Libderiv->deriv_classes[6][8][1] = int_stack + 677800;
 Libderiv->deriv2_classes[6][5][1] = int_stack + 679060;
 Libderiv->deriv2_classes[6][6][1] = int_stack + 679648;
 Libderiv->deriv2_classes[6][7][1] = int_stack + 680432;
 Libderiv->deriv2_classes[6][8][1] = int_stack + 681440;
 Libderiv->deriv2_classes[7][5][1] = int_stack + 682700;
 Libderiv->deriv2_classes[7][6][1] = int_stack + 683456;
 Libderiv->deriv2_classes[7][7][1] = int_stack + 684464;
 Libderiv->deriv2_classes[7][8][1] = int_stack + 685760;
 Libderiv->dvrr_classes[4][5] = int_stack + 687380;
 Libderiv->dvrr_classes[4][6] = int_stack + 687695;
 Libderiv->dvrr_classes[4][7] = int_stack + 688115;
 Libderiv->dvrr_classes[4][8] = int_stack + 688655;
 Libderiv->deriv_classes[4][5][0] = int_stack + 689330;
 Libderiv->deriv_classes[4][6][0] = int_stack + 689645;
 Libderiv->deriv_classes[4][7][0] = int_stack + 690065;
 Libderiv->deriv_classes[4][8][0] = int_stack + 690605;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 691280;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 691595;
 Libderiv->deriv2_classes[4][7][0] = int_stack + 692015;
 Libderiv->deriv2_classes[4][8][0] = int_stack + 692555;
 Libderiv->dvrr_classes[5][5] = int_stack + 693230;
 Libderiv->dvrr_classes[5][6] = int_stack + 693671;
 Libderiv->dvrr_classes[5][7] = int_stack + 694259;
 Libderiv->dvrr_classes[5][8] = int_stack + 695015;
 Libderiv->deriv_classes[5][5][0] = int_stack + 695960;
 Libderiv->deriv_classes[5][6][0] = int_stack + 696401;
 Libderiv->deriv_classes[5][7][0] = int_stack + 696989;
 Libderiv->deriv_classes[5][8][0] = int_stack + 697745;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 698690;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 699131;
 Libderiv->deriv2_classes[5][7][0] = int_stack + 699719;
 Libderiv->deriv2_classes[5][8][0] = int_stack + 700475;
 Libderiv->deriv_classes[6][5][0] = int_stack + 701420;
 Libderiv->deriv_classes[6][6][0] = int_stack + 702008;
 Libderiv->deriv_classes[6][7][0] = int_stack + 702792;
 Libderiv->deriv_classes[6][8][0] = int_stack + 703800;
 Libderiv->deriv2_classes[6][5][0] = int_stack + 705060;
 Libderiv->deriv2_classes[6][6][0] = int_stack + 705648;
 Libderiv->deriv2_classes[6][7][0] = int_stack + 706432;
 Libderiv->deriv2_classes[6][8][0] = int_stack + 707440;
 Libderiv->deriv2_classes[7][5][0] = int_stack + 708700;
 Libderiv->deriv2_classes[7][6][0] = int_stack + 709456;
 Libderiv->deriv2_classes[7][7][0] = int_stack + 710464;
 Libderiv->deriv2_classes[7][8][0] = int_stack + 711760;
 memset(int_stack,0,5707040);

 Libderiv->dvrr_stack = int_stack + 2990053;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_gfhf(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+713380,int_stack+687695,int_stack+687380,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+714325,int_stack+688115,int_stack+687695,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+715585,int_stack+714325,int_stack+713380,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+717475,int_stack+511695,int_stack+511380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687380,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+718420,int_stack+512115,int_stack+511695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687695,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+719680,int_stack+718420,int_stack+717475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+713380,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+721570,int_stack+512655,int_stack+512115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+688115,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+723190,int_stack+721570,int_stack+718420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+714325,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+725710,int_stack+723190,int_stack+719680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+715585,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+721570,int_stack+693671,int_stack+693230,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+722893,int_stack+694259,int_stack+693671,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+728860,int_stack+722893,int_stack+721570,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+731506,int_stack+515721,int_stack+515280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693230,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+732829,int_stack+516309,int_stack+515721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693671,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+734593,int_stack+732829,int_stack+731506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+721570,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+737239,int_stack+517065,int_stack+516309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+694259,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+739507,int_stack+737239,int_stack+732829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+722893,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+743035,int_stack+739507,int_stack+734593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+728860,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+747445,int_stack+743035,int_stack+725710,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+737239,int_stack+628516,int_stack+627340,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+739003,int_stack+630084,int_stack+628516,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+756895,int_stack+739003,int_stack+737239,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+760423,int_stack+521328,int_stack+520740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+627340,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+762187,int_stack+522112,int_stack+521328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+628516,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+764539,int_stack+762187,int_stack+760423, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737239,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+768067,int_stack+523120,int_stack+522112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630084,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+771091,int_stack+768067,int_stack+762187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+739003,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+775795,int_stack+771091,int_stack+764539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756895,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+781675,int_stack+775795,int_stack+743035,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+794905,int_stack+781675,int_stack+747445,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+768067,int_stack+303024,int_stack+300756,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+770335,int_stack+8100,int_stack+303024,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+813805,int_stack+770335,int_stack+768067,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+773359,int_stack+221968,int_stack+220456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300756,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+818341,int_stack+223984,int_stack+221968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+303024,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+821365,int_stack+818341,int_stack+773359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+768067,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+825901,int_stack+0,int_stack+223984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8100,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+829789,int_stack+825901,int_stack+818341, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+770335,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+835837,int_stack+829789,int_stack+821365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+843397,int_stack+835837,int_stack+775795,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+861037,int_stack+843397,int_stack+781675,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+517065,int_stack+533015,int_stack+532700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687380, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+523120,int_stack+533435,int_stack+533015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687695, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+825901,int_stack+523120,int_stack+517065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+713380, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+533975,int_stack+533435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+688115, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+827791,int_stack+0,int_stack+523120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+714325, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+830311,int_stack+827791,int_stack+825901, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+715585, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+827791,int_stack+537041,int_stack+536600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693230, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+833461,int_stack+537629,int_stack+537041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693671, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+835225,int_stack+833461,int_stack+827791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+721570, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+837871,int_stack+538385,int_stack+537629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+694259, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+840139,int_stack+837871,int_stack+833461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+722893, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+843667,int_stack+840139,int_stack+835225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+728860, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+848077,int_stack+843667,int_stack+830311,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+837871,int_stack+542648,int_stack+542060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+627340, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+839635,int_stack+543432,int_stack+542648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+628516, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+887497,int_stack+839635,int_stack+837871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737239, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+857527,int_stack+544440,int_stack+543432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630084, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+891025,int_stack+857527,int_stack+839635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+739003, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+895729,int_stack+891025,int_stack+887497, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756895, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+901609,int_stack+895729,int_stack+843667,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+914839,int_stack+901609,int_stack+848077,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+891025,int_stack+238028,int_stack+236516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300756, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+857527,int_stack+240044,int_stack+238028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+303024, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+933739,int_stack+857527,int_stack+891025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+768067, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+938275,int_stack+1620,int_stack+240044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8100, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+942163,int_stack+938275,int_stack+857527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+770335, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+948211,int_stack+942163,int_stack+933739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+955771,int_stack+948211,int_stack+895729,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+973411,int_stack+955771,int_stack+901609,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+538385,int_stack+554335,int_stack+554020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687380, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+544440,int_stack+554755,int_stack+554335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687695, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+938275,int_stack+544440,int_stack+538385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+713380, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+940165,int_stack+555295,int_stack+554755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+688115, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+941785,int_stack+940165,int_stack+544440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+714325, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+944305,int_stack+941785,int_stack+938275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+715585, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+940165,int_stack+558361,int_stack+557920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693230, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+941488,int_stack+558949,int_stack+558361, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693671, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+947455,int_stack+941488,int_stack+940165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+721570, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+950101,int_stack+559705,int_stack+558949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+694259, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+952369,int_stack+950101,int_stack+941488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+722893, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+955897,int_stack+952369,int_stack+947455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+728860, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+960307,int_stack+955897,int_stack+944305,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+950101,int_stack+563968,int_stack+563380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+627340, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+951865,int_stack+564752,int_stack+563968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+628516, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+969757,int_stack+951865,int_stack+950101, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737239, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+565760,int_stack+564752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630084, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+0,int_stack+951865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+739003, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1004575,int_stack+999871,int_stack+969757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756895, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1010455,int_stack+1004575,int_stack+955897,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1023685,int_stack+1010455,int_stack+960307,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+254088,int_stack+252576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300756, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+256104,int_stack+254088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+303024, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1042585,int_stack+0,int_stack+999871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+768067, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1047121,int_stack+3240,int_stack+256104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8100, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1051009,int_stack+1047121,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+770335, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1057057,int_stack+1051009,int_stack+1042585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1064617,int_stack+1057057,int_stack+1004575,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1082257,int_stack+1064617,int_stack+1010455,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559705,int_stack+575655,int_stack+575340, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+565760,int_stack+576075,int_stack+575655, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+687695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1047121,int_stack+565760,int_stack+559705, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+713380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1049011,int_stack+576615,int_stack+576075, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+688115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1050631,int_stack+1049011,int_stack+565760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+714325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1053151,int_stack+1050631,int_stack+1047121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+715585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1049011,int_stack+579681,int_stack+579240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1050334,int_stack+580269,int_stack+579681, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+693671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1056301,int_stack+1050334,int_stack+1049011, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+721570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1058947,int_stack+581025,int_stack+580269, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+694259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1061215,int_stack+1058947,int_stack+1050334, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+722893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1064743,int_stack+1061215,int_stack+1056301, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1069153,int_stack+1064743,int_stack+1053151,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1058947,int_stack+585288,int_stack+584700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+627340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1060711,int_stack+586072,int_stack+585288, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+628516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1078603,int_stack+1060711,int_stack+1058947, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1108717,int_stack+587080,int_stack+586072, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1111741,int_stack+1108717,int_stack+1060711, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+739003, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1116445,int_stack+1111741,int_stack+1078603, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1122325,int_stack+1116445,int_stack+1064743,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1135555,int_stack+1122325,int_stack+1069153,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1108717,int_stack+270148,int_stack+268636, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+300756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1110985,int_stack+272164,int_stack+270148, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+303024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1154455,int_stack+1110985,int_stack+1108717, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+768067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1158991,int_stack+4860,int_stack+272164, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1162879,int_stack+1158991,int_stack+1110985, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+770335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1168927,int_stack+1162879,int_stack+1154455, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1176487,int_stack+1168927,int_stack+1116445,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1194127,int_stack+1176487,int_stack+1122325,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+581025,int_stack+596975,int_stack+596660, 0.0, zero_stack, 1.0, int_stack+687380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+587080,int_stack+597395,int_stack+596975, 0.0, zero_stack, 1.0, int_stack+687695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1158991,int_stack+587080,int_stack+581025, 0.0, zero_stack, 1.0, int_stack+713380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1160881,int_stack+597935,int_stack+597395, 0.0, zero_stack, 1.0, int_stack+688115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1162501,int_stack+1160881,int_stack+587080, 0.0, zero_stack, 1.0, int_stack+714325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1165021,int_stack+1162501,int_stack+1158991, 0.0, zero_stack, 1.0, int_stack+715585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1160881,int_stack+601001,int_stack+600560, 0.0, zero_stack, 1.0, int_stack+693230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1162204,int_stack+601589,int_stack+601001, 0.0, zero_stack, 1.0, int_stack+693671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1168171,int_stack+1162204,int_stack+1160881, 0.0, zero_stack, 1.0, int_stack+721570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1170817,int_stack+602345,int_stack+601589, 0.0, zero_stack, 1.0, int_stack+694259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1173085,int_stack+1170817,int_stack+1162204, 0.0, zero_stack, 1.0, int_stack+722893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1176613,int_stack+1173085,int_stack+1168171, 0.0, zero_stack, 1.0, int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1181023,int_stack+1176613,int_stack+1165021,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1170817,int_stack+606608,int_stack+606020, 0.0, zero_stack, 1.0, int_stack+627340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1172581,int_stack+607392,int_stack+606608, 0.0, zero_stack, 1.0, int_stack+628516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1190473,int_stack+1172581,int_stack+1170817, 0.0, zero_stack, 1.0, int_stack+737239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+608400,int_stack+607392, 0.0, zero_stack, 1.0, int_stack+630084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1220587,int_stack+3024,int_stack+1172581, 0.0, zero_stack, 1.0, int_stack+739003, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1225291,int_stack+1220587,int_stack+1190473, 0.0, zero_stack, 1.0, int_stack+756895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1231171,int_stack+1225291,int_stack+1176613,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1244401,int_stack+1231171,int_stack+1181023,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1220587,int_stack+286208,int_stack+284696, 0.0, zero_stack, 1.0, int_stack+300756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+288224,int_stack+286208, 0.0, zero_stack, 1.0, int_stack+303024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1263301,int_stack+3024,int_stack+1220587, 0.0, zero_stack, 1.0, int_stack+768067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1267837,int_stack+6480,int_stack+288224, 0.0, zero_stack, 1.0, int_stack+8100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1271725,int_stack+1267837,int_stack+3024, 0.0, zero_stack, 1.0, int_stack+770335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1277773,int_stack+1271725,int_stack+1263301, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1285333,int_stack+1277773,int_stack+1225291,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1302973,int_stack+1285333,int_stack+1231171,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+602345,int_stack+618295,int_stack+617980, 1.0, int_stack+687380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+608400,int_stack+618715,int_stack+618295, 1.0, int_stack+687695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1267837,int_stack+608400,int_stack+602345, 1.0, int_stack+713380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1269727,int_stack+619255,int_stack+618715, 1.0, int_stack+688115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1271347,int_stack+1269727,int_stack+608400, 1.0, int_stack+714325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1273867,int_stack+1271347,int_stack+1267837, 1.0, int_stack+715585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1269727,int_stack+622321,int_stack+621880, 1.0, int_stack+693230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1271050,int_stack+622909,int_stack+622321, 1.0, int_stack+693671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1277017,int_stack+1271050,int_stack+1269727, 1.0, int_stack+721570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1279663,int_stack+623665,int_stack+622909, 1.0, int_stack+694259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1281931,int_stack+1279663,int_stack+1271050, 1.0, int_stack+722893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1285459,int_stack+1281931,int_stack+1277017, 1.0, int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1289869,int_stack+1285459,int_stack+1273867,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1279663,int_stack+629300,int_stack+627928, 1.0, int_stack+627340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1281427,int_stack+631092,int_stack+629300, 1.0, int_stack+628516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1299319,int_stack+1281427,int_stack+1279663, 1.0, int_stack+737239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1329433,int_stack+632100,int_stack+631092, 1.0, int_stack+630084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1332457,int_stack+1329433,int_stack+1281427, 1.0, int_stack+739003, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1337161,int_stack+1332457,int_stack+1299319, 1.0, int_stack+756895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1343041,int_stack+1337161,int_stack+1285459,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1356271,int_stack+1343041,int_stack+1289869,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1329433,int_stack+304032,int_stack+301512, 1.0, int_stack+300756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1331701,int_stack+306048,int_stack+304032, 1.0, int_stack+303024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1375171,int_stack+1331701,int_stack+1329433, 1.0, int_stack+768067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1379707,int_stack+9396,int_stack+306048, 1.0, int_stack+8100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1383595,int_stack+1379707,int_stack+1331701, 1.0, int_stack+770335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1389643,int_stack+1383595,int_stack+1375171, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1397203,int_stack+1389643,int_stack+1337161,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1414843,int_stack+1397203,int_stack+1343041,210);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+813805,int_stack+688655,int_stack+688115,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+815425,int_stack+813805,int_stack+714325,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1379707,int_stack+815425,int_stack+715585,15);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+813805,int_stack+695015,int_stack+694259,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1382857,int_stack+813805,int_stack+722893,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+813805,int_stack+1382857,int_stack+728860,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1382857,int_stack+813805,int_stack+1379707,210);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1392307,int_stack+14256,int_stack+630084,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1395331,int_stack+1392307,int_stack+739003,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1400035,int_stack+1395331,int_stack+756895,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1400035,int_stack+813805,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1454533,int_stack+1441303,int_stack+1382857,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+623665,int_stack+645055,int_stack+644740,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+14256,int_stack+645475,int_stack+645055,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+756895,int_stack+14256,int_stack+623665,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+758785,int_stack+646015,int_stack+645475,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1392307,int_stack+758785,int_stack+14256,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1394827,int_stack+1392307,int_stack+756895,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1392307,int_stack+649081,int_stack+648640,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1397977,int_stack+649669,int_stack+649081,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+728860,int_stack+1397977,int_stack+1392307,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1405915,int_stack+650425,int_stack+649669,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1408183,int_stack+1405915,int_stack+1397977,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+768067,int_stack+1408183,int_stack+728860,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1473433,int_stack+768067,int_stack+1394827, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1379707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1405915,int_stack+654688,int_stack+654100,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1407679,int_stack+655472,int_stack+654688,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1410031,int_stack+1407679,int_stack+1405915,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+737239,int_stack+656480,int_stack+655472,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+6048,int_stack+737239,int_stack+1407679,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1482883,int_stack+6048,int_stack+1410031,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1488763,int_stack+1482883,int_stack+768067, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1501993,int_stack+1488763,int_stack+1473433, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1382857, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+6048,int_stack+385092,int_stack+383580,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+737239,int_stack+387108,int_stack+385092,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1520893,int_stack+737239,int_stack+6048,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+721570,int_stack+11016,int_stack+387108,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1525429,int_stack+721570,int_stack+737239,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1531477,int_stack+1525429,int_stack+1520893,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1539037,int_stack+1531477,int_stack+1482883, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1556677,int_stack+1539037,int_stack+1488763, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+650425,int_stack+666375,int_stack+666060,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+656480,int_stack+666795,int_stack+666375,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1525429,int_stack+656480,int_stack+650425,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1527319,int_stack+667335,int_stack+666795,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1528939,int_stack+1527319,int_stack+656480,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1531459,int_stack+1528939,int_stack+1525429,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1527319,int_stack+670401,int_stack+669960,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1528642,int_stack+670989,int_stack+670401,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1534609,int_stack+1528642,int_stack+1527319,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1537255,int_stack+671745,int_stack+670989,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1539523,int_stack+1537255,int_stack+1528642,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1543051,int_stack+1539523,int_stack+1534609,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1583137,int_stack+1543051,int_stack+1531459, 0.0, zero_stack, 1.0, int_stack+1379707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1537255,int_stack+676008,int_stack+675420,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1539019,int_stack+676792,int_stack+676008,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1547461,int_stack+1539019,int_stack+1537255,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1550989,int_stack+677800,int_stack+676792,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1592587,int_stack+1550989,int_stack+1539019,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1597291,int_stack+1592587,int_stack+1547461,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1603171,int_stack+1597291,int_stack+1543051, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1616401,int_stack+1603171,int_stack+1583137, 0.0, zero_stack, 1.0, int_stack+1382857, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1592587,int_stack+479152,int_stack+477640,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1550989,int_stack+481168,int_stack+479152,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1635301,int_stack+1550989,int_stack+1592587,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+721570,int_stack+12636,int_stack+481168,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1639837,int_stack+721570,int_stack+1550989,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1645885,int_stack+1639837,int_stack+1635301,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1653445,int_stack+1645885,int_stack+1597291, 0.0, zero_stack, 1.0, int_stack+1400035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1671085,int_stack+1653445,int_stack+1603171, 0.0, zero_stack, 1.0, int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+671745,int_stack+689645,int_stack+689330,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+677800,int_stack+690065,int_stack+689645,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1639837,int_stack+677800,int_stack+671745,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1641727,int_stack+690605,int_stack+690065,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1643347,int_stack+1641727,int_stack+677800,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1645867,int_stack+1643347,int_stack+1639837,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1641727,int_stack+696401,int_stack+695960,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1643050,int_stack+696989,int_stack+696401,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1649017,int_stack+1643050,int_stack+1641727,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1651663,int_stack+697745,int_stack+696989,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1653931,int_stack+1651663,int_stack+1643050,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1657459,int_stack+1653931,int_stack+1649017,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1697545,int_stack+1657459,int_stack+1645867, 1.0, int_stack+1379707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1379707,int_stack+702008,int_stack+701420,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1651663,int_stack+702792,int_stack+702008,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1661869,int_stack+1651663,int_stack+1379707,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1654015,int_stack+703800,int_stack+702792,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1665397,int_stack+1654015,int_stack+1651663,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+8316,int_stack+1665397,int_stack+1661869,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1706995,int_stack+8316,int_stack+1657459, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1720225,int_stack+1706995,int_stack+1697545, 1.0, int_stack+1382857, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+813805,int_stack+638512,int_stack+637000,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1665397,int_stack+640528,int_stack+638512,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1381471,int_stack+1665397,int_stack+813805,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1386007,int_stack+15516,int_stack+640528,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1739125,int_stack+1386007,int_stack+1665397,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1745173,int_stack+1739125,int_stack+1381471,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1752733,int_stack+1745173,int_stack+8316, 1.0, int_stack+1400035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1770373,int_stack+1752733,int_stack+1706995, 1.0, int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+17451,int_stack+17136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+511380,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+17871,int_stack+17451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+511695,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+717475,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+18411,int_stack+17871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+512115,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+718420,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+719680,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+19527,int_stack+19086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+515280,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+20115,int_stack+19527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+515721,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+731506,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+20871,int_stack+20115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+516309,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1450483,int_stack+816073,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+732829,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1739125,int_stack+1450483,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+734593,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1743535,int_stack+1739125,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+22404,int_stack+21816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+520740,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+23188,int_stack+22404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+521328,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+760423,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1447183,int_stack+24196,int_stack+23188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+522112,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1752985,int_stack+1447183,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+762187,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+1752985,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+764539,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1752985,int_stack+1447183,int_stack+1739125,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1796833,int_stack+1752985,int_stack+1743535,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+26212,int_stack+25456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+220456,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1739125,int_stack+27220,int_stack+26212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+221968,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1742149,int_stack+1739125,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+773359,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1746685,int_stack+28516,int_stack+27220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+223984,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1386007,int_stack+1746685,int_stack+1739125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+818341,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+15516,int_stack+1386007,int_stack+1742149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+821365,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+15516,int_stack+1447183,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1833373,int_stack+1815733,int_stack+1752985,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+30451,int_stack+30136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511380, 1.0, int_stack+532700,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+30871,int_stack+30451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511695, 1.0, int_stack+533015,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1815733,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+717475, 1.0, int_stack+517065,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1817623,int_stack+31411,int_stack+30871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+512115, 1.0, int_stack+533435,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1819243,int_stack+1817623,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+718420, 1.0, int_stack+523120,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821763,int_stack+1819243,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+719680, 1.0, int_stack+825901,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+32527,int_stack+32086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+515280, 1.0, int_stack+536600,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1817056,int_stack+33115,int_stack+32527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+515721, 1.0, int_stack+537041,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1818820,int_stack+1817056,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+731506, 1.0, int_stack+827791,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+33871,int_stack+33115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+516309, 1.0, int_stack+537629,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1824913,int_stack+816073,int_stack+1817056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+732829, 1.0, int_stack+833461,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1828441,int_stack+1824913,int_stack+1818820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+734593, 1.0, int_stack+835225,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+15516,int_stack+1828441,int_stack+1821763,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+35404,int_stack+34816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+520740, 1.0, int_stack+542060,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1815733,int_stack+36188,int_stack+35404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+521328, 1.0, int_stack+542648,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1818085,int_stack+1815733,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+760423, 1.0, int_stack+837871,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1821613,int_stack+37196,int_stack+36188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+522112, 1.0, int_stack+543432,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+24966,int_stack+1821613,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+762187, 1.0, int_stack+839635,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821613,int_stack+24966,int_stack+1818085, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+764539, 1.0, int_stack+887497,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1821613,int_stack+1828441,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1739125,int_stack+1441303,int_stack+15516,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+39212,int_stack+38456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220456, 1.0, int_stack+236516,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15516,int_stack+40220,int_stack+39212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221968, 1.0, int_stack+238028,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18540,int_stack+15516,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+773359, 1.0, int_stack+891025,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+23076,int_stack+41516,int_stack+40220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223984, 1.0, int_stack+240044,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+26964,int_stack+23076,int_stack+15516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+818341, 1.0, int_stack+857527,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+33012,int_stack+26964,int_stack+18540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+821365, 1.0, int_stack+933739,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1859833,int_stack+33012,int_stack+1821613,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+15516,int_stack+1859833,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+43451,int_stack+43136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+532700, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+43871,int_stack+43451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+533015, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+517065, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+44411,int_stack+43871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+533435, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+523120, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+825901, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+45527,int_stack+45086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+536600, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+46115,int_stack+45527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+537041, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+827791, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+46871,int_stack+46115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+537629, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1450483,int_stack+816073,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+833461, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1859833,int_stack+1450483,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+835225, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1864243,int_stack+1859833,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+48404,int_stack+47816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+542060, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+49188,int_stack+48404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+542648, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+837871, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1447183,int_stack+50196,int_stack+49188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+543432, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+41976,int_stack+1447183,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+839635, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+41976,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+887497, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1815733,int_stack+1447183,int_stack+1859833,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1873693,int_stack+1815733,int_stack+1864243,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+52212,int_stack+51456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+236516, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1859833,int_stack+53220,int_stack+52212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+238028, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1862857,int_stack+1859833,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+891025, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1867393,int_stack+54516,int_stack+53220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+240044, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+41976,int_stack+1867393,int_stack+1859833, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+857527, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+48024,int_stack+41976,int_stack+1862857, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+933739, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+48024,int_stack+1447183,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1910233,int_stack+1892593,int_stack+1815733,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+56451,int_stack+56136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511380, 0.0, zero_stack, 1.0, int_stack+554020,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+56871,int_stack+56451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511695, 0.0, zero_stack, 1.0, int_stack+554335,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1815733,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+717475, 0.0, zero_stack, 1.0, int_stack+538385,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1817623,int_stack+57411,int_stack+56871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+512115, 0.0, zero_stack, 1.0, int_stack+554755,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1819243,int_stack+1817623,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+718420, 0.0, zero_stack, 1.0, int_stack+544440,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821763,int_stack+1819243,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+719680, 0.0, zero_stack, 1.0, int_stack+938275,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+58527,int_stack+58086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+515280, 0.0, zero_stack, 1.0, int_stack+557920,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1817056,int_stack+59115,int_stack+58527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+515721, 0.0, zero_stack, 1.0, int_stack+558361,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1818820,int_stack+1817056,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+731506, 0.0, zero_stack, 1.0, int_stack+940165,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+59871,int_stack+59115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+516309, 0.0, zero_stack, 1.0, int_stack+558949,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1824913,int_stack+816073,int_stack+1817056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+732829, 0.0, zero_stack, 1.0, int_stack+941488,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1828441,int_stack+1824913,int_stack+1818820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+734593, 0.0, zero_stack, 1.0, int_stack+947455,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1892593,int_stack+1828441,int_stack+1821763,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+61404,int_stack+60816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+520740, 0.0, zero_stack, 1.0, int_stack+563380,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1815733,int_stack+62188,int_stack+61404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+521328, 0.0, zero_stack, 1.0, int_stack+563968,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1818085,int_stack+1815733,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+760423, 0.0, zero_stack, 1.0, int_stack+950101,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1821613,int_stack+63196,int_stack+62188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+522112, 0.0, zero_stack, 1.0, int_stack+564752,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1902043,int_stack+1821613,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+762187, 0.0, zero_stack, 1.0, int_stack+951865,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821613,int_stack+1902043,int_stack+1818085, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+764539, 0.0, zero_stack, 1.0, int_stack+969757,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1821613,int_stack+1828441,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+41976,int_stack+1441303,int_stack+1892593,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+65212,int_stack+64456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220456, 0.0, zero_stack, 1.0, int_stack+252576,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+66220,int_stack+65212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221968, 0.0, zero_stack, 1.0, int_stack+254088,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+773359, 0.0, zero_stack, 1.0, int_stack+999871,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+67516,int_stack+66220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223984, 0.0, zero_stack, 1.0, int_stack+256104,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+818341, 0.0, zero_stack, 1.0, int_stack+0,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+60876,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+821365, 0.0, zero_stack, 1.0, int_stack+1042585,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+60876,int_stack+1821613,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1936693,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+69451,int_stack+69136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+532700, 1.0, int_stack+554020, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+69871,int_stack+69451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+533015, 1.0, int_stack+554335, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+517065, 1.0, int_stack+538385, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+70411,int_stack+69871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+533435, 1.0, int_stack+554755, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+523120, 1.0, int_stack+544440, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+825901, 1.0, int_stack+938275, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+71527,int_stack+71086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+536600, 1.0, int_stack+557920, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+72115,int_stack+71527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+537041, 1.0, int_stack+558361, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+827791, 1.0, int_stack+940165, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+72871,int_stack+72115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+537629, 1.0, int_stack+558949, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1450483,int_stack+816073,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+833461, 1.0, int_stack+941488, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+835225, 1.0, int_stack+947455, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1897003,int_stack+1892593,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+74404,int_stack+73816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+542060, 1.0, int_stack+563380, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+75188,int_stack+74404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+542648, 1.0, int_stack+563968, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+837871, 1.0, int_stack+950101, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1447183,int_stack+76196,int_stack+75188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+543432, 1.0, int_stack+564752, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+60876,int_stack+1447183,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+839635, 1.0, int_stack+951865, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+60876,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+887497, 1.0, int_stack+969757, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+60876,int_stack+1447183,int_stack+1892593,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+1963153,int_stack+60876,int_stack+1897003,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+78212,int_stack+77456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236516, 1.0, int_stack+252576, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+79220,int_stack+78212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+238028, 1.0, int_stack+254088, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+891025, 1.0, int_stack+999871, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+80516,int_stack+79220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+240044, 1.0, int_stack+256104, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+857527, 1.0, int_stack+0, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+74106,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+933739, 1.0, int_stack+1042585, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+74106,int_stack+1447183,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+1982053,int_stack+1892593,int_stack+60876,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+82451,int_stack+82136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+554020, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+82871,int_stack+82451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+554335, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+60876,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+538385, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+62766,int_stack+83411,int_stack+82871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+554755, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+64386,int_stack+62766,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+544440, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+66906,int_stack+64386,int_stack+60876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+938275, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+60876,int_stack+84527,int_stack+84086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+557920, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62199,int_stack+85115,int_stack+84527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+558361, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+63963,int_stack+62199,int_stack+60876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+940165, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+85871,int_stack+85115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+558949, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+70056,int_stack+816073,int_stack+62199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+941488, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+73584,int_stack+70056,int_stack+63963, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+947455, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1892593,int_stack+73584,int_stack+66906,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+87404,int_stack+86816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+563380, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+60876,int_stack+88188,int_stack+87404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+563968, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+63228,int_stack+60876,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+950101, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+66756,int_stack+89196,int_stack+88188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+564752, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+77994,int_stack+66756,int_stack+60876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+951865, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+66756,int_stack+77994,int_stack+63228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+969757, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+66756,int_stack+73584,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2008513,int_stack+1441303,int_stack+1892593,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+91212,int_stack+90456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+252576, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+92220,int_stack+91212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+254088, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+999871, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+93516,int_stack+92220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+256104, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+72636,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1042585, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+72636,int_stack+66756,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+60876,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+95451,int_stack+95136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+575340,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+95871,int_stack+95451, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511695, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+575655,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+717475, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+559705,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+96411,int_stack+95871, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+512115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+576075,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+718420, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+565760,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+719680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1047121,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+97527,int_stack+97086, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+515280, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+579240,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+98115,int_stack+97527, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+515721, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+579681,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+731506, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1049011,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+98871,int_stack+98115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+516309, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+580269,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1450483,int_stack+816073,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+732829, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1050334,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+734593, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1056301,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1897003,int_stack+1892593,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+100404,int_stack+99816, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+520740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+584700,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+101188,int_stack+100404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+521328, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+585288,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+760423, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1058947,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1447183,int_stack+102196,int_stack+101188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+522112, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+586072,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+87336,int_stack+1447183,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+762187, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1060711,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+87336,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+764539, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1078603,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+87336,int_stack+1447183,int_stack+1892593,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2027413,int_stack+87336,int_stack+1897003,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+104212,int_stack+103456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+268636,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+105220,int_stack+104212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+270148,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+773359, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1108717,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+106516,int_stack+105220, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223984, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272164,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+818341, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1110985,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+100566,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+821365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1154455,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+100566,int_stack+1447183,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2046313,int_stack+1892593,int_stack+87336,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+108451,int_stack+108136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+532700, 0.0, zero_stack, 1.0, int_stack+575340, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+108871,int_stack+108451, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+533015, 0.0, zero_stack, 1.0, int_stack+575655, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+87336,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+517065, 0.0, zero_stack, 1.0, int_stack+559705, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+89226,int_stack+109411,int_stack+108871, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+533435, 0.0, zero_stack, 1.0, int_stack+576075, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+90846,int_stack+89226,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+523120, 0.0, zero_stack, 1.0, int_stack+565760, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+93366,int_stack+90846,int_stack+87336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+825901, 0.0, zero_stack, 1.0, int_stack+1047121, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+87336,int_stack+110527,int_stack+110086, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+536600, 0.0, zero_stack, 1.0, int_stack+579240, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88659,int_stack+111115,int_stack+110527, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+537041, 0.0, zero_stack, 1.0, int_stack+579681, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+90423,int_stack+88659,int_stack+87336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+827791, 0.0, zero_stack, 1.0, int_stack+1049011, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+111871,int_stack+111115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+537629, 0.0, zero_stack, 1.0, int_stack+580269, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+96516,int_stack+816073,int_stack+88659, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+833461, 0.0, zero_stack, 1.0, int_stack+1050334, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+100044,int_stack+96516,int_stack+90423, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+835225, 0.0, zero_stack, 1.0, int_stack+1056301, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1892593,int_stack+100044,int_stack+93366,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+113404,int_stack+112816, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+542060, 0.0, zero_stack, 1.0, int_stack+584700, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+87336,int_stack+114188,int_stack+113404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+542648, 0.0, zero_stack, 1.0, int_stack+585288, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+89688,int_stack+87336,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+837871, 0.0, zero_stack, 1.0, int_stack+1058947, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+93216,int_stack+115196,int_stack+114188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+543432, 0.0, zero_stack, 1.0, int_stack+586072, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+104454,int_stack+93216,int_stack+87336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+839635, 0.0, zero_stack, 1.0, int_stack+1060711, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+93216,int_stack+104454,int_stack+89688, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+887497, 0.0, zero_stack, 1.0, int_stack+1078603, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+93216,int_stack+100044,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2072773,int_stack+1441303,int_stack+1892593,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+117212,int_stack+116456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236516, 0.0, zero_stack, 1.0, int_stack+268636, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+118220,int_stack+117212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+238028, 0.0, zero_stack, 1.0, int_stack+270148, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+891025, 0.0, zero_stack, 1.0, int_stack+1108717, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+119516,int_stack+118220, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+240044, 0.0, zero_stack, 1.0, int_stack+272164, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+857527, 0.0, zero_stack, 1.0, int_stack+1110985, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+99096,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+933739, 0.0, zero_stack, 1.0, int_stack+1154455, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+99096,int_stack+93216,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+87336,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+121451,int_stack+121136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+554020, 1.0, int_stack+575340, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+121871,int_stack+121451, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+554335, 1.0, int_stack+575655, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+538385, 1.0, int_stack+559705, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+122411,int_stack+121871, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+554755, 1.0, int_stack+576075, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+544440, 1.0, int_stack+565760, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+938275, 1.0, int_stack+1047121, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+123527,int_stack+123086, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+557920, 1.0, int_stack+579240, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+124115,int_stack+123527, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+558361, 1.0, int_stack+579681, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+940165, 1.0, int_stack+1049011, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+124871,int_stack+124115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+558949, 1.0, int_stack+580269, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1450483,int_stack+816073,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+941488, 1.0, int_stack+1050334, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+947455, 1.0, int_stack+1056301, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1897003,int_stack+1892593,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+126404,int_stack+125816, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+563380, 1.0, int_stack+584700, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+127188,int_stack+126404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+563968, 1.0, int_stack+585288, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+950101, 1.0, int_stack+1058947, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1447183,int_stack+128196,int_stack+127188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+564752, 1.0, int_stack+586072, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+113796,int_stack+1447183,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+951865, 1.0, int_stack+1060711, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+113796,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+969757, 1.0, int_stack+1078603, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+113796,int_stack+1447183,int_stack+1892593,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2091673,int_stack+113796,int_stack+1897003,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+130212,int_stack+129456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252576, 1.0, int_stack+268636, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+131220,int_stack+130212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+254088, 1.0, int_stack+270148, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+999871, 1.0, int_stack+1108717, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+132516,int_stack+131220, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256104, 1.0, int_stack+272164, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+1110985, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1815733,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1042585, 1.0, int_stack+1154455, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1815733,int_stack+1447183,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2110573,int_stack+1892593,int_stack+113796,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+134451,int_stack+134136, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+575340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+134871,int_stack+134451, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+575655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+113796,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+559705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+115686,int_stack+135411,int_stack+134871, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+576075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+117306,int_stack+115686,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+565760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+119826,int_stack+117306,int_stack+113796, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1047121, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+113796,int_stack+136527,int_stack+136086, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+579240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+115119,int_stack+137115,int_stack+136527, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+579681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+116883,int_stack+115119,int_stack+113796, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1049011, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+137871,int_stack+137115, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+580269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+122976,int_stack+816073,int_stack+115119, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1050334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+126504,int_stack+122976,int_stack+116883, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1056301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1892593,int_stack+126504,int_stack+119826,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+139404,int_stack+138816, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+584700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+113796,int_stack+140188,int_stack+139404, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+585288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+116148,int_stack+113796,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1058947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+119676,int_stack+141196,int_stack+140188, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+586072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+130914,int_stack+119676,int_stack+113796, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1060711, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+119676,int_stack+130914,int_stack+116148, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1078603, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+119676,int_stack+126504,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2137033,int_stack+1441303,int_stack+1892593,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+143212,int_stack+142456, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+268636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+144220,int_stack+143212, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+270148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1108717, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+145516,int_stack+144220, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+272164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1110985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+125556,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1154455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+125556,int_stack+119676,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+113796,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+147451,int_stack+147136, 0.0, zero_stack, 1.0, int_stack+511380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+596660,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+147871,int_stack+147451, 0.0, zero_stack, 1.0, int_stack+511695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+596975,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 1.0, int_stack+717475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+581025,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+148411,int_stack+147871, 0.0, zero_stack, 1.0, int_stack+512115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+597395,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 1.0, int_stack+718420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+587080,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+719680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1158991,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+149527,int_stack+149086, 0.0, zero_stack, 1.0, int_stack+515280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+600560,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+150115,int_stack+149527, 0.0, zero_stack, 1.0, int_stack+515721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+601001,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+731506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1160881,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+150871,int_stack+150115, 0.0, zero_stack, 1.0, int_stack+516309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+601589,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1450483,int_stack+816073,int_stack+1442626, 0.0, zero_stack, 1.0, int_stack+732829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1162204,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1444390, 0.0, zero_stack, 1.0, int_stack+734593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1168171,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1897003,int_stack+1892593,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+152404,int_stack+151816, 0.0, zero_stack, 1.0, int_stack+520740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+606020,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+153188,int_stack+152404, 0.0, zero_stack, 1.0, int_stack+521328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+606608,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+816073, 0.0, zero_stack, 1.0, int_stack+760423, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1170817,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1447183,int_stack+154196,int_stack+153188, 0.0, zero_stack, 1.0, int_stack+522112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+607392,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+140256,int_stack+1447183,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+762187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1172581,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+140256,int_stack+1443655, 0.0, zero_stack, 1.0, int_stack+764539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1190473,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+140256,int_stack+1447183,int_stack+1892593,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2155933,int_stack+140256,int_stack+1897003,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+156212,int_stack+155456, 0.0, zero_stack, 1.0, int_stack+220456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+284696,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+157220,int_stack+156212, 0.0, zero_stack, 1.0, int_stack+221968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286208,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 1.0, int_stack+773359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1220587,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+158516,int_stack+157220, 0.0, zero_stack, 1.0, int_stack+223984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288224,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 1.0, int_stack+818341, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1815733,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 1.0, int_stack+821365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1263301,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1815733,int_stack+1447183,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2174833,int_stack+1892593,int_stack+140256,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+160451,int_stack+160136, 0.0, zero_stack, 1.0, int_stack+532700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+596660, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+160871,int_stack+160451, 0.0, zero_stack, 1.0, int_stack+533015, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+596975, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+140256,int_stack+703800,int_stack+697745, 0.0, zero_stack, 1.0, int_stack+517065, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+581025, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+142146,int_stack+161411,int_stack+160871, 0.0, zero_stack, 1.0, int_stack+533435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+597395, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+143766,int_stack+142146,int_stack+703800, 0.0, zero_stack, 1.0, int_stack+523120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+587080, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+146286,int_stack+143766,int_stack+140256, 0.0, zero_stack, 1.0, int_stack+825901, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1158991, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+140256,int_stack+162527,int_stack+162086, 0.0, zero_stack, 1.0, int_stack+536600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+600560, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+141579,int_stack+163115,int_stack+162527, 0.0, zero_stack, 1.0, int_stack+537041, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+601001, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143343,int_stack+141579,int_stack+140256, 0.0, zero_stack, 1.0, int_stack+827791, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1160881, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+163871,int_stack+163115, 0.0, zero_stack, 1.0, int_stack+537629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+601589, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+149436,int_stack+816073,int_stack+141579, 0.0, zero_stack, 1.0, int_stack+833461, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1162204, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+152964,int_stack+149436,int_stack+143343, 0.0, zero_stack, 1.0, int_stack+835225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1168171, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1892593,int_stack+152964,int_stack+146286,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+165404,int_stack+164816, 0.0, zero_stack, 1.0, int_stack+542060, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+606020, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+140256,int_stack+166188,int_stack+165404, 0.0, zero_stack, 1.0, int_stack+542648, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+606608, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142608,int_stack+140256,int_stack+816073, 0.0, zero_stack, 1.0, int_stack+837871, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1170817, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+146136,int_stack+167196,int_stack+166188, 0.0, zero_stack, 1.0, int_stack+543432, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+607392, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+157374,int_stack+146136,int_stack+140256, 0.0, zero_stack, 1.0, int_stack+839635, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1172581, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+146136,int_stack+157374,int_stack+142608, 0.0, zero_stack, 1.0, int_stack+887497, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1190473, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+146136,int_stack+152964,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2201293,int_stack+1441303,int_stack+1892593,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+169212,int_stack+168456, 0.0, zero_stack, 1.0, int_stack+236516, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+284696, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+170220,int_stack+169212, 0.0, zero_stack, 1.0, int_stack+238028, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286208, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 1.0, int_stack+891025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1220587, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+171516,int_stack+170220, 0.0, zero_stack, 1.0, int_stack+240044, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+288224, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 1.0, int_stack+857527, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+152016,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 1.0, int_stack+933739, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1263301, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+152016,int_stack+146136,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+140256,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+173451,int_stack+173136, 0.0, zero_stack, 1.0, int_stack+554020, 0.0, zero_stack, 1.0, int_stack+596660, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+173871,int_stack+173451, 0.0, zero_stack, 1.0, int_stack+554335, 0.0, zero_stack, 1.0, int_stack+596975, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 1.0, int_stack+538385, 0.0, zero_stack, 1.0, int_stack+581025, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+174411,int_stack+173871, 0.0, zero_stack, 1.0, int_stack+554755, 0.0, zero_stack, 1.0, int_stack+597395, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 1.0, int_stack+544440, 0.0, zero_stack, 1.0, int_stack+587080, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+938275, 0.0, zero_stack, 1.0, int_stack+1158991, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+175527,int_stack+175086, 0.0, zero_stack, 1.0, int_stack+557920, 0.0, zero_stack, 1.0, int_stack+600560, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+176115,int_stack+175527, 0.0, zero_stack, 1.0, int_stack+558361, 0.0, zero_stack, 1.0, int_stack+601001, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+940165, 0.0, zero_stack, 1.0, int_stack+1160881, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+176871,int_stack+176115, 0.0, zero_stack, 1.0, int_stack+558949, 0.0, zero_stack, 1.0, int_stack+601589, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1450483,int_stack+816073,int_stack+1442626, 0.0, zero_stack, 1.0, int_stack+941488, 0.0, zero_stack, 1.0, int_stack+1162204, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1444390, 0.0, zero_stack, 1.0, int_stack+947455, 0.0, zero_stack, 1.0, int_stack+1168171, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1897003,int_stack+1892593,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+178404,int_stack+177816, 0.0, zero_stack, 1.0, int_stack+563380, 0.0, zero_stack, 1.0, int_stack+606020, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+179188,int_stack+178404, 0.0, zero_stack, 1.0, int_stack+563968, 0.0, zero_stack, 1.0, int_stack+606608, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+816073, 0.0, zero_stack, 1.0, int_stack+950101, 0.0, zero_stack, 1.0, int_stack+1170817, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1447183,int_stack+180196,int_stack+179188, 0.0, zero_stack, 1.0, int_stack+564752, 0.0, zero_stack, 1.0, int_stack+607392, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+166716,int_stack+1447183,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+951865, 0.0, zero_stack, 1.0, int_stack+1172581, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+166716,int_stack+1443655, 0.0, zero_stack, 1.0, int_stack+969757, 0.0, zero_stack, 1.0, int_stack+1190473, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+166716,int_stack+1447183,int_stack+1892593,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2220193,int_stack+166716,int_stack+1897003,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+182212,int_stack+181456, 0.0, zero_stack, 1.0, int_stack+252576, 0.0, zero_stack, 1.0, int_stack+284696, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+183220,int_stack+182212, 0.0, zero_stack, 1.0, int_stack+254088, 0.0, zero_stack, 1.0, int_stack+286208, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 1.0, int_stack+999871, 0.0, zero_stack, 1.0, int_stack+1220587, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+184516,int_stack+183220, 0.0, zero_stack, 1.0, int_stack+256104, 0.0, zero_stack, 1.0, int_stack+288224, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1815733,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 1.0, int_stack+1042585, 0.0, zero_stack, 1.0, int_stack+1263301, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1815733,int_stack+1447183,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2239093,int_stack+1892593,int_stack+166716,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+186451,int_stack+186136, 0.0, zero_stack, 1.0, int_stack+575340, 1.0, int_stack+596660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+186871,int_stack+186451, 0.0, zero_stack, 1.0, int_stack+575655, 1.0, int_stack+596975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166716,int_stack+703800,int_stack+697745, 0.0, zero_stack, 1.0, int_stack+559705, 1.0, int_stack+581025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+168606,int_stack+187411,int_stack+186871, 0.0, zero_stack, 1.0, int_stack+576075, 1.0, int_stack+597395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+170226,int_stack+168606,int_stack+703800, 0.0, zero_stack, 1.0, int_stack+565760, 1.0, int_stack+587080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+172746,int_stack+170226,int_stack+166716, 0.0, zero_stack, 1.0, int_stack+1047121, 1.0, int_stack+1158991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+166716,int_stack+188527,int_stack+188086, 0.0, zero_stack, 1.0, int_stack+579240, 1.0, int_stack+600560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+168039,int_stack+189115,int_stack+188527, 0.0, zero_stack, 1.0, int_stack+579681, 1.0, int_stack+601001, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+169803,int_stack+168039,int_stack+166716, 0.0, zero_stack, 1.0, int_stack+1049011, 1.0, int_stack+1160881, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+189871,int_stack+189115, 0.0, zero_stack, 1.0, int_stack+580269, 1.0, int_stack+601589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+175896,int_stack+816073,int_stack+168039, 0.0, zero_stack, 1.0, int_stack+1050334, 1.0, int_stack+1162204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+179424,int_stack+175896,int_stack+169803, 0.0, zero_stack, 1.0, int_stack+1056301, 1.0, int_stack+1168171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1892593,int_stack+179424,int_stack+172746,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+191404,int_stack+190816, 0.0, zero_stack, 1.0, int_stack+584700, 1.0, int_stack+606020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+166716,int_stack+192188,int_stack+191404, 0.0, zero_stack, 1.0, int_stack+585288, 1.0, int_stack+606608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+169068,int_stack+166716,int_stack+816073, 0.0, zero_stack, 1.0, int_stack+1058947, 1.0, int_stack+1170817, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+172596,int_stack+193196,int_stack+192188, 0.0, zero_stack, 1.0, int_stack+586072, 1.0, int_stack+607392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+183834,int_stack+172596,int_stack+166716, 0.0, zero_stack, 1.0, int_stack+1060711, 1.0, int_stack+1172581, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+172596,int_stack+183834,int_stack+169068, 0.0, zero_stack, 1.0, int_stack+1078603, 1.0, int_stack+1190473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+172596,int_stack+179424,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2265553,int_stack+1441303,int_stack+1892593,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+195212,int_stack+194456, 0.0, zero_stack, 1.0, int_stack+268636, 1.0, int_stack+284696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+196220,int_stack+195212, 0.0, zero_stack, 1.0, int_stack+270148, 1.0, int_stack+286208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 1.0, int_stack+1108717, 1.0, int_stack+1220587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+197516,int_stack+196220, 0.0, zero_stack, 1.0, int_stack+272164, 1.0, int_stack+288224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 1.0, int_stack+1110985, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+178476,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 1.0, int_stack+1154455, 1.0, int_stack+1263301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+178476,int_stack+172596,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+166716,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+199451,int_stack+199136, 0.0, zero_stack, 2.0, int_stack+596660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+199871,int_stack+199451, 0.0, zero_stack, 2.0, int_stack+596975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 2.0, int_stack+581025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+200411,int_stack+199871, 0.0, zero_stack, 2.0, int_stack+597395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 2.0, int_stack+587080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 2.0, int_stack+1158991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+201527,int_stack+201086, 0.0, zero_stack, 2.0, int_stack+600560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+202115,int_stack+201527, 0.0, zero_stack, 2.0, int_stack+601001, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 2.0, int_stack+1160881, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+202871,int_stack+202115, 0.0, zero_stack, 2.0, int_stack+601589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1450483,int_stack+816073,int_stack+1442626, 0.0, zero_stack, 2.0, int_stack+1162204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1444390, 0.0, zero_stack, 2.0, int_stack+1168171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1897003,int_stack+1892593,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+204404,int_stack+203816, 0.0, zero_stack, 2.0, int_stack+606020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+205188,int_stack+204404, 0.0, zero_stack, 2.0, int_stack+606608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+816073, 0.0, zero_stack, 2.0, int_stack+1170817, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1447183,int_stack+206196,int_stack+205188, 0.0, zero_stack, 2.0, int_stack+607392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+193176,int_stack+1447183,int_stack+1441303, 0.0, zero_stack, 2.0, int_stack+1172581, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+193176,int_stack+1443655, 0.0, zero_stack, 2.0, int_stack+1190473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+193176,int_stack+1447183,int_stack+1892593,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2284453,int_stack+193176,int_stack+1897003,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+208212,int_stack+207456, 0.0, zero_stack, 2.0, int_stack+284696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+209220,int_stack+208212, 0.0, zero_stack, 2.0, int_stack+286208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 0.0, zero_stack, 2.0, int_stack+1220587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+210516,int_stack+209220, 0.0, zero_stack, 2.0, int_stack+288224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 0.0, zero_stack, 2.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1815733,int_stack+1904041,int_stack+1895617, 0.0, zero_stack, 2.0, int_stack+1263301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1815733,int_stack+1447183,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2303353,int_stack+1892593,int_stack+193176,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+212451,int_stack+212136, 1.0, int_stack+511380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+617980,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+212871,int_stack+212451, 1.0, int_stack+511695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+618295,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+193176,int_stack+703800,int_stack+697745, 1.0, int_stack+717475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+602345,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+195066,int_stack+213411,int_stack+212871, 1.0, int_stack+512115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+618715,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+196686,int_stack+195066,int_stack+703800, 1.0, int_stack+718420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+608400,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+199206,int_stack+196686,int_stack+193176, 1.0, int_stack+719680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1267837,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+193176,int_stack+214527,int_stack+214086, 1.0, int_stack+515280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+621880,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+194499,int_stack+215115,int_stack+214527, 1.0, int_stack+515721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+622321,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+196263,int_stack+194499,int_stack+193176, 1.0, int_stack+731506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1269727,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+816073,int_stack+215871,int_stack+215115, 1.0, int_stack+516309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+622909,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+202356,int_stack+816073,int_stack+194499, 1.0, int_stack+732829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1271050,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+205884,int_stack+202356,int_stack+196263, 1.0, int_stack+734593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1277017,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1892593,int_stack+205884,int_stack+199206,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+217404,int_stack+216816, 1.0, int_stack+520740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+627928,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+731506,int_stack+218188,int_stack+217404, 1.0, int_stack+521328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+629300,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+193176,int_stack+731506,int_stack+816073, 1.0, int_stack+760423, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1279663,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+733858,int_stack+219196,int_stack+218188, 1.0, int_stack+522112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+631092,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+196704,int_stack+733858,int_stack+731506, 1.0, int_stack+762187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1281427,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+210294,int_stack+196704,int_stack+193176, 1.0, int_stack+764539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1299319,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+210294,int_stack+205884,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2329813,int_stack+1441303,int_stack+1892593,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+816073,int_stack+222976,int_stack+221212, 1.0, int_stack+220456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301512,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+225280,int_stack+222976, 1.0, int_stack+221968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304032,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+816073, 1.0, int_stack+773359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1329433,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900153,int_stack+226576,int_stack+225280, 1.0, int_stack+223984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+306048,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1900153,int_stack+1892593, 1.0, int_stack+818341, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1331701,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+193176,int_stack+1904041,int_stack+1895617, 1.0, int_stack+821365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1375171,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+193176,int_stack+210294,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+193176,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+228511,int_stack+228196, 1.0, int_stack+532700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+617980, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+228931,int_stack+228511, 1.0, int_stack+533015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+618295, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 1.0, int_stack+517065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+602345, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+229471,int_stack+228931, 1.0, int_stack+533435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+618715, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 1.0, int_stack+523120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+608400, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 1.0, int_stack+825901, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1267837, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+230587,int_stack+230146, 1.0, int_stack+536600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+621880, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+231175,int_stack+230587, 1.0, int_stack+537041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+622321, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 1.0, int_stack+827791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1269727, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+231931,int_stack+231175, 1.0, int_stack+537629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+622909, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1442626, 1.0, int_stack+833461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1271050, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1896121,int_stack+1892593,int_stack+1444390, 1.0, int_stack+835225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1277017, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1900531,int_stack+1896121,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+233464,int_stack+232876, 1.0, int_stack+542060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+627928, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+833461,int_stack+234248,int_stack+233464, 1.0, int_stack+542648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+629300, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+833461,int_stack+1892593, 1.0, int_stack+837871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1279663, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1892593,int_stack+235256,int_stack+234248, 1.0, int_stack+543432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+631092, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444831,int_stack+1892593,int_stack+833461, 1.0, int_stack+839635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1281427, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+833461,int_stack+1444831,int_stack+1441303, 1.0, int_stack+887497, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1299319, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+833461,int_stack+1896121,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+2348713,int_stack+1441303,int_stack+1900531,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+887497,int_stack+239036,int_stack+237272, 1.0, int_stack+236516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301512, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+839341,int_stack+241340,int_stack+239036, 1.0, int_stack+238028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304032, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1892593,int_stack+839341,int_stack+887497, 1.0, int_stack+891025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1329433, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+887497,int_stack+242636,int_stack+241340, 1.0, int_stack+240044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+306048, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1897129,int_stack+887497,int_stack+839341, 1.0, int_stack+857527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1331701, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+887497,int_stack+1897129,int_stack+1892593, 1.0, int_stack+933739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1375171, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+887497,int_stack+833461,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2367613,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+244571,int_stack+244256, 1.0, int_stack+554020, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+617980, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+244991,int_stack+244571, 1.0, int_stack+554335, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+618295, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 1.0, int_stack+538385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+602345, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+245531,int_stack+244991, 1.0, int_stack+554755, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+618715, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 1.0, int_stack+544440, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+608400, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 1.0, int_stack+938275, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1267837, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+246647,int_stack+246206, 1.0, int_stack+557920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+621880, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+247235,int_stack+246647, 1.0, int_stack+558361, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+622321, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 1.0, int_stack+940165, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1269727, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+247991,int_stack+247235, 1.0, int_stack+558949, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+622909, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1442626, 1.0, int_stack+941488, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1271050, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1896121,int_stack+1892593,int_stack+1444390, 1.0, int_stack+947455, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1277017, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1900531,int_stack+1896121,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+947455,int_stack+249524,int_stack+248936, 1.0, int_stack+563380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+627928, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+250308,int_stack+249524, 1.0, int_stack+563968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+629300, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+1892593,int_stack+947455, 1.0, int_stack+950101, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1279663, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+947455,int_stack+251316,int_stack+250308, 1.0, int_stack+564752, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+631092, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444831,int_stack+947455,int_stack+1892593, 1.0, int_stack+951865, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1281427, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+947455,int_stack+1444831,int_stack+1441303, 1.0, int_stack+969757, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1299319, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+947455,int_stack+1896121,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+219636,int_stack+1441303,int_stack+1900531,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+969757,int_stack+255096,int_stack+253332, 1.0, int_stack+252576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301512, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+257400,int_stack+255096, 1.0, int_stack+254088, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304032, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895617,int_stack+1892593,int_stack+969757, 1.0, int_stack+999871, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1329433, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+258696,int_stack+257400, 1.0, int_stack+256104, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+306048, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1900153,int_stack+999871,int_stack+1892593, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1331701, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+833461,int_stack+1900153,int_stack+1895617, 1.0, int_stack+1042585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1375171, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+833461,int_stack+947455,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2394073,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+260631,int_stack+260316, 1.0, int_stack+575340, 0.0, zero_stack, 1.0, int_stack+617980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+261051,int_stack+260631, 1.0, int_stack+575655, 0.0, zero_stack, 1.0, int_stack+618295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 1.0, int_stack+559705, 0.0, zero_stack, 1.0, int_stack+602345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+261591,int_stack+261051, 1.0, int_stack+576075, 0.0, zero_stack, 1.0, int_stack+618715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 1.0, int_stack+565760, 0.0, zero_stack, 1.0, int_stack+608400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 1.0, int_stack+1047121, 0.0, zero_stack, 1.0, int_stack+1267837, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+262707,int_stack+262266, 1.0, int_stack+579240, 0.0, zero_stack, 1.0, int_stack+621880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+263295,int_stack+262707, 1.0, int_stack+579681, 0.0, zero_stack, 1.0, int_stack+622321, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 1.0, int_stack+1049011, 0.0, zero_stack, 1.0, int_stack+1269727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+264051,int_stack+263295, 1.0, int_stack+580269, 0.0, zero_stack, 1.0, int_stack+622909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1442626, 1.0, int_stack+1050334, 0.0, zero_stack, 1.0, int_stack+1271050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1896121,int_stack+1892593,int_stack+1444390, 1.0, int_stack+1056301, 0.0, zero_stack, 1.0, int_stack+1277017, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1900531,int_stack+1896121,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1056301,int_stack+265584,int_stack+264996, 1.0, int_stack+584700, 0.0, zero_stack, 1.0, int_stack+627928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+266368,int_stack+265584, 1.0, int_stack+585288, 0.0, zero_stack, 1.0, int_stack+629300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+1892593,int_stack+1056301, 1.0, int_stack+1058947, 0.0, zero_stack, 1.0, int_stack+1279663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+267376,int_stack+266368, 1.0, int_stack+586072, 0.0, zero_stack, 1.0, int_stack+631092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+0,int_stack+1892593, 1.0, int_stack+1060711, 0.0, zero_stack, 1.0, int_stack+1281427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1056301,int_stack+999871,int_stack+1441303, 1.0, int_stack+1078603, 0.0, zero_stack, 1.0, int_stack+1299319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1056301,int_stack+1896121,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+238536,int_stack+1441303,int_stack+1900531,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1078603,int_stack+271156,int_stack+269392, 1.0, int_stack+268636, 0.0, zero_stack, 1.0, int_stack+301512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+273460,int_stack+271156, 1.0, int_stack+270148, 0.0, zero_stack, 1.0, int_stack+304032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+999871,int_stack+0,int_stack+1078603, 1.0, int_stack+1108717, 0.0, zero_stack, 1.0, int_stack+1329433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1892593,int_stack+274756,int_stack+273460, 1.0, int_stack+272164, 0.0, zero_stack, 1.0, int_stack+306048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1896481,int_stack+1892593,int_stack+0, 1.0, int_stack+1110985, 0.0, zero_stack, 1.0, int_stack+1331701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1108717,int_stack+1896481,int_stack+999871, 1.0, int_stack+1154455, 0.0, zero_stack, 1.0, int_stack+1375171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1108717,int_stack+1056301,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2420533,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+276691,int_stack+276376, 1.0, int_stack+596660, 1.0, int_stack+617980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+277111,int_stack+276691, 1.0, int_stack+596975, 1.0, int_stack+618295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 1.0, int_stack+581025, 1.0, int_stack+602345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+277651,int_stack+277111, 1.0, int_stack+597395, 1.0, int_stack+618715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 1.0, int_stack+587080, 1.0, int_stack+608400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 1.0, int_stack+1158991, 1.0, int_stack+1267837, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+278767,int_stack+278326, 1.0, int_stack+600560, 1.0, int_stack+621880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+279355,int_stack+278767, 1.0, int_stack+601001, 1.0, int_stack+622321, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 1.0, int_stack+1160881, 1.0, int_stack+1269727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+280111,int_stack+279355, 1.0, int_stack+601589, 1.0, int_stack+622909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1442626, 1.0, int_stack+1162204, 1.0, int_stack+1271050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1896121,int_stack+1892593,int_stack+1444390, 1.0, int_stack+1168171, 1.0, int_stack+1277017, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1900531,int_stack+1896121,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1168171,int_stack+281644,int_stack+281056, 1.0, int_stack+606020, 1.0, int_stack+627928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+282428,int_stack+281644, 1.0, int_stack+606608, 1.0, int_stack+629300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+1892593,int_stack+1168171, 1.0, int_stack+1170817, 1.0, int_stack+1279663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+283436,int_stack+282428, 1.0, int_stack+607392, 1.0, int_stack+631092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+0,int_stack+1892593, 1.0, int_stack+1172581, 1.0, int_stack+1281427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1168171,int_stack+999871,int_stack+1441303, 1.0, int_stack+1190473, 1.0, int_stack+1299319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1168171,int_stack+1896121,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+257436,int_stack+1441303,int_stack+1900531,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1190473,int_stack+287216,int_stack+285452, 1.0, int_stack+284696, 1.0, int_stack+301512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+289520,int_stack+287216, 1.0, int_stack+286208, 1.0, int_stack+304032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+999871,int_stack+0,int_stack+1190473, 1.0, int_stack+1220587, 1.0, int_stack+1329433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1220587,int_stack+290816,int_stack+289520, 1.0, int_stack+288224, 1.0, int_stack+306048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1892593,int_stack+1220587,int_stack+0, 1.0, int_stack+3024, 1.0, int_stack+1331701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1898641,int_stack+1892593,int_stack+999871, 1.0, int_stack+1263301, 1.0, int_stack+1375171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+1898641,int_stack+1168171,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2446993,int_stack+1815733,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+292751,int_stack+292436, 2.0, int_stack+617980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+293171,int_stack+292751, 2.0, int_stack+618295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 2.0, int_stack+602345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+293711,int_stack+293171, 2.0, int_stack+618715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 2.0, int_stack+608400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 2.0, int_stack+1267837, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+294827,int_stack+294386, 2.0, int_stack+621880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+295415,int_stack+294827, 2.0, int_stack+622321, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 2.0, int_stack+1269727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+296171,int_stack+295415, 2.0, int_stack+622909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626, 2.0, int_stack+1271050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390, 2.0, int_stack+1277017, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1277017,int_stack+297704,int_stack+297116, 2.0, int_stack+627928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1815733,int_stack+298488,int_stack+297704, 2.0, int_stack+629300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+1815733,int_stack+1277017, 2.0, int_stack+1279663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1277017,int_stack+299496,int_stack+298488, 2.0, int_stack+631092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1277017,int_stack+1815733, 2.0, int_stack+1281427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1277017,int_stack+999871,int_stack+1441303, 2.0, int_stack+1299319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1277017,int_stack+1819261,210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+276336,int_stack+1441303,int_stack+1823671,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1299319,int_stack+305040,int_stack+302268, 2.0, int_stack+301512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+999871,int_stack+307344,int_stack+305040, 2.0, int_stack+304032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1815733,int_stack+999871,int_stack+1299319, 2.0, int_stack+1329433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1820269,int_stack+308640,int_stack+307344, 2.0, int_stack+306048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+1820269,int_stack+999871, 2.0, int_stack+1331701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1820269,int_stack+0,int_stack+1815733, 2.0, int_stack+1375171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1820269,int_stack+1277017,210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+2473453,int_stack+1892593,int_stack+1441303,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+310575,int_stack+310260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+644740,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+310995,int_stack+310575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+645055,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+623665,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+311535,int_stack+310995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+645475,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14256,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756895,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+312651,int_stack+312210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+648640,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+313239,int_stack+312651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+649081,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1392307,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+313995,int_stack+313239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+649669,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1397977,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1896121,int_stack+1892593,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+728860,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1900531,int_stack+1896121,int_stack+1447333, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+725710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+315528,int_stack+314940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+654100,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+316312,int_stack+315528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+654688,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1405915,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1892593,int_stack+317320,int_stack+316312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+655472,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1892593,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1407679,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1410031,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1815733,int_stack+1447183,int_stack+1896121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+743035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+295236,int_stack+1815733,int_stack+1900531, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+747445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+319336,int_stack+318580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383580,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+320344,int_stack+319336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385092,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1375171,int_stack+1441303,int_stack+999871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6048,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+321640,int_stack+320344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387108,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+999871,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737239,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+0,int_stack+1375171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1520893,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+2499913,int_stack+1892593,int_stack+1447183, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+775795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2517553,int_stack+2499913,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+781675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+323575,int_stack+323260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+644740, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+323995,int_stack+323575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+645055, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1815733,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+623665, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1817623,int_stack+324535,int_stack+323995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+645475, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1819243,int_stack+1817623,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14256, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821763,int_stack+1819243,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756895, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+325651,int_stack+325210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+648640, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1817056,int_stack+326239,int_stack+325651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+649081, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1818820,int_stack+1817056,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1392307, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1824913,int_stack+326995,int_stack+326239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+649669, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1827181,int_stack+1824913,int_stack+1817056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1397977, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+1827181,int_stack+1818820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+728860, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+2504323,int_stack+2499913,int_stack+1821763, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+830311, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+328528,int_stack+327940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+654100, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1817497,int_stack+329312,int_stack+328528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+654688, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1819849,int_stack+1817497,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1405915, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1823377,int_stack+330320,int_stack+329312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+655472, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1823377,int_stack+1817497, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1407679, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1823377,int_stack+999871,int_stack+1819849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1410031, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1823377,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+843667, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+2544013,int_stack+1441303,int_stack+2504323, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+848077, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+332336,int_stack+331580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383580, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2502181,int_stack+333344,int_stack+332336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385092, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1375171,int_stack+2502181,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6048, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2505205,int_stack+334640,int_stack+333344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387108, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+2505205,int_stack+2502181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737239, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+0,int_stack+1375171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1520893, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+2499913,int_stack+1823377, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+895729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2562913,int_stack+1892593,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+901609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+336575,int_stack+336260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+644740, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+336995,int_stack+336575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+645055, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+623665, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+337535,int_stack+336995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+645475, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14256, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756895, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+338651,int_stack+338210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+648640, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+339239,int_stack+338651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+649081, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1392307, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+339995,int_stack+339239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+649669, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1397977, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1896121,int_stack+1892593,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+728860, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1900531,int_stack+1896121,int_stack+1447333, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+944305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+341528,int_stack+340940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+654100, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+342312,int_stack+341528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+654688, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1405915, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1892593,int_stack+343320,int_stack+342312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+655472, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1892593,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1407679, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1410031, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+2499913,int_stack+1447183,int_stack+1896121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+955897, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+314136,int_stack+2499913,int_stack+1900531, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+960307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+345336,int_stack+344580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383580, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+346344,int_stack+345336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385092, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1375171,int_stack+1441303,int_stack+999871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6048, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+347640,int_stack+346344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387108, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+999871,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737239, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+0,int_stack+1375171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1520893, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+1892593,int_stack+1447183, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1004575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2589373,int_stack+1815733,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1010455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+349575,int_stack+349260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+644740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+349995,int_stack+349575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+645055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2499913,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+623665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2501803,int_stack+350535,int_stack+349995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+645475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2503423,int_stack+2501803,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2505943,int_stack+2503423,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+351651,int_stack+351210, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+648640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2501236,int_stack+352239,int_stack+351651, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+649081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2503000,int_stack+2501236,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1392307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2509093,int_stack+352995,int_stack+352239, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+649669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2511361,int_stack+2509093,int_stack+2501236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1397977, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1815733,int_stack+2511361,int_stack+2503000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1820143,int_stack+1815733,int_stack+2505943, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1053151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+354528,int_stack+353940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+654100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2501677,int_stack+355312,int_stack+354528, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+654688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2504029,int_stack+2501677,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1405915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2507557,int_stack+356320,int_stack+355312, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+655472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+2507557,int_stack+2501677, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1407679, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2507557,int_stack+999871,int_stack+2504029, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1410031, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+2507557,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1064743, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+333036,int_stack+1441303,int_stack+1820143, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1069153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+358336,int_stack+357580, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1818001,int_stack+359344,int_stack+358336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+385092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1375171,int_stack+1818001,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1821025,int_stack+360640,int_stack+359344, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+1821025,int_stack+1818001, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+737239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1815733,int_stack+0,int_stack+1375171, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1520893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1815733,int_stack+2507557, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1116445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2615833,int_stack+1892593,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1122325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+362575,int_stack+362260, 0.0, zero_stack, 1.0, int_stack+644740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+362995,int_stack+362575, 0.0, zero_stack, 1.0, int_stack+645055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 1.0, int_stack+623665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+363535,int_stack+362995, 0.0, zero_stack, 1.0, int_stack+645475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 1.0, int_stack+14256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+756895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+364651,int_stack+364210, 0.0, zero_stack, 1.0, int_stack+648640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+365239,int_stack+364651, 0.0, zero_stack, 1.0, int_stack+649081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1392307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+365995,int_stack+365239, 0.0, zero_stack, 1.0, int_stack+649669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1892593,int_stack+1450483,int_stack+1442626, 0.0, zero_stack, 1.0, int_stack+1397977, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1896121,int_stack+1892593,int_stack+1444390, 0.0, zero_stack, 1.0, int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1900531,int_stack+1896121,int_stack+1447333, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1165021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+367528,int_stack+366940, 0.0, zero_stack, 1.0, int_stack+654100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+368312,int_stack+367528, 0.0, zero_stack, 1.0, int_stack+654688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1892593, 0.0, zero_stack, 1.0, int_stack+1405915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1892593,int_stack+369320,int_stack+368312, 0.0, zero_stack, 1.0, int_stack+655472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1892593,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1407679, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655, 0.0, zero_stack, 1.0, int_stack+1410031, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1815733,int_stack+1447183,int_stack+1896121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1176613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+2642293,int_stack+1815733,int_stack+1900531, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1181023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+371336,int_stack+370580, 0.0, zero_stack, 1.0, int_stack+383580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+372344,int_stack+371336, 0.0, zero_stack, 1.0, int_stack+385092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1375171,int_stack+1441303,int_stack+999871, 0.0, zero_stack, 1.0, int_stack+6048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+373640,int_stack+372344, 0.0, zero_stack, 1.0, int_stack+387108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+999871,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+737239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+0,int_stack+1375171, 0.0, zero_stack, 1.0, int_stack+1520893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+2499913,int_stack+1892593,int_stack+1447183, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1225291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2661193,int_stack+2499913,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1231171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+375575,int_stack+375260, 1.0, int_stack+644740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+375995,int_stack+375575, 1.0, int_stack+645055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1815733,int_stack+703800,int_stack+697745, 1.0, int_stack+623665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1817623,int_stack+376535,int_stack+375995, 1.0, int_stack+645475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1819243,int_stack+1817623,int_stack+703800, 1.0, int_stack+14256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821763,int_stack+1819243,int_stack+1815733, 1.0, int_stack+756895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+756895,int_stack+377651,int_stack+377210, 1.0, int_stack+648640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+758218,int_stack+378239,int_stack+377651, 1.0, int_stack+649081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+759982,int_stack+758218,int_stack+756895, 1.0, int_stack+1392307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+762628,int_stack+378995,int_stack+378239, 1.0, int_stack+649669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+762628,int_stack+758218, 1.0, int_stack+1397977, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1397977,int_stack+1815733,int_stack+759982, 1.0, int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+756895,int_stack+1397977,int_stack+1821763, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1273867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+728860,int_stack+380528,int_stack+379940, 1.0, int_stack+654100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+730624,int_stack+381312,int_stack+380528, 1.0, int_stack+654688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1402387,int_stack+730624,int_stack+728860, 1.0, int_stack+1405915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+732976,int_stack+382320,int_stack+381312, 1.0, int_stack+655472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+732976,int_stack+730624, 1.0, int_stack+1407679, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+728860,int_stack+999871,int_stack+1402387, 1.0, int_stack+1410031, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+728860,int_stack+1397977, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1285459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+351936,int_stack+1441303,int_stack+756895, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1289869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+756895,int_stack+386100,int_stack+384336, 1.0, int_stack+383580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+759163,int_stack+388404,int_stack+386100, 1.0, int_stack+385092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1375171,int_stack+759163,int_stack+756895, 1.0, int_stack+6048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+762187,int_stack+389700,int_stack+388404, 1.0, int_stack+387108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1397977,int_stack+762187,int_stack+759163, 1.0, int_stack+737239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+756895,int_stack+1397977,int_stack+1375171, 1.0, int_stack+1520893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+756895,int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1337161, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2687653,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1343041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+391635,int_stack+391320,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+392055,int_stack+391635,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+392595,int_stack+392055,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+393711,int_stack+393270,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+394299,int_stack+393711,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+395055,int_stack+394299,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1394827, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+396588,int_stack+396000,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+397372,int_stack+396588,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+398380,int_stack+397372,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1815733,int_stack+1441303,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+728860,int_stack+1447183,int_stack+1819261, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+768067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+370836,int_stack+728860,int_stack+1823671, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1473433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+400396,int_stack+399640,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+401404,int_stack+400396,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1520893,int_stack+1441303,int_stack+999871,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+402700,int_stack+401404,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+999871,int_stack+1441303,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1821781,int_stack+1815733,int_stack+1520893,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+2499913,int_stack+1821781,int_stack+1447183, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1482883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2714113,int_stack+2499913,int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1488763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+404635,int_stack+404320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666060,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+405055,int_stack+404635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666375,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+728860,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+650425,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+730750,int_stack+405595,int_stack+405055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666795,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+732370,int_stack+730750,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+656480,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+734890,int_stack+732370,int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1525429,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+728860,int_stack+406711,int_stack+406270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+669960,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+730183,int_stack+407299,int_stack+406711, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670401,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+731947,int_stack+730183,int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527319,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+738040,int_stack+408055,int_stack+407299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670989,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2499913,int_stack+738040,int_stack+730183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1528642,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+738040,int_stack+2499913,int_stack+731947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1534609,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+2499913,int_stack+738040,int_stack+734890, 0.0, zero_stack, 1.0, int_stack+725710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2509363,int_stack+409588,int_stack+409000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675420,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2511127,int_stack+410372,int_stack+409588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+676008,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2513479,int_stack+2511127,int_stack+2509363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1537255,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+728860,int_stack+411380,int_stack+410372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+676792,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+728860,int_stack+2511127, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1539019,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+728860,int_stack+999871,int_stack+2513479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1547461,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+728860,int_stack+738040, 0.0, zero_stack, 1.0, int_stack+743035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+389736,int_stack+1441303,int_stack+2499913, 0.0, zero_stack, 1.0, int_stack+747445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+413396,int_stack+412640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+477640,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2502181,int_stack+414404,int_stack+413396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+479152,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1520893,int_stack+2502181,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1592587,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2505205,int_stack+415700,int_stack+414404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+481168,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2509093,int_stack+2505205,int_stack+2502181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1550989,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+2509093,int_stack+1520893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1635301,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+2499913,int_stack+728860, 0.0, zero_stack, 1.0, int_stack+775795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2740573,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+781675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+417635,int_stack+417320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666060, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+418055,int_stack+417635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666375, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+650425, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+418595,int_stack+418055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666795, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+656480, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1525429, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+419711,int_stack+419270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+669960, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+420299,int_stack+419711, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670401, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527319, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+421055,int_stack+420299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670989, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1528642, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1534609, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333, 0.0, zero_stack, 1.0, int_stack+830311, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+422588,int_stack+422000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675420, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+423372,int_stack+422588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+676008, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1537255, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+424380,int_stack+423372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+676792, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1539019, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1547461, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+728860,int_stack+1447183,int_stack+1819261, 0.0, zero_stack, 1.0, int_stack+843667, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+2767033,int_stack+728860,int_stack+1823671, 0.0, zero_stack, 1.0, int_stack+848077, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+426396,int_stack+425640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+477640, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+427404,int_stack+426396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+479152, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1520893,int_stack+1441303,int_stack+999871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1592587, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+428700,int_stack+427404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+481168, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+999871,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1550989, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821781,int_stack+1815733,int_stack+1520893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1635301, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+2499913,int_stack+1821781,int_stack+1447183, 0.0, zero_stack, 1.0, int_stack+895729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2785933,int_stack+2499913,int_stack+728860, 0.0, zero_stack, 1.0, int_stack+901609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+430635,int_stack+430320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666060, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+431055,int_stack+430635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666375, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+728860,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+650425, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+730750,int_stack+431595,int_stack+431055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666795, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+732370,int_stack+730750,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+656480, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+734890,int_stack+732370,int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1525429, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+728860,int_stack+432711,int_stack+432270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+669960, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+730183,int_stack+433299,int_stack+432711, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670401, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+731947,int_stack+730183,int_stack+728860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527319, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+738040,int_stack+434055,int_stack+433299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670989, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2499913,int_stack+738040,int_stack+730183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1528642, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+738040,int_stack+2499913,int_stack+731947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1534609, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+2499913,int_stack+738040,int_stack+734890, 0.0, zero_stack, 1.0, int_stack+944305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2509363,int_stack+435588,int_stack+435000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675420, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2511127,int_stack+436372,int_stack+435588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+676008, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2513479,int_stack+2511127,int_stack+2509363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1537255, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+728860,int_stack+437380,int_stack+436372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+676792, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+728860,int_stack+2511127, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1539019, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+728860,int_stack+999871,int_stack+2513479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1547461, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+728860,int_stack+738040, 0.0, zero_stack, 1.0, int_stack+955897, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+408636,int_stack+1441303,int_stack+2499913, 0.0, zero_stack, 1.0, int_stack+960307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+439396,int_stack+438640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+477640, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2502181,int_stack+440404,int_stack+439396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+479152, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1520893,int_stack+2502181,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1592587, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2505205,int_stack+441700,int_stack+440404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+481168, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2509093,int_stack+2505205,int_stack+2502181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1550989, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+2509093,int_stack+1520893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1635301, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+2499913,int_stack+728860, 0.0, zero_stack, 1.0, int_stack+1004575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2812393,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1010455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+443635,int_stack+443320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+444055,int_stack+443635, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+650425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+444595,int_stack+444055, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+666795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+656480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1525429, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+445711,int_stack+445270, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+669960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+446299,int_stack+445711, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+447055,int_stack+446299, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+670989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1528642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1534609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333, 0.0, zero_stack, 1.0, int_stack+1053151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+448588,int_stack+448000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+449372,int_stack+448588, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+676008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1537255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+450380,int_stack+449372, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+676792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1539019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1547461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+728860,int_stack+1447183,int_stack+1819261, 0.0, zero_stack, 1.0, int_stack+1064743, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+427536,int_stack+728860,int_stack+1823671, 0.0, zero_stack, 1.0, int_stack+1069153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+452396,int_stack+451640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+477640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+453404,int_stack+452396, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+479152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1520893,int_stack+1441303,int_stack+999871, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1592587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+454700,int_stack+453404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+481168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+999871,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1550989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821781,int_stack+1815733,int_stack+1520893, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1635301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+2499913,int_stack+1821781,int_stack+1447183, 0.0, zero_stack, 1.0, int_stack+1116445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2838853,int_stack+2499913,int_stack+728860, 0.0, zero_stack, 1.0, int_stack+1122325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+456635,int_stack+456320, 0.0, zero_stack, 1.0, int_stack+666060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+457055,int_stack+456635, 0.0, zero_stack, 1.0, int_stack+666375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+728860,int_stack+703800,int_stack+697745, 0.0, zero_stack, 1.0, int_stack+650425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+730750,int_stack+457595,int_stack+457055, 0.0, zero_stack, 1.0, int_stack+666795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+732370,int_stack+730750,int_stack+703800, 0.0, zero_stack, 1.0, int_stack+656480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+734890,int_stack+732370,int_stack+728860, 0.0, zero_stack, 1.0, int_stack+1525429, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+728860,int_stack+458711,int_stack+458270, 0.0, zero_stack, 1.0, int_stack+669960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+730183,int_stack+459299,int_stack+458711, 0.0, zero_stack, 1.0, int_stack+670401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+731947,int_stack+730183,int_stack+728860, 0.0, zero_stack, 1.0, int_stack+1527319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+738040,int_stack+460055,int_stack+459299, 0.0, zero_stack, 1.0, int_stack+670989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2499913,int_stack+738040,int_stack+730183, 0.0, zero_stack, 1.0, int_stack+1528642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+738040,int_stack+2499913,int_stack+731947, 0.0, zero_stack, 1.0, int_stack+1534609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+2499913,int_stack+738040,int_stack+734890, 0.0, zero_stack, 1.0, int_stack+1165021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2509363,int_stack+461588,int_stack+461000, 0.0, zero_stack, 1.0, int_stack+675420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2511127,int_stack+462372,int_stack+461588, 0.0, zero_stack, 1.0, int_stack+676008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2513479,int_stack+2511127,int_stack+2509363, 0.0, zero_stack, 1.0, int_stack+1537255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+728860,int_stack+463380,int_stack+462372, 0.0, zero_stack, 1.0, int_stack+676792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+728860,int_stack+2511127, 0.0, zero_stack, 1.0, int_stack+1539019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+728860,int_stack+999871,int_stack+2513479, 0.0, zero_stack, 1.0, int_stack+1547461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+728860,int_stack+738040, 0.0, zero_stack, 1.0, int_stack+1176613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+2865313,int_stack+1441303,int_stack+2499913, 0.0, zero_stack, 1.0, int_stack+1181023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+465396,int_stack+464640, 0.0, zero_stack, 1.0, int_stack+477640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2502181,int_stack+466404,int_stack+465396, 0.0, zero_stack, 1.0, int_stack+479152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1520893,int_stack+2502181,int_stack+2499913, 0.0, zero_stack, 1.0, int_stack+1592587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2505205,int_stack+467700,int_stack+466404, 0.0, zero_stack, 1.0, int_stack+481168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2509093,int_stack+2505205,int_stack+2502181, 0.0, zero_stack, 1.0, int_stack+1550989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+2509093,int_stack+1520893, 0.0, zero_stack, 1.0, int_stack+1635301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+2499913,int_stack+728860, 0.0, zero_stack, 1.0, int_stack+1225291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2884213,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1231171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+469635,int_stack+469320, 1.0, int_stack+666060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+470055,int_stack+469635, 1.0, int_stack+666375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 1.0, int_stack+650425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+470595,int_stack+470055, 1.0, int_stack+666795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 1.0, int_stack+656480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 1.0, int_stack+1525429, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+471711,int_stack+471270, 1.0, int_stack+669960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+472299,int_stack+471711, 1.0, int_stack+670401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 1.0, int_stack+1527319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+473055,int_stack+472299, 1.0, int_stack+670989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626, 1.0, int_stack+1528642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390, 1.0, int_stack+1534609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333, 0.0, zero_stack, 1.0, int_stack+1273867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1534609,int_stack+474588,int_stack+474000, 1.0, int_stack+675420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1815733,int_stack+475372,int_stack+474588, 1.0, int_stack+676008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+1815733,int_stack+1534609, 1.0, int_stack+1537255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1534609,int_stack+476380,int_stack+475372, 1.0, int_stack+676792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1534609,int_stack+1815733, 1.0, int_stack+1539019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1534609,int_stack+999871,int_stack+1441303, 1.0, int_stack+1547461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1534609,int_stack+1819261, 0.0, zero_stack, 1.0, int_stack+1285459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+446436,int_stack+1441303,int_stack+1823671, 0.0, zero_stack, 1.0, int_stack+1289869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1547461,int_stack+480160,int_stack+478396, 1.0, int_stack+477640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+999871,int_stack+482464,int_stack+480160, 1.0, int_stack+479152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1375171,int_stack+999871,int_stack+1547461, 1.0, int_stack+1592587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1592587,int_stack+483760,int_stack+482464, 1.0, int_stack+481168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1592587,int_stack+999871, 1.0, int_stack+1550989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1547461,int_stack+1815733,int_stack+1375171, 1.0, int_stack+1635301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+1547461,int_stack+1534609, 0.0, zero_stack, 1.0, int_stack+1337161, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2910673,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1343041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+485695,int_stack+485380,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+486115,int_stack+485695,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+486655,int_stack+486115,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+487771,int_stack+487330,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+488359,int_stack+487771,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+489115,int_stack+488359,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333, 0.0, zero_stack, 1.0, int_stack+1394827, 1.0, int_stack+1531459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+490648,int_stack+490060,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+491432,int_stack+490648,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+492440,int_stack+491432,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1815733,int_stack+1441303,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+728860,int_stack+1447183,int_stack+1819261, 0.0, zero_stack, 1.0, int_stack+768067, 1.0, int_stack+1543051, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+465336,int_stack+728860,int_stack+1823671, 0.0, zero_stack, 1.0, int_stack+1473433, 1.0, int_stack+1583137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+494456,int_stack+493700,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+495464,int_stack+494456,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1635301,int_stack+1441303,int_stack+999871,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+496760,int_stack+495464,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+999871,int_stack+1441303,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1821781,int_stack+1815733,int_stack+1635301,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+2499913,int_stack+1821781,int_stack+1447183, 0.0, zero_stack, 1.0, int_stack+1482883, 1.0, int_stack+1597291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2937133,int_stack+2499913,int_stack+728860, 0.0, zero_stack, 1.0, int_stack+1488763, 1.0, int_stack+1603171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+498695,int_stack+498380,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+499115,int_stack+498695,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+728860,int_stack+703800,int_stack+697745,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+730750,int_stack+499655,int_stack+499115,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+732370,int_stack+730750,int_stack+703800,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+734890,int_stack+732370,int_stack+728860,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+728860,int_stack+500771,int_stack+500330,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+730183,int_stack+501359,int_stack+500771,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+731947,int_stack+730183,int_stack+728860,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+738040,int_stack+502115,int_stack+501359,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2499913,int_stack+738040,int_stack+730183,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+738040,int_stack+2499913,int_stack+731947,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+2499913,int_stack+738040,int_stack+734890, 0.0, zero_stack, 2.0, int_stack+1531459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2509363,int_stack+503648,int_stack+503060,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2511127,int_stack+504432,int_stack+503648,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+2513479,int_stack+2511127,int_stack+2509363,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+728860,int_stack+505440,int_stack+504432,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+728860,int_stack+2511127,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+728860,int_stack+999871,int_stack+2513479,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+728860,int_stack+738040, 0.0, zero_stack, 2.0, int_stack+1543051, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+484236,int_stack+1441303,int_stack+2499913, 0.0, zero_stack, 2.0, int_stack+1583137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+507456,int_stack+506700,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2502181,int_stack+508464,int_stack+507456,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1635301,int_stack+2502181,int_stack+2499913,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2505205,int_stack+509760,int_stack+508464,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2509093,int_stack+2505205,int_stack+2502181,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+2509093,int_stack+1635301,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+2499913,int_stack+728860, 0.0, zero_stack, 2.0, int_stack+1597291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+2963593,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 2.0, int_stack+1603171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+513645,int_stack+513330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689330,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+514065,int_stack+513645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689645,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+671745,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+514605,int_stack+514065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+690065,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+677800,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1639837,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+518451,int_stack+518010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+695960,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+519039,int_stack+518451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+696401,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1641727,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+519795,int_stack+519039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+696989,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1643050,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1649017,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333, 1.0, int_stack+725710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+524968,int_stack+524380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+701420,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+525752,int_stack+524968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+702008,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1379707,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+526760,int_stack+525752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+702792,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1651663,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1661869,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+2499913,int_stack+1447183,int_stack+1819261, 1.0, int_stack+743035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+503136,int_stack+2499913,int_stack+1823671, 1.0, int_stack+747445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+528776,int_stack+528020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+637000,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+529784,int_stack+528776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+638512,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1635301,int_stack+1441303,int_stack+999871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+531080,int_stack+529784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+640528,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+999871,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1665397,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821781,int_stack+1815733,int_stack+1635301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1381471,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1821781,int_stack+1447183, 1.0, int_stack+775795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+713380,int_stack+1892593,int_stack+2499913, 1.0, int_stack+781675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+534965,int_stack+534650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689330, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+535385,int_stack+534965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689645, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2499913,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+671745, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2501803,int_stack+535925,int_stack+535385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+690065, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2503423,int_stack+2501803,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+677800, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2505943,int_stack+2503423,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1639837, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+539771,int_stack+539330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+695960, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2501236,int_stack+540359,int_stack+539771, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+696401, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2503000,int_stack+2501236,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1641727, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2509093,int_stack+541115,int_stack+540359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+696989, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2511361,int_stack+2509093,int_stack+2501236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1643050, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+2511361,int_stack+2503000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1649017, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1897003,int_stack+1892593,int_stack+2505943, 1.0, int_stack+830311, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+546288,int_stack+545700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+701420, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2501677,int_stack+547072,int_stack+546288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+702008, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2504029,int_stack+2501677,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1379707, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2507557,int_stack+548080,int_stack+547072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+702792, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+2507557,int_stack+2501677, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1651663, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2507557,int_stack+999871,int_stack+2504029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1661869, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+2507557,int_stack+1892593, 1.0, int_stack+843667, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+522036,int_stack+1441303,int_stack+1897003, 1.0, int_stack+848077, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+550096,int_stack+549340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+637000, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1894861,int_stack+551104,int_stack+550096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+638512, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1635301,int_stack+1894861,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1897885,int_stack+552400,int_stack+551104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+640528, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1901773,int_stack+1897885,int_stack+1894861, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1665397, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+1901773,int_stack+1635301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1381471, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+1892593,int_stack+2507557, 1.0, int_stack+895729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+816073,int_stack+1815733,int_stack+1441303, 1.0, int_stack+901609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+556285,int_stack+555970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689330, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+556705,int_stack+556285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689645, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+671745, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+557245,int_stack+556705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+690065, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+677800, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1639837, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+561091,int_stack+560650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+695960, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+561679,int_stack+561091, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+696401, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1641727, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+562435,int_stack+561679, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+696989, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1643050, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1649017, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333, 1.0, int_stack+944305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+567608,int_stack+567020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+701420, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+568392,int_stack+567608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+702008, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1379707, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+569400,int_stack+568392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+702792, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+999871,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1651663, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+999871,int_stack+1443655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1661869, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1892593,int_stack+1447183,int_stack+1819261, 1.0, int_stack+955897, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+887497,int_stack+1892593,int_stack+1823671, 1.0, int_stack+960307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+999871,int_stack+571416,int_stack+570660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+637000, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+572424,int_stack+571416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+638512, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1635301,int_stack+1441303,int_stack+999871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+999871,int_stack+573720,int_stack+572424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+640528, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+999871,int_stack+1441303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1665397, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821781,int_stack+1815733,int_stack+1635301, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1381471, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+2499913,int_stack+1821781,int_stack+1447183, 1.0, int_stack+1004575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+933739,int_stack+2499913,int_stack+1892593, 1.0, int_stack+1010455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+577605,int_stack+577290, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+578025,int_stack+577605, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+689645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1892593,int_stack+703800,int_stack+697745, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+671745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1894483,int_stack+578565,int_stack+578025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+690065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1896103,int_stack+1894483,int_stack+703800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+677800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1898623,int_stack+1896103,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1639837, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+582411,int_stack+581970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+695960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1893916,int_stack+582999,int_stack+582411, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+696401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1895680,int_stack+1893916,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1641727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1901773,int_stack+583755,int_stack+582999, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+696989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1904041,int_stack+1901773,int_stack+1893916, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1643050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+1904041,int_stack+1895680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1649017, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+2504323,int_stack+2499913,int_stack+1898623, 1.0, int_stack+1053151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+588928,int_stack+588340, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+701420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1894357,int_stack+589712,int_stack+588928, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+702008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1896709,int_stack+1894357,int_stack+1892593, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1379707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1900237,int_stack+590720,int_stack+589712, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+702792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1592587,int_stack+1900237,int_stack+1894357, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1651663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1900237,int_stack+1592587,int_stack+1896709, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1661869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1900237,int_stack+2499913, 1.0, int_stack+1064743, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+999871,int_stack+1441303,int_stack+2504323, 1.0, int_stack+1069153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+592736,int_stack+591980, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+637000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2502181,int_stack+593744,int_stack+592736, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+638512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1635301,int_stack+2502181,int_stack+2499913, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2505205,int_stack+595040,int_stack+593744, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+640528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2509093,int_stack+2505205,int_stack+2502181, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1665397, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+2509093,int_stack+1635301, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1381471, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+2499913,int_stack+1900237, 1.0, int_stack+1116445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1042585,int_stack+1815733,int_stack+1441303, 1.0, int_stack+1122325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+598925,int_stack+598610, 0.0, zero_stack, 1.0, int_stack+689330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+599345,int_stack+598925, 0.0, zero_stack, 1.0, int_stack+689645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1441303,int_stack+703800,int_stack+697745, 0.0, zero_stack, 1.0, int_stack+671745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1443193,int_stack+599885,int_stack+599345, 0.0, zero_stack, 1.0, int_stack+690065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1444813,int_stack+1443193,int_stack+703800, 0.0, zero_stack, 1.0, int_stack+677800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447333,int_stack+1444813,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1639837, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+603731,int_stack+603290, 0.0, zero_stack, 1.0, int_stack+695960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+604319,int_stack+603731, 0.0, zero_stack, 1.0, int_stack+696401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1641727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1450483,int_stack+605075,int_stack+604319, 0.0, zero_stack, 1.0, int_stack+696989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1450483,int_stack+1442626, 0.0, zero_stack, 1.0, int_stack+1643050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390, 0.0, zero_stack, 1.0, int_stack+1649017, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1447333, 1.0, int_stack+1165021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+610248,int_stack+609660, 0.0, zero_stack, 1.0, int_stack+701420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+611032,int_stack+610248, 0.0, zero_stack, 1.0, int_stack+702008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733, 0.0, zero_stack, 1.0, int_stack+1379707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+612040,int_stack+611032, 0.0, zero_stack, 1.0, int_stack+702792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1592587,int_stack+1815733,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1651663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+1592587,int_stack+1443655, 0.0, zero_stack, 1.0, int_stack+1661869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+2499913,int_stack+1447183,int_stack+1819261, 1.0, int_stack+1176613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1108717,int_stack+2499913,int_stack+1823671, 1.0, int_stack+1181023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1592587,int_stack+614056,int_stack+613300, 0.0, zero_stack, 1.0, int_stack+637000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+615064,int_stack+614056, 0.0, zero_stack, 1.0, int_stack+638512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1635301,int_stack+1441303,int_stack+1592587, 0.0, zero_stack, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1592587,int_stack+616360,int_stack+615064, 0.0, zero_stack, 1.0, int_stack+640528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1592587,int_stack+1441303, 0.0, zero_stack, 1.0, int_stack+1665397, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1821781,int_stack+1815733,int_stack+1635301, 0.0, zero_stack, 1.0, int_stack+1381471, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1821781,int_stack+1447183, 1.0, int_stack+1225291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1154455,int_stack+1892593,int_stack+2499913, 1.0, int_stack+1231171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+697745,int_stack+620245,int_stack+619930, 1.0, int_stack+689330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+703800,int_stack+620665,int_stack+620245, 1.0, int_stack+689645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2499913,int_stack+703800,int_stack+697745, 1.0, int_stack+671745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2501803,int_stack+621205,int_stack+620665, 1.0, int_stack+690065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2503423,int_stack+2501803,int_stack+703800, 1.0, int_stack+677800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2505943,int_stack+2503423,int_stack+2499913, 1.0, int_stack+1639837, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2499913,int_stack+625051,int_stack+624610, 1.0, int_stack+695960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2501236,int_stack+625639,int_stack+625051, 1.0, int_stack+696401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2503000,int_stack+2501236,int_stack+2499913, 1.0, int_stack+1641727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2509093,int_stack+626395,int_stack+625639, 1.0, int_stack+696989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2511361,int_stack+2509093,int_stack+2501236, 1.0, int_stack+1643050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1892593,int_stack+2511361,int_stack+2503000, 1.0, int_stack+1649017, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1897003,int_stack+1892593,int_stack+2505943, 1.0, int_stack+1273867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1649017,int_stack+633948,int_stack+633360, 1.0, int_stack+701420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2499913,int_stack+634732,int_stack+633948, 1.0, int_stack+702008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2502265,int_stack+2499913,int_stack+1649017, 1.0, int_stack+1379707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2505793,int_stack+635740,int_stack+634732, 1.0, int_stack+702792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1592587,int_stack+2505793,int_stack+2499913, 1.0, int_stack+1651663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2505793,int_stack+1592587,int_stack+2502265, 1.0, int_stack+1661869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+2505793,int_stack+1892593, 1.0, int_stack+1285459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1263301,int_stack+1441303,int_stack+1897003, 1.0, int_stack+1289869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+639520,int_stack+637756, 1.0, int_stack+637000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1894861,int_stack+641824,int_stack+639520, 1.0, int_stack+638512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1897885,int_stack+1894861,int_stack+1892593, 1.0, int_stack+813805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1902421,int_stack+643120,int_stack+641824, 1.0, int_stack+640528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1649017,int_stack+1902421,int_stack+1894861, 1.0, int_stack+1665397, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1902421,int_stack+1649017,int_stack+1897885, 1.0, int_stack+1381471, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+1902421,int_stack+2505793, 1.0, int_stack+1337161, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+540936,int_stack+1815733,int_stack+1441303, 1.0, int_stack+1343041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+647005,int_stack+646690,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1442248,int_stack+647425,int_stack+647005,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1443508,int_stack+1442248,int_stack+1441303,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1445398,int_stack+647965,int_stack+647425,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1447018,int_stack+1445398,int_stack+1442248,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1449538,int_stack+1447018,int_stack+1443508,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+651811,int_stack+651370,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+652399,int_stack+651811,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+813805,int_stack+653155,int_stack+652399,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+813805,int_stack+1442626,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1449538, 1.0, int_stack+1394827, 0.0, zero_stack, 1.0, int_stack+1645867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+658328,int_stack+657740,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+659112,int_stack+658328,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+660120,int_stack+659112,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1592587,int_stack+1815733,int_stack+1441303,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1447183,int_stack+1592587,int_stack+1443655,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1892593,int_stack+1447183,int_stack+1819261, 1.0, int_stack+768067, 0.0, zero_stack, 1.0, int_stack+1657459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1375171,int_stack+1892593,int_stack+1823671, 1.0, int_stack+1473433, 0.0, zero_stack, 1.0, int_stack+1697545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+813805,int_stack+662136,int_stack+661380,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1473433,int_stack+663144,int_stack+662136,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1476457,int_stack+1473433,int_stack+813805,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1592587,int_stack+664440,int_stack+663144,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+1592587,int_stack+1473433,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1821781,int_stack+1815733,int_stack+1476457,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+2499913,int_stack+1821781,int_stack+1447183, 1.0, int_stack+1482883, 0.0, zero_stack, 1.0, int_stack+8316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1329433,int_stack+2499913,int_stack+1892593, 1.0, int_stack+1488763, 0.0, zero_stack, 1.0, int_stack+1706995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+668325,int_stack+668010,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1893538,int_stack+668745,int_stack+668325,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1894798,int_stack+1893538,int_stack+1892593,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1896688,int_stack+669285,int_stack+668745,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1898308,int_stack+1896688,int_stack+1893538,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1900828,int_stack+1898308,int_stack+1894798,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1892593,int_stack+673131,int_stack+672690,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1893916,int_stack+673719,int_stack+673131,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1895680,int_stack+1893916,int_stack+1892593,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+813805,int_stack+674475,int_stack+673719,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1903978,int_stack+813805,int_stack+1893916,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+1903978,int_stack+1895680,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+2504323,int_stack+2499913,int_stack+1900828, 1.0, int_stack+1531459, 1.0, int_stack+1645867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+813805,int_stack+679648,int_stack+679060,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1892593,int_stack+680432,int_stack+679648,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1894945,int_stack+1892593,int_stack+813805,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1898473,int_stack+681440,int_stack+680432,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1592587,int_stack+1898473,int_stack+1892593,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1898473,int_stack+1592587,int_stack+1894945,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+1898473,int_stack+2499913, 1.0, int_stack+1543051, 1.0, int_stack+1657459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1473433,int_stack+1441303,int_stack+2504323, 1.0, int_stack+1583137, 1.0, int_stack+1697545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+813805,int_stack+683456,int_stack+682700,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1583137,int_stack+684464,int_stack+683456,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1586161,int_stack+1583137,int_stack+813805,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1590697,int_stack+685760,int_stack+684464,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2499913,int_stack+1590697,int_stack+1583137,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+2505961,int_stack+2499913,int_stack+1586161,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1815733,int_stack+2505961,int_stack+1898473, 1.0, int_stack+1597291, 1.0, int_stack+8316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1520893,int_stack+1815733,int_stack+1441303, 1.0, int_stack+1603171, 1.0, int_stack+1706995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+691595,int_stack+691280,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1442248,int_stack+692015,int_stack+691595,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1443508,int_stack+1442248,int_stack+1441303,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1445398,int_stack+692555,int_stack+692015,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1447018,int_stack+1445398,int_stack+1442248,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1449538,int_stack+1447018,int_stack+1443508,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1441303,int_stack+699131,int_stack+698690,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1442626,int_stack+699719,int_stack+699131,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1444390,int_stack+1442626,int_stack+1441303,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+813805,int_stack+700475,int_stack+699719,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1815733,int_stack+813805,int_stack+1442626,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1819261,int_stack+1815733,int_stack+1444390,21);
 /*--- compute (gp|hf) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1823671,int_stack+1819261,int_stack+1449538, 2.0, int_stack+1645867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1815733,int_stack+705648,int_stack+705060,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1441303,int_stack+706432,int_stack+705648,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1443655,int_stack+1441303,int_stack+1815733,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+707440,int_stack+706432,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1447183,int_stack+1815733,int_stack+1441303,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+2499913,int_stack+1447183,int_stack+1443655,28);
 /*--- compute (hp|hf) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1441303,int_stack+2499913,int_stack+1819261, 2.0, int_stack+1657459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gd|hf) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1583137,int_stack+1441303,int_stack+1823671, 2.0, int_stack+1697545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+813805,int_stack+709456,int_stack+708700,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1697545,int_stack+710464,int_stack+709456,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1700569,int_stack+1697545,int_stack+813805,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1815733,int_stack+711760,int_stack+710464,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1819621,int_stack+1815733,int_stack+1697545,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1825669,int_stack+1819621,int_stack+1700569,36);
 /*--- compute (ip|hf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1892593,int_stack+1825669,int_stack+2499913, 2.0, int_stack+8316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (hd|hf) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1635301,int_stack+1892593,int_stack+1441303, 2.0, int_stack+1706995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+567396,int_stack+861037,int_stack+794905,210);
     Libderiv->ABCD[11] = int_stack + 567396;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+598896,int_stack+973411,int_stack+914839,210);
     Libderiv->ABCD[10] = int_stack + 598896;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+960199,int_stack+1082257,int_stack+1023685,210);
     Libderiv->ABCD[9] = int_stack + 960199;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1069045,int_stack+1194127,int_stack+1135555,210);
     Libderiv->ABCD[8] = int_stack + 1069045;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1180915,int_stack+1302973,int_stack+1244401,210);
     Libderiv->ABCD[7] = int_stack + 1180915;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1282201,int_stack+1414843,int_stack+1356271,210);
     Libderiv->ABCD[6] = int_stack + 1282201;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+1394071,int_stack+1556677,int_stack+1501993, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1454533, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[2] = int_stack + 1394071;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+1547353,int_stack+1671085,int_stack+1616401, 0.0, zero_stack, 1.0, int_stack+1454533, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[1] = int_stack + 1547353;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+1661761,int_stack+1770373,int_stack+1720225, 1.0, int_stack+1454533, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[0] = int_stack + 1661761;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1425571,int_stack+1833373,int_stack+1796833,210);
     Libderiv->ABCD[155] = int_stack + 1425571;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1212415,int_stack+15516,int_stack+1739125,210);
     Libderiv->ABCD[143] = int_stack + 1212415;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1739125,int_stack+1910233,int_stack+1873693,210);
     Libderiv->ABCD[142] = int_stack + 1739125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1770625,int_stack+1936693,int_stack+41976,210);
     Libderiv->ABCD[131] = int_stack + 1770625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1802125,int_stack+1982053,int_stack+1963153,210);
     Libderiv->ABCD[130] = int_stack + 1802125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1833625,int_stack+60876,int_stack+2008513,210);
     Libderiv->ABCD[129] = int_stack + 1833625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1865125,int_stack+2046313,int_stack+2027413,210);
     Libderiv->ABCD[119] = int_stack + 1865125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1896625,int_stack+87336,int_stack+2072773,210);
     Libderiv->ABCD[118] = int_stack + 1896625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1928125,int_stack+2110573,int_stack+2091673,210);
     Libderiv->ABCD[117] = int_stack + 1928125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1959625,int_stack+113796,int_stack+2137033,210);
     Libderiv->ABCD[116] = int_stack + 1959625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1991125,int_stack+2174833,int_stack+2155933,210);
     Libderiv->ABCD[107] = int_stack + 1991125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2022625,int_stack+140256,int_stack+2201293,210);
     Libderiv->ABCD[106] = int_stack + 2022625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2054125,int_stack+2239093,int_stack+2220193,210);
     Libderiv->ABCD[105] = int_stack + 2054125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2085625,int_stack+166716,int_stack+2265553,210);
     Libderiv->ABCD[104] = int_stack + 2085625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2117125,int_stack+2303353,int_stack+2284453,210);
     Libderiv->ABCD[103] = int_stack + 2117125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2148625,int_stack+193176,int_stack+2329813,210);
     Libderiv->ABCD[95] = int_stack + 2148625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2180125,int_stack+2367613,int_stack+2348713,210);
     Libderiv->ABCD[94] = int_stack + 2180125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2211625,int_stack+2394073,int_stack+219636,210);
     Libderiv->ABCD[93] = int_stack + 2211625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2243125,int_stack+2420533,int_stack+238536,210);
     Libderiv->ABCD[92] = int_stack + 2243125;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2274625,int_stack+2446993,int_stack+257436,210);
     Libderiv->ABCD[91] = int_stack + 2274625;
 /*--- compute (gf|hf) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+2306125,int_stack+2473453,int_stack+276336,210);
     Libderiv->ABCD[90] = int_stack + 2306125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2337625,int_stack+2517553,int_stack+295236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+794905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[47] = int_stack + 2337625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2369125,int_stack+2562913,int_stack+2544013, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+914839, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[46] = int_stack + 2369125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2400625,int_stack+2589373,int_stack+314136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1023685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[45] = int_stack + 2400625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2432125,int_stack+2615833,int_stack+333036, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1135555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[44] = int_stack + 2432125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2463625,int_stack+2661193,int_stack+2642293, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1244401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[43] = int_stack + 2463625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2495125,int_stack+2687653,int_stack+351936, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1356271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[42] = int_stack + 2495125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2526625,int_stack+2714113,int_stack+370836, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1501993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[38] = int_stack + 2526625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2558125,int_stack+2740573,int_stack+389736, 0.0, zero_stack, 1.0, int_stack+794905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[35] = int_stack + 2558125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2589625,int_stack+2785933,int_stack+2767033, 0.0, zero_stack, 1.0, int_stack+914839, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[34] = int_stack + 2589625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2621125,int_stack+2812393,int_stack+408636, 0.0, zero_stack, 1.0, int_stack+1023685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[33] = int_stack + 2621125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2652625,int_stack+2838853,int_stack+427536, 0.0, zero_stack, 1.0, int_stack+1135555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[32] = int_stack + 2652625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2684125,int_stack+2884213,int_stack+2865313, 0.0, zero_stack, 1.0, int_stack+1244401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[31] = int_stack + 2684125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2715625,int_stack+2910673,int_stack+446436, 0.0, zero_stack, 1.0, int_stack+1356271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[30] = int_stack + 2715625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2747125,int_stack+2937133,int_stack+465336, 0.0, zero_stack, 1.0, int_stack+1501993, 1.0, int_stack+1616401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[26] = int_stack + 2747125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2778625,int_stack+2963593,int_stack+484236, 0.0, zero_stack, 2.0, int_stack+1616401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[25] = int_stack + 2778625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2810125,int_stack+713380,int_stack+503136, 1.0, int_stack+794905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[23] = int_stack + 2810125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2841625,int_stack+816073,int_stack+522036, 1.0, int_stack+914839, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[22] = int_stack + 2841625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2873125,int_stack+933739,int_stack+887497, 1.0, int_stack+1023685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[21] = int_stack + 2873125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2904625,int_stack+1042585,int_stack+999871, 1.0, int_stack+1135555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[20] = int_stack + 2904625;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+2936125,int_stack+1154455,int_stack+1108717, 1.0, int_stack+1244401, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[19] = int_stack + 2936125;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+0,int_stack+540936,int_stack+1263301, 1.0, int_stack+1356271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[18] = int_stack + 0;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+31500,int_stack+1329433,int_stack+1375171, 1.0, int_stack+1501993, 0.0, zero_stack, 1.0, int_stack+1720225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[14] = int_stack + 31500;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+63000,int_stack+1520893,int_stack+1473433, 1.0, int_stack+1616401, 1.0, int_stack+1720225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[13] = int_stack + 63000;
 /*--- compute (gf|hf) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+1602037,int_stack+1635301,int_stack+1583137, 2.0, int_stack+1720225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[12] = int_stack + 1602037;

}
