#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ffhh(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ff|hh) integrals */

void d1hrr_order_ffhh(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][11] = int_stack + 210;
 Libderiv->deriv_classes[3][7][11] = int_stack + 490;
 Libderiv->deriv_classes[3][8][11] = int_stack + 850;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1300;
 Libderiv->deriv_classes[3][10][11] = int_stack + 1850;
 Libderiv->deriv_classes[4][5][11] = int_stack + 2510;
 Libderiv->deriv_classes[4][6][11] = int_stack + 2825;
 Libderiv->deriv_classes[4][7][11] = int_stack + 3245;
 Libderiv->deriv_classes[4][8][11] = int_stack + 3785;
 Libderiv->deriv_classes[4][9][11] = int_stack + 4460;
 Libderiv->deriv_classes[4][10][11] = int_stack + 5285;
 Libderiv->deriv_classes[5][5][11] = int_stack + 6275;
 Libderiv->deriv_classes[5][6][11] = int_stack + 6716;
 Libderiv->deriv_classes[5][7][11] = int_stack + 7304;
 Libderiv->deriv_classes[5][8][11] = int_stack + 8060;
 Libderiv->deriv_classes[5][9][11] = int_stack + 9005;
 Libderiv->deriv_classes[5][10][11] = int_stack + 10160;
 Libderiv->deriv_classes[6][5][11] = int_stack + 11546;
 Libderiv->deriv_classes[6][6][11] = int_stack + 12134;
 Libderiv->deriv_classes[6][7][11] = int_stack + 12918;
 Libderiv->deriv_classes[6][8][11] = int_stack + 13926;
 Libderiv->deriv_classes[6][9][11] = int_stack + 15186;
 Libderiv->deriv_classes[6][10][11] = int_stack + 16726;
 Libderiv->deriv_classes[3][5][10] = int_stack + 18574;
 Libderiv->deriv_classes[3][6][10] = int_stack + 18784;
 Libderiv->deriv_classes[3][7][10] = int_stack + 19064;
 Libderiv->deriv_classes[3][8][10] = int_stack + 19424;
 Libderiv->deriv_classes[3][9][10] = int_stack + 19874;
 Libderiv->deriv_classes[3][10][10] = int_stack + 20424;
 Libderiv->deriv_classes[4][5][10] = int_stack + 21084;
 Libderiv->deriv_classes[4][6][10] = int_stack + 21399;
 Libderiv->deriv_classes[4][7][10] = int_stack + 21819;
 Libderiv->deriv_classes[4][8][10] = int_stack + 22359;
 Libderiv->deriv_classes[4][9][10] = int_stack + 23034;
 Libderiv->deriv_classes[4][10][10] = int_stack + 23859;
 Libderiv->deriv_classes[5][5][10] = int_stack + 24849;
 Libderiv->deriv_classes[5][6][10] = int_stack + 25290;
 Libderiv->deriv_classes[5][7][10] = int_stack + 25878;
 Libderiv->deriv_classes[5][8][10] = int_stack + 26634;
 Libderiv->deriv_classes[5][9][10] = int_stack + 27579;
 Libderiv->deriv_classes[5][10][10] = int_stack + 28734;
 Libderiv->deriv_classes[6][5][10] = int_stack + 30120;
 Libderiv->deriv_classes[6][6][10] = int_stack + 30708;
 Libderiv->deriv_classes[6][7][10] = int_stack + 31492;
 Libderiv->deriv_classes[6][8][10] = int_stack + 32500;
 Libderiv->deriv_classes[6][9][10] = int_stack + 33760;
 Libderiv->deriv_classes[6][10][10] = int_stack + 35300;
 Libderiv->deriv_classes[3][5][9] = int_stack + 37148;
 Libderiv->deriv_classes[3][6][9] = int_stack + 37358;
 Libderiv->deriv_classes[3][7][9] = int_stack + 37638;
 Libderiv->deriv_classes[3][8][9] = int_stack + 37998;
 Libderiv->deriv_classes[3][9][9] = int_stack + 38448;
 Libderiv->deriv_classes[3][10][9] = int_stack + 38998;
 Libderiv->deriv_classes[4][5][9] = int_stack + 39658;
 Libderiv->deriv_classes[4][6][9] = int_stack + 39973;
 Libderiv->deriv_classes[4][7][9] = int_stack + 40393;
 Libderiv->deriv_classes[4][8][9] = int_stack + 40933;
 Libderiv->deriv_classes[4][9][9] = int_stack + 41608;
 Libderiv->deriv_classes[4][10][9] = int_stack + 42433;
 Libderiv->deriv_classes[5][5][9] = int_stack + 43423;
 Libderiv->deriv_classes[5][6][9] = int_stack + 43864;
 Libderiv->deriv_classes[5][7][9] = int_stack + 44452;
 Libderiv->deriv_classes[5][8][9] = int_stack + 45208;
 Libderiv->deriv_classes[5][9][9] = int_stack + 46153;
 Libderiv->deriv_classes[5][10][9] = int_stack + 47308;
 Libderiv->deriv_classes[6][5][9] = int_stack + 48694;
 Libderiv->deriv_classes[6][6][9] = int_stack + 49282;
 Libderiv->deriv_classes[6][7][9] = int_stack + 50066;
 Libderiv->deriv_classes[6][8][9] = int_stack + 51074;
 Libderiv->deriv_classes[6][9][9] = int_stack + 52334;
 Libderiv->deriv_classes[6][10][9] = int_stack + 53874;
 Libderiv->deriv_classes[3][5][8] = int_stack + 55722;
 Libderiv->deriv_classes[3][6][8] = int_stack + 55932;
 Libderiv->deriv_classes[3][7][8] = int_stack + 56212;
 Libderiv->deriv_classes[3][8][8] = int_stack + 56572;
 Libderiv->deriv_classes[3][9][8] = int_stack + 57022;
 Libderiv->deriv_classes[3][10][8] = int_stack + 57572;
 Libderiv->deriv_classes[4][5][8] = int_stack + 58232;
 Libderiv->deriv_classes[4][6][8] = int_stack + 58547;
 Libderiv->deriv_classes[4][7][8] = int_stack + 58967;
 Libderiv->deriv_classes[4][8][8] = int_stack + 59507;
 Libderiv->deriv_classes[4][9][8] = int_stack + 60182;
 Libderiv->deriv_classes[4][10][8] = int_stack + 61007;
 Libderiv->deriv_classes[5][5][8] = int_stack + 61997;
 Libderiv->deriv_classes[5][6][8] = int_stack + 62438;
 Libderiv->deriv_classes[5][7][8] = int_stack + 63026;
 Libderiv->deriv_classes[5][8][8] = int_stack + 63782;
 Libderiv->deriv_classes[5][9][8] = int_stack + 64727;
 Libderiv->deriv_classes[5][10][8] = int_stack + 65882;
 Libderiv->deriv_classes[6][5][8] = int_stack + 67268;
 Libderiv->deriv_classes[6][6][8] = int_stack + 67856;
 Libderiv->deriv_classes[6][7][8] = int_stack + 68640;
 Libderiv->deriv_classes[6][8][8] = int_stack + 69648;
 Libderiv->deriv_classes[6][9][8] = int_stack + 70908;
 Libderiv->deriv_classes[6][10][8] = int_stack + 72448;
 Libderiv->deriv_classes[3][5][7] = int_stack + 74296;
 Libderiv->deriv_classes[3][6][7] = int_stack + 74506;
 Libderiv->deriv_classes[3][7][7] = int_stack + 74786;
 Libderiv->deriv_classes[3][8][7] = int_stack + 75146;
 Libderiv->deriv_classes[3][9][7] = int_stack + 75596;
 Libderiv->deriv_classes[3][10][7] = int_stack + 76146;
 Libderiv->deriv_classes[4][5][7] = int_stack + 76806;
 Libderiv->deriv_classes[4][6][7] = int_stack + 77121;
 Libderiv->deriv_classes[4][7][7] = int_stack + 77541;
 Libderiv->deriv_classes[4][8][7] = int_stack + 78081;
 Libderiv->deriv_classes[4][9][7] = int_stack + 78756;
 Libderiv->deriv_classes[4][10][7] = int_stack + 79581;
 Libderiv->deriv_classes[5][5][7] = int_stack + 80571;
 Libderiv->deriv_classes[5][6][7] = int_stack + 81012;
 Libderiv->deriv_classes[5][7][7] = int_stack + 81600;
 Libderiv->deriv_classes[5][8][7] = int_stack + 82356;
 Libderiv->deriv_classes[5][9][7] = int_stack + 83301;
 Libderiv->deriv_classes[5][10][7] = int_stack + 84456;
 Libderiv->deriv_classes[6][5][7] = int_stack + 85842;
 Libderiv->deriv_classes[6][6][7] = int_stack + 86430;
 Libderiv->deriv_classes[6][7][7] = int_stack + 87214;
 Libderiv->deriv_classes[6][8][7] = int_stack + 88222;
 Libderiv->deriv_classes[6][9][7] = int_stack + 89482;
 Libderiv->deriv_classes[6][10][7] = int_stack + 91022;
 Libderiv->deriv_classes[3][5][6] = int_stack + 92870;
 Libderiv->deriv_classes[3][6][6] = int_stack + 93080;
 Libderiv->deriv_classes[3][7][6] = int_stack + 93360;
 Libderiv->deriv_classes[3][8][6] = int_stack + 93720;
 Libderiv->deriv_classes[3][9][6] = int_stack + 94170;
 Libderiv->deriv_classes[3][10][6] = int_stack + 94720;
 Libderiv->deriv_classes[4][5][6] = int_stack + 95380;
 Libderiv->deriv_classes[4][6][6] = int_stack + 95695;
 Libderiv->deriv_classes[4][7][6] = int_stack + 96115;
 Libderiv->deriv_classes[4][8][6] = int_stack + 96655;
 Libderiv->deriv_classes[4][9][6] = int_stack + 97330;
 Libderiv->deriv_classes[4][10][6] = int_stack + 98155;
 Libderiv->deriv_classes[5][5][6] = int_stack + 99145;
 Libderiv->deriv_classes[5][6][6] = int_stack + 99586;
 Libderiv->deriv_classes[5][7][6] = int_stack + 100174;
 Libderiv->deriv_classes[5][8][6] = int_stack + 100930;
 Libderiv->deriv_classes[5][9][6] = int_stack + 101875;
 Libderiv->deriv_classes[5][10][6] = int_stack + 103030;
 Libderiv->dvrr_classes[6][5] = int_stack + 104416;
 Libderiv->deriv_classes[6][5][6] = int_stack + 105004;
 Libderiv->dvrr_classes[6][6] = int_stack + 105592;
 Libderiv->deriv_classes[6][6][6] = int_stack + 106376;
 Libderiv->dvrr_classes[6][7] = int_stack + 107160;
 Libderiv->deriv_classes[6][7][6] = int_stack + 108168;
 Libderiv->dvrr_classes[6][8] = int_stack + 109176;
 Libderiv->deriv_classes[6][8][6] = int_stack + 110436;
 Libderiv->dvrr_classes[6][9] = int_stack + 111696;
 Libderiv->deriv_classes[6][9][6] = int_stack + 113236;
 Libderiv->deriv_classes[6][10][6] = int_stack + 114776;
 Libderiv->deriv_classes[3][5][2] = int_stack + 116624;
 Libderiv->deriv_classes[3][6][2] = int_stack + 116834;
 Libderiv->deriv_classes[3][7][2] = int_stack + 117114;
 Libderiv->deriv_classes[3][8][2] = int_stack + 117474;
 Libderiv->deriv_classes[3][9][2] = int_stack + 117924;
 Libderiv->deriv_classes[3][10][2] = int_stack + 118474;
 Libderiv->deriv_classes[4][5][2] = int_stack + 119134;
 Libderiv->deriv_classes[4][6][2] = int_stack + 119449;
 Libderiv->deriv_classes[4][7][2] = int_stack + 119869;
 Libderiv->deriv_classes[4][8][2] = int_stack + 120409;
 Libderiv->deriv_classes[4][9][2] = int_stack + 121084;
 Libderiv->deriv_classes[4][10][2] = int_stack + 121909;
 Libderiv->deriv_classes[5][5][2] = int_stack + 122899;
 Libderiv->deriv_classes[5][6][2] = int_stack + 123340;
 Libderiv->deriv_classes[5][7][2] = int_stack + 123928;
 Libderiv->deriv_classes[5][8][2] = int_stack + 124684;
 Libderiv->deriv_classes[5][9][2] = int_stack + 125629;
 Libderiv->deriv_classes[5][10][2] = int_stack + 126784;
 Libderiv->deriv_classes[6][5][2] = int_stack + 128170;
 Libderiv->deriv_classes[6][6][2] = int_stack + 128758;
 Libderiv->deriv_classes[6][7][2] = int_stack + 129542;
 Libderiv->deriv_classes[6][8][2] = int_stack + 130550;
 Libderiv->deriv_classes[6][9][2] = int_stack + 131810;
 Libderiv->deriv_classes[6][10][2] = int_stack + 133350;
 Libderiv->deriv_classes[3][5][1] = int_stack + 135198;
 Libderiv->deriv_classes[3][6][1] = int_stack + 135408;
 Libderiv->deriv_classes[3][7][1] = int_stack + 135688;
 Libderiv->deriv_classes[3][8][1] = int_stack + 136048;
 Libderiv->deriv_classes[3][9][1] = int_stack + 136498;
 Libderiv->deriv_classes[3][10][1] = int_stack + 137048;
 Libderiv->deriv_classes[4][5][1] = int_stack + 137708;
 Libderiv->deriv_classes[4][6][1] = int_stack + 138023;
 Libderiv->deriv_classes[4][7][1] = int_stack + 138443;
 Libderiv->deriv_classes[4][8][1] = int_stack + 138983;
 Libderiv->deriv_classes[4][9][1] = int_stack + 139658;
 Libderiv->deriv_classes[4][10][1] = int_stack + 140483;
 Libderiv->deriv_classes[5][5][1] = int_stack + 141473;
 Libderiv->deriv_classes[5][6][1] = int_stack + 141914;
 Libderiv->deriv_classes[5][7][1] = int_stack + 142502;
 Libderiv->deriv_classes[5][8][1] = int_stack + 143258;
 Libderiv->deriv_classes[5][9][1] = int_stack + 144203;
 Libderiv->deriv_classes[5][10][1] = int_stack + 145358;
 Libderiv->deriv_classes[6][5][1] = int_stack + 146744;
 Libderiv->deriv_classes[6][6][1] = int_stack + 147332;
 Libderiv->deriv_classes[6][7][1] = int_stack + 148116;
 Libderiv->deriv_classes[6][8][1] = int_stack + 149124;
 Libderiv->deriv_classes[6][9][1] = int_stack + 150384;
 Libderiv->deriv_classes[6][10][1] = int_stack + 151924;
 Libderiv->dvrr_classes[3][5] = int_stack + 153772;
 Libderiv->dvrr_classes[3][6] = int_stack + 153982;
 Libderiv->dvrr_classes[3][7] = int_stack + 154262;
 Libderiv->dvrr_classes[3][8] = int_stack + 154622;
 Libderiv->dvrr_classes[3][9] = int_stack + 155072;
 Libderiv->dvrr_classes[3][10] = int_stack + 155622;
 Libderiv->deriv_classes[3][5][0] = int_stack + 156282;
 Libderiv->deriv_classes[3][6][0] = int_stack + 156492;
 Libderiv->deriv_classes[3][7][0] = int_stack + 156772;
 Libderiv->deriv_classes[3][8][0] = int_stack + 157132;
 Libderiv->deriv_classes[3][9][0] = int_stack + 157582;
 Libderiv->deriv_classes[3][10][0] = int_stack + 158132;
 Libderiv->dvrr_classes[4][5] = int_stack + 158792;
 Libderiv->dvrr_classes[4][6] = int_stack + 159107;
 Libderiv->dvrr_classes[4][7] = int_stack + 159527;
 Libderiv->dvrr_classes[4][8] = int_stack + 160067;
 Libderiv->dvrr_classes[4][9] = int_stack + 160742;
 Libderiv->dvrr_classes[4][10] = int_stack + 161567;
 Libderiv->deriv_classes[4][5][0] = int_stack + 162557;
 Libderiv->deriv_classes[4][6][0] = int_stack + 162872;
 Libderiv->deriv_classes[4][7][0] = int_stack + 163292;
 Libderiv->deriv_classes[4][8][0] = int_stack + 163832;
 Libderiv->deriv_classes[4][9][0] = int_stack + 164507;
 Libderiv->deriv_classes[4][10][0] = int_stack + 165332;
 Libderiv->dvrr_classes[5][5] = int_stack + 166322;
 Libderiv->dvrr_classes[5][6] = int_stack + 166763;
 Libderiv->dvrr_classes[5][7] = int_stack + 167351;
 Libderiv->dvrr_classes[5][8] = int_stack + 168107;
 Libderiv->dvrr_classes[5][9] = int_stack + 169052;
 Libderiv->dvrr_classes[5][10] = int_stack + 170207;
 Libderiv->deriv_classes[5][5][0] = int_stack + 171593;
 Libderiv->deriv_classes[5][6][0] = int_stack + 172034;
 Libderiv->deriv_classes[5][7][0] = int_stack + 172622;
 Libderiv->deriv_classes[5][8][0] = int_stack + 173378;
 Libderiv->deriv_classes[5][9][0] = int_stack + 174323;
 Libderiv->deriv_classes[5][10][0] = int_stack + 175478;
 Libderiv->deriv_classes[6][5][0] = int_stack + 176864;
 Libderiv->deriv_classes[6][6][0] = int_stack + 177452;
 Libderiv->deriv_classes[6][7][0] = int_stack + 178236;
 Libderiv->deriv_classes[6][8][0] = int_stack + 179244;
 Libderiv->deriv_classes[6][9][0] = int_stack + 180504;
 Libderiv->deriv_classes[6][10][0] = int_stack + 182044;
 memset(int_stack,0,1471136);

 Libderiv->dvrr_stack = int_stack + 898457;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ffhh(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+183892,int_stack+153982,int_stack+153772,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+184522,int_stack+154262,int_stack+153982,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+185362,int_stack+184522,int_stack+183892,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+186622,int_stack+154622,int_stack+154262,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+187702,int_stack+186622,int_stack+184522,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+189382,int_stack+187702,int_stack+185362,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+191482,int_stack+155072,int_stack+154622,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+192832,int_stack+191482,int_stack+186622,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+194992,int_stack+192832,int_stack+187702,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+197792,int_stack+194992,int_stack+189382,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+200942,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153772,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+201572,int_stack+490,int_stack+210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153982,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+202412,int_stack+201572,int_stack+200942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183892,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+203672,int_stack+850,int_stack+490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154262,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+204752,int_stack+203672,int_stack+201572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184522,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+206432,int_stack+204752,int_stack+202412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185362,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+200942,int_stack+1300,int_stack+850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154622,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+208532,int_stack+200942,int_stack+203672, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186622,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+210692,int_stack+208532,int_stack+204752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187702,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+202292,int_stack+210692,int_stack+206432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189382,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+205442,int_stack+1850,int_stack+1300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155072,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+213492,int_stack+205442,int_stack+200942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191482,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+216192,int_stack+213492,int_stack+208532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192832,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+205442,int_stack+216192,int_stack+210692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194992,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+209642,int_stack+205442,int_stack+202292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197792,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+200942,int_stack+159107,int_stack+158792,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+201887,int_stack+159527,int_stack+159107,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+203147,int_stack+201887,int_stack+200942,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+205037,int_stack+160067,int_stack+159527,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+206657,int_stack+205037,int_stack+201887,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+214052,int_stack+206657,int_stack+203147,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+217202,int_stack+160742,int_stack+160067,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+219227,int_stack+217202,int_stack+205037,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+222467,int_stack+219227,int_stack+206657,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+226667,int_stack+222467,int_stack+214052,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+2825,int_stack+2510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158792,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+945,int_stack+3245,int_stack+2825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159107,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+231392,int_stack+945,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200942,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+233282,int_stack+3785,int_stack+3245, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159527,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+234902,int_stack+233282,int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201887,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+234902,int_stack+231392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203147,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+237422,int_stack+4460,int_stack+3785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160067,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+239447,int_stack+237422,int_stack+233282, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205037,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+242687,int_stack+239447,int_stack+234902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206657,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+231392,int_stack+242687,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214052,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+5285,int_stack+4460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160742,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+246887,int_stack+0,int_stack+237422, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217202,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+246887,int_stack+239447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219227,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+236117,int_stack+0,int_stack+242687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222467,15);
 /*--- compute (g0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+242417,int_stack+236117,int_stack+231392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226667,15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+249032,int_stack+242417,int_stack+209642,441);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+231392,int_stack+166763,int_stack+166322,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+232715,int_stack+167351,int_stack+166763,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+234479,int_stack+232715,int_stack+231392,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+237125,int_stack+168107,int_stack+167351,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+237125,int_stack+232715,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+209177,int_stack+0,int_stack+234479,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+239393,int_stack+169052,int_stack+168107,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+262262,int_stack+239393,int_stack+237125,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+266798,int_stack+262262,int_stack+0,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+272678,int_stack+266798,int_stack+209177,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3528,int_stack+6716,int_stack+6275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166322,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4851,int_stack+7304,int_stack+6716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166763,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+279293,int_stack+4851,int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231392,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+281939,int_stack+8060,int_stack+7304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167351,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+284207,int_stack+281939,int_stack+4851, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232715,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+3528,int_stack+284207,int_stack+279293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234479,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+287735,int_stack+9005,int_stack+8060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168107,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+290570,int_stack+287735,int_stack+281939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237125,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+295106,int_stack+290570,int_stack+284207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+279293,int_stack+295106,int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209177,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3528,int_stack+10160,int_stack+9005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169052,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+300986,int_stack+3528,int_stack+287735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239393,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3528,int_stack+300986,int_stack+290570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262262,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+285908,int_stack+3528,int_stack+295106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266798,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+294728,int_stack+285908,int_stack+279293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272678,21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+303989,int_stack+294728,int_stack+242417,441);
 /*--- compute (fd|hh) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+323834,int_stack+303989,int_stack+249032,441);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+279293,int_stack+105592,int_stack+104416,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+281057,int_stack+107160,int_stack+105592,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+283409,int_stack+281057,int_stack+279293,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+286937,int_stack+109176,int_stack+107160,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+289961,int_stack+286937,int_stack+281057,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+3528,int_stack+289961,int_stack+283409,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+242228,int_stack+111696,int_stack+109176,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+246008,int_stack+242228,int_stack+286937,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+252056,int_stack+246008,int_stack+289961,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+350294,int_stack+252056,int_stack+3528,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9408,int_stack+12134,int_stack+11546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104416,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+259896,int_stack+12918,int_stack+12134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105592,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+359114,int_stack+259896,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+279293,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9408,int_stack+13926,int_stack+12918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107160,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+362642,int_stack+9408,int_stack+259896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281057,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+367346,int_stack+362642,int_stack+359114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+283409,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+373226,int_stack+15186,int_stack+13926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109176,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+377006,int_stack+373226,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286937,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+383054,int_stack+377006,int_stack+362642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289961,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+390894,int_stack+383054,int_stack+367346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+9408,int_stack+16726,int_stack+15186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111696,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+359114,int_stack+9408,int_stack+373226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242228,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+366674,int_stack+359114,int_stack+377006, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246008,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+399714,int_stack+366674,int_stack+383054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252056,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+359114,int_stack+399714,int_stack+390894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350294,28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+371462,int_stack+359114,int_stack+294728,441);
 /*--- compute (gd|hh) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+399245,int_stack+371462,int_stack+303989,441);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+359114,int_stack+18784,int_stack+18574, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153772, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+359744,int_stack+19064,int_stack+18784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153982, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+360584,int_stack+359744,int_stack+359114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183892, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+361844,int_stack+19424,int_stack+19064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154262, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+362924,int_stack+361844,int_stack+359744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184522, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+364604,int_stack+362924,int_stack+360584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185362, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+359114,int_stack+19874,int_stack+19424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154622, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+366704,int_stack+359114,int_stack+361844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186622, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+368864,int_stack+366704,int_stack+362924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187702, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+360464,int_stack+368864,int_stack+364604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189382, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+363614,int_stack+20424,int_stack+19874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155072, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+371664,int_stack+363614,int_stack+359114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191482, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+374364,int_stack+371664,int_stack+366704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192832, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+363614,int_stack+374364,int_stack+368864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194992, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+367814,int_stack+363614,int_stack+360464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197792, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+359114,int_stack+21399,int_stack+21084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158792, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+360059,int_stack+21819,int_stack+21399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159107, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+361319,int_stack+360059,int_stack+359114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200942, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+363209,int_stack+22359,int_stack+21819, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159527, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+364829,int_stack+363209,int_stack+360059, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201887, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+372224,int_stack+364829,int_stack+361319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203147, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+359114,int_stack+23034,int_stack+22359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160067, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+375374,int_stack+359114,int_stack+363209, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205037, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+378614,int_stack+375374,int_stack+364829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206657, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+361139,int_stack+378614,int_stack+372224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214052, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+372224,int_stack+23859,int_stack+23034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160742, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+382814,int_stack+372224,int_stack+359114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217202, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+386864,int_stack+382814,int_stack+375374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219227, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+372224,int_stack+386864,int_stack+378614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222467, 0.0, zero_stack,15);
 /*--- compute (g0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+378524,int_stack+372224,int_stack+361139, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226667, 0.0, zero_stack,15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+385139,int_stack+378524,int_stack+367814,441);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+359114,int_stack+25290,int_stack+24849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166322, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+360437,int_stack+25878,int_stack+25290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166763, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+362201,int_stack+360437,int_stack+359114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231392, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+364847,int_stack+26634,int_stack+25878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167351, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+367115,int_stack+364847,int_stack+360437, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232715, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+370643,int_stack+367115,int_stack+362201, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234479, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+359114,int_stack+27579,int_stack+26634, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168107, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+9408,int_stack+359114,int_stack+364847, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237125, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+13944,int_stack+9408,int_stack+367115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+361949,int_stack+13944,int_stack+370643, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209177, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+368564,int_stack+28734,int_stack+27579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169052, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+372029,int_stack+368564,int_stack+359114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239393, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+19824,int_stack+372029,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262262, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+368564,int_stack+19824,int_stack+13944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266798, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+9408,int_stack+368564,int_stack+361949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272678, 0.0, zero_stack,21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+294665,int_stack+9408,int_stack+378524,441);
 /*--- compute (fd|hh) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+438935,int_stack+294665,int_stack+385139,441);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18669,int_stack+30708,int_stack+30120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104416, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20433,int_stack+31492,int_stack+30708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105592, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22785,int_stack+20433,int_stack+18669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+279293, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+26313,int_stack+32500,int_stack+31492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107160, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+359114,int_stack+26313,int_stack+20433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281057, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+363818,int_stack+359114,int_stack+22785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+283409, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+18669,int_stack+33760,int_stack+32500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109176, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+369698,int_stack+18669,int_stack+26313, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286937, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+22449,int_stack+369698,int_stack+359114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289961, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+375746,int_stack+22449,int_stack+363818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+359114,int_stack+35300,int_stack+33760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111696, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+384566,int_stack+359114,int_stack+18669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242228, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+359114,int_stack+384566,int_stack+369698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246008, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+384566,int_stack+359114,int_stack+22449, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252056, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+359114,int_stack+384566,int_stack+375746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350294, 0.0, zero_stack,28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+371462,int_stack+359114,int_stack+9408,441);
 /*--- compute (gd|hh) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+465395,int_stack+371462,int_stack+294665,441);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+294665,int_stack+37358,int_stack+37148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153772, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+295295,int_stack+37638,int_stack+37358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153982, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+296135,int_stack+295295,int_stack+294665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183892, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+297395,int_stack+37998,int_stack+37638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154262, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+298475,int_stack+297395,int_stack+295295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184522, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+300155,int_stack+298475,int_stack+296135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185362, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+294665,int_stack+38448,int_stack+37998, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154622, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+302255,int_stack+294665,int_stack+297395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186622, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+304415,int_stack+302255,int_stack+298475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187702, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+296015,int_stack+304415,int_stack+300155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189382, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+299165,int_stack+38998,int_stack+38448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155072, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+307215,int_stack+299165,int_stack+294665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191482, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+309915,int_stack+307215,int_stack+302255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192832, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+299165,int_stack+309915,int_stack+304415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194992, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+303365,int_stack+299165,int_stack+296015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197792, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+294665,int_stack+39973,int_stack+39658, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158792, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+295610,int_stack+40393,int_stack+39973, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159107, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+296870,int_stack+295610,int_stack+294665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200942, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+298760,int_stack+40933,int_stack+40393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159527, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+300380,int_stack+298760,int_stack+295610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201887, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+307775,int_stack+300380,int_stack+296870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203147, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+294665,int_stack+41608,int_stack+40933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160067, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+310925,int_stack+294665,int_stack+298760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205037, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+314165,int_stack+310925,int_stack+300380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206657, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+296690,int_stack+314165,int_stack+307775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214052, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+307775,int_stack+42433,int_stack+41608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160742, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+318365,int_stack+307775,int_stack+294665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217202, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+9408,int_stack+318365,int_stack+310925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219227, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+307775,int_stack+9408,int_stack+314165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222467, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+9408,int_stack+307775,int_stack+296690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226667, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+307775,int_stack+9408,int_stack+303365,441);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+321005,int_stack+43864,int_stack+43423, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166322, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16023,int_stack+44452,int_stack+43864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166763, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17787,int_stack+16023,int_stack+321005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231392, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+321005,int_stack+45208,int_stack+44452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167351, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+20433,int_stack+321005,int_stack+16023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232715, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+23961,int_stack+20433,int_stack+17787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234479, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16023,int_stack+46153,int_stack+45208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168107, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+28371,int_stack+16023,int_stack+321005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237125, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+32907,int_stack+28371,int_stack+20433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+38787,int_stack+32907,int_stack+23961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209177, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+18858,int_stack+47308,int_stack+46153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169052, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+22323,int_stack+18858,int_stack+16023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239393, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+294665,int_stack+22323,int_stack+28371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262262, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+16023,int_stack+294665,int_stack+32907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266798, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+294665,int_stack+16023,int_stack+38787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272678, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+16023,int_stack+294665,int_stack+9408,441);
 /*--- compute (fd|hh) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+359114,int_stack+16023,int_stack+307775,441);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9408,int_stack+49282,int_stack+48694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104416, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+11172,int_stack+50066,int_stack+49282, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105592, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+35868,int_stack+11172,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+279293, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39396,int_stack+51074,int_stack+50066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107160, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42420,int_stack+39396,int_stack+11172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281057, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+9408,int_stack+42420,int_stack+35868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+283409, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+47124,int_stack+52334,int_stack+51074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109176, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+303926,int_stack+47124,int_stack+39396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286937, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+309974,int_stack+303926,int_stack+42420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289961, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+35868,int_stack+309974,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+9408,int_stack+53874,int_stack+52334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111696, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+385574,int_stack+9408,int_stack+47124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242228, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+44688,int_stack+385574,int_stack+303926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246008, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+385574,int_stack+44688,int_stack+309974, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252056, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+303926,int_stack+385574,int_stack+35868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350294, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+505085,int_stack+303926,int_stack+294665,441);
 /*--- compute (gd|hh) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+532868,int_stack+505085,int_stack+16023,441);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+505085,int_stack+55932,int_stack+55722, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+505715,int_stack+56212,int_stack+55932, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+506555,int_stack+505715,int_stack+505085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+507815,int_stack+56572,int_stack+56212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154262, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+508895,int_stack+507815,int_stack+505715, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+510575,int_stack+508895,int_stack+506555, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+185362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+505085,int_stack+57022,int_stack+56572, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+512675,int_stack+505085,int_stack+507815, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+186622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+514835,int_stack+512675,int_stack+508895, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+506435,int_stack+514835,int_stack+510575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+509585,int_stack+57572,int_stack+57022, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+517635,int_stack+509585,int_stack+505085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+520335,int_stack+517635,int_stack+512675, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+509585,int_stack+520335,int_stack+514835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+513785,int_stack+509585,int_stack+506435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+505085,int_stack+58547,int_stack+58232, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+506030,int_stack+58967,int_stack+58547, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+507290,int_stack+506030,int_stack+505085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+509180,int_stack+59507,int_stack+58967, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+510800,int_stack+509180,int_stack+506030, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201887, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+518195,int_stack+510800,int_stack+507290, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+505085,int_stack+60182,int_stack+59507, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+521345,int_stack+505085,int_stack+509180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+524585,int_stack+521345,int_stack+510800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206657, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+507110,int_stack+524585,int_stack+518195, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+518195,int_stack+61007,int_stack+60182, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+528785,int_stack+518195,int_stack+505085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217202, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+294665,int_stack+528785,int_stack+521345, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+219227, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+518195,int_stack+294665,int_stack+524585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+294665,int_stack+518195,int_stack+507110, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226667, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+518195,int_stack+294665,int_stack+513785,441);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+531425,int_stack+62438,int_stack+61997, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+301280,int_stack+63026,int_stack+62438, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+303044,int_stack+301280,int_stack+531425, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+305690,int_stack+63782,int_stack+63026, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+307958,int_stack+305690,int_stack+301280, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+311486,int_stack+307958,int_stack+303044, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+301280,int_stack+64727,int_stack+63782, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+168107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+315896,int_stack+301280,int_stack+305690, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+505085,int_stack+315896,int_stack+307958, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+304115,int_stack+505085,int_stack+311486, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+209177, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+310730,int_stack+65882,int_stack+64727, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+510965,int_stack+310730,int_stack+301280, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+385574,int_stack+510965,int_stack+315896, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262262, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+310730,int_stack+385574,int_stack+505085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+505085,int_stack+310730,int_stack+304115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+301280,int_stack+505085,int_stack+294665,441);
 /*--- compute (fd|hh) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+9408,int_stack+301280,int_stack+518195,441);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+294665,int_stack+67856,int_stack+67268, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+296429,int_stack+68640,int_stack+67856, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+514346,int_stack+296429,int_stack+294665, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+279293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+517874,int_stack+69648,int_stack+68640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+520898,int_stack+517874,int_stack+296429, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+294665,int_stack+520898,int_stack+514346, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+283409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+525602,int_stack+70908,int_stack+69648, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+385574,int_stack+525602,int_stack+517874, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+286937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+35868,int_stack+385574,int_stack+520898, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+514346,int_stack+35868,int_stack+294665, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+294665,int_stack+72448,int_stack+70908, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+391622,int_stack+294665,int_stack+525602, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+43708,int_stack+391622,int_stack+385574, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+246008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+385574,int_stack+43708,int_stack+35868, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+35868,int_stack+385574,int_stack+514346, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+350294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+572558,int_stack+35868,int_stack+505085,441);
 /*--- compute (gd|hh) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+600341,int_stack+572558,int_stack+301280,441);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+572558,int_stack+74506,int_stack+74296, 0.0, zero_stack, 1.0, int_stack+153772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+573188,int_stack+74786,int_stack+74506, 0.0, zero_stack, 1.0, int_stack+153982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+574028,int_stack+573188,int_stack+572558, 0.0, zero_stack, 1.0, int_stack+183892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+575288,int_stack+75146,int_stack+74786, 0.0, zero_stack, 1.0, int_stack+154262, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+576368,int_stack+575288,int_stack+573188, 0.0, zero_stack, 1.0, int_stack+184522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+578048,int_stack+576368,int_stack+574028, 0.0, zero_stack, 1.0, int_stack+185362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+572558,int_stack+75596,int_stack+75146, 0.0, zero_stack, 1.0, int_stack+154622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+580148,int_stack+572558,int_stack+575288, 0.0, zero_stack, 1.0, int_stack+186622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+582308,int_stack+580148,int_stack+576368, 0.0, zero_stack, 1.0, int_stack+187702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+573908,int_stack+582308,int_stack+578048, 0.0, zero_stack, 1.0, int_stack+189382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+577058,int_stack+76146,int_stack+75596, 0.0, zero_stack, 1.0, int_stack+155072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+585108,int_stack+577058,int_stack+572558, 0.0, zero_stack, 1.0, int_stack+191482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+587808,int_stack+585108,int_stack+580148, 0.0, zero_stack, 1.0, int_stack+192832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+577058,int_stack+587808,int_stack+582308, 0.0, zero_stack, 1.0, int_stack+194992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+581258,int_stack+577058,int_stack+573908, 0.0, zero_stack, 1.0, int_stack+197792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+572558,int_stack+77121,int_stack+76806, 0.0, zero_stack, 1.0, int_stack+158792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+573503,int_stack+77541,int_stack+77121, 0.0, zero_stack, 1.0, int_stack+159107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+574763,int_stack+573503,int_stack+572558, 0.0, zero_stack, 1.0, int_stack+200942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+576653,int_stack+78081,int_stack+77541, 0.0, zero_stack, 1.0, int_stack+159527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+578273,int_stack+576653,int_stack+573503, 0.0, zero_stack, 1.0, int_stack+201887, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+585668,int_stack+578273,int_stack+574763, 0.0, zero_stack, 1.0, int_stack+203147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+572558,int_stack+78756,int_stack+78081, 0.0, zero_stack, 1.0, int_stack+160067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+588818,int_stack+572558,int_stack+576653, 0.0, zero_stack, 1.0, int_stack+205037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+592058,int_stack+588818,int_stack+578273, 0.0, zero_stack, 1.0, int_stack+206657, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+574583,int_stack+592058,int_stack+585668, 0.0, zero_stack, 1.0, int_stack+214052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+585668,int_stack+79581,int_stack+78756, 0.0, zero_stack, 1.0, int_stack+160742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+596258,int_stack+585668,int_stack+572558, 0.0, zero_stack, 1.0, int_stack+217202, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+505085,int_stack+596258,int_stack+588818, 0.0, zero_stack, 1.0, int_stack+219227, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+585668,int_stack+505085,int_stack+592058, 0.0, zero_stack, 1.0, int_stack+222467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+505085,int_stack+585668,int_stack+574583, 0.0, zero_stack, 1.0, int_stack+226667, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+585668,int_stack+505085,int_stack+581258,441);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+598898,int_stack+81012,int_stack+80571, 0.0, zero_stack, 1.0, int_stack+166322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+511700,int_stack+81600,int_stack+81012, 0.0, zero_stack, 1.0, int_stack+166763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+513464,int_stack+511700,int_stack+598898, 0.0, zero_stack, 1.0, int_stack+231392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+516110,int_stack+82356,int_stack+81600, 0.0, zero_stack, 1.0, int_stack+167351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+518378,int_stack+516110,int_stack+511700, 0.0, zero_stack, 1.0, int_stack+232715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+521906,int_stack+518378,int_stack+513464, 0.0, zero_stack, 1.0, int_stack+234479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+511700,int_stack+83301,int_stack+82356, 0.0, zero_stack, 1.0, int_stack+168107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+526316,int_stack+511700,int_stack+516110, 0.0, zero_stack, 1.0, int_stack+237125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+572558,int_stack+526316,int_stack+518378, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+514535,int_stack+572558,int_stack+521906, 0.0, zero_stack, 1.0, int_stack+209177, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+521150,int_stack+84456,int_stack+83301, 0.0, zero_stack, 1.0, int_stack+169052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+578438,int_stack+521150,int_stack+511700, 0.0, zero_stack, 1.0, int_stack+239393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+35868,int_stack+578438,int_stack+526316, 0.0, zero_stack, 1.0, int_stack+262262, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+521150,int_stack+35868,int_stack+572558, 0.0, zero_stack, 1.0, int_stack+266798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+572558,int_stack+521150,int_stack+514535, 0.0, zero_stack, 1.0, int_stack+272678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+35868,int_stack+572558,int_stack+505085,441);
 /*--- compute (fd|hh) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+505085,int_stack+35868,int_stack+585668,441);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+581819,int_stack+86430,int_stack+85842, 0.0, zero_stack, 1.0, int_stack+104416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+583583,int_stack+87214,int_stack+86430, 0.0, zero_stack, 1.0, int_stack+105592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+585935,int_stack+583583,int_stack+581819, 0.0, zero_stack, 1.0, int_stack+279293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+589463,int_stack+88222,int_stack+87214, 0.0, zero_stack, 1.0, int_stack+107160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+592487,int_stack+589463,int_stack+583583, 0.0, zero_stack, 1.0, int_stack+281057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+55713,int_stack+592487,int_stack+585935, 0.0, zero_stack, 1.0, int_stack+283409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+581819,int_stack+89482,int_stack+88222, 0.0, zero_stack, 1.0, int_stack+109176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+61593,int_stack+581819,int_stack+589463, 0.0, zero_stack, 1.0, int_stack+286937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+67641,int_stack+61593,int_stack+592487, 0.0, zero_stack, 1.0, int_stack+289961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+585599,int_stack+67641,int_stack+55713, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+55713,int_stack+91022,int_stack+89482, 0.0, zero_stack, 1.0, int_stack+111696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+75481,int_stack+55713,int_stack+581819, 0.0, zero_stack, 1.0, int_stack+242228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+385574,int_stack+75481,int_stack+61593, 0.0, zero_stack, 1.0, int_stack+246008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+75481,int_stack+385574,int_stack+67641, 0.0, zero_stack, 1.0, int_stack+252056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+385574,int_stack+75481,int_stack+585599, 0.0, zero_stack, 1.0, int_stack+350294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+55713,int_stack+385574,int_stack+572558,441);
 /*--- compute (gd|hh) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+640031,int_stack+55713,int_stack+35868,441);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35868,int_stack+93080,int_stack+92870, 1.0, int_stack+153772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+36498,int_stack+93360,int_stack+93080, 1.0, int_stack+153982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+37338,int_stack+36498,int_stack+35868, 1.0, int_stack+183892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+38598,int_stack+93720,int_stack+93360, 1.0, int_stack+154262, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39678,int_stack+38598,int_stack+36498, 1.0, int_stack+184522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+41358,int_stack+39678,int_stack+37338, 1.0, int_stack+185362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+183892,int_stack+94170,int_stack+93720, 1.0, int_stack+154622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+35868,int_stack+183892,int_stack+38598, 1.0, int_stack+186622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+43458,int_stack+35868,int_stack+39678, 1.0, int_stack+187702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+185242,int_stack+43458,int_stack+41358, 1.0, int_stack+189382, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+188392,int_stack+94720,int_stack+94170, 1.0, int_stack+155072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+38028,int_stack+188392,int_stack+183892, 1.0, int_stack+191482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+46258,int_stack+38028,int_stack+35868, 1.0, int_stack+192832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+35868,int_stack+46258,int_stack+43458, 1.0, int_stack+194992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+40068,int_stack+35868,int_stack+185242, 1.0, int_stack+197792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35868,int_stack+95695,int_stack+95380, 1.0, int_stack+158792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+36813,int_stack+96115,int_stack+95695, 1.0, int_stack+159107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38073,int_stack+36813,int_stack+35868, 1.0, int_stack+200942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+44478,int_stack+96655,int_stack+96115, 1.0, int_stack+159527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+46098,int_stack+44478,int_stack+36813, 1.0, int_stack+201887, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+48618,int_stack+46098,int_stack+38073, 1.0, int_stack+203147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+200942,int_stack+97330,int_stack+96655, 1.0, int_stack+160067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+35868,int_stack+200942,int_stack+44478, 1.0, int_stack+205037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+51768,int_stack+35868,int_stack+46098, 1.0, int_stack+206657, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+202967,int_stack+51768,int_stack+48618, 1.0, int_stack+214052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+44478,int_stack+98155,int_stack+97330, 1.0, int_stack+160742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+46953,int_stack+44478,int_stack+200942, 1.0, int_stack+217202, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+55968,int_stack+46953,int_stack+35868, 1.0, int_stack+219227, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+44478,int_stack+55968,int_stack+51768, 1.0, int_stack+222467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+50778,int_stack+44478,int_stack+202967, 1.0, int_stack+226667, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+57393,int_stack+50778,int_stack+40068,441);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+531545,int_stack+99586,int_stack+99145, 1.0, int_stack+166322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+35868,int_stack+100174,int_stack+99586, 1.0, int_stack+166763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+37632,int_stack+35868,int_stack+531545, 1.0, int_stack+231392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+40278,int_stack+100930,int_stack+100174, 1.0, int_stack+167351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42546,int_stack+40278,int_stack+35868, 1.0, int_stack+232715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+46074,int_stack+42546,int_stack+37632, 1.0, int_stack+234479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+35868,int_stack+101875,int_stack+100930, 1.0, int_stack+168107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+231392,int_stack+35868,int_stack+40278, 1.0, int_stack+237125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+200942,int_stack+231392,int_stack+42546, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+38703,int_stack+200942,int_stack+46074, 1.0, int_stack+209177, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+235928,int_stack+103030,int_stack+101875, 1.0, int_stack+169052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+206822,int_stack+235928,int_stack+35868, 1.0, int_stack+239393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+70623,int_stack+206822,int_stack+231392, 1.0, int_stack+262262, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+206822,int_stack+70623,int_stack+200942, 1.0, int_stack+266798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+70623,int_stack+206822,int_stack+38703, 1.0, int_stack+272678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+79884,int_stack+70623,int_stack+50778,441);
 /*--- compute (fd|hh) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+572558,int_stack+79884,int_stack+57393,441);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+200942,int_stack+106376,int_stack+105004, 1.0, int_stack+104416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+202706,int_stack+108168,int_stack+106376, 1.0, int_stack+105592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+202706,int_stack+200942, 1.0, int_stack+279293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+205058,int_stack+110436,int_stack+108168, 1.0, int_stack+107160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+208082,int_stack+205058,int_stack+202706, 1.0, int_stack+281057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+99729,int_stack+208082,int_stack+0, 1.0, int_stack+283409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+279293,int_stack+113236,int_stack+110436, 1.0, int_stack+109176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+105609,int_stack+279293,int_stack+205058, 1.0, int_stack+286937, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+231392,int_stack+105609,int_stack+208082, 1.0, int_stack+289961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+283073,int_stack+231392,int_stack+99729, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+99729,int_stack+114776,int_stack+113236, 1.0, int_stack+111696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+99729,int_stack+279293, 1.0, int_stack+242228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+291893,int_stack+0,int_stack+105609, 1.0, int_stack+246008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+99729,int_stack+291893,int_stack+231392, 1.0, int_stack+252056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+291893,int_stack+99729,int_stack+283073, 1.0, int_stack+350294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+35868,int_stack+291893,int_stack+70623,441);
 /*--- compute (gd|hh) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+279293,int_stack+35868,int_stack+79884,441);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+35868,int_stack+155622,int_stack+155072,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+37518,int_stack+35868,int_stack+191482,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+40218,int_stack+37518,int_stack+192832,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+35868,int_stack+40218,int_stack+194992,10);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+40068,int_stack+35868,int_stack+197792,10);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+35868,int_stack+161567,int_stack+160742,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+44478,int_stack+35868,int_stack+217202,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+48528,int_stack+44478,int_stack+219227,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+53928,int_stack+48528,int_stack+222467,15);
 /*--- compute (g0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+44478,int_stack+53928,int_stack+226667,15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+51093,int_stack+44478,int_stack+40068,441);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+64323,int_stack+170207,int_stack+169052,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+67788,int_stack+64323,int_stack+239393,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+73458,int_stack+67788,int_stack+262262,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+350294,int_stack+73458,int_stack+266798,21);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+64323,int_stack+350294,int_stack+272678,21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+73584,int_stack+64323,int_stack+44478,441);
 /*--- compute (fd|hh) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+183892,int_stack+73584,int_stack+51093,441);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+350294,int_stack+116834,int_stack+116624,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+350924,int_stack+117114,int_stack+116834,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+351764,int_stack+350924,int_stack+350294,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+353024,int_stack+117474,int_stack+117114,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+354104,int_stack+353024,int_stack+350924,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+355784,int_stack+354104,int_stack+351764,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+350294,int_stack+117924,int_stack+117474,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+93429,int_stack+350294,int_stack+353024,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+95589,int_stack+93429,int_stack+354104,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+351644,int_stack+95589,int_stack+355784,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+354794,int_stack+118474,int_stack+117924,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+98389,int_stack+354794,int_stack+350294,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+354794,int_stack+98389,int_stack+93429,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+35868,int_stack+354794,int_stack+95589,10);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+93429,int_stack+35868,int_stack+351644,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+35868,int_stack+119449,int_stack+119134,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+36813,int_stack+119869,int_stack+119449,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+38073,int_stack+36813,int_stack+35868,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+97839,int_stack+120409,int_stack+119869,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+99459,int_stack+97839,int_stack+36813,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+101979,int_stack+99459,int_stack+38073,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+35868,int_stack+121084,int_stack+120409,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+105129,int_stack+35868,int_stack+97839,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+108369,int_stack+105129,int_stack+99459,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+112569,int_stack+108369,int_stack+101979,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+97839,int_stack+121909,int_stack+121084,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+100314,int_stack+97839,int_stack+35868,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+117294,int_stack+100314,int_stack+105129,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+97839,int_stack+117294,int_stack+108369,15);
 /*--- compute (g0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+104139,int_stack+97839,int_stack+112569,15);
 /*--- compute (fp|hh) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+210352,int_stack+104139,int_stack+93429, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+531545,int_stack+123340,int_stack+122899,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+93429,int_stack+123928,int_stack+123340,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+95193,int_stack+93429,int_stack+531545,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+97839,int_stack+124684,int_stack+123928,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+100107,int_stack+97839,int_stack+93429,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+110754,int_stack+100107,int_stack+95193,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+93429,int_stack+125629,int_stack+124684,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+115164,int_stack+93429,int_stack+97839,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+119700,int_stack+115164,int_stack+100107,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+96264,int_stack+119700,int_stack+110754,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+110754,int_stack+126784,int_stack+125629,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+350294,int_stack+110754,int_stack+93429,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+350294,int_stack+115164,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+350294,int_stack+0,int_stack+119700,21);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+0,int_stack+350294,int_stack+96264,21);
 /*--- compute (gp|hh) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+223582,int_stack+0,int_stack+104139, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (fd|hh) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+93429,int_stack+223582,int_stack+210352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+210352,int_stack+128758,int_stack+128170,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+212116,int_stack+129542,int_stack+128758,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+214468,int_stack+212116,int_stack+210352,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+217996,int_stack+130550,int_stack+129542,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+350294,int_stack+217996,int_stack+212116,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+119889,int_stack+350294,int_stack+214468,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+210352,int_stack+131810,int_stack+130550,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+243427,int_stack+210352,int_stack+217996,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+214132,int_stack+243427,int_stack+350294,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+350294,int_stack+214132,int_stack+119889,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+119889,int_stack+133350,int_stack+131810,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+124509,int_stack+119889,int_stack+210352,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+249475,int_stack+124509,int_stack+243427,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+119889,int_stack+249475,int_stack+214132,28);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+243427,int_stack+119889,int_stack+350294,28);
 /*--- compute (hp|hh) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+679721,int_stack+243427,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (gd|hh) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+707504,int_stack+679721,int_stack+223582, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+679721,int_stack+135408,int_stack+135198,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+680351,int_stack+135688,int_stack+135408,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+681191,int_stack+680351,int_stack+679721,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+682451,int_stack+136048,int_stack+135688,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+683531,int_stack+682451,int_stack+680351,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+685211,int_stack+683531,int_stack+681191,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+679721,int_stack+136498,int_stack+136048,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+687311,int_stack+679721,int_stack+682451,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+689471,int_stack+687311,int_stack+683531,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+681071,int_stack+689471,int_stack+685211,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+684221,int_stack+137048,int_stack+136498,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+692271,int_stack+684221,int_stack+679721,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+694971,int_stack+692271,int_stack+687311,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+35868,int_stack+694971,int_stack+689471,10);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+684221,int_stack+35868,int_stack+681071,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+35868,int_stack+138023,int_stack+137708,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+36813,int_stack+138443,int_stack+138023,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+38073,int_stack+36813,int_stack+35868,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+679721,int_stack+138983,int_stack+138443,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+681341,int_stack+679721,int_stack+36813,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+688631,int_stack+681341,int_stack+38073,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+35868,int_stack+139658,int_stack+138983,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+691781,int_stack+35868,int_stack+679721,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+695021,int_stack+691781,int_stack+681341,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+699221,int_stack+695021,int_stack+688631,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+688631,int_stack+140483,int_stack+139658,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+679721,int_stack+688631,int_stack+35868,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+679721,int_stack+691781,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+688631,int_stack+0,int_stack+695021,15);
 /*--- compute (g0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+0,int_stack+688631,int_stack+699221,15);
 /*--- compute (fp|hh) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+688631,int_stack+0,int_stack+684221, 0.0, zero_stack, 1.0, int_stack+40068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+531545,int_stack+141914,int_stack+141473,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+701861,int_stack+142502,int_stack+141914,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+703625,int_stack+701861,int_stack+531545,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6615,int_stack+143258,int_stack+142502,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+679721,int_stack+6615,int_stack+701861,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+683249,int_stack+679721,int_stack+703625,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+701861,int_stack+144203,int_stack+143258,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+350294,int_stack+701861,int_stack+6615,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+119889,int_stack+350294,int_stack+679721,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+125769,int_stack+119889,int_stack+683249,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+679721,int_stack+145358,int_stack+144203,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+132384,int_stack+679721,int_stack+701861,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+679721,int_stack+132384,int_stack+350294,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+350294,int_stack+679721,int_stack+119889,21);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+132384,int_stack+350294,int_stack+125769,21);
 /*--- compute (gp|hh) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+210352,int_stack+132384,int_stack+0, 0.0, zero_stack, 1.0, int_stack+44478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (fd|hh) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+230197,int_stack+210352,int_stack+688631, 0.0, zero_stack, 1.0, int_stack+51093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+147332,int_stack+146744,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+148116,int_stack+147332,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+350294,int_stack+149124,int_stack+148116,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+353318,int_stack+350294,int_stack+1764,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+119889,int_stack+353318,int_stack+4116,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+150384,int_stack+149124,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+125769,int_stack+0,int_stack+350294,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+679721,int_stack+125769,int_stack+353318,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+350294,int_stack+679721,int_stack+119889,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+119889,int_stack+151924,int_stack+150384,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+687561,int_stack+119889,int_stack+0,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+695121,int_stack+687561,int_stack+125769,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+119889,int_stack+695121,int_stack+679721,28);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+679721,int_stack+119889,int_stack+350294,28);
 /*--- compute (hp|hh) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+747194,int_stack+679721,int_stack+132384, 0.0, zero_stack, 1.0, int_stack+64323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (gd|hh) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+774977,int_stack+747194,int_stack+210352, 0.0, zero_stack, 1.0, int_stack+73584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+210352,int_stack+156492,int_stack+156282,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+210982,int_stack+156772,int_stack+156492,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+211822,int_stack+210982,int_stack+210352,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+213082,int_stack+157132,int_stack+156772,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+214162,int_stack+213082,int_stack+210982,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+215842,int_stack+214162,int_stack+211822,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+210352,int_stack+157582,int_stack+157132,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+217942,int_stack+210352,int_stack+213082,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+220102,int_stack+217942,int_stack+214162,10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+211702,int_stack+220102,int_stack+215842,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+214852,int_stack+158132,int_stack+157582,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+222902,int_stack+214852,int_stack+210352,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+225602,int_stack+222902,int_stack+217942,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+35868,int_stack+225602,int_stack+220102,10);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+214852,int_stack+35868,int_stack+211702,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+35868,int_stack+162872,int_stack+162557,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+36813,int_stack+163292,int_stack+162872,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+38073,int_stack+36813,int_stack+35868,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+210352,int_stack+163832,int_stack+163292,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+211972,int_stack+210352,int_stack+36813,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+219262,int_stack+211972,int_stack+38073,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+35868,int_stack+164507,int_stack+163832,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+222412,int_stack+35868,int_stack+210352,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+225652,int_stack+222412,int_stack+211972,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+747194,int_stack+225652,int_stack+219262,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+219262,int_stack+165332,int_stack+164507,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+210352,int_stack+219262,int_stack+35868,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+751919,int_stack+210352,int_stack+222412,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+219262,int_stack+751919,int_stack+225652,15);
 /*--- compute (g0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+751919,int_stack+219262,int_stack+747194,15);
 /*--- compute (fp|hh) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+758534,int_stack+751919,int_stack+214852, 1.0, int_stack+40068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+531545,int_stack+172034,int_stack+171593,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+747194,int_stack+172622,int_stack+172034,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+748958,int_stack+747194,int_stack+531545,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+771764,int_stack+173378,int_stack+172622,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+210352,int_stack+771764,int_stack+747194,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+213880,int_stack+210352,int_stack+748958,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+747194,int_stack+174323,int_stack+173378,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+218290,int_stack+747194,int_stack+771764,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+222826,int_stack+218290,int_stack+210352,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+35868,int_stack+222826,int_stack+213880,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+210352,int_stack+175478,int_stack+174323,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+679721,int_stack+210352,int_stack+747194,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+210352,int_stack+679721,int_stack+218290,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+350294,int_stack+210352,int_stack+222826,21);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+210352,int_stack+350294,int_stack+35868,21);
 /*--- compute (gp|hh) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+679721,int_stack+210352,int_stack+751919, 1.0, int_stack+44478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (fd|hh) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+119889,int_stack+679721,int_stack+758534, 1.0, int_stack+51093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+35868,int_stack+177452,int_stack+176864,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37632,int_stack+178236,int_stack+177452,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+39984,int_stack+37632,int_stack+35868,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+43512,int_stack+179244,int_stack+178236,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+46536,int_stack+43512,int_stack+37632,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+51240,int_stack+46536,int_stack+39984,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+35868,int_stack+180504,int_stack+179244,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+57120,int_stack+35868,int_stack+43512,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+350294,int_stack+57120,int_stack+46536,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+39648,int_stack+350294,int_stack+51240,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+48468,int_stack+182044,int_stack+180504,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+219613,int_stack+48468,int_stack+35868,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+747194,int_stack+219613,int_stack+57120,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+48468,int_stack+747194,int_stack+350294,28);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+747194,int_stack+48468,int_stack+39648,28);
 /*--- compute (hp|hh) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+35868,int_stack+747194,int_stack+210352, 1.0, int_stack+64323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (gd|hh) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+814667,int_stack+35868,int_stack+679721, 1.0, int_stack+73584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
 /*--- compute (ff|hh) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+35868,int_stack+399245,int_stack+323834,441);
     Libderiv->ABCD[11] = int_stack + 35868;
 /*--- compute (ff|hh) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+385574,int_stack+465395,int_stack+438935,441);
     Libderiv->ABCD[10] = int_stack + 385574;
 /*--- compute (ff|hh) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+429674,int_stack+532868,int_stack+359114,441);
     Libderiv->ABCD[9] = int_stack + 429674;
 /*--- compute (ff|hh) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+318983,int_stack+600341,int_stack+9408,441);
     Libderiv->ABCD[8] = int_stack + 318983;
 /*--- compute (ff|hh) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+854357,int_stack+640031,int_stack+505085,441);
     Libderiv->ABCD[7] = int_stack + 854357;
 /*--- compute (ff|hh) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+599018,int_stack+279293,int_stack+572558,441);
     Libderiv->ABCD[6] = int_stack + 599018;
 /*--- compute (ff|hh) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+256657,int_stack+707504,int_stack+93429, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[2] = int_stack + 256657;
 /*--- compute (ff|hh) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+643118,int_stack+774977,int_stack+230197, 0.0, zero_stack, 1.0, int_stack+183892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[1] = int_stack + 643118;
 /*--- compute (ff|hh) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+210352,int_stack+814667,int_stack+119889, 1.0, int_stack+183892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[0] = int_stack + 210352;

}
