#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ffih(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ff|ih) integrals */

void d1hrr_order_ffih(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[3][10][11] = int_stack + 1640;
 Libderiv->deriv_classes[3][11][11] = int_stack + 2300;
 Libderiv->deriv_classes[4][6][11] = int_stack + 3080;
 Libderiv->deriv_classes[4][7][11] = int_stack + 3500;
 Libderiv->deriv_classes[4][8][11] = int_stack + 4040;
 Libderiv->deriv_classes[4][9][11] = int_stack + 4715;
 Libderiv->deriv_classes[4][10][11] = int_stack + 5540;
 Libderiv->deriv_classes[4][11][11] = int_stack + 6530;
 Libderiv->deriv_classes[5][6][11] = int_stack + 7700;
 Libderiv->deriv_classes[5][7][11] = int_stack + 8288;
 Libderiv->deriv_classes[5][8][11] = int_stack + 9044;
 Libderiv->deriv_classes[5][9][11] = int_stack + 9989;
 Libderiv->deriv_classes[5][10][11] = int_stack + 11144;
 Libderiv->deriv_classes[5][11][11] = int_stack + 12530;
 Libderiv->deriv_classes[6][6][11] = int_stack + 14168;
 Libderiv->deriv_classes[6][7][11] = int_stack + 14952;
 Libderiv->deriv_classes[6][8][11] = int_stack + 15960;
 Libderiv->deriv_classes[6][9][11] = int_stack + 17220;
 Libderiv->deriv_classes[6][10][11] = int_stack + 18760;
 Libderiv->deriv_classes[6][11][11] = int_stack + 20608;
 Libderiv->deriv_classes[3][6][10] = int_stack + 22792;
 Libderiv->deriv_classes[3][7][10] = int_stack + 23072;
 Libderiv->deriv_classes[3][8][10] = int_stack + 23432;
 Libderiv->deriv_classes[3][9][10] = int_stack + 23882;
 Libderiv->deriv_classes[3][10][10] = int_stack + 24432;
 Libderiv->deriv_classes[3][11][10] = int_stack + 25092;
 Libderiv->deriv_classes[4][6][10] = int_stack + 25872;
 Libderiv->deriv_classes[4][7][10] = int_stack + 26292;
 Libderiv->deriv_classes[4][8][10] = int_stack + 26832;
 Libderiv->deriv_classes[4][9][10] = int_stack + 27507;
 Libderiv->deriv_classes[4][10][10] = int_stack + 28332;
 Libderiv->deriv_classes[4][11][10] = int_stack + 29322;
 Libderiv->deriv_classes[5][6][10] = int_stack + 30492;
 Libderiv->deriv_classes[5][7][10] = int_stack + 31080;
 Libderiv->deriv_classes[5][8][10] = int_stack + 31836;
 Libderiv->deriv_classes[5][9][10] = int_stack + 32781;
 Libderiv->deriv_classes[5][10][10] = int_stack + 33936;
 Libderiv->deriv_classes[5][11][10] = int_stack + 35322;
 Libderiv->deriv_classes[6][6][10] = int_stack + 36960;
 Libderiv->deriv_classes[6][7][10] = int_stack + 37744;
 Libderiv->deriv_classes[6][8][10] = int_stack + 38752;
 Libderiv->deriv_classes[6][9][10] = int_stack + 40012;
 Libderiv->deriv_classes[6][10][10] = int_stack + 41552;
 Libderiv->deriv_classes[6][11][10] = int_stack + 43400;
 Libderiv->deriv_classes[3][6][9] = int_stack + 45584;
 Libderiv->deriv_classes[3][7][9] = int_stack + 45864;
 Libderiv->deriv_classes[3][8][9] = int_stack + 46224;
 Libderiv->deriv_classes[3][9][9] = int_stack + 46674;
 Libderiv->deriv_classes[3][10][9] = int_stack + 47224;
 Libderiv->deriv_classes[3][11][9] = int_stack + 47884;
 Libderiv->deriv_classes[4][6][9] = int_stack + 48664;
 Libderiv->deriv_classes[4][7][9] = int_stack + 49084;
 Libderiv->deriv_classes[4][8][9] = int_stack + 49624;
 Libderiv->deriv_classes[4][9][9] = int_stack + 50299;
 Libderiv->deriv_classes[4][10][9] = int_stack + 51124;
 Libderiv->deriv_classes[4][11][9] = int_stack + 52114;
 Libderiv->deriv_classes[5][6][9] = int_stack + 53284;
 Libderiv->deriv_classes[5][7][9] = int_stack + 53872;
 Libderiv->deriv_classes[5][8][9] = int_stack + 54628;
 Libderiv->deriv_classes[5][9][9] = int_stack + 55573;
 Libderiv->deriv_classes[5][10][9] = int_stack + 56728;
 Libderiv->deriv_classes[5][11][9] = int_stack + 58114;
 Libderiv->deriv_classes[6][6][9] = int_stack + 59752;
 Libderiv->deriv_classes[6][7][9] = int_stack + 60536;
 Libderiv->deriv_classes[6][8][9] = int_stack + 61544;
 Libderiv->deriv_classes[6][9][9] = int_stack + 62804;
 Libderiv->deriv_classes[6][10][9] = int_stack + 64344;
 Libderiv->deriv_classes[6][11][9] = int_stack + 66192;
 Libderiv->deriv_classes[3][6][8] = int_stack + 68376;
 Libderiv->deriv_classes[3][7][8] = int_stack + 68656;
 Libderiv->deriv_classes[3][8][8] = int_stack + 69016;
 Libderiv->deriv_classes[3][9][8] = int_stack + 69466;
 Libderiv->deriv_classes[3][10][8] = int_stack + 70016;
 Libderiv->deriv_classes[3][11][8] = int_stack + 70676;
 Libderiv->deriv_classes[4][6][8] = int_stack + 71456;
 Libderiv->deriv_classes[4][7][8] = int_stack + 71876;
 Libderiv->deriv_classes[4][8][8] = int_stack + 72416;
 Libderiv->deriv_classes[4][9][8] = int_stack + 73091;
 Libderiv->deriv_classes[4][10][8] = int_stack + 73916;
 Libderiv->deriv_classes[4][11][8] = int_stack + 74906;
 Libderiv->deriv_classes[5][6][8] = int_stack + 76076;
 Libderiv->deriv_classes[5][7][8] = int_stack + 76664;
 Libderiv->deriv_classes[5][8][8] = int_stack + 77420;
 Libderiv->deriv_classes[5][9][8] = int_stack + 78365;
 Libderiv->deriv_classes[5][10][8] = int_stack + 79520;
 Libderiv->deriv_classes[5][11][8] = int_stack + 80906;
 Libderiv->deriv_classes[6][6][8] = int_stack + 82544;
 Libderiv->deriv_classes[6][7][8] = int_stack + 83328;
 Libderiv->deriv_classes[6][8][8] = int_stack + 84336;
 Libderiv->deriv_classes[6][9][8] = int_stack + 85596;
 Libderiv->deriv_classes[6][10][8] = int_stack + 87136;
 Libderiv->deriv_classes[6][11][8] = int_stack + 88984;
 Libderiv->deriv_classes[3][6][7] = int_stack + 91168;
 Libderiv->deriv_classes[3][7][7] = int_stack + 91448;
 Libderiv->deriv_classes[3][8][7] = int_stack + 91808;
 Libderiv->deriv_classes[3][9][7] = int_stack + 92258;
 Libderiv->deriv_classes[3][10][7] = int_stack + 92808;
 Libderiv->deriv_classes[3][11][7] = int_stack + 93468;
 Libderiv->deriv_classes[4][6][7] = int_stack + 94248;
 Libderiv->deriv_classes[4][7][7] = int_stack + 94668;
 Libderiv->deriv_classes[4][8][7] = int_stack + 95208;
 Libderiv->deriv_classes[4][9][7] = int_stack + 95883;
 Libderiv->deriv_classes[4][10][7] = int_stack + 96708;
 Libderiv->deriv_classes[4][11][7] = int_stack + 97698;
 Libderiv->deriv_classes[5][6][7] = int_stack + 98868;
 Libderiv->deriv_classes[5][7][7] = int_stack + 99456;
 Libderiv->deriv_classes[5][8][7] = int_stack + 100212;
 Libderiv->deriv_classes[5][9][7] = int_stack + 101157;
 Libderiv->deriv_classes[5][10][7] = int_stack + 102312;
 Libderiv->deriv_classes[5][11][7] = int_stack + 103698;
 Libderiv->deriv_classes[6][6][7] = int_stack + 105336;
 Libderiv->deriv_classes[6][7][7] = int_stack + 106120;
 Libderiv->deriv_classes[6][8][7] = int_stack + 107128;
 Libderiv->deriv_classes[6][9][7] = int_stack + 108388;
 Libderiv->deriv_classes[6][10][7] = int_stack + 109928;
 Libderiv->deriv_classes[6][11][7] = int_stack + 111776;
 Libderiv->deriv_classes[3][6][6] = int_stack + 113960;
 Libderiv->deriv_classes[3][7][6] = int_stack + 114240;
 Libderiv->deriv_classes[3][8][6] = int_stack + 114600;
 Libderiv->deriv_classes[3][9][6] = int_stack + 115050;
 Libderiv->deriv_classes[3][10][6] = int_stack + 115600;
 Libderiv->deriv_classes[3][11][6] = int_stack + 116260;
 Libderiv->deriv_classes[4][6][6] = int_stack + 117040;
 Libderiv->deriv_classes[4][7][6] = int_stack + 117460;
 Libderiv->deriv_classes[4][8][6] = int_stack + 118000;
 Libderiv->deriv_classes[4][9][6] = int_stack + 118675;
 Libderiv->deriv_classes[4][10][6] = int_stack + 119500;
 Libderiv->deriv_classes[4][11][6] = int_stack + 120490;
 Libderiv->deriv_classes[5][6][6] = int_stack + 121660;
 Libderiv->deriv_classes[5][7][6] = int_stack + 122248;
 Libderiv->deriv_classes[5][8][6] = int_stack + 123004;
 Libderiv->deriv_classes[5][9][6] = int_stack + 123949;
 Libderiv->deriv_classes[5][10][6] = int_stack + 125104;
 Libderiv->deriv_classes[5][11][6] = int_stack + 126490;
 Libderiv->dvrr_classes[6][6] = int_stack + 128128;
 Libderiv->deriv_classes[6][6][6] = int_stack + 128912;
 Libderiv->dvrr_classes[6][7] = int_stack + 129696;
 Libderiv->deriv_classes[6][7][6] = int_stack + 130704;
 Libderiv->dvrr_classes[6][8] = int_stack + 131712;
 Libderiv->deriv_classes[6][8][6] = int_stack + 132972;
 Libderiv->dvrr_classes[6][9] = int_stack + 134232;
 Libderiv->deriv_classes[6][9][6] = int_stack + 135772;
 Libderiv->dvrr_classes[6][10] = int_stack + 137312;
 Libderiv->deriv_classes[6][10][6] = int_stack + 139160;
 Libderiv->deriv_classes[6][11][6] = int_stack + 141008;
 Libderiv->deriv_classes[3][6][2] = int_stack + 143192;
 Libderiv->deriv_classes[3][7][2] = int_stack + 143472;
 Libderiv->deriv_classes[3][8][2] = int_stack + 143832;
 Libderiv->deriv_classes[3][9][2] = int_stack + 144282;
 Libderiv->deriv_classes[3][10][2] = int_stack + 144832;
 Libderiv->deriv_classes[3][11][2] = int_stack + 145492;
 Libderiv->deriv_classes[4][6][2] = int_stack + 146272;
 Libderiv->deriv_classes[4][7][2] = int_stack + 146692;
 Libderiv->deriv_classes[4][8][2] = int_stack + 147232;
 Libderiv->deriv_classes[4][9][2] = int_stack + 147907;
 Libderiv->deriv_classes[4][10][2] = int_stack + 148732;
 Libderiv->deriv_classes[4][11][2] = int_stack + 149722;
 Libderiv->deriv_classes[5][6][2] = int_stack + 150892;
 Libderiv->deriv_classes[5][7][2] = int_stack + 151480;
 Libderiv->deriv_classes[5][8][2] = int_stack + 152236;
 Libderiv->deriv_classes[5][9][2] = int_stack + 153181;
 Libderiv->deriv_classes[5][10][2] = int_stack + 154336;
 Libderiv->deriv_classes[5][11][2] = int_stack + 155722;
 Libderiv->deriv_classes[6][6][2] = int_stack + 157360;
 Libderiv->deriv_classes[6][7][2] = int_stack + 158144;
 Libderiv->deriv_classes[6][8][2] = int_stack + 159152;
 Libderiv->deriv_classes[6][9][2] = int_stack + 160412;
 Libderiv->deriv_classes[6][10][2] = int_stack + 161952;
 Libderiv->deriv_classes[6][11][2] = int_stack + 163800;
 Libderiv->deriv_classes[3][6][1] = int_stack + 165984;
 Libderiv->deriv_classes[3][7][1] = int_stack + 166264;
 Libderiv->deriv_classes[3][8][1] = int_stack + 166624;
 Libderiv->deriv_classes[3][9][1] = int_stack + 167074;
 Libderiv->deriv_classes[3][10][1] = int_stack + 167624;
 Libderiv->deriv_classes[3][11][1] = int_stack + 168284;
 Libderiv->deriv_classes[4][6][1] = int_stack + 169064;
 Libderiv->deriv_classes[4][7][1] = int_stack + 169484;
 Libderiv->deriv_classes[4][8][1] = int_stack + 170024;
 Libderiv->deriv_classes[4][9][1] = int_stack + 170699;
 Libderiv->deriv_classes[4][10][1] = int_stack + 171524;
 Libderiv->deriv_classes[4][11][1] = int_stack + 172514;
 Libderiv->deriv_classes[5][6][1] = int_stack + 173684;
 Libderiv->deriv_classes[5][7][1] = int_stack + 174272;
 Libderiv->deriv_classes[5][8][1] = int_stack + 175028;
 Libderiv->deriv_classes[5][9][1] = int_stack + 175973;
 Libderiv->deriv_classes[5][10][1] = int_stack + 177128;
 Libderiv->deriv_classes[5][11][1] = int_stack + 178514;
 Libderiv->deriv_classes[6][6][1] = int_stack + 180152;
 Libderiv->deriv_classes[6][7][1] = int_stack + 180936;
 Libderiv->deriv_classes[6][8][1] = int_stack + 181944;
 Libderiv->deriv_classes[6][9][1] = int_stack + 183204;
 Libderiv->deriv_classes[6][10][1] = int_stack + 184744;
 Libderiv->deriv_classes[6][11][1] = int_stack + 186592;
 Libderiv->dvrr_classes[3][6] = int_stack + 188776;
 Libderiv->dvrr_classes[3][7] = int_stack + 189056;
 Libderiv->dvrr_classes[3][8] = int_stack + 189416;
 Libderiv->dvrr_classes[3][9] = int_stack + 189866;
 Libderiv->dvrr_classes[3][10] = int_stack + 190416;
 Libderiv->dvrr_classes[3][11] = int_stack + 191076;
 Libderiv->deriv_classes[3][6][0] = int_stack + 191856;
 Libderiv->deriv_classes[3][7][0] = int_stack + 192136;
 Libderiv->deriv_classes[3][8][0] = int_stack + 192496;
 Libderiv->deriv_classes[3][9][0] = int_stack + 192946;
 Libderiv->deriv_classes[3][10][0] = int_stack + 193496;
 Libderiv->deriv_classes[3][11][0] = int_stack + 194156;
 Libderiv->dvrr_classes[4][6] = int_stack + 194936;
 Libderiv->dvrr_classes[4][7] = int_stack + 195356;
 Libderiv->dvrr_classes[4][8] = int_stack + 195896;
 Libderiv->dvrr_classes[4][9] = int_stack + 196571;
 Libderiv->dvrr_classes[4][10] = int_stack + 197396;
 Libderiv->dvrr_classes[4][11] = int_stack + 198386;
 Libderiv->deriv_classes[4][6][0] = int_stack + 199556;
 Libderiv->deriv_classes[4][7][0] = int_stack + 199976;
 Libderiv->deriv_classes[4][8][0] = int_stack + 200516;
 Libderiv->deriv_classes[4][9][0] = int_stack + 201191;
 Libderiv->deriv_classes[4][10][0] = int_stack + 202016;
 Libderiv->deriv_classes[4][11][0] = int_stack + 203006;
 Libderiv->dvrr_classes[5][6] = int_stack + 204176;
 Libderiv->dvrr_classes[5][7] = int_stack + 204764;
 Libderiv->dvrr_classes[5][8] = int_stack + 205520;
 Libderiv->dvrr_classes[5][9] = int_stack + 206465;
 Libderiv->dvrr_classes[5][10] = int_stack + 207620;
 Libderiv->dvrr_classes[5][11] = int_stack + 209006;
 Libderiv->deriv_classes[5][6][0] = int_stack + 210644;
 Libderiv->deriv_classes[5][7][0] = int_stack + 211232;
 Libderiv->deriv_classes[5][8][0] = int_stack + 211988;
 Libderiv->deriv_classes[5][9][0] = int_stack + 212933;
 Libderiv->deriv_classes[5][10][0] = int_stack + 214088;
 Libderiv->deriv_classes[5][11][0] = int_stack + 215474;
 Libderiv->deriv_classes[6][6][0] = int_stack + 217112;
 Libderiv->deriv_classes[6][7][0] = int_stack + 217896;
 Libderiv->deriv_classes[6][8][0] = int_stack + 218904;
 Libderiv->deriv_classes[6][9][0] = int_stack + 220164;
 Libderiv->deriv_classes[6][10][0] = int_stack + 221704;
 Libderiv->deriv_classes[6][11][0] = int_stack + 223552;
 memset(int_stack,0,1805888);

 Libderiv->dvrr_stack = int_stack + 1195511;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ffih(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+225736,int_stack+189056,int_stack+188776,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+226576,int_stack+189416,int_stack+189056,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+227656,int_stack+226576,int_stack+225736,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+229336,int_stack+189866,int_stack+189416,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+230686,int_stack+229336,int_stack+226576,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+232846,int_stack+230686,int_stack+227656,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+235646,int_stack+190416,int_stack+189866,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+237296,int_stack+235646,int_stack+229336,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+239996,int_stack+237296,int_stack+230686,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+243596,int_stack+239996,int_stack+232846,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+247796,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188776,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+248636,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189056,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+249716,int_stack+248636,int_stack+247796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225736,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+251396,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189416,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+252746,int_stack+251396,int_stack+248636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226576,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+254906,int_stack+252746,int_stack+249716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227656,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+247796,int_stack+1640,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189866,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+257706,int_stack+247796,int_stack+251396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229336,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+260406,int_stack+257706,int_stack+252746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230686,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+249446,int_stack+260406,int_stack+254906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232846,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+253646,int_stack+2300,int_stack+1640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190416,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+264006,int_stack+253646,int_stack+247796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235646,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+267306,int_stack+264006,int_stack+257706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237296,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+253646,int_stack+267306,int_stack+260406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239996,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+259046,int_stack+253646,int_stack+249446, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+243596,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+247796,int_stack+195356,int_stack+194936,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+249056,int_stack+195896,int_stack+195356,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+250676,int_stack+249056,int_stack+247796,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+253196,int_stack+196571,int_stack+195896,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+255221,int_stack+253196,int_stack+249056,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+264926,int_stack+255221,int_stack+250676,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+269126,int_stack+197396,int_stack+196571,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+271601,int_stack+269126,int_stack+253196,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+275651,int_stack+271601,int_stack+255221,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+281051,int_stack+275651,int_stack+264926,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+3500,int_stack+3080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194936,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1260,int_stack+4040,int_stack+3500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195356,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+287351,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247796,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+289871,int_stack+4715,int_stack+4040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195896,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+291896,int_stack+289871,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249056,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+291896,int_stack+287351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250676,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+287351,int_stack+5540,int_stack+4715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196571,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+295136,int_stack+287351,int_stack+289871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253196,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+299186,int_stack+295136,int_stack+291896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+255221,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+304586,int_stack+299186,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+264926,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+6530,int_stack+5540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197396,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+289826,int_stack+0,int_stack+287351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269126,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+0,int_stack+289826,int_stack+295136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271601,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+287351,int_stack+0,int_stack+299186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275651,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+295451,int_stack+287351,int_stack+304586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281051,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+304271,int_stack+295451,int_stack+259046,588);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+287351,int_stack+204764,int_stack+204176,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+289115,int_stack+205520,int_stack+204764,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+291383,int_stack+289115,int_stack+287351,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+206465,int_stack+205520,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+2835,int_stack+0,int_stack+289115,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+258461,int_stack+2835,int_stack+291383,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+321911,int_stack+207620,int_stack+206465,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+325376,int_stack+321911,int_stack+0,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+331046,int_stack+325376,int_stack+2835,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+338606,int_stack+331046,int_stack+258461,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+347426,int_stack+8288,int_stack+7700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204176,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+349190,int_stack+9044,int_stack+8288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204764,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+351458,int_stack+349190,int_stack+347426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+287351,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+354986,int_stack+9989,int_stack+9044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205520,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+357821,int_stack+354986,int_stack+349190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289115,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+362357,int_stack+357821,int_stack+351458, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291383,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+347426,int_stack+11144,int_stack+9989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206465,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+368237,int_stack+347426,int_stack+354986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+373907,int_stack+368237,int_stack+357821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+350891,int_stack+373907,int_stack+362357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258461,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+359711,int_stack+12530,int_stack+11144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207620,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+381467,int_stack+359711,int_stack+347426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+321911,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+388397,int_stack+381467,int_stack+368237, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325376,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+359711,int_stack+388397,int_stack+373907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+331046,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+371051,int_stack+359711,int_stack+350891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338606,21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+383399,int_stack+371051,int_stack+295451,588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+409859,int_stack+383399,int_stack+304271,588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+347426,int_stack+129696,int_stack+128128,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+349778,int_stack+131712,int_stack+129696,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+352802,int_stack+349778,int_stack+347426,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+357506,int_stack+134232,int_stack+131712,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+361286,int_stack+357506,int_stack+349778,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+294911,int_stack+361286,int_stack+352802,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+302751,int_stack+137312,int_stack+134232,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+307371,int_stack+302751,int_stack+357506,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+445139,int_stack+307371,int_stack+361286,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+455219,int_stack+445139,int_stack+294911,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+367334,int_stack+14952,int_stack+14168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128128,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+314931,int_stack+15960,int_stack+14952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129696,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+7371,int_stack+314931,int_stack+367334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+347426,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+317955,int_stack+17220,int_stack+15960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131712,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+466979,int_stack+317955,int_stack+314931, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+349778,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+473027,int_stack+466979,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+352802,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+7371,int_stack+18760,int_stack+17220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134232,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+480867,int_stack+7371,int_stack+317955, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+357506,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+488427,int_stack+480867,int_stack+466979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+361286,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+498507,int_stack+488427,int_stack+473027, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294911,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+466979,int_stack+20608,int_stack+18760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137312,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+11991,int_stack+466979,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302751,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+466979,int_stack+11991,int_stack+480867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+307371,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+7371,int_stack+466979,int_stack+488427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+445139,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+466979,int_stack+7371,int_stack+498507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+455219,28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+483443,int_stack+466979,int_stack+371051,588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+520487,int_stack+483443,int_stack+383399,588);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+466979,int_stack+23072,int_stack+22792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188776, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+467819,int_stack+23432,int_stack+23072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189056, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+468899,int_stack+467819,int_stack+466979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225736, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+470579,int_stack+23882,int_stack+23432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189416, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+471929,int_stack+470579,int_stack+467819, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226576, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+474089,int_stack+471929,int_stack+468899, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227656, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+466979,int_stack+24432,int_stack+23882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189866, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+476889,int_stack+466979,int_stack+470579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229336, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+479589,int_stack+476889,int_stack+471929, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230686, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+468629,int_stack+479589,int_stack+474089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232846, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+472829,int_stack+25092,int_stack+24432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190416, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+483189,int_stack+472829,int_stack+466979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235646, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+486489,int_stack+483189,int_stack+476889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237296, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+472829,int_stack+486489,int_stack+479589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239996, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+478229,int_stack+472829,int_stack+468629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+243596, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+466979,int_stack+26292,int_stack+25872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194936, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+468239,int_stack+26832,int_stack+26292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195356, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+469859,int_stack+468239,int_stack+466979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247796, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+472379,int_stack+27507,int_stack+26832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195896, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+474404,int_stack+472379,int_stack+468239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249056, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+484109,int_stack+474404,int_stack+469859, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250676, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+466979,int_stack+28332,int_stack+27507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196571, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+488309,int_stack+466979,int_stack+472379, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253196, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+492359,int_stack+488309,int_stack+474404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+255221, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+469454,int_stack+492359,int_stack+484109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+264926, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+484109,int_stack+29322,int_stack+28332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197396, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+497759,int_stack+484109,int_stack+466979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269126, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+502709,int_stack+497759,int_stack+488309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271601, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+484109,int_stack+502709,int_stack+492359, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275651, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+492209,int_stack+484109,int_stack+469454, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281051, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+501029,int_stack+492209,int_stack+478229,588);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+466979,int_stack+31080,int_stack+30492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204176, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+468743,int_stack+31836,int_stack+31080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204764, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+471011,int_stack+468743,int_stack+466979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+287351, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+474539,int_stack+32781,int_stack+31836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205520, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+477374,int_stack+474539,int_stack+468743, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289115, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+481910,int_stack+477374,int_stack+471011, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291383, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+466979,int_stack+33936,int_stack+32781, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206465, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+7371,int_stack+466979,int_stack+474539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+13041,int_stack+7371,int_stack+477374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+470444,int_stack+13041,int_stack+481910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258461, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+479264,int_stack+35322,int_stack+33936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207620, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+483422,int_stack+479264,int_stack+466979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+321911, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+20601,int_stack+483422,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325376, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+479264,int_stack+20601,int_stack+13041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+331046, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+7371,int_stack+479264,int_stack+470444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338606, 0.0, zero_stack,21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+367334,int_stack+7371,int_stack+492209,588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+573407,int_stack+367334,int_stack+501029,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19719,int_stack+37744,int_stack+36960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128128, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22071,int_stack+38752,int_stack+37744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129696, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25095,int_stack+22071,int_stack+19719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+347426, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+29799,int_stack+40012,int_stack+38752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131712, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+33579,int_stack+29799,int_stack+22071, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+349778, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+466979,int_stack+33579,int_stack+25095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+352802, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+19719,int_stack+41552,int_stack+40012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134232, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+474819,int_stack+19719,int_stack+29799, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+357506, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+482379,int_stack+474819,int_stack+33579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+361286, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+24339,int_stack+482379,int_stack+466979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294911, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+466979,int_stack+43400,int_stack+41552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137312, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+36099,int_stack+466979,int_stack+19719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302751, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+492459,int_stack+36099,int_stack+474819, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+307371, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+466979,int_stack+492459,int_stack+482379, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+445139, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+482099,int_stack+466979,int_stack+24339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+455219, 0.0, zero_stack,28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+608687,int_stack+482099,int_stack+7371,588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+466979,int_stack+608687,int_stack+367334,588);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+367334,int_stack+45864,int_stack+45584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188776, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+368174,int_stack+46224,int_stack+45864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189056, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+369254,int_stack+368174,int_stack+367334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225736, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+370934,int_stack+46674,int_stack+46224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189416, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+372284,int_stack+370934,int_stack+368174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226576, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+374444,int_stack+372284,int_stack+369254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227656, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+367334,int_stack+47224,int_stack+46674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189866, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+377244,int_stack+367334,int_stack+370934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229336, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+379944,int_stack+377244,int_stack+372284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230686, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+368984,int_stack+379944,int_stack+374444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232846, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+373184,int_stack+47884,int_stack+47224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190416, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+383544,int_stack+373184,int_stack+367334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235646, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+386844,int_stack+383544,int_stack+377244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237296, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+373184,int_stack+386844,int_stack+379944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239996, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+378584,int_stack+373184,int_stack+368984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+243596, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+367334,int_stack+49084,int_stack+48664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194936, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+368594,int_stack+49624,int_stack+49084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195356, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+370214,int_stack+368594,int_stack+367334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247796, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+372734,int_stack+50299,int_stack+49624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195896, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+374759,int_stack+372734,int_stack+368594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249056, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+384464,int_stack+374759,int_stack+370214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250676, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+367334,int_stack+51124,int_stack+50299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196571, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+388664,int_stack+367334,int_stack+372734, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253196, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+392714,int_stack+388664,int_stack+374759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+255221, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+369809,int_stack+392714,int_stack+384464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+264926, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+384464,int_stack+52114,int_stack+51124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197396, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+398114,int_stack+384464,int_stack+367334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269126, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+403064,int_stack+398114,int_stack+388664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271601, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+384464,int_stack+403064,int_stack+392714, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275651, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+392564,int_stack+384464,int_stack+369809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281051, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+608687,int_stack+392564,int_stack+378584,588);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+367334,int_stack+53872,int_stack+53284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204176, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+369098,int_stack+54628,int_stack+53872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204764, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+371366,int_stack+369098,int_stack+367334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+287351, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+374894,int_stack+55573,int_stack+54628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205520, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+377729,int_stack+374894,int_stack+369098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289115, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+382265,int_stack+377729,int_stack+371366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291383, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+367334,int_stack+56728,int_stack+55573, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206465, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+401384,int_stack+367334,int_stack+374894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+626327,int_stack+401384,int_stack+377729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+370799,int_stack+626327,int_stack+382265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258461, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+379619,int_stack+58114,int_stack+56728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207620, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+383777,int_stack+379619,int_stack+367334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+321911, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+633887,int_stack+383777,int_stack+401384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325376, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+379619,int_stack+633887,int_stack+626327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+331046, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+626327,int_stack+379619,int_stack+370799, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338606, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+7371,int_stack+626327,int_stack+392564,588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+367334,int_stack+7371,int_stack+608687,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+608687,int_stack+60536,int_stack+59752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128128, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+611039,int_stack+61544,int_stack+60536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129696, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+614063,int_stack+611039,int_stack+608687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+347426, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+618767,int_stack+62804,int_stack+61544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131712, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+638675,int_stack+618767,int_stack+611039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+349778, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+33831,int_stack+638675,int_stack+614063, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+352802, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+608687,int_stack+64344,int_stack+62804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134232, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+41671,int_stack+608687,int_stack+618767, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+357506, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+613307,int_stack+41671,int_stack+638675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+361286, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+49231,int_stack+613307,int_stack+33831, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294911, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+33831,int_stack+66192,int_stack+64344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137312, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+638675,int_stack+33831,int_stack+608687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302751, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+647915,int_stack+638675,int_stack+41671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+307371, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+33831,int_stack+647915,int_stack+613307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+445139, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+638675,int_stack+33831,int_stack+49231, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+455219, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+655139,int_stack+638675,int_stack+626327,588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+692183,int_stack+655139,int_stack+7371,588);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7371,int_stack+68656,int_stack+68376, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+188776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8211,int_stack+69016,int_stack+68656, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9291,int_stack+8211,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10971,int_stack+69466,int_stack+69016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+12321,int_stack+10971,int_stack+8211, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+14481,int_stack+12321,int_stack+9291, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+7371,int_stack+70016,int_stack+69466, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+17281,int_stack+7371,int_stack+10971, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+19981,int_stack+17281,int_stack+12321, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+9021,int_stack+19981,int_stack+14481, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+13221,int_stack+70676,int_stack+70016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+23581,int_stack+13221,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+26881,int_stack+23581,int_stack+17281, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+237296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+13221,int_stack+26881,int_stack+19981, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+239996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+18621,int_stack+13221,int_stack+9021, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+243596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7371,int_stack+71876,int_stack+71456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8631,int_stack+72416,int_stack+71876, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10251,int_stack+8631,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12771,int_stack+73091,int_stack+72416, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14796,int_stack+12771,int_stack+8631, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+249056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+24501,int_stack+14796,int_stack+10251, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+7371,int_stack+73916,int_stack+73091, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+28701,int_stack+7371,int_stack+12771, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+32751,int_stack+28701,int_stack+14796, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+255221, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+9846,int_stack+32751,int_stack+24501, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+264926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+24501,int_stack+74906,int_stack+73916, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+197396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+38151,int_stack+24501,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+43101,int_stack+38151,int_stack+28701, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+24501,int_stack+43101,int_stack+32751, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+275651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+32601,int_stack+24501,int_stack+9846, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281051, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+41421,int_stack+32601,int_stack+18621,588);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7371,int_stack+76664,int_stack+76076, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9135,int_stack+77420,int_stack+76664, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+204764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11403,int_stack+9135,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+287351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+14931,int_stack+78365,int_stack+77420, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+17766,int_stack+14931,int_stack+9135, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+289115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+22302,int_stack+17766,int_stack+11403, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+291383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+7371,int_stack+79520,int_stack+78365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+59061,int_stack+7371,int_stack+14931, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+64731,int_stack+59061,int_stack+17766, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+10836,int_stack+64731,int_stack+22302, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+258461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+19656,int_stack+80906,int_stack+79520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+23814,int_stack+19656,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+321911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+72291,int_stack+23814,int_stack+59061, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+19656,int_stack+72291,int_stack+64731, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+331046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+59061,int_stack+19656,int_stack+10836, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+608687,int_stack+59061,int_stack+32601,588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+635147,int_stack+608687,int_stack+41421,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+71409,int_stack+83328,int_stack+82544, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+73761,int_stack+84336,int_stack+83328, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76785,int_stack+73761,int_stack+71409, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+347426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+7371,int_stack+85596,int_stack+84336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+11151,int_stack+7371,int_stack+73761, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+349778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+17199,int_stack+11151,int_stack+76785, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+352802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+71409,int_stack+87136,int_stack+85596, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+76029,int_stack+71409,int_stack+7371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+357506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+25039,int_stack+76029,int_stack+11151, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+361286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+35119,int_stack+25039,int_stack+17199, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+294911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+7371,int_stack+88984,int_stack+87136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+12915,int_stack+7371,int_stack+71409, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+302751, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+670427,int_stack+12915,int_stack+76029, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+307371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+71409,int_stack+670427,int_stack+25039, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+445139, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+670427,int_stack+71409,int_stack+35119, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+455219, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+7371,int_stack+670427,int_stack+59061,588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+745103,int_stack+7371,int_stack+608687,588);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+608687,int_stack+91448,int_stack+91168, 0.0, zero_stack, 1.0, int_stack+188776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+609527,int_stack+91808,int_stack+91448, 0.0, zero_stack, 1.0, int_stack+189056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+610607,int_stack+609527,int_stack+608687, 0.0, zero_stack, 1.0, int_stack+225736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+612287,int_stack+92258,int_stack+91808, 0.0, zero_stack, 1.0, int_stack+189416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+613637,int_stack+612287,int_stack+609527, 0.0, zero_stack, 1.0, int_stack+226576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+615797,int_stack+613637,int_stack+610607, 0.0, zero_stack, 1.0, int_stack+227656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+608687,int_stack+92808,int_stack+92258, 0.0, zero_stack, 1.0, int_stack+189866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+618597,int_stack+608687,int_stack+612287, 0.0, zero_stack, 1.0, int_stack+229336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+621297,int_stack+618597,int_stack+613637, 0.0, zero_stack, 1.0, int_stack+230686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+610337,int_stack+621297,int_stack+615797, 0.0, zero_stack, 1.0, int_stack+232846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+614537,int_stack+93468,int_stack+92808, 0.0, zero_stack, 1.0, int_stack+190416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+624897,int_stack+614537,int_stack+608687, 0.0, zero_stack, 1.0, int_stack+235646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+628197,int_stack+624897,int_stack+618597, 0.0, zero_stack, 1.0, int_stack+237296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+614537,int_stack+628197,int_stack+621297, 0.0, zero_stack, 1.0, int_stack+239996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+619937,int_stack+614537,int_stack+610337, 0.0, zero_stack, 1.0, int_stack+243596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+608687,int_stack+94668,int_stack+94248, 0.0, zero_stack, 1.0, int_stack+194936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+609947,int_stack+95208,int_stack+94668, 0.0, zero_stack, 1.0, int_stack+195356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+611567,int_stack+609947,int_stack+608687, 0.0, zero_stack, 1.0, int_stack+247796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+614087,int_stack+95883,int_stack+95208, 0.0, zero_stack, 1.0, int_stack+195896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+616112,int_stack+614087,int_stack+609947, 0.0, zero_stack, 1.0, int_stack+249056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+625817,int_stack+616112,int_stack+611567, 0.0, zero_stack, 1.0, int_stack+250676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+608687,int_stack+96708,int_stack+95883, 0.0, zero_stack, 1.0, int_stack+196571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+630017,int_stack+608687,int_stack+614087, 0.0, zero_stack, 1.0, int_stack+253196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+7371,int_stack+630017,int_stack+616112, 0.0, zero_stack, 1.0, int_stack+255221, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+611162,int_stack+7371,int_stack+625817, 0.0, zero_stack, 1.0, int_stack+264926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+625817,int_stack+97698,int_stack+96708, 0.0, zero_stack, 1.0, int_stack+197396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+12771,int_stack+625817,int_stack+608687, 0.0, zero_stack, 1.0, int_stack+269126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+17721,int_stack+12771,int_stack+630017, 0.0, zero_stack, 1.0, int_stack+271601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+625817,int_stack+17721,int_stack+7371, 0.0, zero_stack, 1.0, int_stack+275651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+7371,int_stack+625817,int_stack+611162, 0.0, zero_stack, 1.0, int_stack+281051, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+16191,int_stack+7371,int_stack+619937,588);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33831,int_stack+99456,int_stack+98868, 0.0, zero_stack, 1.0, int_stack+204176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35595,int_stack+100212,int_stack+99456, 0.0, zero_stack, 1.0, int_stack+204764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+37863,int_stack+35595,int_stack+33831, 0.0, zero_stack, 1.0, int_stack+287351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+41391,int_stack+101157,int_stack+100212, 0.0, zero_stack, 1.0, int_stack+205520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+44226,int_stack+41391,int_stack+35595, 0.0, zero_stack, 1.0, int_stack+289115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+48762,int_stack+44226,int_stack+37863, 0.0, zero_stack, 1.0, int_stack+291383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+33831,int_stack+102312,int_stack+101157, 0.0, zero_stack, 1.0, int_stack+206465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+54642,int_stack+33831,int_stack+41391, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+60312,int_stack+54642,int_stack+44226, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+37296,int_stack+60312,int_stack+48762, 0.0, zero_stack, 1.0, int_stack+258461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+46116,int_stack+103698,int_stack+102312, 0.0, zero_stack, 1.0, int_stack+207620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+67872,int_stack+46116,int_stack+33831, 0.0, zero_stack, 1.0, int_stack+321911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+74802,int_stack+67872,int_stack+54642, 0.0, zero_stack, 1.0, int_stack+325376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+46116,int_stack+74802,int_stack+60312, 0.0, zero_stack, 1.0, int_stack+331046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+57456,int_stack+46116,int_stack+37296, 0.0, zero_stack, 1.0, int_stack+338606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+608687,int_stack+57456,int_stack+7371,588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+69804,int_stack+608687,int_stack+16191,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7371,int_stack+106120,int_stack+105336, 0.0, zero_stack, 1.0, int_stack+128128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9723,int_stack+107128,int_stack+106120, 0.0, zero_stack, 1.0, int_stack+129696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12747,int_stack+9723,int_stack+7371, 0.0, zero_stack, 1.0, int_stack+347426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+17451,int_stack+108388,int_stack+107128, 0.0, zero_stack, 1.0, int_stack+131712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+21231,int_stack+17451,int_stack+9723, 0.0, zero_stack, 1.0, int_stack+349778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+27279,int_stack+21231,int_stack+12747, 0.0, zero_stack, 1.0, int_stack+352802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+7371,int_stack+109928,int_stack+108388, 0.0, zero_stack, 1.0, int_stack+134232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+35119,int_stack+7371,int_stack+17451, 0.0, zero_stack, 1.0, int_stack+357506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+42679,int_stack+35119,int_stack+21231, 0.0, zero_stack, 1.0, int_stack+361286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+11991,int_stack+42679,int_stack+27279, 0.0, zero_stack, 1.0, int_stack+294911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+23751,int_stack+111776,int_stack+109928, 0.0, zero_stack, 1.0, int_stack+137312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+670427,int_stack+23751,int_stack+7371, 0.0, zero_stack, 1.0, int_stack+302751, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+798023,int_stack+670427,int_stack+35119, 0.0, zero_stack, 1.0, int_stack+307371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+670427,int_stack+798023,int_stack+42679, 0.0, zero_stack, 1.0, int_stack+445139, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+23751,int_stack+670427,int_stack+11991, 0.0, zero_stack, 1.0, int_stack+455219, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+798023,int_stack+23751,int_stack+57456,588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+7371,int_stack+798023,int_stack+608687,588);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+608687,int_stack+114240,int_stack+113960, 1.0, int_stack+188776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+609527,int_stack+114600,int_stack+114240, 1.0, int_stack+189056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+610607,int_stack+609527,int_stack+608687, 1.0, int_stack+225736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+612287,int_stack+115050,int_stack+114600, 1.0, int_stack+189416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+613637,int_stack+612287,int_stack+609527, 1.0, int_stack+226576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+615797,int_stack+613637,int_stack+610607, 1.0, int_stack+227656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+225736,int_stack+115600,int_stack+115050, 1.0, int_stack+189866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+608687,int_stack+225736,int_stack+612287, 1.0, int_stack+229336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+618597,int_stack+608687,int_stack+613637, 1.0, int_stack+230686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+227386,int_stack+618597,int_stack+615797, 1.0, int_stack+232846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+231586,int_stack+116260,int_stack+115600, 1.0, int_stack+190416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+611387,int_stack+231586,int_stack+225736, 1.0, int_stack+235646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+622197,int_stack+611387,int_stack+608687, 1.0, int_stack+237296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+608687,int_stack+622197,int_stack+618597, 1.0, int_stack+239996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+614087,int_stack+608687,int_stack+227386, 1.0, int_stack+243596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+608687,int_stack+117460,int_stack+117040, 1.0, int_stack+194936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+609947,int_stack+118000,int_stack+117460, 1.0, int_stack+195356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+611567,int_stack+609947,int_stack+608687, 1.0, int_stack+247796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+619967,int_stack+118675,int_stack+118000, 1.0, int_stack+195896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+621992,int_stack+619967,int_stack+609947, 1.0, int_stack+249056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+625232,int_stack+621992,int_stack+611567, 1.0, int_stack+250676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+247796,int_stack+119500,int_stack+118675, 1.0, int_stack+196571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+608687,int_stack+247796,int_stack+619967, 1.0, int_stack+253196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+629432,int_stack+608687,int_stack+621992, 1.0, int_stack+255221, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+250271,int_stack+629432,int_stack+625232, 1.0, int_stack+264926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+619967,int_stack+120490,int_stack+119500, 1.0, int_stack+197396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+622937,int_stack+619967,int_stack+247796, 1.0, int_stack+269126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+225736,int_stack+622937,int_stack+608687, 1.0, int_stack+271601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+619967,int_stack+225736,int_stack+629432, 1.0, int_stack+275651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+225736,int_stack+619967,int_stack+250271, 1.0, int_stack+281051, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+798023,int_stack+225736,int_stack+614087,588);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+608687,int_stack+122248,int_stack+121660, 1.0, int_stack+204176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+610451,int_stack+123004,int_stack+122248, 1.0, int_stack+204764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+612719,int_stack+610451,int_stack+608687, 1.0, int_stack+287351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+616247,int_stack+123949,int_stack+123004, 1.0, int_stack+205520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+619082,int_stack+616247,int_stack+610451, 1.0, int_stack+289115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+623618,int_stack+619082,int_stack+612719, 1.0, int_stack+291383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+287351,int_stack+125104,int_stack+123949, 1.0, int_stack+206465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+608687,int_stack+287351,int_stack+616247, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+247796,int_stack+608687,int_stack+619082, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+614357,int_stack+247796,int_stack+623618, 1.0, int_stack+258461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+126490,int_stack+125104, 1.0, int_stack+207620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+623177,int_stack+0,int_stack+287351, 1.0, int_stack+321911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+255356,int_stack+623177,int_stack+608687, 1.0, int_stack+325376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+623177,int_stack+255356,int_stack+247796, 1.0, int_stack+331046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+247796,int_stack+623177,int_stack+614357, 1.0, int_stack+338606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+608687,int_stack+247796,int_stack+225736,588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+815663,int_stack+608687,int_stack+798023,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+798023,int_stack+130704,int_stack+128912, 1.0, int_stack+128128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+800375,int_stack+132972,int_stack+130704, 1.0, int_stack+129696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+803399,int_stack+800375,int_stack+798023, 1.0, int_stack+347426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+808103,int_stack+135772,int_stack+132972, 1.0, int_stack+131712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+225736,int_stack+808103,int_stack+800375, 1.0, int_stack+349778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+260144,int_stack+225736,int_stack+803399, 1.0, int_stack+352802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+347426,int_stack+139160,int_stack+135772, 1.0, int_stack+134232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+287351,int_stack+347426,int_stack+808103, 1.0, int_stack+357506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+798023,int_stack+287351,int_stack+225736, 1.0, int_stack+361286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+352046,int_stack+798023,int_stack+260144, 1.0, int_stack+294911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+294911,int_stack+141008,int_stack+139160, 1.0, int_stack+137312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+225736,int_stack+294911,int_stack+347426, 1.0, int_stack+302751, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+670427,int_stack+225736,int_stack+287351, 1.0, int_stack+307371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+287351,int_stack+670427,int_stack+798023, 1.0, int_stack+445139, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+798023,int_stack+287351,int_stack+352046, 1.0, int_stack+455219, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+105084,int_stack+798023,int_stack+247796,588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+850943,int_stack+105084,int_stack+608687,588);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+608687,int_stack+191076,int_stack+190416,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+610667,int_stack+608687,int_stack+235646,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+613967,int_stack+610667,int_stack+237296,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+618467,int_stack+613967,int_stack+239996,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+608687,int_stack+618467,int_stack+243596,10);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+614567,int_stack+198386,int_stack+197396,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+617537,int_stack+614567,int_stack+269126,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+622487,int_stack+617537,int_stack+271601,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+105084,int_stack+622487,int_stack+275651,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+614567,int_stack+105084,int_stack+281051,15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+798023,int_stack+614567,int_stack+608687,588);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+105084,int_stack+209006,int_stack+207620,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+109242,int_stack+105084,int_stack+321911,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+116172,int_stack+109242,int_stack+325376,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+125622,int_stack+116172,int_stack+331046,21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+105084,int_stack+125622,int_stack+338606,21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+225736,int_stack+105084,int_stack+614567,588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+252196,int_stack+225736,int_stack+798023,588);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117432,int_stack+143472,int_stack+143192,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+118272,int_stack+143832,int_stack+143472,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+119352,int_stack+118272,int_stack+117432,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+121032,int_stack+144282,int_stack+143832,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+122382,int_stack+121032,int_stack+118272,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+124542,int_stack+122382,int_stack+119352,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+117432,int_stack+144832,int_stack+144282,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+127342,int_stack+117432,int_stack+121032,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+130042,int_stack+127342,int_stack+122382,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+119082,int_stack+130042,int_stack+124542,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+123282,int_stack+145492,int_stack+144832,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+133642,int_stack+123282,int_stack+117432,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+136942,int_stack+133642,int_stack+127342,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+123282,int_stack+136942,int_stack+130042,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+128682,int_stack+123282,int_stack+119082,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117432,int_stack+146692,int_stack+146272,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+118692,int_stack+147232,int_stack+146692,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+120312,int_stack+118692,int_stack+117432,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+122832,int_stack+147907,int_stack+147232,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+124857,int_stack+122832,int_stack+118692,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+134562,int_stack+124857,int_stack+120312,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+117432,int_stack+148732,int_stack+147907,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+138762,int_stack+117432,int_stack+122832,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+142812,int_stack+138762,int_stack+124857,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+119907,int_stack+142812,int_stack+134562,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+134562,int_stack+149722,int_stack+148732,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+623387,int_stack+134562,int_stack+117432,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+628337,int_stack+623387,int_stack+138762,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+134562,int_stack+628337,int_stack+142812,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+623387,int_stack+134562,int_stack+119907,15);
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+445139,int_stack+623387,int_stack+128682, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+608687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+632207,int_stack+151480,int_stack+150892,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+117432,int_stack+152236,int_stack+151480,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+119700,int_stack+117432,int_stack+632207,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+632207,int_stack+153181,int_stack+152236,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+123228,int_stack+632207,int_stack+117432,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+127764,int_stack+123228,int_stack+119700,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+117432,int_stack+154336,int_stack+153181,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+133644,int_stack+117432,int_stack+632207,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+139314,int_stack+133644,int_stack+123228,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+670427,int_stack+139314,int_stack+127764,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+120897,int_stack+155722,int_stack+154336,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+125055,int_stack+120897,int_stack+117432,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+146874,int_stack+125055,int_stack+133644,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+117432,int_stack+146874,int_stack+139314,21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+128772,int_stack+117432,int_stack+670427,21);
 /*--- compute (gp|ih) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+287476,int_stack+128772,int_stack+623387, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+614567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (fd|ih) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+313936,int_stack+287476,int_stack+445139, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+798023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+445139,int_stack+158144,int_stack+157360,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+447491,int_stack+159152,int_stack+158144,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+450515,int_stack+447491,int_stack+445139,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+455219,int_stack+160412,int_stack+159152,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+458999,int_stack+455219,int_stack+447491,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+623387,int_stack+458999,int_stack+450515,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+194936,int_stack+161952,int_stack+160412,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+445139,int_stack+194936,int_stack+455219,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+670427,int_stack+445139,int_stack+458999,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+452699,int_stack+670427,int_stack+623387,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+623387,int_stack+163800,int_stack+161952,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+680507,int_stack+623387,int_stack+194936,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+141120,int_stack+680507,int_stack+445139,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+349216,int_stack+141120,int_stack+670427,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+670427,int_stack+349216,int_stack+452699,28);
 /*--- compute (hp|ih) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+903863,int_stack+670427,int_stack+128772, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (gd|ih) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+940907,int_stack+903863,int_stack+287476, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+287476,int_stack+166264,int_stack+165984,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+288316,int_stack+166624,int_stack+166264,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+289396,int_stack+288316,int_stack+287476,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+291076,int_stack+167074,int_stack+166624,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+292426,int_stack+291076,int_stack+288316,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+294586,int_stack+292426,int_stack+289396,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+287476,int_stack+167624,int_stack+167074,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+297386,int_stack+287476,int_stack+291076,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+300086,int_stack+297386,int_stack+292426,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+289126,int_stack+300086,int_stack+294586,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+293326,int_stack+168284,int_stack+167624,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+303686,int_stack+293326,int_stack+287476,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+306986,int_stack+303686,int_stack+297386,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+293326,int_stack+306986,int_stack+300086,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+298726,int_stack+293326,int_stack+289126,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+287476,int_stack+169484,int_stack+169064,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+288736,int_stack+170024,int_stack+169484,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+290356,int_stack+288736,int_stack+287476,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+292876,int_stack+170699,int_stack+170024,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+294901,int_stack+292876,int_stack+288736,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+304606,int_stack+294901,int_stack+290356,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+287476,int_stack+171524,int_stack+170699,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+308806,int_stack+287476,int_stack+292876,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+903863,int_stack+308806,int_stack+294901,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+289951,int_stack+903863,int_stack+304606,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+304606,int_stack+172514,int_stack+171524,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+909263,int_stack+304606,int_stack+287476,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+914213,int_stack+909263,int_stack+308806,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+304606,int_stack+914213,int_stack+903863,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+903863,int_stack+304606,int_stack+289951,15);
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+912683,int_stack+903863,int_stack+298726, 0.0, zero_stack, 1.0, int_stack+608687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+930323,int_stack+174272,int_stack+173684,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+932087,int_stack+175028,int_stack+174272,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+934355,int_stack+932087,int_stack+930323,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+937883,int_stack+175973,int_stack+175028,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+287476,int_stack+937883,int_stack+932087,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+292012,int_stack+287476,int_stack+934355,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+930323,int_stack+177128,int_stack+175973,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+297892,int_stack+930323,int_stack+937883,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+303562,int_stack+297892,int_stack+287476,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+670427,int_stack+303562,int_stack+292012,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+287476,int_stack+178514,int_stack+177128,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+933788,int_stack+287476,int_stack+930323,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+287476,int_stack+933788,int_stack+297892,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+679247,int_stack+287476,int_stack+303562,21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+287476,int_stack+679247,int_stack+670427,21);
 /*--- compute (gp|ih) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+117432,int_stack+287476,int_stack+903863, 0.0, zero_stack, 1.0, int_stack+614567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (fd|ih) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+143892,int_stack+117432,int_stack+912683, 0.0, zero_stack, 1.0, int_stack+798023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+903863,int_stack+180936,int_stack+180152,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+906215,int_stack+181944,int_stack+180936,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+909239,int_stack+906215,int_stack+903863,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+913943,int_stack+183204,int_stack+181944,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+917723,int_stack+913943,int_stack+906215,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+923771,int_stack+917723,int_stack+909239,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+194936,int_stack+184744,int_stack+183204,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+903863,int_stack+194936,int_stack+913943,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+670427,int_stack+903863,int_stack+917723,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+623387,int_stack+670427,int_stack+923771,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+911423,int_stack+186592,int_stack+184744,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+916967,int_stack+911423,int_stack+194936,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+926207,int_stack+916967,int_stack+903863,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+903863,int_stack+926207,int_stack+670427,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+670427,int_stack+903863,int_stack+623387,28);
 /*--- compute (hp|ih) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+903863,int_stack+670427,int_stack+287476, 0.0, zero_stack, 1.0, int_stack+105084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (gd|ih) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+993827,int_stack+903863,int_stack+117432, 0.0, zero_stack, 1.0, int_stack+225736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117432,int_stack+192136,int_stack+191856,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+118272,int_stack+192496,int_stack+192136,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+119352,int_stack+118272,int_stack+117432,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+121032,int_stack+192946,int_stack+192496,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+122382,int_stack+121032,int_stack+118272,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+124542,int_stack+122382,int_stack+119352,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+117432,int_stack+193496,int_stack+192946,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+127342,int_stack+117432,int_stack+121032,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+130042,int_stack+127342,int_stack+122382,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+119082,int_stack+130042,int_stack+124542,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+123282,int_stack+194156,int_stack+193496,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+133642,int_stack+123282,int_stack+117432,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+136942,int_stack+133642,int_stack+127342,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+123282,int_stack+136942,int_stack+130042,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+128682,int_stack+123282,int_stack+119082,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117432,int_stack+199976,int_stack+199556,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+118692,int_stack+200516,int_stack+199976,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+120312,int_stack+118692,int_stack+117432,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+122832,int_stack+201191,int_stack+200516,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+124857,int_stack+122832,int_stack+118692,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+134562,int_stack+124857,int_stack+120312,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+117432,int_stack+202016,int_stack+201191,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+138762,int_stack+117432,int_stack+122832,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+903863,int_stack+138762,int_stack+124857,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+119907,int_stack+903863,int_stack+134562,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+134562,int_stack+203006,int_stack+202016,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+909263,int_stack+134562,int_stack+117432,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+914213,int_stack+909263,int_stack+138762,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+134562,int_stack+914213,int_stack+903863,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+903863,int_stack+134562,int_stack+119907,15);
 /*--- compute (fp|ih) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+912683,int_stack+903863,int_stack+128682, 1.0, int_stack+608687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+608687,int_stack+211232,int_stack+210644,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+610451,int_stack+211988,int_stack+211232,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+930323,int_stack+610451,int_stack+608687,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+933851,int_stack+212933,int_stack+211988,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+117432,int_stack+933851,int_stack+610451,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+608687,int_stack+117432,int_stack+930323,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+930323,int_stack+214088,int_stack+212933,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+121968,int_stack+930323,int_stack+933851,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+127638,int_stack+121968,int_stack+117432,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+287476,int_stack+127638,int_stack+608687,21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+608687,int_stack+215474,int_stack+214088,21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+933788,int_stack+608687,int_stack+930323,21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+296296,int_stack+933788,int_stack+121968,21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+670427,int_stack+296296,int_stack+127638,21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+296296,int_stack+670427,int_stack+287476,21);
 /*--- compute (gp|ih) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+117432,int_stack+296296,int_stack+903863, 1.0, int_stack+614567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (fd|ih) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+179172,int_stack+117432,int_stack+912683, 1.0, int_stack+798023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+798023,int_stack+217896,int_stack+217112,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+800375,int_stack+218904,int_stack+217896,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+803399,int_stack+800375,int_stack+798023,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+808103,int_stack+220164,int_stack+218904,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+903863,int_stack+808103,int_stack+800375,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+909911,int_stack+903863,int_stack+803399,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+798023,int_stack+221704,int_stack+220164,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+917751,int_stack+798023,int_stack+808103,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+802643,int_stack+917751,int_stack+903863,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+925311,int_stack+802643,int_stack+909911,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+903863,int_stack+223552,int_stack+221704,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+670427,int_stack+903863,int_stack+798023,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+903863,int_stack+670427,int_stack+917751,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+670427,int_stack+903863,int_stack+802643,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+903863,int_stack+670427,int_stack+925311,28);
 /*--- compute (hp|ih) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1046747,int_stack+903863,int_stack+296296, 1.0, int_stack+105084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (gd|ih) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1083791,int_stack+1046747,int_stack+117432, 1.0, int_stack+225736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (ff|ih) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+1136711,int_stack+520487,int_stack+409859,588);
     Libderiv->ABCD[11] = int_stack + 1136711;
 /*--- compute (ff|ih) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+402614,int_stack+466979,int_stack+573407,588);
     Libderiv->ABCD[10] = int_stack + 402614;
 /*--- compute (ff|ih) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+461414,int_stack+692183,int_stack+367334,588);
     Libderiv->ABCD[9] = int_stack + 461414;
 /*--- compute (ff|ih) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+670427,int_stack+745103,int_stack+635147,588);
     Libderiv->ABCD[8] = int_stack + 670427;
 /*--- compute (ff|ih) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+729227,int_stack+7371,int_stack+69804,588);
     Libderiv->ABCD[7] = int_stack + 729227;
 /*--- compute (ff|ih) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+0,int_stack+850943,int_stack+815663,588);
     Libderiv->ABCD[6] = int_stack + 0;
 /*--- compute (ff|ih) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+788027,int_stack+940907,int_stack+313936, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[2] = int_stack + 788027;
 /*--- compute (ff|ih) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+846827,int_stack+993827,int_stack+143892, 0.0, zero_stack, 1.0, int_stack+252196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[1] = int_stack + 846827;
 /*--- compute (ff|ih) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+905627,int_stack+1083791,int_stack+179172, 1.0, int_stack+252196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[0] = int_stack + 905627;

}
